/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.component.redis.cache;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;
import java.time.Duration;

/**
 * @author 田平 create 2019年9月5日下午3:08:09
 */
@Getter
@Setter
@ToString
public class CacheNodeExpire implements Serializable {

	private static final long serialVersionUID = 1L;
	/**
	 * 应用名称
	 */
	private String appName;
	/**
	 * 缓存名称
	 */
	private String cacheName;
	/**
	 * 缓存过期时间，单位是秒
	 */
	private Duration timeToLive;
}
