/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.intf.httpdemo.controller;

import com.crunii.micro.domain.entity.main.YkzOrganization;
import com.crunii.micro.intf.httpdemo.service.YkzOrganizationService;
import com.dcqc.uc.oauth.sdk.model.Result;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;


/**
 * @author 田平 create 2019年12月24日下午4:38:52
 */
@RestController
@RequestMapping("/intf/YkzOrganizationController")
@Slf4j
public class YkzOrganizationController {

	@Autowired
	private YkzOrganizationService ykzOrganizationService;

	@GetMapping("/getAllYkzOrganizations")
	@ResponseBody
	public Result<List<YkzOrganization>> saveAllYkzOrganizations() {
		return ykzOrganizationService.saveAllYkzOrganizations(null);
	}
}
