package com.crunii.common.excel.core;

import java.util.List;

/**
 * excel返回对象
 *
 * @author lsa
 */
public interface ExcelResult<T> {

    /**
     * 对象列表
     */
    List<T> getList();

    /**
     * 错误列表
     */
    List<T> getErrorList();
    /**
     * 错误列表
     */
    List<String> getErrorMessageList();

    /**
     * 导入回执
     */
    String getAnalysis();
}
