package com.crunii.common.excel.dto;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: 动态表头多sheet的Excel导出
 *
 * @Author: shanbin
 * @Date: 2023/8/10 16:40
 */
@Data
public class NoModelMultipleSheetsWriteData implements Serializable {

    /**
     * 文件名称
     */
    private String fileName;

    /**
     * sheet数据集
     */
    List<NoModelSheetData> sheetDataList;
}
