package com.crunii.common.excel.dto;

import lombok.Data;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @Description: excel单页数据
 *
 * @Author: shanbin
 * @Date: 2023/8/10 16:47
 */
@Data
public class NoModelSheetData implements Serializable {

    /**
     * sheet名称
     */
    private String sheetName;

    /**
     * 表头数组
     */
    private String[] headNameCn;

    /**
     * 对应数据字段数组 顺序必须与headNameCn一致
     */
    private String[] headNameStr;

    /**
     * 数据集合
     */
    private List<Map<String, Object>> dataList;
}
