/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.common.dto;

import java.io.Serializable;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @author 田平 create 2018年10月19日上午11:07:21
 *
 * <pre>
 * 排序属性
 * </pre>
 */
@Getter
@Setter
@ToString
public class OrderProp implements Serializable {
	private static final long serialVersionUID = 1L;
	private String prop;// 属性名
	private boolean ascending = true;// 是否升序，默认是升序排序

	public OrderProp(){

	}

	public OrderProp(String prop) {
		this.prop = prop;
	}

	public OrderProp(String prop, boolean ascending) {
		this.prop = prop;
		this.ascending = ascending;
	}

}
