/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.common.dto;

import java.io.Serializable;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @author 田平 create 2017年4月24日下午3:07:34
 */
@Setter
@Getter
@ToString
public class SSHHost implements Serializable {

	private static final long serialVersionUID = 1L;
	private String host;
	private int port = 22;
	private String username;
	private String password;
	private int soTimeout = 120000;// 传输超时时间
	private int connectTimeout = 30000;// 连接超时时间
}
