package com.crunii.micro.common.excel.excel.annotation;

import org.apache.poi.hssf.util.HSSFColor;

import java.lang.annotation.*;

/**
 * 表信息
 *
 * @author: dumingchun
 * @date: 2018年12月26日 下午2:57:53
 * @version:
 */
@Target({ ElementType.TYPE })
@Retention(RetentionPolicy.RUNTIME)
@Inherited
public @interface ExcelSheet {

	/**
	 * 表名称
	 *
	 * @return String
	 */
	String name() default "";

	/**
	 * @return 白色
	 */
	short headFontColor() default 9;

}
