/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.core.dto;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @author 田平 create 2018年10月15日下午3:22:49
 */
@Setter
@Getter
@ToString
@ApiModel(description = "缓存刷新查询参数")
public class CacheRefreshQ implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "刷新名称,支持模糊查询%xx%")
	private String refreshName;

	@ApiModelProperty(value = "分组名称default|workflow|intf|service 默认，工作流，接口，服务")
	private String groupName;

	@ApiModelProperty(value = "应用名称spring.application.name，支持模糊查询%xx%")
	private String appName;

	@ApiModelProperty(value = "刷新的url，支持模糊查询%xx%")
	private String refreshUrl;

}
