/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.core.dto;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @author 田平 create 2018年10月15日下午3:22:49
 */
@Setter
@Getter
@ToString
@ApiModel(description = "更新缓存刷新")
public class CacheRefreshU implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "主键ID 缓存刷新ID")
	private int refreshId;

	@ApiModelProperty(value = "刷新名称")
	private String refreshName;

	@ApiModelProperty(value = "分组名称default|workflow|intf|service 默认，工作流，接口，服务")
	private String groupName;

	@ApiModelProperty(value = "应用名称spring.application.name")
	private String appName;

	@ApiModelProperty(value = "刷新的url，都通过gateway过来的url，唯一索引,所有ur采用GET方法")
	private String refreshUrl;

	@ApiModelProperty(value = "url参数")
	private List<RefreshParam> params = new ArrayList<RefreshParam>();
}
