/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved.
 * <a>http://www.crunii.com</a>
 */
package com.crunii.micro.core.dto;

import lombok.Builder;
import lombok.Getter;
import lombok.Setter;

import java.lang.reflect.Field;

/**
 * @author shenhs create 2022/3/3 9:14
 */
@Setter
@Getter
@Builder
public class PropertyTranslateInfo {

	/**
	 * 静态值类型ID
	 */
	private String propertyCode;
	/**
	 * 值的字段
	 */
	private String valueFiled;
	/**
	 * 翻译的目标字段
	 */
	private Field targetField;

	/**
	 * 翻译的数据字段
	 */
	private Field sourceField;

}
