/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.core.dto;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.ToString;

/**
 * @author 田平 create 2018年10月15日下午3:22:49
 */
@Setter
@Getter
@ToString
@ApiModel(description = "创建缓存刷新参数")
@NoArgsConstructor
@AllArgsConstructor
public class RefreshParam implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "controller里面的url参数名称")
	private String paramCode;

	@ApiModelProperty(value = "参数中文名称")
	private String paramName;

	@ApiModelProperty(value = "参数类型String Integer Long Float Date ")
	private String paramType;
	
	@ApiModelProperty(value = "是否必填 0 否 1是 默认1")
	private int paramRequired;

}
