/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.ds.properties;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @author 田平 create 2019年7月16日下午6:43:11
 */
@Component
@Setter
@Getter
@ToString
@ConfigurationProperties(prefix = "informix.jdbc")
public class InformixCommProperties {
	private String ifxNEWCODESET;
	private boolean ifxIFX_USE_STRENC;
	private String XADataSource;
	private String ifxCLIENT_LOCALE;
	private int ifxIFX_LOCK_MODE_WAIT;
	private String ifxDB_LOCALE;
	private String ifxIFX_ISOLATION_LEVEL;
	private String ifxIFX_XASPEC;
}
