package com.crunii.micro.domain.dto.message;

import java.io.Serializable;
import java.util.Map;
import lombok.Data;

/**
 * 消息推送bo
 * @author liuchuan
 * @version 1.0
 * @description:
 * @date 2023/11/30 10:55
 */

@Data
public class PushMsgTemplateReqBo implements Serializable {

    //系统名称 赛事里面都默认 赛事活动 业务调用的时候不需要传该字段
    private String systemName;

    //消息场景名称
    private String sceneName;

    //消息标题
    private String title;

    Map<String,Object> map;

    //路由+对应参数
    private String pathAndJson;

    //拓展参数
    private String expandParam;

}
