package com.crunii.micro.domain.dto.obs;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author: LG
 * @date: 2023/6/26 17:44
 */
@Data
@ApiModel(description = "标记obsFile的业务编码入参")
public class ObsServiceCodeDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("fileId")
    private Long fileId;

    @ApiModelProperty("业务id")
    private Long serviceId;

    @ApiModelProperty("业务code")
    private String serviceCode;
}
