package com.crunii.micro.domain.dto.sys;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangchen create 2023/6/16 14:59
 */
@Data
public class FileDetailDto implements Serializable {

    private static final long serialVersionUID = 1L;

    private Long uploadId;

    @ApiModelProperty(value = "文件id")
    private Long fileRecordId;

    @ApiModelProperty(value = "obs fileId")
    private Long fileId;

    @ApiModelProperty(value = "文件名称")
    private String fileName;

    @ApiModelProperty(value = "文件类型")
    private String fileType;

    @ApiModelProperty(value = "文件key")
    private String fileKey;

    @ApiModelProperty(value = "图片宽度 ")
    private Integer picWidth;

    @ApiModelProperty(value = "图片宽度")
    private Integer picHeight;

    @ApiModelProperty(value = "是否图片 0否 1是")
    private Integer isPic;

    @ApiModelProperty(value = "文件url")
    private String fileUrl;

    @ApiModelProperty(value = "文件大小")
    private Integer fileSize;
}
