package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.TsmMenu;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author 田平 create 2019-01-28 05:01:09
 */
@Repository
public interface TsmMenuRepo extends BaseRepo<TsmMenu, String> {

	List<TsmMenu> findByMenuTypeAndState(Integer menuType, Integer state);
	List<TsmMenu> findByMenuUrl(String menuUrl);

}
