package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.TsmWorkerOrgAll;
import java.util.List;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

@Repository
public interface TsmWorkerOrgAllRepo extends BaseRepo<TsmWorkerOrgAll, Long> {

  @Query(value = "select distinct org_id from TSM_WORKER_ORG_ALL where worker_id = ?1 ",nativeQuery = true)
  List<Long> findAllOrgIdByWorkerId(Long workerId);
}
