package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.YcqLeagueAge;
import org.springframework.stereotype.Repository;

/**
 * @author wangchen create 2023/5/31 17:26
 */
@Repository
public interface YcqLeagueAgeRepo extends BaseRepo<YcqLeagueAge, String> {

    /**
     * 通过组织编码查询数据
     * @param leagueCode 组织编码
     * @return 实体类
     */
    YcqLeagueAge findByLeagueCode(String leagueCode);
}
