package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.YcqLeagueDetail;
import org.springframework.stereotype.Repository;

/**
 * @author wangchen create 2023/5/31 17:26
 */
@Repository
public interface YcqLeagueDetailRepo extends BaseRepo<YcqLeagueDetail, String> {

    /**
     * 通过组织编码查询组织详情
     * @param leagueCode 组织编码
     * @return 组织详情
     */
    YcqLeagueDetail findByLeagueCode(String leagueCode);
}
