package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.YcqEventsTask;
import com.crunii.micro.domain.entity.main.YcqMatchCover;
import org.springframework.stereotype.Repository;

/**
 * @author wangchen create 2023/6/29 17:26
 */
@Repository
public interface YcqMatchCoverRepo extends BaseRepo<YcqMatchCover,Long> {

    /**
     * 查询图片
     * @param articleId 文章id
     * @param state 状态
     * @return data
     */
    YcqMatchCover findByArticleIdAndState(Long articleId,Integer state);
}
