package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.YcqMember;
import org.springframework.stereotype.Repository;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/6/1 19:35
 */
@Repository
public interface YcqMemberRepo extends BaseRepo<YcqMember, Long> {
    /**
     * 通过手机号查询
     * @param phoneNumber
     * @return
     */
    YcqMember findByPhoneNumber(String phoneNumber);

}
