/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.platform.service.impl;

import com.crunii.micro.domain.entitysql.main.TOperLogS;
import com.crunii.micro.platform.jdbc.log.OperLogJdbcDao;
import com.crunii.micro.platform.service.OperLogService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

/**
 * @author 田平 create 2019年5月15日下午2:20:59
 */
@Slf4j
public class OperLogServiceImpl implements OperLogService {

	@Autowired
	private OperLogJdbcDao operLogJdbcDao;

	@Override
	public int createTOperLogs(List<TOperLogS> logs) {
		return operLogJdbcDao.insertTOperLogs(logs);
	}

	@Override
	public int createTOperLog(TOperLogS log) {
		return operLogJdbcDao.insertTOperLog(log);
	}
}
