/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.platform.service.impl;

import com.crunii.micro.domain.entitysql.main.TSqlLogS;
import com.crunii.micro.platform.jdbc.log.SqlLogJdbcDao;
import com.crunii.micro.platform.service.SqlLogService;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

/**
 * @author 田平 create 2019年5月15日下午2:20:59
 */
public class SqlLogServiceImpl implements SqlLogService {

	@Autowired
	private SqlLogJdbcDao sqlLogJdbcDao;

	@Override
	public int createTSqlLog(TSqlLogS sqlLog) {
		return sqlLogJdbcDao.insertTSqlLog(sqlLog);
	}

	@Override
	public int createTSqlLogs(List<TSqlLogS> sqlLogs) {
		return sqlLogJdbcDao.insertTSqlLogs(sqlLogs);
	}

}
