package com.crunii.micro.feign.client;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.label.UseCountDto;
import com.crunii.micro.feign.client.fallbackfactory.ObsServiceFallbackFactory;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import java.util.List;

/**
 * @author: LG
 * @date: 2023/6/8 15:42
 */
@FeignClient(value = "service-label")
public interface LabelService {

    @ApiOperation(value = "标签引用次数")
    @RequestMapping(path = "/auth/LabelInternalController/labelUseCount", method = RequestMethod.POST)
    Result<Object> labelUseCount(List<UseCountDto> useCountList);

}
