package com.crunii.micro.feign.client;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.message.PushMsgTemplateReqBo;
import com.crunii.micro.feign.client.fallbackfactory.MessageCommonServiceFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @Author thw
 * @date 2023/11/28
 * @description
 */
@FeignClient(value = "service-match", fallbackFactory = MessageCommonServiceFactory.class)
public interface MessageCommonService {

//  @ApiOperation(value = "推送消息任务到发送表")
//  @RequestMapping(path = "/auth/PushMessageController/saveMessage", method = RequestMethod.POST)
//  Result saveMessage(SaveMessageTaskReqBo taskReqDto);


  @RequestMapping(path = "/auth/PushMsgController/pushMsg", method = RequestMethod.POST)
  Result pushMsg(@RequestBody PushMsgTemplateReqBo templateBo, @RequestParam(value = "userId") Long userId);
}
