package com.crunii.micro.feign.client;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.message.SendMessageTaskReqDTO;
import com.crunii.micro.feign.client.fallbackfactory.ObsServiceFallbackFactory;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;


/**
 * @ClassName MessageService
 * @Description TODO
 * @Author Jiang
 * @Date 2023/10/31
 * @Version 1.0
 */

@FeignClient(value = "service-qzh", fallbackFactory = ObsServiceFallbackFactory.class)
public interface MessageService {

  @ApiOperation(value = "接收消息任务")
  @RequestMapping(path = "/auth/sendMessageTaskController/receivingMessageTask", method = RequestMethod.POST)
  Result saveMessageTask(SendMessageTaskReqDTO taskReqDTO);


}
