/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved.
 * <a>http://www.crunii.com</a>
 */
package com.crunii.micro.feign.client.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * @author shenhs create 2023/6/19 17:08
 */
@Getter
@Setter
@ApiModel("文件-分页搜索")
public class FileElsticPageDto implements Serializable {
	private static final long serialVersionUID = 1L;

	@ApiModelProperty("搜索文本")
	private String searchText;

	@ApiModelProperty("搜索模式 0搜索全部、1搜索标题、2仅搜索标签")
	private int searchMode = 0;

	@ApiModelProperty("匹配模式 0模糊匹配、1精确匹配")
	private int matchMode = 0;

}
