package com.crunii.micro.feign.client.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author wangchen create 2023/12/5 16:04
 */
@ApiModel("青年热点分页")
@Data
public class HotEsPageDto  implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("文章主键id")
    private Long contentManageId;

    @ApiModelProperty("搜索文本")
    private String keyWord;

    @ApiModelProperty("媒体id")
    private Long mediumId;

    @ApiModelProperty("标签主键id")
    private String labelId;
}
