package com.crunii.micro.feign.client.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @program: microservice
 * @description: 消息中心APP回显
 * @author: xiang xin
 * @create: 2023-12-21 16:48
 */
@Data
public class MessageSendSelectVO {

    @ApiModelProperty(value = "消息发送内容")
    private String messageContent;

    @ApiModelProperty(value = "消息标题")
    private String dataTitle;

    @ApiModelProperty(value = "接收人id")
    private Long loginId;
}
