/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved.
 * <a>http://www.crunii.com</a>
 */
package com.crunii.micro.feign.client.interceptor;

import com.crunii.micro.common.constants.CommonConstants;
import feign.RequestInterceptor;
import feign.RequestTemplate;

/**
 * @author 田平 create 2021/6/8 17:19
 */
public class DefaultHeaderInterceptor implements RequestInterceptor {

	@Override
	public void apply(RequestTemplate template) {
		template.header(CommonConstants.HEADER_IS_NEED_AUTH_URL, "false");
		template.header(CommonConstants.HEADER_INNER_AUTH_TOKEN, CommonConstants.INNER_AUTH_TOKEN);
	}

}
