package com.crunii.micro.service.appsecond.api.bo;

import com.crunii.micro.common.validate.AddGroup;
import com.crunii.micro.common.validate.EditGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;


/**
 * 阵地附件业务对象 app_discover_position_annex
 *
 * @author ruoyi
 * @date 2023-12-14
 */

@Data
@EqualsAndHashCode
@ApiModel("阵地附件业务对象")
public class AppDiscoverPositionAnnexBo {

    /**
     * id
     */
    @ApiModelProperty(value = "新建不用传")
    private Long id;

    /**
     * 附件主表id
     */
    @ApiModelProperty(value = "附件id")
    private String fileId;

    /**
     * 附件名称
     */
    @ApiModelProperty(value = "附件名称")
    private String fileName;

    /**
     * 附件url
     */
    @ApiModelProperty(value = "附件url")
    private String fileUrl;

    /**
     * 附件类型
     */
    @ApiModelProperty(value = "附件类型")
    private String fileType;




}
