package com.crunii.micro.service.appsecond.api.bo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * app帮助中心业务对象 app_help_center
 *
 * @author liuchuan
 * @date 2023-12-07
 */

@Data
@EqualsAndHashCode
@ApiModel("app帮助中心业务对象")
public class AppHelpCenterTypeBo {

    /**
     * id
     */
    @ApiModelProperty(value = "id")
    private Long id;

    /**
     * 0 欢迎语 1 有帮助时  2 无帮助时
     */
    @ApiModelProperty(value = "0 欢迎语 1 有帮助时  2 无帮助时")
    private Integer helpType;


}
