package com.crunii.micro.service.appsecond.api.bo;

import com.crunii.micro.common.validate.AddGroup;
import com.crunii.micro.common.validate.EditGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * 帮助中心搜索业务对象 app_help_history
 *
 * @author liuchuan
 * @date 2023-12-07
 */

@Data
@EqualsAndHashCode
@ApiModel("帮助中心搜索业务对象")
public class AppHelpHistoryBo {

    /**
     * $column.columnComment
     */
    @ApiModelProperty(value = "$column.columnComment")
    private Long id;

    /**
     * 搜索记录
     */
    @ApiModelProperty(value = "搜索记录")
    private String searchHistory;

    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private String createdBy;

    /**
     * 创建人id
     */
    @ApiModelProperty(value = "创建人id")
    private Long createdId;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date createdTime;

    /**
     * 是否删除
     */
    @ApiModelProperty(value = "是否删除")
    private Long delFlag;


}
