package com.crunii.micro.service.appsecond.api.bo;

import com.crunii.micro.common.validate.AddGroup;
import com.crunii.micro.common.validate.EditGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * 个人荣誉信息业务对象 app_personal_honor
 *
 * @author liuchuan
 * @date 2023-12-07
 */

@Data
@EqualsAndHashCode
@ApiModel("个人荣誉信息业务对象")
public class AppPersonalHonorBo {

    /**
     * 主键
     */
    @ApiModelProperty(value = "主键")
    private Long ID;

    /**
     * 基础信息id
     */
    @ApiModelProperty(value = "基础信息id")
    private Long infoId;

    /**
     * 获奖时间
     */
    @ApiModelProperty(value = "获奖时间")
    private Date honorTime;

    /**
     * 荣誉描述
     */
    @ApiModelProperty(value = "荣誉描述")
    private String honorDesc;

    /**
     * 是否删除
     */
    @ApiModelProperty(value = "是否删除")
    private Long deleted;


}
