package com.crunii.micro.service.appsecond.api.bo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

/**
 * @author lyx
 * @date 2023/12/7
 */
@Data
@EqualsAndHashCode
@ApiModel("app查询阵地")
public class AppQueryPositionBo {

	@ApiModelProperty(value = "发现类型")
	private Integer discoverType;

	@ApiModelProperty(value = "阵地类型")
	private String positionTypeCode;

	@ApiModelProperty("名称")
	private String name;

	@ApiModelProperty(value = "行政区id")
	private String districtCode;

	@ApiModelProperty(value = "距离")
	private Integer distance;

	@ApiModelProperty(value = "经度")
	private BigDecimal longitude;

	@ApiModelProperty(value = "纬度")
	private BigDecimal latitude;

	@ApiModelProperty(value = "左上经度")
	private BigDecimal leftLongitude;

	@ApiModelProperty(value = "左上纬度")
	private BigDecimal leftLatitude;

	@ApiModelProperty(value = "右下经度")
	private BigDecimal rightLongitude;

	@ApiModelProperty(value = "右下纬度")
	private BigDecimal rightLatitude;
}
