package com.crunii.micro.service.appsecond.api.bo.youthHotPoint;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author wangchen create 2023/12/4 19:04
 */
@Data
@ApiModel("分页参数")
public class ContextManageDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("是否要闻")
    private boolean importantNews;

    @ApiModelProperty("发布账号")
    private String idName;

    @ApiModelProperty("内容标题")
    private String contentTitle;

    @ApiModelProperty("状态")
    private Integer state;

    @ApiModelProperty("是否热搜 不传查全部 0 不是热搜 1 热搜")
    private Integer hotSearch;

    @ApiModelProperty("是否热榜 不传查全部 0 不是热榜 1 热榜")
    private Integer hotList;

    @ApiModelProperty("开始时间")
    private Date startTime;

    @ApiModelProperty("结束时间")
    private Date endTime;
}
