package com.crunii.micro.service.appsecond.api.bo.youthHotPoint;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

@ApiModel("青年热点审核dto")
@Data
public class YouthPublicAuditDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键id")
    @NotNull(message = "审核id不能为空")
    private Long contentManageId;

    @ApiModelProperty("用户id")
    private String id;

    @ApiModelProperty("0 审核失败 1审核成功")
    @NotNull(message = "审核状态不能为空")
    private Boolean auditPass;

    @ApiModelProperty("审核通过||失败原因")
    private String reason;
}
