package com.crunii.micro.service.appsecond.api.dto;

import lombok.Data;

/**
 * @author lyx
 * @date 2023/12/8
 */
@Data
public class AppDownloadRecordSaveDTO {
	/**
	 * 文件id
	 */
	private Long fileId;
	/**
	 * 接口类型   0-图绘青春下载，1-文件下载
	 */
	private Integer type;

	/**
	 * 当为文件下载时，必须传文件下载到手机的存储路径
	 */
	private String path;

	/**
	 * 当为文件下载时，必须传文件下载url
	 */
	private String fileUrl;
}
