package com.crunii.micro.service.appsecond.api.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.GeneratedValue;
import java.math.BigDecimal;

/**
 * @author denggl
 * date 2023/12/11
 */
@Data
@ApiModel("青创空间单价对象")
public class CqzdPriceObjectDto {

    private Long id ;
    /** 单价类型(0:按月1:按季2:按年) */
    @ApiModelProperty(value = "单价类型(0:按月1:按季2:按年)")
    private Integer priceType ;
    /** 最低值 */
    @ApiModelProperty(value = "最低值")
    private BigDecimal priceMin ;
    /** 最高值 */
    @ApiModelProperty(value = "最高值")
    private BigDecimal priceMax ;
    /** 是否包含水电(0:否、1:是) */
    @ApiModelProperty(value = "是否包含水电(0:否、1:是)")
    private Integer includeState ;
    /** 单价包含的具体内容 */
    @ApiModelProperty(value = "单价包含的具体内容")
    private String includeContent ;
  
}
