package com.crunii.micro.service.appsecond.api.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author: LG
 * @date: 2023/12/14 16:19
 */
@Data
@EqualsAndHashCode
@ApiModel("启动或关闭面容DTO")
public class SetFaceDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("1:开起，0关闭")
    @NotNull
    private Integer state;
}
