package com.crunii.micro.service.appsecond.api.dto.youthsapce;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import lombok.Data;

/**
 * @Author thw
 * @date 2023/12/12
 * @description 青创空间附件DTO
 */
@Data
@ApiModel(value = "青创空间附件DTO")
public class YouthSpaceFileDTO implements Serializable {

  private static final Long serialVersionUID = 2L;

  /** 附件id */
  @ApiModelProperty(value = "附件id")
  private String fileId;
  /** 附件名称 */
  @ApiModelProperty(value = "附件名称")
  private String fileName;
  /** 附件类型(1:图片、2:视频、3:pdf) */
  @ApiModelProperty(value = "附件类型(1:图片、2:视频、3:pdf)")
  private String fileType;
  /** 附件Url */
  @ApiModelProperty(value = "附件Url")
  private String fileUrl;
//  /** 文件大小 */
//  @ApiModelProperty(value = "文件大小")
//  private Integer fileSize;
//  /** 宽度 */
//  @ApiModelProperty(value = "宽度")
//  private Integer width;
//  /** 高度 */
//  @ApiModelProperty(value = "高度")
//  private Integer height;


}
