package com.crunii.micro.service.appsecond.api.dto.youthsapce;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.List;
import lombok.Data;

/**
 * @Author thw
 * @date 2023/12/12
 * @description 青创空间单价对象DTO
 */
@Data
@ApiModel(value = "青创空间单价对象DTO")
public class YouthSpacePriceReqDTO implements Serializable {

  private static final Long serialVersionUID = 2L;

  /** 单价类型(0:按月1:按季2:按年) */
  @ApiModelProperty(value = "单价类型(0:按月1:按季2:按年)")
  private Integer priceType;
  /** 最低值 */
  @ApiModelProperty(value = "最低值")
  private String priceMin;
  /** 最高值 */
  @ApiModelProperty(value = "最高值")
  private String priceMax;
  /** 是否包含水电(0:否、1:是) */
  @ApiModelProperty(value = "是否包含水电(0:否、1:是)")
  private Integer includeState;
  /** 单价包含的具体内容 */
  @ApiModelProperty(value = "单价包含的具体内容")
  private List<String> includeContent;




}
