package com.crunii.micro.service.appsecond.api.vo;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * 【请填写功能名称】视图对象 app_content_manage
 *
 * @author liuchuan
 * @date 2023-12-07
 */
@Data
@ApiModel("【请填写功能名称】视图对象")
@ExcelIgnoreUnannotated
public class AppContentManageVo {

    private static final long serialVersionUID = 1L;

    /**
     * 媒体主键id
     */
    @ExcelProperty(value = "媒体主键id")
    @ApiModelProperty("媒体主键id")
    private Long mediumId;
    /**
     * 状态 -1 已删除 0草稿 1 已发布
     */
    @ExcelProperty(value = "状态 -1 已删除 0草稿 1 已发布")
    @ApiModelProperty("状态 -1 已删除 0草稿 1 已发布")
    private Long state;
    /**
     * 内容标题
     */
    @ExcelProperty(value = "内容标题")
    @ApiModelProperty("内容标题")
    private String contentTitle;
    /**
     * 点赞数
     */
    @ExcelProperty(value = "点赞数")
    @ApiModelProperty("点赞数")
    private Long likeCount;
    /**
     * 收藏数
     */
    @ExcelProperty(value = "收藏数")
    @ApiModelProperty("收藏数")
    private Long collectCount;
    /**
     * 浏览量
     */
    @ExcelProperty(value = "浏览量")
    @ApiModelProperty("浏览量")
    private Long readCount;
    /**
     * 标签id
     */
    @ExcelProperty(value = "标签id")
    @ApiModelProperty("标签id")
    private Long labelId;
    /**
     * 是否热搜
     */
    @ExcelProperty(value = "是否热搜")
    @ApiModelProperty("是否热搜")
    private Long whetherHotSearch;
    /**
     * 是否热榜
     */
    @ExcelProperty(value = "是否热榜")
    @ApiModelProperty("是否热榜")
    private Long whetherHotList;
    /**
     * 热搜/热榜序值
     */
    @ExcelProperty(value = "热搜/热榜序值")
    @ApiModelProperty("热搜/热榜序值")
    private Long ordinalValue;
    /**
     * 文件类型 1 上图下文 2 图文穿插 3视频内容
     */
    @ExcelProperty(value = "文件类型 1 上图下文 2 图文穿插 3视频内容")
    @ApiModelProperty("文件类型 1 上图下文 2 图文穿插 3视频内容")
    private Long fileType;
    /**
     * 排序（app排序）
     */
    @ExcelProperty(value = "排序")
    @ApiModelProperty("排序（app排序）")
    private Long appSort;
    /**
     * 发布时间
     */
    @ExcelProperty(value = "发布时间")
    @ApiModelProperty("发布时间")
    private Date releaseTime;

}
