package com.crunii.micro.service.appsecond.api.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author lyx
 * @date 2023/12/7
 */
@Data
@ApiModel("app发现搜索")
@ExcelIgnoreUnannotated
public class AppDiscoverListVo {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty("id")
	private Long id;

	@ApiModelProperty("阵地类型")
	private String positionTypeName;

	@ApiModelProperty("阵地名称")
	private String positionName;

	@ApiModelProperty("行政区")
	private String districtName;

	@ApiModelProperty("电话")
	private String phone;

	@ApiModelProperty("地址")
	private String address;

	@ApiModelProperty(value = "距离")
	private Integer distance;

	@ApiModelProperty(value = "经度")
	private BigDecimal longitude;

	@ApiModelProperty(value = "纬度")
	private BigDecimal latitude;

	@ApiModelProperty(value = "行政区id")
	private String districtCode;

	@ApiModelProperty(value = "阵地类型(静态表code)")
	private String positionTypeCode;

	@ApiModelProperty(value = "file_url")
	private String fileUrl;

	@ApiModelProperty(value = "file_type")
	private String fileType;

	@ApiModelProperty(value = "file_name")
	private String fileName;
}
