package com.crunii.micro.service.appsecond.api.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * 阵地附件视图对象 app_discover_position_annex
 *
 * @author ruoyi
 * @date 2023-12-14
 */
@Data
@ApiModel("阵地附件视图对象")
@ExcelIgnoreUnannotated
public class AppDiscoverPositionAnnexVo {

    private static final long serialVersionUID = 1L;

    /**
     * 附件主表id
     */
    @ExcelProperty(value = "附件主表id")
    @ApiModelProperty("附件主表id")
    private String fileId;
    /**
     * 附件名称
     */
    @ExcelProperty(value = "附件名称")
    @ApiModelProperty("附件名称")
    private String fileName;
    /**
     * 附件url
     */
    @ExcelProperty(value = "附件url")
    @ApiModelProperty("附件url")
    private String fileUrl;
    /**
     * 附件类型
     */
    @ExcelProperty(value = "附件类型")
    @ApiModelProperty("附件类型")
    private String fileType;
    /**
     * 主表id
     */
    @ExcelProperty(value = "主表id")
    @ApiModelProperty("主表id")
    private Long businessId;

}
