package com.crunii.micro.service.appsecond.api.vo;

import java.time.LocalDateTime;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.datatype.jsr310.ser.LocalDateTimeSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * 帮助中心搜索视图对象 app_help_history
 *
 * @author liuchuan
 * @date 2023-12-07
 */
@Data
@ApiModel("帮助中心搜索视图对象")
@ExcelIgnoreUnannotated
public class AppHelpHistoryVo {

    private static final long serialVersionUID = 1L;

    /**
     * 搜索记录
     */
    @ExcelProperty(value = "搜索记录")
    @ApiModelProperty("搜索记录")
    private String searchHistory;
    /**
     * 创建人
     */
    @ExcelProperty(value = "创建人")
    @ApiModelProperty("创建人")
    private String createdBy;
    /**
     * 创建人id
     */
    @ExcelProperty(value = "创建人id")
    @ApiModelProperty("创建人id")
    private Long createdId;
    /**
     * 创建时间
     */
    @ExcelProperty(value = "创建时间")
    @ApiModelProperty("创建时间")
    @JsonSerialize(using = LocalDateTimeSerializer.class)
    private LocalDateTime createdTime;

}
