package com.crunii.micro.service.appsecond.api.vo;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * 个人荣誉信息视图对象 app_personal_honor
 *
 * @author liuchuan
 * @date 2023-12-07
 */
@Data
@ApiModel("个人荣誉信息视图对象")
@ExcelIgnoreUnannotated
public class AppPersonalHonorVo {

    private static final long serialVersionUID = 1L;

    /**
     * 基础信息id
     */
    @ExcelProperty(value = "基础信息id")
    @ApiModelProperty("基础信息id")
    private Long infoId;
    /**
     * 获奖时间
     */
    @ExcelProperty(value = "获奖时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty("获奖时间")
    private Date honorTime;
    /**
     * 荣誉描述
     */
    @ExcelProperty(value = "荣誉描述")
    @ApiModelProperty("荣誉描述")
    private String honorDesc;


}
