package com.crunii.micro.service.appsecond.api.vo;

import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.util.Date;

/**
 * @BelongsProject: microservice
 * @BelongsPackage: com.crunii.micro.service.appsecond.api.vo
 * @Author: limy
 * @CreateTime: 2023-12-13  16:47
 * @Description: 相同字段对象
 * @Version: 1.0
 */
@Data
@ApiModel
public class AppPersonalSameFieldVo {
    /**
     * 应用code
     */
    private String appCode;

    /**
     * 相同字段code
     */
    private String fieldCode;

    /**
     * 相同字段值
     */
    private String fieldValue;

    /**
     * 更新时间
     */
    private Date updateTime;

}
