package com.crunii.micro.service.appsecond.api.vo;

import com.crunii.micro.core.annotation.PropertyTranslate;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author denggl
 * date 2023/12/16
 */
@Data
@ApiModel("侧重领域")
public class FocusOnAreaVo {
    @ApiModelProperty("侧重领域")
    private String focusOnArea;
    @ApiModelProperty("侧重领域翻译")
    @PropertyTranslate(propertyCode = "qckjFocusOnAreas",valueFiled = "focusOnArea")
    private String focusOnAreasName;
    @ApiModelProperty(name = "空间id")
    private Long spaceId ;
}
