package com.crunii.micro.service.appsecond.api.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/6/16 15:13
 */
@Data
public class ImagesVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "上传id")
    private Long uploadId;

    @ApiModelProperty(value = "文件标题")
    private String fileTitle;

    @ApiModelProperty(value = "标签")
    private List<String> labels;

    @ApiModelProperty(value = "图片链接")
    private String url;

    @ApiModelProperty(value = "fileKey")
    private String fileKey;

    @ApiModelProperty("图片名称")
    private String fileName;

    @ApiModelProperty("图片宽度")
    private Integer width;

    @ApiModelProperty("图片高度")
    private Integer height;
}
