package com.crunii.micro.service.appsecond.api.vo;

import com.crunii.micro.core.annotation.PropertyTranslate;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author denggl
 * date 2023/12/16
 */
@Data
@ApiModel("app申请进度视图")
public class QczdTeamStayschedule {

    /** 申请人姓名 */
    @ApiModelProperty(value = "申请人姓名")
    private String applicantName ;
    /** 申请时间 */
    @ApiModelProperty(value = "申请时间")
    private Date applyTime;

/*
    */
/** 审核状态(-1:已撤销申请、1:待审核、2:审核通过、3:审核不通过) *//*

    @ApiModelProperty(value = "审核状态(-1:已撤销申请、1:待审核、2:审核通过、3:审核不通过)")
    private Integer applyState ;
*/

    /** 审核时间 */
    @ApiModelProperty(value = "审核时间")
    private Date auditTime ;
    /** 审核人id */
    @ApiModelProperty(value = "审核人id")
    private Integer auditWorkerId ;
    /** 审核人 */
    @ApiModelProperty(value = "审核人")
    private String auditWorkerName ;
    /** 审核状态(-1:已撤销申请、1:待审核、2:审核通过、3:审核不通过) */
    @ApiModelProperty(value = "审核状态(-1:已撤销申请、1:待审核、2:审核通过、3:审核不通过)")
    private Integer auditState ;
    /** 审核原因 */
    @ApiModelProperty(value = "审核原因")
    @PropertyTranslate(propertyCode = "TeamAuditReason",valueFiled = "reson")
    private String auditReason ;
    private String reson;
/*    *//** 理由描述（审核原因：其它的文本框） *//*
    @ApiModelProperty(value = "理由描述（审核原因：其它的文本框）")
    private String reasonDetail ;*/

    @ApiModelProperty(value = "孵化操作人")
    private String operateName;
    @ApiModelProperty(value = "孵化操作审核时间")
    private  Date operateTime;
/*
    *//** 团队状态(0:入驻中、1、已结束孵化)) *//*
    @ApiModelProperty(value = "团队状态(0:入驻中、1、已结束孵化))")
    private Integer teamState ;*/
}
