package com.crunii.micro.service.appsecond.api.vo;

import com.crunii.micro.core.annotation.PropertyTranslate;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author denggl
 * date 2023/12/16
 */
@ApiModel("青创空间共享配置")
@Data
public class SaringSettingsVo {
    @ApiModelProperty("青创空间共享配置")
    private String sharingSetting;
    @ApiModelProperty("青创空间共享配置翻译")
    @PropertyTranslate(propertyCode = "qckjsharingSettings",valueFiled = "sharingSetting")
    private String sharingSettingName;
    @ApiModelProperty(name = "空间id")
    private Long spaceId ;

}
