package com.crunii.micro.service.appsecond.api.vo;

import lombok.Data;

import java.util.Objects;

/**
 * @Author: zwx
 * @CreateTime: 2023-12-13  10:03:13
 * @Description: 我的活动返回参数
 */
@Data
public class VolunteerActivityVO {

    /**
     * 活动区域
     */
    private String activityArea;
    /**
     * 活动id
     */
    private Long activityId;
    /**
     * 活动名称
     */
    private String activityName;
    /**
     * 活动开始时间;格式为：YYYY-MM-DD HH:mm:ss
     */
    private String begTime;

    public void setBegTime(String begTime) {
        this.begTime = Objects.nonNull(begTime)?begTime.substring(0,10):"";
    }

    /**
     * 活动图片地址
     */
    private String img;
}
