package com.crunii.micro.service.appsecond.api.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author gongsongtao
 * @date 2023/12/12 19:37
 */
@Data
@ApiModel("app-我的常用-返回参数")
public class WorkerAppRspVO {

    @ApiModelProperty(value = "id")
    private Long appId;

    @ApiModelProperty(value = "app编码")
    private String appCode;

    @ApiModelProperty(value = "app跳转路径")
    private String appUrl;

    @ApiModelProperty(value = "app名称")
    private String appName;

    @ApiModelProperty(value = "图标LOGO地址")
    private String logoUrl;

    @ApiModelProperty(value = "应用类别(1.自有应用、2.外部应用)")
    private Integer appType;

    @ApiModelProperty("公钥")
    private String publicKey;

    @ApiModelProperty("私钥")
    private String privateKey;

    @ApiModelProperty(value = "是否清除浏览器缓存(1是,0否)")
    private Integer isClearLocalStorage;

    @ApiModelProperty(value = "1 是 0 否 ")
    private Integer isCheckLogin;

    @ApiModelProperty("是否必须进行认证 1:必须认证 0:不需要认证")
    private Integer mustAuth;

    @ApiModelProperty("是否16进制 1:是 0:否")
    private Integer mustHex;

    @ApiModelProperty("顺序")
    private Integer sort;

    @ApiModelProperty(value = "状态")
    private Integer type;
}
