package com.crunii.micro.service.appsecond.api.vo.appmultimodules;

import com.crunii.micro.service.appsecond.api.vo.youthHotPoint.YouthContextVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * youth-cq.
 * 查询热搜榜热度榜
 * @author leixb
 * @since 2023-12-09 17:22
 **/
@Data
@ApiModel("热搜榜热度榜响应体")
public class AppMultiModulesHotResVo implements Serializable {
    
    private static final long serialVersionUID = 1L;
    
    @ApiModelProperty("热搜榜")
    private List<YouthContextVo> hotSearchList;
    
    @ApiModelProperty("热度榜")
    private List<YouthContextVo> hotList;
    
    
}
