package com.crunii.micro.service.appsecond.api.vo.appmultimodules;

import com.crunii.micro.service.appsecond.api.vo.youthHotPoint.YouthContextVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Column;
import java.io.Serializable;

/**
 * youth-cq.
 * 查询热搜榜热度榜
 * @author leixb
 * @since 2023-12-09 17:22
 **/
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("热搜榜热度榜数据实体")
public class AppMultiModulesHotVo extends YouthContextVo {
    
    private static final long serialVersionUID = 1L;
    
    /** 0无 1 热榜 */
    @ApiModelProperty("0无 1 热榜")
    private Integer hotList;
    
    /** 0无 1 热搜 */
    @ApiModelProperty("0无 1 热搜")
    private Integer hotSearch;
    
    /** 热榜序值 */
    @ApiModelProperty("热榜序值")
    private Integer listOrdinalValue;
    
    /** 热搜序值 */
    @ApiModelProperty("热搜序值")
    private Integer searchOrdinalValue;
}
