package com.crunii.micro.service.appsecond.api.vo.appmultimodules;

import com.crunii.micro.service.appsecond.api.vo.youthHotPoint.YouthContextVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * youth-cq.
 * 浏览记录分页查询数据实体
 * @author leixb
 * @since 2023-12-13 16:08
 **/
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("浏览记录分页查询数据实体")
public class AppUserViewVo extends YouthContextVo {
    
    private static final long serialVersionUID = 1L;
    
    @ApiModelProperty("浏览记录类型 1 今天 2 昨天 3 一周内")
    private Integer viewType;
    
    @ApiModelProperty("图片key")
    private String picKey;
    
    @ApiModelProperty("视频key")
    private String fileId;
}
