package com.crunii.micro.service.appsecond.api.vo.youthHotPoint;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@ApiModel("查询审核流程")
@Data
public class AuditFlowVo  implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("操作人")
    private String operator;

    @ApiModelProperty("是否发布人 1 是 0 审核 2 待审核人")
    private int isSubmitUser;

    @ApiModelProperty("审核时间")
    private Date createTime;

    @ApiModelProperty("所属组织")
    private String orgName;

    @ApiModelProperty("审核结果类型 1通过 3失败")
    private Integer resultType;

    @ApiModelProperty("审核结果翻译 ")
    private String resultStr;

    @ApiModelProperty("备注")
    private String reason;
}
