package com.crunii.micro.service.appsecond.api.vo.youthHotPoint;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author wangchen create 2023/12/4 19:20
 */
@Data
@ApiModel("返回vo")
public class ContextAppDetailVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("视频uid")
    private String fileId;

    private String picKey;

    @ApiModelProperty("媒体头像")
    private String mediumHeadPic;

    @ApiModelProperty("媒体账号")
    private String idName;

    @ApiModelProperty("媒体id")
    private Long mediumId;

    @ApiModelProperty("图片url")
    private List<String> urls;

    @ApiModelProperty("封面图片key 如果是视频封面传入1个（否则默认第一帧）")
    private List<String> fileKeys;

    @ApiModelProperty("内容标题")
    private String contentTitle;

    @ApiModelProperty("内容 富文本")
    private String articleContext;

    @ApiModelProperty("标签名称")
    private String labelName;

    @ApiModelProperty("点赞数")
    private Integer likeCount;

    @ApiModelProperty("收藏数")
    private Integer collectCount;

    @ApiModelProperty("type为1最大高度")
    private Float divideNumber;

    @ApiModelProperty("是否关注 0否 1 是")
    private int interest;

    @ApiModelProperty("是否点赞 0否 1 是")
    private int concurrentLike;

    @ApiModelProperty("是否收藏 0否 1 是")
    private int concurrentCollect;

    @ApiModelProperty("是否可审核 0 否 1是")
    private int canAuth;
}
