package com.crunii.micro.service.appsecond.api.vo.youthHotPoint;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author wangchen create 2023/12/6 18:28
 */
@Data
@ApiModel("操作历史vo")
public class HandleHistoryVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("内容主键id")
    private Long contentManageId;

    @ApiModelProperty("操作内容")
    private String contentTitle;

    @ApiModelProperty("操作前序值")
    private Integer beforeOrdinalValue;

    @ApiModelProperty("操作后序值")
    private Integer afterOrdinalValue;

    @ApiModelProperty("操作人")
    private String workerName;

    @ApiModelProperty("时间")
    private Date createTime;
}
