package com.crunii.micro.service.appsecond.api.vo.youthHotPoint;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author wangchen create 2023/12/4 19:48
 */
@Data
@ApiModel("媒体矩阵分页vo")
public class MediumContentHotVo implements Serializable {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty("组织名称")
    @ExcelProperty("组织名称")
    private String orgName;

    @ApiModelProperty("账号名称")
    @ExcelProperty("账号名称")
    private String idName;

    @ApiModelProperty("内容标题")
    @ExcelProperty("内容标题")
    private String contentTitle;

    @ApiModelProperty("点赞数")
    @ExcelProperty("点赞数")
    private Integer likeCount;

    @ApiModelProperty("收藏数")
    @ExcelProperty("收藏数")
    private Integer collectCount;

    @ApiModelProperty("浏览量")
    @ExcelProperty("浏览量")
    private Integer readCount;

    @ApiModelProperty("发布时间")
    @ExcelProperty("发布时间")
    private Date releaseTime;
}
