package com.crunii.micro.service.appsecond.api.vo.youthHotPoint;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangchen create 2023/12/4 19:48
 */
@Data
@ApiModel("媒体分页参数")
public class MediumHotVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键id")
    @ExcelIgnore
    private Long mediumId;

    @ApiModelProperty("组织名称")
    @ExcelProperty("所属组织")
    private String orgName;

    @ApiModelProperty("账号名称")
    @ExcelProperty("账号名称")
    private String idName;

    @ApiModelProperty("关注度")
    @ExcelProperty("关注数")
    private Integer attention;

    @ApiModelProperty("发布内容数量")
    @ExcelProperty("发布内容数量")
    private Integer contextNumber;
}
