package com.crunii.micro.service.appsecond.api.vo.youthHotPoint;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author wangchen create 2023/12/11 19:33
 */
@Data
@ApiModel("媒体矩阵组织树")
public class MediumOrgTree implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("组织名称")
    private String orgName;

    @ApiModelProperty("组织id")
    private Long orgId;

    @ApiModelProperty("关注数")
    private Integer attention;

    @ApiModelProperty("子节点")
    private List<MediumOrgTree> children;

    @ApiModelProperty(value = "是否叶子节点")
    private boolean isLeaf;
}
