package com.crunii.micro.service.appsecond.api.vo.youthHotPoint;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@ApiModel("组织权限")
public class OrgAuthTreeVo implements Serializable {

    private static final long serialVersionUID = 1L;

    private Long orgId;

    private String orgName;

    @ApiModelProperty(value = "是否叶子节点")
    private boolean isLeaf;

    public Long getOrgId() {
        return orgId;
    }

    public String getOrgName() {
        return orgName;
    }

    public boolean getIsLeaf() {
        return isLeaf;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public void setIsLeaf(boolean leaf) {
        isLeaf = leaf;
    }
}
