package com.crunii.micro.service.appsecond.api.vo.youthHotPoint;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangchen create 2023/12/5 11:09
 */
@Data
@ApiModel("青年热点公共详情内容")
public class YouthHotPublicDetailVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("内容主键id")
    private Long contentManageId;

    @ApiModelProperty("内容标题")
    private String contentTitle;

    @ApiModelProperty("内容 富文本")
    private String articleContext;

    @ApiModelProperty("文章类型")
    private Integer fileType;

    @ApiModelProperty("是否要闻 1 是")
    private int isImportantNews;

    @ApiModelProperty("是否审核")
    private int canAuth;
}
