package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.AppDiscoverPositionAnnex;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 阵地附件Mapper接口
 *
 * @author ruoyi
 * @date 2023-12-14
 */
@Repository
public interface AppDiscoverPositionAnnexRepo extends BaseRepo<AppDiscoverPositionAnnex, Long> {
    @Query(value = "update app_discover_position_annex set del_flag=1 where business_id= ?1 ",nativeQuery = true)
    void deleteByBusinessIds(Long businessId);


    List<AppDiscoverPositionAnnex> findAppDiscoverPositionAnnexByBusinessIdAndVideoFlag(Long businessId,Integer videoFlag);

}
