package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.AppHelpCenter;
import org.springframework.stereotype.Repository;

/**
 * app帮助中心Mapper接口
 *
 * @author liuchuan
 * @date 2023-12-06
 */
@Repository
public interface AppHelpCenterRepo extends BaseRepo<AppHelpCenter, Long> {

	AppHelpCenter findByIdAndDelFlag(Long id, int i);
	AppHelpCenter findByHelpTypeAndDelFlag(Integer type,int i);
}
