package com.crunii.micro.service.appsecond.config;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
@Component
@ConfigurationProperties(prefix = "youthhot")
public class YouthHotConfigProperty {
    private Integer auditRoleId;
    private Integer uploadRoleId;
    private String judgeUrl;
}
