package com.crunii.micro.service.appsecond.enums;

import lombok.Getter;

@Getter
public enum AuthAppEnum {
    //志愿山城、青马、少先队
    TYPE_ZYSC("CQZYSC","通过"),
    TYPE_QM("QMGZ","YCQ_QM_USER_INFO"),
    TYPE_SXD("oneAffair","YCQ_YJS_STUDENT"),
    TYPE_MQ("youthHeadlines2","");
    private String code;
    private String val;

    AuthAppEnum(String code, String val) {
        this.code = code;
        this.val = val;
    }
    public static AuthAppEnum getValByCode(String code){
        //默认
        AuthAppEnum result = AuthAppEnum.TYPE_MQ;
        for (AuthAppEnum item : values()) {
            if (item.code.equals(code)){
                result = item;
            }
        }
        return result;
    }
}
