package com.crunii.micro.service.appsecond.enums;

import com.crunii.micro.service.appsecond.enums.YouthSpaceEnums.EvaluateStateEnum;
import lombok.Getter;

/**
 * @Author thw
 * @date 2023/12/12
 * @description
 */
public class PriceEnums {

  /** 通用：单价类型枚举  */
  public enum PriceTypeEnum{

    MONTHC(0,"按月"),
    QUARTER(1,"按季"),
    YEAR(2,"按年"),
    ;

    @Getter
    private Integer num;

    @Getter
    private String desc;

    PriceTypeEnum(Integer num,String desc){
      this.num = num;
      this.desc = desc;
    }

    public static PriceTypeEnum getPriceTypeEnum(Integer num){
      PriceTypeEnum[] values = PriceTypeEnum.values();
      for (PriceTypeEnum value : values) {
        if(value.getNum().equals(num)){
          return value;
        }
      }
      return null;
    }
  }

}
