package com.crunii.micro.service.appsecond.enums;

import lombok.Getter;

@Getter
public enum SamePersonalFieldEnum {
    //志愿山城、青马、少先队
    FIELD_SFZH("idNum","身份证号"),
    TYPE_ZZMM("politicCountenance","政治面貌"),
    TYPE_GZDW("workUnit","工作单位"),
    TYPE_XL("education","学历");
    private String code;
    private String val;

    SamePersonalFieldEnum(String code, String val) {
        this.code = code;
        this.val = val;
    }
    public static SamePersonalFieldEnum getValByCode(String code){
        //默认
        SamePersonalFieldEnum result = SamePersonalFieldEnum.FIELD_SFZH;
        for (SamePersonalFieldEnum item : values()) {
            if (item.code.equals(code)){
                result = item;
            }
        }
        return result;
    }
}
