package com.crunii.micro.service.appsecond.enums;

import lombok.Getter;

/**
 * @Author thw
 * @date 2024/1/8
 * @description
 */
public enum SecondPushMessageEnum {


  TEAM_STAY_APPLY("创新创业","创业青年申请通知","创业青年申请通知"),
  TEAM_STAY_CHECK("创新创业","入驻申请审核结果通知","入驻申请审核结果通知"),
  ;

  /** 系统名称 */
  @Getter
  private String systemName;

  /** 场景名称 */
  @Getter
  private String sceneName;

  /** 标题 */
  @Getter
  private String title;

  SecondPushMessageEnum(String systemName,String sceneName,String title){
    this.systemName = systemName;
    this.sceneName = sceneName;
    this.title = title;
  }


}
