package com.crunii.micro.service.appsecond.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.domain.entity.main.AppDownloadRecord;
import com.crunii.micro.service.appsecond.api.dto.AppDownloadRecordSaveDTO;
import com.crunii.micro.service.appsecond.api.dto.LabelDto;
import com.crunii.micro.service.appsecond.api.vo.AppDownLoadFileVo;
import com.crunii.micro.service.appsecond.api.vo.ImagesVo;

import java.util.List;

/**
 * @author lyx
 * @date 2023/12/8
 */
public interface AppDownloadRecordService {
	Result<Boolean> saveDownloadRecord(Worker worker, AppDownloadRecordSaveDTO dto);

	Result<List<AppDownloadRecord>> queryAppList(Worker worker, Integer type);

	Result<PageRsp<ImagesVo>> queryList(PageReq<LabelDto> req);

	Result<PageRsp<AppDownLoadFileVo>> queryFileList(PageReq<LabelDto> req);
}
