package com.crunii.micro.service.appsecond.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.appsecond.api.dto.youthsapce.YouthSpacAuditReqDTO;
import com.crunii.micro.service.appsecond.api.dto.youthsapce.YouthSpacCReqDTO;
import com.crunii.micro.service.appsecond.api.dto.youthsapce.YouthSpacePageReqDTO;
import com.crunii.micro.service.appsecond.api.dto.youthsapce.YouthSpaceStateReqDTO;
import com.crunii.micro.service.appsecond.api.vo.youthspace.YouthSpacePageVO;

/**
 * @Author thw
 * @date 2023/12/12
 * @description 青创空间管理
 */
public interface YouthSpaceService {

  PageRsp<YouthSpacePageVO> pageSpaceInfo(PageReq<YouthSpacePageReqDTO> bo);

  Result saveSpace(YouthSpacCReqDTO bo);

  Result updateSpace(YouthSpacCReqDTO bo);

  Result updateEvaluateState(YouthSpacAuditReqDTO bo);

  Result updateSpaceState(YouthSpaceStateReqDTO bo);

  Result deleteSpaceById(Long aLong);
}
