package com.crunii.micro.service.app.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/7/10 16:22
 */
@Data
public class ActivityVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("活动ID")
    private String id;

    @ApiModelProperty("活动图片地址")
    private String img;

    @ApiModelProperty("活动名称")
    private String activityName;

    @ApiModelProperty("活动区域")
    private String activityArea;

    @ApiModelProperty("招募人数;0表示不限人数")
    private Integer recruitmentCnt;

    @ApiModelProperty("已报名志愿者数量")
    private Integer applicantCnt;

    @ApiModelProperty("活动开始时间")
    private Date begTime;

    @ApiModelProperty("活动结束时间")
    private Date endTime;

    @ApiModelProperty("活动剩余时间")
    private String activityTime;

    @ApiModelProperty("跳转链接")
    private String actUrl;

}
