package com.crunii.micro.service.app.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangchen create 2023/8/15 15:50
 */
@Data
public class ArticleCountVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "阅读量")
    private Long readingQuantity;

    @ApiModelProperty(value = "点赞量")
    private Long likesCount;

    @ApiModelProperty(value = "是否点赞 true是，false 否")
    private boolean like;
}
