package com.crunii.micro.service.app.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author wangchen create 2023/8/14 10:33
 */
@Data
@ApiModel("头条首页分页")
public class HeadlineArticleVo  implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    private Long headlineId;

    @ApiModelProperty(value = "文章标题")
    private String headlineTitle;

    @ApiModelProperty(value = "文章封面")
    private String coverPic;

    @ApiModelProperty(value = "来源")
    private String articleSource;

    @ApiModelProperty(value = "发布时间")
    private Date releaseTime;

    @ApiModelProperty(value = "摘要")
    private String articleAbstract;

    @ApiModelProperty(value = "是否置顶 0否 1是")
    private String isTop;
    
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
    
    @ApiModelProperty(value = "标签id")
    private String labelId;
    
    @ApiModelProperty(value = "标签名称")
    private String labelName;
    
}
