package com.crunii.micro.service.app.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/6/16 16:51
 */
@Data
public class ImageInfoVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "上传id")
    private Long uploadId;

    @ApiModelProperty(value = "文件标题")
    private String fileTitle;

    @ApiModelProperty(value = "上传人姓名")
    private String name;

    @ApiModelProperty(value="图片URL")
    private List<String> photosUrl;

    @ApiModelProperty(value="是否为图册1是0否")
    private Integer isAlbum;

    @ApiModelProperty(value = "描述")
    private String describe;

    @ApiModelProperty(value = "标签")
    private List<String> labels;

    @ApiModelProperty(value = "下载量")
    private Integer number;

    @ApiModelProperty(value = "所需积分")
    private Integer requiredIntegral;
}
