package com.crunii.micro.service.app.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.sys.PicInfoVo;
import com.crunii.micro.service.app.dto.HeadlineArticleVo;
import com.crunii.micro.service.app.dto.MatchActivityVo;
import com.crunii.micro.service.app.dto.PageDto;
import com.crunii.micro.service.app.dto.StudyPlacardVo;

import java.util.List;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/6/25 19:48
 */
public interface HomeService {

    Result<List<StudyPlacardVo>> queryHotPlacard(String sysCode);

    Result<Object> activityNum();

    Result<Object> activityList(PageDto pageDto);

    Result<PageRsp<PicInfoVo>> hotRankingList(PageReq<String> req);

    Result<MatchActivityVo> matchActivity();

    List<HeadlineArticleVo>  headlineArticleTop();
}
