/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved.
 * <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.elstic.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.feign.client.dto.ElsticFileDto;
import com.crunii.micro.feign.client.dto.FileElsticPageDto;

import java.io.IOException;
import java.util.List;

/**
 * @author shenhs create 2023/6/10 18:35
 */
public interface FileEsService {

	void create() throws IOException;

	void save(ElsticFileDto dto) throws IOException;

	void save(List<ElsticFileDto> dtos)throws IOException;

	List<ElsticFileDto> searchFileInfo(String searchText) throws IOException;

	PageRsp<List<ElsticFileDto>> searchFileInfo(PageReq<FileElsticPageDto> dtoPageReq) throws IOException;

	void del(String id) throws IOException;

	void batchUpdate(List<ElsticFileDto> dtos) throws IOException;

    void delIndex(String indexName);
}
