package com.crunii.micro.service.filemanager.constants;

import java.util.ArrayList;
import java.util.List;

/**
 * @author: LG
 * @date: 2023/6/9 9:21
 */
public class FileConstants {

    /**
     * 上传员
     */
    public static final Integer UPLOAD_PERSON = 10013;

    /**
     * 部门审核员
     */
    public static final Integer DEPARTMENT_AUDIT_PERSON = 10012;

    /**
     * 系统审核员
     */
    public static final Integer SYS_AUDIT_PERSON = 10014;

    /**
     * 有顺序的角色列表
     */
    public static final List<Integer> SORT_ROLES = new ArrayList<>();
    static {
        SORT_ROLES.add(UPLOAD_PERSON);
        SORT_ROLES.add(DEPARTMENT_AUDIT_PERSON);
        SORT_ROLES.add(SYS_AUDIT_PERSON);
    }


    /**
     *驳回原因 静态值code
     */
    public static final String REJECT_REASON_CODE = "rejectReason";

    /**
     * 热们搜索超时时间
     */
    public static final int HOT_SEARCH_TIME = 32;
}

