package com.crunii.micro.service.filemanager.dto;

import com.crunii.micro.core.annotation.PropertyTranslate;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author wangchen create 2023/6/19 17:39
 */
@Data
public class AuditProcessVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("名字")
    private String workerName;

    @ApiModelProperty("角色id")
    private Integer roleId;

    @ApiModelProperty("审核状态")
    private Integer status;

    @ApiModelProperty("审核状态翻译")
    private String statusTrans;

    @ApiModelProperty("拒绝原因")
    private String reasonLabel;

    @ApiModelProperty("备注")
    private String reason;

    @ApiModelProperty("操作时间")
    private Date createTime;
}
