package com.crunii.micro.service.filemanager.dto;

import com.crunii.micro.domain.dto.sys.PicInfoVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author wangchen create 2023/6/17 10:58
 */
@Data
@ApiModel(description = "文件展示")
public class FileExhibition implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("热门搜索")
    private List<PicInfoVo> hotSearchVos;

    @ApiModelProperty("最近上传")
    private List<PicInfoVo> latestUploadVos;
}
