package com.crunii.micro.service.filemanager.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author wangchen create 2023/6/20 15:51
 */
@Data
public class PageMyFileDto {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("审核状态")
    private List<Integer> auditStatus;

    @ApiModelProperty("模糊查询名字")
    private String name;

    @ApiModelProperty("匹配模式 0模糊匹配、1精确匹配")
    private int matchMode = 0;

    @ApiModelProperty("搜索模式 0搜索全部、1搜索标题、2仅搜索标签")
    private int searchMode = 0;
}
