package com.crunii.micro.service.label.dto.label.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.io.Serializable;
import java.util.List;

/**
 * @author baoxy
 * @date 2023-06-05
 */
@Data
@ApiModel(description = "标签管理批量删除标签入字段")
public class DeleteLabelDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "标签id列表")
    @NotEmpty(message = "请传批量删除列表")
    private List<String> labelIdList;
}
