package com.crunii.micro.service.label.dto.label.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author baoxy
 * @date 2023-05-30
 */
@Data
@ApiModel(description = "标签管理转移标签传入字段")
public class LabelPageSearchDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "标签名称")
    private String labelName;

    @ApiModelProperty(value = "标签分类(传入Id)")
    private String categoryId;

    @ApiModelProperty(value = "发布开始时间")
    private Date releaseStartTime;

    @ApiModelProperty(value = "发布结束时间")
    private Date releaseEndTime;

    @ApiModelProperty(value = "业务类型(1:图绘青春,2:青年热点)")
    private String serviceType;
}
