package com.crunii.micro.service.label.dto.label.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author baoxy
 * @date 2023-12-08
 */
@Data
@ApiModel(description = "标签管理内容标签-展示最近时间的标签(数量自定义)返回字段")
public class LabelRecentlyCountVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("是否要闻")
    private boolean importantNews;

    @ApiModelProperty(value = "标签id")
    private String labelId;

    @ApiModelProperty(value = "标签名称")
    private String labelName;
}
