package com.crunii.micro.service.league.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangchen create 2023/7/19 14:56
 */
@Data
@ApiModel("团员基本信息")
public class BasicLeaderTwoVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("性别 1男 0女")
    private Integer gender;

    @ApiModelProperty("民族")
    private String nationalId;

    @ApiModelProperty("民族翻译")
    private String nationalIdTrans;

    @ApiModelProperty(value = "职业（前端不需要）")
    private String job;

    @ApiModelProperty(value = "职业")
    private String jobTrans;

    @ApiModelProperty(value = "具体职业")
    private String specificJob;

    @ApiModelProperty(value = "学历")
    private String degreeId;

    @ApiModelProperty(value = "政治面貌")
    private String politicalId;

    @ApiModelProperty(value = "入团时间")
    private String joinLeagueTime;

    @ApiModelProperty(value = "发展团员编号")
    private String userCode;

    @ApiModelProperty(value = "入党时间")
    private String joinPartyTime;

    @ApiModelProperty(value = "学习工作单位")
    private String workStudyUnit;

    @ApiModelProperty(value = "邮箱")
    private String email;

    @ApiModelProperty(value = "qq")
    private String qq;

    @ApiModelProperty(value = "微信")
    private String weixin;

    @ApiModelProperty(value = "weibo")
    private String weibo;

    @ApiModelProperty(value = "职务")
    private String positionId;

    @ApiModelProperty(value = "现任职年月")
    private String joinPositionTime;

    @ApiModelProperty(value = "任命方式")
    private String joinPositionWay;

    @ApiModelProperty(value = "团干部性质")
    private String natureId;

    @ApiModelProperty(value = "是否同级党（工）委（党支部）委员 0否")
    private String isSameLevelParty;

    @ApiModelProperty(value = "在岗状态")
    private String onDutyStatus;

    @ApiModelProperty(value = "是否递交入党申请书 0是 1否")
    private String applyApplicationOfCcp;

    @ApiModelProperty(value = "递交入党申请书时间")
    private String partyRecordTime;

    @ApiModelProperty(value = "成为志愿者时间")
    private String becomeEolunteerTime;

    @ApiModelProperty(value = "是否志愿者0否 1是")
    private Integer volunteer;

    @ApiModelProperty(value = "所在组织名称")
    private String leagueName;
}
