package com.crunii.micro.service.league.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangchen create 2023/7/19 16:08
 */
@Data
@ApiModel("团员基本信息")
public class BasicLeaderZeroVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("性别 1男 0女")
    private Integer gender;

    @ApiModelProperty("民族")
    private String nationalId;

    @ApiModelProperty(value = "政治面貌")
    private String politicalId;

    @ApiModelProperty("手机号码")
    private String mobile;

    @ApiModelProperty(value = "邮箱")
    private String email;

    @ApiModelProperty(value = "发展团员编号")
    private String userCode;

    @ApiModelProperty(value = "团籍所在团支部")
    private String leagueName;

    @ApiModelProperty(value = "入团时间")
    private String joinLeagueTime;
}
