package com.crunii.micro.service.league.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangchen create 2023/7/10 10:57
 */
@Data
@ApiModel(description = "干部详细(type=1)")
public class LeaderDetailVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("基本信息")
    private BasicLeaderVo basicLeader;

    @ApiModelProperty("工作信息")
    private LeaderWorkerVo leaderWorker;
}
