package com.crunii.micro.service.league.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangchen create 2023/6/13 16:33
 */
@Data
@ApiModel(description = "组织详情数据")
public class LeagueOrgDetailVo implements Serializable {

    private static final Long serialVersionUID = 1L;

    @ApiModelProperty("组织类别")
    private String leagueTypeName;

    @ApiModelProperty("组织简称")
    private String leagueName;

    @ApiModelProperty("组织全称")
    private String leagueFullName;

    @ApiModelProperty("单位所属行业类别")
    private String industryName;

    @ApiModelProperty("组织书记")
    private String leagueSecretary;

    @ApiModelProperty("联系电话")
    private String contactTelephone;

    @ApiModelProperty("电子邮箱")
    private String contactEmail;

    @ApiModelProperty("上层组织简称")
    private String parentLeagueName;

    @ApiModelProperty("修改人")
    private String modifyName;

    @ApiModelProperty("修改时间")
    private String modifyTime;

    @ApiModelProperty("创建时间")
    private String createTime;

    @ApiModelProperty("14-28团员数量")
    private Integer youth1428Num;

    @ApiModelProperty("年度经推入党团员数")
    private Integer recommendPartyNum;

    @ApiModelProperty("保留团籍党员数")
    private Integer retainLeaguePartyNum;
}
