package com.crunii.micro.service.league.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author wangchen create 2023/6/8 11:21
 */
@Data
@ApiModel(description = "名族分布")
public class NationalityDataVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("团员总数")
    private Integer lmSumCount;

    @ApiModelProperty("汉族团员数")
    private Integer hanLmCount;

    @ApiModelProperty("汉族团员占比")
    private String hanLmProportion;

    @ApiModelProperty("少数民族团员数")
    private Integer minorityLmCount;

    @ApiModelProperty("少数名族团员占比")
    private String minorityLmProportion;

    @ApiModelProperty("列表")
    private List<MemberNationality> memberNationalities;
}
