package com.crunii.micro.service.league.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangchen create 2023/7/19 14:33
 */
@Data
@ApiModel(description = "团干部列表参数")
public class OtherLeaderVo implements Serializable {

    private static final Long serialVersionUID = 1L;

    @ApiModelProperty("主键id")
    private Long leaderId;

    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("用户id")
    private String userId;

    @ApiModelProperty("手机号")
    private String mobile;

    @ApiModelProperty("职务")
    private String positionId;

    @ApiModelProperty("职务翻译")
    private String positionIdTrans;

    @ApiModelProperty("身份证校验")
    private String identityCardMark;

    @ApiModelProperty("身份证校验翻译")
    private String identityCardMarkTrans;
}
