package com.crunii.micro.service.league.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangchen create 2023/7/20 11:09
 */
@Data
@ApiModel(description = "用户荣誉")
public class UserHonorC implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "用户id")
    private String userId;

    @ApiModelProperty(value = "组织全称")
    private String assignorLeagueFullName;

    @ApiModelProperty(value = "组织id")
    private String assignorLeagueId;

    @ApiModelProperty(value = "组织简称")
    private String assignorLeagueName;

    @ApiModelProperty(value = "荣誉id")
    private String honorId;

    @ApiModelProperty(value = "荣誉名称")
    private String honorName;

    @ApiModelProperty(value = "荣誉结构")
    private String honorStruct;

    @ApiModelProperty(value = "荣誉类型")
    private Integer honorType;

    @ApiModelProperty(value = "年份")
    private Integer year;
}
