package com.crunii.micro.service.league.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * @author wangchen create 2023/6/1 19:31
 */
@Data
@ApiModel("团委组织分页参数")
public class YcqLeagueDto  implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("编码")
    @NotBlank(message = "组织编码不能为空")
    private String leagueCode;

    @ApiModelProperty("组织类别")
    private String leagueType;

    @ApiModelProperty("组织名称")
    private String leagueName;

    @ApiModelProperty("leaf 最下级时true查询父类组织")
    private boolean leaf;
}
