package com.crunii.micro.service.league.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangchen create 2023/6/1 16:06
 */
@Data
@ApiModel("团委组织参数")
public class YcqLeagueVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    private String leagueDetailId;

    @ApiModelProperty(value = "组织编码")
    private String leagueId;

    @ApiModelProperty(value = "组织名称")
    private String leagueName;

    @ApiModelProperty(value = "组织类型")
    private String leagueTypeId;

    @ApiModelProperty(value = "组织类型名称")
    private String leagueTypeName;

    @ApiModelProperty(value = "所属行业类别")
    private String industryName;

    @ApiModelProperty(value = "是否乡镇街道团委 0否 1是")
    private Integer isCountry;

    @ApiModelProperty(value = "联系电话")
    private String contactTelephone;

}
