package com.crunii.micro.service.league.enums;

import lombok.Getter;

/**
 * @author wangchen create 2023/6/21 14:15
 */
@Getter
public enum EduLevelSortEnum {
    BS("博士",1),
    SS("硕士",2),
    PTBK("普通本科",3),
    PTZK("普通专科",4),
    PTGZ("普通高中",5),
    ZDZYJY("中等职业教育",6),
    CZ("初中",7),
    OTHER("中等职业教育",8);
    private String levelName;
    private Integer sort;
    EduLevelSortEnum( String levelName,Integer sort){
        this.levelName=levelName;
        this.sort=sort;
    }

    public static Integer getLevelSort(String levelName){
        EduLevelSortEnum[] values = EduLevelSortEnum.values();
        for (EduLevelSortEnum value : values) {
            if(value.levelName.equals(levelName)){
                return value.sort;
            }
        }
        return 10;
    }
}
