package com.crunii.micro.service.match.api;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.match.api.fallback.MatchJobHandlerFallbackFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.ResponseBody;

/**
 * @author liuchuan
 * @version 1.0
 * @description:
 * @date 2024/1/16 10:03
 */
@FeignClient(value = "service-match", fallbackFactory = MatchJobHandlerFallbackFactory.class)
public interface MatchJobHandlerService {

    @GetMapping("/public/MatchJobHandlerController/roundState")
    @ResponseBody
    public Result<Void> roundState();
}
