package com.crunii.micro.service.match.api.bo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Null;

/**
 * @author gongsongtao
 * @date 2024/1/18 11:22
 */
@Data
@ApiModel("赛事审核提交参数")
public class MatchApproveBo {

    @ApiModelProperty("待办id")
    private Long id;

    @ApiModelProperty("业务id")
    private Long bizId ;

    @ApiModelProperty("1审核通过,2审核通过并交上级审核,3审核不通过")
    private Integer resultType;

    @ApiModelProperty("审核原因")
    private String reason;
}
