package com.crunii.micro.service.match.api.bo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import lombok.Data;

/**
 * @Author thw
 * @date 2023/11/20
 * @description
 */
@Data
@ApiModel("查询承办方用户的请求体")
public class MatchOrganizerAccountBo implements Serializable {

  private static final long serialVersionUID = 1L;

  @ApiModelProperty("比赛id")
  private Long matchId;

  @ApiModelProperty("区域id")
  private Long areaId;

  @ApiModelProperty("承办方组织id")
  private Long orgId;

  @ApiModelProperty("账号类型(long_term,temp)")
  private Long limitType;

}
