package com.crunii.micro.service.match.api.bo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 赛事-场次-比赛区域等级;业务对象 mth_area
 *
 * @author mth
 * @date 2023-09-19
 */

@Data
@EqualsAndHashCode
@ApiModel("app-融资项目库-分页查询请求参数")
public class MthProjectAppBo {

    @ApiModelProperty("地区")
    private String address;

    @ApiModelProperty(value = "所属行业")
    private String industry;

    @ApiModelProperty(value = "关键字")
    private String pivotalWord;
}
