package com.crunii.micro.service.match.api.bo;

import com.crunii.micro.common.validate.AddGroup;
import com.crunii.micro.common.validate.EditGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;


/**
 * 青创赛事项目融资项目成员业务对象 mth_project_financing_member
 *
 * @author ruoyi
 * @date 2023-12-18
 */

@Data
@EqualsAndHashCode
@ApiModel("青创赛事项目融资项目成员业务对象")
public class MthProjectFinancingMemberBo {

    /**
     * ID
     */
    @ApiModelProperty(value = "ID")
    private Long id;

    /**
     * 项目融资id
     */
    @ApiModelProperty(value = "项目融资id")
    private Long financingId;

    /**
     * 姓名
     */
    @ApiModelProperty(value = "姓名")
    private String name;

    /**
     * 职务
     */
    @ApiModelProperty(value = "职务")
    private String position;

    /**
     * 个人经历
     */
    @ApiModelProperty(value = "个人经历")
    private String personalExperience;

    /**
     * 头像
     */
    @ApiModelProperty(value = "头像")
    private Long headSculpture;

    /**
     * 排序
     */
    @ApiModelProperty(value = "排序")
    private Integer sortNum;

}
