package com.crunii.micro.service.match.api.bo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 赛事-场次配置;业务对象 mth_round
 *
 * @author mth
 * @date 2023-09-19
 */

@Data
@EqualsAndHashCode
@ApiModel("查询评审详情接口bo业务对象")
public class MthRoundRankingDetailBo {


    /**
     * 场次id
     */
    @ApiModelProperty(value = "场次id", required = true)
    private Long roundId;

    /**
     * 比赛id
     */
    @ApiModelProperty(value = "比赛id", required = true)
    private Long matchId;

    /**
     * 作品id
     */
    @ApiModelProperty(value = "作品id", required = false)
    private Long workId;

    /**
     * 场次名单id
     */
    @ApiModelProperty(value = "场次名单id", required = true)
    private Long roundListId;

}
