package com.crunii.micro.service.match.api.bo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * 场次晋级排名列表查询;业务对象 mth_round_score
 *
 * @author mth
 * @date 2023-09-19
 */

@Data
@EqualsAndHashCode
@ApiModel("场次晋级排名列表保存bo业务对象")
public class MthRoundScoreRankingSaveBo {

    @ApiModelProperty("名单列表")
    private List<MthRoundScoreRankingSaveListBo> mthRoundScoreRankingSaveListBos;

    @ApiModelProperty("1-保存，2-提交  ")
    private Integer saveOrSign;


}
