package com.crunii.micro.service.match.api.bo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;


/**
 * 赛事-作品表;视图对象 mth_round
 *
 * @author mth
 * @date 2023-09-19
 */
@Data
@ApiModel("赛事作品表视图对象")
@ExcelIgnoreUnannotated
public class MthWorkBo {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @ExcelProperty(value = "id")
    @ApiModelProperty("id")
    private Long id;
    /**
     * 作品code
     */
    @ExcelProperty(value = "作品code")
    @ApiModelProperty("作品code")
    private String workCode;
    /**
     * 作品名称
     */
    @ExcelProperty(value = "作品名称")
    @ApiModelProperty("作品名称")
    private String workName;

}
