package com.crunii.micro.service.match.api.bo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 场次晋级排名设置业务请求对象
 *
 * @author luox
 * @date 2023-09-19
 */

@Data
@EqualsAndHashCode
@ApiModel("场次晋级排名设置业务请求对象")
public class MthWorkPromiseReqBo {

    @ApiModelProperty(value = "场次id",required = true)
    private Long roundId;

    @ApiModelProperty(value = "场次名单id",required = true)
    private Long roundListId;

    @ApiModelProperty(value = "赛项id",required = false)
    private Long itemId;
    @ApiModelProperty(value = "组别id",required = false)
    private Long groupId;

    @ApiModelProperty(value = "参赛者姓名",required = false)
    private String userName;


}
