package com.crunii.micro.service.match.api.bo;

import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.List;
import lombok.Data;

/**
 * @Author thw
 * @date 2023/12/3
 * @description 修改承办方以及分页回显需要的参数对象
 */
@Data
public class OrganizerAccountContentBo implements Serializable {

  private static final long serialVersionUID = 1L;

  @ApiModelProperty("用户id（承办方id（人员id））")
  private List<Integer> contractorId;

  @ApiModelProperty("组织id")
  private List<String> orgId;
  private List<String> orgName;

}
