package com.crunii.micro.service.match.api.bo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author gongsongtao
 * @date 2023/12/18 19:26
 */
@Data
public class PageProjectFinancingBo {

    @ApiModelProperty(value = "关键字")
    private String pivotalWord;

    @ApiModelProperty(value = "公示状态(0未公示1已公示)")
    private Integer publicityStatus;

    @ApiModelProperty(value = "审核状态(0待审核1已通过2不通过)")
    private Integer reviewStatus;

    @ApiModelProperty(value = "申请时间开始")
    private String createStartTime;

    @ApiModelProperty(value = "申请结束时间")
    private String createEndTime;
}
