package com.crunii.micro.service.match.api.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author gongsongtao
 * @date 2023/12/5 11:35
 */
@Data
@ApiModel("赛事app_赛事详情-下载签名照片请求参数")
public class MatchDownPictureReqVO {

    @ApiModelProperty(value = "签名文件fileId")
    private String signFile;

    @ApiModelProperty(value = "评语")
    private String comments;

    @ApiModelProperty(value = "评语框的宽度")
    private int width;

    @ApiModelProperty(value = "签名图片的高度")
    private int height;

    @ApiModelProperty(value = "字体大小")
    private int fontSize;
}
