package com.crunii.micro.service.match.api.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author 叶明臻
 * @date 2023-09-23
 */
@Data
@ApiModel("预览比赛组别信息视图对象")
public class MatchGroupRoundNameVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 赛项名称
     */
    @ApiModelProperty("赛项名称")
    private String itemName;
    /**
     * 组别名称
     */
    @ApiModelProperty("组别名称")
    private String groupName;
    /**
     * 场次名称
     */
    @ApiModelProperty("场次名称")
    private String roundName;
    /**
     * 作品id
     */
    @ApiModelProperty("作品id")
    private Long workId;

    /**
     * 作品名称
     */
    @ApiModelProperty("作品名称")
    private String areaName;
}
