package com.crunii.micro.service.match.api.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author xujie
 * @date 2023-09-25
 */
@Data
@ApiModel("预览比赛组织视图对象")
@ExcelIgnoreUnannotated
public class MatchOrgInfoVo implements Serializable {
    private static final long serialVersionUID = 1L;
    @ApiModelProperty("组织id")
    private Long orgId;
    @ApiModelProperty("组织名称")
    private String orgName;
    @ApiModelProperty("场次id")
    private Long roundId;
}
