package com.crunii.micro.service.match.api.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import javax.persistence.Column;
import lombok.Data;

/**
 * @Author thw
 * @date 2023/11/21
 * @description 评审员分页vo
 */
@Data
@ApiModel("评审员分页vo")
public class MatchReviewerPageVO implements Serializable {

  private static final long serialVersionUID = 1L;

  @Column(name = "id")
  @ApiModelProperty(value = "id")
  private Long id;
  /**
   * 场次id
   */
  @Column(name = "round_id")
  @ApiModelProperty(value = "场次id")
  private Long roundId;
  /**
   * 评审员id
   */
  @Column(name = "reviewer_id")
  @ApiModelProperty(value = "评审员id")
  private Long reviewerId;
  @ApiModelProperty(value = "评审员账号")
  private String mobile;
  @ApiModelProperty(value = "评审员密码")
  private String reviewerPwd;
  /**
   *
   * 赛项id
   */
  @Column(name = "item_id")
  @ApiModelProperty(value = "赛项id")
  private Long itemId;
  /**
   * 赛项名称
   */
  @Column(name = "item_name")
  @ApiModelProperty(value = "赛项名称")
  private String itemName;
  /**
   * 备注
   */
  @ApiModelProperty(value = "备注")
  private String remarks;
  /**
   * 按照赛事(0:否，1：是)
   */
  @ApiModelProperty(value = "按照赛事(0:否，1：是)")
  private String flag;
  /**
   * 评审次数
   */
  @ApiModelProperty(value = "评审次数")
  private Integer reviewCount;



}
