package com.crunii.micro.service.match.api.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * 查询比赛已参加场次
 */
@Data
@ApiModel("查询比赛已参加场次信息VO")
@ExcelIgnoreUnannotated
public class MthInstanceVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    private Long id;

    @ApiModelProperty("区域名称")
    private String areaName;

    @ApiModelProperty("场次名称")
    private String roundName;

    @ApiModelProperty("排名")
    private Integer sort;

    @ApiModelProperty("场次开始时间")
    private Date roundStart;

    @ApiModelProperty("场次结束时间")
    private Date roundEnd;

    @ApiModelProperty("比赛方式(线上online,线下offline)")
    private String playMode;
}
