package com.crunii.micro.service.match.api.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.crunii.micro.service.match.api.bo.ObsFileInfoBo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * APP查询赛事列表-返回参数
 *
 * @author mth
 * @date 2023-09-19
 */
@Data
@ApiModel("APP查询赛事列表-返回参数")
@ExcelIgnoreUnannotated
public class MthMatchInfoAppVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @ApiModelProperty("id")
    private Long id;
    /**
     * 比赛名称;比赛名称
     */
    @ApiModelProperty("比赛名称")
    private String matchName;
    /**
     * 状态
     */
    @ApiModelProperty("状态")
    private String status;
    /**
     * 状态描述
     */
    @ApiModelProperty("状态描述")
    private String statusDesc;
    /**
     * bannerId
     */
    @ApiModelProperty(value = "bannerId")
    private Long bannerId;
    /**
     * banner
     */
    @ApiModelProperty(value = "banner")
    private ObsFileInfoBo banner;

    /**
     * registerUrl
     */
    @ApiModelProperty(value = "registerUrl")
    private String registerUrl;

    /**e
     * configUrl
     */
    @ApiModelProperty(value = "configUrl")
    private String configUrl;

    /**e
     * 报名开始时间
     */
    @ApiModelProperty(value = "报名开始时间")
    private Date registerationStart;

    /**e
     * 报名结束时间
     */
    @ApiModelProperty(value = "报名结束时间")
    private Date registerationEnd;

    /**
     * 是否收藏
     */
    @ApiModelProperty("是否收藏")
    private Boolean whetherCollect;

    /**
     * 是否报名
     */
    @ApiModelProperty("是否报名")
    private Boolean whetherApply=false;

    @ApiModelProperty("是否青创赛事(1是0否)")
    private Integer qcFlag;
}
