package com.crunii.micro.service.match.api.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;


/**
 * 赛事信息主;视图对象 mth_match_info
 *
 * @author mth
 * @date 2023-09-19
 */
@Data
@ApiModel("赛事信息详情-视图对象")
@ExcelIgnoreUnannotated
public class MthMatchInfoDetailVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * id;id
     */
    @ExcelProperty(value = "id")
    @ApiModelProperty("id")
    private Long id;
    /**
     * 比赛名称;比赛名称
     */
    @ExcelProperty(value = "比赛名称")
    @ApiModelProperty("比赛名称")
    private String matchName;
    /**
     * 分类code;类别
     */
    @ExcelProperty(value = "分类id")
    @ApiModelProperty("分类id")
    private String categoryCode;
    /**
     * 分类名称
     */
    @ExcelProperty(value = "分类名称")
    @ApiModelProperty("分类名称")
    private String categoryName;
    /**
     * banner
     */
    @ExcelProperty(value = "banner")
    @ApiModelProperty("banner")
    private Long bannerId;

    /**
     * 赛项信息
     */
    @ExcelProperty(value = "赛项信息")
    @ApiModelProperty("赛项信息")
    private List<MthMatchItemDetailVo> mthMatchItemDetailVos;

}
