package com.crunii.micro.service.match.api.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.crunii.micro.service.match.api.vo.MthMatchGroupVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;


/**
 * 赛事-赛项信息;视图对象 mth_match_item
 *
 * @author mth
 * @date 2023-09-19
 */
@Data
@ApiModel("赛项详情信息视图对象")
@ExcelIgnoreUnannotated
public class MthMatchItemDetailVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @ExcelProperty(value = "id")
    @ApiModelProperty("id")
    private Long id;

    /**
     * 赛项名称
     */
    @ExcelProperty(value = "赛项名称")
    @ApiModelProperty("赛项名称")
    private String itemName;

    /**
     * 组别信息
     */
    @ExcelProperty(value = "组别信息")
    @ApiModelProperty("组别信息")
    private List<MthMatchGroupVo>  mthMatchGroupVos;
}
