package com.crunii.micro.service.match.api.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author xujie
 * @date 2023-09-19
 */
@Data
@ApiModel("赛事标签视图对象")
@ExcelIgnoreUnannotated
public class MthMatchLabelVo implements Serializable {
    private static final long serialVersionUID = 1L;
    @ExcelProperty(value = "id")
    @ApiModelProperty(value = "id")
    private Long id;

    /**
     * 比赛id
     */
    @ExcelProperty(value = "比赛id")
    @ApiModelProperty(value = "比赛id")
    private Long matchId;
    /**
     * 标签id
     */
    @ExcelProperty(value = "标签id")
    @ApiModelProperty(value = "标签id")
    private Long labelId;

    /**
     * 标签名称
     */
    @ExcelProperty(value = "标签名称")
    @ApiModelProperty(value = "标签名称")
    private Long labelName;

    /**
     * 删除标志
     */
    @ExcelProperty(value = "删除标志")
    @ApiModelProperty(value = "删除标志")
    private Integer delFlag;
    /**
     * 创建人
     */
    @ExcelProperty(value = "创建人")
    @ApiModelProperty(value = "创建人")
    private String createBy;
    /**
     * 创建时间
     */
    @ExcelProperty(value = "创建时间")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * 更新人
     */
    @ExcelProperty(value = "更新人")
    @ApiModelProperty(value = "更新人")
    private String updateBy;
    /**
     * 更新时间
     */
    @ExcelProperty(value = "更新时间")
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    /**
     * 创建人Id
     */
    @ExcelProperty(value = "创建人Id")
    @ApiModelProperty(value = "更新时间")
    private Long createId;
    /**
     * 更新人Id
     */
    @ExcelProperty(value = "更新人Id")
    @ApiModelProperty(value = "更新时间")
    private Long updateId;
}
