package com.crunii.micro.service.match.api.vo;

import java.io.Serializable;
import java.util.Date;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * 赛事过程记录;视图对象 mth_match_process
 *
 * @author mth
 * @date 2023-09-19
 */
@Data
@ApiModel("赛事过程记录视图对象")
@ExcelIgnoreUnannotated
public class MthMatchProcessVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @ExcelProperty(value = "id")
    @ApiModelProperty("id")
    private Long id;
    /**
     * 事件类型
     */
    @ExcelProperty(value = "事件类型")
    @ApiModelProperty("事件类型")
    private String type;
    /**
     * 关联业务id
     */
    @ExcelProperty(value = "关联业务id")
    @ApiModelProperty("关联业务id")
    private String bizId;
    /**
     * 显示名称
     */
    @ExcelProperty(value = "显示名称")
    @ApiModelProperty("显示名称")
    private String showTitle;
    /**
     * 显示结果
     */
    @ExcelProperty(value = "显示结果")
    @ApiModelProperty("显示结果")
    private String result;
    /**
     * 参赛人员id
     */
    @ExcelProperty(value = "参赛人员id")
    @ApiModelProperty("参赛人员id")
    private String userId;
    /**
     * 创建人
     */
    @ExcelProperty(value = "创建人")
    @ApiModelProperty("创建人")
    private String createBy;
    /**
     * 创建时间
     */
    @ExcelProperty(value = "创建时间")
    @ApiModelProperty("创建时间")
    private Date createTime;
    /**
     * 更新人
     */
    @ExcelProperty(value = "更新人")
    @ApiModelProperty("更新人")
    private String updateBy;
    /**
     * 更新时间
     */
    @ExcelProperty(value = "更新时间")
    @ApiModelProperty("更新时间")
    private Date updateTime;

}
