package com.crunii.micro.service.match.api.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * 青创赛事项目融资项目成员视图对象 mth_project_financing_member
 *
 * @author ruoyi
 * @date 2023-12-18
 */
@Data
@ApiModel("青创赛事项目融资项目成员视图对象")
@ExcelIgnoreUnannotated
public class MthProjectFinancingMemberVo {

    private static final long serialVersionUID = 1L;

    /**
     * 项目融资id
     */
    @ExcelProperty(value = "项目融资id")
    @ApiModelProperty("项目融资id")
    private Long financingId;
    /**
     * 姓名
     */
    @ExcelProperty(value = "姓名")
    @ApiModelProperty("姓名")
    private String name;
    /**
     * 职务
     */
    @ExcelProperty(value = "职务")
    @ApiModelProperty("职务")
    private String position;
    /**
     * 个人经历
     */
    @ExcelProperty(value = "个人经历")
    @ApiModelProperty("个人经历")
    private String personalExperience;
    /**
     * 头像
     */
    @ExcelProperty(value = "头像")
    @ApiModelProperty("头像")
    private Long headSculpture;
    /**
     * 排序
     */
    @ExcelProperty(value = "排序")
    @ApiModelProperty("排序")
    private Integer sortNum;
    /**
     * 创建人ID
     */
    @ExcelProperty(value = "创建人ID")
    @ApiModelProperty("创建人ID")
    private Long createId;
    /**
     * 更新人ID
     */
    @ExcelProperty(value = "更新人ID")
    @ApiModelProperty("更新人ID")
    private Long updateId;

}
