package com.crunii.micro.service.match.api.vo;

import java.io.Serializable;
import java.util.Date;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * 赛事-赛项-报名-审核记录;视图对象 mth_register_review
 *
 * @author mth
 * @date 2023-09-19
 */
@Data
@ApiModel("报名审核记录视图对象")
@ExcelIgnoreUnannotated
public class MthRegisterReviewVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @ExcelProperty(value = "id")
    @ApiModelProperty("id")
    private Long id;
    /**
     * $column.columnComment
     */
    @ExcelProperty(value = "${comment}")
    @ApiModelProperty("$column.columnComment")
    private String registerId;
    /**
     * 审核结果
     */
    @ExcelProperty(value = "审核结果")
    @ApiModelProperty("审核结果")
    private String reviewResult;
    /**
     * 审核人id
     */
    @ExcelProperty(value = "审核人id")
    @ApiModelProperty("审核人id")
    private String reviewerId;
    /**
     * 审核人
     */
    @ExcelProperty(value = "审核人")
    @ApiModelProperty("审核人")
    private String reviewerName;
    /**
     * 审核时间
     */
    @ExcelProperty(value = "审核时间")
    @ApiModelProperty("审核时间")
    private String reviewerTime;
    /**
     * 原因
     */
    @ExcelProperty(value = "原因")
    @ApiModelProperty("原因")
    private String reason;
    /**
     * 创建人
     */
    @ExcelProperty(value = "创建人")
    @ApiModelProperty("创建人")
    private String createBy;
    /**
     * 创建时间
     */
    @ExcelProperty(value = "创建时间")
    @ApiModelProperty("创建时间")
    private Date createTime;
    /**
     * 更新人
     */
    @ExcelProperty(value = "更新人")
    @ApiModelProperty("更新人")
    private String updateBy;
    /**
     * 更新时间
     */
    @ExcelProperty(value = "更新时间")
    @ApiModelProperty("更新时间")
    private Date updateTime;

}
