package com.crunii.micro.service.match.api.vo;

import java.io.Serializable;
import java.util.Date;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * 赛事-场次-比赛-晋级调整记录;视图对象 mth_round_qualify_log
 *
 * @author mth
 * @date 2023-09-19
 */
@Data
@ApiModel("比赛晋级调整记录视图对象")
@ExcelIgnoreUnannotated
public class MthRoundQualifyLogVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @ExcelProperty(value = "id")
    @ApiModelProperty("id")
    private Long id;
    /**
     * 评分表id
     */
    @ExcelProperty(value = "评分表id")
    @ApiModelProperty("评分表id")
    private Long scoreId;
    /**
     * 原评分
     */
    @ExcelProperty(value = "原评分")
    @ApiModelProperty("原评分")
    private String oldScore;
    /**
     * 原排名
     */
    @ExcelProperty(value = "原排名")
    @ApiModelProperty("原排名")
    private Long oldSort;
    /**
     * 修改后评分
     */
    @ExcelProperty(value = "修改后评分")
    @ApiModelProperty("修改后评分")
    private String score;
    /**
     * 修改后排名
     */
    @ExcelProperty(value = "修改后排名")
    @ApiModelProperty("修改后排名")
    private Integer sort;
    /**
     * 作品编码
     */
    @ExcelProperty(value = "作品编码")
    @ApiModelProperty("作品编码")
    private String workCode;
    /**
     * 作品名称
     */
    @ExcelProperty(value = "作品名称")
    @ApiModelProperty("作品名称")
    private String workName;
    /**
     * 创建人
     */
    @ExcelProperty(value = "创建人")
    @ApiModelProperty("创建人")
    private String createBy;
    /**
     * 创建时间
     */
    @ExcelProperty(value = "创建时间")
    @ApiModelProperty("创建时间")
    private Date createTime;
    /**
     * 更新人
     */
    @ExcelProperty(value = "更新人")
    @ApiModelProperty("更新人")
    private String updateBy;
    /**
     * 更新时间
     */
    @ExcelProperty(value = "更新时间")
    @ApiModelProperty("更新时间")
    private Date updateTime;

}
