package com.crunii.micro.service.match.api.vo;

import java.io.Serializable;
import java.util.Date;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * 赛事-场次-比赛评分明细;视图对象 mth_roud_score_detail
 *
 * @author mth
 * @date 2023-09-19
 */
@Data
@ApiModel("比赛评分明细视图对象")
@ExcelIgnoreUnannotated
public class MthRoundScoreDetailVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @ExcelProperty(value = "id")
    @ApiModelProperty("id")
    private Long id;
    /**
     * 得分id
     */
    @ExcelProperty(value = "得分id")
    @ApiModelProperty("得分id")
    private Long scoreId;
    /**
     * 标准id
     */
    @ExcelProperty(value = "标准id")
    @ApiModelProperty("标准id")
    private Long standarId;
    /**
     * 得分
     */
    @ExcelProperty(value = "得分")
    @ApiModelProperty("得分")
    private String socre;
    /**
     * 创建人
     */
    @ExcelProperty(value = "创建人")
    @ApiModelProperty("创建人")
    private String createBy;
    /**
     * 创建时间
     */
    @ExcelProperty(value = "创建时间")
    @ApiModelProperty("创建时间")
    private Date createTime;
    /**
     * 更新人
     */
    @ExcelProperty(value = "更新人")
    @ApiModelProperty("更新人")
    private String updateBy;
    /**
     * 更新时间
     */
    @ExcelProperty(value = "更新时间")
    @ApiModelProperty("更新时间")
    private Date updateTime;

}
