package com.crunii.micro.service.match.api.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * 赛事-作品表;视图对象 mth_round
 *
 * @author mth
 * @date 2023-09-19
 */
@Data
@ApiModel("赛事作品表视图对象")
@ExcelIgnoreUnannotated
public class MthWorkVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @ExcelProperty(value = "id")
    @ApiModelProperty("id")
    private Long id;
    /**
     * 作品code
     */
    @ExcelProperty(value = "作品code")
    @ApiModelProperty("作品code")
    private String workCode;
    /**
     * 作品名称
     */
    @ExcelProperty(value = "作品名称")
    @ApiModelProperty("作品名称")
    private String workName;

    /**
     * 创建人
     */
    @ExcelProperty(value = "创建人")
    @ApiModelProperty("创建人")
    private String createdBy;

    /**
     * 创建id
     */
    @ExcelProperty(value = "创建id")
    @ApiModelProperty("创建id")
    private String createdId;

    /**
     * 创建时间
     */
    @ExcelProperty(value = "创建时间")
    @ApiModelProperty("创建时间")
    private Date createdTime;
    /**
     * 更新人
     */
    @ExcelProperty(value = "更新人")
    @ApiModelProperty("更新人")
    private String updatedBy;

    /**
     * 更新人id
     */
    @ExcelProperty(value = "更新人id")
    @ApiModelProperty("更新人id")
    private String updatedId;
    /**
     * 更新时间
     */
    @ExcelProperty(value = "更新时间")
    @ApiModelProperty("更新时间")
    private Date updatedTime;

}
