package com.crunii.micro.service.match.api.vo;


import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
@ApiModel("报名审核校验视图对象")
@ExcelIgnoreUnannotated
public class RegisterPendingCheckVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "场次Id")
    private Long roundId;

    @ApiModelProperty(value = "待审核人数")
    private Long pendingNum;

}
