package com.crunii.micro.service.match.api.vo;

import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import javax.persistence.Column;
import lombok.Data;

/**
 * @Author thw
 * @date 2023/11/18
 * @description
 */
@Data
public class TsmWorInfoVO implements Serializable {

  private static final long serialVersionUID = 2L;

  @Column(name = "login_id")
  @ApiModelProperty(value = "工号id")
  private int loginId;

  @Column(name = "login_code")
  @ApiModelProperty(value = "工号")
  private String loginCode;

//  @Column(name = "login_pwd")
//  @ApiModelProperty(value = "密码")
//  private String loginPwd;

  @Column(name = "worker_name")
  @ApiModelProperty(value = "姓名")
  private String workerName;

  @Column(name = "org_id")
  @ApiModelProperty(value = "组织id")
  private String orgId;

  @Column(name = "org_name")
  @ApiModelProperty(value = "组织名称")
  private String orgName;

//  @Column(name = "phone")
//  @ApiModelProperty(value = "电话")
//  private String phone;

//  @Column(name = "mobile")
//  @ApiModelProperty(value = "手机")
//  private String mobile;

  @Column(name = "sex")
  @ApiModelProperty(value = "0 女 1 男")
  private Integer sex;

//  @Column(name = "birthday")
//  @ApiModelProperty(value = "生日")
//  private java.util.Date birthday;

  @Column(name = "email")
  @ApiModelProperty(value = "邮件")
  private String email;

  @Column(name = "login_num")
  @ApiModelProperty(value = "登录次数")
  private int loginNum;

  @Column(name = "last_chg_pwd_time")
  @ApiModelProperty(value = "最后一次修改密码时间")
  private java.util.Date lastChgPwdTime;

  @Column(name = "state")
  @ApiModelProperty(value = "0:无效,1:有效,2:锁定")
  private int state;
}
