package com.crunii.micro.service.match.api.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
@ApiModel("比赛管理视图对象")
public class mthMatchManagerVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    private Long matchId;
    @ApiModelProperty("比赛名称")
    private String matchName;
    @ApiModelProperty("比赛开始时间")
    private Date registerationStart;
    @ApiModelProperty("比赛结束时间")
    private Date registerationEnd;
    @ApiModelProperty("场次数量")
    private Long totalRound;
    @ApiModelProperty("报名中场次")
    private Long totalEnroll;
    @ApiModelProperty("剩余场次")
    private Long totalLast;
    @ApiModelProperty("已结束场次")
    private Long totalEnd;
    @ApiModelProperty("状态")
    private String status;
    @ApiModelProperty("状态名")
    private String StatusDesc;
    @ApiModelProperty("赛事状态")
    private String matchStatus;


}
