package com.crunii.micro.service.match.api.vo.sign;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.persistence.Column;
import java.io.Serializable;
import java.util.Date;


@Data
@Accessors(chain = true)
@ApiModel("app-详情-返回签到信息")
public class MthSignRspVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "报名ID")
    private Long roundId;

    @ApiModelProperty(value = "场次ID")
    private Long registerId;

    @ApiModelProperty(value = "是否需要签到")
    private Boolean whetherSignIn;

    @ApiModelProperty(value = "是否需要签退")
    private Boolean whetherSignOut;

    @ApiModelProperty(value = "1签到，-1签退")
    private Integer informationType;

    @ApiModelProperty(value = "签到/签退 类型（1二维码，2定位，3扫码+定位）")
    private Integer signType;

    @ApiModelProperty(value = "签到/签退 经度")
    private String signLongitude;

    @ApiModelProperty(value = "签到/签退纬度")
    private String signLatitude;

    @ApiModelProperty(value = "签到/签退 开始时间")
    private Date signStartTime;

    @ApiModelProperty(value = "签到/签退 结束时间")
    private Date signEndTime;

    @ApiModelProperty(value = "签到/签退 地点名称")
    private String signSiteName;

    @ApiModelProperty(value = "签到/签退 详细地址")
    private String signAddress;

}
