package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.MthFormConfig;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 赛事报名配置;Mapper接口
 *
 * @author mth
 * @date 2023-09-19
 */
@Repository
public interface MthFormConfigRepo extends BaseRepo<MthFormConfig, Long> {

    List<MthFormConfig> findAllByDelFlagAndDynamicFlagOrderByOrderNumAsc(Integer delFlag,Integer dynamicFlag);

    @Query(value = "select * from mth_form_config where del_flag=0 and dynamic_flag=0 order by order_num Asc",nativeQuery = true)
    List<MthFormConfig> findNotDynamic();

}
