package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.MthMatchAuditNode;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

/**
 * @author gongsongtao
 * @date 2024/1/17 19:51
 */
public interface MthMatchAuditNodeRepo extends BaseRepo<MthMatchAuditNode,Long> {

    @Modifying
    @Query(value = "update mth_match_audit_node set del_flag=1 where match_id=?1 and sort=?2",nativeQuery = true)
    void deleteNodeBySort(Long matchId,Integer sort);

    @Query(value = "select * from mth_match_audit_node where match_id=?1 and del_flag=0 order by sort",nativeQuery = true)
    List<MthMatchAuditNode> findNode(Long matchId);
}
