package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.MthMatchGroup;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 赛事-赛项-组别信息;Mapper接口
 *
 * @author mth
 * @date 2023-09-19
 */
@Repository
public interface MthMatchGroupRepo extends BaseRepo<MthMatchGroup, Long> {
    @Query(value = "delete from mth_match_group where match_id=?1 ",nativeQuery = true)
    void deleteMthMatchGroupsByMatchId(Long matchId);
    List<MthMatchGroup> findByItemId(Long itemId);
    List<MthMatchGroup> findByMatchId(Long matchId);
}
