package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.MthMatchLabel;
import org.springframework.data.jpa.repository.Query;

import java.util.List;


/**
 * @author xujie
 * @date 2023-09-19
 */
public interface MthMatchLabelRepo extends BaseRepo<MthMatchLabel, Long> {

    @Query(value = "update mth_match_label set del_flag = 1 where match_id=?1 ",nativeQuery = true)
    void deleteByMatchId(Long matchId);

    List<MthMatchLabel> findByMatchId(Long matchId);

}
