package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.MthProjectFinancingContact;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author gongsongtao
 * @date 2024/1/16 11:21
 */
@Repository
public interface MthProjectFinancingContactRepo extends BaseRepo<MthProjectFinancingContact, Long> {

    List<MthProjectFinancingContact> findAllByFinancingId(Long financingId);

    @Query(value = "select *  from mth_project_financing_contact where financing_id in (:ids)",nativeQuery = true)
    List<MthProjectFinancingContact> findAllByFinancingIds(@Param("ids") List<Long> ids);
}
