package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.MthProjectFinancingHistory;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 青创赛事项目融资历史Mapper接口
 *
 * @author ruoyi
 * @date 2023-12-18
 */
@Repository
public interface MthProjectFinancingHistoryRepo extends BaseRepo<MthProjectFinancingHistory, Long> {

    void deleteByFinancingId(Long financingId);

    List<MthProjectFinancingHistory> findByFinancingId(Long financingId);

}
