package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.MthProject;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 青创赛事项目Mapper接口
 *
 * @author ruoyi
 * @date 2023-12-18
 */
@Repository
public interface MthProjectRepo extends BaseRepo<MthProject, Long> {


    MthProject findByRegisterId(Long registerId);

    @Query(value ="select * from mth_project  where id in(:ids)",nativeQuery = true)
    List<MthProject> findAllByIds(@Param("ids") List<Long> ids);
}
