package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.MthRoundPrize;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 赛事-场次-名次配置;Mapper接口
 *
 * @author mth
 * @date 2023-09-19
 */
@Repository
public interface MthRoundPrizeRepo extends BaseRepo<MthRoundPrize, Long> {

    void deleteMthRoundPrizesByRoundId(Long roundId);

    List<MthRoundPrize> findByRoundIdAndDelFlag(Long roundId,Integer delFlag);

    List<MthRoundPrize> findByRoundIdAndDelFlagOrderByItemIdAscGroupIdAsc(Long roundId,Integer delFlag);

    List<MthRoundPrize> findByRoundIdIn(List<Long> roundIdList);
    List<MthRoundPrize> findByRoundId(Long roundId);

}
