package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.MthRoundReviewStandar;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 赛事-场次-评审指标配置;Mapper接口
 *
 * @author mth
 * @date 2023-09-19
 */
@Repository
public interface MthRoundReviewStandarRepo extends BaseRepo<MthRoundReviewStandar, Long> {

    void deleteMthRoundReviewStandarsByRoundId(Long roundId);
    List<MthRoundReviewStandar> findAllByRoundId(Long roundId);
    List<MthRoundReviewStandar> findAllByRoundIdAndItemId(Long roundId,Long itemId);
    List<MthRoundReviewStandar>   findByRoundIdIn (List<Long> roundIds);

}
