package com.crunii.micro.service.match.constants;

import java.util.ArrayList;
import java.util.List;

/**
 * @author baoxy
 * @date 2023-06-26
 */
public class MatchConstants {

    /**
     * 是web图片
     */
    public static final int WEB_PIC = 1;

    /**
     * 不是web图片
     */
    public static final int NOT_WEB_PIC = 0;

    /**
     * 文章操作 发布
     */
    public static final Integer ARTICLE_PUBLISHED = 1;

    /**
     * 文章操作 下架
     */
    public static final Integer ARTICLE_WITHDRAWN = 2;


    /**
     * 预告类别前端传值为0
     */
    public static final String TYPE_HERALD = "0";

    /**
     * 赛事进行中类别前端传值为1
     */
    public static final String TYPE_MATCH_ONGOING = "1";

    /**
     * 赛事结果类别为2
     */
    public static final String TYPE_MATCH_RESULT = "2";

    /**
     * 静态值中赛事结果为4
     */
    public static final String STATIC_MATCH_RESULT = "4";

    /**
     * 历史赛事类别前端传值为3
     */
    public static final String TYPE_MATCH_HISTORY = "3";

    /**
     * 赛事进行中类别下还有三个小类别的值: 1:报名中 2:报名结束 3:赛事报道
     */
    public static final List<String> MATCH_ONGOING_TYPE_LIST = new ArrayList<>();

    static {
        MATCH_ONGOING_TYPE_LIST.add("1");
        MATCH_ONGOING_TYPE_LIST.add("2");
        MATCH_ONGOING_TYPE_LIST.add("3");
    }

    /**
     * 展示到期,值为1
     */
    public static final int SHOW_DUE = 1;

    /**
     * 展示未到期,值为0
     */
    public static final int NOT_SHOW_DUE = 0;

    /**
     * 赛事审核角色名称
     */
    public static final String ROLE_NAME="创新创业管理员";

}
