package com.crunii.micro.service.match.converter;

import com.crunii.micro.domain.entity.main.YcqObsFile;
import com.crunii.micro.service.match.api.FileDto;
import com.crunii.micro.service.match.api.vo.MatchBannerVo;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.factory.Mappers;

/**
 * 赛事-场次-比赛区域等级;Converter
 * @author mth
 * @date 2023-09-19
 */

@Mapper(componentModel = "spring")
public interface FileConverter {

    FileConverter INSTANCE = Mappers.getMapper(FileConverter.class);

    @Mapping(source ="id",target = "fileId")
    @Mapping(source ="fileName",target = "fileName")
    @Mapping(source ="type",target = "fileType")
    @Mapping(source ="fileSize",target = "fileSize")
    @Mapping(source ="width",target = "picWidth")
    @Mapping(source ="height",target = "picHeight")
    @Mapping(source ="objectKey",target = "fileKey")
    @Mapping(source ="height",target = "fileUrl")
    public FileDto ObsFileToFileDto(YcqObsFile file);


    public MatchBannerVo fileDtoToMatchBannerVo(FileDto dto);

}
