package com.crunii.micro.service.match.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangchen create 2023/6/28 18:57
 */
@Data
@ApiModel(description = "附件信息")
public class AnnexDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "obs 文件id")
    private Long fileId;

    @ApiModelProperty(value = "文件名字")
    private String fileName;

    @ApiModelProperty(value = "文件key")
    private String fileKey;

    @ApiModelProperty(value = "文件类型")
    private String fileType;

    @ApiModelProperty(value = "文件大小")
    private String fileSize;

    @ApiModelProperty(value = "图片地址")
    private String fileUrl;
}
