package com.crunii.micro.service.match.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author baoxy
 * @date 2023-06-28
 */
@Data
@ApiModel(description = "赛事活动文章详情页返回字段")
public class ArticleDetailVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "文章id")
    private Long articleId;

    @ApiModelProperty(value = "文章标题")
    private String articleTitle;

    @ApiModelProperty(value = "文章内容")
    private String articleContent;

    @ApiModelProperty(value = "发布时间")
    private String publishTime;

    @ApiModelProperty(value = "部门名称(来源)")
    private String orgName;

    @ApiModelProperty(value = "附件列表")
    private List<ArticleDetailAnnexVo> fileList;
}
