package com.crunii.micro.service.match.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wangchen create 2023/6/28 19:36
 */
@Data
@ApiModel(description = "轮播图信息")
public class CarouselInfoDto {

    @ApiModelProperty(value = "轮播展示天数")
    private Integer showDay;

    @ApiModelProperty(value = "轮播信息WEB")
    private CarouselDto webCarousel;

    @ApiModelProperty(value = "轮播信息APP")
    private CarouselDto appCarouselDto;
}
