package com.crunii.micro.service.match.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author baoxy
 * @date 2023-06-26
 */
@Data
@ApiModel(description = "赛事活动页面查询传入字段")
public class MatchSearchDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "查看类型(0:预告,1:进行中,2:赛事结果,3:历史赛事),关键字搜索时不传")
    private String type;

    @ApiModelProperty(value = "关键字查询")
    private String keywords;
}
