package com.crunii.micro.service.match.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author wangchen create 2023/6/29 9:16
 */
@Data
@ApiModel(description = "分页查询文章参数")
public class PageArticleDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "文章标题")
    private String articleTitle;

    @ApiModelProperty(value = "文章类别")
    private Integer articleType;

    @ApiModelProperty(value = "轮播 1是 0否")
    private Integer carousel;

    @ApiModelProperty(value = "文章状态")
    private Integer articleState;

    @ApiModelProperty(value = "组织id")
    private String orgId;

    @ApiModelProperty(value = "展示到期 0否 1是")
    private Integer showDue;

    @ApiModelProperty(value = "发布时间开始")
    private Date startPublishTime;

    @ApiModelProperty(value = "发布时间结束")
    private Date endPublishTime;

    @ApiModelProperty(value = "赛事id")
    private Long matchId;
}
