package com.crunii.micro.service.match.enums;

import lombok.Getter;

/**
 * @Author thw
 * @date 2023/11/22
 * @description 承办方枚举
 */
public class ContractorEnums {

  /** 账号类型 */
  public enum LimitType {

    LONG_TERM("long_term", "长期账号"),
    TEMP("temp", "临时账号");
    @Getter
    private String code;
    @Getter
    private String desc;

    LimitType(String code, String desc) {
      this.code = code;
      this.desc = desc;
    }

  }
}
