package com.crunii.micro.service.match.jdbc;

import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
import com.crunii.micro.domain.common.jdbc.BaseNPJdbcTemplate;
import com.crunii.micro.service.match.api.vo.MatchBaseGroupVo;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author xujie
 * @date 2023-09-23
 */
@Repository
public class MthMatchGroupDao {
    @Resource(name = "mainJT")
    protected BaseJdbcTemplate jt;

    @Resource(name = "mainNPJT")
    protected BaseNPJdbcTemplate baseNpJdbcTemplate;

    public List<MatchBaseGroupVo> getGroups(Long matchId) {
        String sql = "select item_id,id,group_name,age_begin,age_end from mth_match_group where del_flag = 0 and match_id = :id";
        Map<String, Object> map = new HashMap<>();
        map.put("id",matchId);
        return baseNpJdbcTemplate.queryForBeans(MatchBaseGroupVo.class,sql,map);
    }
}
