package com.crunii.micro.service.match.jdbc;

import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
import com.crunii.micro.domain.common.jdbc.BaseNPJdbcTemplate;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author xujie
 * @date 2023-09-23
 */
@Repository
public class MthMatchLabelDao {
    @Resource(name = "mainJT")
    protected BaseJdbcTemplate jt;

    @Resource(name = "mainNPJT")
    protected BaseNPJdbcTemplate baseNpJdbcTemplate;

    public List<String> getLabelName(Long id) {
        String sql = "select label_name from mth_match_label where del_flag = 0 and match_id = :id";
        Map<String, Object> map = new HashMap<>();
        map.put("id",id);
        List<String> list = baseNpJdbcTemplate.queryForRawObjects(String.class, sql, map);
        return list;
    }
}
