package com.crunii.micro.service.match.jdbc;

import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
import com.crunii.micro.domain.common.jdbc.BaseNPJdbcTemplate;
import com.crunii.micro.service.match.api.bo.ObsFileInfoBo;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author xujie
 * @date 2023-09-22
 */
@Repository
public class ObsGetFileDao {
    @Resource(name = "mainJT")
    protected BaseJdbcTemplate jdbcTemplate;

    @Resource(name = "mainNPJT")
    protected BaseNPJdbcTemplate baseNpJdbcTemplate;

    public List<ObsFileInfoBo> getFileInfoByIds(List<Long> ids) {
        String sql = "select id, object_key,file_name from YCQ_OBS_FILE WHERE id in (:ids)";
        Map<String,Object> map = new HashMap<>();
        map.put("ids",ids);
        return  baseNpJdbcTemplate.queryForBeans(ObsFileInfoBo.class,sql,map);
    }
}
