package com.crunii.micro.service.match.jdbc;

import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
import com.crunii.micro.domain.common.jdbc.BaseNPJdbcTemplate;
import com.crunii.micro.service.match.api.bo.OrgInfoBo;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author xujie
 * @date 2023-10-08
 */
@Repository
public class OrgDao {
    @Resource(name = "mainJT")
    protected BaseJdbcTemplate jdbcTemplate;

    @Resource(name = "mainNPJT")
    protected BaseNPJdbcTemplate baseNpJdbcTemplate;

    public OrgInfoBo getOrgInfoByCode(String orgCode){
        String sql = " select org_id,org_name,org_code,parent_org_id from tsm_org where org_code = :orgCode or org_id = :orgCode";
        Map<String,Object> map = new HashMap<>();
        map.put("orgCode",orgCode);
        return baseNpJdbcTemplate.queryForBean(OrgInfoBo.class, sql,map);
    }
}
