package com.crunii.micro.service.match.service.impl;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.entity.main.MthMatchLabel;
import com.crunii.micro.domain.repo.main.MthMatchLabelRepo;
import com.crunii.micro.service.match.api.bo.MthMatchLabelBo;
import com.crunii.micro.service.match.api.vo.MthMatchLabelVo;
import com.crunii.micro.service.match.converter.MthMatchLabelConverter;
import com.crunii.micro.service.match.service.IMthMatchLabelService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.Collection;
import java.util.List;

/**
 * @author xujie
 * @date 2023-09-19
 */
@RequiredArgsConstructor
@Service
public class MthMatchLabelServiceImpl implements IMthMatchLabelService {
    private final MthMatchLabelRepo baseRepo;
    private final MthMatchLabelConverter baseConverter;

    @Override
    public MthMatchLabelVo queryById(Long id) {
        return baseConverter.entityToVo(baseRepo.getById(id));
    }

    @Override
    public Result<PageRsp<MthMatchLabelVo>> queryPageList(PageReq<MthMatchLabelBo> bo) {
        return null;
    }

    @Override
    public List<MthMatchLabelVo> queryList(MthMatchLabelBo bo) {
        return null;
    }

    @Override
    public Boolean insertByBo(MthMatchLabelBo bo) {
        MthMatchLabel add = baseConverter.boToEntity(bo);
        validEntityBeforeSave(add);
        baseRepo.save(add);
        return true;
    }

    @Override
    public Boolean updateByBo(MthMatchLabelBo bo) {
        MthMatchLabel update = baseConverter.boToEntity(bo);
        validEntityBeforeSave(update);
        return null;
    }

    @Override
    public Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid) {
        if(isValid){

        }
        return null;
    }

    /**
     * 保存前的数据校验
     */
    private void validEntityBeforeSave(MthMatchLabel entity){

    }
}
