package com.crunii.micro.service.match.service.impl;

import com.crunii.micro.domain.entity.main.MthTest;
import com.crunii.micro.domain.repo.main.MthTestRepo;
import com.crunii.micro.service.match.service.IMthTestService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * @author liuchuan
 * @version 1.0
 * @description:
 * @date 2023/9/19 15:56
 */
@Service
@Slf4j
@RequiredArgsConstructor
public class MthTestServieImpl implements IMthTestService {

    private final MthTestRepo mthTestRepo;


    @Override
    public MthTest findById(Long id) {
        MthTest mthTest = mthTestRepo.findById(id).get();
        return mthTest;
    }
}
