package com.crunii.micro.service.obs.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/10/11 18:45
 */
@Data
public class GetFileDto {
    private String appKey;
    private String nonce;
    private String curTime;
    private String checkNum;

    @ApiModelProperty("第三方平台名称")
    private String systemName;

    @ApiModelProperty("第三方平台用户账号")
    private String userName;

    @ApiModelProperty("日期，格式为YYMMDD")
    private String uploadDate;

    @ApiModelProperty("文件ID，文件的唯一标识")
    private String fileID;

    @ApiModelProperty("文件类型，1表示高清1080p，2表示标清720p，3代表图片")
    private String fileType;
}
