package com.crunii.micro.service.obs.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author wangchen create 2023/12/14 8:54
 */
@Data
@ApiModel("上传视频请求参数")
public class UploadVideoDto  implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("服务type")
    @NotNull(message = "服务类型不能为空")
    private Integer serverType;

    @ApiModelProperty("上传文件")
    @NotNull(message = "文件不能为空")
    private MultipartFile file;
}
