package com.crunii.micro.service.obs.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author baoxy
 * @date 2023-06-19
 */
@Data
@ApiModel(description = "压缩包文件传入字段")
public class ZipFileDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "图片url")
    private String url;

    @ApiModelProperty(value = "图片名称")
    private String name;
}
