package com.crunii.micro.service.obs.jdbc;

import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
import com.crunii.micro.service.obs.dto.VideoDto;
import com.crunii.micro.service.obs.dto.VideoReqDto;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/10/12 16:42
 */
@Repository
public class VideoDao {

    @Resource(name = "mainJT")
    private BaseJdbcTemplate jt;

    public void updateFileStatus(VideoDto videoDto){
        String sql = "UPDATE YCQ_UPLOAD_VIDEO SET file_status = 1 , file_duration = ? WHERE file_id =?";
        jt.update(sql,videoDto.getFileDuration(),videoDto.getFileId());
    }
}
