package com.crunii.micro.service.obs.service;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.feign.client.dto.FileVo;
import com.crunii.micro.service.obs.dto.FileUploadStatus;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;

public interface FileStoreService {

    Result<FileVo> uploadFile(MultipartFile uploadFile, String fileName) throws IOException;

    int downloadFile(HttpServletRequest request, HttpServletResponse response, Long fileRecordId) throws IOException;

    Result<String> deleteFile(List<String> fileNameList) throws IOException;

    Result<String> exist(String fileName) throws IOException;

    Result<FileUploadStatus> getFileUploadPlan(String fileName);
}