package com.crunii.micro.service.obs.service;

/**
 * @author shenhs create 2023/5/25 16:12
 */
public interface ObsBucketService  {

	/**
	 * 创建桶
	 * @param bucketName 桶名字
	 * @throws Exception Exception
	 */
	void createBucket(String bucketName) throws Exception;

	/**
	 * 删除桶
	 * @param bucketName 桶名字
	 * @throws Exception Exception
	 */
	void deleteBucket(String bucketName) throws Exception;


	/**
	 * 判断桶是否存在
	 * @param bucketName 桶名字
	 * @return true存在
	 * @throws Exception Exception
	 */
	boolean exists(String bucketName) throws Exception;
}
