package com.crunii.micro.service.obs.service;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.obs.dto.*;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.multipart.MultipartFile;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/10/11 16:57
 */
public interface VideoService {

      Result<UploadVideoVo> videoFileUpload(Worker worker, MultipartFile file, Integer serverType);

      UploadVideoVo uploadFileNotification(Worker worker, NoticeDto dto);

      Result<String> getFileUrl(Worker worker, FileDto dto);

      Result<VideoPlatVo> queryRealTimeVideoAddress(Worker worker, VideoReqDto dto);

      Result<String> updateFileStatus(VideoDto videoDto);

      Result<VideoPlatVo> downloadVideo(VideoReqDto dto);
}
