package com.crunii.micro.service.oneaffair.annotation;

import com.crunii.micro.service.oneaffair.enums.MaskingTypeEnum;

import java.lang.annotation.*;

//作用域 作用于属性上
@Target(value = {ElementType.FIELD})
@Retention(RetentionPolicy.RUNTIME)
@Documented
@Inherited
public @interface FiledDesensitization {

    // 默认为手机号脱敏
    MaskingTypeEnum type() default MaskingTypeEnum.PHONE;

}
