package com.crunii.micro.service.oneaffair.dto.vo.evaluate;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.List;

@ApiModel(value = "TsmOrgVo",description = "组织机构查询返回对象")
@ToString
@Data
public class  TsmOrgVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "orgId",notes = "机构id")
    private String orgId;

    @ApiModelProperty(name = "orgName",notes = "机构名称")
    private String orgName;

    @ApiModelProperty(name = "parentOrgId",notes = "父级机构id")
    private String parentOrgId;

}
