package com.crunii.micro.service.oneaffair.dto.vo.idengtitychoose;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.List;

@ApiModel(value ="BindStudentReq",description = "绑定学生新增对象")
@ToString
@Data
public class BindStudentReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "userId", notes = "用户id")
    private BigInteger userId;

    @ApiModelProperty(name = "identityCardNos", notes = "学生身份证号")
    private List<String> identityCardNos;

    @ApiModelProperty(name = "userType", notes = "用户类型：0-学生；1-家长")
    private Integer userType;

}
