package com.crunii.micro.service.oneaffair.dto.vo.idengtitychoose;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigInteger;

@ApiModel(value = "StudentInfoByUserVo", description = "当前账号绑定的学生信息返回对象")
@ToString
@Data
public class StudentInfoByUserVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "id", notes = "绑定关系id")
    private BigInteger id;

    @ApiModelProperty(name = "identityCardNo", notes = "身份证号")
    private String identityCardNo;

    @ApiModelProperty(name = "studentName", notes = "学生姓名")
    private String studentName;

    @ApiModelProperty(name = "studentId", notes = "学生id")
    private BigInteger studentId;

    @ApiModelProperty(name = "studentNum", notes = "学生编号")
    private String studentNum;

    @ApiModelProperty(name = "inFlag", notes = "默认进入系统标志：1-进入，0-未进入")
    private Integer inFlag;

    @ApiModelProperty(name = "politicalStatus", notes = "政治面貌")
    private String politicalStatus;

    @ApiModelProperty(name = "politicalStatusType", notes = "政治面貌字典值")
    private String politicalStatusType;

    @ApiModelProperty(name = "currentGradeName", notes = "当前年级")
    private String currentGradeName;

    @ApiModelProperty(name = "currentClassName", notes = "当前班级")
    private String currentClassName;

    @ApiModelProperty(name = "currentSchoolId", notes = "学校id")
    private BigInteger currentSchoolId;

    @ApiModelProperty(name = "currentSchoolName", notes = "学校名称")
    private String currentSchoolName;

    @ApiModelProperty(name = "sex", notes = "学生性别字典")
    private Integer sex;

    @ApiModelProperty(name = "sexStr", notes = "学生性别值")
    private String sexStr;
}
