package com.crunii.micro.service.oneaffair.dto.vo.medal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigInteger;

@ApiModel(description = "奖章活动关联交互对象")
@ToString
@Data
public class MedalActivityReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "活动id", notes = "")
    private BigInteger activityId;

    @ApiModelProperty(name = "业务编码", notes = "")
    private String appCode;

}
