package com.crunii.micro.service.oneaffair.dto.vo.medal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

@ApiModel(description = "红领巾争章根据标识分类返回对象")
@ToString
@Data
public class MedalInfoMarkVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "奖章标识", notes = "")
    private String medalMark;

    @ApiModelProperty(name = "奖章标识名称", notes = "")
    private String medalMarkName;

    @ApiModelProperty(name = "奖章类型", notes = "")
    private String medalType;

    @ApiModelProperty(name = "奖章类型名称", notes = "")
    private String medalTypeName;

    @ApiModelProperty(name = "奖章信息", notes = "")
    private List<MedalStudentVo> ycqYjsMedalList;
}
