package com.crunii.micro.service.oneaffair.dto.vo.medal;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@ApiModel(description = "奖章年级组织树返回对象")
@ToString
@Data
public class MedalOrgGradeInfoVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "年级id", notes = "")
    private Long orgGradeId;

    @ApiModelProperty(name = "年级名称", notes = "")
    private String orgGradeName;

    @ApiModelProperty(name = "年级code", notes = "")
    private String orgGradeCode;

}
