package com.crunii.micro.service.oneaffair.dto.vo.medal;

import com.crunii.micro.service.oneaffair.dto.oneaffair.YcqYjsMedal;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

@ApiModel(description = "学生获得奖章及进度相关返回对象")
@ToString
@Data
public class MedalStudentLightVo extends YcqYjsMedal implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "是否点亮：0-否；1-是", notes = "")
    private Integer ifLight;

    @ApiModelProperty(name = "lightTime",notes = "点亮时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date lightTime;
    
}
