package com.crunii.micro.service.oneaffair.dto.vo.medal;

import com.crunii.micro.service.oneaffair.dto.oneaffair.YcqYjsMedal;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.List;

@ApiModel(description = "学生获得奖章及进度相关返回对象")
@ToString
@Data
public class MedalStudentVo extends YcqYjsMedal implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "是否点亮：0-否；1-是", notes = "")
    private Integer ifLight;

    @ApiModelProperty(name = "点亮进度，单位百分比", notes = "")
    private Integer lightProgress;

    @ApiModelProperty(name = "学生奖章表主键id", notes = "")
    private BigInteger studentMedalId;
    
}
