package com.crunii.micro.service.oneaffair.dto.vo.medal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;

@ApiModel(description = "统一奖章新增对象")
@ToString
@Data
public class MedalUnifyCreateReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "奖章名称", notes = "")
    private String medalName;

    @ApiModelProperty(name = "简介", notes = "")
    private String introduction;

    @ApiModelProperty(name = "奖章类型 字典", notes = "")
    private String medalType;

    @ApiModelProperty(name = "奖章类型名称", notes = "")
    private String medalTypeName;

    @ApiModelProperty(name = "奖章标识 字典", notes = "")
    private String medalMark;

    @ApiModelProperty(name = "奖章标识名称", notes = "")
    private String medalMarkName;

    @ApiModelProperty(name = "奖章图片key", notes = "")
    private String medalPicKey;

}
