package com.crunii.micro.service.oneaffair.dto.vo.medal;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@ApiModel(description = "统一奖章学校返回对象")
@ToString
@Data
public class MedalUnifySchoolInfoVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "奖章id",notes = "")
    private BigInteger id;

    @ApiModelProperty(name = "学校id",notes = "")
    private String orgId;

    @ApiModelProperty(name = "学校名称",notes = "")
    private String orgName;

    @ApiModelProperty(name = "所属年级",notes = "")
    private String ownerGrade;

    @ApiModelProperty(name = "所属年级名称",notes = "")
    private String ownerGradeName;

    @ApiModelProperty(name = "所属班级",notes = "")
    private String ownerClass;

    @ApiModelProperty(name = "所属学期",notes = "")
    private String ownerSemester;

    @ApiModelProperty(name = "所属学期名称",notes = "")
    private String ownerSemesterName;

}
