package com.crunii.micro.service.oneaffair.dto.vo.medalRule;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigInteger;

@ApiModel(value = "StudentMedalRuleReq", description = "学生争章规则查询请求对象")
@ToString
@Data
public class StudentMedalRuleReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "studentMedalId", notes = "学生奖章ID")
    private BigInteger studentMedalId;

    @ApiModelProperty(name = "medalRuleId", notes = "争章规则ID")
    private BigInteger medalRuleId;

    @ApiModelProperty(name = "completeStatus", notes = "完成状态：0-未完成；1-已完成")
    private Integer completeStatus;

}
