package com.crunii.micro.service.oneaffair.dto.vo.studentBindingUser;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.List;

@ApiModel(value = "StudentBindingUserReq", description = "用户与学生关联查询对象")
@ToString
@Data
public class StudentBindingUserReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "id", notes = "主键")
    private BigInteger id;

    @ApiModelProperty(name = "idList", notes = "id列表")
    private List<BigInteger> idList;

    @ApiModelProperty(name = "studentId", notes = "学生ID")
    private BigInteger studentId;

    @ApiModelProperty(name = "studentIdList", notes = "学生ID列表")
    private List<BigInteger> studentIdList;

    @ApiModelProperty(name = "userId", notes = "用户ID")
    private BigInteger userId;

    @ApiModelProperty(name = "userIdList", notes = "用户ID列表")
    private List<BigInteger> userIdList;

    @ApiModelProperty(name = "userType", notes = "用户类型：0-学生；1-家长")
    private Integer userType;

    @ApiModelProperty(name = "inFlag", notes = "默认进入系统标志：1-进入，0-未进入")
    private Integer inFlag;

}
