package com.crunii.micro.service.oneaffair.dto.vo.studentCourseUploadVideo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.List;

@ApiModel(value = "StudentCourseUploadVideoVo", description = "学生课程上传视频查询请求对象")
@ToString
@Data
public class StudentCourseUploadVideoReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "idList", notes = "主键ID列表")
    private List<BigInteger> idList;

    @ApiModelProperty(name = "studentId", notes = "学生ID")
    private BigInteger studentId;

    @ApiModelProperty(name = "studentCourseId", notes = "学生课程ID")
    private BigInteger studentCourseId;

}
