package com.crunii.micro.service.oneaffair.dto.vo.studentMedal;

import com.crunii.micro.service.oneaffair.dto.oneaffair.YcqYjsMedal;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

@ApiModel(value = "StudentMedalGroupByMedalTypeInfo", description = "学生奖章根据奖章类型分组对象")
@ToString
@Data
public class StudentMedalGroupByMedalTypeInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "studentMedalInfoList", notes = "学生奖章列表")
    private List<StudentMedalInfo> studentMedalInfoList;

    @ApiModelProperty(name = "medalType", notes = "奖章类型 字典")
    private String medalType;

    @ApiModelProperty(name = "medalTypeName", notes = "奖章类型名称")
    private String medalTypeName;

}
