package com.crunii.micro.service.oneaffair.dto.vo.studentMedal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigInteger;

@ApiModel(value = "StudentMedalLightStatusUpdateVo", description = "学生奖章点亮状态更新对象")
@ToString
@Data
public class StudentMedalLightStatusUpdateVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @NotNull(message = "学生奖章不能为空")
    @ApiModelProperty(name = "studentMedalId", notes = "学生奖章ID", required = true)
    private BigInteger studentMedalId;

    @NotNull(message = "点亮状态操作不能为空")
    @ApiModelProperty(name = "ifVoucher", notes = "true：点亮/false：取消点亮", required = true)
    private Boolean ifVoucher;

}
