package com.crunii.micro.service.oneaffair.dto.vo.studentPatriarch;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.List;

@ApiModel(value = "StudentPatriarchReq", description = "学生家长查询对象")
@ToString
@Data
public class StudentPatriarchReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "id", notes = "主键")
    private BigInteger id;

    @ApiModelProperty(name = "idList", notes = "id列表")
    private List<BigInteger> idList;

    @ApiModelProperty(name = "mobileLike", notes = "手机号-模糊查询")
    private String mobileLike;

    @ApiModelProperty(name = "mobile", notes = "手机号")
    private String mobile;

    @ApiModelProperty(name = "studentId", notes = "学生ID")
    private BigInteger studentId;

    @ApiModelProperty(name = "studentIdList", notes = "学生ID列表")
    private List<BigInteger> studentIdList;

    @ApiModelProperty(name = "patriarchRole", notes = "家长角色：爸爸/妈妈/...")
    private Integer patriarchRole;

    @ApiModelProperty(name = "patriarchName", notes = "家长姓名")
    private String patriarchName;

    @ApiModelProperty(name = "patriarchNameLike", notes = "家长姓名-模糊查询")
    private String patriarchNameLike;

}
