package com.crunii.micro.service.oneaffair.dto.vo.studentSubCourse;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.List;

@ApiModel(value = "StudentSubCourseReq", description = "学生子课程查询请求对象")
@ToString
@Data
public class StudentSubCourseReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "idList", notes = "主键ID列表")
    private List<BigInteger> idList;

    @ApiModelProperty(name = "studentId", notes = "学生ID")
    private BigInteger studentId;

    @ApiModelProperty(name = "studentCourseId",notes = "学生课程ID")
    private BigInteger studentCourseId;

    @ApiModelProperty(name = "courseId",notes = "课程ID")
    private BigInteger courseId;

    @ApiModelProperty(name = "subCourseId",notes = "子课程ID")
    private BigInteger subCourseId;

    @ApiModelProperty(name = "completeStatus",notes = "完成状态：0-未完成；1-已完成")
    private Integer completeStatus;

}
