package com.crunii.micro.service.oneaffair.dto.vo.studentTest;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigInteger;

@ApiModel(value = "InitStudentTestVo", description = "学生答卷初始化返回对象")
@ToString
@Data
public class InitStudentTestVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "studentTestId", notes = "学生答卷ID")
    private BigInteger studentTestId;

    @ApiModelProperty(name = "residueTestCount", notes = "剩余考试次数")
    private Integer residueTestCount;

}
