package com.crunii.micro.service.oneaffair.dto.vo.studentTest;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.List;

@ApiModel(value = "StudentTestReq", description = "学生答卷查询请求对象")
@ToString
@Data
public class StudentTestReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "studentId", notes = "学生ID")
    private BigInteger studentId;

    @ApiModelProperty(name = "studentCourseId", notes = "学生课程ID")
    private BigInteger studentCourseId;

    @ApiModelProperty(name = "paperId", notes = "试卷ID")
    private BigInteger paperId;

    @ApiModelProperty(name = "ifPass", notes = "是否合格：0-不合格；1-合格")
    private Integer ifPass;

    @ApiModelProperty(name = "answerScoreMin", notes = "大于指定答题得分")
    private Integer answerScoreMin;

}
