package com.crunii.micro.service.oneaffair.dto.vo.teacher;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

@ApiModel(value = "TsmOrgReq", description = "组织查询请求对象")
@ToString
@Data
public class TsmOrgReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "orgName", notes = "组织名称")
    private String orgName;

    @ApiModelProperty(name = "orgNameList", notes = "组织名称列表")
    private List<String> orgNameList;

    @ApiModelProperty(name = "parentOrgId", notes = "父组织ID,根组织id为0")
    private Long parentOrgId;

    @ApiModelProperty(name = "parentOrgIdList", notes = "父组织ID列表")
    private List<Long> parentOrgIdList;

}
