package com.crunii.micro.service.oneaffair.enums;

import lombok.Getter;

import java.util.Arrays;

@Getter
public enum OrgEnum {
    SCHOOL("12069","重庆市学校组织"),
    ;

    private String value;

    private String name;


    OrgEnum(String value, String name) {
        this.value = value;
        this.name = name;
    }

    public static OrgEnum fromValue(String value) {
        return Arrays.stream(OrgEnum.values())
                .filter(e -> e.getValue().equals(value))
                .findAny()
                .orElse(null);
    }

}
