package com.crunii.micro.service.oneaffair.jdbc;

import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
import com.crunii.micro.service.oneaffair.dto.vo.evaluate.TsmOrgVo;
import com.crunii.micro.service.oneaffair.dto.vo.evaluate.TsmOrgVoChildrenVo;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.math.BigInteger;
import java.util.List;

@Repository
public class TsmOrgDao {
    @Resource(name = "mainJT")
    protected BaseJdbcTemplate jt;


    public List<TsmOrgVo> searchTsmOrg(BigInteger parentOrgId) {
        String sql = " SELECT org_id,org_name,parent_org_id FROM tsm_org where state = 1 and parent_org_id = ?  ";
        List<TsmOrgVo> tsmOrgVos = jt.queryForBeans(TsmOrgVo.class, sql,parentOrgId);
        return tsmOrgVos;
    }

    public List<TsmOrgVoChildrenVo> searchTsmOrgById(BigInteger org_id) {
        String sql = " SELECT org_id,org_name,parent_org_id FROM tsm_org where state = 1 and org_id = ?  ";
        List<TsmOrgVoChildrenVo> tsmOrgVos = jt.queryForBeans(TsmOrgVoChildrenVo.class, sql,org_id);
        return tsmOrgVos;
    }
}
