package com.crunii.micro.service.oneaffair.jdbc;

import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
import com.crunii.micro.service.oneaffair.dto.vo.evaluate.AppConfigVo;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

@Repository
public class YcqAppConfigUrlDao {

    @Resource(name = "mainJT")
    protected BaseJdbcTemplate jt;


    public List<AppConfigVo> searchAppConfig(String appName) {
        StringBuilder sql = new StringBuilder("select app_id,app_name from ycq_app_config_url where 1=1 ");
        List<Object> param = new ArrayList<>();
        // 体系名称
        if (StringUtils.isNotBlank(appName)) {
            sql.append(" and app_name like ? ");
            param.add("%"+appName+"%");
        }
        sql.append(" order by sort ");
        return jt.queryForBeans( AppConfigVo.class,sql.toString(), param.toArray());
    }
}
