package com.crunii.micro.service.oneaffair.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.service.oneaffair.dto.vo.evaluate.*;

import java.math.BigInteger;
import java.util.List;

public interface EvaluateSystemService {
    PageRsp<EvaluateSystemVo> pageSearchSystemInfo(PageReq<EvaluateSystemReq> req);

    void createSystemInfo(EvaluateSystemCreateReq createReq);

    void updateSystemInfo(EvaluateSystemUpdateReq updateReq);

    void deleteSystemInfo(BigInteger id);

    List<AppConfigVo> searchAppConfig(String appName);

    List<TsmOrgVo> searchTsmOrg(BigInteger parentOrgId);

    TsmOrgVoChildrenVo searchTsmOrgAndSchool(BigInteger orgId);

    List<TsmOrgVo> getParentTsmOrg(BigInteger orgId);
}
