package com.crunii.micro.service.oneaffair.service;

import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.oneaffair.dto.oneaffair.YcqYjsMedalActivity;
import com.crunii.micro.service.oneaffair.dto.vo.medal.MedalActivityCreateReq;
import com.crunii.micro.service.oneaffair.dto.vo.medal.MedalActivityInfoReq;
import com.crunii.micro.service.oneaffair.dto.vo.medal.MedalActivityRemoveReq;
import com.crunii.micro.service.oneaffair.dto.vo.medal.MedalActivityStatusReq;

import java.util.List;

/**
 * 奖章表(YCQ_YJS_MEDAL_ACTIVITY)表服务接口
 */
public interface MedalActivityService {

    void batchCreateMedalActivity(MedalActivityCreateReq medalActivityCreateReq, Worker worker);

    void deleteMedalActivityInfo(MedalActivityRemoveReq medalActivityRemoveReq);

    void updateMedalActivityStatus(MedalActivityStatusReq medalActivityStatusReq);

    List<YcqYjsMedalActivity> selectList(MedalActivityInfoReq req);

}

