package com.crunii.micro.service.oneaffair.service.impl;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.oneaffair.dto.vo.studentCourse.StudentCourseReq;
import com.crunii.micro.service.oneaffair.dto.vo.studentTest.InitStudentTestReq;
import com.crunii.micro.service.oneaffair.service.QzhService;
import com.crunii.micro.service.oneaffair.service.StudentCourseService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * 青字号接口实现类
 */
@Slf4j
@Service
public class QzhServiceImpl implements QzhService {

    @Resource
    private StudentCourseService studentCourseService;

    @Override
    public Result<Object> resetExamRecords(StudentCourseReq req) {
        // 根据试卷id，用户id重置试卷剩余次数
        return studentCourseService.updateStudentCourseById(req);
    }
}
