package com.crunii.micro.service.pay.util;

/**
 * 微信支付接口地址
 */
public class WxPayH5Url {

    /**
     * H5下单API(直连商户)
     */
    public final static String UNIFIED_ORDER_URL = "https://api.mch.weixin.qq.com/v3/pay/transactions/h5";
    /**
     * H5微信退款接口(POST)
     */
    public final static String REFUND_URL = "https://api.mch.weixin.qq.com/v3/refund/domestic/refunds";

    /**
     * H5微信支付订单号查询(GET)
     */
    public final static String TRANSACTIONS_ID_URL = "https://api.mch.weixin.qq.com/v3/pay/transactions/id/%s";

    /**
     *H5关闭订单API(POST)
     */
    public final static String CLOSE_ID_URL = " https://api.mch.weixin.qq.com/v3/pay/transactions/out-trade-no/%s/close";

}