package com.crunii.micro.service.qm.api.constants;

/**
 * @author wangchen create 2023/9/18 11:26
 */
public class QmConstants {

	/**
	 * 课件类型视频
	 */
	public static final Integer CERTIFICATE_TYPE_VIDEO =0;

	/**
	 * 课件类型PDF
	 */
	public static final Integer CERTIFICATE_TYPE_PDF =1;

	/**
	 * h264高清1080p
	 */
	public static final String VIDEO_1080 = "1";

	/**
	 * h264标清720p
	 */
	public static final String VIDEO_720 = "2";

	/**
	 * h265高清1080p
	 */
	public static final String VIDEO_H265_1080 = "3";

	/**
	 * h265标清720p
	 */
	public static final String VIDEO_H265_720 = "4";

	/**
	 * 视频图片
	 */
	public static final String VIDEO_IMAGE = "5";

	public static final String FILE_STATUS_MGS_ONE="未获取到视频的上传信息";

	public static final String FILE_STATUS_MGS_TWO="视频转码中,暂时无法观看";

	/**
	 * 数据有效
	 */
	public static final int DELETED_0 = 0;
	/**
	 * 数据已逻辑删除
	 */
	public static final int DELETED_1 = 1;

	/**
	 * 审核状态，未审核
	 */
	public static final int AUDIT_STATUS_WAIT = -1;
	/**
	 * 审核状态，驳回
	 */
	public static final int AUDIT_STATUS_NO = 0;
	/**
	 * 审核状态，审核通过
	 */
	public static final int AUDIT_STATUS_YES = 1;


	/**
	 * 荣誉类型：荣誉
	 */
	public static final int HONOR_TYPE_1 = 1;
	/**
	 * 荣誉类型：擅长领域
	 */
	public static final int HONOR_TYPE_2 = 2;


	/**
	 * 教学路线拼音大写
	 */
	public static final String  JXLX = "JXLX";
	/**
	 * 培训基地拼音大写
	 */
	public static final String   PXJD = "PXJD";


	/**
	 * 有效状态
	 */
	public static final int STATUS = 1;

	/**
	 * 无效状态
	 */
	public static final int STATUS_INVALID = 0;


	/**
	 * 身份类型：学员
	 */
	public static final int USER_IDENTITY_STUDENT = 1;
	/**
	 * 身份类型：导师
	 */
	public static final int USER_IDENTITY_TEACHER = 2;


	/**
	 * 导师与学员关联关系：待接收
	 */
	public static final Integer USER_CORRELATION_STATE_0 = 0;
	/**
	 * 导师与学员关联关系：已接收
	 */
	public static final int USER_CORRELATION_STATE_1 = 1;
	/**
	 * 导师与学员关联关系：已评价
	 */
	public static final int USER_CORRELATION_STATE_2 = 2;
	/**
	 * 导师与学员关联关系：已拒绝
	 */
	public static final Integer USER_CORRELATION_STATE_3 = 3;

	/**
	 *  导师最多学生
	 */
	public static final int TEACHER_MAX_STU = 5;

	/**
	 * 学员-导师 已通过状态
	 */
	public static final Integer PASS_STATE = 1;


	/**
	 * 青马工程SM2加密：publicKey
	 */
	public static final String PUBLIC_KEY = "MFkwEwYHKoZIzj0CAQYIKoEcz1UBgi0DQgAEhhZThJzj/aeABRQNBaKYwHl9x4Q6miRNskCXHcLKpXlx/lzdVk2uGnt/ptx+q3/EWESzJ8EX+iuNe4uxN8mmtA==";

	/**
	 * 青马工程SM2加密：privateKey
	 */
	public static final String PRIVATE_KEY = "MIGTAgEAMBMGByqGSM49AgEGCCqBHM9VAYItBHkwdwIBAQQgs2S6qSZzbHdcjLOfNxY2P0CeqjItMc3IF6UjhgtEJNygCgYIKoEcz1UBgi2hRANCAASGFlOEnOP9p4AFFA0FopjAeX3HhDqaJE2yQJcdwsqleXH+XN1WTa4ae3+m3H6rf8RYRLMnwRf6K417i7E3yaa0";

	/**
	 * 青马工程SM2 web加密：privateKey
	 */
	public static final String PRIVATE_WEB_KEY = "184c211702d2bc05d8e5a1729c4295df7d96309397174d56f46ca04372ccc0b5";

	/**
	 * 青马工程SM2 web加密：publicKey
	 */
	public static final String PUBLIC_WEB_KEY = "046319d6dcc6ed7bfc1f56d5aef7c2c3e78d7fbab563b62bcb985a3d81f40829c106799988a125a6ab8d578f7cdff4182c2d7b493202ebf00cd9e221f72914803b";



	/**
	 * excel最大导入条数
	 */
	public static final int EXCEL_MAX_RAW = 500;

	/**
	 * 手机号正则
	 */
	public static final String REGEX = "^(13\\d|14[57]|15[^4,\\D]|17[^49,\\D]|18\\d)\\d{8}$";

	/**
	 * 身份证正则
	 */
	public static final String ID_CARD_REGEX="(^\\d{15}$)|(^\\d{17}([0-9]|X)$)";

	/**
	 * 学员-导师 已拒绝状态
	 */
	public static final Integer REJECTED_STATE = 3;

	/**
	 * 文件后缀xls
	 */
	public static final String XLS = "xls";

	/**
	 * 文件后缀xlsx
	 */
	public static final String XLSX = "xlsx";

	/**
	 * 批量导入文件大小不能超过5M
	 */
	public static final int FILE_SIZE = 5;

	/**
	 * 文件数据大小上限为500条
	 */
	public static final int FILE_DATA_SIZE = 500;

	/**
	 * 青马-班级级别静态值Id
	 */
	public static final int CLASS_LEVEL =10056;

	/**
	 * 青马-政治面貌静态值Id
	 */
	public static final int POLITICAL_OUTLOOK =10053;

	/**
	 * 青马-学历静态值Id
	 */
	public static final int EDUCATION =10054;

	/**
	 * 手机号长度为11
	 */
	public static final int PHONE_SIZE = 11;

	/**
	 * 作业参与情况 已
	 */
	public static final String COURSE_STATUS_FINISH = "已参与";

	/**
	 * 作业参与情况 未
	 */
	public static final String COURSE_STATUS_NO_FINISH = "未参与";

	/**
	 * 性别为男的文字
	 */
	public static final String SEX_MALE_NAME = "男";

	/**
	 * 性别为女的文字
	 */
	public static final String SEX_FEMALE_NAME = "女";

	/**
	 * 培训基地图片最大数
	 */

	public  static final int TRAIN_PIC_COUNT=3;


	/**
	 * 可申请
	 */
	public static final String MAY_APPLY = "可申请";

	/**
	 * 审核中
	 */
	public static final String IN_REVIEW = "审核中";

	/**
	 * 已拒绝
	 */
	public static final String REJECT = "已拒绝";

	/**
	 * 已满员
	 */
	public static final String FULL_STRENGTH = "已满员";

	/**
	 * 导师匹配-待审核,值为0
	 */
	public static final String TEACHER_MATE_WAIT = "0";

	/**
	 * 导师匹配-未选择,值为1
	 */
	public static final String TEACHER_MATE_NOT_SELECT = "1";

	/**
	 * 导师匹配-未匹配,值为2
	 */
	public static final String TEACHER_MATE_NOT = "2";

	/**
	 * 导师匹配-已匹配,值为3
	 */
	public static final String TEACHER_MATE_YES = "3";

	/**
	 * 学员申请导师-流程标题
	 */
	public static final String STU_AUDIT_TITLE = "青马工程-学员申请导师流程";

	/**
	 * 学员申请导师-发起申请
	 */
	public static final Integer STU_AUDIT_APPLY=0;

	/**
	 *	学员申请导师-导师审核
	 */
	public static final Integer STU_AUDIT_TEACHER_AUDIT=1;
	/**
	 * 学员申请导师-导师通过
	 */
	public static final Integer STU_AUDIT_PASS=2;
	/**
	 * 学员申请导师-导师拒绝
	 */
	public static final Integer STU_AUDIT_REJECT=3;

	/**
	 *  青马工程-创建青马用户审核流程-流程标题
	 */
	public static final String INSERT_USER_TITLE = "青马工程-创建青马用户审核流程";

	/**
	 * 已解绑
	 */
	public static  final String UNBOUND = "已解绑";

	/**
	 * 当前导师
	 */
	public static  final String TEACHER_NOW = "当前导师";

	/**
	 * 学员申请导师最大拒绝次数
	 */
	public static  final int REJECT_MAX = 2;

	/**
	 * 推优后是否完成导师和班级配置-未完成
	 */
	public static final Integer BE_CONFIG_TYPE_0=0;
	/**
	 * 推优后是否完成导师和班级配置-已完成
	 */
	public static final Integer BE_CONFIG_TYPE_1=1;

	/**
	 * 导师与学员绑定状态-已解绑
	 */
	public static final Integer TEACH_STU_BINDING_0=0;
	/**
	 * 导师与学员绑定状态-已绑定
	 */
	public static final Integer TEACH_STU_BINDING_1=1;

	/**
	 * 选中状态 0学生申请
	 */
	public static final int CHOOSE_STATE_0 = 0;

	/**
	 * 选中状态 1老师添加
	 */
	public static final int CHOOSE_STATE_1 = 1;

	/**
	 * 选中状态 2管理员添加
	 */
	public static final int CHOOSE_STATE_2 = 2;


	/**
	 * 培训基地已打卡  clockState
	 */
   public static  final Integer  CLOCK_STATE=1;

	/**
	 * 团重庆市组织id
	 */
	public static final Long TOP_ORG_ID = 1674703692521037822L;

	/**
	 * 超级管理员的账号用户id
	 */
	public static final int SUPER_ADMIN_WORKER_ID = 9999;

	/**
	 * 根结点组织id为0
	 */
	public static final Long TOP_PARENT_ORG_ID = 0L;

	/**
	 * 学员,导师申请 已拒绝状态
	 */
	public static final Integer WEB_REJECTED_STATE = 0;

	/**
	 * 组织或班级级别：国家级
	 */
	public static final String NATIONAL_LEVEL = "0";
	/**
	 * 组织或班级级别：市级
	 */
	public static final String CITY_LEVEL = "1";
	/**
	 * 组织或班级级别：区县级
	 */
	public static final String DISTRICT_LEVEL = "2";
	/**
	 * 组织或班级级别：校级
	 */
	public static final String SCHOOL_LEVEL = "3";
	/**
	 * 组织或班级级别：院系级
	 */
	public static final String FACULTY_LEVEL = "4";
	/**
	 * 组织或班级级别：企业级
	 */
	public static final String ENTERPRISE_LEVEL = "5";
	/**
	 * 组织或班级级别：二级单位
	 */
	public static final String SECONDARY_UNIT_LEVEL = "6";

	/**
	 * 青峰姓名字符串长度
	 */
	public static final int QF_NAME_LENGTH = 10;
	/**
	 * 青峰借款用途 & 公司名称 字符串长度
	 */
	public static final int QF_USE_COMPANY_NAME_LENGTH = 50;
	/**
	 * 青峰备注字符串长度
	 */
	public static final int QF_NOTES_LENGTH = 100;

	/**
	 * 青峰单位万元
	 */
	public static final String QF_UNIT_RMB= "万元";

	/**
	 * 青峰单位人
	 */
	public static final String QF_UNIT_PEOPLE= "人";
}
