package com.crunii.micro.service.qm.api.domain.dto.Book;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/9/19 19:14
 */
@Data
@ApiModel(description = "书籍参数")
public class BookInfo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("关联id")
    private Long relId;

    @ApiModelProperty("书籍名称")
    private String bookName;

    @ApiModelProperty("书籍作者")
    private String bookAuthor;

    @ApiModelProperty("书籍简介")
    private String bookDesc;

    @ApiModelProperty("创建时间")
    private Date createTime;
}
