package com.crunii.micro.service.qm.api.domain.dto.Book;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/9/23 15:17
 */
@Data
@ApiModel(description = "书单关联书籍基本信息")
public class BookInfoVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("书籍id")
    private Long bookId;

    @ApiModelProperty("书籍名称")
    private String bookName;

}
