package com.crunii.micro.service.qm.api.domain.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/9/21 10:46
 */
@Data
public class ExcelData implements Serializable {
    private static final long serialVersionUID = 1L;

    @ExcelProperty("导师姓名（必填）")
    private String name;

    @ExcelProperty("手机号（必填）")
    private String phone;

    @ExcelProperty("导师性别（必填）")
    private String sex;

    @ExcelProperty("身份证号（必填）")
    private String idCard;

    @ExcelProperty("所属组织（必填）")
    private String affiliation;

    @ExcelProperty("班级级别（必填）")
    private String classLevel;

    @ExcelProperty("政治面貌（必填）")
    private String politicalAspect;

    @ExcelProperty("最高学历（必填）")
    private String highestEducation;

    @ExcelProperty("职务（必填）")
    private String office;

    @ExcelProperty("所属区域（必填）")
    private String region;

    @ExcelProperty("工作单位（必填）")
    private String workplace;

    @ExcelProperty("*所属系统")
    private String belongingSystem;

}
