package com.crunii.micro.service.qm.api.domain.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author baoxy
 * @date 2023-09-25
 */
@Data
public class ExcelDataCheck implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "批量导入列表")
    private List<ExcelData> excelDataList;

    @ApiModelProperty(value = "标记是否有错误数据(1是, 0否, 默认为0)")
    private int error = 0;
}
