package com.crunii.micro.service.qm.api.domain.dto;

import com.crunii.micro.service.qm.api.domain.dto.studentApp.LearIntegral;
import com.crunii.micro.service.qm.api.domain.dto.teacherApp.VolunteerVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author wangchen create 2023/9/19 19:33
 */
@Data
@ApiModel(description = "自我培养")
public class SelfCultivationVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("学习强国积分")
    private LearIntegral learIntegral;

    @ApiModelProperty("书籍")
    private List<WorkerBookVo> bookInfo;
}
