package com.crunii.micro.service.qm.api.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author wangchen create 2023/9/18 17:32
 */
@Data
@ApiModel(description = "用户荣誉vo")
public class WorkerHonorVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "获奖时间",notes = "")
    private Date acquisitionTime;

    @ApiModelProperty(name = "荣誉描述",notes = "")
    private String honorDesc;
}
