package com.crunii.micro.service.qm.api.domain.dto.appFoster;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author: LG
 * @date: 2023/9/22 18:37
 */
@Data
@ApiModel("app查询班级下的课程VO")
public class QueryClassesCourseVO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value ="课程id")
    private Long courseId;

    @ApiModelProperty(value ="课程名字")
    private String courseName;

    @ApiModelProperty(value ="课程主题")
    private String courseSubject;

    @ApiModelProperty(value ="课程编号")
    private String courseCode;

    @ApiModelProperty(value ="所属班级id")
    private Long classesId;

    @ApiModelProperty(value ="课程开始时间")
    private Date startTime;

    @ApiModelProperty(value ="课程结束时间")
    private Date endTime;

    @ApiModelProperty(value ="是否参与")
    private boolean whetherParticipation;

}
