package com.crunii.micro.service.qm.api.domain.dto.belowExcellent;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * @author xiayinqiang
 * @date 2023/9/30 0030 11:13:20
 */
@Data
@EqualsAndHashCode
@ColumnWidth(20)
@ApiModel(description = "导出实体Vo")
public class ExportByListVo {

//	@ExcelProperty(value = "唯一id",index = 0)
//	@ApiModelProperty(value = "唯一id")
//	private Long userInfoId;
//
	@ExcelProperty(value = "学员id")
	@ApiModelProperty(value = "学员id")
	private Integer workerId;

	@ExcelProperty(value = "学员编号")
	@ApiModelProperty(value = "学员编号")
	private String userCode;

	@ExcelProperty(value = "学员姓名")
	@ApiModelProperty(value = "学员姓名")
	private String workerName;

	@ExcelProperty(value = "手机号")
	private String mobile;

	@ExcelProperty(value = "学员职务")
	private String workerJob;

	@ExcelProperty(value = "所属机构")
	private String orgName;

	@ExcelProperty(value = "导师匹配")
	private String correlationStateDesc;

	@ExcelProperty(value = "创建时间")
	private Date createTime;

	@ExcelProperty(value = "修改时间")
	private Date updateTime;

	@ExcelProperty(value = "推优时间")
	private Date recommendTime;

	@ExcelProperty(value = "学员班级集合")
	private String classesVoList;

//	@ApiModelProperty(value = "学员班级集合")
//	private List<PageBelowExecllentClassesVo> classesVoList=new ArrayList<>();
}
