package com.crunii.micro.service.qm.api.domain.dto.belowExcellent;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author xiayinqiang
 * @date 2023/9/27 0027 11:32:04
 */
@Data
@ApiModel(description = "推优Dto")
public class InsertBelowExcellentDto {

	@NotNull(message = "推荐的上级组织id不能为空")
	@ApiModelProperty(name = "推荐的上级组织id", notes = "推荐的上级组织id",required = true)
	private Long orgId;

//	@NotNull(message = "原本的组织id不能为空")
//	@ApiModelProperty(name = "原本的组织id", notes = "原本的组织id",required = true)
//	private Long oldOrgId;

	@NotNull(message = "学员id不能为空")
	@ApiModelProperty(name = "学员id", notes = "学员id",required = true)
	private Integer stuWorkerId;

}
