package com.crunii.micro.service.qm.api.domain.dto.belowExcellent;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * @author xiayinqiang
 * @date 2023/10/12 0012 14:49:16
 */
@Data
@ApiModel(description = "分页查询拒绝两次了的学员列表Vo")
public class PageStuRefuseTwiceVo {
	@ApiModelProperty(value = "唯一id")
	private Long userInfoId;

	@ApiModelProperty(value = "学员id")
	private Integer workerId;

	@ApiModelProperty(value = "学员编号")
	private String userCode;

	@ApiModelProperty(value = "学员姓名")
	private String workerName;

	@ApiModelProperty(value = "手机号")
	private String mobile;

	@ApiModelProperty(value = "学员职务")
	private String workerJob;

	@ApiModelProperty(value = "组织id")
	private Long orgId;

	@ApiModelProperty(value = "所属机构")
	private String orgName;

	@ApiModelProperty(value = "学员创建时间")
	private Date createTime;

	@ApiModelProperty(value = "学员修改时间")
	private Date updateTime;

	@ApiModelProperty("导师关联状态：0待审核，1未选择，2未匹配，3已匹配")
	private String teacherMate;

	@ApiModelProperty(value = "导师匹配翻译")
	private String teacherMateName;

	@ApiModelProperty(value = "学员班级集合")
	private List<PageBelowExecllentClassesVo> classesVoList=new ArrayList<>();

}
