package com.crunii.micro.service.qm.api.domain.dto.bookList;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/9/20 9:26
 */
@Data
@ApiModel(description = "app书单请求参数")
public class AppBookListDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("书单名称")
    private String bookListName;

    @ApiModelProperty("书单主题")
    private List<Integer>  bookListTheme;
}
