package com.crunii.micro.service.qm.api.domain.dto.bookList;

import com.crunii.micro.core.annotation.PropertyTranslate;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/9/19 19:03
 */
@Data
@ApiModel(description = "app书单响应参数")
public class AppBookListVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("书单主键id")
    private Long bookListId;

    @ApiModelProperty("书单名称")
    private String bookListName;

    @ApiModelProperty("书单主题-静态值")
    private Integer bookListTheme;

    @ApiModelProperty("书单主题翻译")
    @PropertyTranslate(propertyCode = "bookListTheme", valueFiled = "bookListTheme")
    private String bookListThemeName;

}
