package com.crunii.micro.service.qm.api.domain.dto.bookList;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/9/23 14:46
 */
@Data
@ApiModel(description = "关联书单请求参数")
public class AssociatedBookListDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("书单主键id")
    @NotNull(message = "书单主键id不能为空")
    private Long bookListId;

    @ApiModelProperty("关联书籍")
    private List<Long> bookIds;
}
