package com.crunii.micro.service.qm.api.domain.dto.bookList;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/9/19 14:37
 */
@Data
@ApiModel(description = "书单响应参数")
public class BookListCount implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("书单主键id")
    private Long bookListId;

    @ApiModelProperty("关联书籍数量")
    private Integer associatedBook;
}
