package com.crunii.micro.service.qm.api.domain.dto.bookList;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/9/19 14:06
 */
@Data
@ApiModel(description = "书单请求参数")
public class BookListDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("书单主题-静态值")
    private Integer bookListTheme;

    @ApiModelProperty("书单名称")
    private String bookListName;

    @ApiModelProperty("书单编号")
    private String bookListCode;

    @ApiModelProperty("书单上架状态0下架1上架")
    private Integer bookListStatus;

    @ApiModelProperty("开始时间")
    private String startTime;

    @ApiModelProperty("结束时间")
    private String endTime;

}
