package com.crunii.micro.service.qm.api.domain.dto.bookList;

import com.crunii.micro.core.annotation.PropertyTranslate;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/9/19 9:44
 */
@Data
@ApiModel(description = "书单响应参数")
public class BookListInfo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("书单Id")
    private Long bookListId;

    @ApiModelProperty("书单名称")
    private String bookList;

    @ApiModelProperty("书单名称")
    private String bookListName;

    @ApiModelProperty("书单主题-静态值")
    private Integer bookListTheme;

    @ApiModelProperty("书单主题翻译")
    @PropertyTranslate(propertyCode = "bookListTheme",valueFiled = "bookListTheme")
    private String bookListThemeName;

    @ApiModelProperty("书单上架状态0下架1上架")
    private Integer bookListStatus;

    @ApiModelProperty("创建时间")
    private Date createTime;
}
