package com.crunii.micro.service.qm.api.domain.dto.classesMgr;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author: LG
 * @date: 2023/9/19 10:19
 */
@Data
@ApiModel("查询班级入参")
public class QueryClassesDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value ="入学年度")
    private String classesYear ;

    @ApiModelProperty(value ="班级级别编码")
    private String classesLevelCode;

    @ApiModelProperty(value ="班级类型编码")
    private String classesTypeCode;

    @ApiModelProperty(value = "orgId")
    private Long orgId;

    @ApiModelProperty(value ="班级状态")
    private Integer classesStatus;

    @ApiModelProperty(value ="开始时间")
    private Date startTime;

    @ApiModelProperty(value ="结束时间")
    private Date endTime;
}
