package com.crunii.micro.service.qm.api.domain.dto.classesMgr;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author: LG
 * @date: 2023/9/22 16:01
 */
@Data
@ApiModel("用户所关联课程VO")
public class QueryUserClassesVO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value ="班级ID",notes = "")
    private Long classesId;


    @ApiModelProperty(value ="班级编号",notes = "")
    private String classesCode;


    @ApiModelProperty(value ="入学年度",notes = "")
    private String classesYear;

    @ApiModelProperty(value ="班级类型名称")
    private String classesTypeName;

}
