package com.crunii.micro.service.qm.api.domain.dto.classesMgr;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author: LG
 * @date: 2023/9/25 14:24
 */
@Data
@ApiModel("修改班级状态DTO")
public class UpdateClassesStatusDTO  implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "班级id",required = true)
    @NotNull(message = "请选班级")
    private Long classesId;

    @ApiModelProperty(value = "班级状态：0未启用 1启用",required = true)
    @NotNull(message="请选班级状态")
    private Integer classesStatus;
}
