package com.crunii.micro.service.qm.api.domain.dto.courseware;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/9/20 16:06
 */
@Data
@ApiModel(description = "app课件请求参数")
public class AppCoursewareDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("课件名称")
    private String certificateName;

    @ApiModelProperty("课件主题")
    private List<Integer> certificateTopic;

    @ApiModelProperty("课件类型")
    private List<Integer> certificateType;
}
