package com.crunii.micro.service.qm.api.domain.dto.courseware;

import com.crunii.micro.core.annotation.PropertyTranslate;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/9/18 17:47
 */
@Data
@ApiModel(description = "课件响应参数")
public class CoursewareResInfoVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("课件类型")
    private Integer certificateType;

    @ApiModelProperty("课件类型翻译")
    @PropertyTranslate(propertyCode = "certificateType",valueFiled = "certificateType")
    private String certificateTypeName;

    @ApiModelProperty("资源名称")
    private String resName;

    @ApiModelProperty("资源大小")
    private String resSize;

    @ApiModelProperty("资源url")
    private String resUrl;
}
