package com.crunii.micro.service.qm.api.domain.dto.courseware;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/9/18 16:43
 */
@Data
@ApiModel(description = "课件响应参数")
public class CoursewareResVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("课程信息")
    CoursewareInfoVo coursewareInfoVo;

    @ApiModelProperty("课程资源信息")
    CoursewareResInfoVo coursewareResInfoVo;
}
