package com.crunii.micro.service.qm.api.domain.dto.homepage.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author xiayinqiang
 * @date 2023/9/19 0019 11:10:51
 */
@Data
@ApiModel(description = "首页展示书籍VO")
public class HomePageBookVo {

	@ApiModelProperty(notes = "书单id")
	private Long bookListId;

	@ApiModelProperty(notes = "书籍id")
	private Long bookId;

	@ApiModelProperty(notes = "书籍名称")
	private String bookName;


	@ApiModelProperty(notes = "书籍作者")
	private String bookAuthor;


	@ApiModelProperty(notes = "封面图片Key")
	private String fileKey;

}
