package com.crunii.micro.service.qm.api.domain.dto.org;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

@Setter
@Getter
@Builder
@ToString
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(description = "组织树查询参数")
public class OrgTreeReqDto {
    @ApiModelProperty(value = "上级组织id")
    private String parentOrgId;
    @ApiModelProperty(value = "组织名称")
    private String orgName;
    @ApiModelProperty(value = "组织类型：1团组织，9省市区")
    private String orgType;
    @ApiModelProperty(value = "组织级别：0国家级，1市级，2区县级，3校级，4院系级，5企业级，6二级单位")
    private String orgLevel;
}
