package com.crunii.micro.service.qm.api.domain.dto.org;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author xiayinqiang
 * @date 2023/9/26 0026 17:26:00
 */
@Data
@ApiModel(description = "根据名称查询组织Dto")
public class PageOrgByOrgNameDto {

	@NotBlank(message = "组织名称不能为空")
	@ApiModelProperty(name = "组织名称",notes = "组织名称",required = true)
	private String orgName;
}
