package com.crunii.micro.service.qm.api.domain.dto.qf;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author wangchen create 2023/11/10 8:56
 */
@Data
@ApiModel(description = "青峰计划导出参数")
public class LoanPlanImportVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ExcelProperty("编号")
    private Long applyCode;

    @ExcelProperty("申请人姓名")
    private String loanName;

    @ExcelProperty("申请人性别")
    private String loanSexTrans;

    @ExcelProperty("申请人证件号")
    private String idCard;

    @ExcelProperty("申请人年龄")
    private Integer age;

    @ExcelProperty("政治面貌")
    private String politicalOutlookTrans;

    @ExcelProperty("联系电话")
    private String loanPhone;

    @ExcelProperty("借款人性质")
    private String loanNatureTrans;

    @ExcelProperty("学历")
    private String eduLevelTrans;

    @ExcelProperty("贷款类型")
    private String loanTypeTrans;

    @ExcelProperty("申请金额")
    private String applyAmount;

    @ExcelProperty("意向承贷银行")
    private String intentionLoanBankTrans;

    @ExcelProperty("借贷用途")
    private String loanUse;

    @ExcelProperty("单位名称")
    private String companyName;

    @ExcelProperty("注册地址")
    private String areaName;

    @ExcelProperty("所属行业")
    private String industryName;

    @ExcelProperty("企业类型")
    private String enterpriseTypeTrans;

    @ExcelProperty("企业经营负债额")
    private String operatingLiabilities;

    @ExcelProperty("上一年营收")
    private String lastYearIncome;

    @ExcelProperty("上一年税收")
    private String lastYearTaxation;

    @ExcelProperty("员工数")
    private String staffNumber;

    @ExcelProperty("员工中大学生数")
    private String collegeStudentStaffNumber;

    @ExcelProperty("是否贷款成功")
    private String loanSuccessful;

    @ExcelProperty("放贷金额")
    private BigDecimal loanAmount;

    @ExcelProperty("申请时间")
    private Date createTime;

    @ExcelProperty("备注")
    private String notes;
}
