package com.crunii.micro.service.qm.api.domain.dto.qf;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.io.Serializable;

/**
* 青峰银行;
* @author : http://www.chiner.pro
* @date : 2023-12-26
*/
@Data
@ApiModel("青峰银行")
public class YcqQfBankVo implements Serializable{

   private static final long serialVersionUID = 1L;

   @ApiModelProperty("银行主键id")
   private Long bankId;

   @ApiModelProperty( "银行名称")
   private String bankName;

   @ApiModelProperty("是否叶子节点（0否 1是）")
   private Integer isLeaf;

}