package com.crunii.micro.service.qm.api.domain.dto.studentApp;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author wangchen create 2023/9/20 11:32
 */
@Data
@ApiModel(description = "审核记录vo")
public class AuditRecordVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("审核状态")
    private Integer correlationState;

    @ApiModelProperty("审核状态翻译")
    private String correlationStateTrans;

    @ApiModelProperty("创建时间")
    private Date createTime;
}
