package com.crunii.micro.service.qm.api.domain.dto.studentApp;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * @author wangchen create 2023/9/20 15:13
 */
@Data
@ApiModel("发挥作用创建参数")
public class ExertCreateDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键id 修改时带上，新增不带")
    private Long exertId;

    @ApiModelProperty("文件")
    private List<ExertFileTypeDto> fileList;

    @ApiModelProperty("发挥类型")
    private String exertType;

    @ApiModelProperty("覆盖人数")
    private Integer coverNumber;

    @ApiModelProperty("心得体会")
    private String experience;

    @ApiModelProperty("创建日期/完成时间")
    private Date createTime;
}
