package com.crunii.micro.service.qm.api.domain.dto.studentApp;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author wangchen create 2023/10/13 15:30
 */
@Data
@ApiModel("发挥作用创建参数")
public class ExertFileTypeDto implements Serializable {

    private static final long serialVersionUID = 1L;

    private Long exertId;

    @ApiModelProperty("视频上传返回的id")
    private String fileId;

    @ApiModelProperty("视频文件名称")
    private String fileName;

    @ApiModelProperty("视频封面图片")
    private String videoPicUrl;

    @ApiModelProperty("如果是图片，存放图片url")
    private String picUrl;

    @ApiModelProperty("图片上传后文件key，便于删除")
    private String fileKey;
}
