package com.crunii.micro.service.qm.api.domain.dto.studentApp;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author wangchen create 2023/9/20 15:27
 */
@Data
@ApiModel("人才举荐")
public class RecommendCreateDto  implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键id")
    private Long groupId;

    @ApiModelProperty("推荐类型")
    private Integer recommendType;

    @ApiModelProperty("举荐描述")
    private String recommendReason;

    @ApiModelProperty("创建时间")
    private Date createTime;
}
