package com.crunii.micro.service.qm.api.domain.dto.studentApp;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangchen create 2023/10/8 14:12
 */
@Data
@ApiModel(description = "学生审核状态")
public class StudentAuditVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("导师名字")
    private String workerName;

    @ApiModelProperty("状态")
    private Integer auditState;

    private Integer workerId;

    private Long tutorTraineeId;

    @ApiModelProperty("状态名称")
    private String stateName;
}
