package com.crunii.micro.service.qm.api.domain.dto.studentApp;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangchen create 2023/9/20 11:13
 */
@Data
@ApiModel(description = "导师基本信息分页参数")
public class TeacherAppBaseDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("导师姓名")
    private String workerName;

    @ApiModelProperty("导师是否可选 1可选 0 不可选")
    private Integer isChoose;

    @ApiModelProperty("区域id")
    private Long areaId;
}
