package com.crunii.micro.service.qm.api.domain.dto.studentWeb;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author baoxy
 * @date 2023-09-29
 */
@Data
@ApiModel(description = "审核通过列表返回参数实体类")
public class ClassesInfoVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "班级ID", notes = "班级ID")
    private Long classesId;

    @ApiModelProperty(value = "学员id", notes = "学员id")
    private Integer stuWorkerId;

    @ApiModelProperty(value = "所属班级类型code")
    private String typeCode;

    @ApiModelProperty(value = "所属班级")
    private String typeName;

    @ApiModelProperty(value = "所属班级级别code")
    private String levelCode;

    @ApiModelProperty(value = "班级级别")
    private String levelName;

    @ApiModelProperty(value = "年度")
    private String classesYear;

    @ApiModelProperty(value = "班级编号")
    private String classesCode;

    @ApiModelProperty(value = "班级组织名称")
    private String classesOrgName;

    @ApiModelProperty(value = "班级组织Id")
    private String classesOrgId;
}
