package com.crunii.micro.service.qm.api.domain.dto.studentWeb;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author baoxy
 * @date 2023-09-18
 */
@Data
@ApiModel(description = "查询待审核,审核不通过,审核通过,下级推优的数量实体类")
public class SearchNumVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "待审核数量")
    private int waitExamine = 0;

    @ApiModelProperty(value = "审核不通过数量")
    private int notPassExamine = 0;

    @ApiModelProperty(value = "审核通过数量")
    private int passExamine = 0;

    @ApiModelProperty(value = "下级推优数量")
    private int belowExcellent = 0;

    @ApiModelProperty(value = "学员被拒绝两次数量")
    private int stuRefuseTwiceCount = 0;
}
