package com.crunii.micro.service.qm.api.domain.dto.teacherApp;

import com.crunii.micro.core.annotation.InjectProperty;
import com.crunii.micro.core.annotation.PropertyTranslate;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author wangchen create 2023/9/20 9:48
 */
@Data
@ApiModel(description = "成长发展")
public class GrowthVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键id")
    private Long groupId;

    @ApiModelProperty("推荐类型")
    private Integer recommendType;

    @ApiModelProperty("推荐类型")
    @PropertyTranslate(propertyCode = "qm-typeofdevelopment",valueFiled = "recommendType")
    private String recommendTypeTrans;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("工作单位")
    private String workUnit;

    @ApiModelProperty("推荐理由")
    private String recommendReason;
}
