package com.crunii.micro.service.qm.api.domain.dto.teacherApp;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Range;

import java.io.Serializable;

/**
 * @author wangchen create 2023/9/19 14:44
 */
@Data
@ApiModel(description = "学生申请通过/拒绝")
public class StuApplyDto  implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("学员id")
    private Integer workerId;

    @ApiModelProperty("1接收 2拒绝 关联状态")
    @Range(message = "关联状态为 {min} 到 {max} 之间", min = 1, max = 2)
    private Integer correlationState;
}
