package com.crunii.micro.service.qm.api.domain.dto.teacherApp;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author wangchen create 2023/9/19 19:06
 */
@Data
@ApiModel(description = "导师评价")
public class TeacherTraineeVo  implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("导师名称")
    private String workerName;

    @ApiModelProperty("班级年度")
    private String classesYear;

    @ApiModelProperty("班级级别名称")
    private String levelName;

    @ApiModelProperty("课程名称")
    private String typeName;

    @ApiModelProperty("评价内容")
    private String evaluateContext;

    @ApiModelProperty("评价时间")
    private Date createTime;
}
