package com.crunii.micro.service.qm.api.domain.dto.teacherApp;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangchen create 2023/9/19 15:15
 */
@Data
@ApiModel(description = "web导师评价")
public class TutorEvaluateDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "班级id",notes = "")
    private Long classesId;

    @ApiModelProperty(name = "学员id",notes = "")
    private Integer workerId;

    @ApiModelProperty(name = "导师评价内容",notes = "")
    private String evaluateContext;
}
