package com.crunii.micro.service.qm.api.domain.dto.teacherApp;

import com.crunii.micro.core.annotation.PropertyTranslate;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author wangchen create 2023/9/20 9:43
 */
@Data
@ApiModel(description = "自愿服务 && 其他")
public class VolunteerVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键id")
    private Long selfCultivationId;

    @ApiModelProperty("类型")
    private Integer cultivationType;

    @ApiModelProperty("类型翻译")
    @PropertyTranslate(propertyCode = "qm-cultivationtype-web",valueFiled = "cultivationType")
    private String cultivationTypeTrans;

    @ApiModelProperty("评价")
    private String experience;

    @ApiModelProperty("创建时间")
    private Date createTime;
}
