package com.crunii.micro.service.qm.api.domain.dto.teacherWeb;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author wangchen create 2023/9/19 19:35
 */
@Data
@ApiModel("作用发挥")
public class ExertDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("学员id")
    private Integer workerId;

    @ApiModelProperty("开始时间")
    private Date startTime;

    @ApiModelProperty("结束时间")
    private Date endTime;

    @ApiModelProperty("类型")
    private Integer exertType;
}
