package com.crunii.micro.service.qm.api.domain.dto.teacherWeb;

import com.crunii.micro.service.qm.api.domain.dto.WorkerHonorVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author wangchen create 2023/9/18 17:39
 */
@Data
@ApiModel(description = "导师详情")
public class TeacherDetailVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("导师基本信息")
    private TeacherBaseVo teacherBase;

    @ApiModelProperty("导师荣誉")
    private List<WorkerHonorVo> workerHonorList;

    @ApiModelProperty(name = "审核意见描述",notes = "")
    private String note;

    @ApiModelProperty(name = "聘书图片url",notes = "")
    private String expandUrl;

    @ApiModelProperty(name = "班级级别",notes = "")
    private String levelCode;

    @ApiModelProperty(name = "班级级别名称",notes = "")
    private String levelName;

    @ApiModelProperty(value = "擅长领域",notes = "")
    private String honorDesc;
}
