package com.crunii.micro.service.qm.api.domain.dto.teachingRoute;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.sql.Date;

/**
 * @author denggl
 * date 2023/9/18
 */

@Data
@ApiModel("更新路线节点入参")
public class TeachingRouteNodeU implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "唯一标识",notes = "")
    private Long routeNodeId;

    /** 路线id */
    @ApiModelProperty(value = "路线id 不为空表示新增",notes = "")
    private Long teachingRouteId;

    /** 开始时间 */
    @ApiModelProperty(value = "开始时间",notes = "")
    private Date startTime;

    /** 结束时间 */
    @ApiModelProperty(value = "结束时间",notes = "")
    private Date endTime;

    /** 节点路线内容 */
    @ApiModelProperty(value = "节点路线内容",notes = "")
    private String content;




}
