package com.crunii.micro.service.qm.api.domain.dto.trainingTrain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * @author denggl
 * date 2023/9/19
 */
@ApiModel("基地打卡入参")
@Data
public class TrainClockDto implements Serializable {
    private static final long serialVersionUID = 1853327664081816233L;
    /** 教学基地id */
    @NotNull(message = "教学基地")
    @ApiModelProperty(value = "教学基地id",notes = "")
    private Long trainId;

    @ApiModelProperty(value = "打卡纬度",notes = "")
    private String longitude;

    @ApiModelProperty(value = "打卡经度",notes = "")
    private String latitude;
    @ApiModelProperty(value = "打卡结果 成功1,失败0",notes = "")
    @NotNull(message = "打卡结果必传")
    private Integer clockState;
}
