package com.crunii.micro.service.qm.api.domain.dto.trainingTrain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import java.io.Serializable;
import java.util.Date;

/**
 * @author denggl
 * date 2023/9/19
 */
@Data
@ApiModel("查看基地打卡信息返回信息")
public class TrainingTrainClockVo implements Serializable {

    private static final long serialVersionUID = -4222723764687394990L;
    /** 教学基地id */
    @ApiModelProperty(value = "教学基地id",notes = "")
    private Long trainId;

    /** 打卡人id */
    @ApiModelProperty(value = "打卡人id",notes = "")
    private Integer wokerId;

    /** 打卡时间 */
    @ApiModelProperty(value = "打卡时间",notes = "")
    private Date clockTime;

    @ApiModelProperty(value = "姓名",notes = "")
    private String clockName;


    @ApiModelProperty(value = "手机号",notes = "")
    private String phone;

    @ApiModelProperty(value = "状态 0:无效,1:有效,2:锁定",notes = "")
    private int satus;

    @ApiModelProperty(value = "用户头像key",notes = "")
    private String headSculpture;
    @ApiModelProperty(value = "用户头像Url",notes = "")
    private String headSculptureUrl;
    @ApiModelProperty(value = "用户身份 2导师，1学员 ",notes = "")
    private  Integer userIdentity;



}
