package com.crunii.micro.service.qm.api.domain.dto.userinfo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * @author xiayinqiang
 * @date 2023/9/19 0019 9:26:58
 */
@Data
@ApiModel(description = "班级级别信息Vo")
public class ClassesLevelVo {

	@ApiModelProperty(name = "班级级别编码",notes = "班级级别编码")
	private String levelCode;

	/** 级别对应的组织层级;级别对应的组织层级 */
	@ApiModelProperty(name = "级别对应的组织层级",notes = "级别对应的组织层级")
	private Integer levelOrgTier;

	/** 班级编号 */
	@ApiModelProperty(name = "班级级别名称",notes = "班级级别名称")
	private String levelName;


}
