package com.crunii.micro.service.qm.api.domain.dto.userinfo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author xiayinqiang
 * @date 2023/9/19 0019 15:08:02
 */
@Data
@ApiModel(description = "用户荣誉信息Vo")
public class UserHonorVo {


	@ApiModelProperty(name = "荣誉主键id",notes = "荣誉主键id")
	private Long honorId;

	/** 获奖时间 */
	@ApiModelProperty(name = "获奖时间",notes = "1获奖时间，2录入时间")
	private Date acquisitionTime;

	/** 荣誉描述 */
	@ApiModelProperty(name = "荣誉描述",notes = "1荣誉描述，2擅长领域描述")
	private String honorDesc;


}
