package com.crunii.micro.service.qm.api.domain.dto.video;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/10/11 17:03
 */
@Data
public class NotificationDto {

    private String appKey;
    private String nonce;
    private String curTime;
    private String checkNum;

    @ApiModelProperty("第三方平台名称")
    private String systemName;

    @ApiModelProperty("第三方平台用户账号")
    private String userName;

    @ApiModelProperty("日期，格式为YYMMDD")
    private String uploadDate;

    @ApiModelProperty("上传文件名")
    private String fileName;

    @ApiModelProperty("上传文件路径(目前未用到)")
    private String filePath;

    private String notifyURL;
}
