package com.crunii.micro.service.qm.api.enums;

import lombok.Getter;

/**
 * @author wangchen create 2023/10/8 19:45
 */
@Getter
public enum OperationCompletionEnum {
    COURSE_FINNISH(0,"未完成"),COURSE_INCOMPLETE(1,"完成");

    private Integer operationCompletion;

    private String operationCompletionTrans;

    OperationCompletionEnum(Integer operationCompletion,String operationCompletionTrans){
        this.operationCompletion = operationCompletion;
        this.operationCompletionTrans = operationCompletionTrans;
    }

    public static String getTrans(Integer operationCompletion){
        OperationCompletionEnum[] values = OperationCompletionEnum.values();
        for (OperationCompletionEnum value : values) {
            if (value.operationCompletion.equals(operationCompletion)) {
                return value.operationCompletionTrans;
            }
        }
        return null;
    }
}
