package com.crunii.micro.service.qm.api.enums;

import lombok.Getter;

/**
 * @author wangchen create 2023/11/10 14:19
 */
@Getter
public enum SexEnum {
    MAE(1,"男"),WOMAN(0,"女");

    private Integer sex;
    private String value;

    SexEnum(Integer sex,String value){
        this.sex=sex;
        this.value=value;
    }

    public static String getSexValue(Integer sex){
        SexEnum[] values = SexEnum.values();
        for (SexEnum value : values) {
            if(value.getSex().equals(sex)){
                return value.getValue();
            }
        }
        return "";
    }
}
