package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.LoanPlanImportTemp;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface LoanPlanImportTempRepo extends BaseRepo<LoanPlanImportTemp, Long> {

    List<LoanPlanImportTemp> findByDataKey(String dataKey);

    @Modifying
    @Query(value="delete from  YCQ_QF_LOAN_PLAN_TEMP where data_key=:dataKey",nativeQuery=true)
    int deleteByDataKey(@Param("dataKey") String dataKey);
}
