package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.YcqQfLoanRecord;
import org.springframework.stereotype.Repository;
 /**
 * ;
 * @author : http://www.chiner.pro
 * @date : 2023-11-8
 */
@Repository
public interface YcqQfLoanRecordRepo extends BaseRepo<YcqQfLoanRecord, Long> {

     /**
      * 查询身份证号是否重复，并且是否已处理
      * @param idCard 身份证号
      * @param handle 0 未处理 1 已处理
      * @return data
      */
     YcqQfLoanRecord findByIdCardAndHandle(String idCard,Integer handle);
}
