package com.crunii.micro.domain.repo.main;


import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.YcqQmBelowExcellen;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 下级推优记录表;
 * @author : http://www.chiner.pro
 * @date : 2023-9-27
 */
@Repository
public interface YcqQmBelowExcellenRepo extends BaseRepo<YcqQmBelowExcellen, Long> {

	List<YcqQmBelowExcellen> findByStuWorkerIdAndDeleted(Integer workerId, Integer deleted);

	List<YcqQmBelowExcellen> findByStuWorkerIdAndConfigTypeAndDeleted(Integer workerId, Integer configType,Integer deleted);

}
