package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.YcqQmExertLink;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 青马-自我培养-作用发挥;
 * @author : http://www.chiner.pro
 * @date : 2023-9-27
 */
@Repository
public interface YcqQmExertLinkRepo extends BaseRepo<YcqQmExertLink, Long> {
    /**
     * 荣光发挥id查询
     * @param exertId 发挥id
     * @param deledted 是否删除
     * @return data
     */
     List<YcqQmExertLink> findByExertIdAndDeleted(Long exertId, int deledted);
 }
