package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.YcqQmFlowRecord;
import org.springframework.stereotype.Repository;
 /**
 * 青马流程记录表;
 * @author : http://www.chiner.pro
 * @date : 2023-9-30
 */
@Repository
public interface YcqQmFlowRecordRepo extends BaseRepo<YcqQmFlowRecord, Long> {

  /**
   * 查询流程记录
   * @param serviceId 主键id
   * @return data
   */
  YcqQmFlowRecord findByServiceId(Long serviceId);
}
