package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.YcqQmTeacherStuReject;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 青马-导师学员关联（已拒绝）;
 *
 * @author : http://www.chiner.pro
 * @date : 2023-9-23
 */
@Repository
public interface YcqQmTeacherStuRejectRepo extends BaseRepo<YcqQmTeacherStuReject, Long> {

    /**
     * 查询学生和导师关联
     *
     * @return data
     */
    List<YcqQmTeacherStuReject> findByTeachWorkerIdAndStuWorkerIdAndDeleted(Integer teacherId,Integer stuId,Integer delete);

    /**
     * 查询学员被拒绝记录
     */
    List<YcqQmTeacherStuReject> findAllByStuWorkerIdAndDeleted(Integer stuId,Integer deleted);
}
