package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.YcqQmTeachingRouteNode;
import org.springframework.data.repository.query.Param;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import java.util.Date;
import java.util.List;

/**
 * @author denggl
 * date 2023/9/18
 */
@Repository
public interface YcqQmTeachingRouteNodeRepo extends BaseRepo<YcqQmTeachingRouteNode, Long> {
    @Transactional
    @Modifying
    @Query(value="update YCQ_QM_TEACHING_ROUTE_NODE t set t.deleted =1,updater_id=:workerId,update_time=:updateTime where t.route_node_id in :ids",nativeQuery=true)
    void updateDeletedByRouteId(@Param("workerId")Integer workerId, @Param("updateTime") Date updateTime,@Param("ids") List<Long> id);
}
