package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.YcqQmUserClassesRel;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 青马-学员与班级关联表;
 *
 * @author : http://www.chiner.pro
 * @date : 2023-9-21
 */
@Repository
public interface YcqQmUserClassesRelRepo extends BaseRepo<YcqQmUserClassesRel, Long> {

    List<YcqQmUserClassesRel> findByStuWorkerIdAndDeleted(Integer workerId, int deleted);

    List<YcqQmUserClassesRel> findByStuWorkerIdInAndDeleted(List<Integer> workerId, int deleted);

    List<YcqQmUserClassesRel> findByClassesIdAndStuWorkerIdAndDeleted(Long classesId, Integer stuWorkerId, Integer deleted);
}
