package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.YcqQmUserHonor;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 用户荣誉表;
 * @author : http://www.chiner.pro
 * @date : 2023-9-18
 */
@Repository
public interface YcqQmUserHonorRepo extends BaseRepo<YcqQmUserHonor, Long> {

	YcqQmUserHonor findByHonorIdAndDeleted(Long honorId,int deleted);
	List<YcqQmUserHonor> findByWorkerIdAndDeleted(int workerId,int deleted);
	List<YcqQmUserHonor> findByWorkerIdAndHonorTypeAndDeleted(int workerId,int honorType,int deleted);


}
