package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.YcqQmUserInfo;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 青马工程-用户信息表;
 * @author : http://www.chiner.pro
 * @date : 2023-9-18
 */
@Repository
public interface YcqQmUserInfoRepo extends BaseRepo<YcqQmUserInfo, Long> {

  YcqQmUserInfo findByWorkerIdAndDeleted(int workerId,int deleted);

  YcqQmUserInfo findByWorkerId(int workerId);

  YcqQmUserInfo findByCardIdAndDeleted(String cardId,int deleted);

  List<YcqQmUserInfo> findAllByIdIn(List<Long> idList);
}
