package com.crunii.micro.service.qm.config;

import com.crunii.micro.service.qm.api.domain.dto.FlowIdProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @author wangchen create 2023/10/18 16:51
 */
@Getter
@Setter
@Component
@ConfigurationProperties(prefix = "flow")
public class QmFlowConfig {

    private FlowIdProperty stuAudit;

    private FlowIdProperty insertUser;
}
