package com.crunii.micro.service.qm.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.qm.api.domain.dto.Book.AppBookInfo;
import com.crunii.micro.service.qm.api.domain.dto.Book.AppBookInfoVo;
import com.crunii.micro.service.qm.api.domain.dto.Book.AppSearchBookDto;
import com.crunii.micro.service.qm.api.domain.dto.bookList.AppBookListDto;
import com.crunii.micro.service.qm.api.domain.dto.bookList.AppBookListInfoDto;
import com.crunii.micro.service.qm.api.domain.dto.bookList.AppBookListVo;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/9/20 9:24
 */
public interface AppBookListService {

    PageRsp<AppBookListVo> bookListPage(PageReq<AppBookListDto> req);

    PageRsp<AppBookInfo> viewBookList(Worker worker, PageReq<AppBookListInfoDto> req);

    PageRsp<AppBookInfo> searchBook(Worker worker, PageReq<AppSearchBookDto> req);

    Result<AppBookInfoVo> viewBookInfo(Worker worker, Long bookId);
}
