package com.crunii.micro.service.qm.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.qm.api.domain.dto.courseware.*;

import java.util.List;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/9/18 12:06
 */
public interface CoursewareService {

    PageRsp<CoursewareVo> coursewarePage(PageReq<CoursewareDto> req);

    Result<String> createCourseware(Worker worker, CoursewareC coursewareC);

    Result<String> updateCourseware(Worker worker, CoursewareU coursewareU);

    Result<String> deleteCourseware(Worker worker, List<Long> certificateId);

    Result<CoursewareResVo> viewCourseware(Worker worker, Long certificateId);

    Result<String> updateStatus(Worker worker, Long certificateId,Integer certificateStatus);

}
