package com.crunii.micro.service.qm.task;

import com.crunii.micro.service.qm.service.counter.RedisCounter;
import org.redisson.api.RedissonClient;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.time.LocalDateTime;

@Component
public class YourScheduledTask {

    @Autowired
    private RedisCounter redisCounter;

    // 每天凌晨一点执行的定时任务
    @Scheduled(cron = "0 0 0 * * ?")
    public void executeTask() {
        // 这里放置你想要执行的任务逻辑
        redisCounter.init();
    }
}
