package com.crunii.micro.service.qzh.api.constants;

/**
 * @author xiangjunming
 * @date 2023/9/4
 */
public interface QzhConstants {
    //public
    String CREATE_SUCCESS = "创建成功";
    String UPDATE_SUCCESS = "修改成功";
    String OPERATION_SUCCESS = "操作成功";
    String REQUEST_ERROR = "缺少关键参数";
    String BROWSE_TRUE = "浏览记录成功";
    String ID_TRUE = "ID不能为空";
    String STATE_TRUE = "state为空,数据异常";
    String SELECT_TRUE = "查询成功";
    String ZHANGHAO_TRUE = "该账号无关联数据";
    //政策相关
    String DOCUMENT_NOT_EXISTS = "政策不存在";
    String DOCUMENT_NOT_NULL = "政策类型不能为空";
    String WORKER_NOT_EXISTS = "获取当前登录用户失败";
    String DOCUMENT_REQUEST_IS_NULL = "请求参数异常";
    String DOCUMENT_TITLE_LENGTH_TOO_LONG = "标题不能超过50个字符";
    String DOCUMENT_NUM_LENGTH_TOO_LONG = "文件号不能超过50个字符";
    String DOCUMENT_FILE_TOO_MUCH = "附件不能超过5个";
    String DOCUMENT_IS_PUBLISH = "该政策已发布,不允许删除";
    //公告公示
    String ANNOUNCEMENT_NOT_EXISTS = "该公告不存在";
    String ANNOUNCEMENT_REQUEST_ERROR = "缺少关键参数";
    String ANNOUNCEMENT_IS_PUBLISH = "该公告公示已发布,不允许删除";
    String ANNOUNCEMENT_NOT_NULL = "公告公示类型不能为空";
    //风采
    String ACTIVITY_FILE_TOO_MUCH = "附件不能超过9个";
    String ACTIVITY_NOT_EXISTS = "该风采不存在";
    String ACTIVITY_NOT_NULL = "风采类型不能为空";
    //通用
    String ALL_OFF_SHELF = "该数据已发布,不能编辑";
    String ALL_OFF_HANDLE = "该账号无此数据处理权限";
    String ALL_OFF_ACCOUNT = "账号和数据异常,请联系系统管理员";

}
