package com.crunii.micro.service.qzh.api.domain.dto;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;


/**
 * @Author: zwx
 * @CreateTime: 2023-09-18  17:48:13
 * @Description: app活动详情VO
 */
@Data
@ApiModel(description = "app活动详情VO")
public class AppActivityDetailsVO implements Serializable {

    @ApiModelProperty(value = "已报名人数")
    Long registeredCount;

    @ApiModelProperty(value = "报名情况集合")
    List<AppActivityStatusVO> appActivityStatusVOList;

    @ApiModelProperty(value = "参与详情反馈模板集合")
    List<ParticipationDetailsVO> participationDetailsVOList;
}
