package com.crunii.micro.service.qzh.api.domain.dto;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;


/**
 * @Author: zwx
 * @CreateTime: 2023-09-18  17:48:13
 * @Description: app活动详情VO
 */
@Data
@ApiModel(description = "app活动单用户参与详情")
public class AppActivityEvaluateVO implements Serializable {

    @ApiModelProperty(value = "单个用户参与详情")
    AppActivityPlayerInfoVO appActivityPlayerInfoVO;

    @ApiModelProperty(value = "参与详情反馈模板")
    ParticipationDetailsVO participationDetailsVO;
}
