package com.crunii.micro.service.qzh.api.domain.dto;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;


/**
 * @Author: zwx
 * @CreateTime: 2023-09-18  17:48:13
 * @Description: 基础信息集合VO
 */
@Data
@ApiModel(description = "基础信息集合VO")
public class BasicInformationVO implements Serializable {

    @ApiModelProperty(value = "活动标题")
    private String activityTitle;

    @ApiModelProperty(value = "所属业务")
    private String businessUnit;

    @ApiModelProperty(value = "活动类型")
    private String activityType;

    @ApiModelProperty(value = "活动时间")
    private String activityTime;

    @ApiModelProperty(value = "活动地址")
    private String activityAddress;

    @ApiModelProperty(value = "活动举办方")
    private String organizer;

    @ApiModelProperty(value = "联系方式")
    private String contact;

    @ApiModelProperty(value = "活动状态")
    private String activityStatusName;

    @ApiModelProperty(value = "限定人数")
    private String limitOfParticipantsName;

    @ApiModelProperty(value = "是否需要报名")
    private String requiresRegistrationName;

    @ApiModelProperty(value = "报名是否审核")
    private String registrationRequiresApprovalName;

    @ApiModelProperty(value = "需要签到签退")
    private String requiresCheckInCheckOutName;
}
