package com.crunii.micro.service.qzh.api.domain.dto;

import io.swagger.annotations.ApiModel;
import java.io.Serializable;
import lombok.Data;

/**
 * @Author thw
 * @date 2023/9/5
 * @description 指标体系评定风采DTO
 */
@Data
@ApiModel(value = "指标体系评定风采DTO", description = "指标体系评定风采DTO")
public class IndicatorAppraiseDecideReqDTO implements Serializable, Cloneable {

  /**
   * 主键列表，风采展示页面主键
   */
  private Long[] ids;
  /**
   * 主键，指标体系主键
   */
  private Long indexId;
  /**
   * 组织id
   */
  private String orgId;
}
