package com.crunii.micro.service.qzh.api.domain.dto;

import io.swagger.annotations.ApiModel;
import java.io.Serializable;
import lombok.Data;

/**
 * @Author thw
 * @date 2023/9/5
 * @description 通过指标版本 id 查询具体指标体系内容
 */
@Data
@ApiModel(value = "指标体系评价列表VO", description = "指标体系评价列表VO")
public class IndicatorAppraiseRespDTO implements Serializable, Cloneable {

  /**
   * 关联活动/个，关联的风采数
   */
  private String activeNumber;
  /**
   * 评价要点
   */
  private String evaluationPoints;
  /**
   * 一级指标
   */
  private String primaryIndicators;
  /**
   * 分值
   */
  private long score;
  /**
   * 二级指标
   */
  private String secondaryIndicators;
}
