package com.crunii.micro.service.qzh.api.domain.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.annotation.Generated;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Objects;

/**
 * TopicListQueryReqDTO
 */

@Data
@ApiModel(value = "题目列表请求参数", description = "")
public class TopicListQueryReqDTO implements Serializable {

  private static final long serialVersionUID = 1L;

  /**
   * 所属题库ID
   */
  @ApiModelProperty(name = "所属题库ID", notes = "")
  private Integer questionBankId;
  /**
   * 题目
   */
  @ApiModelProperty(name = "题目", notes = "")
  private String topic;
  /**
   * 题目类型，1单选题2多选题3判断题
   */
  @ApiModelProperty(name = "题目类型，1单选题2多选题3判断题", notes = "")
  private Integer topicType;
}

