package com.crunii.micro.service.qzh.api.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import java.io.Serializable;

/**
 * TopicOptionDTO
 */

@Data
@AllArgsConstructor
@ApiModel(value = "题目选项", description = "")
public class TopicOptionDTO implements Serializable {

  private static final long serialVersionUID = 1L;

  /**
   * 选项内容
   */
  @ApiModelProperty(name = "选项内容", notes = "")
  private String optionContent;

  /**
   * 是否为答案，1是答案0不是答案
   */
  @ApiModelProperty(name = "是否为答案，1是答案0不是答案", notes = "")
  private Integer isAnswer;

  /**
   * 选项
   */
  @ApiModelProperty(name = "选项", notes = "")
  private String option;
}

