package com.crunii.micro.service.qzh.api.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
@ApiModel(value = "指标体系下拉入参")
public class YcqQzhIndicatorIndexReqDTO implements Serializable, Cloneable{

    @ApiModelProperty("指标版本id")
    @NotNull(message = "版本id为空")
    private Long indicatorVersionId;

    @ApiModelProperty("类型")
    @NotNull(message = "类型为空")
    private Integer type;
}
