package com.crunii.micro.service.qzh.api.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;

@Data
@ApiModel(value = "指标体系入参")
public class YcqQzhIndicatorSystemDto implements Serializable, Cloneable{
    /**
     * ID
     */
    @ApiModelProperty("ID")
    private Long id;
    /**
     * 指标版本id
     */
    @ApiModelProperty("指标版本id")
    private Long indicatorVersionId;
    /**
     * 评价要点
     */
    @ApiModelProperty("评价要点")
    private String evaluationPoints;
    /**
     * 一级指标
     */
    @ApiModelProperty("一级指标")
    private String primaryIndicators;
    /**
     * 二级指标
     */
    @ApiModelProperty("二级指标")
    private String secondaryIndicators;
    /**
     * 分值
     */
    @ApiModelProperty("分值")
    private Integer score;

    @ApiModelProperty(value = "类型", notes = "1=评价要点，2=一级指标，3=二级指标")
    private Integer type;
}
