package com.crunii.micro.service.qzh.api.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 指标版本
 * @author leixb
 */
@Data
@ApiModel("指标版本")
public class YcqQzhIndicatorVersionVo implements Serializable {
    
    private static final long serialVersionUID = 1L;
    /**
     * ID
     */
    @ApiModelProperty("ID")
    private Long id;
    /**
     * 名称
     */
    @ApiModelProperty("版本名称")
    private String versionName;
    
    /**
     * 有效期(开始)
     */
    @ApiModelProperty("有效期(开始)")
    private String effectiveTimeStart;
    /**
     * 有效期(结束)
     */
    @ApiModelProperty("有效期(结束)")
    private String effectiveTimeEnd;
    
    @ApiModelProperty("是否有效")
    private Boolean isValid;
    
}
