package com.crunii.micro.service.qzh.api.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Id;
import java.io.Serializable;
import java.util.List;



@Data
@ApiModel(description = "线上培训视频")
public class YcqQzhOnlineTrainVideoDTO implements Serializable {
    private Long id ;
    /** 视频id */
    @ApiModelProperty(name = "视频id",notes = "")
    private String videoId ;
    /** 标题 */
    @ApiModelProperty(name = "标题",notes = "")
    private String title ;
    /** 是否允许拖动播放（1 是 0否） */
    @ApiModelProperty(name = "是否允许拖动播放（1 是 0否）",notes = "")
    private String isAllowDragPlay ;
    /** 是否允许背书播放（1是  0否） */
    @ApiModelProperty(name = "是否允许背书播放（1是  0否）",notes = "")
    private String isDoubleSpeedPlay ;
    @ApiModelProperty(name = "是否完成",notes = "")
    private String isComplete ;

    private String videoUrl ;

    private String videoName ;
}
