package com.crunii.micro.service.qzh.api.domain.dto.activity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


@Data
@ApiModel(value = "PageActivityReqDTO", description = "web分页查询风采请求参数")
public class PageActivityReqDTO {

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "风采标题")
    private String activityTitle;

    @ApiModelProperty(value = "风采类型，1突击队，2文明号，3示范岗，4权益岗")
    private Integer activityType;

    @ApiModelProperty(value = "创建者")
    private String createUserName;

    @ApiModelProperty(value = "开放范围,(1全部,2对内,3对外)")
    private Integer openCompetence;

    @ApiModelProperty(value = "所属对象")
    private String parentName;
    
    @ApiModelProperty(value = "权益岗所属对象id", notes = "指标体系评价->关联风采点击传参")
    private String parentId;
    
    @ApiModelProperty(value = "指标id", notes = "指标体系评价->关联风采点击传参")
    private String indicatorSystemId;

    @ApiModelProperty(value = "位置(myApp/app/web)")
    private String condition;

    @ApiModelProperty(value = "开始时间")
    private String beginTime;

    @ApiModelProperty(value = "结束时间")
    private String endTime;

    @ApiModelProperty(value = "状态(1已发布,2已下架)")
    private String state;


}
