package com.crunii.micro.service.qzh.api.domain.dto.activity;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;


/**
 * @Author: zwx
 * @CreateTime: 2023-09-18  17:48:13
 * @Description: QR码信息
 */
@Data
@ApiModel(description = "QR码信息")
@JsonIgnoreProperties(ignoreUnknown = true)
public class QrCodeInfo implements Serializable {

    private Long activityId;
    private Integer signType;
    private String qrId;
    private String identify;
    private Integer signInWay;
    private Integer signOutWay;

}
