package com.crunii.micro.service.qzh.api.domain.dto.activityPublish;

import io.swagger.annotations.ApiModel;
import lombok.Data;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

/**
 * @Author: zwx
 * @CreateTime: 2023-09-22  16:52:39
 * @Description: 活动参与详情的查看请求参数
 */

@Data
@ApiModel(description = "活动参与详情的查看请求参数")
public class ActivityJoinDetailQueryReqDTO {

    /**
     * 序号
     */
    @NotNull(message = "序号不能为空")
    private Integer id;

    /**
     * 活动id
     */
    @NotNull(message = "活动id")
    private Long activityId;

    /**
     * 用户id
     */
    private Integer userId;
}
