package com.crunii.micro.service.qzh.api.domain.dto.activityPublish;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class ActivityOrgDTO {



    /**
     * 参与组织id
     */
    @NotNull(message = "参与对象的组织不能为空")
    private Long orgId;

    /**
     * 参与组织名称
     */
    @NotBlank(message = "参与对象的组织名称不能为空")
    private String orgName;
}
