package com.crunii.micro.service.qzh.api.domain.dto.activityPublish;

import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * @Author: zwx
 * @CreateTime: 2023-09-18  17:48:13
 * @Description: 查询活动列表请求参数
 */
@Data
@ApiModel(description = "查询活动审核列表请求参数")
public class ActivityQueryAuditDTO {
    /**
     * 活动标题
     */
    private String activityTitle;

    /**
     * 所属业务
     */
    private String businessBelong;


    /**
     * 活动类型
     */
    private Integer activityTypeId;


    /**
     * 所属组织
     */
    private Long orgId;

    /**
     * 举办方
     */
    private String sponsor;


    /**
     * 活动开始时间
     */
    private String startTime;

    /**
     * 活动结束时间
     */
    private String endTime;

    /**
     * 开始发布时间
     */
    private String startPublishTime;
    /**
     * 结束发布时间
     */
    private String endPublishTime;

    /**
     * 活动审核状态 0 待审核 1审核通过  2审核通过向上级提交审核 3审核不通过
     */
    private Integer auditStatus;
}
