package com.crunii.micro.service.qzh.api.domain.dto.activityPublish;

import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * @Author: zwx
 * @CreateTime: 2023-09-18  19:48:27
 * @Description: 活动报名详情响应参数
 */
@Data
@ApiModel(description = "活动报名详情响应参数")
public class ActivityRegisterRespDTO {
    /**
     * 序号
     */
    private Integer id;
    /**
     * 姓名
     */
    private String name;
    /**
     * 所属组织
     */
    private String organization;
    /**
     * 手机号
     */
    private String phone;
    /**
     * 报名时间
     */
    private String registerTime;

    /**
     * 活动ID
     */
    private Integer activityId;

    /**
     * 用户ID
     */
    private Integer workerId;

}
