package com.crunii.micro.service.qzh.api.domain.dto.activityPublish;

import lombok.Data;

import java.math.BigDecimal;

@Data
public class ActivitySignDTO {

    /**
     * 签到类型（0 全部 1签到 2签退）
     */
    private Integer signType;

    /**
     * 签到开始时间
     */
    private String signInStartTime;

    /**
     * 签到截至时间
     */
    private String signInEndTime;

    /**
     * 签到方式 1二维码 2定位 0综合
     */
    private Integer signInWay;


    /**
     * 签退开始时间
     */
    private String signOutStartTime;

    /**
     * 签退截至时间
     */
    private String signOutEndTime;

    /**
     * 签到方式 1二维码 2定位 0综合
     */
    private Integer signOutWay;

    /**
     * 二维码
     */
    private String QrCode;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 纬度
     */
    private String latitude;

    /**
     * 签到/签退地址
     */
    private String signAddress;

    /**
     * 签到半径
     */
    private Integer radius;
}
