package com.crunii.micro.service.qzh.api.domain.dto.activityPublish;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @description: 二维码签到请求参数
 * @author: limy
 * @date: 2023/11/30 16:52
 **/
@Data
@ApiModel("二维码签到请求参数")
public class ActivitySignInReqVo {

    /**
     * 活动Id
     */
    @ApiModelProperty("活动Id")
    private Long activityId;

    /**
     * 操作类型
     */
    @ApiModelProperty("操作(1签到,2签退)")
    private int signType;

    /**
     * 二维码标识
     */
    @ApiModelProperty("唯一标识")
    private String qrId;

    /**
     * 系统标识
     */
    @ApiModelProperty("系统标识")
    private String identify;


    @ApiModelProperty("签到方式(1扫码,2定位,0扫码+定位)")
    private Integer signInWay;

    /**
     * 签退方式 二维码 线上 综合
     */
    private Integer signOutWay;
}
