package com.crunii.micro.service.qzh.api.domain.dto.activityPublish;

import lombok.Data;

import java.util.List;

@Data
public class ActivityZoneAddDTO {

    /**
     * 区域类型 市级1，区县级2，校级3
     */
    private Integer zoneType;

    /**
     * 父级id 顶级为null
     */
    private transient String parentCode;

    /**
     * 区域编码 顶级为0
     */
    private String valueCode;

    /**
     * 区域名称
     */
    private String valueName;

    /**
     * 子节点
     */
    private List<ActivityZoneAddDTO> children;
}