package com.crunii.micro.service.qzh.api.domain.dto.activityPublish;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;

/**
 * @Author: zwx
 * @CreateTime: 2023-10-09  11:18:13
 * @Description: TODO
 */
@Data
public class OtherActivityFormDTO {

    /**
     * 字段类型 标签类型 ：input 单行输入框 、text 文本输入框、file 附件、image 图片 、
     * radio 单选框、checkbox 多选框、option 下拉选择框、date 日期、datesection 日期范围、number 数字
     */
    @ApiModelProperty(value = "字段类型 标签类型 ：1 文本框输入框 、2下拉框、3单选、4多选 、5时间输入等)")
    private String type;

    /**
     * 字段名称
     */
    @ApiModelProperty(value = "字段名称")
    private String fieldName;

    /**
     * 字段值
     */
    @ApiModelProperty(value = "字段值(如果是单选 多选这种的话就直接存 json 这种形式)")
    private String fieldValue;


    @ApiModelProperty(value = "提示文字")
    private String promptText;

    /**
     * 是否必填 1必填,0非必填
     */
    @ApiModelProperty(value = "是否必填")
    private Integer isRequired;

    /**
     * 活动关联Id
     */
    @ApiModelProperty(value = "活动关联Id")
    private Long activityId;

    /**
     * lable标签名
     */
    @ApiModelProperty(name = "lable标签名", notes = "")
    private String lable;

    /**
     * 排序
     */
    @ApiModelProperty(name = "排序", notes = "")
    private Integer sort;

}
