package com.crunii.micro.service.qzh.api.domain.dto.activityPublish;

import com.crunii.micro.service.qzh.api.domain.dto.document.CoverImageDto;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.util.List;

/**
 * @Author: zwx
 * @CreateTime: 2023-09-26  14:41:21
 * @Description: 活动风采列表展示响应参数
 */
@Data
@ApiModel(description = "活动风采列表展示响应参数")
public class ShowListQueryRespDTO {

    /**
     * 风采ID
     */
    private Long id;
    /**
     * 风采标题
     */
    private String activityTitle;

    /**
     * 浏览量
     */
    private Integer viewTotal;

    /**
     * 创建时间
     */
    private String createTime;

    /**
     * 风采封面
     */
    private List<CoverImageDto> coverImageFile;
}
