package com.crunii.micro.service.qzh.api.domain.dto.announcement;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;


@Data
@ApiModel(value = "OperationAnnouncementReqDTO", description = "操作公告公示请求参数")
public class OperationAnnouncementReqDTO {

    @NotNull(message = "id不能为空")
    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "状态,(1已发布,2已下架)")
    private Integer state;

    @ApiModelProperty(value = "是否置顶")
    private Boolean whetherTop;
}
