package com.crunii.micro.service.qzh.api.domain.dto.announcement;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


@Data
@ApiModel(value = "PageAnnouncementReqDTO", description = "web管理分页查询公告公示请求参数")
public class PageAnnouncementReqDTO {

    @ApiModelProperty(value = "公告标题")
    private String announcementTitle;

    @ApiModelProperty(value = "公告类型，1突击队，2文明号，3示范岗，4权益岗")
    private Integer announcementType;

    @ApiModelProperty(value = "发布者")
    private String createUserName;

    @ApiModelProperty(value = "查看详情时传参")
    private Long id;

    @ApiModelProperty(value = "开放范围 1全部 2对内 3对外")
    private Integer openCompetence;

    @ApiModelProperty(value = "状态,(1已发布,2已下架)")
    private Integer state;

    @ApiModelProperty(value = "开始时间")
    private String beginTime;

    @ApiModelProperty(value = "结束时间")
    private String endTime;

    @ApiModelProperty(value = "位置(app/web)")
    private String condition;
}