package com.crunii.micro.service.qzh.api.domain.dto.cavalryTrumpet;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangchen create 2023/11/13 17:34
 */
@Data
@ApiModel(description = "青年号申报模板返回")
public class CivilizationReportTempVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("申报类型")
    private Integer declarationType;

    @ApiModelProperty("关联政策id")
    private Long docId;

    @ApiModelProperty("集体名称")
    private String collectiveName;

    @ApiModelProperty("所在单位")
    private String unit;

    @ApiModelProperty("创建（复核）类别")
    private Integer category;

    @ApiModelProperty("组织id")
    private Long orgId;

    @ApiModelProperty("号长姓名")
    private String declarationName;

    @ApiModelProperty("身份证号")
    private String idCard;

    @ApiModelProperty("手机号")
    private String phoneNumber;

    @ApiModelProperty("微信号")
    private String wechat;

    @ApiModelProperty("分布类型")
    private Integer distribution;

    @ApiModelProperty("职工个数")
    private Integer employeesNumber;

    @ApiModelProperty("35岁以下青年人数")
    private Integer under35;

    @ApiModelProperty("中国国籍人员数量")
    private Integer countrymenNumber;

    @ApiModelProperty("曾被认定类别")
    private Long beforeCategoryId;
}
