package com.crunii.micro.service.qzh.api.domain.dto.cavalryTrumpet;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangchen create 2023/11/23 9:26
 */
@Data
@ApiModel("考试结果dto")
public class ExamResultDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("用户id")
    private Integer workerId;

    @ApiModelProperty("试卷id")
    private Long paperId;

    @ApiModelProperty("试卷总分")
    private Integer testScore;

    @ApiModelProperty("合格分")
    private Integer passScore;

    @ApiModelProperty("答题得分")
    private Integer answerScore;

    @ApiModelProperty("是否合格 0 不合格 1合格")
    private Integer ifPass;
}
