package com.crunii.micro.service.qzh.api.domain.dto.cavalryTrumpet;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import java.io.Serializable;
import java.util.Date;

/**
 * @author: LG
 * @date: 2023/11/15 11:14
 */
@Data
@ApiModel("查询变更前后号长VO")
public class QueryCaptainInfoVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "变更id",notes = "")
    private Long changeId;

    @ApiModelProperty(value = "申报id",notes = "")
    private Long declarationId;

    @ApiModelProperty(value = "变更前号长名称",notes = "")
    private String changeDeclarationName;

    @ApiModelProperty(value = "变更前号长身份证号",notes = "")
    private String changeIdCard;

    @ApiModelProperty(value = "变更前号长手机号",notes = "")
    private String changePhoneNumber;

    @ApiModelProperty(value = "变更前号长微信号",notes = "")
    private String changeWechat;

    @ApiModelProperty(value = "号长名字",notes = "")
    private String afterDeclarationName;

    @ApiModelProperty(value = "身份证号",notes = "")
    private String afterIdCard;

    @ApiModelProperty(value = "手机号",notes = "")
    private String afterPhoneNumber;

    @ApiModelProperty(value = "微信号",notes = "")
    private String afterWechat;



}
