package com.crunii.micro.service.qzh.api.domain.dto.cavalryTrumpet;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author: LG
 * @date: 2023/11/15 11:38
 */
@Data
@ApiModel("查询认定类型VO")
public class QueryConfigVO implements Serializable {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "曾认定类型id",notes = "")
    private Long beforeCategoryId;

    @ApiModelProperty(value = "曾被认定类别名称",notes = "")
    private String categoryName;

    @ApiModelProperty(value = "无效 0 | 有效 1",notes = "")
    private Integer state;

    @ApiModelProperty(value = "创建人名字",notes = "")
    private String workerName;

    @ApiModelProperty(value = "创建时间（申请时间）",notes = "")
    private Date createTime;

    @ApiModelProperty(value = "更新时间",notes = "")
    private Date updateTime;
}
