package com.crunii.micro.service.qzh.api.domain.dto.cavalryTrumpet;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author: LG
 * @date: 2023/11/14 16:36
 */
@Data
@ApiModel("查询青年文明号-申报记录VO")
public class QueryDeclarationRecordVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id",notes = "")
    private Long declarationId;

    @ApiModelProperty(value = "政策id",notes = "")
    private Long docId;

    @ApiModelProperty(value = "申报编号",notes = "")
    private String declarationCode;

    @ApiModelProperty(value = "集体名称",notes = "")
    private String collectiveName;

    @ApiModelProperty(value = "所在单位",notes = "")
    private String unit;

    @ApiModelProperty(value = "创建（复核）类别",notes = "")
    private Integer category;

    @ApiModelProperty(value = "所属团组织",notes = "")
    private Long orgId;

    @ApiModelProperty(value = "号长名字",notes = "")
    private String declarationName;

    @ApiModelProperty(value = "身份证号",notes = "")
    private String idCard;

    @ApiModelProperty(value = "手机号",notes = "")
    private String phoneNumber;

    @ApiModelProperty(value = "微信号",notes = "")
    private String wechat;

    @ApiModelProperty(value = "分布类型",notes = "")
    private Integer distribution;

    @ApiModelProperty(value = "职工个数",notes = "")
    private Integer employeesNumber;

    @ApiModelProperty(value = "35岁以下青年人数",notes = "")
    private Integer under35;

    @ApiModelProperty(value = "中国国籍人员数量",notes = "")
    private Integer countrymenNumber;

    @ApiModelProperty(value = "曾被认定类别",notes = "")
    private Long beforeCategoryId;

    @ApiModelProperty(value = "曾被认定类别名称",notes = "")
    private String categoryName;

    @ApiModelProperty(value = "审核状态",notes = "")
    private Integer auditState;

    @ApiModelProperty(value = "审核状态翻译",notes = "")
    private String auditStateText;

    @ApiModelProperty(value = "申报类型",notes = "")
    private Integer declarationType;

    @ApiModelProperty(value = "申报类型翻译",notes = "")
    private String declarationTypeText;

    @ApiModelProperty(value = "创建人id",notes = "")
    private Integer creatorId;

    @ApiModelProperty(value = "创建人名字",notes = "")
    private String creatorName;

    @ApiModelProperty(value = "创建时间（申请时间）",notes = "")
    private Date createTime;

}
