package com.crunii.micro.service.qzh.api.domain.dto.cavalryTrumpet;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author wangchen create 2023/11/28 15:05
 */
@ApiModel("申报id可查询组织创建")
@Data
public class ReportOrgDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("1文明号 2示范岗 3突击队  3权益岗")
    private Integer reportType;

    @ApiModelProperty("主键id")
    private Long serviceId;

    @ApiModelProperty("需要递归上级的组织id")
    private List<Long> orgIds;

    @ApiModelProperty("递归时是否包含传入的组织 true是，默认不传否")
    private boolean isContainCurrentOrg;
}
