package com.crunii.micro.service.qzh.api.domain.dto.cavalryTrumpet;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * Author：dadm
 * Date：2023-09-21 15:28
 * Description：<描述>
 */
@Data
public class TestPaperVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "逻辑id")
    private Long id;

    @ApiModelProperty("答题时长(单位分钟)")
    private Integer answerDuration;

    @ApiModelProperty("有效开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    private Date startTime;

    @ApiModelProperty("有效结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    private Date endTime;

    @ApiModelProperty("可考次数")
    private Integer allowTimes;

    @ApiModelProperty("合格分数")
    private Integer passScore;

    @ApiModelProperty("总分数")
    private Integer totalScore;

    @ApiModelProperty("总数量")
    private Integer totalCount;

    @ApiModelProperty("已考次数")
    private Integer finnishCount;

    @ApiModelProperty("剩余可考次数")
    private Integer residueTestCount;

}
