package com.crunii.micro.service.qzh.api.domain.dto.commandDo;

import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * @description: 突击队审核参数
 * @date: 2023/9/16 15:26
 */
@ApiModel(value = "突击队审核参数", description = "突击队审核参数")
@Data
public class ExamineCommandoReqDTO {
    /**
     * 突击队id
     */
    private String commandoId;
    /**
     * 审核-原因
     */
    private String examineReason;
    /**
     * 审核结果 :   申报记录的  审核   3通过 （状态为已通过）  4：回退（状态变更为草稿）  5 不通过（ 状态为已驳回 流程结束）
     *      变更队长的 审核  ： 3  通过 （状态为已通过）   5 不通过（ 状态为为草稿 ）
     */
    private Integer examineResult;

    /**
     * 审核类型   申报的审核1   变更队长的审核2
     */
    private Integer examineType;



    //变更队长终止任务  需要的参数
    private String commandoCode;
    private Integer batchNoChange;
}
