package com.crunii.micro.service.qzh.api.domain.dto.commandDo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @description: 突击队查询入参
 * @date: 2023/9/16 15:26
 */
@ApiModel(value = "突击队查询入参", description = "突击队查询入参")
@Data
public class QueryCommandoReqDTO {
    /**
     * 申请人
     */
    private String applicant;
    /**
     * 突击队名字
     */
    private String commandoName;

    /**
     * 突击队编码
     */
    private String commandoCode;
    /**
     * 队伍状态
     */
    private String commandoState;
    private String endTime;
    /**
     * 所属团组织
     */
    private String groupOrgId;
    /**
     * 是否为三年行动计划突击队（1是 0否）
     */
    private Long haveThreeYearPlan;
    private String startTime;
    /**
     * 状态(草稿 1 待审核2  已通过3  已驳回4)
     */
    private Long state;
    /**
     * 队长
     */
    private String teanLeaderName;
    /**
     * 青年突击队类别
     */
    private String type;
    // @date: 2023/10/7 18:22  新增字段分布类型
    private String distribution;
    @ApiModelProperty(name = "申请流程版本号",notes = "")
    private Integer batchNoApply ;


    @ApiModelProperty(name = "更新队长版本号",notes = "")
    private Integer batchNoChange ;
}
