package com.crunii.micro.service.qzh.api.domain.dto.document;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "CoverImageDto",description = "图片信息")
public class CoverImageDto {

    @ApiModelProperty(value = "文件id")
    private String fileId;

    @ApiModelProperty(value = "图片key")
    private String fileKey;

    @ApiModelProperty(value = "文件名称")
    private String fileName;

    @ApiModelProperty(value = "文件大小")
    private String fileSize;

    @ApiModelProperty(value = "文件类型")
    private String fileType;

    @ApiModelProperty(value = "图片地址")
    private String fileUrl;

    @ApiModelProperty(value = "图片高度")
    private Integer picHeight;

    @ApiModelProperty(value = "图片宽度")
    private Integer picWidth;
}
