package com.crunii.micro.service.qzh.api.domain.dto.document;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

@Data
@ApiModel(value = "OperationDocumentReqDTO", description = "操作政策请求参数")
public class OperationDocumentReqDTO {

    @NotNull(message = "id不能为空")
    private Long id;

    @ApiModelProperty(value = "状态,(1已发布,2已下架)")
    private Integer state;

//    @ApiModelProperty(value = "1点赞,2取消点赞")
//    private Integer operationType;

    @ApiModelProperty(value = "是否置顶 true/false")
    private Boolean whetherTop;

    @ApiModelProperty(value = "申请类型")
    private Integer applyType;

    @ApiModelProperty(value = "1突击队，2文明号，3示范岗，4权益岗")
    private Integer type;
}
