package com.crunii.micro.service.qzh.api.domain.dto.document;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

@Data
@ApiModel(value = "PageDocumentReqDTO", description = "web管理分页查询政策请求参数")
public class PageDocumentReqDTO {

    @ApiModelProperty(value = "查看详情时传参")
    private Long id;

    @ApiModelProperty(value = "发布者")
    private String createUserName;

    @ApiModelProperty(value = "政策标题")
    private String documentTitle;

    @ApiModelProperty(value = "政策类型,1突击队,2文明号,3示范岗,4权益岗")
    private Integer documentType;

    @ApiModelProperty(value = "开始时间")
    private String beginTime;

    @ApiModelProperty(value = "结束时间")
    private String endTime;

    @ApiModelProperty(value = "开放范围")
    private Integer openCompetence;

    @ApiModelProperty(value = "状态,(1已发布,2已下架)")
    private Integer state;

    @ApiModelProperty(value = "位置(app/web)")
    private String condition;
}
