package com.crunii.micro.service.qzh.api.domain.dto.document;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;


@Data
@ApiModel(value = "PageDocumentRsp", description = "web管理分页查询政策响应参数")
public class PageDocumentRspDTO {

    @ApiModelProperty(value = "主键id")
    private Long id;

    @ApiModelProperty(value = "封面数组")
    private List<CoverImageDto> coverImageFile;

    @ApiModelProperty(value = "发布时间")
    private Date createTime;

    @ApiModelProperty(value = "发布者")
    private String createUserName;

    @ApiModelProperty(value = "发布人ID")
    private String createId;

    @ApiModelProperty(value = "政策标题")
    private String documentTitle;

    @ApiModelProperty(value = "政策类型")
    private String documentType;

    @ApiModelProperty(value = "开放范围")
    private String openCompetenceName;

    @ApiModelProperty(value = "状态名称")
    private String stateName;

    @ApiModelProperty(value = "状态")
    private String state;

    @ApiModelProperty(value = "浏览量")
    private Integer viewTotal;

    @ApiModelProperty(value = "是否置顶")
    private Boolean whetherTop;

    @ApiModelProperty(value = "组织")
    private String authorityOrgs;

    @ApiModelProperty(value = "是否展示按钮打标 1展示 2不展示")
    private Integer isShow;

    @ApiModelProperty(value = "app端封面url展示")
    private List<String> coverUrl;

    @ApiModelProperty(value = "来源")
    private String orgName;
}
