package com.crunii.micro.service.qzh.api.domain.dto.document;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @program: microservice
 * @description: 活动报告分页Req
 * @author: xiang xin
 * @create: 2024-01-15 15:41
 */
@Data
public class PageEventReportReqDTO {
    /**
     * 活动报道标题
     */
    @ApiModelProperty(name = "活动报道标题")
    private String reportTitle;
    /**
     * 活动报道状态
     */
    @ApiModelProperty(name = "活动报道状态 1未发布、2已发布、3已下架")
    private Integer reportType;

    /**
     * 发布开始时间
     */
    @ApiModelProperty(name = "发布开始时间")
    private String createdTimeStart;
    /**
     * 发布结束时间
     */
    @ApiModelProperty(name = "发布结束时间")
    private String createdTimeEnd;

    /**
     * 关联活动ID
     */
    @ApiModelProperty(name = "关联活动ID")
    private String activityId;
}
