package com.crunii.micro.service.qzh.api.domain.dto.rightsProtection;

import lombok.Data;

import java.util.List;

/**
 * 申报复核请求参数
 */
@Data
public class RightsProtectionCheckReqDTO {

    /**
     * 通讯地址
     */
    private String address;
    /**
     * 盖章版扫描件
     */
    private RightsProtectionAnnexDTO scanAnnex;
    /**
     * 其他附件
     */
    private List<RightsProtectionAnnexDTO> otherAnnex;
    /**
     * 权益岗申请人
     */
    private String applicant;
    /**
     * 命名文件号
     */
    private String namingFileCode;
    /**
     * 序号
     */
    private Long id;
    /**
     * 是否保存为草稿
     */
    private Boolean isDraft;
    /**
     * 命名时间
     */
    private String namingTime;
    /**
     * 所属团组织
     */
    private Long organizationId;
    /**
     * 所属团组织名称
     */
    private String organizationName;
    /**
     * 所属团组织变更
     */
    private Long newOrganizationId;
    /**
     * 所属团组织变更名称
     */
    private String newOrganizationName;
    /**
     * 联系电话
     */
    private String phone;
    /**
     * 复核指标
     */
    private List<CheckIndexReqDTO> reviewIndicators;
    /**
     * 所属系统
     */
    private Long systemId;
    /**
     * 单位名称
     */
    private String unitName;
    /**
     * 变更后单位名称
     */
    private String newUnitName;

    /**
     * 是否点击单位变更
     */
    private Integer unitflag;

    /**
     * 是否点击团组织变更
     */
    private Integer orgflag;

    /**
     * 市级内设机构
     */
    private Integer municipalLevelInternalInstitutions;

    /**
     * 关联数据id
     */
    private Long associationId;

    /**
     * 所属主管单位
     */
    private Long managerOrgId;
    /**
     * 所属主管单位name
     */
    private String managerOrgName;
    /**
     * 权益岗位负责人
     */
    private String header;
    /**
     * 邮编
     */
    private String zipCode;

}
