package com.crunii.micro.service.qzh.api.domain.dto.rightsProtection;

import lombok.Data;
import java.util.List;

/**
 * 申报创建查询响应参数
 */
@Data
public class RightsProtectionCreateQueryRespDTO {

    /**
     * 序号
     */
    private long id;
    /**
     * 通讯地址
     */
    private String address;
    /**
     * 其他附件
     */
    private List<RightsProtectionAnnexDTO> otherAnnex;
    /**
     * 备注
     */
    private String notes;
    /**
     * 所属团组织
     */
    private Long organizationId;
    /**
     * 所属团组织
     *
     */
    private String  organizationName;
    /**
     * 所属主管单位
     */
    private Long managerOrgId;
    /**
     * 所属主管单位
     *
     */
    private String managerOrgName;
    /**
     * 联系电话
     */
    private String phone;
    /**
     * 关联政策
     */
    private Long policyId;
    /**
     * 创建方案
     */
    private String programme;
    /**
     * 所属团组织
     */
    private Long systemId;
    /**
     * 单位名称
     */
    private String unitName;
    /**
     * 邮编
     */
    private String zipCode;
    /**
     * 市级内设机构
     */
    private Integer municipalLevelInternalInstitutions;
    /**
     * 申报编号
     */
    private String applicantCode;
    /**
     * 成为权益岗时间
     */
    private String createProTime;

    private RightsProtectionAnnexDTO scanAnnex;

    private Long flowId;

}
