package com.crunii.micro.service.qzh.api.domain.dto.rightsProtection;

import com.crunii.micro.service.qzh.api.enums.LinkStatusEnum;
import lombok.Data;

import java.util.List;

/**
 * @author lyx
 * @date 2023/11/22
 */
@Data
public class RightsProtectionFlowDTO {
	/**
	 * 流程id
	 */
	private Long flowId;
	/**
	 * 处理人
	 */
	private String workerName;
	/**
	 * 处理组织
	 */
	private String doOrgName;
	/**
	 * /处理环节名称
	 */
	private String linkName;
	/**
	 * /流程环节
	 */
	private String link;
	/**
	 * /处理时间
	 */
	private String doDate;
	/**
	 * /是否通过
	 */
	private String option;
	/**
	 * 备注信息
	 */
	private String msg;
	/**
	 * /盖章版扫描件
	 */
	private RightsProtectionFlowAnnexDTO annex;
	/**
	 * /其他附件
	 */
	private List<RightsProtectionFlowAnnexDTO> otherAnnex;
	/**
	 * /复核表附件
	 */
	private RightsProtectionFlowAnnexDTO reviewAnnex;

	public void setLinkName(String linkStr) {
		this.linkName = LinkStatusEnum.findValByCode(linkStr);
	}


}
