package com.crunii.micro.service.qzh.api.domain.dto.rightsProtection;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Id;

/**
 * @author lyx
 * @date 2023/12/8
 */
@Data
public class RightsProtectionFlowOrgDTO {
	/**
	 * 序号
	 */
	@ApiModelProperty(value = "id")
	private Long id;

	/**
	 * 维权岗申报id
	 */
	@ApiModelProperty(value = "rightsId")
	private Long rightsId;

	@ApiModelProperty(value = "processedOrgId")
	private Long processedOrgId;

	/**
	 * 本次应该处理的用户组织id
	 */
	@ApiModelProperty(value = "shouldOrgId")
	private Long shouldOrgId;

	/**
	 * 本次应该处理的用户组织
	 */
	@ApiModelProperty(value = "shouldOrg")
	private String shouldOrg;

	/**
	 * 正向流程下一环节处理的用户组织id
	 */
	@ApiModelProperty(value = "nextOrgId")
	private Long nextOrgId;

	/**
	 * 正向流程下一环节处理的用户组织
	 */
	@ApiModelProperty(value = "nextOrg")
	private String nextOrg;
}
