package com.crunii.micro.service.qzh.api.domain.dto.rightsProtection;

import com.crunii.micro.service.qzh.api.enums.LinkStatusEnum;
import lombok.Data;

/**
 * 申报清单分页查询响应参数
 */
@Data
public class RightsProtectionInventoryPageRespDTO {

    /**
     * 通讯地址
     */
    private String address;
    /**
     * 申请人
     */
    private String applicant;
    /**
     * 申报编号
     */
    private String applicantCode;
    /**
     * 申请时间
     */
    private String applyTime;
    /**
     * 序号
     */
    private Long id;
    /**
     * 上一环节审核意见
     */
    private String opinion;
    /**
     * 所属团组织
     */
    private String organization;
    /**
     * 联系电话
     */
    private String phone;
    /**
     * 关联政策
     */
    private String policy;
    /**
     * 按钮
     */
    private String status;
    /**
     * 类型
     */
    private String applyType;
    /**
     * 单位名称
     */
    private String unitName;
    /**
     * 原单位名称
     */
    private String oldUnitName;
    /**
     * 邮编
     */
    private String zipCode;

    /**
     * 状态
     */
    private String type;

    /**
     * 所属系统
     */
    private String system;

    public void setType(String linkStr) {
        this.type = LinkStatusEnum.findStatusByCode(linkStr);
    }
}
