package com.crunii.micro.service.qzh.api.domain.dto.rightsProtection;

import lombok.Data;

import java.util.List;

/**
 * 申报记录分页查询响应参数
 */
@Data
public class RightsProtectionRecordPageRespDTO {
    /**
     * 修改类型
     */
    private String updateType;
    /**
     * 通讯地址
     */
    private String address;
    /**
     * 申请人
     */
    private String applicant;
    /**
     * 编号
     */
    private String applicantCode;
    /**
     * 申请时间
     */
    private String applyTime;
    /**
     * 类型
     */
    private String applyType;
    /**
     * 序号
     */
    private Long id;
    /**
     * 当前环节
     */
    private String link;
    /**
     * 联系电话
     */
    private String phone;
    /**
     * 状态
     */
    private String status;
    /**
     * 所属系统
     */
    private String system;
    /**
     * 所属团组织
     */
    private String organization;
    /**
     * 所属主管单位
     */
    private String managerOrg;
    /**
     * 单位名称
     */
    private String unitName;
    /**
     * 邮编
     */
    private String zipCode;
    /**
     * 修改前数据
     */
    private String oldData;
    /**
     * 修改后数据
     */
    private String newData;

    private Long systemId;
    private Integer municipalLevelInternalInstitutions;
    private Long managerOrgId;
    private String managerOrgName;
    private Long organizationId;
    private String organizationName;
    private Integer systemState;
}
