package com.crunii.micro.service.qzh.api.domain.dto.rightsProtection;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.List;

/**
 * 青创政策-app政策管理DTO
 */
@Data
public class YcqYouthStartAppDTO implements Serializable {

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "政策标题")
    private String policyTitle;

    @ApiModelProperty(value = "发文号")
    private String issueNumber;

    @ApiModelProperty(value = "政策层级")
    private Integer policyLevel;

    @ApiModelProperty(value = "政策类型集合")
    private List<Integer> policyType;


}
