package com.crunii.micro.service.qzh.api.domain.dto.youthSafetyModel;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;

@Data
public class LeaderChangeLogPageRespDTO {

    private Long id;

    /**
     * 申报编码
     */
    private String code;

    /**
     * 类型
     */
    private String type;

    /**
     * 单位名称
     */
    private String applyOrgName;

    /**
     * 所属团组织
     */
    private String affiliationOrgName;

    /**
     * 所属团组织id
     */
    private String affiliationOrgId;

    /**
     * 岗长
     */
    private String leaderName;

    private String leaderPhone;

    private String leaderIdCard;

    /**
     * 审核状态
     */
    private Integer state;

    /**
     * 审核状态名称
     */
    private String stateName;

    /**
     * 更新后岗长名称
     */
    private String leaderNameNew;
    /**
     * 更新后岗长身份证
     */
    private String leaderIdCardNew;
    /**
     * 更新后岗长电话
     */
    private String leaderPhoneNew;

    private String creator;

    private Long createId;

    private String createTime;

    private String remark;

    private String flowInstanceId;

    /**
     * 分布类型
     */
    private String distributionType;

    /**
     * 申报id
     */
    private String qagApplyId;

    public void setMajorAchievement(String majorAchievement) {
        this.majorAchievement = majorAchievement==null?"":majorAchievement.replaceAll("<[^>]*>","");
    }

    /**
     * 主要事迹
     */
    private String majorAchievement;

    /**
     * 按钮
     */
    private Integer button;


    private Integer viewButton=0;

    private Integer isApplicant=1;

}
