package com.crunii.micro.service.qzh.api.enums;

import lombok.Getter;

/**
 * @Author: zwx
 * @CreateTime: 2023-09-19  09:34:02
 * @Description: TODO
 */
@Getter
public enum ActivityTypeEnum {

    STORM_TROOPS(1,"青年突击队活动"),
    YOUTH_CIVILIZATION(2,"青年文明号活动"),
    MODEL_POST(3,"青年安全生产示范岗活动"),
    EQUITY_POST(4,"维护青少年权益岗活动");


    ActivityTypeEnum(Integer code,String name) {
        this.code = code;
        this.name = name;
    }

    private final Integer code;

    private final String name;

    public static Integer findCodeByVal(String name) {
        for (TopicTypeEnum value : TopicTypeEnum.values()) {
            if (value.getName().equals(name)) {
                return value.getCode();
            }
        }
        return null;
    }
}
