package com.crunii.micro.service.qzh.api.enums;

import lombok.Getter;

/**
 * @author wangchen create 2023/11/22 14:22
 */
@Getter
public enum CivilizationBackFlowEnum {
    DRAFT(0, "草稿"), INITIAL_EVALUATION(1, "初评"), ARCHIKARYON(2, "初核"), REPORT_RESULT(3, "报备结果"),
    EXAMINATION(4, "考试"), CROSS_CHECK(5, "交叉检查"), WAIT_NAME(6, "命名结果");

    private Integer auditState;
    private String flowNodeName;

    CivilizationBackFlowEnum(Integer auditState, String flowNodeName) {
        this.auditState = auditState;
        this.flowNodeName = flowNodeName;
    }

    public static String getFlowNodeName(Integer auditState){
        CivilizationBackFlowEnum[] values = CivilizationBackFlowEnum.values();
        for (CivilizationBackFlowEnum value : values) {
            if(value.auditState.equals(auditState)){
                return value.flowNodeName;
            }
        }
        return "";
    }

}
