package com.crunii.micro.service.qzh.api.enums;

import lombok.Getter;

/**
 * @author wangchen create 2023/11/15 17:07
 */
@Getter
public enum CivilizationReportCodeEnum {
    CREATE(1,"NWMH"),CHECK(2,"FWMH");

    private Integer declarationType;

    private String declarationCodePrefix;

    CivilizationReportCodeEnum(Integer declarationType,String declarationCodePrefix){
        this.declarationCodePrefix = declarationCodePrefix;
        this.declarationType = declarationType;
    }

    public static String getCodePrefix(Integer declarationType){
        CivilizationReportCodeEnum[] values = CivilizationReportCodeEnum.values();
        for (CivilizationReportCodeEnum value : values) {
            if(value.declarationType.equals(declarationType)){
                return value.declarationCodePrefix;
            }
        }
        return "";
    }
}
