package com.crunii.micro.service.qzh.api.enums;
/**
 * @Author zwx
 * @Description 操作类型
 * @Date  2023/9/8 15:09:29
 **/
public enum OperTypeEnum {
  /**
   * 增加
   */
  ADD(1, "增加","1"),
  /**
   * 更新
   */
  UPDATE(2, "更新","3"),
  /**
   * 删除
   */
  DEL(3, "删除","2");

  private final Integer type;
  private final String typeName;

  private String code;

  public Integer getType() {
    return type;
  }
  public String getCode() {
    return code;
  }

  public String getTypeName() {
    return typeName;
  }

  OperTypeEnum(Integer type, String typeName) {
    this.type = type;
    this.typeName = typeName;
  }

  OperTypeEnum(Integer type, String typeName, String code) {
    this.code = code;
    this.type = type;
    this.typeName = typeName;
  }
}
