package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @author lyx
 * @date 2023/9/25
 */
@Entity
@Table(name = "YCQ_QZH_INDIC_CHECK_REL")
@NamedQuery(name = "YcqQzhIndicCheckRel.findAll", query = "SELECT t FROM YcqQzhIndicCheckRel t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@ApiModel(description = "题目表")
public class YcqQzhIndicCheckRel implements Serializable, Cloneable {

	/**
	 * 序号
	 */
	@Id
	@Column(name = "id")
	@ApiModelProperty(value = "id")
	private Long id;
	@Column(name = "INDICATOR_ID")
	@ApiModelProperty(value = "indicatorId")
	private Long indicatorId;
	@Column(name = "result")
	@ApiModelProperty(value = "result")
	private Integer result;
	@Column(name = "is_del")
	@ApiModelProperty(value = "isDel")
	private Integer isDel;
	@Column(name = "check_id")
	@ApiModelProperty(value = "checkId")
	private Long checkId;
}
