package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.YcqQzhRightsFlow;
import com.crunii.micro.domain.entity.main.YcqQzhRightsProtectionAnnex;
import com.crunii.micro.service.qzh.api.domain.dto.rightsProtection.RightsProtectionAnnexDTO;
import org.springframework.stereotype.Repository;

import java.util.ArrayList;
import java.util.List;

@Repository
public interface RightsProtectionAnnexRepo extends BaseRepo<YcqQzhRightsProtectionAnnex, Long> {

	ArrayList<YcqQzhRightsProtectionAnnex> findAllByBusinessIdAndDelFlag(Long id, int i);

	List<YcqQzhRightsProtectionAnnex> findAllByFlowIdAndDelFlag(Long id, int i);

	YcqQzhRightsProtectionAnnex findAllByFlowIdAndAnnexTypeAndDelFlag(Long id,int i1,int delFlag);

	List<YcqQzhRightsProtectionAnnex> findAllByFlowId(Long flowId);
}
