package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.YcqQzhRightsProtection;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface RightsProtectionRepo extends BaseRepo<YcqQzhRightsProtection, Long> {

	String findApplicantCodeByIdAndDelFlag(Long id, int i);

	List<YcqQzhRightsProtection> findAllByIdInAndDelFlag(List<Long> ids, int i);

	YcqQzhRightsProtection findByIdAndDelFlag(Long id, int i);
	@Query(value = "SELECT * FROM YCQ_QZH_RIGHTS_PROTECTION WHERE unit_name = ?1 and apply_type=?2 and link != '1000' and link!='500' and del_flag = 0", nativeQuery = true)
	List<YcqQzhRightsProtection> findAllByUnitNameAndApplyTypeAndDelFlag(String unitName, int i, int i1);

	@Query(value = "SELECT * FROM YCQ_QZH_RIGHTS_PROTECTION WHERE unit_name = ?1 and apply_type=?2 and link != '1000' and del_flag = 0 and id != ?4", nativeQuery = true)
	List<YcqQzhRightsProtection> findAllByUnitNameAndApplyTypeAndDelFlagAndIdNot(String unitName, int i, int i1,long id);
}
