package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.YcqQzhCommandoOrg;
import java.util.List;
import org.springframework.stereotype.Repository;

@Repository
public interface YcqQzhCommandoOrgRepo extends BaseRepo<YcqQzhCommandoOrg, Long> {


	void deleteByCommandoCode(String code);

	/** 通过 CommandoCode 查询某个突击队的授权组织 */
	List<YcqQzhCommandoOrg> findByCommandoCode(String commandoCode);
}
