package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.YcqQzhCommandoReviwed;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface YcqQzhCommandoReviwedRepo extends BaseRepo<YcqQzhCommandoReviwed, Long> {

	@Query(value = " DELETE FROM YCQ_QZH_COMMANDO_REVIWED WHERE   COMMANDO_CODE=?1  and BATCH_NO_APPLY=?2  and type=1   ", nativeQuery = true)
	void deleteApply(String commandCode,Integer applyNo);

	@Query(value = " DELETE FROM YCQ_QZH_COMMANDO_REVIWED WHERE   COMMANDO_CODE=?1  and BATCH_NO_CHANGE=?2  and type=2   ", nativeQuery = true)
	void deleteChange(String commandCode,Integer applyNo);
}
