package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.YcqQzhOnlineTrain;
import com.crunii.micro.domain.entity.main.YcqQzhOnlineTrainingVideo;
import org.springframework.stereotype.Repository;

import java.util.List;


@Repository
public interface YcqQzhOnlineTrainRepo extends BaseRepo<YcqQzhOnlineTrain, Long> {
    List<YcqQzhOnlineTrain> findBySecondTypeAndStateAndTitleLike(String secondType,String state,String title);
    List<YcqQzhOnlineTrain> findBySecondTypeAndState(String secondType,String state);
    List<YcqQzhOnlineTrain> findByIsTop(Integer isTop);
}
