package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.YcqQzhRightsFlow;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

/**
 * @author lyx
 * @date 2023/9/28
 */
@Repository
public interface YcqQzhRightsFlowRepo extends BaseRepo<YcqQzhRightsFlow,Integer> {
	@Query(value = "select max(sort) from YCQ_QZH_RIGHTS_FLOW where rights_id = ?",nativeQuery = true)
	int findMaxSortByRightsId(Long id);

}
