package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.YcqSngHistory;
import com.crunii.micro.domain.entity.main.YcqSngSchool;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Description: 文明号清单repo
 * @Param:
 * @return:
 * @Author: xiang xin
 * @Date: 2023/9/7
 */
@Repository
public interface YcqSngHistoryReqo extends BaseRepo<YcqSngHistory, String> {

	@Modifying
	@Query(value = "UPDATE ycq_sng_history  SET del_flag = 1 WHERE ycq_sng_student_id = ?1",nativeQuery = true)
	void setDelFlagTo1ByYcqSngStudentId(Long YcqSngHistory);

}
