package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.YcqSngStudent;
import com.crunii.micro.domain.entity.main.document.YcqCivilizationInventory;
import org.springframework.stereotype.Repository;

/**
 * @Description: 文明号清单repo
 * @Param:
 * @return:
 * @Author: xiang xin
 * @Date: 2023/9/7
 */
@Repository
public interface YcqSngStudentReqo extends BaseRepo<YcqSngStudent, String> {
	/**
	 * @Description: 查询少年宫学生信息版本
	 * @Author: lml
	 * @Date: 2023/9/28 16:25
	 * @param studentIdentity:身份证号
	 * @return: com.crunii.micro.domain.entity.main.YcqSngStudent
	 **/
	YcqSngStudent findByStudentIdentity(String studentIdentity);
}
