package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.YcqTopicOption;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author: zwx
 * @CreateTime: 2023-09-05  10:36:08
 * @Description: TODO
 */
@Repository
public interface YcqTopicOptionRepo extends BaseRepo<YcqTopicOption,Integer> {

    List<YcqTopicOption> findAllByTopicIdAndDeleted(Integer topicId, Integer deleted);

    List<YcqTopicOption> findAllByTopicIdInAndDeleted(List<Integer> topicIds, Integer deleted);

    List<YcqTopicOption> findByIdInAndDeleted(List<Integer> topics, int i);
}
