package com.crunii.micro.domain.repo.main.activity;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.document.YcqQzhActivity;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

/**
 * @author gongsongtao
 * @date 2023/9/5 11:00
 */
@Repository
public interface YcqQzhActivityRepo extends BaseRepo<YcqQzhActivity,Long> {

    YcqQzhActivity findByActIdAndCreateId(String actId,String workerId);

    @Query(value = "update ycq_qzh_activity set del_flag=1 where act_id=?",nativeQuery = true)
    void updateIsDeleted(String actId);
}
