package com.crunii.micro.domain.repo.main.announcement;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.document.YcqEventReportCover;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Description: 活动报道图片repo
 * @Param:
 * @return:
 * @Author: xiang xin
 * @Date: 2024/1/15
 */
@Repository
public interface YcqEventReportCoverRepo extends BaseRepo<YcqEventReportCover, Long> {
    @Query(value = "select * from YCQ_EVENT_REPORT_COVER where article_id=:id and type=:type",nativeQuery = true)
    List<YcqEventReportCover> findOneByArticleId(@Param("id") Long id, @Param("type")Integer type);
}
