package com.crunii.micro.domain.repo.main.cavalryTrumpet;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.cavalryTrumpet.YcqQzhQueryOrg;
import org.springframework.stereotype.Repository;

/**
 * 青字号查询组织;
 *
 * @author : http://www.chiner.pro
 * @date : 2023-11-28
 */
@Repository
public interface YcqQzhQueryOrgRepo extends BaseRepo<YcqQzhQueryOrg, Long> {
    /**
     * 查询是否存在
     *
     * @param serviceId 申报id
     * @param deleted   是否删除
     * @return data
     */
    YcqQzhQueryOrg findByServiceIdAndDeleted(Long serviceId, Integer deleted);
}
