package com.crunii.micro.domain.repo.main.cavalryTrumpet;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.cavalryTrumpet.YcqYnCaptainChange;
import org.springframework.stereotype.Repository;
 /**
 * 青年号变更表;
 * @author : http://www.chiner.pro
 * @date : 2023-11-13
 */
@Repository
public interface YcqYnCaptainChangeRepo extends BaseRepo<YcqYnCaptainChange, Long> {

  /**
   * 根据id查一条有效数据
   * @param changeId
   * @param deleted
   * @return
   */
  YcqYnCaptainChange findByChangeIdAndDeleted (Long changeId,Integer deleted);

 }
