package com.crunii.micro.domain.repo.main.cavalryTrumpet;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.cavalryTrumpet.YcqYnCategory;
import org.springframework.stereotype.Repository;

/**
 * 青年号被认定类别;
 *
 * @author : http://www.chiner.pro
 * @date : 2023-11-13
 */
@Repository
public interface YcqYnCategoryRepo extends BaseRepo<YcqYnCategory, Long> {

    /**
     * id查询
     *
     * @param beforeCategoryId 主键id
     * @param deleted          是否删除
     * @return data
     */
    YcqYnCategory findByBeforeCategoryIdAndDeleted(Long beforeCategoryId, Integer deleted);
}
