package com.crunii.micro.domain.repo.main.cavalryTrumpet;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.cavalryTrumpet.YcqYnFlowRecord;
import org.springframework.stereotype.Repository;
 /**
 * 青马流程记录表;
 * @author : http://www.chiner.pro
 * @date : 2023-11-18
 */
@Repository
public interface YcqYnFlowRecordRepo extends BaseRepo<YcqYnFlowRecord, Long> {

  /**
   * 根据实例id查
   * @param flowInstanceId
   * @return
   */
  YcqYnFlowRecord findByFlowInstanceId(String flowInstanceId);
}
