package com.crunii.micro.domain.repo.main.document;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.document.YcqQzhBrowse;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

/**
 * @author gongsongtao
 * @date 2023/9/9 11:29
 */
@Repository
public interface YcqQzhBrowseRepo extends BaseRepo<YcqQzhBrowse, Long> {

    //    @Query(value = "select * from ycq_qzh_browse where record_type=:recordType and article_id=:articleId " +
//            " and operate_type=:operateType and user_id=:workerId and del_flag=0 ",nativeQuery = true)
//    YcqQzhBrowse findOneByArticleId(@Param("recordType") Integer recordType,
//                                    @Param("articleId") Long articleId,
//                                    @Param("operateType") Integer operateType,
//                                    @Param("workerId") Long workerId);

    @Query(value = "select count(1) from ycq_qzh_browse where article_id=?1 and record_type=?2 ", nativeQuery = true)
    Integer findCountArticleIdAndRecordType(Long id,Integer recordType);
}
