package com.crunii.micro.domain.repo.main.dynamicform;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.dynamicform.YcqQzhDynamicFormColumnValue;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @MethodName
 * @Description 动态表单模板
 * @Author Jiang
 * @Date 2023/9/27 11:05
 */
@Repository
public interface YcqDynamicFormColumnValueRepo extends BaseRepo<YcqQzhDynamicFormColumnValue, Long> {
    List<YcqQzhDynamicFormColumnValue> findByBusinessIdOrderByCreateTimeDesc(Long businessId);
    List<YcqQzhDynamicFormColumnValue> findByBusinessIdAndCreateId(Long businessId,Long createId);

}
