package com.crunii.micro.domain.repo.main.dynamicform;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.MessageSendTask;
import com.crunii.micro.domain.entity.main.dynamicform.YcqQzhDynamicFormRecord;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @MethodName
 * @Description 动态表单记录（用户记录）
 * @Author Jiang
 * @Date 2023/9/27 11:05
 */
@Repository
public interface YcqQzhDynamicFormRecordRepo extends BaseRepo<YcqQzhDynamicFormRecord, Long> {

    /**
     * @MethodName createIndicatorSystem
     * @Description PC 通过活动Id和用户获取活动表单数据详情
     * @param: dto
     * @param: worker
     * @return: com.crunii.micro.common.dto.Result<java.lang.String>
     * @Author Jiang
     * @Date 2023/9/27 19:31
     */
    YcqQzhDynamicFormRecord findByActivityIdAndCreateByAndDeleted(Long activityId, Long workerId, Integer deleted);



}
