package com.crunii.micro.service.qzh.chain.activity;

import com.crunii.micro.service.qzh.api.enums.ActivityButtonStateEnum;
import com.crunii.micro.service.qzh.dto.ButtonStateDTO;

import java.time.LocalDateTime;

public class ActivityDefaultEndFilter extends ActivityButtonStateFilter<ButtonStateDTO>{


    @Override
    public void setNext(ActivityButtonStateFilter<ButtonStateDTO> next) {

    }

    @Override
    public ButtonStateDTO doFilter(LocalDateTime currentTime, boolean isGrey) {
        ButtonStateDTO buttonStateDTO = new ButtonStateDTO(isGrey);
        buttonStateDTO.setButtonState(ActivityButtonStateEnum.HIDE.getCode());
        return buttonStateDTO;
    }
}
