package com.crunii.micro.service.qzh.chain.activity;

import com.crunii.micro.service.qzh.api.enums.ActivityButtonStateEnum;
import com.crunii.micro.service.qzh.dto.ButtonStateDTO;

import java.time.LocalDateTime;

public class ActivityDefaultStartFilter extends ActivityButtonStateFilter<ButtonStateDTO>{

    private ActivityButtonStateFilter<ButtonStateDTO> next;

    private LocalDateTime endTime;

    public void setNext(ActivityButtonStateFilter<ButtonStateDTO> next) {
        this.next = next;
    }

    public ActivityDefaultStartFilter(LocalDateTime endTime) {
        this.endTime = endTime;
    }

    @Override
    public ButtonStateDTO doFilter(LocalDateTime currentTime, boolean isGrey) {
//        if (currentTime.isAfter(endTime)){
//            ButtonStateDTO buttonStateDTO = new ButtonStateDTO(isGrey);
//            buttonStateDTO.setButtonState(ActivityButtonStateEnum.HIDE.getCode());
//            return buttonStateDTO;
//        }
        return next.doFilter(currentTime, isGrey);
    }
}
