package com.crunii.micro.service.qzh.controller;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.entity.main.MessageSendLogTask;
import com.crunii.micro.service.qzh.api.domain.dto.ParticipantDetailVO;
import com.crunii.micro.service.qzh.api.domain.dto.activity.*;
import com.crunii.micro.service.qzh.service.MessageSendLogTaskService;
import com.crunii.micro.service.qzh.service.YcqQzhActivityService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import lombok.RequiredArgsConstructor;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @Description: 风采Controller
 * @Param:
 * @return:
 * @Author: xiang xin
 * @Date: 2023/9/18
 */
@Api(tags = "测试")
@RequiredArgsConstructor
@RestController
@RequestMapping("/auth/messageSendLogController")
public class MessageSendLogController {

    private final MessageSendLogTaskService messageSendLogTaskService;

    @PostMapping("/doMessageSendLogTask")
    public void doMessageSendLogTask() {
        messageSendLogTaskService.doMessageSendLogTask();
    }
}
