package com.crunii.micro.service.qzh.dto;

import io.swagger.annotations.ApiModel;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.annotation.Generated;
import javax.validation.Valid;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;


/**
 * AppExamContentRespDTO
 */

@Data
@ApiModel(description = "app考试内容RespDTO")
public class AppExamContentRespDTO implements Serializable {

  private static final long serialVersionUID = 1L;

  @ApiModelProperty("主键")
  private Integer id;

  @ApiModelProperty("考试名称")
  private String examName;

  @ApiModelProperty("考试剩余时间")
  private Integer examResidueTime;

  @Valid
  private List<@Valid ExamTopicRespDTO> examTopics = new ArrayList<>();

}

