package com.crunii.micro.service.qzh.dto;

import io.swagger.annotations.ApiModel;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;


/**
 * AppExamInfoRespDTO
 */

@Data
@ApiModel(description = "app考试信息RespDTO")
public class AppExamInfoRespDTO implements Serializable {

  private static final long serialVersionUID = 1L;


  @ApiModelProperty("主键")
  private Integer id;

  @ApiModelProperty("考试名称")
  private String examName;

  @ApiModelProperty("总分数")
  private BigDecimal totalScore;

  @ApiModelProperty("及格分数")
  private BigDecimal passScore;

  @ApiModelProperty("题目数量")
  private Integer topicCount;

  @ApiModelProperty("考试时长")
  private String examTime;

  @ApiModelProperty("可考次数")
  private Integer examTimes;

  @ApiModelProperty("剩余考试次数")
  private Integer residueTimes;

  @ApiModelProperty("考试开始时间")
  private String examStartTime;

  @ApiModelProperty("考试结束时间")
  private String examEndTime;

  @ApiModelProperty("考试对象")
  private String examTarget;

  @ApiModelProperty("考试状态")
  private Integer examState;
}

