package com.crunii.micro.service.qzh.dto;

import io.swagger.annotations.ApiModel;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;


/**
 * AppExamListRespDTO
 */

@Data
@ApiModel(description = "app考试RespDTO")
public class AppExamListRespDTO implements Serializable {

  private static final long serialVersionUID = 1L;

  @ApiModelProperty("主键")
  private Integer id;

  @ApiModelProperty("考试名称")
  private String examName;

  @ApiModelProperty("考试时长")
  private Integer examTime;

  @ApiModelProperty("考试总分")
  private Integer examTotalScore;

  @ApiModelProperty("题目数量")
  private Integer topicNum;

  @ApiModelProperty("已完成数量")
  private Integer completeNum;

  @ApiModelProperty("考试图标")
  private String examIcon;
}

