package com.crunii.micro.service.qzh.dto;

import io.swagger.annotations.ApiModel;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.Valid;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * AppExamSubmitReqDTO
 */

@Data
@ApiModel(description = "app考试提交RespDTO")
public class AppExamSubmitReqDTO implements Serializable {

  private static final long serialVersionUID = 1L;

  @ApiModelProperty("题目ID")
  private Integer topicId;

  @ApiModelProperty("题目类型")
  private String topicType;

  @Valid
  private List<Integer> optionIds = new ArrayList<>();

}

