package com.crunii.micro.service.qzh.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import lombok.Data;

/**
 * @Author thw
 * @date 2023/9/18
 * @description 突击队发布风采积分明细DTO
 */
@Data
@ApiModel(description = "青年青年突击队活跃度积分RespDTO")
public class CommandoActiveDetailsIssueRespDTO implements Serializable {

  private static final long serialVersionUID = 1L;

  @ApiModelProperty("发布次数")
  private Integer issueNumber;

  @ApiModelProperty("序号")
  private Integer orderNumber;

  @ApiModelProperty("标题")
//  private String title;
  private String workerName;

  @ApiModelProperty("所属对象")
  private String commandoName;

  @ApiModelProperty("发布人")
//  private String workerName;
  private String phone;

  @ApiModelProperty("发布时间")
//  private String issueTime;
  private String loginTime;

  @ApiModelProperty("得分")
  private Integer score;
}
