package com.crunii.micro.service.qzh.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import lombok.Data;

/**
 * @Author thw
 * @date 2023/9/18
 * @description 登录明细分页
 */
@Data
@ApiModel(description = "突击队登录明细分页明细DTO")
public class CommandoActiveDetailsLoginRespDTO implements Serializable {

  private static final long serialVersionUID = 1L;

  @ApiModelProperty("登录次数")
  private Integer loginNumber;

  @ApiModelProperty("序号")
  private Integer orderNumber;

  @ApiModelProperty("姓名")
  private String workerName;

  @ApiModelProperty("所属青年青年突击队（突击队名）")
  private String commandoName;

  @ApiModelProperty("手机号")
  private String phone;

  @ApiModelProperty("登录时间")
  private String loginTime;

  @ApiModelProperty("得分")
  private Integer score;


}
