package com.crunii.micro.service.qzh.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.List;
import lombok.Data;

/**
 * @Author thw
 * @date 2023/9/18
 * @description 青年突击队信息查询统计通用请求ReqDTO
 */
@Data
@ApiModel(description = "青年突击队信息查询统计通用请求ReqDTO")
public class CommandoCountInfoCommonReqDTO implements Serializable {

  private static final long serialVersionUID = 1L;

  @ApiModelProperty("开始时间")
  private String startDate;

  @ApiModelProperty("结束时间")
  private String endDate;

  @ApiModelProperty("组织")
  private List<Long> ids;

  @ApiModelProperty("排序字段:asc | desc")
  private String orderDesc;
}
