package com.crunii.micro.service.qzh.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import lombok.Data;

/**
 * @Author thw
 * @date 2023/9/18
 * @description
 */
@Data
@ApiModel(description = "青年突击队信息查询统计RespDTO")
public class CommandoGroupInfoRespDTO implements Serializable {

  private static final long serialVersionUID = 1L;

  @ApiModelProperty(" 青年突击队总数")
  private Integer commandoTotalNumber;

  @ApiModelProperty("青年突击队员总数")
  private Integer commandoMemberNumber;

  @ApiModelProperty(" 队伍状态冻结数")
  private Integer ranksFreezeNumber;

  @ApiModelProperty(" 队长40岁以下")
  private Integer teamLeaderAgeNumber;

  @ApiModelProperty("队长年龄信息字符串")
  private String teamLeaderCardList;

  @ApiModelProperty("风采发布总数")
  private Integer fengcaiReleaseTotalNumber;

}
