package com.crunii.micro.service.qzh.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import lombok.Data;

/**
 * @Author thw
 * @date 2023/10/5
 * @description
 */
@Data
@ApiModel(description = "青年突击队信息查RespDTO")
public class CommandoInfoDTO implements Serializable {

  private static final long serialVersionUID = 1L;

  @ApiModelProperty(" 青年突击队编码")
  private String commandoCode;

  @ApiModelProperty("青年突击队员人数")
  private Integer personNum;

  @ApiModelProperty("队长名和身份证号")
  private String leaderNameAndCard;

  @ApiModelProperty("突击队关联风采数")
  private Integer fengcaiGoupNumber;

  @ApiModelProperty("突击队数据权限组织")
  private String orgidList;



}
