package com.crunii.micro.service.qzh.dto;


import io.swagger.annotations.ApiModel;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.Valid;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;


/**
 * ExamTopicRespDTO
 */

@Data
@ApiModel(description = "app考试题目RespDTO")
public class ExamTopicRespDTO implements Serializable {

  private static final long serialVersionUID = 1L;

  @ApiModelProperty("题目ID")
  private Integer topicId;

  @ApiModelProperty("题目类型")
  private String topicType;

  @ApiModelProperty("题目名称")
  private String topicName;

  @Valid
  private List<@Valid ExamOptionRespDTO> examOptions = new ArrayList<>();

}

