package com.crunii.micro.service.qzh.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @Author thw
 * @date 2023/9/18
 * @description
 */
@Data
@ApiModel(description = "指标体系评定风采ReqDTO")
public class IndicatorAppraiseDecideReqDTO implements Serializable {

  private static final long serialVersionUID = 1L;

  @ApiModelProperty(name = "风采主键字符串")
  private String ids;

  @ApiModelProperty(name = "指标体系id")
  @NotBlank(message = "指标体系id为空！")
  private String indexId;
  
  @ApiModelProperty(name = "权益岗所属对象id")
  @NotBlank(message = "权益岗所属对象id为空！")
  private String rightsId;

}
