package com.crunii.micro.service.qzh.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import lombok.Data;

/**
 * @Author thw
 * @date 2023/9/18
 * @description
 */
@Data
@ApiModel(description = "指标体系评定风采RespDTO")
public class IndicatorAppraiseDecideRespDTO implements Serializable {

  private static final long serialVersionUID = 1L;

  @ApiModelProperty(name = "序号")
  private Integer orderNumber;

  @ApiModelProperty(name = "风采标题")
  private String title;

  @ApiModelProperty(name = "状态解释：0：待评定；1：已通过；2：已驳回")
  private Integer state;

  @ApiModelProperty(name = "状态中文解释0：待评定；1：已通过；2：已驳回")
  private String stateName;

  @ApiModelProperty(name = "风采评定表的主键")
  private String mid;
  
  @ApiModelProperty(name = "风采表的主键")
  private String id;
  
  @ApiModelProperty(name = "指标id")
  private String indicatorSystemId;


}
