package com.crunii.micro.service.qzh.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.List;
import javax.validation.constraints.NotBlank;
import lombok.Data;

/**
 * @Author thw
 * @date 2023/9/18
 * @description
 */
@Data
@ApiModel(description = "积分明细通用请求ReqDTO")
public class IntegrationDetailsCommonReqDTO implements Serializable {

  private static final long serialVersionUID = 1L;

  @NotBlank(message = "参数必传！")
  @ApiModelProperty(name = "突击队的主键id")
  private String id;

  @ApiModelProperty("开始时间")
  private String startDate;

  @ApiModelProperty("结束时间")
  private String endDate;

  @ApiModelProperty("组织")
  private List<Long> ids;

}
