package com.crunii.micro.service.qzh.dto;

/**
 * @author lmlksy
 * @date 2023/11/23 18:54
 */
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@ApiModel(description = "活动人员审核表DTO")
public class YcqActivityPeopleAuditDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "活动ID")
    @NonNull
    private Long activityId;

    @ApiModelProperty(value = "流程状态")
    @NonNull
    private Integer processState;

    @ApiModelProperty(value = "报名状态 1通过，0不通过，2待审核")
    @NonNull
    private Integer registrationStatus=1;

    @ApiModelProperty(value = "性别 男:1 0:女")
    private Integer sex;

    @ApiModelProperty(value = "businessBelongId")
    private Long businessBelongId;
}

