package com.crunii.micro.service.qzh.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


@Data
@ApiModel(description = "青安岗-分页明细DTO")
public class YcqQzhQagApplyRespDTO implements Serializable {

  private static final long serialVersionUID = 1L;
  private Long id;

  @ApiModelProperty("申请组织名")
  private String applyOrgName;

  @ApiModelProperty("职工数")
  private Integer workersNum;

  @ApiModelProperty("青年数")
  private Integer youthNum;

  @ApiModelProperty("岗长名")
  private String leaderName;

  @ApiModelProperty("岗长身份证")
  private String leaderIdCard;

  @ApiModelProperty("岗长电话")
  private String leaderPhone;

  @ApiModelProperty("备注")
  private String remark;

  @ApiModelProperty("是否有效")
  private Integer delFlag;

  @ApiModelProperty("创建者")
  private String creator;

  @ApiModelProperty("创建时间")
  private Date createTime;

  @ApiModelProperty("流程状态")
  private Integer flowState;

  @ApiModelProperty("文件id")
  private String fileId;

  @ApiModelProperty("文件名字")
  private String fileName;

  @ApiModelProperty("分布类型")
  private String distributionType;

  @ApiModelProperty("所属组织id")
  private String affiliationOrgId;

  @ApiModelProperty("所属组织名字")
  private String affiliationOrgName;

  @ApiModelProperty("创建者")
  private String updator;

  @ApiModelProperty("创建时间")
  private Date updateTime;


  @ApiModelProperty("流程状态值")
  private String flowStateValue;

  @ApiModelProperty("code")
  private String code;

  @ApiModelProperty("创建id")
  private Long createId;

  @ApiModelProperty("政策id")
  private Long policyId;

  @ApiModelProperty("流程实例id")
  private String flowInstanceId;

  @ApiModelProperty("政策名字")
  private String policyName;

  @ApiModelProperty("上个意见")
  private String lastAdvice;

  @ApiModelProperty("历史节点")
  private String oldNodeKeys;

  @ApiModelProperty("审核按钮")
  private Integer button;

  @ApiModelProperty("是否有回退按钮")
  private Integer backButton=0;

  @ApiModelProperty("是否有查看按钮")
  private Integer viewButton=0;

  @ApiModelProperty("是否为申请人的数据")
  private Integer isApplicant=1;

  @ApiModelProperty("预览按钮展示情况(0不展示预览,1预览申报,2预览申报、推荐申报")
  private Integer previewState=0;

}
