package com.crunii.micro.service.qzh.dto.dynamicform;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ClassName DynamicFormColumnDTO
 * @Description 组装建表需要的字段信息
 * @Author Jiang
 * @Date 2023/10/14
 * @Version 1.0
 */
@Data
public class DynamicFormColumnDTO {


    /**
     * 对应json中的 widget+一个唯一组件的标识
     */
    @ApiModelProperty(value = "列名")
    private String columnName;

    /**
     * 对应json中的 title
     */
    @ApiModelProperty(value = "列名描述")
    private String columnDescribe;

    private String value;

    private String type;

    private Integer isDelete=0;
}
