package com.crunii.micro.service.qzh.dto.dynamicform;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Data
@ApiModel(description = "活动审核流程节点")
public class YcqActiveFlowNodeReqDTO implements Serializable {

    private static final long serialVersionUID = 1L;
    private Long id;

    @ApiModelProperty(value = "组织id")
    private Long orgId ;

    @ApiModelProperty(value = "组织名字")
    private String orgName ;

    @ApiModelProperty(value = "活动id")
    private Long activeId ;

    @ApiModelProperty(value = "原因")
    private String reason ;

    @ApiModelProperty(value = "审核结果 1审核通过 2审核通过并交上级审核  3审核不通过 ")
    private Integer resultType ;

    @ApiModelProperty(value = "审核结果")
    private String resultStr ;

    @ApiModelProperty(value = "时间")
    private Date createTime ;

    @ApiModelProperty(value = "1是  2否")
    private Integer isInitial=2;

    @ApiModelProperty(value = "创建者")
    private String createBy ;

    @ApiModelProperty(value = "创建者id")
    private Long createId ;

    @ApiModelProperty(value = "是否是发布  1是 0不是   来判断是否发短信")
    private Integer isRelease;

    @ApiModelProperty(value = "是否是重新发起 1是  0否")
    private Integer isUpdate=0;

}
