package com.crunii.micro.service.qzh.dto.video;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/10/11 17:10
 */
@Data
public class VideoDto implements Serializable {

    @ApiModelProperty("视频时长")
    @NotNull(message = "视频时长不能为空")
    private Integer fileDuration;

    @ApiModelProperty("文件id")
    @NotBlank(message = "文件id不能为空")
    private String fileId;
}
