package com.crunii.micro.service.qzh.enums;

import lombok.Getter;

@Getter
public enum CheckMessageEnum {
    //1通过(合格)，2优秀，3退回，4整改，5命名自动取消，6撤销命名（不通过）
    TYPE_PASS(0,"通过"),
    TYPE_YOUXIU(1,"优秀"),
    TYPE_HEGE(2,"合格"),
    TYPE_UNPASS(3,"不通过"),
    TYPE_ZHENGGAI(4,"整改"),
    TYPE_CHEXIAO(5,"撤销命名"),
    TYPE_QUXIAO(6,"命名自动取消"),
    TYPE_TUIHUI(7,"退回");
    private Integer code;
    private String val;

    CheckMessageEnum(Integer code, String val) {
        this.code = code;
        this.val = val;
    }
    public static CheckMessageEnum getValByCode(Integer code){
        //默认
        CheckMessageEnum result = CheckMessageEnum.TYPE_HEGE;
        for (CheckMessageEnum item : values()) {
            if (item.code.equals(code)){
                result = item;
            }
        }
        return result;
    }
}
