package com.crunii.micro.service.qzh.enums;

import lombok.Getter;

/**
 * @BelongsProject: microservice
 * @BelongsPackage: com.crunii.micro.service.qzh.enums
 * @Author: limy
 * @CreateTime: 2023-09-23  16:18
 * @Description: 导入execl类型
 * @Version: 1.0
 */
@Getter
public enum  ImportExeclTypeEnum {

    TYPE_QUXIAN(1,"区县"),
    TYPE_GAOXIAO(2,"高校"),
    TYPE_CITY(3,"城市");
    private Integer code;
    private String val;

    ImportExeclTypeEnum(Integer code, String val) {
        this.code = code;
        this.val = val;
    }
    public static ImportExeclTypeEnum getCodeByVal(String val){
        //默认
        ImportExeclTypeEnum result = ImportExeclTypeEnum.TYPE_QUXIAN;
        for (ImportExeclTypeEnum item : values()) {
            if (item.val.equals(val)){
                result = item;
            }
        }
        return result;
    }
}
