package com.crunii.micro.service.qzh.enums;

/**
 * @author lmlksy
 * @date 2023/12/19 17:11
 */
public enum SendWayEnum {
    SMS("1", "短信推送"),
    INTERNAL_MESSAGE("2", "站内信");


    private final String code;
    private final String description;

    SendWayEnum(String code, String description) {
        this.code = code;
        this.description = description;
    }

    public String getCode() {
        return code;
    }

    public String getDescription() {
        return description;
    }

    public static String getDescriptionFromCode(String code) {
        for (SendWayEnum sendWay : SendWayEnum.values()) {
            if (sendWay.code.equals(code)) {
                return sendWay.description;
            }
        }
        return null;
    }
}

