package com.crunii.micro.service.qzh.jdbc;

import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
import com.crunii.micro.domain.common.jdbc.BaseNPJdbcTemplate;
import com.crunii.micro.domain.entity.main.YcqActivityApplyRecord;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;

@Repository
public class YcqActivityApplyRecordDao {

    @Resource(name = "mainJT")
    protected BaseJdbcTemplate JT;

    @Resource(name = "mainNPJT")
    protected BaseNPJdbcTemplate NPJT;


    public YcqActivityApplyRecord getByActivityIdAndUserId(Long activityId, Integer loginId){
        String sql = "select * from YCQ_ACTIVITY_APPLY_RECORD where is_delete = 0 and activity_id = ? and CREATE_ID = ?";
        return JT.queryForBean(YcqActivityApplyRecord.class,sql, activityId, loginId);
    }

    public void delete(Long id, int loginId) {
        String sql = "update YCQ_ACTIVITY_APPLY_RECORD set is_delete = 1 where activity_id = ? and  CREATE_ID = ?";
        JT.update(sql, id, loginId);
    }
}
