package com.crunii.micro.service.qzh.jdbc;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.utils.SqlUtil;
import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
import com.crunii.micro.domain.common.jdbc.BaseNPJdbcTemplate;
import com.crunii.micro.service.qzh.api.domain.dto.activityPublish.ActivityQueryReqDTO;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

@Repository
public class YcqPublishActivityDao {


    @Resource(name = "mainJT")
    protected BaseJdbcTemplate jdbcTemplate;

    @Resource(name = "mainNPJT")
    protected BaseNPJdbcTemplate NPJT;

    private static final String PAGE_BASE_QUERY = "select * from YCQ_PUBLISH_ACTIVITY ypa where 1=1 and ";
    private static final String PAGE_BASE_COUNT_QUERY = "";

    public void pageByCondition(PageReq<ActivityQueryReqDTO> req, int loginId, int orgId) {
        StringBuilder base = new StringBuilder(PAGE_BASE_QUERY);
        StringBuilder countStr = new StringBuilder(PAGE_BASE_COUNT_QUERY);
        ActivityQueryReqDTO query = req.getQuery();
        List<Object> params = new ArrayList<>();
        if (query != null) {
            String keyword = query.getActivityTitle();
            if (StringUtils.isNotBlank(keyword)) {
                base.append(" and ypa.activity_title like concat('%',?,'%') ");
                countStr.append(" and ypa.activity_title like concat('%',?,'%') ");
                params.add(keyword);
            }
//            String loginIdStr = query.getLoginIdStr();
//            if (StringUtils.isNotBlank(loginIdStr)){
//                base.append(" and ymr.login_id like concat('%',?,'%') ");
//                countStr.append(" and ymr.login_id like concat('%',?,'%') ");
//                params.add(loginIdStr);
//            }
//            String sendId = query.getSendId();
//            if (StringUtils.isNotBlank(sendId)){
//                base.append(" and send_id = ? ");
//                countStr.append(" and send_id = ? ");
//                params.add(sendId);
//            }
//        }
//        int total = JT.queryForInt(countStr.toString(), params.toArray());
//        List<YcqPageMessageRecordVO> values = new ArrayList<>(pageRequest.getPageSize());
//        String dbType = JT.getDbType();
//        if (total > 0) {
//            base.append(" order by ymr.push_time desc ");
//            //根据数据库类型设置limit
//            SqlUtil.appendLimit(dbType, params, base, pageRequest);
//            values = JT.queryForBeans(YcqPageMessageRecordVO.class, base.toString(), params.toArray());
//        }
//        PageRsp<YcqPageMessageRecordVO> page = new PageRsp<>();
//        page.setPageNo(pageRequest.getPageNo());
//        page.setPageSize(pageRequest.getPageSize());
//        page.setTotalNum(total);
//        page.setResult(values);
//        page.next();
//        return page;
        }
    }
}
