package com.crunii.micro.service.qzh.service;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.qzh.dto.video.FileDto;
import com.crunii.micro.service.qzh.dto.video.NoticeDto;
import com.crunii.micro.service.qzh.dto.video.NotificationVo;
import com.crunii.micro.service.qzh.dto.video.VideoDto;
import org.springframework.web.multipart.MultipartFile;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/10/11 16:57
 */
public interface QzhVideoService {
      Result<NotificationVo> videoFileUpload(MultipartFile file, String fileName);

      NotificationVo uploadFileNotification(Worker worker, NoticeDto dto);

      Result<String> getFileUrl(FileDto dto);

      Result<String> queryRealTimeVideoAddress(Worker worker,String fileId);

      Result<String> updateFileStatus(VideoDto videoDto);

      Result<String> downloadVideo(String fileId);
}
