//package com.crunii.micro.service.qzh.service;
//
//import com.crunii.micro.common.dto.PageReq;
//import com.crunii.micro.common.dto.PageRsp;
//import com.crunii.micro.common.dto.Result;
//
//import java.io.IOException;
//import java.util.List;
//
//import com.crunii.micro.service.qzh.api.domain.dto.IndicatorAppraiseRespDTO;
//import com.crunii.micro.service.qzh.api.domain.dto.document.DocumentListRspDTO;
//import com.crunii.micro.service.qzh.api.domain.dto.rightsProtection.*;
//
//import javax.servlet.http.HttpServletRequest;
//import javax.servlet.http.HttpServletResponse;
//
//public interface RightsProtectionService {
//
//    /**
//     * 申报清单分页查询
//     */
//    Result<PageRsp<RightsProtectionInventoryPageRespDTO>> inventoryPage(PageReq<RightsProtectionInventoryPageReqDTO> rightsProtectionInventoryPageReqDTO);
//
//    /**
//     * 申报记录分页查询
//     */
//    Result<PageRsp<RightsProtectionRecordPageRespDTO>> recordPage(PageReq<Object> dto);
//
//    /**
//     * 申报创建
//     */
//    Result<Boolean> create(RightsProtectionCreateReqDTO rightsProtectionCreateReqDTO);
//
//    /**
//     * 申报复核
//     */
//    Result<Boolean> check(RightsProtectionCheckReqDTO rightsProtectionCheckReqDTO);
//
//    /**
//     * 申报创建查询
//     */
//    Result<RightsProtectionCreateQueryRespDTO> createQuery(Long id);
//
//    /**
//     * 申报复核查询
//     */
//    Result<RightsProtectionCheckQueryRespDTO> checkQuery(Long id);
//
//    /**
//     * 已申报列表查询
//     */
//    Result<List<RightsProtectionInventorylistQueryRespDTO>> listQuery(RightsProtectionInventorylistQueryReqDTO rightsProtectionInventorylistQueryReqDTO);
//
//    /**
//     * 复核关联查询
//     */
//    Result<RightsProtectionInventoryCheckAssociatedQueryRespDTO> checkAssociatedQuery(Long req);
//
//    /**
//     * 申报查看
//     */
//    Result<RightsProtectionRecordPageRespDTO> getCreate(Long id);
//
//    /**
//     * 申报删除
//     */
//    Result<Boolean> delete(Long id);
//
//    /**
//     * 申报评审
//     */
//    Result<Object> operate(RightsProtectionOperateReqDTO rightsProtectionOperateReqDTO);
//
//    /**
//     * 申报公示
//     */
//    Result<Boolean> publicity(RightsProtectionPublicityReqDTO rightsProtectionPublicityReqDTO);
//
//    /**
//     * 市级主管单位复核
//     */
//    Result<Boolean> SupervisorCheck(RightsProtectionSupervisorCheckReqDTO req);
//
//    /**
//     * 市级团委复核
//     */
//    Result<Boolean> CommitteeCheck(RightsProtectionCommitteeCheckReqDTO req);
//
//    /**
//     * 附件校验
//     */
//    Result<RightsProtectionCheckAnnexRespDTO> checkAnnex(RightsProtectionCheckAnnexReqDTO req);
//
//    /**
//     * 附件下载
//     */
//    Result<List<RightsProtectionDownloadAnnexRespDTO>> downloadAnnex(RightsProtectionDownloadAnnexReqDTO req);
//
//    /**
//     * 是否有关联政策
//     */
//    Boolean isCorrelation(String policyId);
//
//	Result<List<DocumentListRspDTO>> queryPolicy(Integer type);
//
//    void exportCreate(HttpServletRequest request, HttpServletResponse response, CheckIndexReqDTO dto)
//            throws IOException;
//
//    Result<List<IndicatorAppraiseRespDTO>> getIndicator();
//}
