package com.crunii.micro.service.qzh.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.qzh.api.domain.dto.document.CreateEventReportDTO;
import com.crunii.micro.service.qzh.api.domain.dto.document.PageEventReportReqDTO;
import com.crunii.micro.service.qzh.api.domain.dto.document.PageEventReportRespDTO;
import com.crunii.micro.service.qzh.api.domain.dto.document.YcqEventReportDTO;
import org.springframework.stereotype.Repository;

@Repository
public interface YcqEventReportService {
    Result<Void> createEventReport(CreateEventReportDTO dto);

    Result<PageRsp<PageEventReportRespDTO>> pageEventReport(PageReq<PageEventReportReqDTO> dto);

    Result updateEventReport(CreateEventReportDTO dto);

    Result<PageEventReportRespDTO> doEventReport(YcqEventReportDTO dto);

    Result deleteYcqQzhActivity(YcqEventReportDTO dto);

    Result<PageRsp<PageEventReportRespDTO>> pageEventReportApp(PageReq<PageEventReportReqDTO> dto);

    Result updateType(YcqEventReportDTO dto);

    Boolean promiseYouth();
}
