package com.crunii.micro.service.qzh.service;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.qzh.dto.YcqCxlTzReqDto;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.List;

/**
 * @BelongsProject: microservice
 * @BelongsPackage: com.crunii.micro.service.qzh.service
 * @Author: limy
 * @CreateTime: 2023-09-23  11:27
 * @Description: 青年大学习参学率统计台账
 * @Version: 1.0
 */
public interface YcqQdCxlService {

    Result ImportTaiZhang(MultipartFile file, String acctMonth, Worker worker) throws IOException;

    Result createMultiTaiZhang(MultipartFile file, String acctMonth, Worker worker) throws IOException;

}
