package com.crunii.micro.service.qzh.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.qzh.api.domain.dto.YcqTrainingCenterFileDTO;
import com.crunii.micro.service.qzh.api.domain.dto.YcqTrainingCenterFileVo;

import java.util.List;


public interface YcqTrainingCenterFileService {

    Result<Void> create(YcqTrainingCenterFileDTO dto);

    Result<Void> delete(Long id);


    Result<PageRsp<YcqTrainingCenterFileVo>> page(PageReq<YcqTrainingCenterFileDTO> req);

    Result<Void> update(YcqTrainingCenterFileDTO dto);

    Result<List<YcqTrainingCenterFileVo>> list(YcqTrainingCenterFileDTO req);

}
