package com.crunii.micro.service.qzh.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.entity.main.YcqQzhRightsProtection;
import com.crunii.micro.domain.entity.main.YcqYouthStart;
import com.crunii.micro.service.qzh.api.domain.dto.document.DocumentListRspDTO;
import com.crunii.micro.service.qzh.api.domain.dto.rightsProtection.*;
import com.crunii.micro.service.qzh.dto.AddCreateDTO;

import java.util.List;

/**
 * @author lyx
 * @date 2023/11/15
 */
public interface YcqYouthStartService {
	Result<PageRsp<YcqYouthStartVO>> pageList(PageReq<YcqYouthStartDTO> req);

	Result<String> update(YcqYouthStartDTO dto);

	Result<String> delete(YcqYouthStartDTO dto);

	Result<String> doPublicity(YcqYouthStartDTO dto);

	Result<String> doPriority(YcqYouthStartDTO dto);

	Result<String> saveCreate(YcqYouthStartDTO dto);

	Result<YcqYouthStartVO> pageListUncheck(YcqYouthStartUncheckDTO dto);
}
