package com.crunii.micro.service.qzh.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.qzh.dto.*;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;

public interface YcqYzyhTestService {

    @Transactional(rollbackFor = Exception.class)
    Result<String> addTest(AddYcqYzyhTestReqDto addYcqYzyhTestReqDto, Worker worker);


    Result<List<TestTopicRespDto>> chooseTopic(ChooseTopicReqDto chooseTopicReqDto,Worker worker);

    Result<String> delTest(List<String> ids,Worker worker);

    Result<String> doTest(OperateTestRepDto operateTestRepDto, Worker worker);

    Result<PageRsp<YcqYzyhTestCountRespDto>> examDetailsCount(PageReq<YcqYzyhTestCountReqDto> ycqYzyhTestCountReqDto,Worker worker);

    void examDetailsCountExport(HttpServletResponse response, YcqYzyhTestCountReqDto ycqYzyhTestCountReqDto,Worker worker) throws IOException;

    Result<PageRsp<YcqYzyhTestRespDto>> pageTest(PageReq<YcqYzyhTestReqDto> ycqYzyhTestReqDto,Worker worker);

    Result<List<TestTopicRespDto>> topicsImport(MultipartFile file,Integer questionBankId,Worker worker) throws IOException;

    Result<String> updateTest(AddYcqYzyhTestReqDto addYcqYzyhTestReqDto, Worker worker);

    Result<TestDetailRespDto> viewTest(String id,Worker worker);
}
