//package com.crunii.micro.service.qzh.service.impl;
//
//import cn.hutool.core.lang.Snowflake;
//import com.crunii.micro.common.dto.PageReq;
//import com.crunii.micro.common.dto.PageRsp;
//import com.crunii.micro.common.dto.Result;
//import com.crunii.micro.common.exception.BusinessException;
//import com.crunii.micro.domain.dto.Worker;
//import com.crunii.micro.domain.entity.main.YcqQzhIndicCheckRel;
//import com.crunii.micro.domain.entity.main.YcqQzhRightsFlow;
//import com.crunii.micro.domain.entity.main.YcqQzhRightsProtection;
//import com.crunii.micro.domain.entity.main.YcqQzhRightsProtectionAnnex;
//import com.crunii.micro.domain.repo.main.RightsProtectionAnnexRepo;
//import com.crunii.micro.domain.repo.main.RightsProtectionRepo;
//import com.crunii.micro.domain.repo.main.YcqQzhIndicCheckRelRepo;
//import com.crunii.micro.domain.repo.main.YcqQzhRightsFlowRepo;
//import com.crunii.micro.domain.util.CurrWorkerUtil;
//import com.crunii.micro.feign.client.SysService;
//import com.crunii.micro.service.qzh.api.domain.dto.IndicatorAppraiseRespDTO;
//import com.crunii.micro.service.qzh.api.domain.dto.document.DocumentListRspDTO;
//import com.crunii.micro.service.qzh.api.domain.dto.rightsProtection.*;
//import com.crunii.micro.service.qzh.converter.RightsProtectionConvert;
//import com.crunii.micro.service.qzh.enums.LinkStatusEnum;
//import com.crunii.micro.service.qzh.enums.TypeEnum;
//import com.crunii.micro.service.qzh.jdbc.RightsProtectionAnnexJdbcDao;
//import com.crunii.micro.service.qzh.jdbc.RightsProtectionJdbcDao;
//import com.crunii.micro.service.qzh.jdbc.YcqQzhDocumentJdbcDao;
//import com.crunii.micro.service.qzh.service.RightsProtectionService;
//import fr.opensagres.xdocreport.core.document.SyntaxKind;
//import fr.opensagres.xdocreport.document.IXDocReport;
//import fr.opensagres.xdocreport.document.registry.XDocReportRegistry;
//import fr.opensagres.xdocreport.template.IContext;
//import fr.opensagres.xdocreport.template.TemplateEngineKind;
//import fr.opensagres.xdocreport.template.formatter.FieldsMetadata;
//import fr.opensagres.xdocreport.template.formatter.NullImageBehaviour;
//import lombok.extern.slf4j.Slf4j;
//import org.apache.commons.collections4.CollectionUtils;
//import org.apache.commons.lang3.StringUtils;
//import org.springframework.beans.BeanUtils;
//import org.springframework.core.io.ClassPathResource;
//import org.springframework.stereotype.Service;
//import org.springframework.web.multipart.MultipartFile;
//
//import javax.annotation.Resource;
//import javax.servlet.ServletOutputStream;
//import javax.servlet.http.HttpServletRequest;
//import javax.servlet.http.HttpServletResponse;
//import java.io.IOException;
//import java.io.InputStream;
//import java.net.URLEncoder;
//import java.text.SimpleDateFormat;
//import java.time.LocalDateTime;
//import java.time.format.DateTimeFormatter;
//import java.util.*;
//import java.util.stream.Collectors;
//
///**
// * @author jex
// */
//@Service
//@Slf4j
//public class RightsProtectionServiceImpl implements RightsProtectionService {
//
//	@Resource
//	private RightsProtectionRepo repo;
//
//	@Resource
//	private RightsProtectionAnnexRepo annexRepo;
//
//	@Resource
//	private RightsProtectionJdbcDao jdbcDao;
//
//	@Resource
//	private RightsProtectionAnnexJdbcDao annexJdbcDao;
//
//	@Resource
//	private YcqQzhDocumentJdbcDao ycqQzhDocumentJdbcDao;
//	@Resource
//	private SysService service;
//	@Resource
//	private YcqQzhIndicCheckRelRepo ycqQzhIndicCheckRelRepo;
//	@Resource
//	private YcqQzhRightsFlowRepo ycqQzhRightsFlowRepo;
//
//	/**
//	 * 申报清单分页查询
//	 */
//	@Override
//	public Result<PageRsp<RightsProtectionInventoryPageRespDTO>> inventoryPage(PageReq<RightsProtectionInventoryPageReqDTO> rightsProtectionInventoryPageReqDTO) {
//		//todo 根据登录用户的组织去查询数据中的下一环节组织相同的数据，再根据流程status显示相应的按钮
//		Worker worker = CurrWorkerUtil.getCurrWorker();
//		String workerOrgId = worker.getOrgId();
//		PageRsp<RightsProtectionInventoryPageRespDTO> resp = jdbcDao.inventoryPageList(rightsProtectionInventoryPageReqDTO, workerOrgId);
//		return new Result<PageRsp<RightsProtectionInventoryPageRespDTO>>(resp);
//	}
//
//	/**
//	 * 申报记录分页查询
//	 */
//	@Override
//	public Result<PageRsp<RightsProtectionRecordPageRespDTO>> recordPage(PageReq<Object> dto) {
//		PageRsp<RightsProtectionRecordPageRespDTO> resp = jdbcDao.recordPageList(dto);
//		return new Result<PageRsp<RightsProtectionRecordPageRespDTO>>(resp);
//	}
//
//	/**
//	 * 申报创建
//	 */
//	@Override
//	public Result<Boolean> create(RightsProtectionCreateReqDTO rightsProtectionCreateReqDTO) {
//		Worker worker = CurrWorkerUtil.getCurrWorker();
//		// 提交为草稿，草稿不需要进入流程不调用doSystem方法
//
//		if (rightsProtectionCreateReqDTO.getIsDraft().equals(TypeEnum.TYPE_0.getType())) {
//			//新增草稿
//			if (rightsProtectionCreateReqDTO.getId() == null) {
//				YcqQzhRightsProtection entity = RightsProtectionConvert.INSTANCE.convert(rightsProtectionCreateReqDTO);
//				entity.setApplicantCode(codeRule(1));
//				entity.setApplicantId(Long.valueOf(worker.getLoginId()));
//				entity.setApplyType(TypeEnum.APPLYTYPE_0.getType());
//				entity.setStatus(LinkStatusEnum.CREATE_0.getCode());
//				entity.setLink(LinkStatusEnum.CREATE_0.getCode());
//				entity.setCreateId(Long.valueOf(worker.getLoginId()));
//				entity.setCreateBy(worker.getWorkerName());
//				Snowflake snowflake = new Snowflake();
//				saveAnnexs(rightsProtectionCreateReqDTO, entity, worker);
//				entity.setId(snowflake.nextId());
//				repo.save(entity);
//			} else {
//				//修改为草稿
//				Long rightsProtectionId = rightsProtectionCreateReqDTO.getId();
//				YcqQzhRightsProtection entity = repo.findById(rightsProtectionId).get();
//				BeanUtils.copyProperties(rightsProtectionCreateReqDTO, entity);
//				entity.setStatus(LinkStatusEnum.CREATE_0.getCode());
//				entity.setUpdateId(Long.valueOf(worker.getLoginId()));
//				entity.setUpdateBy(worker.getWorkerName());
//				repo.save(entity);
//				// 处理附件
//				saveAnnexs(rightsProtectionCreateReqDTO, entity, worker);
//			}
//		} else {
//			//提交为创建
//			//新增为创建
//			// 数据和权限校验
//			validate(rightsProtectionCreateReqDTO, worker);
//			YcqQzhRightsProtection entity;
//			if (rightsProtectionCreateReqDTO.getId() == null) {
//				entity = RightsProtectionConvert.INSTANCE.convert(rightsProtectionCreateReqDTO);
//				entity.setApplicantCode(codeRule(1));
//				entity.setCreateId(Long.valueOf(worker.getLoginId()));
//				entity.setCreateBy(worker.getWorkerName());
//				entity.setLink(LinkStatusEnum.CREATE_1.getCode());
//				entity.setStatus(LinkStatusEnum.CREATE_1.getCode());
//				saveAnnexs(rightsProtectionCreateReqDTO, entity, worker);
//				Snowflake snowflake = new Snowflake();
//				entity.setId(snowflake.nextId());
//			} else {
//				//修改为创建
//				Long rightsProtectionId = rightsProtectionCreateReqDTO.getId();
//				entity = repo.findById(rightsProtectionId).get();
//				BeanUtils.copyProperties(rightsProtectionCreateReqDTO, entity);
//				entity.setStatus(LinkStatusEnum.CREATE_1.getCode());
//				entity.setLink(LinkStatusEnum.CREATE_1.getCode());
//				entity.setUpdateId(Long.valueOf(worker.getLoginId()));
//				entity.setUpdateBy(worker.getWorkerName());
//				saveAnnexs(rightsProtectionCreateReqDTO, entity, worker);
//			}
//			saveSystem(rightsProtectionCreateReqDTO, entity, worker);
//		}
//
//		return new Result<>(true);
//	}
//
//	private void saveSystem(RightsProtectionCreateReqDTO rightsProtectionCreateReqDTO, YcqQzhRightsProtection entity, Worker work) {
//		//  查询静态表中的值 根据value_id 查询 value_desc是不是以1开头
//		//Result<String> b = service.getDescById(rightsProtectionCreateReqDTO.getSystemId());
//		String b = jdbcDao.getDescById(rightsProtectionCreateReqDTO.getSystemId());
//		Long orgId = Long.valueOf(work.getOrgId());
//		boolean code = false;
//		if (StringUtils.isNotEmpty(b)) {
//			code = b.startsWith("1");
//		}
//		Long shouldId = null;
//		Long nextId = null;
//		if (rightsProtectionCreateReqDTO.getMunicipalLevelInternalInstitutions().equals(TypeEnum.TYPE_1.getType())) {
//			if (code) {
//				entity.setStatus(LinkStatusEnum.CREATE_4.getCode());
//				entity.setLink(LinkStatusEnum.CREATE_4.getCode());
//				shouldId = jdbcDao.findParentOrgId(rightsProtectionCreateReqDTO.getOrganizationId(), "Citylevel");
//
//			} else {
//				entity.setStatus(LinkStatusEnum.CREATE_3.getCode());
//				entity.setLink(LinkStatusEnum.CREATE_3.getCode());
//				shouldId = jdbcDao.findParentOrgId(rightsProtectionCreateReqDTO.getUnitOrgId(), "Citylevel");
//				nextId = jdbcDao.findParentOrgId(rightsProtectionCreateReqDTO.getOrganizationId(), "Citylevel");
//
//			}
//		} else {
//			if (code) {
//				entity.setStatus(LinkStatusEnum.CREATE_2.getCode());
//				entity.setLink(LinkStatusEnum.CREATE_2.getCode());
//				shouldId = jdbcDao.findParentOrgId(rightsProtectionCreateReqDTO.getOrganizationId(), "Districtlevel");
//				nextId = jdbcDao.findParentOrgId(rightsProtectionCreateReqDTO.getUnitOrgId(), "Citylevel");
//			} else {
//				entity.setStatus(LinkStatusEnum.CREATE_1.getCode());
//				entity.setLink(LinkStatusEnum.CREATE_1.getCode());
//				// 第一次查询单位区县级org_id
//				shouldId = jdbcDao.findParentOrgId(rightsProtectionCreateReqDTO.getUnitOrgId(), "Districtlevel");
//				// 第二次查询团组织区县级org_id
//				nextId = jdbcDao.findParentOrgId(rightsProtectionCreateReqDTO.getOrganizationId(), "Districtlevel");
//			}
//		}
//		entity.setApplyTime(LocalDateTime.now());
//		saveFlow(orgId, shouldId, nextId, rightsProtectionCreateReqDTO.getId());
//		repo.save(entity);
//	}
//
//	private YcqQzhRightsProtection saveSystem(RightsProtectionCheckReqDTO rightsProtectionCreateReqDTO, YcqQzhRightsProtection entity, Worker work) {
//		//  查询静态表中的值 根据value_id 查询 value_control是不是以1开头
//		//Result<String> b = service.getDescById(rightsProtectionCreateReqDTO.getSystemId());
//		String b = jdbcDao.getDescById(rightsProtectionCreateReqDTO.getSystemId());
//		Long orgId = Long.valueOf(work.getOrgId());
//
//		boolean code = false;
//		if (StringUtils.isNotEmpty(b)) {
//			code = b.startsWith("1");
//		}
//		Long shouldId = null;
//		Long nextId = null;
//		if (rightsProtectionCreateReqDTO.getMunicipalLevelInternalInstitutions().equals(TypeEnum.TYPE_1.getType())) {
//			if (code) {
//				entity.setStatus(LinkStatusEnum.CREATE_4.getCode());
//				entity.setLink(LinkStatusEnum.CREATE_4.getCode());
//				shouldId = jdbcDao.findParentOrgId(rightsProtectionCreateReqDTO.getOrganizationId(), "Citylevel");
//
//			} else {
//				entity.setStatus(LinkStatusEnum.CREATE_3.getCode());
//				entity.setLink(LinkStatusEnum.CREATE_3.getCode());
//				shouldId = jdbcDao.findParentOrgId(rightsProtectionCreateReqDTO.getUnitOrgId(), "Citylevel");
//				nextId = jdbcDao.findParentOrgId(rightsProtectionCreateReqDTO.getOrganizationId(), "Citylevel");
//
//			}
//		} else {
//			if (code) {
//				entity.setStatus(LinkStatusEnum.CREATE_2.getCode());
//				entity.setLink(LinkStatusEnum.CREATE_2.getCode());
//				shouldId = jdbcDao.findParentOrgId(rightsProtectionCreateReqDTO.getOrganizationId(), "Districtlevel");
//				nextId = jdbcDao.findParentOrgId(rightsProtectionCreateReqDTO.getUnitOrgId(), "Citylevel");
//			} else {
//				entity.setStatus(LinkStatusEnum.CREATE_1.getCode());
//				entity.setLink(LinkStatusEnum.CREATE_1.getCode());
//				// 第一次查询单位区县级org_id
//				shouldId = jdbcDao.findParentOrgId(rightsProtectionCreateReqDTO.getUnitOrgId(), "Districtlevel");
//				// 第二次查询团组织区县级org_id
//				nextId = jdbcDao.findParentOrgId(rightsProtectionCreateReqDTO.getOrganizationId(), "Districtlevel");
//			}
//		}
//
//		entity.setApplyTime(LocalDateTime.now());
//		saveFlow(orgId, shouldId, nextId, rightsProtectionCreateReqDTO.getId());
//		return repo.save(entity);
//
//	}
//
//	private void saveFlow(Long processedOrgId, Long shouldId, Long nextId, Long rightsId) {
//		// 根据选择条件查询第一次和第二次审核的组织，存入审核流程表
//		YcqQzhRightsFlow flow = new YcqQzhRightsFlow();
//		Snowflake snowflake = new Snowflake();
//		flow.setId(snowflake.nextId());
//		flow.setProcessedOrgId(processedOrgId);//所填单位的组织id
//		flow.setShouldOrgId(shouldId);
//		flow.setNextOrgId(nextId);
//		flow.setStatus(0);
//		List<YcqQzhRightsFlow> ycqQzhRightsFlows = new ArrayList<>();
//		YcqQzhRightsFlow flow1 = jdbcDao.findMaxSortByRightsId(rightsId);
//		if (Objects.nonNull(flow1)) {
//			flow1.setStatus(1);
//			flow.setSort(flow1.getSort() + 1);
//			ycqQzhRightsFlows.add(flow1);
//		} else {
//			flow.setSort(0);
//		}
//		ycqQzhRightsFlows.add(flow);
//		ycqQzhRightsFlowRepo.saveAll(ycqQzhRightsFlows);
//	}
//
//	private void saveAnnexs(RightsProtectionCreateReqDTO rightsProtectionCreateReqDTO, YcqQzhRightsProtection entity, Worker worker) {
//		ArrayList<YcqQzhRightsProtectionAnnex> annexes;
//		if (Objects.nonNull(entity.getId())) {
//			annexes = annexRepo.findAllByBusinessIdAndDelFlag(entity.getId(), 1);
//			annexes.stream().forEach(o -> o.setDelFlag(0));
//			annexRepo.saveAll(annexes);
//		}
//		annexes = new ArrayList<>();
//		if (Objects.nonNull(rightsProtectionCreateReqDTO.getScanAnnex())) {
//			YcqQzhRightsProtectionAnnex scanAnnex = RightsProtectionConvert.INSTANCE.convert(rightsProtectionCreateReqDTO.getScanAnnex());
//			Snowflake snowflake = new Snowflake();
//			scanAnnex.setId(snowflake.nextId());
//			scanAnnex.setApplicantCode(entity.getApplicantCode());
//			scanAnnex.setFlowId(Long.valueOf(worker.getOrgId()));
//			scanAnnex.setAnnexType(TypeEnum.ANNEXTYPE_1.getType());
//			annexes.add(scanAnnex);
//		}
//		if (CollectionUtils.isNotEmpty(rightsProtectionCreateReqDTO.getOtherAnnex())) {
//			for (RightsProtectionAnnexDTO annex : rightsProtectionCreateReqDTO.getOtherAnnex()) {
//				YcqQzhRightsProtectionAnnex annexEntity = RightsProtectionConvert.INSTANCE.convert(annex);
//				annexEntity.setId(new Snowflake().nextId());
//				annexEntity.setApplicantCode(entity.getApplicantCode());
//				annexEntity.setFlowId(Long.valueOf(worker.getOrgId()));
//				annexEntity.setAnnexType(TypeEnum.ANNEXTYPE_0.getType());
//				annexes.add(annexEntity);
//			}
//		}
//		if (CollectionUtils.isNotEmpty(annexes)) {
//			annexRepo.saveAll(annexes);
//		}
//	}
//
//	private void saveAnnexs(RightsProtectionCheckReqDTO rightsProtectionCreateReqDTO, YcqQzhRightsProtection entity, Worker worker) {
//		ArrayList<YcqQzhRightsProtectionAnnex> annexes;
//		if (Objects.nonNull(entity.getId())) {
//			annexes = annexRepo.findAllByBusinessIdAndDelFlag(entity.getId(), 0);
//			annexes.stream().forEach(o -> o.setDelFlag(1));
//			annexRepo.saveAll(annexes);
//		}
//		annexes = new ArrayList<>();
//		if (Objects.nonNull(rightsProtectionCreateReqDTO.getScanAnnex())) {
//			YcqQzhRightsProtectionAnnex scanAnnex = RightsProtectionConvert.INSTANCE.convert(rightsProtectionCreateReqDTO.getScanAnnex());
//			Snowflake snowflake = new Snowflake();
//			scanAnnex.setId(snowflake.nextId());
//			scanAnnex.setApplicantCode(entity.getApplicantCode());
//			scanAnnex.setFlowId(Long.valueOf(worker.getOrgId()));
//			scanAnnex.setAnnexType(TypeEnum.ANNEXTYPE_1.getType());
//			annexes.add(scanAnnex);
//		}
//		if (CollectionUtils.isNotEmpty(rightsProtectionCreateReqDTO.getOtherAnnex())) {
//			for (RightsProtectionAnnexDTO annex : rightsProtectionCreateReqDTO.getOtherAnnex()) {
//				YcqQzhRightsProtectionAnnex annexEntity = RightsProtectionConvert.INSTANCE.convert(annex);
//				annexEntity.setId(new Snowflake().nextId());
//				annexEntity.setApplicantCode(entity.getApplicantCode());
//				annexEntity.setFlowId(Long.valueOf(worker.getOrgId()));
//				annexEntity.setAnnexType(TypeEnum.ANNEXTYPE_0.getType());
//				annexes.add(annexEntity);
//			}
//		}
//		if (CollectionUtils.isNotEmpty(annexes)) {
//			annexRepo.saveAll(annexes);
//		}
//	}
//
//	/**
//	 * 申报复核
//	 */
//	@Override
//	public Result<Boolean> check(RightsProtectionCheckReqDTO rightsProtectionCheckReqDTO) {
//		Worker worker = CurrWorkerUtil.getCurrWorker();
//		// 提交为草稿，草稿不需要进入流程不调用doSystem方法
//		YcqQzhRightsProtection entity;
//		if (rightsProtectionCheckReqDTO.getIsDraft().equals(TypeEnum.TYPE_0.getType())) {
//			//新增草稿
//			if (rightsProtectionCheckReqDTO.getId() == null) {
//				entity = RightsProtectionConvert.INSTANCE.convert(rightsProtectionCheckReqDTO);
//				entity.setApplicantCode(codeRule(2));
//				entity.setApplicantId(Long.valueOf(worker.getLoginId()));
//				entity.setApplyType(TypeEnum.APPLYTYPE_1.getType());
//				entity.setStatus(LinkStatusEnum.CHECK_0.getCode());
//				entity.setLink(LinkStatusEnum.CHECK_0.getLink());
//				entity.setCreateId(Long.valueOf(worker.getLoginId()));
//				entity.setCreateBy(worker.getWorkerName());
//				saveAnnexs(rightsProtectionCheckReqDTO, entity, worker);
//				Snowflake snowflake = new Snowflake();
//				entity.setId(snowflake.nextId());
//
//			} else {
//				//修改为草稿
//				Long rightsProtectionId = rightsProtectionCheckReqDTO.getId();
//				entity = repo.findById(rightsProtectionId).get();
//				BeanUtils.copyProperties(rightsProtectionCheckReqDTO, entity);
//				entity.setStatus(LinkStatusEnum.CHECK_0.getCode());
//				entity.setUpdateId(Long.valueOf(worker.getLoginId()));
//				entity.setUpdateBy(worker.getWorkerName());
//				// 处理附件
//				saveAnnexs(rightsProtectionCheckReqDTO, entity, worker);
//			}
//			entity = repo.save(entity);
//		} else {
//			//提交为复核
//			//新增为复核
//			// 数据和权限校验
//			validate(rightsProtectionCheckReqDTO, worker);
//			if (rightsProtectionCheckReqDTO.getId() == null) {
//				entity = RightsProtectionConvert.INSTANCE.convert(rightsProtectionCheckReqDTO);
//				entity.setApplicantCode(codeRule(2));
//				entity.setCreateId(Long.valueOf(worker.getLoginId()));
//				entity.setCreateBy(worker.getWorkerName());
//				Snowflake snowflake = new Snowflake();
//				entity.setId(snowflake.nextId());
//			} else {
//				//修改为复核
//				Long rightsProtectionId = rightsProtectionCheckReqDTO.getId();
//				entity = repo.findById(rightsProtectionId).get();
//				BeanUtils.copyProperties(rightsProtectionCheckReqDTO, entity);
//				entity.setUpdateId(Long.valueOf(worker.getLoginId()));
//				entity.setUpdateBy(worker.getWorkerName());
//			}
//			entity = saveSystem(rightsProtectionCheckReqDTO, entity, worker);
//			saveAnnexs(rightsProtectionCheckReqDTO, entity, worker);
//		}
//		//保存指标关联表
//		saveIndicator(rightsProtectionCheckReqDTO.getReviewIndicators(), entity);
//		return new Result<>(true);
//	}
//
//	private void saveIndicator(List<CheckIndicatorReqDTO> reviewIndicators, YcqQzhRightsProtection entity) {
//		List<YcqQzhIndicCheckRel> list;
//		list = ycqQzhIndicCheckRelRepo.findAllByCheckIdAndIsDel(entity.getId(), 1);
//		if (CollectionUtils.isNotEmpty(list)) {
//			list.stream().forEach(o -> o.setIsDel(0));
//			ycqQzhIndicCheckRelRepo.saveAll(list);
//		}
//		list = new ArrayList<>();
//		for (CheckIndicatorReqDTO r : reviewIndicators) {
//			YcqQzhIndicCheckRel rel = new YcqQzhIndicCheckRel();
//			rel.setId(new Snowflake().nextId());
//			rel.setIndicatorId(r.getId());
//			rel.setCheckId(entity.getId());
//			rel.setResult(r.getResult());
//			list.add(rel);
//		}
//		ycqQzhIndicCheckRelRepo.saveAll(list);
//	}
//
//	/**
//	 * 申报创建查询
//	 */
//	@Override
//	public Result<RightsProtectionCreateQueryRespDTO> createQuery(Long id) {
//		Optional<YcqQzhRightsProtection> entity = repo.findById(id);
//		RightsProtectionCreateQueryRespDTO resp = RightsProtectionConvert.INSTANCE.convert_create(entity.get());
//		List<RightsProtectionAnnexDTO> otherAnnex = annexJdbcDao.queryList(resp.getApplicantCode(), "创建", "其他附件");
//		resp.setOtherAnnex(otherAnnex);
//		return new Result<RightsProtectionCreateQueryRespDTO>(resp);
//	}
//
//	/**
//	 * 申报复核查询
//	 */
//	@Override
//	public Result<RightsProtectionCheckQueryRespDTO> checkQuery(Long id) {
//		Optional<YcqQzhRightsProtection> entity = repo.findById(id);
//		RightsProtectionCheckQueryRespDTO resp = RightsProtectionConvert.INSTANCE.convert_check(entity.get());
//		List<RightsProtectionAnnexDTO> otherAnnex = annexJdbcDao.queryList(resp.getApplicantCode(), "复核申报", "其他附件");
//		resp.setOtherAnnex(otherAnnex);
//		return new Result<RightsProtectionCheckQueryRespDTO>(resp);
//	}
//
//	/**
//	 * 已申报列表查询
//	 */
//	@Override
//	public Result<List<RightsProtectionInventorylistQueryRespDTO>> listQuery(RightsProtectionInventorylistQueryReqDTO rightsProtectionInventorylistQueryReqDTO) {
//		List<RightsProtectionInventorylistQueryRespDTO> resp = jdbcDao.queryList(rightsProtectionInventorylistQueryReqDTO);
//		return new Result<List<RightsProtectionInventorylistQueryRespDTO>>(resp);
//	}
//
//	/**
//	 * 复核关联查询
//	 */
//	@Override
//	public Result<RightsProtectionInventoryCheckAssociatedQueryRespDTO> checkAssociatedQuery(Long id) {
//		Optional<YcqQzhRightsProtection> entity = repo.findById(id);
//		RightsProtectionInventoryCheckAssociatedQueryRespDTO resp = RightsProtectionConvert.INSTANCE.convert_checkAssociated(entity.get());
//		return new Result<RightsProtectionInventoryCheckAssociatedQueryRespDTO>(resp);
//	}
//
//	/**
//	 * 申报查看
//	 */
//	@Override
//	public Result<RightsProtectionRecordPageRespDTO> getCreate(Long id) {
////		Optional<YcqQzhRightsProtection> entity = repo.findById(id);
////		RightsProtectionDetailsRespDTO resp = RightsProtectionConvert.INSTANCE.convert_details(entity.get());
//		RightsProtectionRecordPageRespDTO dto = jdbcDao.getCreate(id);
//		return new Result<RightsProtectionRecordPageRespDTO>(dto);
//	}
//
//	/**
//	 * 申报删除
//	 */
//	@Override
//	public Result<Boolean> delete(Long id) {
////		jdbcDao.deleteById(applicantCode, 0l, "管理员");
////		annexJdbcDao.deleteById(applicantCode, 0l, "管理员");
//		YcqQzhRightsProtection protection = repo.findById(id).get();
//		if (Objects.isNull(protection)) {
//			throw new BusinessException("未找到数据");
//		} else {
//			protection.setDelFlag(1);
//			repo.save(protection);
//		}
//		return new Result<>(true);
//	}
//
//	/**
//	 * 申报评审
//	 */
//	@Override
//	public Result<Object> operate(RightsProtectionOperateReqDTO rightsProtectionOperateReqDTO) {
//		Worker worker = CurrWorkerUtil.getCurrWorker();
//		List<Long> ids = rightsProtectionOperateReqDTO.getIds();
//		List<YcqQzhRightsProtection> entitys = repo.findAllByIdInAndDelFlag(ids, 0);
//		List<String> codes = entitys.stream().map(YcqQzhRightsProtection::getApplicantCode).collect(Collectors.toList());
//		List<String> fileNames = new ArrayList<>();
//		Map<String, RightsProtectionAnnexDTO> map = new HashMap<>();
//		if (rightsProtectionOperateReqDTO.getScanAnnex() != null) {
//			for (RightsProtectionAnnexDTO annex : rightsProtectionOperateReqDTO.getScanAnnex()) {
//				String[] split = annex.getFileName().split("-");
//				if (codes.contains(split[0])) {
//					fileNames.add(split[1].concat(" | 失败原因：申报组织匹配失败"));
//				}
//				map.put(split[0], annex);
//			}
//		}
//		if (CollectionUtils.isNotEmpty(fileNames)) {
//			return Result.ofSuccess(fileNames);
//		}
//		List<YcqQzhRightsProtectionAnnex> list = new ArrayList<>();
//		Long proId = Long.valueOf(worker.getOrgId());
//		Long shouldId = null;
//		Long nextId = null;
//		List<YcqQzhRightsProtection> protections = new ArrayList<>();
//		Integer opinion = rightsProtectionOperateReqDTO.getOpinion();
//		String reason = rightsProtectionOperateReqDTO.getReason();
//		if (opinion == 0) {
//			//已通过审核，修改新增审核流程，主表，附件表
//			for (YcqQzhRightsProtection entity : entitys) {
//				YcqQzhRightsProtectionAnnex annexEntity = null;
//				entity.setOpinion(opinion);
//				entity.setReason(reason);
//				entity.setUpdateBy(worker.getWorkerName());
//				entity.setUpdateId(Long.valueOf(worker.getLoginId()));
//				if (!map.containsKey(entity.getApplicantCode())) {
//					continue;
//				}
//				annexEntity = RightsProtectionConvert.INSTANCE.convert(map.get(entity.getApplicantCode()));
//				annexEntity.setApplicantCode(entity.getApplicantCode());
//				annexEntity.setAnnexType(TypeEnum.ANNEXTYPE_1.getType());
//				annexEntity.setFlowId(Long.valueOf(worker.getOrgId()));
//				if (LinkStatusEnum.CREATE_1.getCode().equals(rightsProtectionOperateReqDTO.getButton())) {
//					entity.setStatus(LinkStatusEnum.CREATE_2.getCode());
//					entity.setLink(LinkStatusEnum.CREATE_2.getCode());
//					shouldId = jdbcDao.findParentOrgId(entity.getOrganizationId(), "Districtlevel");
//					nextId = jdbcDao.findParentOrgId(entity.getUnitOrgId(), "Citylevel");
//				} else if (LinkStatusEnum.CREATE_2.getCode().equals(rightsProtectionOperateReqDTO.getButton())) {
//					if (TypeEnum.TYPE_1.equals(Long.valueOf(entity.getMunicipalLevelInternalInstitutions()))) {
//						entity.setStatus(LinkStatusEnum.CREATE_3.getCode());
//						entity.setLink(LinkStatusEnum.CREATE_3.getCode());
//						shouldId = jdbcDao.findParentOrgId(entity.getUnitOrgId(), "Citylevel");
//						nextId = jdbcDao.findParentOrgId(entity.getOrganizationId(), "Citylevel");
//					} else {
//						entity.setStatus(LinkStatusEnum.CREATE_4.getCode());
//						entity.setLink(LinkStatusEnum.CREATE_4.getCode());
//						shouldId = jdbcDao.findParentOrgId(entity.getOrganizationId(), "Citylevel");
//					}
//				} else if (LinkStatusEnum.CREATE_3.getCode().equals(rightsProtectionOperateReqDTO.getButton())) {
//					entity.setStatus(LinkStatusEnum.CREATE_4.getCode());
//					entity.setLink(LinkStatusEnum.CREATE_4.getCode());
//					shouldId = jdbcDao.findParentOrgId(entity.getOrganizationId(), "Citylevel");
//				} else if (LinkStatusEnum.CREATE_4.getCode().equals(rightsProtectionOperateReqDTO.getButton())) {
//					entity.setStatus(LinkStatusEnum.CREATE_5.getCode());
//					entity.setLink(LinkStatusEnum.CREATE_5.getCode());
//				} else if (LinkStatusEnum.CHECK_0.getCode().equals(rightsProtectionOperateReqDTO.getButton())) {
//					entity.setStatus(LinkStatusEnum.CHECK_1.getCode());
//					entity.setLink(LinkStatusEnum.CHECK_1.getCode());
//					shouldId = jdbcDao.findParentOrgId(entity.getOrganizationId(), "Districtlevel");
//					nextId = jdbcDao.findParentOrgId(entity.getUnitOrgId(), "Citylevel");
//				} else if (LinkStatusEnum.CHECK_1.getCode().equals(rightsProtectionOperateReqDTO.getButton())) {
//					entity.setStatus(LinkStatusEnum.CHECK_2.getCode());
//					entity.setLink(LinkStatusEnum.CHECK_2.getCode());
//					shouldId = jdbcDao.findParentOrgId(entity.getUnitOrgId(), "Citylevel");
//					nextId = jdbcDao.findParentOrgId(entity.getOrganizationId(), "Citylevel");
//				} else {
//					throw new BusinessException("类型不存在");
//				}
//				saveFlow(proId,shouldId,nextId, entity.getId());
//				list.add(annexEntity);
//				protections.add(entity);
//
//			}
//		} else if (opinion == 1) {
//			//退回
//			entitys.stream().forEach(o -> {
//				o.setStatus(LinkStatusEnum.CREATE_0.getCode());
//				o.setLink(LinkStatusEnum.CREATE_0.getCode());
//				saveFlow(o.getApplicantId(),o.getApplicantId(),o.getApplicantId(), o.getId());
//			});
//			protections.addAll(entitys);
//		} else if (opinion == 2) {
//			//直接结束
//			entitys.stream().forEach(o -> {
//				o.setStatus(LinkStatusEnum.CHECK_5.getCode());
//				o.setLink(LinkStatusEnum.CHECK_5.getCode());
//				saveFlow(o.getApplicantId(),o.getApplicantId(),o.getApplicantId(), o.getId());
//			});
//			protections.addAll(entitys);
//		} else {
//			throw new BusinessException("该方式不存在");
//		}
//		if (CollectionUtils.isNotEmpty(list)) {
//			annexRepo.saveAll(list);
//		}
//		repo.saveAll(protections);
//		return Result.ofSuccess("审核成功！");
//	}
//
//	/**
//	 * 申报公示
//	 */
//	@Override
//	public Result<Boolean> publicity(RightsProtectionPublicityReqDTO rightsProtectionPublicityReqDTO) {
//		Worker worker = CurrWorkerUtil.getCurrWorker();
//		for (int i = 0; i < rightsProtectionPublicityReqDTO.getIds().size(); i++) {
//			Long rightsProtectionId = rightsProtectionPublicityReqDTO.getIds().get(i);
//			Integer opinion = rightsProtectionPublicityReqDTO.getOpinion();
//			YcqQzhRightsProtection entity = repo.findById(rightsProtectionId).get();
//			String applicantCode = entity.getApplicantCode() + "-" + i;
//			switch (opinion) {
//			case 0:
//				jdbcDao.updateById2(rightsProtectionId, opinion, LinkStatusEnum.CREATE_6.getCode(), LinkStatusEnum.CREATE_6.getCode(), applicantCode,
//						0l, worker.getWorkerName());
//				break;
//			case 1:
//				jdbcDao.updateById(rightsProtectionId, opinion, LinkStatusEnum.CHECK_5.getCode(), LinkStatusEnum.CHECK_5.getCode(), null, 0l,
//						worker.getWorkerName());
//				break;
//			}
//		}
//		return new Result<>(true);
//	}
//
//	/**
//	 * 市级主管单位复核
//	 */
//	@Override
//	public Result<Boolean> SupervisorCheck(RightsProtectionSupervisorCheckReqDTO req) {
//		Worker worker = CurrWorkerUtil.getCurrWorker();
//		Map<String, RightsProtectionAnnexDTO> map = new HashMap<>();
//		if (req.getScanAnnex() != null) {
//			for (RightsProtectionAnnexDTO annex : req.getScanAnnex()) {
//				map.put(annex.getFileName().substring(0, 22), annex);
//			}
//		}
//		Long proId = Long.valueOf(worker.getOrgId());
//		Long shouldId = null;
//		Long nextId = null;
//		List<YcqQzhRightsProtection> entitys = repo.findAllByIdInAndDelFlag(req.getApplicant().stream().map(RightsProtectionCheckApplicantDTO::getId).collect(
//				Collectors.toList()), 0);
//		List<YcqQzhRightsProtection> protections = new ArrayList<>();
//		for (YcqQzhRightsProtection entity : entitys) {
//			if (!map.containsKey(entity.getApplicantCode())) {
//				continue;
//			}
//			List<RightsProtectionCheckApplicantDTO> collect = req.getApplicant().stream().filter(o -> entity.getId().equals(o.getId()))
//					.collect(Collectors.toList());
//			if (CollectionUtils.isEmpty(collect)||collect.size()!=1){
//				throw new BusinessException("数据异常");
//			}
//			entity.setCheckNotes(collect.get(0).getCheckNotes());
//			entity.setStatus(LinkStatusEnum.CHECK_4.getCode());
//			entity.setLink(LinkStatusEnum.CHECK_4.getCode());
//			shouldId = jdbcDao.findParentOrgId(entity.getOrganizationId(), "Citylevel");
//			protections.add(entity);
//			saveFlow(proId,shouldId,null,entity.getId());
//			YcqQzhRightsProtectionAnnex annexEntity = RightsProtectionConvert.INSTANCE.convert(map.get(entity.getApplicantCode()));
//			annexEntity.setApplicantCode(entity.getApplicantCode());
//			annexEntity.setFlowId(Long.valueOf(worker.getOrgId()));
//			annexEntity.setAnnexType(TypeEnum.ANNEXTYPE_1.getType());
//			annexRepo.save(annexEntity);
//			YcqQzhRightsProtectionAnnex summaryEntity = RightsProtectionConvert.INSTANCE.convert(req.getSummaryAnnex());
//			summaryEntity.setApplicantCode(entity.getApplicantCode());
//			summaryEntity.setFlowId(Long.valueOf(worker.getOrgId()));
//			summaryEntity.setAnnexType(TypeEnum.ANNEXTYPE_2.getType());
//			annexRepo.save(summaryEntity);
//		}
//		return new Result<>(true);
//	}
//
//	/**
//	 * 市级团委复核
//	 */
//	@Override
//	public Result<Boolean> CommitteeCheck(RightsProtectionCommitteeCheckReqDTO req) {
//		Map<String, RightsProtectionAnnexDTO> map = new HashMap<>();
//		if (req.getScanAnnex() != null) {
//			for (RightsProtectionAnnexDTO annex : req.getScanAnnex()) {
//				map.put(annex.getFileName().substring(0, 22), annex);
//			}
//		}
//		Worker worker = CurrWorkerUtil.getCurrWorker();
//		for (RightsProtectionCheckApplicantDTO dto : req.getApplicant()) {
//			YcqQzhRightsProtection entity = repo.findById(dto.getId()).get();
//			Integer opinion = dto.getOpinion();
//			if (opinion == 4 || opinion == 5) {
//				jdbcDao.updateById3(dto.getId(), opinion, LinkStatusEnum.CHECK_5.getCode(), LinkStatusEnum.CHECK_5.getCode(), dto.getCheckNotes(),
//						Long.valueOf(worker.getLoginId()),
//						worker.getWorkerName());
//				if (map.containsKey(entity.getApplicantCode())) {
//					YcqQzhRightsProtectionAnnex annexEntity = RightsProtectionConvert.INSTANCE.convert(map.get(entity.getApplicantCode()));
//					annexEntity.setApplicantCode(entity.getApplicantCode());
//					annexEntity.setFlowId(Long.valueOf(worker.getOrgId()));
//					annexEntity.setAnnexType(TypeEnum.ANNEXTYPE_1.getType());
//					annexRepo.save(annexEntity);
//				}
//				if (req.getSummaryAnnex() != null) {
//					YcqQzhRightsProtectionAnnex summaryEntity = RightsProtectionConvert.INSTANCE.convert(req.getSummaryAnnex());
//					summaryEntity.setApplicantCode(entity.getApplicantCode());
//					summaryEntity.setFlowId(Long.valueOf(worker.getOrgId()));
//					summaryEntity.setAnnexType(TypeEnum.ANNEXTYPE_2.getType());
//					annexRepo.save(summaryEntity);
//				}
//			} else {
//				jdbcDao.updateById3(dto.getId(), opinion, LinkStatusEnum.CHECK_5.getCode(), LinkStatusEnum.CHECK_5.getCode(), dto.getCheckNotes(),
//						Long.valueOf(worker.getLoginId()),
//						worker.getWorkerName());
//				if (map.containsKey(entity.getApplicantCode())) {
//					YcqQzhRightsProtectionAnnex annexEntity = RightsProtectionConvert.INSTANCE.convert(map.get(entity.getApplicantCode()));
//					annexEntity.setApplicantCode(entity.getApplicantCode());
//					annexEntity.setFlowId(Long.valueOf(worker.getOrgId()));
//					annexEntity.setAnnexType(TypeEnum.ANNEXTYPE_1.getType());
//					annexRepo.save(annexEntity);
//				}
//				if (req.getSummaryAnnex() != null) {
//					YcqQzhRightsProtectionAnnex summaryEntity = RightsProtectionConvert.INSTANCE.convert(req.getSummaryAnnex());
//					summaryEntity.setApplicantCode(entity.getApplicantCode());
//					summaryEntity.setFlowId(Long.valueOf(worker.getOrgId()));
//					summaryEntity.setAnnexType(TypeEnum.ANNEXTYPE_2.getType());
//					annexRepo.save(summaryEntity);
//				}
//			}
//		}
//		return new Result<>(true);
//	}
//
//	/**
//	 * 附件校验
//	 */
//	@Override
//	public Result<RightsProtectionCheckAnnexRespDTO> checkAnnex(RightsProtectionCheckAnnexReqDTO req) {
//		RightsProtectionCheckAnnexRespDTO resp = new RightsProtectionCheckAnnexRespDTO();
//		List<RightsProtectionAnnexDTO> successAnnex = new ArrayList<>();
//		List<RightsProtectionAnnexDTO> failAnnex = new ArrayList<>();
//		for (RightsProtectionAnnexDTO annex : req.getScanAnnex()) {
//			String code = annex.getFileName().substring(0, 22);
//			if (req.getApplicantCode().contains(code)) {
//				successAnnex.add(annex);
//			} else {
//				failAnnex.add(annex);
//			}
//		}
//		resp.setSuccessAnnex(successAnnex);
//		resp.setFailAnnex(failAnnex);
//		return new Result<RightsProtectionCheckAnnexRespDTO>(resp);
//	}
//
//	/**
//	 * 附件下载
//	 */
//	@Override
//	public Result<List<RightsProtectionDownloadAnnexRespDTO>> downloadAnnex(RightsProtectionDownloadAnnexReqDTO req) {
//		List<RightsProtectionDownloadAnnexRespDTO> resp = new ArrayList<>();
//		for (Long id : req.getIds()) {
//			RightsProtectionDownloadAnnexRespDTO data = new RightsProtectionDownloadAnnexRespDTO();
//			YcqQzhRightsProtection entity = repo.findById(id).get();
//			List<RightsProtectionAnnexDTO> annex = annexJdbcDao.queryList(entity.getApplicantCode(), entity.getLink(), "盖章版扫描件");
//			data.setApplicantCode(entity.getApplicantCode());
//			data.setAnnex(annex.get(0));
//			resp.add(data);
//		}
//		return new Result<List<RightsProtectionDownloadAnnexRespDTO>>(resp);
//	}
//
//	/**
//	 * 是否有关联政策
//	 */
//	@Override
//	public Boolean isCorrelation(String policyId) {
//		if (jdbcDao.selectCount(policyId) != 0) {
//			return true;
//		} else {
//			return false;
//		}
//	}
//
//	@Override
//	public Result<List<DocumentListRspDTO>> queryPolicy(Integer type) {
//		List<DocumentListRspDTO> list = ycqQzhDocumentJdbcDao.queryListForTypeAndState(4, type, 2);
//		return Result.ofSuccess(list);
//	}
//
//	@Override
//	public void exportCreate(HttpServletRequest request,
//							 HttpServletResponse response,
//							 CheckIndicatorReqDTO dto) throws IOException {
//		//CurrWorkerUtil.mockCurrWorker();
//		Worker currWorker = CurrWorkerUtil.getCurrWorker();
//
//		//根据id查询数据编号
//		YcqQzhRightsProtection protection = repo.findById(dto.getId()).get();
//		if (Objects.isNull(protection)) {
//			throw new BusinessException("数据获取异常");
//		}
//		InputStream inputStream = null;
//		ServletOutputStream outputStream = response.getOutputStream();
//		try {
//			String fileName = "";
//			//读取取resource目录下的模板　　　　　　　
//			if (TypeEnum.TYPE_0.getType().equals(dto.getResult())) {
//				inputStream = new ClassPathResource("static/word/创建单位申报表.docx").getInputStream();
//				fileName = "创建单位申报表.docx";
//			} else if (TypeEnum.TYPE_1.getType().equals(dto.getResult())) {
//				inputStream = new ClassPathResource("static/word/全国维护青少年权益岗复核表.docx").getInputStream();
//				fileName = "全国维护青少年权益岗复核表.docx";
//			}
//			XDocReportRegistry registry = XDocReportRegistry.getRegistry();
//
//			IXDocReport report = registry.loadReport(inputStream, TemplateEngineKind.Freemarker);
//			// 设置特殊字段
//			FieldsMetadata metadata = report.createFieldsMetadata();
//			metadata.addFieldAsTextStyling("content", SyntaxKind.Html);
//			metadata.addFieldAsImage("avatar", "user.avatar", NullImageBehaviour.RemoveImageTemplate);
//			IContext context = report.createContext();
//			context.put("applicantCode", protection.getApplicantCode());
//			report.setFieldsMetadata(metadata);
//			response.setCharacterEncoding("utf-8");
//
//			fileName = URLEncoder.encode(fileName, "UTF-8");
//			response.reset();
//			response.setHeader("Content-Disposition", "attachment;filename=" + fileName + ";" + "filename*=utf-8''" + fileName);
//			response.setContentType("application/msword;charset=UTF-8");
//			// 生成文件
//
//			report.process(context, outputStream);
//		} catch (Exception e) {
//			e.printStackTrace();
//			log.info("生成文件发生异常：<{}>", e.getMessage());
//		} finally {
//			inputStream.close();
//			outputStream.close();
//		}
//	}
//
//	@Override
//	public Result<List<IndicatorAppraiseRespDTO>> getIndicator() {
//		List<IndicatorAppraiseRespDTO> list = jdbcDao.getIndicator();
//		return Result.ofSuccess(list);
//	}
//
//	/**
//	 * 校验
//	 */
//	private void validate(RightsProtectionCreateReqDTO rightsProtectionCreateReqDTO, Worker worker) {
//		validateA(rightsProtectionCreateReqDTO);
//		validateB();
//	}
//
//	private void validate(RightsProtectionCheckReqDTO rightsProtectionCheckReqDTO, Worker worker) {
//		validateA(rightsProtectionCheckReqDTO);
//		validateB();
//	}
//
//	/**
//	 * 校验~数据
//	 */
//	private void validateA(RightsProtectionCreateReqDTO rightsProtectionCreateReqDTO) {
//		if (StringUtils.isEmpty(rightsProtectionCreateReqDTO.getUnitName())) {
//			throw new BusinessException("单位名称不能为空！");
//		}
//		if (Objects.isNull(rightsProtectionCreateReqDTO.getSystemId())) {
//			throw new BusinessException("所属系统不能为空！");
//		}
//		if (Objects.isNull(rightsProtectionCreateReqDTO.getOrganizationId())) {
//			throw new BusinessException("所属团组织不能为空！");
//		}
//		if (StringUtils.isEmpty(rightsProtectionCreateReqDTO.getPhone())) {
//			throw new BusinessException("联系电话不能为空！");
//		}
//		if (StringUtils.isEmpty(rightsProtectionCreateReqDTO.getAddress())) {
//			throw new BusinessException("通讯地址不能为空！");
//		}
//		if (StringUtils.isEmpty(rightsProtectionCreateReqDTO.getZipCode())) {
//			throw new BusinessException("邮编不能为空！");
//		}
//		if (!rightsProtectionCreateReqDTO.getIsDraft().equals(TypeEnum.TYPE_0.getType())) {
//			if (Objects.isNull(rightsProtectionCreateReqDTO.getScanAnnex())) {
//				throw new BusinessException("请上传盖章版扫描件！");
//			}
//		}
//	}
//
//	private void validateA(RightsProtectionCheckReqDTO rightsProtectionCheckReqDTO) {
//		if (StringUtils.isEmpty(rightsProtectionCheckReqDTO.getUnitName())) {
//			throw new BusinessException("单位名称不能为空！");
//		}
//		if (Objects.nonNull(rightsProtectionCheckReqDTO.getUnitflag()) && StringUtils.isEmpty(rightsProtectionCheckReqDTO.getNewUnitName())) {
//			throw new BusinessException("选择单位变更后，变更后单位名称不能为空！");
//		}
//		if (Objects.isNull(rightsProtectionCheckReqDTO.getSystemId())) {
//			throw new BusinessException("所属系统不能为空！");
//		}
//		if (Objects.isNull(rightsProtectionCheckReqDTO.getOrganizationId())) {
//			throw new BusinessException("所属团组织不能为空！");
//		}
//		if (Objects.nonNull(rightsProtectionCheckReqDTO.getOrgflag()) && Objects.isNull(rightsProtectionCheckReqDTO.getNewOrganizationId())) {
//			throw new BusinessException("选择团组织变更后，变更后所属团组织不能为空！");
//		}
//		if (StringUtils.isEmpty(rightsProtectionCheckReqDTO.getPhone())) {
//			throw new BusinessException("联系电话不能为空！");
//		}
//		if (StringUtils.isEmpty(rightsProtectionCheckReqDTO.getAddress())) {
//			throw new BusinessException("通讯地址不能为空！");
//		}
//		if (StringUtils.isEmpty(rightsProtectionCheckReqDTO.getApplicant())) {
//			throw new BusinessException("权益岗负责人不能为空！");
//		}
//		if (StringUtils.isEmpty(rightsProtectionCheckReqDTO.getNamingTime())) {
//			throw new BusinessException("命名时间不能为空！");
//		}
//		if (StringUtils.isEmpty(rightsProtectionCheckReqDTO.getFileCode())) {
//			throw new BusinessException("命名文件号不能为空！");
//		}
//		if (CollectionUtils.isEmpty(rightsProtectionCheckReqDTO.getReviewIndicators())) {
//			throw new BusinessException("复合指标不能为空！");
//		}
//		if (!rightsProtectionCheckReqDTO.getIsDraft().equals(TypeEnum.TYPE_0.getType())) {
//			if (Objects.isNull(rightsProtectionCheckReqDTO.getScanAnnex())) {
//				throw new BusinessException("请上传盖章版扫描件！");
//			}
//		}
//	}
//
//	/**
//	 * 校验~权限
//	 */
//	private void validateB() {
//		if (true) {
////            throw exception(RIGHTS_PROTECTION_2);
//		}
//	}
//
//	/**
//	 * 编号规则
//	 */
//	private String codeRule(int type) {
//		StringBuilder code = new StringBuilder();
//		code.append(new SimpleDateFormat("yyyyMMddHHmmss").format(new Date()));
//		for (int i = 0; i < 4; i++) {
//			Random rom = new Random();
//			int a = rom.nextInt(75) + 48;
//			int b = 0;
//			while ((a > 57 && a < 65) || (a > 90 && a < 97)) {
//				b = rom.nextInt(75) + 48;
//				a = b;
//			}
//			char character = (char) a;
//			code.append(character);
//		}
//		if (type == 1) {
//			code.insert(0, "NWQG");
//		}
//		if (type == 2) {
//			code.insert(0, "FWQG");
//		}
//		return code.toString();
//	}
//
//	/**
//	 * 获取时间
//	 */
//	private String getTime() {
//		LocalDateTime date = LocalDateTime.now();
//		String format = date.format(DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss"));
//		return format;
//	}
//
//}
