package com.crunii.micro.service.qzh.service.impl;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.domain.entity.main.YcqAppDownHis;
import com.crunii.micro.domain.repo.main.YcqAppDownHisRepo;
import com.crunii.micro.domain.util.CurrWorkerUtil;
import com.crunii.micro.service.qzh.api.domain.dto.YcqAppDownHisDTO;
import com.crunii.micro.service.qzh.service.YcqAppDownHisService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Date;


@Service
@Slf4j
public class YcqAppDownHisServiceImpl implements YcqAppDownHisService {

    @Resource
    private YcqAppDownHisRepo hisRepo;


    @Override
    public Result<Boolean> create(YcqAppDownHisDTO dto) {
//        Worker worker = CurrWorkerUtil.getCurrWorker();
//        Worker worker = new Worker();
//        worker.setLoginId(9999);
//        worker.setWorkerName("test");
        YcqAppDownHis ycqAppDownHis = new YcqAppDownHis();
        ycqAppDownHis.setAppVersion(dto.getAppVersion());
//        ycqAppDownHis.setCreateBy(worker.getLoginId()+"");
        ycqAppDownHis.setCreateTime(new Date());
        hisRepo.saveAndFlush(ycqAppDownHis);
        return Result.ofSuccess(true);
    }
}
