//package com.crunii.micro.service.qzh.service.impl;
//
//import com.crunii.micro.common.dto.PageReq;
//import com.crunii.micro.common.dto.PageRsp;
//import com.crunii.micro.domain.entity.main.YcqActivityApplyForm;
//import com.crunii.micro.domain.entity.main.YcqActivitySign;
//import com.crunii.micro.domain.entity.main.YcqPublishActivity;
//import com.crunii.micro.domain.repo.main.YcqActivityApplyFormRepo;
//import com.crunii.micro.domain.repo.main.YcqActivitySignRepo;
//import com.crunii.micro.domain.repo.main.YcqPublishActivityRepo;
//import com.crunii.micro.service.qzh.api.domain.dto.activityPublish.ActivityAddReqDTO;
//import com.crunii.micro.service.qzh.api.domain.dto.activityPublish.ActivityQueryReqDTO;
//import com.crunii.micro.service.qzh.api.domain.dto.activityPublish.ActivityQueryRespDTO;
//import com.crunii.micro.service.qzh.jdbc.YcqActivitySignDao;
//import com.crunii.micro.service.qzh.jdbc.YcqPublishActivityDao;
//import com.crunii.micro.service.qzh.service.YcqDynamicFormService;
//import com.crunii.micro.service.qzh.service.YcqPublishActivityService;
//import org.springframework.beans.BeanUtils;
//import org.springframework.stereotype.Service;
//import org.springframework.transaction.annotation.Transactional;
//
//import javax.annotation.Resource;
//import java.util.Date;
//import java.util.Objects;
//
//@Service
//public class YcqPublishActivityServiceImpl implements YcqPublishActivityService {
//
//    private static final Integer POSITIVE_NUMBER = 0;
//
//    @Resource
//    YcqActivitySignDao signDao;
//
//    @Resource
//    YcqActivitySignRepo signRepo;
//
//    @Resource
//    YcqPublishActivityRepo activityRepo;
//
//    @Resource
//    YcqPublishActivityDao activityDao;
//
//    @Resource
//    YcqActivityApplyFormRepo applyFormRepo;
//
//    @Resource
//    private YcqDynamicFormService formService;
//
//    @Override
//    @Transactional
//    public Long createActivity(ActivityAddReqDTO dto, int loginId, int orgId) {
//        // 是否有签到签退，有则存到签到表
//        Date createTime = new Date();
//        Integer neededSign = dto.getNeededSign();
//        YcqPublishActivity ycqPublishActivity = new YcqPublishActivity();
//        BeanUtils.copyProperties(dto, ycqPublishActivity);
//        if (Objects.equals(POSITIVE_NUMBER, neededSign)){
//            YcqActivitySign ycqActivitySign = new YcqActivitySign();
//            BeanUtils.copyProperties(ycqActivitySign, dto.getSignDTO());
//            ycqActivitySign.setCreateTime(createTime);
//            ycqActivitySign.setCreateId(loginId);
//            YcqActivitySign save = signRepo.save(ycqActivitySign);
//            ycqPublishActivity.setSignId(save.getId());
//        }
//        // 是否有自定义反馈，有则存动态表service
//        // 是否需要报名，有则存动态表service
//        if (Objects.equals(POSITIVE_NUMBER, dto.getIsApply())){
//            YcqActivityApplyForm ycqActivityApplyForm = new YcqActivityApplyForm();
//            ycqActivityApplyForm.setCreateId(loginId);
//            ycqActivityApplyForm.setCreateTime(createTime);
//            ycqActivityApplyForm.setFormJson(dto.getApplyForm().getFormJson());
//            YcqActivityApplyForm save = applyFormRepo.save(ycqActivityApplyForm);
//            ycqPublishActivity.setApplyFormId(save.getId());
//        }
//        // 创建活动
//        YcqPublishActivity save = activityRepo.save(ycqPublishActivity);
//        // 活动开始时间推送到mq
//        // ::todo
//        return save.getId();
//    }
//
//    @Override
//    public PageRsp<ActivityQueryRespDTO> pageActivity(PageReq<ActivityQueryReqDTO> dto, int loginId, int orgId) {
//        // 查询活动表
//        activityDao.pageByCondition(dto, loginId, orgId);
//        // 如果签到id不为空，则查询签到信息
//        // 如果申请表id数据不为空，则查询自定义表单信息
//        // 如果自定义表单id不为空，则查询自定义表单信息
//        return null;
//    }
//}
