package com.crunii.micro.service.record.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author: LG
 * @date: 2023/6/28 10:05
 */
@Data
@ApiModel("完成天数情况")
public class DoneConditionVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("已完成天数")
    private Double daysCompleted;

    @ApiModelProperty("未完成天数")
    private Double daysOutstanding;

    @ApiModelProperty("目标天数")
    private Integer daysTarget;

    @ApiModelProperty("是否完成")
    private boolean whetherDone;

    @ApiModelProperty("是否在提示日期")
    private boolean whetherHintDay;

}
