package com.crunii.mircro.service.redscarf.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author baoxy
 * @date 2023-09-05
 */
@Data
@ApiModel(description = "市级权限列表的传入实体类")
public class CityAccessDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "区县名称列表")
    private List<String> county;

    @ApiModelProperty(value = "学季列表(传id)")
    private List<String> quarter;

    @ApiModelProperty(value = "学期列表(传id)")
    private List<String> semester;
}
