package com.crunii.mircro.service.redscarf.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author baoxy
 * @date 2023-09-09
 */
@Data
@ApiModel(description = "集体学习查询审核信息返回字段实体类")
public class CollectiveLearnSearchExamineVO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "学季")
    private String quarter;

    @ApiModelProperty(value = "学期")
    private String semester;

    @ApiModelProperty(value = "年级中队(例如:2023级三中队)")
    private String gradeDetachment;

    @ApiModelProperty(value = "提交人名称")
    private String presenter;

    @ApiModelProperty(value = "选择时间")
    private String createTime;

    @ApiModelProperty(value = "地点")
    private String location;

    @ApiModelProperty(value = "图片列表")
    private List<String> picList;

    @ApiModelProperty(value = "学季主题名称")
    private String quarterThemeName;

    @ApiModelProperty(value = "学期主题名称")
    private String semesterThemeName;
}
