package com.crunii.mircro.service.redscarf.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author baoxy
 * @date 2023-09-05
 */
@Data
@ApiModel(description = "区县权限列表的传入实体类")
public class CountyAccessDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "学校列表")
    private List<String> school;

    @ApiModelProperty(value = "学季列表(传id)")
    private List<String> quarter;

    @ApiModelProperty(value = "学期列表(传id)")
    private List<String> semester;

    @ApiModelProperty(value = "区县名称")
    private String county;
}
