package com.crunii.mircro.service.redscarf.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author baoxy
 * @date 2023-09-13
 */
@Data
@ApiModel(description = "查询未100%学习率的学季传入字段实体类")
public class SearchNotCompleteQuarterDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "中队(填一,二,三...)")
    private String squadron;

    @ApiModelProperty(value = "学校名称")
    private String school;

    @ApiModelProperty(value = "年级(传数字,例如2022,,2023)")
    private Integer classGrade;
}
