package com.crunii.mircro.service.redscarf.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author baoxy
 * @date 2023-09-11
 */
@Data
@ApiModel(description = "查询学期返回字段实体类")
public class SearchSemesterVO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "学期id")
    private String semesterId;

    @ApiModelProperty(value = "学期")
    private String semester;

    @ApiModelProperty(value = "学期主题名称")
    private String semesterThemeName;
}
