package com.crunii.mircro.service.redscarf.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author baoxy
 * @date 2023-09-05
 */
@Data
@ApiModel(description = "中队权限列表的传入字段实体类")
public class SquadronDetailsDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "中队(填一,二,三...)")
    private String squadron;

    @ApiModelProperty(value = "学校名称")
    private String school;

    @ApiModelProperty(value = "年级(传数字,例如2022,,2023)")
    private Integer classGrade;

    @ApiModelProperty(value = "学季id")
    private String quarterId;

    @ApiModelProperty(value = "学期id")
    private String semesterId;

    @ApiModelProperty(value = "姓名列表")
    private List<String> name;
}
