package com.crunii.mircro.service.redscarf.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.util.List;

/**
 * @author: LG
 * @date: 2023/9/1 10:55
 */
@Data
@ApiModel("用户选择学习的学习季DTO")
public class UpdateLearningSeasonDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("学生id")
    @NotBlank
    private String redscarfId;

    @ApiModelProperty("学期id")
    @NotBlank
    private String semesterId;

    @ApiModelProperty("学季id")
    @NotBlank
    private String quarterId;

}
