package com.crunii.mircro.service.redscarf.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author baoxy
 * @date 2023-09-04
 */
@Data
@ApiModel(description = "编辑学季传入字段实体类")
public class UpdateQuarterDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "学季id")
    private String quarterId;

    @ApiModelProperty(value = "学季季度(填一,二,三...)")
    private String quarter;

    @ApiModelProperty(value = "主题名称")
    private String themeName;

    @ApiModelProperty(value = "排序")
    private Integer sort;
}
