package com.crunii.mircro.service.redscarf.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author baoxy
 * @date 2023-09-12
 */
@Data
@ApiModel(description = "用户权限类型返回字段实体类")
public class WorkerAccessVO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "1:市级,2:区县,3:学校,4:中队")
    private Integer roleType;

    @ApiModelProperty(value = "公共名称(市级权限,该值为null.区县权限,该值为所属区县名称.学校权限,该值为所属学校名称." +
            "中队权限,该值为年级和中队的拼接,例如2023级-一中队)")
    private String commonName;
}
