package com.crunii.micro.service.redscarf.service;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.mircro.service.redscarf.domain.dto.*;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * @author baoxy
 * @date 2023-09-02
 */
public interface CollectiveLearnService {

    Result<Object> submitContent(@RequestBody CollectiveLearnDTO dto, Worker worker);

    Result<Object> examine(@RequestBody CollectiveLearnExamineDTO dto, Worker worker);

    Result<CollectiveLearnSearchExamineVO> searchExamine(@RequestBody CollectiveLearnSearchExamineDTO dto, Worker worker);

    Result<CollectiveLearnNotExamineNumVO> notExamineNum(@RequestBody CollectiveLearnNotExamineNumDTO dto, Worker worker);

    List<SearchQuarterVO> searchNotCompleteQuarter(SearchNotCompleteQuarterDTO dto, Worker worker);

    List<SearchSemesterVO> searchNotCompleteSemester(SearchNotCompleteSemesterDTO dto, Worker worker);
}
