package com.crunii.micro.service.redscarf.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.mircro.service.redscarf.domain.dto.*;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @author baoxy
 * @date 2023-09-02
 */
public interface QuarterEnterService {

    PageRsp<QuarterVO> pageSearchQuarter(@RequestBody PageReq<Object> req);

    PageRsp<QuarterDetailsVO> pageSearchQuarterDetails(@RequestBody PageReq<QuarterDetailsDTO> req);

    Result<Object> createQuarter(@RequestBody CreateQuarterDTO dto, Worker worker);

    Result<Object> updateQuarter(@RequestBody UpdateQuarterDTO dto, Worker worker);

    Result<Object> createSemester(@RequestBody CreateSemesterDTO dto, Worker worker);

    Result<Object> updateSemester(@RequestBody UpdateSemesterDTO dto, Worker worker);

    Result<Object> dealQuarter(@RequestBody DelQuarterDTO dto, Worker worker);

    Result<Object> delSemester(@RequestBody DelSemesterDTO dto, Worker worker);
}
