package com.crunii.micro.service.report.constants;


import java.util.ArrayList;
import java.util.List;

/**
 * @author 田平 create 2018年10月31日上午10:07:19
 */
public class ReportConstants {

    /**
     * 大局贡献度静态值 Overall contribution
     */
    public static final String OVERALL_CONTRIBUTION = "4";

    /**
     * 非公企业
     */
    public static final List<String> NO_PUBLIC_INDUSTRY_NAME = new ArrayList<>();
    /**
     * 学校名称
     */
    public static final List<String> SCHOOL_INDUSTRY_NAME = new ArrayList<>();

    /**
     * 机关事业单位
     */
    public static final List<String> ORGAN_INDUSTRY_NAME = new ArrayList<>();
    static {
        SCHOOL_INDUSTRY_NAME.add("完全中学");
        SCHOOL_INDUSTRY_NAME.add("普通高中");
        SCHOOL_INDUSTRY_NAME.add("初级中学");
        SCHOOL_INDUSTRY_NAME.add("中等职业院校");
        SCHOOL_INDUSTRY_NAME.add("高等职业（专科）院校");
        SCHOOL_INDUSTRY_NAME.add("九年一贯制学校");
        SCHOOL_INDUSTRY_NAME.add("小学");
        SCHOOL_INDUSTRY_NAME.add("十二年一贯制学校");
        SCHOOL_INDUSTRY_NAME.add("普通高等院校");
        NO_PUBLIC_INDUSTRY_NAME.add("集体企业");
        NO_PUBLIC_INDUSTRY_NAME.add("非公企业");
        ORGAN_INDUSTRY_NAME.add("党政机关");
        ORGAN_INDUSTRY_NAME.add("事业单位（不含公立学校）");
    }
}
