package com.crunii.micro.service.report.controller;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.report.dto.VolunteeringVo;
import com.crunii.micro.service.report.service.OrgPowerService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/7/12 10:43
 */
@Api(tags = "组织力")
@RestController
@RequestMapping("/auth/OrgPowerController")
public class OrgPowerController {

    @Resource
    private OrgPowerService orgPowerService;

    @ApiOperation(value = "志愿服务")
    @RequestMapping(path = "/queryVolunteering", method = RequestMethod.GET)
    public Result<VolunteeringVo> queryVolunteering() {
        return orgPowerService.queryVolunteering();
    }

}
