package com.crunii.micro.service.report.controller;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.report.dto.EducationVo;
import com.crunii.micro.service.report.service.ServicePowerService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/7/13 17:41
 */
@Api(tags = "服务力")
@RestController
@RequestMapping("/auth/ServicePowerController")
public class ServicePowerController {

    @Resource
    private ServicePowerService powerService;

    @ApiOperation(value = "校外教育")
    @RequestMapping(path = "/outSchoolEducation", method = RequestMethod.GET)
    public Result<EducationVo> outSchoolEducation() {
        return powerService.outSchoolEducation();
    }
}
