package com.crunii.micro.service.report.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/7/13 17:49
 */
@Data
public class BudgetVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("年份")
    private List<String> year;

    @ApiModelProperty("投入经费:万元")
    private List<String> budget;
}
