
package com.crunii.micro.service.report.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;

@Setter
@Getter
@ToString
@ApiModel(description = "列")
public class ColumnVo implements Serializable {

	private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "列ID")
    private Long id;

    @ApiModelProperty(value = "列名")
    private String name;

    @ApiModelProperty(value = "类型")
    private String type;

    @ApiModelProperty(value = "整数位")
    private Integer intSize;

    @ApiModelProperty(value = "小数位")
    private Integer decSize;

    @ApiModelProperty(value = "是否脱敏 1是|0否")
    private boolean isDesensitization;

    @ApiModelProperty(value = "默认值")
    private String defaultVal;

    @ApiModelProperty(value = "描述")
    private String remark;

//    @ApiModelProperty(value = "是否创建")
//    private Integer isCreate;

    @ApiModelProperty(value = "是否必填")
    private boolean isNeed;

    @ApiModelProperty(value = "是否展示")
    private Integer isShowColumn;

}
