package com.crunii.micro.service.report.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangchen create 2023/7/14 10:21
 */
@Data
@ApiModel("五年计划")
public class FiveGoalVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("组织教育覆盖率")
    private String eduCoverageRate;

    @ApiModelProperty("组织教育覆盖率名称")
    private String eduCoverageRateName;

    @ApiModelProperty("青年政治骨干")
    private String youthPoliticsBackbone;

    @ApiModelProperty("青年政治骨干名称")
    private String youthPoliticsBackboneName;

    @ApiModelProperty("第一排名类别")
    private String oneName;

    @ApiModelProperty("第一排名名称")
    private String rankOneName;

    @ApiModelProperty("第一排名排名")
    private String oneRank;

    @ApiModelProperty("第二排名类别")
    private String twoName;

    @ApiModelProperty("第二排名名称")
    private String rankTwoName;

    @ApiModelProperty("第二排名排名")
    private String twoRank;

    @ApiModelProperty("第三排名类别")
    private String threeName;

    @ApiModelProperty("第三排名名称")
    private String rankThreeName;

    @ApiModelProperty("第三排名排名")
    private String threeRank;

    @ApiModelProperty("新媒体平台全团排名")
    private String mediaWholeRank;

    @ApiModelProperty("新媒体平台全团排名名称")
    private String mediaWholeRankName;

    @ApiModelProperty("组织覆盖率")
    private String orgCover;

    @ApiModelProperty("组织覆盖率名称")
    private String orgCoverName;

    @ApiModelProperty("社会领域组织密度")
    private String orgDensity;

    @ApiModelProperty("社会领域组织密度名称")
    private String orgDensityName;

    @ApiModelProperty("非公组织")
    private String nonPublicOrg;

    @ApiModelProperty("非公组织名称")
    private String nonPublicOrgName;

    @ApiModelProperty("推优入团率")
    private String excellentEnterOrgRate;

    @ApiModelProperty("推优入团率名称")
    private String excellentEnterOrgRateName;

    @ApiModelProperty("学社衔接率")
    private String studyConnectRate;

    @ApiModelProperty("学社衔接率名称")
    private String studyConnectRateName;

    @ApiModelProperty("推优入党率")
    private String excellentEnterCcpRate;

    @ApiModelProperty("推优入党率名称")
    private String excellentEnterCcpRateName;

    @ApiModelProperty("青少年心理健康实践阵地")
    private String youthPsychologyPlace;

    @ApiModelProperty("青少年心理健康实践阵地名称")
    private String youthPsychologyPlaceName;

    @ApiModelProperty("青少年之家")
    private String youthHome;

    @ApiModelProperty("青少年之家名称")
    private String youthHomeName;

    @ApiModelProperty("校外教育")
    private String outsideSchoolEdu;

    @ApiModelProperty("校外教育名称")
    private String outsideSchoolEduName;

    @ApiModelProperty("帮扶大学生就业")
    private String helpCollegeWork;

    @ApiModelProperty("帮扶大学生就业名称")
    private String helpCollegeWorkName;

    @ApiModelProperty("团干部配备率")
    private String leaderWithRate;

    @ApiModelProperty("团干部配备率名称")
    private String leaderWithRateName;

    @ApiModelProperty("基层组织评价比例")
    private String baseOrgRate;

    @ApiModelProperty("基层组织评价比例名称")
    private String baseOrgRateName;

    @ApiModelProperty("少年辅导员党员占比")
    private String teacherPartyMemberRate;

    @ApiModelProperty("少年辅导员党员占比名称")
    private String teacherPartyMemberRateName;

    @ApiModelProperty("青春倡廉活动")
    private String youthAntiCorruptionActivities;

    @ApiModelProperty("青春倡廉活动名称")
    private String youthAntiCorruptionActivitiesName;

    @ApiModelProperty("年份")
    private Integer yearData;

    @ApiModelProperty("直属团组织数")
    private String leagueOrgCount;
}
