package com.crunii.micro.service.report.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author wangchen create 2023/7/12 17:13
 */
@Data
@ApiModel(description = "团情返回")
public class LeagueOrgVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("总数")
    private String leagueOrgNum;

    @ApiModelProperty("名称")
    private String title;

    @ApiModelProperty("单位")
    private String unit;

    @ApiModelProperty("占比")
    private List<LeagueProportionVo> leagueOrgTypes;

    @ApiModelProperty("领域分类")
    private List<LeagueIndustryCountVo> leagueIndustries;
}
