/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.report.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;

/**
 * @author 田平 create 2019年2月19日下午4:04:47
 */
@Setter
@Getter
@ToString
@ApiModel(description = "创建菜单")
public class MenuCVo implements Serializable {
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "菜单描述")
	private String menuDesc;

	@ApiModelProperty(value = "0:目录 1:菜单 2:按钮")
	private int menuType;

	@ApiModelProperty(value = "菜单名称")
	private String menuName;

	@ApiModelProperty(value = "菜单URL")
	private String menuUrl;

	@ApiModelProperty(value = "按钮对应的url_id,菜单全部为0")
	private int buttonUrlId;

	@ApiModelProperty(value = "父菜单编码")
	private String parentMenuCode;

	@ApiModelProperty(value = "图标")
	private String icon;

	@ApiModelProperty(value = "排序id")
	private int sortId;

	@ApiModelProperty(value = "状态")
	private int state;
}
