
package com.crunii.micro.service.report.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;

/**
 * @author 田平 create 2018年11月1日下午2:43:45
 */
@Setter
@Getter
@ToString
@ApiModel(description = "模型")
public class ModelRes implements Serializable {
	private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "模型Id")
    private Long id;

    @ApiModelProperty(value = "模型描述")
    private String remark;

    @ApiModelProperty(value = "模型名称")
    private String name;

    @ApiModelProperty(value = "类型")
    private Integer type;

    @ApiModelProperty(value = "模型状态1未发布，2已发布")
    private Integer state;

    @ApiModelProperty(value = "系统")
    private Long systemId;

    @ApiModelProperty(value = "系统名称")
    private String systemName;

    @ApiModelProperty(value = "是否同步正式环境")
    private Integer syncProdEnv;
}
