
package com.crunii.micro.service.report.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;

@Setter
@Getter
@ToString
@ApiModel(description = "修改模型")
public class ModelUVo implements Serializable {

	private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "模型Id")
    private Long id;

    @ApiModelProperty(value = "模型名称")
    private String name;

	@ApiModelProperty(value = "模型描述")
	private String remark;

    @ApiModelProperty(value = "类型")
    private Integer type;

    @ApiModelProperty(value = "状态|1有效0无效")
    private Integer status;

    @ApiModelProperty(value = "系统")
    private Long systemId;
    /**
     * 是否同步正式环境：0否,1是
     */
    @ApiModelProperty(value = "是否同步正式环境：0否,1是")
    private Integer syncProdEnv;
}
