package com.crunii.micro.service.report.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangchen create 2023/7/14 11:04
 */
@Data
@ApiModel("大局贡献度")
public class OverallContributionVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("青年文明号")
    private String youthCivilization;

    @ApiModelProperty("青年岗位能手")
    private String youthPositionExpert;

    @ApiModelProperty("青年安全生产示范岗")
    private String youthSafetyProduction;

    @ApiModelProperty("双城经济建设平台")
    private String economicCircleBuild;

    @ApiModelProperty("创业青年融资")
    private String setUpYouthFinancing;

    @ApiModelProperty("青少年志愿者")
    private String youngVolunteers;

    @ApiModelProperty("青少年志愿者组织")
    private String youngVolunteersOrg;

    @ApiModelProperty("目标")
    private OverallContributionVo target;
}
