package com.crunii.micro.service.report.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangchen create 2023/7/31 15:56
 */
@Data
@ApiModel(description = "网站数据vo")
public class WebsiteGatherVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("注册用户数")
    private Integer registerUserCount;

    @ApiModelProperty("访问次数")
    private Integer accessCount;

    @ApiModelProperty("活跃用户数")
    private Integer activeUserCount;

    @ApiModelProperty("最热访问")
    private String hotAccess;
}
