package com.crunii.micro.service.report.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/7/13 9:53
 */
@Data
public class YouthSituationVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("青年人口变化")
    private YouthPopulationVo youthPopulationVo;

    @ApiModelProperty("男女比例")
    private RatioVo ratioVo;

    @ApiModelProperty("学历组成")
    private List<DegreeVo> degreeVo;

}
