package com.crunii.micro.service.report.dto.cockpit;

import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.io.Serializable;

@Data
@Setter
@Getter
@ToString
public class CockpitDataColumn implements Serializable {

    @ApiModelProperty(value = "列名")
    private String columnName;

    @ApiModelProperty(value = "值")
    private String columnValue;

    public CockpitDataColumn(String value, String label) {
        this.columnName = columnName;
        this.columnValue = columnValue;
    }

    public CockpitDataColumn() {
    }

}
