package com.crunii.micro.service.report.enums;

import lombok.Getter;

/**
 * @author wangchen create 2023/7/13 10:20
 */
@Getter
public enum LeagueNameEnum {
    ORG("1","全市各级团组织"),
    MEMBER("2","团员总数"),
    LEADER("3","团干部数");

    private String valueCode;
    private String name;

    LeagueNameEnum(String valueCode,String name){
        this.valueCode=valueCode;
        this.name=name;
    }

    public static String getName(String valueCode){
        LeagueNameEnum[] values = LeagueNameEnum.values();
        for (LeagueNameEnum value : values) {
            if(value.valueCode.equals(valueCode)){
                return value.name;
            }
        }
        return "";
    }

}
