package com.crunii.micro.service.report.jdbc;

import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
import com.crunii.micro.domain.entity.main.YcqCqzyscService;
import com.crunii.micro.domain.entity.main.YcqCqzyscServiceTime;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/7/12 17:32
 */
@Repository
public class OrgPowerJdbc {

    @Resource(name = "mainJT")
    protected BaseJdbcTemplate jt;

    public List<YcqCqzyscServiceTime> queryServiceTime(){
        String sql = "SELECT*FROM YCQ_CQZYSC_SERVICE_TIME WHERE date_time=(\n" +
                "SELECT date_time FROM YCQ_CQZYSC_SERVICE_TIME GROUP BY date_time ORDER BY date_time DESC LIMIT 1) ORDER BY service_time DESC";
        return jt.queryForBeans(YcqCqzyscServiceTime.class,sql);
    }

    public List<YcqCqzyscService> queryService(){
        String sql = "SELECT a.*FROM YCQ_CQZYSC_SERVICE a,(\n" +
                "SELECT MAX(id) AS id FROM YCQ_CQZYSC_SERVICE GROUP BY MONTH) b WHERE a.id=b.id ORDER BY a.MONTH";
        return jt.queryForBeans(YcqCqzyscService.class,sql);
    }
}
