package com.crunii.micro.service.report.service;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.entity.main.jex.*;

import java.util.List;

public interface CockpitService2 {

    /**
     * 查询中心数据
     */
    Result<YcqCockpitCenter> queryCenter();

    /**
     * 查询青情
     */
    Result<YcqCockpitYouth> queryYouth();

    /**
     * 查询团情
     */
    Result<List<YcqCockpitGroup>> queryGroup();

    /**
     * 查询团组织
     */
    Result<List<YcqCockpitOrganization>> queryOrganization();

    /**
     * 查询校外教育
     */
    Result<List<YcqCockpitEducation>> queryEducation();

    /**
     * 查询赛马比拼
     */
    Result<YcqCockpitCompetition> queryCompetition();

    /**
     * 查询赛马比拼2023年1季度
     */
    Result<YcqCockpitCompetition20231> queryCompetition20231();

}
