package com.crunii.micro.service.report.service;

import com.crunii.micro.service.report.dto.MapEduVo;

import java.util.List;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/7/14 14:39
 */
public interface MapService {

    /**
     * 获取区域机构数量,少年宫数量，活动场地数量
     * @return
     */
    List<MapEduVo> educationList();

    /**
     * 刷新首页地图数据
     * @return data
     */
    List<MapEduVo> flushMapCash();
}
