/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved.
 * <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.sso;

/**
 * @author shenhs create 2023/6/2 19:24
 */
public class SSOConstant {

	public static final String ENC_STR = "%2B";
	// 转码后的字符串
	public static final String ADD_STR = "+";
	// 这个地方没有打错，变量的值就是空格，一般是后端接收到加号之后会转换为空格
	public static final String SPACE_STR = " ";

	/**
	 * 缺少参数authCode
	 */
	public static final String IS_BLANK_AUTH_CODE = "1001";

	/**
	 * authCode无效或过期
	 */
	public static final String ERROR_AUTH_CODE = "1005";

	/**
	 * 缺少参数sysCode
	 */
	public static final String IS_BLANK_SYS_CODE = "2001";

	/**
	 * sysCode不正确
	 */
	public static final String ERROR_SYS_CODE = "2002";

	/**
	 * 缺少参数encode
	 */
	public static final String IS_BLANK_ENCODE = "1002";

	/**
	 * token 无效或过期
	 */
	public static final String ERROR_TOKEN = "1006";

	/**
	 * 用户名密码错误
	 */
	public static final String ERROR_USER_OR_PASSWD = "1007";

	/**
	 * 验证码错误，无效或过期
	 */
	public static final String ERROR_SMS_CODE = "1008";

	/**
	 * 图片验证码错误，无效或过期
	 */
	public static final String ERROR_CAPTCHA = "1010";

	/**
	 * 解密失败
	 */
	public static final String DECRYPT_ERROR = "9999";
}
