package com.crunii.micro.service.sso.config;

import com.crunii.micro.service.sso.dto.HeadlineLoginInfo;
import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;


/**
 * @author wangchen create 2023/8/1 11:20
 */
@Data
@Component
@ConfigurationProperties(prefix = "sso.info")
public class HeadlineLoginInfoProperties {

    private HeadlineLoginInfo headline = new HeadlineLoginInfo();

    public HeadlineLoginInfo getLoginInfo(){
        return headline;
    }
}
