package com.crunii.micro.service.sso.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/6/25 17:16
 */
@Data
public class HotPlacardVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("图片url")
    private String placardUrl;

    @ApiModelProperty("对应跳转链接")
    private String placardLink;

    @ApiModelProperty("排序")
    private Integer sort;

    @ApiModelProperty("海报ID")
    private String placardId;

    @ApiModelProperty("海报状态：1有效 0无效")
    private Integer state;

}
