package com.crunii.micro.service.sso.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/6/25 10:36
 */
@Data
public class Login implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("凭证")
    private String phoneNumber;

    @ApiModelProperty("认证模式：0-密码、1-短信验证码")
    private Integer authMode;

    @ApiModelProperty("认证码")
    private String authKey;

}
