/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved.
 * <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.sso.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.io.Serializable;

/**
 * @author shenhs create 2023/6/2 21:03
 */
@Getter
@Setter
@ApiModel("token相关信息")
@NoArgsConstructor
@AllArgsConstructor
public class TokenInfo implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty("凭证字符串")
	private String token;
	@ApiModelProperty("凭证有效期，单位秒")
	private int expires;

}
