/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved.
 * <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.sso.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.io.Serializable;

/**
 * @author shenhs create 2023/6/2 21:24
 */
@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
@ApiModel("获取用户信息的请求参数")
public class UserInfoReq implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty("加密字符串")
	private String encode;
	@ApiModelProperty("流水号")
	private String transactionId;

	public void setEncode(String encode) {
		this.encode = encode.replace(" ","+");
	}
}
