package com.crunii.micro.service.sso.service;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.sso.dto.PushDto;
import com.crunii.micro.service.sso.dto.YcqYouthcallCampusEducationVo;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/6/27 15:38
 * 志愿山城
 */
public interface VolunteerPushService {
    /**
     * 推送志愿服务
     * @param pushDto
     * @return
     */
    Result<Object> saveService(PushDto pushDto);

    /**
     * 推送服务时长
     * @param pushDto
     * @return
     */
    Result<Object> saveServiceTime(PushDto pushDto);

    /**
     * 青春头条-文章推送
     * @param pushDto 请求参数
     * @return data
     */
    Result<Object> pushYouthHeadlines(PushDto pushDto);

    /**
     * 青春头条是否置顶
     * @param pushDto 请求参数
     * @return data
     */
    Result<Object> headlinesTop(PushDto pushDto);

    /**
     * 青呼我为-校外教育
     * @param pushDto 请求参数
     * @return data
     */
    Result<Object> offCampusEducation(PushDto pushDto);
}
