package com.crunii.micro.service.studycenter.annotation;



import com.crunii.micro.service.studycenter.enums.DesensitizationTypeEnum;

import java.lang.annotation.*;

// 作用域 作用域方法上
@Target(value = {ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
@Documented
@Inherited
public @interface Desensitization {

    // 默认为查询返回方法
    DesensitizationTypeEnum type() default DesensitizationTypeEnum.QUERY;

}
