package com.crunii.micro.service.studycenter.controller;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.studycenter.dto.studycenter.ExTestQuestion;
import com.crunii.micro.service.studycenter.service.ExTestQuestionService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author : dinglian
 * @date : 2023-9-18
 */
@Api(tags = "试题管理")
@RestController
@RequestMapping("/exam/ExTestQuestionController")
public class ExTestQuestionController {

    @Resource
    private ExTestQuestionService exTestQuestionService;

    @ApiOperation(value = "查询所有")
    @RequestMapping(path = "searchAll", method = RequestMethod.POST)
    @ResponseBody
    public Result<List<ExTestQuestion>> searchAll() {
        Result<List<ExTestQuestion>> result = new Result<>();
        result.setData(exTestQuestionService.searchAll());
        return result;
    }


}
