package com.crunii.micro.service.studycenter.controller;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.studycenter.dto.studycenter.YcqYjsTestQuestion;
import com.crunii.micro.service.studycenter.dto.studycenter.YcqYjsTopicOption;
import com.crunii.micro.service.studycenter.service.YcqYjsTestQuestionService;
import com.crunii.micro.service.studycenter.service.YcqYjsTopicOptionService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author : Charler
 * @date : 2023-9-21
 */
@Api(tags = "试题管理")
@RestController
@RequestMapping("/exam/YcqYjsTopicOptionController/auth")
public class YcqYjsTopicOptionController {

    @Resource
    private YcqYjsTopicOptionService topicOptionService;

    @ApiOperation(value = "查询所有")
    @RequestMapping(path = "searchAll", method = RequestMethod.POST)
    @ResponseBody
    public Result<List<YcqYjsTopicOption>> searchAll() {
        Result<List<YcqYjsTopicOption>> result = new Result<>();
        result.setData(topicOptionService.searchAll());
        return result;
    }


}
