package com.crunii.micro.service.studycenter.dto.studycenter;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Table;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;


@ApiModel(description = "")
@ToString
@Data
@Table(name="YCQ_YJS_COURES_SPECIAL")
public class YcqYjsCouresSpecial implements Serializable {

    private static final long serialVersionUID = 1L;

    @Column(name = "id")
    @ApiModelProperty(name = "主键",notes = "")
    private BigInteger id;

    @Column(name = "course_id")
    @ApiModelProperty(name = "课程id",notes = "")
    private BigInteger courseId;

    @Column(name = "special_id")
    @ApiModelProperty(name = "专题id",notes = "")
    private BigInteger specialId;

    @Column(name = "create_time")
    @ApiModelProperty(name = "创建时间",notes = "")
    private Date createTime;

}