package com.crunii.micro.service.studycenter.dto.studycenter;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigInteger;
import java.util.Date;
import java.util.List;

@Data
public class YcqYjsCourseMgrResp extends YcqYjsCourseMgr{
    // 子课程集合
    private List<YcqYjsCoursesubMgrResp> subCourseList;
    // 试卷集合
    private List<YcqYjsTestPaper> paperList;
    // 试题集合
    private List<YcqYjsTestQuestionReq> testQuestionList;
    // 课程分类名称
    private String courseTypeName;
    // 专题编号
    private String specialNumber;
    // 专题名称
    private String specialName;
    // 专题ID
    private BigInteger specialId;
    //专题状态
    private Integer specialStatus;
    // 所属业务
    private BigInteger affiliatedBusinessId;
    // 课程标签
    private String courseLabelsName;


    // 专题有效期(1:永久,2.自定义)
    private Integer periodValidity;

    // 有效期时间
    private Date validityTime;

    // 专项分类
    private Integer specialType;

    // 专项分类名称
    private String specialTypeName;
}
