package com.crunii.micro.service.studycenter.dto.studycenter;

import com.alibaba.excel.annotation.ExcelProperty;
import com.crunii.micro.service.studycenter.config.EasyExcelBigIntegerConverter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import javax.persistence.Column;
import javax.persistence.Table;
import java.io.Serializable;
import java.math.BigInteger;

@ApiModel(description = "")
@ToString
@Data
@Table(name="ycq_yjs_service_duration1")
public class YcqYjsServiceDuration implements Serializable {

    private static final long serialVersionUID = 1L;

    @ExcelProperty(value = "id",index = 0, converter = EasyExcelBigIntegerConverter.class)
    @Column(name = "id")
    @ApiModelProperty(name = "",notes = "")
    private BigInteger id;

    @ExcelProperty(value = "volunteer_no",index = 1)
    @Column(name = "volunteer_no")
    @ApiModelProperty(name = "",notes = "")
    private String volunteerNo;

    @ExcelProperty(value = "mobile",index = 2)
    @Column(name = "mobile")
    @ApiModelProperty(name = "",notes = "")
    private String mobile;

    @ExcelProperty(value = "volunteer_name",index = 3)
    @Column(name = "volunteer_name")
    @ApiModelProperty(name = "",notes = "")
    private String volunteerName;

    @ExcelProperty(value = "cert_no",index = 4)
    @Column(name = "cert_no")
    @ApiModelProperty(name = "",notes = "")
    private String certNo;

    @ExcelProperty(value = "cert_type",index = 5)
    @Column(name = "cert_type")
    @ApiModelProperty(name = "",notes = "")
    private String certType;

    @ExcelProperty(value = "volunteer_sex",index = 6)
    @Column(name = "volunteer_sex")
    @ApiModelProperty(name = "",notes = "")
    private Integer volunteerSex;

    @ExcelProperty(value = "created_id",index = 7, converter = EasyExcelBigIntegerConverter.class)
    @Column(name = "created_id")
    @ApiModelProperty(name = "",notes = "")
    private BigInteger createdId;

    @ExcelProperty(value = "last_updated_id",index = 8, converter = EasyExcelBigIntegerConverter.class)
    @Column(name = "last_updated_id")
    @ApiModelProperty(name = "",notes = "")
    private BigInteger lastUpdatedId;

    @ExcelProperty(value = "start_now",index = 9)
    @Column(name = "start_now")
    @ApiModelProperty(name = "",notes = "")
    private String startNow;

    @ExcelProperty(value = "total_time",index = 10)
    @Column(name = "total_time")
    @ApiModelProperty(name = "",notes = "")
    private String totalTime;

    @ExcelProperty(value = "zyz_user_id",index = 11, converter = EasyExcelBigIntegerConverter.class)
    @Column(name = "zyz_user_id")
    @ApiModelProperty(name = "",notes = "")
    private BigInteger zyzUserId;

    @ExcelProperty(value = "zyz_user_count_id",index = 12, converter = EasyExcelBigIntegerConverter.class)
    @Column(name = "zyz_user_count_id")
    @ApiModelProperty(name = "",notes = "")
    private BigInteger zyzUserCountId;

}
