package com.crunii.micro.service.studycenter.dto.studycenter;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

@ApiModel(description = "一件事-专题管理")
@ToString
@Data
public class YcqYjsSpecialMgrDto extends YcqYjsSpecialMgr implements Serializable {
    @ApiModelProperty(name = "关联课题数",notes = "")
    private Integer sumCoures;

    @ApiModelProperty(name = "关联课题集合",notes = "")
    private List<YcqYjsCourseMgrRsp> courseMgrList;

    @ApiModelProperty(name = "总学时/h",notes = "")
    private Integer courseDuratios;

    @ApiModelProperty(name = "总学分/分",notes = "")
    private Integer courseCredits;

    @ApiModelProperty(name = "所属业务名称",notes = "")
    private String  affiliatedBusinessName;
}
