package com.crunii.micro.service.studycenter.dto.studycenter;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Table;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@ApiModel(description = "用户上传学习视频表")
@ToString
@Data
@Table(name="YCQ_YJS_UPLOAD_USER_VIDEO")
public class YcqYjsUploadUserVideo implements Serializable {

    private static final long serialVersionUID = 1L;

    @Column(name = "id")
    @ApiModelProperty(name = "主键",notes = "")
    private BigInteger id;

    @Column(name = "file_number")
    @ApiModelProperty(name = "文件编号",notes = "")
    private String fileNumber;

    @Column(name = "file_name")
    @ApiModelProperty(name = "文件名称",notes = "")
    private String fileName;

    @Column(name = "table_name")
    @ApiModelProperty(name = "系统业务表",notes = "")
    private String tableName;

    @Column(name = "file_type")
    @ApiModelProperty(name = "上传视频类型",notes = "")
    private String fileType;

    @Column(name = "file_size")
    @ApiModelProperty(name = "上传视频大小",notes = "")
    private BigInteger fileSize;

    @Column(name = "url")
    @ApiModelProperty(name = "上传地址",notes = "")
    private String url;

    @Column(name = "user_id")
    @ApiModelProperty(name = "上传用户id",notes = "")
    private String userId;

    @Column(name = "user_name")
    @ApiModelProperty(name = "上传人名称",notes = "")
    private String userName;

    @Column(name = "upload_date")
    @ApiModelProperty(name = "上传时间",notes = "")
    private String uploadDate;

    @Column(name = "create_time")
    @ApiModelProperty(name = "创建日期",notes = "")
    private Date createTime;

    @Column(name = "del_flag")
    @ApiModelProperty(name = "删除标识",notes = "")
    private Integer delFlag;

}
