package com.crunii.micro.service.studycenter.dto.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.List;

/**
 * Author：dadm
 * Date：2023-09-20 17:54
 * Description：<描述>
 */
@ToString
@Data
public class NegativePersonCondition implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("开始时间")
    private String startTime;

    @ApiModelProperty("结束时间")
    private String endTime;

    @ApiModelProperty(name = "身份类型",notes = "")
    private String identityType;

    @ApiModelProperty(name = "人员编号",notes = "")
    private String personNumber;

    @ApiModelProperty(name = "人员姓名",notes = "")
    private String personName;

    @ApiModelProperty(name = "手机号",notes = "")
    private String phoneNumber;

    @ApiModelProperty(name = "负面原因",notes = "")
    private String negativeReason;

    @ApiModelProperty(name = "身份证号",notes = "")
    private String idNumber;

    @ApiModelProperty(value = "主键ids")
    private List<BigInteger> ids;

}
