package com.crunii.micro.service.studycenter.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.service.studycenter.dto.studycenter.YcqYjsNegativePerson;
import com.crunii.micro.service.studycenter.dto.vo.NegativePersonCondition;
import com.crunii.micro.service.studycenter.dto.vo.YcqYjsNegativePersonVo;

import javax.servlet.http.HttpServletResponse;
import java.math.BigInteger;

/**
 * Author：dadm
 * Date：2023-09-20 17:22
 * Description：<描述>
 */
public interface YcqYjsNegativePersonService {

    /**创建负面人员*/
    void createNegativePerson(YcqYjsNegativePersonVo createReq);

    /**删除负面人员*/
    void delNegativePerson(BigInteger id);

    /**修改负面人员*/
    void updateNegativePerson(YcqYjsNegativePersonVo updateReq);

    /**负面人员详情*/
    YcqYjsNegativePerson getNegativePersonInfo(BigInteger id);

    /**分页查询负面人员*/
    PageRsp<YcqYjsNegativePersonVo> pageSearchNegativePerson(PageReq<NegativePersonCondition> pageReq);

    PageRsp<YcqYjsNegativePerson> pageYcqYjsNegativePerson(PageReq<NegativePersonCondition> req);

    void exportNegativePersonExcel(HttpServletResponse response, NegativePersonCondition req);
}
