package com.crunii.micro.service.studycenter.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.service.studycenter.dto.studycenter.YcqYjsTopicClassify;
import com.crunii.micro.service.studycenter.dto.vo.YcqYjsTopicClassifyCondition;
import com.crunii.micro.service.studycenter.dto.vo.YcqYjsTopicClassifyVo;

import java.math.BigInteger;
import java.util.List;

/**
 * Author：dadm
 * Date：2023-09-20 17:22
 * Description：<描述>
 */
public interface YcqYjsTopicClassifyService {

    /**创建题目分类*/
    void createTopicClassify(YcqYjsTopicClassifyVo createReq);

    /**删除题目分类*/
    void delTopicClassify(BigInteger id);

    /**修改题目分类*/
    void updateTopicClassify(YcqYjsTopicClassifyVo updateReq);

    /**题目分类详情*/
    YcqYjsTopicClassify getTopicClassify(BigInteger id);

    /**分页查询题目分类*/
    PageRsp<YcqYjsTopicClassifyVo> pageSearchTopicClassify(PageReq<YcqYjsTopicClassifyCondition> pageReq);

    /**所属业务下的题目分类*/
    List<YcqYjsTopicClassify> getTopicClassifyList(BigInteger organizeId);

}
