package com.crunii.micro.service.studycenter.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.service.studycenter.dto.studycenter.YcqYjsUnmatchedPerson;
import com.crunii.micro.service.studycenter.dto.studycenter.YcqYjsYearServiceTime;
import com.crunii.micro.service.studycenter.dto.vo.UnmatchedPersonCondition;
import com.crunii.micro.service.studycenter.dto.vo.YcqYjsUnmatchedPersonVo;
import com.crunii.micro.service.studycenter.dto.vo.YcqYjsYearServiceTimeVo;
import com.crunii.micro.service.studycenter.dto.vo.YearServiceTimeCondition;

import javax.servlet.http.HttpServletResponse;
import java.math.BigInteger;

/**
 * Author：dadm
 * Date：2023-09-20 17:22
 * Description：<描述>
 */
public interface YcqYjsYearServiceTimeService {

    /**创建年度服务时长人员*/
    void createYearServiceTime(YcqYjsYearServiceTimeVo createReq);

    /**删除年度服务时长人员*/
    void delYearServiceTime(BigInteger id);

    /**修改年度服务时长人员*/
    void updateYearServiceTime(YcqYjsYearServiceTimeVo updateReq);

    /**年度服务时长人员详情*/
    YcqYjsYearServiceTime getYearServiceTime(BigInteger id);

    /**分页查询年度服务时人员*/
    PageRsp<YcqYjsYearServiceTimeVo> pageSearchYearServiceTime(PageReq<YearServiceTimeCondition> pageReq);

    PageRsp<YcqYjsYearServiceTime> pageYcqYjsYearServiceTime(PageReq<YearServiceTimeCondition> req);

    void exportYearServiceTimeExcel(HttpServletResponse response, YearServiceTimeCondition req);

}
