package com.crunii.micro.service.studycenter.service.impl;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
import com.crunii.micro.service.studycenter.dto.vo.SqlVo;
import com.crunii.micro.service.studycenter.service.StreamingService;
import lombok.extern.slf4j.Slf4j;
import org.apache.poi.ss.formula.functions.T;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;


@Slf4j
@Service
public class StreamingServiceImpl implements StreamingService {
    @Resource(name = "mainJT")
    protected BaseJdbcTemplate JT;
    public Object returnSQL(String sql) {
        List<Map> list = JT.queryForBeans(Map.class,sql);
        return list;
    }

    @Override
    public Result<Object> querySql(SqlVo sqlVo) {
        List list = JT.queryForList(sqlVo.getSql());
//        List<T> list = JT.queryForBeans(T.class,sqlVo.getSql());
        return Result.ofSuccess(list);
    }
}
