package com.crunii.micro.service.studycenter.service.impl;

import com.alibaba.excel.EasyExcel;
import com.crunii.micro.service.studycenter.config.ExcelListener;
import com.crunii.micro.service.studycenter.dto.studycenter.YcqYjsServiceDuration;
import com.crunii.micro.service.studycenter.jdbc.YcqYjsServiceDurationDao;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
public class YcqYjsServiceDurationServiceImpl {
    @Resource
    private YcqYjsServiceDurationDao YcqYjsServiceDuration;

    public void batchInsert() {
        String dir = System.getProperty("user.dir");
        //设置要读取文件的路径名
        String fileName = dir+"/services/service-study-center/service-study-center-biz/src/main/resources/服务时长信息第二版.xlsx";
        System.out.println(fileName);
        // 这里 需要指定读用哪个class去读，然后读取第一个sheet 文件流会自动关闭
        //read方法的三个参数：第一个：文件名；第二个：实体类的Class对象；第三个：监听器的对象
        EasyExcel.read(fileName, YcqYjsServiceDuration.class, new ExcelListener()).sheet().doRead();
    }
}
