/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved.
 * <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.sysmgr.api.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.io.Serializable;
import java.util.List;

/**
 * @author 田平 create 2021/4/25 14:25
 */
@Setter
@Getter
@ToString
@ApiModel(description = "创建组织")
public class OrgSimpleVO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "组织id")
	private Long orgId;

	@ApiModelProperty(value = "组织编码，按规律生成，体现上下级关系")
	private String orgCode;

	@ApiModelProperty(value = "组织名称")
	private String orgName;

	@ApiModelProperty(value = "父id")
	private Long parentOrgId;
}
