package com.crunii.micro.service.sysmgr.api.domain.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 分页查询消息模板入参
 */
@Data
public class YcqPageMessageTemplateDTO implements Serializable {

    /**
     * 标题
     */
    private String title;

    /**
     * 应用系统id
     */
    private Long appId;

    /**
     * 场景名称
     */
    private String sceneName;

    /**
     * 0 全部 1站内信 2短信
     */
    private Byte pushType;

    /**
     * 状态 0全部 1启用 2未启用
     */
    private Byte status;

    /** 是否为常用模板 1是 2否*/
    private Byte templateType ;

    /**
     * 开始时间
     */
    private String startTime;

    /**
     * 结束时间
     */
    private String endTime;
}
