package com.crunii.micro.service.sysmgr.api.domain.dto.form;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;

@Setter
@Getter
@ToString
@ApiModel(description = "修改表单")
public class YcqDynamicFormConfigUpdateDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "表单Id")
    private Long id;


    @ApiModelProperty(name = "floModelName", value = "模型名（表名）")
    private String floModelName;

    /**
     * 表单名称
     */
    @ApiModelProperty(name = "name", value = "表单名称", dataType = "String")
    private String name;

    /**
     * 表单结构数据 用base64编码
     */
    @ApiModelProperty(name = "html", value = "表单结构数据", dataType = "String")
    private String html;

    /**
     * 备注
     */
    @ApiModelProperty(name = "description", value = "备注", dataType = "String")
    private String description;

}
