package com.crunii.micro.service.sysmgr.api.domain.vo;

import com.crunii.micro.service.sysmgr.api.domain.dto.YcqRollPicUrl;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author 15294
 */
@ApiModel(value = "轮播图",description = "")
@Data
public class YcqRollPicVO {
    @ApiModelProperty(name = "id",notes = "主键")
    private Long id ;
    /** 轮播图名称 */
    @ApiModelProperty(name = "rollPicName",notes = "轮播图名称")
    private String rollPicName ;
    /** 所属系统id */
    @ApiModelProperty(name = "systemId",notes = "所属系统id")
    private Integer systemId ;
    /** 所属系统 */
    @ApiModelProperty(name = "systemName",notes = "所属系统")
    private String systemName ;
    /** 位置 */
    @ApiModelProperty(name = "location",notes = "位置")
    private String location ;

    @ApiModelProperty(name = "locationId",notes = "位置id")
    private Integer locationId ;
    /** 配置图片地址 */
    @ApiModelProperty(name = "picUrls",notes = "配置图片地址")
    private List<YcqRollPicUrl> picUrls ;
    /** 发布状态 */
    @ApiModelProperty(name = "status",notes = "发布状态1待发布，2已发布")
    private Integer status ;
    /** 是否被删除 */
    @ApiModelProperty(name = "delFlag",notes = "是否被删除0否 1是")
    private transient Integer delFlag ;
    /** 创建人id */
    @ApiModelProperty(name = "createId",notes = "创建人id")
    private transient Integer createId ;
    /** 创建时间 */
    @ApiModelProperty(name = "createTime",notes = "创建时间")
    private transient String createTime ;
    /** 修改人id */
    @ApiModelProperty(name = "updateId",notes = "修改人id")
    private transient Integer updateId ;
    /** 修改时间 */
    @ApiModelProperty(name = "updateTime",notes = "修改时间")
    private transient String updateTime ;

    @ApiModelProperty(name = "SECOND_LOCATION",notes = "修改时间")
    private String secondLocation ;

}
