/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.sysmgr.constants;

import com.crunii.micro.common.utils.AESUtil;

/**
 * @author 田平 create 2018年10月31日上午10:07:19
 */
public class SysmgrConstants {

	/**
	 * 默认密码
	 */
	public static final String DEFAULT_PWD = "Kiuhj@859,.";

	/**
	 * 修改密码redis超时时间
	 */
	public static final Long RETRIEVE_PWD_MINUTES = 5L;
	public static void main(String[] args) {
		System.out.println(AESUtil.encrypt(DEFAULT_PWD));
	}

	public static final String PASSWORD_EXPIRE_TIME = "passwordExpireTime";

	/**
	 * 部门审核员
	 */
	public static final Integer DEPARTMENT_AUDIT_PERSON = 10012;

	/**
	 * 系统审核员
	 */
	public static final Integer SYS_AUDIT_PERSON = 10014;

	/**
	 *功能图标的sql字段名
	 */
	public static final String LOGO_URL_FIELD = "logo_url";

	/**
	 * 功能名称的sql字段名
	 */
	public static final String APP_NAME_FIELD = "app_name";

	/**
	 * 排序的sql字段名
	 */
	public static final String SORT = "sort";

	public static final String HTTP = "http";
	public static final String HTTPS = "https";

	public static final int ONE_INT = 1;
	public static final int ZERO_INT = 0;

	/**
	 * "/"转意字符
	 */
	public static final String TRANSITION_CHAR = "%2F";

	/**
	 * 消息通知表的类别:公共消息,值为1
	 */
	public static final int TYPE_COMMON = 1;

	/**
	 * 消息通知表的类别:用户私人消息,值为2
	 */
	public static final int TYPE_WORKER = 2;

	/**
	 * 团市委直属机关组织code
	 */
	public static final String DIRECTLY_UNDER_AUTHORITY_LEAGUE_CODE="TjKU-2ijqRp0gfpyDGJMdw==";

	/**
	 * 微信access_token缓存key
	 */
	public static final String WX_ACCESS_TOKEN = "wx_access_token_";

	public static final String WX_ACCESS_TOKEN_LOCK = "wx_access_token_lock";

	public static final String OPEN_WEI_XIN_AUTH_URL = "https://open.weixin.qq.com";

	/**
	 * websocket停止活动的时间(毫秒)，超时则关闭连接
	 */
	public static final int WEBSOCKET_CLOSE_TIME=180000;//三分钟

	//二维码操作标识
	public static final String SIGN="sign";


	/**
	 * 是乡镇街道团委
	 */
	public static final Integer IS_COUNTRY = 1;

	/**
	 * 不是乡镇街道团委
	 */
	public static final Integer NOT_IS_COUNTRY = 0;

	/**
	 * 是叶子结点,值为1
	 */
	public static final Integer LEAF = 1;

	/**
	 * APP注册默认组织
	 */
	public static final String DEFAULT_ORG = "500000";

	/**
	 * 通用验证码-静态值编码
	 */
	public static String code = "static_verification_code";

	/**
	 * 用户-直属系统-静态值编码
	 */
	public static String registrationSystem = "registrationSystem";

	/**
	 * 超级管理员角色ID
	 */
	public static int SUPER_ADMIN_ROLE_ID = 10095;
}
