//package com.crunii.micro.service.sysmgr.controller;
//
//import com.crunii.micro.common.dto.PageReq;
//import com.crunii.micro.common.dto.PageRsp;
//import com.crunii.micro.common.dto.Result;
//import com.crunii.micro.domain.dto.Worker;
//import com.crunii.micro.service.sysmgr.api.domain.dto.form.*;
//import com.crunii.micro.service.sysmgr.service.YcqDynamicFormConfigService;
//import com.crunii.micro.web.mvc.CurrWorker;
//import io.swagger.annotations.*;
//import org.springframework.web.bind.annotation.*;
//import springfox.documentation.annotations.ApiIgnore;
//
//import javax.annotation.Resource;
//import java.io.IOException;
//
///**
// * 动态表单配置
// *
// */
//@Api(value = "动态表单配置")
//@RestController
//@RequestMapping("/auth/YcqDynamicFormConfigController")
//public class YcqDynamicFormConfigController {
//
//    @Resource
//    private YcqDynamicFormConfigService ycqDynamicFormConfigService;
//
//    /**
//     * 新增表单修基础数据
//     * @param ycqDynamicFormConfigAddDTO
//     * @param worker
//     * @return
//     */
//    @ApiOperation(value = "新增表单修基础数据")
//    @PostMapping("/create")
//    public Result<YcqDynamicFormConfigVO> add(@RequestBody YcqDynamicFormConfigAddDTO ycqDynamicFormConfigAddDTO, @CurrWorker @ApiIgnore Worker worker) {
//        return Result.ofSuccess(this.ycqDynamicFormConfigService.insertForm(ycqDynamicFormConfigAddDTO, worker.getLoginId()));
//    }
//
//    /**
//     * 根据id查询详情
//     * @param configId
//     * @return
//     */
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "configId", value = "表单Id")
//    })
//    @ApiOperation(value = "根据表单id获取详细信息")
//    @GetMapping(value = "/getById/{id}")
//    public Result<YcqDynamicFormConfigVO> getById(@PathVariable("id") Long configId) {
//        YcqDynamicFormConfigVO one = this.ycqDynamicFormConfigService.getById(configId);
//        return Result.ofSuccess(one);
//    }
//
//    /**
//     * 修改表单基础数据
//     * @param ycqDynamicFormConfigUpdateBaseDTO
//     * @param worker
//     * @return
//     */
//    @ApiOperation(value = "修改表单基础数据")
//    @PostMapping("/updateBaseInfo")
//    public Result<Boolean> updateBaseInfo(@RequestBody YcqDynamicFormConfigUpdateBaseDTO ycqDynamicFormConfigUpdateBaseDTO, @CurrWorker @ApiIgnore Worker worker) {
//        this.ycqDynamicFormConfigService.updateBaseInfo(ycqDynamicFormConfigUpdateBaseDTO, worker.getLoginId());
//        return Result.ofSuccess(true);
//    }
//
//    /**
//     * 修改动态表单（若修改了表单结构，则会新增表单）
//     * @param ycqDynamicFormConfigUpdateDTO
//     * @param worker
//     * @return
//     * @throws IOException
//     */
//    @ApiOperation(value = "修改表单HTML")
//    @PostMapping("/editHtml")
//    public Result<Long> editHtml(@RequestBody YcqDynamicFormConfigUpdateDTO ycqDynamicFormConfigUpdateDTO, @CurrWorker @ApiIgnore Worker worker) throws IOException {
//        return Result.ofSuccess(this.ycqDynamicFormConfigService.updateFormHtml(ycqDynamicFormConfigUpdateDTO, worker.getLoginId()));
//    }
//
//    /**
//     * 暂存表单信息
//     * @param ycqDynamicFormConfigUpdateDTO
//     * @param worker
//     * @return
//     * @throws IOException
//     */
//    @ApiOperation(value = "暂存表单信息")
//    @PostMapping("/editHtmlTmp")
//    public Result<YcqDynamicFormConfigVO> updateFormHtmlTmp(@RequestBody YcqDynamicFormConfigUpdateDTO ycqDynamicFormConfigUpdateDTO, @CurrWorker @ApiIgnore Worker worker) throws IOException {
//        return Result.ofSuccess(this.ycqDynamicFormConfigService.updateFormHtmlTmp(ycqDynamicFormConfigUpdateDTO, worker.getLoginId()));
//    }
//
//    //    @ApiImplicitParams({
////            @ApiImplicitParam(name = "formCode", value = "表单code")
////    })
////    @ApiOperation(value = "根据表单code获取详细信息")
////    @GetMapping(value = "/selectFormByCode")
////    public Result<FormResOne> selectFormByCode(String formCode) {
////        return this.dynamicFormConfigService.selectFormByCode(formCode);
////    }
//
//    /**
//     * 逻辑删除表单
//     */
//    @ApiOperation(value = "逻辑删除表单")
//    @GetMapping("/deleteById/{id}")
//    public Result<Boolean> deleteById(@PathVariable("id") Long id) {
//        ycqDynamicFormConfigService.deleteById(id);
//        return Result.ofSuccess(true);
//    }
//
//    /**
//     * 条件分页查询表单配置列表
//     * @param req
//     * @param worker
//     * @return
//     */
//    @ApiOperation(value = "条件查询表单列表")
//    @PostMapping("/page")
//    public Result<PageRsp<YcqDynamicFormConfigPageVO>> page(@RequestBody @ApiParam PageReq<YcqDynamicFormConfigPageDTO> req, @CurrWorker @ApiIgnore Worker worker) {
//        return Result.ofSuccess(this.ycqDynamicFormConfigService.pageForm(req, worker.getLoginId()));
//    }
//
//
//}
