//package com.crunii.micro.service.sysmgr.controller;
//
//import com.crunii.micro.common.dto.Result;
//import com.crunii.micro.domain.dto.Worker;
//import com.crunii.micro.service.sysmgr.api.domain.dto.form.YcqDynamicFormContentDTO;
//import com.crunii.micro.service.sysmgr.api.domain.dto.form.YcqDynamicFormContentListDTO;
//import com.crunii.micro.service.sysmgr.api.domain.dto.form.YcqDynamicFormContentVO;
//import com.crunii.micro.service.sysmgr.api.domain.vo.YcqDynamicFormContentDetailVO;
//import com.crunii.micro.service.sysmgr.service.YcqDynamicFormContentService;
//import com.crunii.micro.web.mvc.CurrWorker;
//import org.springframework.web.bind.annotation.*;
//import springfox.documentation.annotations.ApiIgnore;
//
//import javax.annotation.Resource;
//import java.util.List;
//
///**
// * 动态表单数据
// */
//@RequestMapping("/auth/YcqFormContentController/")
//@RestController
//public class YcqDynamicFormContentController {
//
//    @Resource
//    private YcqDynamicFormContentService service;
//
//    /**
//     * 新增数据
//     * @param dto
//     * @param worker
//     * @return
//     */
//    @PostMapping("insert")
//    public Result<YcqDynamicFormContentVO> insert(@RequestBody YcqDynamicFormContentDTO dto, @CurrWorker @ApiIgnore Worker worker){
//        return Result.ofSuccess(service.insert(dto, worker.getLoginId()));
//    }
//
//    /**
//     * 根据配置id查询列表
//     * @param configId
//     * @return
//     */
//    @GetMapping("getByConfigId/{configId}")
//    public Result<List<YcqDynamicFormContentDetailVO>> getByConfigId(@PathVariable("configId") Long configId){
//        return Result.ofSuccess(service.getByConfigId(configId));
//    }
//
//    /**
//     * 根据业务id列表查询列表
//     * @param businessId
//     * @return
//     */
//    @PostMapping("getByBusinessIds")
//    public Result<List<YcqDynamicFormContentDetailVO>> getByBusinessIds(@RequestBody YcqDynamicFormContentListDTO req){
//        return Result.ofSuccess(service.getByBusinessIds(req.getIds()));
//    }
////
////    /**
////     * 根据id查询详情
////     * @param id
////     * @return
////     */
////    @GetMapping("getById/{id}")
////    public Result<YcqDynamicFormContentDetailVO> getById(@PathVariable("id") Long id){
////        return Result.ofSuccess(service.getById(id));
////    }
//
//    /**
//     * 根据id列表查询详情列表
//     * @param req
//     * @return
//     */
//    @PostMapping("getByIds")
//    public Result<List<YcqDynamicFormContentDetailVO>> getByIds(@RequestBody YcqDynamicFormContentListDTO req){
//        return Result.ofSuccess(service.getByIds(req.getIds()));
//    }
//}
