package com.crunii.micro.service.sysmgr.dto.org;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * youth-cq.
 * 团组织统计
 * @author leixb
 * @since 2024-01-24 10:59
 **/
@Data
@ApiModel("团组织统计")
public class OrgStatisticsVo implements Serializable {
    
    private static final long serialVersionUID = 1L;
    
    @ExcelProperty(value = "组织名称")
    @ApiModelProperty("组织名称")
    private String orgName;
    
    @ExcelProperty(value = "下级组织数")
    @ApiModelProperty("下级组织数")
    private String subOrgCount;
    
    @ExcelProperty(value = "管理员为空数")
    @ApiModelProperty("管理员为空数")
    private String nullAdminCount;
    
}
