/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved.
 * <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.sysmgr.dto.org;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;


@Setter
@Getter
@ToString
@ApiModel(description = "团组织-创建组织")
public class TeamOrgC implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "组织id")
	private Long orgId;

	@ApiModelProperty(value = "组织类别(团组织)")
	private String orgCategoryTree;

	@ApiModelProperty(value = "组织简称")
	private String orgShortCalled;

	@ApiModelProperty(value = "组织名称")
	private String orgName;

	@ApiModelProperty(value = "所属行业类别(团组织)")
	private String ocylIndustryCategory;

	@ApiModelProperty(value = "父组织ID,根组织id为0")
	private Long parentOrgId;

	@ApiModelProperty(value = "联系电话")
	private String telephone;

	@ApiModelProperty(value = "组织邮箱")
	private String orgEmail;

	@ApiModelProperty(value = "组织书记")
	private String orgSecretary;

	@ApiModelProperty(value = "组织管理员")
	private Integer managePeople;

	@ApiModelProperty(value = "是否乡镇街道团委(1是，0否)")
	private Integer ocylIsXztw;
}
