package com.crunii.micro.service.sysmgr.dto.post;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author gongsongtao
 * @date 2023/9/23 16:04
 */
@Data
@ApiModel(value = "职位关联角色请求参数")
public class CorrelatePostReq {

    @ApiModelProperty(value = "职务id")
    private Long postId;

    @ApiModelProperty(value = "角色数组", required = true)
    private List<Integer> roleList;
}
