/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.sysmgr.dto.pub;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @author 田平 create 2019年6月17日下午12:03:39
 */
@Setter
@Getter
@ToString
@ApiModel(description = "发布")
public class PubInfo implements Serializable {

	private static final long serialVersionUID = 1L;
	@ApiModelProperty(value = "发布Id")
	private int pubId;

	@ApiModelProperty(value = "发布名称")
	private String pubName;

	@ApiModelProperty(value = "发布类型")
	private String pubType;

	@ApiModelProperty(value = "发布类型名称")
	private String pubTypeName;

	@ApiModelProperty(value = "发布描述")
	private String pubDesc;

	@ApiModelProperty(value = "发布图标")
	private String pubIcon;

	@ApiModelProperty(value = "生效时间")
	private java.util.Date enableTime;

	@ApiModelProperty(value = "失效时间")
	private java.util.Date disableTime;

	@ApiModelProperty(value = "创建时间")
	private java.util.Date createTime;

	@ApiModelProperty(value = "排序Id")
	private int sortId;

	@ApiModelProperty(value = "0:无效,1:有效")
	private int state;
}
