package com.crunii.micro.service.sysmgr.dto.sysmgr;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author baoxy
 * @date 2023-07-11
 */
@Data
@ApiModel(description = "接入管理分页查询传入字段")
public class AccessPageDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "系统名称")
    public String systemName;

    @ApiModelProperty(value = "状态(1:有效,0:无效,默认不选择)")
    public Integer state;
}
