/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved.
 * <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.sysmgr.dto.sysmgr;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * @author shenhs create 2023/6/14 14:55
 */
@Getter
@Setter
@ApiModel("APP按钮信息-新增")
public class AppButtonC implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty("父级ID")
	private Integer parentId;

	@ApiModelProperty(value = "名称")
	private String name;

	@ApiModelProperty(value = "路由/编码")
	private String code;

	@ApiModelProperty(value = "类型 1页面 2按钮")
	private Integer type;

	@ApiModelProperty(value = "描述")
	private String describe;

	@ApiModelProperty(value = "排序")
	private Integer sort;

	@ApiModelProperty(value = "状态")
	private Integer state;
}
