/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.sysmgr.dto.sysmgr;

import com.crunii.micro.common.utils.JsonUtil;
import com.fasterxml.jackson.core.type.TypeReference;
import com.fasterxml.jackson.databind.JavaType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.springframework.http.HttpStatus;

import java.io.Serializable;
import java.util.Arrays;
import java.util.List;

/**
 * <pre>
 * 	因为使用泛型的原因才能生成api参数说明
 * </pre>
 *
 * @author 田平 create 2013-4-28上午10:01:02
 */
@Setter
@Getter
@ToString
@ApiModel(description = "IRS请求响应结果")
public class IRSVo implements Serializable {

	private static final long serialVersionUID = 1L;


	@ApiModelProperty(value = "业务调用是否成功")
	private boolean success=true;

	@ApiModelProperty(value = "编码")
	private Integer code=200;

	@ApiModelProperty(value = "错误信息")
	private String msg;

	@ApiModelProperty(value = "数据")
	private IRSWorkerVo data;


}
