package com.crunii.micro.service.sysmgr.dto.sysmgr;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * @author: LG
 * @date: 2023/12/14 16:04
 */
@Data
@EqualsAndHashCode
@ApiModel("面容登录校验DTO")
public class LoginCheckoutFaceDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("未加密")
    private String payload;

    @ApiModelProperty("加密后的内容")
    private String signature;

    @ApiModelProperty("登录手机号")
    private String mobile;

}
