/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.sysmgr.dto.sysmgr;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * 菜单快捷方式新增
 * @author zjw
 */
@Setter
@Getter
@ToString
@ApiModel(description = "菜单快捷方式新增")
public class MenuShortcutDTO implements Serializable {
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "id")
	private Long id;

	@ApiModelProperty(value = "菜单描述")
	private String menuCode;

	@ApiModelProperty(value = "菜单名称")
	private String menuName;

	@ApiModelProperty(value = "菜单URL")
	private String menuUrl;

	@ApiModelProperty(value = "父菜单编码")
	private String parentMenuCode;

	@ApiModelProperty(value = "父菜单编码")
	private String parentMenuName;

	@ApiModelProperty(value = "图标")
	private String icon;
}
