package com.crunii.micro.service.sysmgr.dto.sysmgr;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author baoxy
 * @date 2023-07-17
 */
@Data
@ApiModel(description = "消息通知管理分页查询返回字段")
public class MessagePageVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    private Long noticeId;

    @ApiModelProperty(value = "标题")
    private String title;

    @ApiModelProperty(value = "消息内容")
    private String content;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "类别(1:公共消息,2:用户私人消息)")
    private Integer type;
}
