package com.crunii.micro.service.sysmgr.dto.sysmgr;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangchen create 2023/6/7 14:57
 */
@Data
@ApiModel(description = "组织-团员数量")
public class OrgMemberVo implements Serializable {

    private static final Long serialVersionUID = 1L;

    @ApiModelProperty("主键id")
    private Long id;

    @ApiModelProperty("组织编码")
    private String leagueCode;

    @ApiModelProperty("组织名称")
    private String leagueName;

    @ApiModelProperty("团员数量")
    private int lmNum;
}
