/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.sysmgr.dto.sysmgr;

import java.io.Serializable;

import com.crunii.micro.common.dto.PageReq;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @author 田平 create 2018年11月1日下午2:43:45
 */
@Setter
@Getter
@ToString
@ApiModel(description = "属性分页查询对象")
public class PropertyReq implements Serializable {
	private static final long serialVersionUID = 1L;
	@ApiModelProperty(value = "属性名字，支持模糊查询%xx%,为空查询全部")
	private String propName;
	@ApiModelProperty(value = "属性编码，支持模糊查询%xx%,为空查询全部")
	private String propCode;
	@ApiModelProperty(value = "0 无效，1有效")
	private Integer workerManageState;

	public static void main(String[] args) {
		System.out.println(PageReq.getPageReq("{\"query\":{}}", PropertyReq.class));
	}
}
