/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved.
 * <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.sysmgr.dto.sysmgr;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * @author shenhs create 2023/7/14 17:22
 */
@Setter
@Getter
@ToString
@ApiModel(description = "角色关联按钮")
public class RoleButton implements Serializable {
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "角色Id")
	private int roleId;

	@ApiModelProperty(value = "按钮id列表")
	private List<Integer> btnIds;
}
