/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.sysmgr.dto.sysmgr;

import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @author 田平 create 2018年11月1日下午3:00:26
 */
@Setter
@Getter
@ToString
@ApiModel(description = "角色关联菜单")
public class RoleRelaMenu implements Serializable {
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "角色ID")
	private int roleId;

	@ApiModelProperty(value = "菜单编码列表")
	private List<String> menuCodes;

//	@ApiModelProperty(value = "半选择中菜单编码列表")
//	private List<String> halfMenuCodes;

}
