package com.crunii.micro.service.sysmgr.dto.sysmgr;

import com.crunii.micro.domain.entity.main.TsmRoleApp;
import com.crunii.micro.service.sysmgr.RoleOrg;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import java.io.Serializable;
import java.util.List;

@Setter
@Getter
@ToString
@ApiModel
public class RoleResp implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "角色id")
    private long roleId;

    @ApiModelProperty(value = "角色名称")
    private String roleName;

    @ApiModelProperty(value = "角色描述")
    private String roleDesc;

    @ApiModelProperty(value = "组织列表")
    private List<RoleOrg> orgs;

    @ApiModelProperty(value = "应用列表")
    private List<TsmRoleApp> apps;

    @ApiModelProperty(value = " 0 无效，1有效")
    private int state;

    @ApiModelProperty(value = "创建时间")
    private java.util.Date createTime;

}
