/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.sysmgr.dto.sysmgr;

import java.io.Serializable;
import java.util.Set;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @author 田平 create 2018年11月1日下午3:00:26
 */
@Setter
@Getter
@ToString
@ApiModel(description = "创建角色")
public class RoleU implements Serializable {
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "角色Id")
	private int roleId;

	@ApiModelProperty(value = "角色描述")
	private String roleDesc;

	@ApiModelProperty(value = "角色名称")
	private String roleName;

	@ApiModelProperty(value = "组织id列表")
	private Set<Long> orgIds;

	@ApiModelProperty(value = "状态|0有效1无效")
	private int state;

}
