/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.sysmgr.dto.sysmgr;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @author 田平 create 2018年11月1日下午3:00:26
 */
@Setter
@Getter
@ToString
@ApiModel(description = "Url组checkBox")
public class RoleUrlGroupCB implements Serializable {
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "是否具有该Url组")
	private boolean checked;

	@ApiModelProperty(value = " urlId")
	private int groupId;

	@ApiModelProperty(value = "url组名称")
	private String groupName;

	@ApiModelProperty(value = "url描述")
	private String groupDesc;

	@ApiModelProperty(value = "0 无效，1有效")
	private int state;

	@ApiModelProperty(value = "创建时间")
	private java.util.Date createTime;

}
