package com.crunii.micro.service.sysmgr.dto.sysmgr;

import cn.hutool.core.lang.RegexPool;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Pattern;
import java.io.Serializable;

/**
 * @author: LG
 * @date: 2023/12/11 9:59
 */
@Data
@EqualsAndHashCode
@ApiModel("更改用户手机DTO")
public class SetUserPhoneDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("手机号")
    @Pattern(regexp = RegexPool.MOBILE,message = "手机号格式错误")
    private String mobile;

    @ApiModelProperty("验证码")
    private String serviceCode;

    @ApiModelProperty("updateKey")
    private String updateKey;





}
