package com.crunii.micro.service.sysmgr.dto.sysmgr;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * youth-cq.
 * 全国统计用区划编码和城乡划分编码 数据接收
 * @author leixb
 * @since 2023-12-05 15:55
 **/
@Data
@ApiModel(value = "全国统计用区划编码和城乡划分编码 数据接收")
public class TsmChinaRegionVO implements Serializable {
    
    private static final long serialVersionUID = 1L;
    
    @ApiModelProperty("编码")
    private String code;
    
    @ApiModelProperty("名称")
    private String name;
    
    @ApiModelProperty("层级：1-省级；2-市；3-区县；4-街道；5-社区/村")
    private String regionLevel;
    
    @ApiModelProperty("上级省份编码")
    private String provinceCode;
    
    @ApiModelProperty("上级市辖区编码")
    private String cityCode;
    
    @ApiModelProperty("上级区县编码")
    private String areaCode;
    
    @ApiModelProperty("上级街道编码")
    private String streetCode;
    
}
