/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.sysmgr.dto.sysmgr;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import javax.persistence.Column;
import java.io.Serializable;

/**
 * @author 田平 create 2019年5月29日下午2:24:02
 */
@Setter
@Getter
@ToString
@ApiModel(description = "创建URL")
public class UrlC implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "url 路径")
	private String urlPath;

	@ApiModelProperty(value = "url名称功能")
	private String urlName;

	@ApiModelProperty(value = "url描述")
	private String urlDesc;

	@Column(name = "request_type")
	@ApiModelProperty(value = "请求类型 0get 1post ...")
	private Integer  requestType;

}
