/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved.
 * <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.sysmgr.dto.sysmgr;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;

/**
 * @author shenhs create 2023/7/15 15:28
 */
@Setter
@Getter
@ToString
@ApiModel(description = "页面访问记录")
public class VisitLogReq implements Serializable {
	private static final long serialVersionUID = 1L;

	@ApiModelProperty("访问类型：1、内部地址 2、外部地址")
	private Integer visitType;

	@ApiModelProperty("访问url")
	private String url;

	@ApiModelProperty(value = "菜单编码")
	private String menuCode;

	@ApiModelProperty(value = "访问位置(app/web)")
	private String scope;

	@ApiModelProperty(value = "菜单模块")
	private String menuModule;
	@ApiModelProperty(name = "访客唯一标识",notes = "")
	private String visitorCode ;
}
