/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.sysmgr.dto.sysmgr;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import javax.validation.constraints.Email;
import java.io.Serializable;
import java.util.Date;
import java.util.List;


@Setter
@Getter
@ToString
@ApiModel(description = "保存签名")
public class WorkerSignatureReqVo implements Serializable {
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "签名url")
	private String signatureUrl;

	@ApiModelProperty(value = "用户签名文件")
	private String signatureFileId;

	@ApiModelProperty(value = "用户名称")
	private String workerName;

}
