package com.crunii.micro.service.sysmgr.dto.sysmgr;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author baoxy
 * @date 2023-07-12
 */
@Data
@ApiModel(description = "接入管理-新增字段")
public class YcqAppVersionVo implements Serializable {
    private static final long serialVersionUID = 1L;

    private Long id;
    /**
     * 版本号
     */
    @ApiModelProperty(name = "版本号", notes = "")
    private String version;
    /**
     * 上线内容
     */
    @ApiModelProperty(name = "上线内容", notes = "")
    private String content;
    /**
     * app包上传地址
     */
    @ApiModelProperty(name = "app包上传地址", notes = "")
    private String fileUrl;


    @ApiModelProperty(name = "版本名字", notes = "")
    private String versionName;

    /**
     * 更新类型
     */
    @ApiModelProperty(name = "是否强制更新", notes = "")
    private Integer updatesType;

    /**
     * 发布时间
     */
    @ApiModelProperty(name = "发布时间", notes = "")
    private Date publishTime;

    /**
     * 最低版本
     */
    @ApiModelProperty(name = "最低版本", notes = "")
    private String minimumVersion;

    @ApiModelProperty(name = "是否有效 1是 0否", notes = "")
    private String isAvailable;

    /**
     * 客户端类型 1安卓
     */
    @ApiModelProperty(name = "客户端类型 1安卓", notes = "")
    private Integer clientType;

    /**
     * 发布类型
     */
    @ApiModelProperty(name = "发布类型", notes = "")
    private Integer publicationType;





    /**
     * 更新类型
     */
    @ApiModelProperty(name = "是否强制更新", notes = "")
    private String updatesTypeValue;

    /**
     * 客户端类型 1安卓
     */
    @ApiModelProperty(name = "客户端类型 1安卓", notes = "")
    private String clientTypeValue;

    /**
     * 发布类型
     */
    @ApiModelProperty(name = "发布类型", notes = "")
    private String publicationTypeValue;

}
