package com.crunii.micro.service.sysmgr.dto.sysmgr;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author wangchen create 2023/6/5 16:18
 */
@Data
@ApiModel(description = "团委组织详情创建")
public class YcqLeagueDetailC implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "组织编码")
    private Integer admNum;

    @ApiModelProperty(value = "组织编码")
    private String contactAddress;

    @ApiModelProperty(value = "组织编码")
    private String contactEmail;

    @ApiModelProperty(value = "组织编码")
    private String contactTelephone;

    @ApiModelProperty(value = "组织编码")
    private String contactPerson;

    @ApiModelProperty(value = "组织编码")
    private String createTime;

    @ApiModelProperty(value = "组织编码")
    private Integer enterPriseNum;

    @ApiModelProperty(value = "组织编码")
    private String graduationData;

    @ApiModelProperty(value = "组织编码")
    private Integer graduationDataStatus;

    @ApiModelProperty(value = "组织编码")
    private String industryName;

    @ApiModelProperty(value = "组织编码")
    private String industryTypeId;

    @ApiModelProperty(value = "组织编码")
    private Integer isCheckGDate;

    @ApiModelProperty(value = "组织编码")
    private Integer isCountry;

    @ApiModelProperty(value = "组织编码")
    private Integer isNewCreated;

    @ApiModelProperty(value = "组织编码")
    private Integer isSchool;

    @ApiModelProperty(value = "组织编码")
    private String leagueCode;

    @ApiModelProperty(value = "组织编码")
    private String leagueFullName;

    @ApiModelProperty(value = "组织编码")
    private String leagueId;

    @ApiModelProperty(value = "组织编码")
    private String leagueName;

    @ApiModelProperty(value = "组织编码")
    private String leaguePhoto64;

    @ApiModelProperty(value = "组织编码")
    private String leaguePhotoUrl;

    @ApiModelProperty(value = "组织编码")
    private String leagueSecretary;

    @ApiModelProperty(value = "组织编码")
    private String leagueTypeId;

    @ApiModelProperty(value = "组织编码")
    private String leagueTypeName;

    @ApiModelProperty(value = "组织编码")
    private String modifyName;

    @ApiModelProperty(value = "组织编码")
    private String modifyTime;

    @ApiModelProperty(value = "组织编码")
    private String notClassReason;

    @ApiModelProperty(value = "组织编码")
    private String parentLeagueFullName;

    @ApiModelProperty(value = "组织编码")
    private String parentLeagueId;

    @ApiModelProperty(value = "组织编码")
    private String parentLeagueName;

    @ApiModelProperty(value = "组织编码")
    private Integer realAdmNum;

    @ApiModelProperty(value = "组织编码")
    private Integer realEnterPriseNum;

    @ApiModelProperty(value = "组织编码")
    private Integer recommendPartyNum;

}
