package com.crunii.micro.service.sysmgr.dto.sysmgr;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangchen create 2023/6/1 16:06
 */
@Data
@ApiModel("团委组织树参数")
public class YcqLeagueTreeVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    private String leagueId;

    @ApiModelProperty(value = "组织编码")
    private String leagueCode;

    @ApiModelProperty(value = "组织名称")
    private String leagueName;

    @ApiModelProperty(value = "true 是叶子节点 false 不是叶子节点")
    private boolean leaf;
}
