package com.crunii.micro.service.sysmgr.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.sysmgr.dto.sysmgr.MessagePageDto;
import com.crunii.micro.service.sysmgr.dto.sysmgr.MessagePageVo;

/**
 * @author baoxy
 * @date 2023-07-17
 */
public interface MessageNoticeService {

    /**
     * 分页查询
     *
     * @param req    分页实体类
     * @param worker 用户实体类
     * @return PageRsp<MessagePageVo>参数
     */
    Result<PageRsp<MessagePageVo>> pageSearch(PageReq<MessagePageDto> req, Worker worker);
}
