package com.crunii.micro.service.sysmgr.service;

import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.sysmgr.dto.sysmgr.TsmChinaRegionReqDTO;
import com.crunii.micro.service.sysmgr.dto.sysmgr.TsmChinaRegionResVO;

import java.util.List;

/**
 * youth-cq.
 * 全国统计用区划代码和城乡划分编码
 * @author leixb
 * @since 2023-12-05 16:45
 **/
public interface TsmChinaRegionService {
    
    /**
     * 查询
     * @author leixb
     * @since 2023-12-05 16:49
     * @param worker 用户
     * @param req 参数
     * @return List<TsmChinaRegionResVO>
     */
    List<TsmChinaRegionResVO> findRegion(Worker worker, TsmChinaRegionReqDTO req);
}
