package com.crunii.micro.service.sysmgr.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.service.sysmgr.api.domain.dto.SendMessageTaskQueryDTO;
import com.crunii.micro.service.sysmgr.api.domain.dto.YcqBatchReadMessageDTO;
import com.crunii.micro.service.sysmgr.api.domain.dto.YcqMessageQueryKeywordDTO;
import com.crunii.micro.service.sysmgr.api.domain.dto.YcqPageUserMessageRecordDTO;
import com.crunii.micro.service.sysmgr.api.domain.vo.SendMessageTaskPageVO;
import com.crunii.micro.service.sysmgr.api.domain.vo.YcqExportMessageRecordVO;
import com.crunii.micro.service.sysmgr.api.domain.vo.YcqPageMessageRecordVO;
import com.crunii.micro.service.sysmgr.api.domain.vo.YcqPageUserMessageRecordVO;

import java.util.List;

public interface YcqMessageRecordService {
    PageRsp<YcqPageMessageRecordVO> pageByCondition(PageReq<YcqMessageQueryKeywordDTO> req);


    List<YcqExportMessageRecordVO> list(YcqMessageQueryKeywordDTO req);

    PageRsp<SendMessageTaskPageVO> pageTaskByCondition(PageReq<SendMessageTaskQueryDTO> req);

    PageRsp<YcqPageUserMessageRecordVO> pageUserMessage(PageReq<YcqPageUserMessageRecordDTO> req, Integer i);

    Boolean batchRead(List<Long> ids, Integer loginId);
}
