package com.crunii.micro.service.youthcall.dto.vo;

import com.crunii.micro.service.youthcall.dto.YcqPublishActivity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import javax.persistence.Column;
import java.io.Serializable;
import java.math.BigInteger;

@ToString
@Data
public class YcqPublishActivityVo extends YcqPublishActivity implements Serializable {

    private static final long serialVersionUID = 1L;

    // 青呼码id
    @ApiModelProperty(name = "qrcodeId",notes = "")
    private BigInteger qrcodeId;

    // 是否关联活动
    @ApiModelProperty(name = "isActivity",notes = "")
    private Boolean isActivity;

    @ApiModelProperty(name = "开始时间",notes = "")
    private String startTimeBegin;

    @ApiModelProperty(name = "结束时间",notes = "")
    private String startTimeEnd;
}