package com.crunii.micro.service.youthcall.dto.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;

/**
 * @author PANJL
 * @date 2023-12-16 13:56
 */
@ToString
@Data
public class YcqYouthcallCheckInApplyQueryCondition implements Serializable {

    @ApiModelProperty(name = "申请人id", notes = "")
    private String applyUserId;

    @ApiModelProperty(name = "申请人姓名", notes = "")
    private String applyUserName;

    @ApiModelProperty(name = "审核状态", notes = "")
    private String auditStatus;

    @ApiModelProperty(name = "驿站id", notes = "")
    private String hotelId;

    @ApiModelProperty(name = "驿站名称", notes = "")
    private String hotelName;

    @ApiModelProperty(name = "身份证号", notes = "")
    private String idCard;

}
