package com.crunii.micro.service.youthcall.dto.vo.commonDemand;

import com.crunii.micro.service.youthcall.dto.YcqYouthcallCommonDemand;
import com.crunii.micro.service.youthcall.dto.vo.personalDemand.PersonalDemandVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

@ApiModel(description = "共性需求详情返回对象")
@ToString
@Data
public class CommonDemandDetailVo extends YcqYouthcallCommonDemand implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "共性需求图片(多条)", notes = "")
    private List<String> commonDemandImgList;

    @ApiModelProperty(name = "共性绑定的所有个性化需求图片(多条)", notes = "")
    private List<String> allPersonalDemandImgList;

    @ApiModelProperty(name = "个性化需求列表", notes = "")
    private List<PersonalDemandVo> personDemandList;

}
