package com.crunii.micro.service.youthcall.dto.vo.commonDemand;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


@ToString
@Data
public class YcqYouthcallCommonDemandReq {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "共性需求编号",notes = "")
    private String commonDemandNo;

    @ApiModelProperty(name = "共性需求标题",notes = "")
    private String demandTitle;

    @ApiModelProperty(name = "共性需求内容",notes = "")
    private String demandContent;

    @ApiModelProperty(name = "共性需求类型",notes = "")
    private String demandType;

    @ApiModelProperty(name = "所属业务",notes = "")
    private String appCode;

    @ApiModelProperty(name = "需求状态(01:待处理 02:已转工单)",notes = "")
    private String commonDemandStatus;

    @ApiModelProperty(name = "创建时间的开始时间", notes = "")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startCreatedTime;

    @ApiModelProperty(name = "创建时间的结束时间", notes = "")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endCreatedTime;

    @ApiModelProperty(name = "处理时间的开始时间", notes = "")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startDealTime;

    @ApiModelProperty(name = "处理时间的结束时间", notes = "")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endDealTime;

}
