package com.crunii.micro.service.youthcall.dto.vo.personalDemand;

import com.crunii.micro.service.youthcall.dto.YcqYouthcallPersonalDemand;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

@ApiModel(description = "工单调度分页返回对象")
@ToString
@Data
public class PersonalCommonImgVo extends YcqYouthcallPersonalDemand implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "所有个性化需求图片(多条)", notes = "")
    private List<String> allImgList;

    @ApiModelProperty(name = "可选择的个性化需求图片(多条)", notes = "")
    private List<String> canChooseImgList;

    @ApiModelProperty(name = "已选择的个性化需求图片(多条)", notes = "")
    private List<String> commonImgList;

}
