package com.crunii.micro.service.youthcall.dto.vo.personalDemand;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigInteger;
import java.util.Date;
import java.util.List;

@ToString
@Data
public class YcqYouthcallPersonalDemandReq {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "个性化需求id列表",notes = "")
    private List<BigInteger> idList;

    @ApiModelProperty(name = "个性化需求编号",notes = "")
    private String personalDemandNo;

    @ApiModelProperty(name = "需求内容",notes = "")
    private String demandContent;

    @ApiModelProperty(name = "需求状态(01:未转化 02:已转化 03:已撤销)",notes = "")
    private String personalDemandStatus;

    @ApiModelProperty(name = "创建时间的开始时间", notes = "")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startCreatedTime;

    @ApiModelProperty(name = "创建时间的结束时间", notes = "")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endCreatedTime;

    @ApiModelProperty(name = "处理时间的开始时间", notes = "")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startDealTime;

    @ApiModelProperty(name = "处理时间的结束时间", notes = "")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endDealTime;

    @ApiModelProperty(name = "提出人id",notes = "")
    private BigInteger proposerId;

}
