package com.crunii.micro.service.youthcall.dto.vo.personalDemand;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.math.BigInteger;
import java.util.List;

@ToString
@Data
public class YcqYouthcallPersonalToCommonVo {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "个性化需求id列表",notes = "")
    private List<BigInteger> idList;

    @ApiModelProperty(name = "共性需求类型",notes = "")
    private String demandType;

    @ApiModelProperty(name = "共性需求标题",notes = "")
    private String demandTitle;

    @ApiModelProperty(name = "共性需求内容",notes = "")
    private String demandContent;

    @ApiModelProperty(name = "创建共性需求方式(0:选择已创建的共性需求 1:新创建共性需求)",notes = "")
    private String createCommonType;

    @ApiModelProperty(name = "共性需求主键(选择已创建的共性需求时传)",notes = "")
    private BigInteger commonDemandId;

    @ApiModelProperty(name = "需求图片(多条)", notes = "")
    private List<String> demandImgList;

}
