package com.crunii.micro.service.youthcall.dto.vo.productAdviceVo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigInteger;
import java.util.Date;
import java.util.List;

@ToString
@Data
public class YcqYouthcallProductAdviceReq {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "产品建议编号",notes = "")
    private String adviceNo;

    @ApiModelProperty(name = "产品建议标题",notes = "")
    private String adviceTitle;

    @ApiModelProperty(name = "产品建议类型(1:功能问题 2:用户体验 3:产品建议)",notes = "")
    private String adviceType;

    @ApiModelProperty(name = "产品建议状态(1:未处理 2:已处理)",notes = "")
    private String adviceStatus;

    @ApiModelProperty(name = "所属业务",notes = "")
    private String appCode;

    @ApiModelProperty(name = "创建时间的开始时间", notes = "")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startCreatedTime;

    @ApiModelProperty(name = "创建时间的结束时间", notes = "")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endCreatedTime;

    @ApiModelProperty(name = "提出人id",notes = "")
    private BigInteger proposerId;

}
