package com.crunii.micro.service.youthcall.dto.vo.workOrder;

import com.crunii.micro.service.youthcall.dto.YcqYouthcallCommonDemand;
import com.crunii.micro.service.youthcall.dto.YcqYouthcallWorkOrder;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

@ApiModel(description = "工单分页返回对象")
@ToString
@Data
public class WorkOrderBaseVo extends YcqYouthcallWorkOrder implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "工单图片(多条)", notes = "")
    private List<String> workOrderImgList;

    @ApiModelProperty(name = "是否含有下级组织", notes = "")
    private String nextOrg;

    @ApiModelProperty(name = "是否含有上级组织", notes = "")
    private String pOrg;

    @ApiModelProperty(name = "是否含有同级级组织", notes = "")
    private String sameOrg;

    @ApiModelProperty(name = "展示形式", notes = "")
    private String showType;

}
