package com.crunii.micro.service.youthcall.dto.vo.workOrder;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import java.io.Serializable;
import java.util.Date;

@ApiModel(description = "工单详情-处理信息返回对象")
@ToString
@Data
public class WorkOrderDealVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "处理人名称", notes = "")
    private String dealWorkerName;

    @ApiModelProperty(name = "createdTime", notes = "处理时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date dealTime;

    @ApiModelProperty(name = "处理信息", notes = "")
    private String dealContent;
}
