package com.crunii.micro.service.youthcall.dto.vo.workOrder;

import com.crunii.micro.service.youthcall.dto.YcqYouthcallWorkOrder;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

@ApiModel(description = "工单详情返回对象")
@ToString
@Data
public class WorkOrderDetailVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "工单基本信息", notes = "")
    private WorkOrderBaseVo workOrderBaseVo;

    @ApiModelProperty(name = "处理信息", notes = "")
    private List<WorkOrderDealVo> workOrderDealList;

    @ApiModelProperty(name = "上报信息", notes = "")
    private List<WorkOrderEscalationVo> workOrderEscalationList;

    @ApiModelProperty(name = "下派信息", notes = "")
    private List<WorkOrderAllocationVo> workOrderAllocationList;

    @ApiModelProperty(name = "评价信息", notes = "")
    private List<WorkOrderEvaluateVo> workOrderEvaluateList;

    @ApiModelProperty(name = "回访信息", notes = "")
    private List<WorkOrderFollowUpVo> workOrderFollowUpList;

    @ApiModelProperty(name = "归档信息", notes = "")
    private List<WorkOrderFileVo> workOrderFileList;

    @ApiModelProperty(name = "回复信息", notes = "")
    private List<WorkOrderReplyVo> workOrderReplyList;

    @ApiModelProperty(name = "整体流程信息", notes = "")
    private List<WorkOrderProcessVo> workOrderProcessList;
}
