package com.crunii.micro.service.youthcall.dto.vo.workOrder;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

@ApiModel(description = "工单详情-评价信息返回对象")
@ToString
@Data
public class WorkOrderEvaluateVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "评价人名称",notes = "")
    private String evaluateName;

    @ApiModelProperty(name = "createdTime", notes = "评价时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date evaluateTime;

    @ApiModelProperty(name = "评价星级",notes = "")
    private String evaluateStar;

    @ApiModelProperty(name = "评价内容",notes = "")
    private String evaluateContent;
}
