package com.crunii.micro.service.youthcall.dto.vo.workOrder;

import com.crunii.micro.service.youthcall.dto.YcqYouthcallWorkOrder;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

@ApiModel(description = "工单excel返回对象")
@ToString
@Data
public class WorkOrderExcelVo extends YcqYouthcallWorkOrder implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "工单类型名称", notes = "")
    private String workOrderTypeName;

    @ApiModelProperty(name = "工单来源名称", notes = "")
    private String sourceName;

    @ApiModelProperty(name = "工单状态名称", notes = "")
    private String processStatusName;

}
