package com.crunii.micro.service.youthcall.dto.vo.workOrder;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.math.BigInteger;

@ToString
@Data
public class YcqYouthcallWorkOrderEscalationReq {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "工单id",notes = "")
    private BigInteger workOrderId;

    @ApiModelProperty(name = "上报对象(1:上级组织 2:综治系统 3:民呼我为)",notes = "")
    private String reportType;

    @ApiModelProperty(name = "流转组织id(上报)",notes = "")
    private BigInteger transferOrgId;

    @ApiModelProperty(name = "流转组织名称(上报)",notes = "")
    private String transferOrgName;

    @ApiModelProperty(name = "工单优先级(上报、下派: 1:低 2:中 3:高)",notes = "")
    private String priority;

    @ApiModelProperty(name = "上报说明",notes = "")
    private String dealContent;

}
