package com.crunii.micro.service.youthcall.dto.vo.workOrder;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.util.List;

@ToString
@Data
public class YcqYouthcallWorkOrderInsertReq {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "工单标题",notes = "")
    private String workOrderName;

    @ApiModelProperty(name = "工单类型",notes = "")
    private String workOrderType;

    @ApiModelProperty(name = "工单内容",notes = "")
    private String workOrderContent;

    @ApiModelProperty(name = "工单图片列表",notes = "")
    private List<String> workOrderImgList;

    @ApiModelProperty(name = "工单来源唯一标识(青呼码qrcode)",notes = "")
    private String sourceId;

    @ApiModelProperty(name = "工单来源",notes = "")
    private String source;

    @ApiModelProperty(name = "用户上传的手机号",notes = "")
    private String phone;

    @ApiModelProperty(name = "用户上传的短信验证码",notes = "")
    private String code;

    @ApiModelProperty(name = "所属区域id",notes = "")
    private Integer zoneId;

}
