package com.crunii.micro.service.youthcall.jdbc;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.service.youthcall.dto.YcqYouthcallCommonDemand;
import com.crunii.micro.service.youthcall.dto.YcqYouthcallPersonalDemand;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import java.math.BigInteger;
import java.util.List;

/**
 * @author yts create 2023-11-01 22:19:51
 */
@Repository
public interface YcqYouthcallCommonDemandRepo extends BaseRepo<YcqYouthcallCommonDemand, BigInteger>, JpaSpecificationExecutor<YcqYouthcallCommonDemand> {

    List<YcqYouthcallCommonDemand> findByDelFlag(Integer delFlag);

    List<YcqYouthcallCommonDemand> findByDemandContentLikeAndDelFlag(String demandContent, Integer delFlag);

    List<YcqYouthcallCommonDemand> findByDemandTypeAndDelFlag(String demandType, Integer delFlag);

}
