package com.crunii.micro.service.youthcall.jdbc;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.YcqAppConfigUrl;
import com.crunii.micro.service.youthcall.dto.YcqYouthcallWorkOrderDispatchOrg;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import java.math.BigInteger;
import java.util.List;

/**
 * @author yts create 2023-10-31 22:19:51
 */
@Repository
public interface YcqYouthcallWorkOrderDispatchOrgRepo extends BaseRepo<YcqYouthcallWorkOrderDispatchOrg, BigInteger>, JpaSpecificationExecutor<YcqYouthcallWorkOrderDispatchOrg> {
    List<YcqYouthcallWorkOrderDispatchOrg> findByDispatchIdAndDelFlag(BigInteger dispatchId, Integer delFlag);

    List<YcqYouthcallWorkOrderDispatchOrg> findByDispatchIdInAndDelFlag(List<BigInteger> dispatchId, Integer delFlag);
}
