/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.youthcall.service.impl;

import com.crunii.micro.core.cache.TsmPropertyCache;
import com.crunii.micro.domain.entity.main.TsmPropertyValue;
import com.crunii.micro.domain.repo.main.TsmPropertyRepo;
import com.crunii.micro.domain.repo.main.TsmPropertyValueRepo;
import com.crunii.micro.service.youthcall.service.PropertyService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author 田平 create 2019年2月20日下午4:03:35
 */
@Service
public class PropertyServiceImpl implements PropertyService {
	@Autowired
	private TsmPropertyRepo tsmPropertyRepo;
	@Autowired
	private TsmPropertyValueRepo tsmPropertyValueRepo;
	@Autowired
	private TsmPropertyCache cache;

	public List<TsmPropertyValue> getValuesByCode(String propCode) {
//		TsmProperty prop = tsmPropertyRepo.getUniqueByProp("propCode", propCode);
		return tsmPropertyValueRepo.findByProp("propCode", propCode);
	}
}
