package com.crunii.micro.service.youthcall.thirdrequest;

import lombok.Getter;

@Getter
public enum QnyzUriEnum {

    /**
     * 获取token
     */
    GET_TOKEN("/ysQcCqApp/getToken"),

    /**
     * 查询驿站列表信息
     */
    QUERY_HOTEL_LIST("/ysQcCqApp/queryHotelList"),

    /**
     * 查询驿站详细信息
     */
    GET_HOTEL_INFO_BY_ID("/ysQcCqApp/getHotelInfoById"),

    /**
     * 驿站入住申请，POST
     */
    SAVE_APPLY_INFO("/ysQcCqApp/saveApplyInfo"),

    /**
     * 查询审核状态
     */
    GET_AUDIT_STATUS("/ysQcCqApp/getAuditStatus"),

    /**
     * 取消入住申请
     */
    APPLY_CANCEL("/ysQcCqApp/applyCancel"),

    /**
     * 申请退房
     */
    UPDATE_APPLY_HOTEL_AUDIT("/ysQcCqApp/updateApplyHotelAudit"),

    /**
     * 续住申请
     */
    UPDATE_APPLY_HOTEL_XZ("/ysQcCqApp/updateApplyHotelXZ"),

    /**
     * 获取字典数据
     */
    GET_AA_10("/ysQcCqApp/getAa10"),
    ;

    /**
     * 接口地址
     */
    private final String uri;

    QnyzUriEnum(String uri) {
        this.uri = uri;
    }

}
