/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.common.config;

import com.alibaba.nacos.api.annotation.NacosProperties;
import com.alibaba.nacos.spring.context.annotation.config.EnableNacosConfig;
import org.springframework.context.annotation.Configuration;

/**
 * @author 田平 create 2019年6月26日下午3:40:55
 */
@Configuration
@EnableNacosConfig(
		globalProperties = @NacosProperties(
				serverAddr = "${spring.cloud.nacos.config.server-addr}",
				username = "${spring.cloud.nacos.config.username}",
				password = "${spring.cloud.nacos.config.password}",
				namespace = "${spring.cloud.nacos.config.namespace}"
		)
)
public class NacosConfiguration {

}
