/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.common.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * @author 田平 create 2019年2月27日上午11:50:46
 */
@Getter
@Setter
@ToString
@ApiModel(description = "CheckBox树")
public class CBTree<T> implements Serializable {

	private static final long serialVersionUID = 1L;
	@ApiModelProperty(value = "树形节点列表")
	private List<TreeNode<T>> nodes;
	@ApiModelProperty(value = "全选择节点ID列表")
	private List<String> checkedIds;

//	@ApiModelProperty(value = "半选中节点ID列表，注意修改关联的时候需要这个属性，展现不需要")
//	private List<String> halfCheckedIds;

}
