/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.common.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;

/**
 * @author 田平 create 2018年10月31日下午2:49:59
 */
@Getter
@Setter
@ToString
@ApiModel(description = "验证码信息")
public class CaptchaInfo implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "验证码对应的key，登录需要回传")
	private String captchaKey;

	@ApiModelProperty(value = "验证码图片的base64编码")
	private String captchaBase64;

}
