/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.common.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;

/**
 * @author 田平 create 2019年6月18日上午11:28:02
 */
@Setter
@Getter
@ToString
@ApiModel(description = "文件下载响应信息")
public class FileResponse implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "文件名称")
    private String name;

    @ApiModelProperty(value = "原始文件名称")
    private String originalFilename;

    @ApiModelProperty(value = "文件状态")
    private String status = "done";

    @ApiModelProperty(value = "文件id")
    private String uid;

    @ApiModelProperty(value = "文件url")
    private String url;
}
