package com.crunii.micro.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@ApiModel(description = "登录请求参数")
@Data
public class LoginInfoDto implements Serializable {
    private static final Long serialVersionUID = 1L;

    @ApiModelProperty("手机号")
    private String mobile;

    @ApiModelProperty("短信验证码")
    private String smsCode;

    @ApiModelProperty("作用域")
    private String scope;

    @ApiModelProperty("userId")
    private String userId;

    @ApiModelProperty("愉快政AuthCode")
    private String authCode;

    @ApiModelProperty("是否愉快政接入0否1是")
    private String ykz="0";
}
