/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.core.dto;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @author 田平 create 2018年10月15日下午5:56:53
 */
@Setter
@Getter
@ToString
@ApiModel(description = "用户信息")
public class ApiUserDemo {
	@ApiModelProperty(value = "用户名")
	private String username = "TTTT";
	@ApiModelProperty(value = "密码")
	private String password = "RRRR";
	@ApiModelProperty(value = "登录时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date loginTime = new Date();
}
