/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved.
 * <a>http://www.crunii.com</a>
 */
package com.crunii.micro.ds.config;

import com.crunii.micro.domain.common.hibernate.action.listener.EncryptColListener;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * <pre>字段加密配置</pre>
 *
 * @author 田平 create 2021/4/2 16:36
 */
@Configuration
@ConditionalOnProperty(value = "spring.enableEncryptCol", havingValue = "true")
public class EncryptColConfiguration {

	@Bean
	public EncryptColListener regEncryptListener() {
		return new EncryptColListener();
	}
}
