/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.ds.properties;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @author 田平 create 2019年7月16日下午6:43:11
 */
@Component
@Setter
@Getter
@ToString
@ConfigurationProperties(prefix = "mysql.jdbc")
public class MysqlCommProperties {
	private String XADataSource;
	private boolean rewriteBatchedStatements;
	private boolean useUnicode;
	private boolean failOverReadOnly;
	private boolean pinGlobalTxToPhysicalConnection;
	private String characterEncoding;
	private boolean autoReconnect;
	private boolean useSSL;
}
