/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.domain.common.hibernate.action;

import java.io.Serializable;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @author 田平 create 2017年6月6日上午10:26:39
 */
@Getter
@Setter
@ToString
public class Action implements Serializable {

	public static final int actionI = 1;// 插入
	public static final int actionU = 2;// 更新
	public static final int actionD = 3;// 删除

	public static final String actionIName = "插入";// 插入
	public static final String actionUName = "更新";// 更新
	public static final String actionDName = "删除";// 删除

	private static final long serialVersionUID = 1L;

	public String tableName;
	public String idName;
	public String idValue;
	public int operAction;
	public String actionName;
	public String columnName;


}
