/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved.
 * <a>http://www.crunii.com</a>
 */
package com.crunii.micro.domain.common.jdbc.dto;

import lombok.*;

import java.io.Serializable;
import java.lang.reflect.Field;

/**
 * @author 田平 create 2020/11/27 16:53
 */
@Setter
@Getter
@ToString
@AllArgsConstructor
@NoArgsConstructor
public class DomainCol implements Serializable {

	private static final long serialVersionUID = 1L;

//	private String propName;
//	private Class<?> propType;

	private Field field;
	private String colName;
	private boolean autoIncrement;

	public DomainCol(Field field, String colName) {
		this.field = field;
		this.colName = colName;
	}
}
