package com.crunii.micro.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @author wangchen create 2023/12/6 15:45
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel("图片参数")
public class PicInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("图片链接")
    private String picUrl;

    @ApiModelProperty("图片宽度")
    private Integer width;

    @ApiModelProperty("图片高度")
    private Integer height;
}
