package com.crunii.micro.domain.dto.label;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.io.Serializable;

/**
 * @author baoxy
 * @date 2023-06-07
 */
@Data
@ApiModel(description = "标签管理添加标签传入字段")
public class UseCountDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "标识为1,表示标签被引用, 标识为0,表示标签被取消引用")
    @NotEmpty(message = "请传入标识")
    private String mark;

    @ApiModelProperty(value = "标签id")
    @NotEmpty(message = "请传入标签id")
    private String labelId;
}
