/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved.
 * <a>http://www.crunii.com</a>
 */
package com.crunii.micro.domain.dto.sys;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * @author shenhs create 2022/4/7 17:04
 */
@Getter
@Setter
@ApiModel("文件通过base64上传")
public class FileBase64 implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty("图片base64的")
	private String imgBase64;
	@ApiModelProperty("文件的路径")
	private String filePath;

}
