/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved.
 * <a>http://www.crunii.com</a>
 */
package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.TsmAppButton;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author shenhs create 2023/6/14 14:50
 */
@Repository
public interface TsmAppButtonRepo extends BaseRepo<TsmAppButton, Integer> {

	List<TsmAppButton> findAllByParentId(Integer id);

	List<TsmAppButton> findAllByState(Integer state);

	List<TsmAppButton> findAllByCodeAndState(String code,Integer state);

}
