package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.TsmUrl;
import org.springframework.stereotype.Repository;

/**
 * @author 田平 create 2019-01-28 05:01:09
 */
@Repository
public interface TsmUrlRepo extends BaseRepo<TsmUrl, Integer> {

    /**
     * 查询是否存在urlpath
     * @param urlPath url路径
     * @return tsmUrl 为空则不存在
     */
    TsmUrl findByUrlPath(String urlPath);
}
