package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.YcqFileLabelRelation;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author: LG
 * @date: 2023/6/5 16:36
 */
@Repository
public interface YcqFileLabelRelationRepo extends BaseRepo<YcqFileLabelRelation, String> {

    /**
     * 删除标签关联关系
     * @param uploadId 上传id
     */
    void deleteAllByFileId(Long uploadId);
}
