package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.YcqHeadlineArticle;
import org.springframework.stereotype.Repository;

/**
 * @author wangchen create 2023/7/28 16:38
 */
@Repository
public interface YcqHeadlineArticleRepo  extends BaseRepo<YcqHeadlineArticle, Long> {

    /**
     * 查询头条信息
     * @param articleId 头条id
     * @return data
     */
    YcqHeadlineArticle findByHeadlineArticleId(String articleId);
}
