package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.YcqHeadlineArticleWorker;
import org.springframework.stereotype.Repository;

/**
 * @author wangchen create 2023/8/14 14:10
 */
@Repository
public interface YcqHeadlineArticleWorkerRepo extends BaseRepo<YcqHeadlineArticleWorker, Long>{

    /**
     * 通过文章id和用户id查询
     * @param workerId 用户id
     * @param headlineId 文章id
     * @return data
     */
    YcqHeadlineArticleWorker findByWorkerIdAndAndHeadlineId(Integer workerId,Long headlineId);
}
