package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.YcqLeagueCount;
import org.springframework.stereotype.Repository;


/**
 * @author wangchen create 2023/5/31 17:26
 */
@Repository
public interface YcqLeagueCountRepo extends BaseRepo<YcqLeagueCount, Long> {

    /**
     * 查询组织
     * @param leagueCode 组织编码
     * @return data
     */
    YcqLeagueCount findByLeagueCode(String leagueCode);
}
