package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.YcqLeagueUserHonor;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author wangchen create 2023/5/31 17:26
 */
@Repository
public interface YcqLeagueUserHonorRepo extends BaseRepo<YcqLeagueUserHonor, Long> {

    /**
     * 获取当前人获得的荣誉
     * @param userId 用户id
     * @return data
     */
    List<YcqLeagueUserHonor> findByUserId(String userId);
}
