package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.YcqMatchCarousel;
import org.springframework.stereotype.Repository;

/**
 * @author baoxy
 * @date 2023-06-28
 */
@Repository
public interface YcqMatchCarouselRepo extends BaseRepo<YcqMatchCarousel, Long> {

    /**
     * 查询轮播图信息
     * @param articleId 文章id
     * @param webPic 是否web图片
     * @return data
     */
    YcqMatchCarousel findByArticleIdAndWebPic(Long articleId,Integer webPic);
}
