package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.YcqMessageTemplate;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author zjw
 * @version 1.0
 * @date 2023/10/25 17:26
 */
@Repository
public interface YcqMessageTemplateRepo extends BaseRepo<YcqMessageTemplate, Long> {

  YcqMessageTemplate findBySystemNameAndSceneNameAndTitleAndDelFlag(String systemName,String SceneName,String title,Byte delFlag);

  List<YcqMessageTemplate> findBySystemNameAndSceneNameAndTitleAndDelFlagOrderByCreateTimeDesc(String systemName, String SceneName, String title, Byte delFlag);

  YcqMessageTemplate findByTemplateIdAndStatus(Long templateId,Byte status);

}
