package com.crunii.micro.feign.client.dto;

import io.swagger.annotations.*;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangchen create 2023/6/9 9:53
 */
@ApiModel(description = "登录请求参数")
@Data
public class LoginDto implements Serializable {

    private static final Long serialVersionUID = 1L;
    @ApiModelProperty("手机号")
    private String username;

    @ApiModelProperty("密码 rsa加密")
    private String password;

    @ApiModelProperty("作用域")
    private String scope;

    @ApiModelProperty("验证码")
    private String captcha;

    @ApiModelProperty("验证码Key，验证码图片header captchaKey的值")
    private String captchaKey;
}
