package com.crunii.micro.feign.client.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @Description:
 * @Param:
 * @return:
 * @Author: xiang xin
 * @Date: 2023/12/9
 */
@Data
public class MessageSendSelect implements Serializable {
    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "发送ID")
    private Long sendId;

    @ApiModelProperty(value = "发送方式(1短信、2站内、3全部)")
    private String sendWay;

    @ApiModelProperty(value = "消息类型(1PC 、2APP 、3公众号)")
    private String messageType;

    @ApiModelProperty(value = "消息接收人")
    private String receiver;

    @ApiModelProperty(value = "消息发送内容")
    private String messageContent;

    @ApiModelProperty(value = "消息是否已读（0未读、1已读）")
    private Integer isRead;

    @ApiModelProperty(value = "消息来源")
    private String dataSource;

    @ApiModelProperty(value = "消息标题")
    private String dataTitle;

    @ApiModelProperty(value = "通知对象")
    private String notifyObject;

    @ApiModelProperty(value = "推送终端")
    private String pushTerminal;

    @ApiModelProperty(value = "推送时间")
    private String pushTime;

    @ApiModelProperty(value = "用户名")
    private String userName;

    @ApiModelProperty(value = "手机")
    private String mobilePhone;

    @ApiModelProperty(value = "账号")
    private String accountNumber;

    @ApiModelProperty(value = "消息分类")
    private String messageClassify;

    @ApiModelProperty(value = "接收人id")
    private Long loginId;

    @ApiModelProperty(value = "发送人id")
    private Long sendLoginId;

    @ApiModelProperty(value = "message_send_task_id")
    private Long messageSendTaskId;

    @ApiModelProperty(value = "路由+对应参数")
    private String pathAndJson;

    @ApiModelProperty(value = "消息中心图标url展示")
    private String logoUrl;
}
