package com.crunii.micro.feign.client.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;

/**
 * The persistent class for the tsm_property_value database table.
 */
@Setter
@Getter
@ToString
@ApiModel(description = "修改属性值对象")
public class ValueU implements Serializable {
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "属性值ID")
	private int valueId;

	@ApiModelProperty(value = "属性值编码")
	private String valueCode;

	@ApiModelProperty(value = "排序id")
	private int sortId;

	@ApiModelProperty(value = "属性值控制")
	private String valueControl;

	@ApiModelProperty(value = "属性值描述")
	private String valueDesc;

	@ApiModelProperty(value = "属性值描述")
	private String valueName;

	@ApiModelProperty(value = "状态|1有效0无效")
	private int state;

}