package com.crunii.micro.feign.client.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigInteger;
import java.util.Date;
import java.util.List;

@Data
public class YcqYjsCourseMgrResp {

    @ApiModelProperty(name = "specialId", notes = "专题id")
    private BigInteger specialId;

    @ApiModelProperty(name = "specialNumber", notes = "专题编号")
    private String specialNumber;

    @ApiModelProperty(name = "specialName", notes = "专题名称")
    private String specialName;

    @ApiModelProperty(name = "specialType", notes = "专项分类")
    private Integer specialType;

    @ApiModelProperty(name = "specialTypeName", notes = "专项分类名称")
    private String specialTypeName;

    @ApiModelProperty(name = "affiliatedBusinessId", notes = "所属业务")
    private BigInteger affiliatedBusinessId;

    @ApiModelProperty(name = "specialStatus", notes = "专题状态")
    private Integer specialStatus;

    @ApiModelProperty(name = "courseTypeName", notes = "课程分类名称")
    private String courseTypeName;

    @ApiModelProperty(name = "periodValidity", notes = "专题有效期(1:永久,2.自定义)")
    private Integer periodValidity;

    @ApiModelProperty(name = "validityTime", notes = "有效期时间")
    private Date validityTime;

    @ApiModelProperty(name = "id", notes = "课程业务标识")
    private BigInteger id;

    @ApiModelProperty(name = "courseCover", notes = "课程封面")
    private String courseCover;

    @ApiModelProperty(name = "courseId", notes = "课程编号")
    private String courseId;

    @ApiModelProperty(name = "courseName", notes = "课程名称")
    private String courseName;

    @ApiModelProperty(name = "courseDescription", notes = "课程描述")
    private String courseDescription;

    @ApiModelProperty(name = "courseType", notes = "课程分类")
    private Integer courseType;

    @ApiModelProperty(name = "courseLabels", notes = "课程标签")
    private String courseLabels;

    @ApiModelProperty(name = "status", notes = "课程状态")
    private Integer status;

    @ApiModelProperty(name = "isSubcourse", notes = "是否有子课程(1:有，0:没有)")
    private Integer isSubcourse;

    @ApiModelProperty(name = "isTestquestions", notes = "是否有试题(1:有，0:没有)")
    private Integer isTestquestions;

    @ApiModelProperty(name = "testType", notes = "测试类型(1:选择试卷，2:选择试题)")
    private Integer testType;

    @ApiModelProperty(name = "attachment", notes = "附件")
    private String attachment;

    @ApiModelProperty(name = "isUploadvideo", notes = "是否上传视频(1:有，0:没有)")
    private Integer isUploadvideo;

    @ApiModelProperty(name = "uploadvideoGuide", notes = "上传视频引导语")
    private String uploadvideoGuide;

    @ApiModelProperty(name = "courseDuration", notes = "课程时长")
    private Integer courseDuration;

    @ApiModelProperty(name = "courseCredit", notes = "课程学分")
    private Integer courseCredit;

    @ApiModelProperty(name = "subCourseList", notes = "子课程集合")
    private List<YcqYjsCoursesubMgrResp> subCourseList;

}
