package com.crunii.micro.feign.client.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigInteger;
import java.util.Date;

@Data
public class YcqYjsCoursesubMgrResp {

    @ApiModelProperty(name = "主键", notes = "")
    private BigInteger id;

    @ApiModelProperty(name = "子课程名称", notes = "")
    private String subcourseName;

    @ApiModelProperty(name = "子课程url连接", notes = "")
    private String url;

    @ApiModelProperty(name = "课程编号", notes = "")
    private BigInteger courseId;

    @ApiModelProperty(name = "排序", notes = "")
    private Integer xh;

    @ApiModelProperty(name = "是否拖动播放", notes = "")
    private Integer isDragPlay;

    @ApiModelProperty(name = "是否倍数播放", notes = "")
    private Integer isMultiplyPlay;

    @ApiModelProperty(name = "创建时间", notes = "")
    private Date createTime;

    @ApiModelProperty(name = "删除标识", notes = "")
    private Integer delFlag;

    @ApiModelProperty(name = "子课程编号", notes = "")
    private String subCourseId;

    @ApiModelProperty(name = "附件", notes = "")
    private String attachment;

    @ApiModelProperty(name = "附件名称", notes = "")
    private String attachmentName;

    @ApiModelProperty(name = "子课程视频名称", notes = "")
    private String videoName;

    @ApiModelProperty(name = "文件缩略图", notes = "")
    private String pictureUrl;

    @ApiModelProperty(name = "课程时长", notes = "")
    private Integer courseDuration;

}
