package com.crunii.micro.service.appsecond.api.bo;

import com.crunii.micro.common.validate.AddGroup;
import com.crunii.micro.common.validate.EditGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;


/**
 * 【请填写功能名称】业务对象 app_content_detail
 *
 * @author liuchuan
 * @date 2023-12-07
 */

@Data
@EqualsAndHashCode
@ApiModel("【请填写功能名称】业务对象")
public class AppContentDetailBo {

    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id")
    private Long detailId;

    /**
     * 内容id
     */
    @ApiModelProperty(value = "内容id", required = true)
    @NotNull(message = "内容id不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long contentManageId;

    /**
     * 内容
     */
    @ApiModelProperty(value = "内容")
    private String articleContext;

    /**
     * 图片key
     */
    @ApiModelProperty(value = "图片key")
    private String picKey;

    /**
     * 视频key
     */
    @ApiModelProperty(value = "视频key")
    private String videoKey;

    /**
     * 是否删除;1删除  0不删除
     */
    @ApiModelProperty(value = "是否删除;1删除  0不删除", required = true)
    @NotNull(message = "是否删除;1删除  0不删除不能为空", groups = { AddGroup.class })
    private Long delFlag;


}
