package com.crunii.micro.service.appsecond.api.bo.youthHotPoint;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author wangchen create 2023/12/4 18:57
 */
@Data
@ApiModel("排序参数")
public class ContextAppSortDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键id")
    @NotNull(message = "主键id不能为空")
    private Long contentManageId;

    @ApiModelProperty("更改后的序值")
    @NotNull(message = "更改后的序值不能为空")
    private Integer appSort;
}
