package com.crunii.micro.service.appsecond.api.bo.youthHotPoint;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangchen create 2023/12/4 18:57
 */
@Data
@ApiModel("热点排序参数")
public class ContextSortDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键id")
    private Long contentManageId;

    @ApiModelProperty("1 热搜 2 热榜")
    private Integer type;

    @ApiModelProperty("热搜/热榜序值")
    private Integer ordinalValue;
}
