package com.crunii.micro.service.appsecond.api.bo.youthHotPoint;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author wangchen create 2023/12/4 18:57
 */
@Data
@ApiModel("热点排序参数")
public class ContextSortTypeDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键id")
    @NotNull(message = "主键id不能为空")
    private Long contentManageId;

    @ApiModelProperty("下热搜 0 上热搜 1 ")
    private Integer hotSearch;

    @ApiModelProperty("下热榜 0  上热榜 1")
    private Integer hotList;

    @ApiModelProperty("热搜/热榜序值")
    private Integer ordinalValue;
}
