package com.crunii.micro.service.appsecond.api.bo.youthHotPoint;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * @author wangchen create 2023/12/7 9:52
 */
@Data
@ApiModel("媒体账号启停用dto")
public class EnableMediumDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("媒体账号ids")
    @NotNull(message = "媒体账号ids不能为空")
    private List<Long> mediumIds;

    @ApiModelProperty("账号状态 0停用 1启用")
    @NotNull(message = "账号状态不能为空")
    private Integer mediumState;
}
