package com.crunii.micro.service.appsecond.api.constants;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

/**
 * @author wangchen create 2023/12/8 10:12
 */
public class AppSecondConstants {

    /**
     * app首页 热搜热榜最大个数
     */
    public static final int MAX_HOT_SEARCH = 5;

    /**
     * 瀑布流默认宽高 3：2
     */
    public static final int WATER_FALL_DEFAULT_HEIGHT = 240;
    public static final int WATER_FALL_DEFAULT_WIDTH = 160;
    /**
     * 标签最大个数
     */
    public static final int MAX_LABEL_COUNT = 5;

    /**
     * 文章标题最大
     */
    public static final int MAX_TITLE_SIZE = 100;

    /**
     * 视频类型
     */
    public static final Integer videoType = 3;
    /**
     * 可修改状态
     */
    public static final List<Integer> canModifyState = Arrays.asList(0,-1,3);


    /**
     * 消息名
     */
    public static final String YOUTH_HOT = "青年热点";

    /**
     * 发送站内信模板
     */
    public static final String SCENE_NAME_MSG = "青年热点待审核通知";

    /**
     * 发送站内信模板2
     */
    public static final String SCENE_NAME_MSG_IMPORT = "要闻待审核通知";

    /**
     * 发送短信模板
     */
    public static final String SCENE_NAME_SORT = "青年热点待审核短信通知";

    /**
     * 审核完成通知
     */
    public static final String FINISH_AUDIT_MSG = "青年热点待审核审核完成通知";

    /**
     * 审核完成通知
     */
    public static final String FINISH_AUDIT_MSG_IMPORT = "要闻审核完成通知";

    /**
     * 热点下架多少次不能发布
     */
    public static final Integer YOUTH_HOT_OFF_COUNT = 1;
}
