package com.crunii.micro.service.appsecond.api.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author: LG
 * @date: 2023/12/14 16:10
 */
@Data
@EqualsAndHashCode
@ApiModel("添加打开面容")
public class AddFaceDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("面容key")
    private String userIdKey;

    @ApiModelProperty("是否开启面容")
    @NotNull
    private Integer whetherFace;


}
