package com.crunii.micro.service.appsecond.api.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import java.util.Date;

/**
 * @BelongsProject: microservice
 * @BelongsPackage: com.crunii.micro.service.appsecond.api.dto
 * @Author: limy
 * @CreateTime: 2023-12-07  19:01
 * @Description: 个人荣誉信息
 * @Version: 1.0
 */
@Data
@EqualsAndHashCode
@ApiModel("个人荣誉信息")
public class AppPersonalHonorInfoDto {

    /**
     * 获奖时间
     */
    @ApiModelProperty(value = "获奖时间")
    private String honorTime;

    /**
     * 荣誉描述
     */
    @ApiModelProperty(value = "荣誉描述")
    private String honorDesc;

}
