package com.crunii.micro.service.appsecond.api.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * @author wangchen create 2023/12/20 14:21
 */
@Data
@ApiModel("用户浏览dto")
public class UserViewDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键id")
    @NotBlank(message = "主键id不能为空")
    private String contentManageId;
}
