package com.crunii.micro.service.appsecond.api.dto.data;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author baoxy
 * @date 2023-10-10
 */
@Data
@ApiModel(description = "参与详情管理导入el")
public class ExcelHelpCenterData {

    /**
     * 问题
     */
    @ExcelProperty(value = "问题描述*",index = 0)
    @ApiModelProperty("问题")
    private String question;

    /**
     * 关键词用英文逗号,隔开
     */
    @ExcelProperty(value = "关键词*",index = 1)
    @ApiModelProperty("关键词用英文逗号,隔开")
    private String keywords;
    /**
     * 答案
     */
    @ExcelProperty(value = "问题答案*",index = 2)
    @ApiModelProperty("答案")
    private String answer;
    /**
     * 链接
     */
    @ExcelProperty(value = "链接",index = 3)
    @ApiModelProperty("链接")
    private String url;
}
