package com.crunii.micro.service.appsecond.api.dto.youthsapce;

import com.crunii.micro.common.validate.EditGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import javax.validation.constraints.NotNull;
import lombok.Data;

/**
 * @Author thw
 * @date 2023/12/21
 * @description  团队新增模板DTO
 */
@Data
@ApiModel(value = "团队新增模板DTO")
public class ExportSpaceTeamTemplateDTO implements Serializable {

  private static final Long serialVersionUID = 2L;

  @NotNull(message = "营业执照不能为空", groups = { EditGroup.class })
  @ApiModelProperty(name = "营业执照(0:没有、1:有)")
  private Integer businessLicense ;

}
