package com.crunii.micro.service.appsecond.api.dto.youthsapce;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.List;
import lombok.Data;

/**
 * @Author thw
 * @date 2023/12/12
 * @description
 */
@Data
@ApiModel(value = "青创空间单价DTO")
public class QczdPriceObjectDTO implements Serializable {

  private static final Long serialVersionUID = 2L;

  @ApiModelProperty(name = "单价类型(0:按月1:按季2:按年)")
  private Integer priceType ;
  @ApiModelProperty(name = "最低值")
  private String priceMin ;
  @ApiModelProperty(name = "最高值")
  private String priceMax ;
  @ApiModelProperty(name = "是否包含水电(0:否、1:是)")
  private Integer includeState ;
  @ApiModelProperty(name = "单价包含的具体内容")
  private String includeContent ;
  private List<String> includeContentList ;

}
