package com.crunii.micro.service.appsecond.api.dto.youthsapce;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.List;
import lombok.Data;

/**
 * @Author thw
 * @date 2023/12/12
 * @description 青创空间分页请求DTO
 */
@Data
@ApiModel(value = "青创空间分页请求DTO")
public class YouthSpacePageReqDTO implements Serializable {

  private static final Long serialVersionUID = 2L;

  /** 空间id */
  @ApiModelProperty(value = "空间id")
  private List<String> id;

  /** 青创空间名称 */
  @ApiModelProperty(value = "青创空间名称")
  private String spaceName;

  /** 联系人姓名 */
  @ApiModelProperty(value = "联系人姓名")
  private String contactsName;

  /** 电话(联系方式) */
  @ApiModelProperty(value = "电话(联系方式) ")
  private String phone;

  /** 详细地址 */
  @ApiModelProperty(value = "详细地址")
  private String fullAddress;

  /** 层级审核状态(0:待审核、1:通过、2：不通过) */
  @ApiModelProperty(value = "层级审核状态(0:待审核、1:通过、2：不通过) ")
  private Integer evaluateState;

  /** 创建人 */
  @ApiModelProperty(value = "创建人")
  private String createdBy;

  /** 修改时间 */
  @ApiModelProperty(value = "开始时间")
  private String startTime;
  @ApiModelProperty(value = "结束时间")
  private String endTime;


}
