package com.crunii.micro.service.appsecond.api.enums;

import lombok.Getter;

@Getter
public enum YouthHotAuditEnum {
    PASS(true,"成功"),FALSE(false,"失败");
    private final Boolean auditState;
    private final String transStr;
    YouthHotAuditEnum(Boolean auditState,String transStr){
        this.auditState = auditState;
        this.transStr = transStr;
    }

    public static String getTrans(Boolean auditState){
        for (YouthHotAuditEnum value : YouthHotAuditEnum.values()) {
            if(value.auditState.equals(auditState)){
                return value.transStr;
            }
        }
        return null;
    }
}
