package com.crunii.micro.service.appsecond.api.enums;

import lombok.Getter;

/**
 * @author wangchen create 2023/12/14 17:14
 */
@Getter
public enum YouthHotEnum {
    FILE_TYPE_1(1,20),FILE_TYPE_2(2,1),fILE_TYPE_3(3,1);
    private final Integer fileType;
    private final int maxNumber;
    YouthHotEnum(Integer fileType,int maxNumber){
        this.fileType = fileType;
        this.maxNumber = maxNumber;
    }

    public static int getMaxNumber(Integer fileType){
        YouthHotEnum[] values = YouthHotEnum.values();
        for (YouthHotEnum value : values) {
            if(value.getFileType().equals(fileType)){
                return value.getMaxNumber();
            }
        }
        return -1;
    }
}
