package com.crunii.micro.service.appsecond.api.enums;

import lombok.Getter;

@Getter
public enum YouthHotImportNewEnum {
    IMPORT_NEWS(1,"要闻"),YOUTH_HOT(2,"青年热点");

    private final Integer isImportNews;
    private final String trans;

    YouthHotImportNewEnum(Integer isImportNews,String trans){
        this.isImportNews = isImportNews;
        this.trans = trans;
    }

    public static String getTrans(Integer isImportNews){
        for (YouthHotImportNewEnum value : YouthHotImportNewEnum.values()) {
            if(value.getIsImportNews().equals(isImportNews)){
                return value.trans;
            }
        }
        return YouthHotImportNewEnum.YOUTH_HOT.getTrans();
    }
}
