package com.crunii.micro.service.appsecond.api.vo;

import lombok.Data;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.util.List;

/**
 * @Author: zwx
 * @CreateTime: 2023-12-12  16:21:11
 * @Description: 志愿山城个人信息
 */
@Data
public class PersonalInformationVO {

    /**
     * 志愿者编号
     */
    private String volunteerNo;

    /**
     * 志愿者姓名
     */
    private String volunteerName;

    /**
     * 微信头像
     */
    private String headPic;


    /**
     * 服务时长
     */
    private BigDecimal totalTime;

    /**
     * 服务时长排名
     */
    private BigInteger rank;

    /**
     * 学校或单位名称
     */
    private String collegeName;

    /**
     * 参加活动数
     */
    private BigInteger activityCount;

    /**
     * 屏蔽手机号;屏蔽前3后4
     */
    private String mobileSearch;

    /**
     * 屏蔽证件号码;屏蔽前3后4
     */
    private String certNoSearch;

    /**
     * 性别;0-未知的性别 1-男性 2-女性 3-女性改（变）为男性 4-男性改（变）为女性 9-未说明的性别
     */
    private String volunteerSexString;

    /**
     * 用户参与的组织名称
     */
    private List<String> joinOrg;

    /**
     * 更新时间
     */
    private String updateTime;

    /**
     *创建时间
     */
    private String createTime;


}
