package com.crunii.micro.service.appsecond.api.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;




/**
 * @author denggl
 * date 2023/12/13
 */
@Data
@ApiModel("青创阵文件相关")
public class QczdRelationFileVo {

    @ApiModelProperty(name = "主键")
    private Long id ;
    /** 附件id */
    @ApiModelProperty(name = "附件id")
    private String fileId ;
    /** 附件类型(1:图片、2:视频、3:pdf) */
    @ApiModelProperty(name = "附件类型(1:图片、2:视频、3:pdf)")
    private Integer fileType ;
    /** 附件名称 */
    @ApiModelProperty(name = "附件名称")
    private String fileName ;
    /** 附件地址 */
    @ApiModelProperty(name = "附件地址")
    private String fileUrl ;
    /** 文件大小 */
    @ApiModelProperty(name = "文件大小")
    private Integer fileSize ;
    /** 图片宽度 */
    @ApiModelProperty(name = "图片宽度")
    private Integer width ;
    /** 图片高度 */
    @ApiModelProperty(name = "图片高度")
    private Integer height ;
    /** 业务id */
    @ApiModelProperty(name = "业务id")
    private Long serviceId ;

}
