package com.crunii.micro.service.appsecond.api.vo;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * @Author: zwx
 * @CreateTime: 2023-12-13  10:08:01
 * @Description: 活动详情
 */
@Data
public class VolunteerDetailsVO {

    /**
     * 活动详细地址
     */
    private String activityAddress;
    /**
     * 活动内容
     */
    private String activityDetail;
    /**
     * 活动id
     */
    private Long activityId;
    /**
     * 活动简介
     */
    private String activityInfo;
    /**
     * 活动名称
     */
    private String activityName;
    /**
     * 活动类型
     */
    private Long activityType;
    private String activityTypeStr;
    /**
     * 活动开始时间;格式为：YYYY-MM-DD HH:mm:ss
     */
    private String begTime;
    /**
     * 活动结束时间;格式为： YYYY-MM-DD HH:mm:ss
     */
    private String endTime;
    /**
     * 活动图片地址
     */
    private String img;
    /**
     * 机构志愿者限制;0-不限 1-本机构志愿者
     */
    private Long memberLimit;
    private String memberLimitStr;
    /**
     * 组织名称
     */
    private String orgName;
    /**
     * 性别限制;0-不限 1-男性 2-女性
     */
    private Long sexLimit;

    private String sexLimitStr;

    /**
     * 已通过人数的头像
     */
    private List<String> userImgs=new ArrayList<>();

    /**
     * 已通过人数
     */
    private Integer userCount=0;
}
