package com.crunii.micro.service.appsecond.api.vo.appmultimodules;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * youth-cq.
 * 浏览记录分页查询响应体
 * @author leixb
 * @since 2023-12-13 16:08
 **/
@Data
@ApiModel("浏览记录分页查询响应体")
public class AppUserViewVoResVo implements Serializable {
    
    private static final long serialVersionUID = 1L;
    
    @ApiModelProperty("浏览记录类型 今天")
    private List<AppUserViewVo> todayList;
    
    @ApiModelProperty("浏览记录类型 昨天")
    private List<AppUserViewVo> yesterdayList;
    
    @ApiModelProperty("浏览记录类型 一周内")
    private List<AppUserViewVo> weekList;
    
    
}
