package com.crunii.micro.service.appsecond.api.vo.youthHotPoint;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author wangchen create 2023/12/5 11:27
 */
@Data
@ApiModel("热们搜索vo")
public class HotSearchVo  implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("搜索历史")
    private List<String> searchHistory;

    @ApiModelProperty("热搜")
    List<IdValueVo> hotSearch;

    @ApiModelProperty("热榜")
    List<IdValueVo> hotList;
}
