package com.crunii.micro.service.appsecond.api.vo.youthHotPoint;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author wangchen create 2023/12/4 19:48
 */
@Data
@ApiModel("媒体渠道分页内容")
public class MediumVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键id")
    private Long mediumId;

    @ApiModelProperty("组织名称")
    private String orgName;

    @ApiModelProperty("组织id")
    private Long orgId;

    @ApiModelProperty("头像url")
    private String mediumHeadPic;

    @ApiModelProperty("账号名称")
    private String idName;

    @ApiModelProperty("关联管理员账号id")
    private Integer associatedUserId;

    @ApiModelProperty("关联管理员账号名称")
    private String associatedUserName;

    @ApiModelProperty("关联媒体账号手机号")
    private String associatedUserPhone;

    @ApiModelProperty("审核员账号名称")
    private String auditUserName;

    @ApiModelProperty("审核员手机号")
    private String auditUserPhone;

    @ApiModelProperty("账号状态 1启用 0停用")
    private Integer mediumState;

    @ApiModelProperty("关注数")
    private Integer attention;
}
