package com.crunii.micro.service.appsecond.api.vo.youthHotPoint;

import com.crunii.micro.domain.dto.PicInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author wangchen create 2023/12/5 11:09
 */
@Data
@ApiModel("青年热点分页内容")
public class YouthHotVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("内容主键id")
    private Long contentManageId;

    @ApiModelProperty("文件类型 1 上图下文 2 图文穿插 3视频内容")
    private Integer fileType;

    @ApiModelProperty("文章标题")
    private String contentTitle;

    @ApiModelProperty("图片url")
    private List<PicInfo> urls;

    @ApiModelProperty("媒体id")
    private Long mediumId;

    @ApiModelProperty("账号名称")
    private String idName;

    @ApiModelProperty("媒体头像")
    private String mediumHeadPic;

    @ApiModelProperty("点赞数")
    private Integer likeCount;

    @ApiModelProperty("是否关注 0否 1 是")
    private int interest;

    @ApiModelProperty("是否点赞 0否 1 是")
    private int concurrentLike;
}
