package com.crunii.micro.service.appsecond.api.vo.youthspace;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import lombok.Data;

/**
 * @Author thw
 * @date 2023/12/13
 * @description
 */
@Data
@ApiModel(value = "具体空间信息")
public class SpaceContentOneVO implements Serializable {

  private static final Long serialVersionUID = 1L;

  /** id */
  @ApiModelProperty(value = "id")
  private String id;

  /** 青创空间名称 */
  @ApiModelProperty(name = "青创空间名称")
  private String spaceName ;

  /** 联系人姓名 */
  @ApiModelProperty(name = "联系人姓名")
  private String contactsName ;

  /** 联系电话 */
  @ApiModelProperty(name = "联系电话")
  private String phone ;

  /** 详细地址 */
  @ApiModelProperty(name = "详细地址")
  private String fullAddress ;

  /** 已入驻团队 */
  @ApiModelProperty(value = "已入驻团队")
  private Integer passTeamNum;

  /** 总工位数 */
  @ApiModelProperty(value = "总工位数")
  private Integer totalWorkers;

  /** 总面积数 */
  @ApiModelProperty(value = "总面积数")
  private String totalArea;

  /** 可申请工位数 */
  @ApiModelProperty(value = "可申请工位数")
  private Integer applyWorkers;

  /** 可申请面积数 */
  @ApiModelProperty(value = "可申请面积数 */")
  private String applyArea;

  /** 创建人 */
  @ApiModelProperty(value = "创建人")
  private String createdBy;

  /** 创建时间 */
  @ApiModelProperty(value = "创建时间")
  private String createdTime;


}
