package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.AppContentDetail;
import org.springframework.stereotype.Repository;

/**
 * 【请填写功能名称】Mapper接口
 *
 * @author liuchuan
 * @date 2023-12-06
 */
@Repository
public interface AppContentDetailRepo extends BaseRepo<AppContentDetail, Long> {

    /**
     * 查询内容详情
     * @param contentManageId 主键id
     * @return data
     */
    AppContentDetail findByContentManageId(Long contentManageId);

}
