package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.AppDiscoverPosition;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

/**
 * @author lyx
 * @date 2023/12/7
 */
@Repository
public interface AppDiscoverPositionRepo  extends BaseRepo<AppDiscoverPosition, Long> {

    @Query(value = "update APP_DISCOVER_POSITION set del_flag=1 where id= ?1 ",nativeQuery = true)
    void deleteById(Long id);
}
