package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.AppDiscoverPosition;
import com.crunii.micro.domain.entity.main.AppDownloadRecord;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author lyx
 * @date 2023/12/8
 */
@Repository
public interface AppDownloadRecordRepo  extends BaseRepo<AppDownloadRecord, Long> {
	List<AppDownloadRecord> findAllByTypeAndCreateIdAndDelFlagOrderByCreateTimeDesc(Integer type,Long createId,Integer delFlag);
	AppDownloadRecord findByFileIdAndTypeAndCreateIdAndDelFlagOrderByCreateTimeDesc(Long fileId,Integer type,Long createId,Integer delFlag);

}
