package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.QczdSpaceContent;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

/**
 * @Author thw
 * @date 2023/12/9
 * @description 青创空间
 */
@Repository
public interface QczdSpaceContentRepo extends BaseRepo<QczdSpaceContent,Long> {
  @Modifying
  @Query(value = "UPDATE qczd_space_content SET del_flag = 1 , update_id = ?1 ,updated_by = ?2 , updated_time = CURRENT_TIMESTAMP() WHERE id=?3  ",nativeQuery = true)
  void updateDelFlagById(Integer loginId,String workerName,Long id);
}
