package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.TsmWorkerApp;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author gongsongtao
 * @date 2023/12/12 19:34
 */
@Repository
public interface TsmWorkerAppRepo extends BaseRepo<TsmWorkerApp,Long> {
    @Query(value = "select  * from tsm_worker_app where worker_id=?1 and app_id=?2 and del_flag = 0",nativeQuery = true)
    List<TsmWorkerApp> findByWorkerIdAndAppId(Integer workerId, Long appId);

    @Query(value = "update tsm_worker_app set del_flag=1 where id in (?1)",nativeQuery = true)
    List<TsmWorkerApp> deleteMyApp(List<Long> ids);
}
