package com.crunii.micro.service.appsecond.converter;
import com.crunii.micro.domain.entity.main.AppHelpAnnex;
import com.crunii.micro.service.appsecond.api.vo.AppHelpAnnexVo;
import com.crunii.micro.service.appsecond.api.bo.AppHelpAnnexBo;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 【请填写功能名称】Converter
 * @author liuchuan
 * @date 2023-12-07
 */
@Mapper(componentModel = "spring")
public interface AppHelpAnnexConverter {

    AppHelpAnnexConverter INSTANCE = Mappers.getMapper(AppHelpAnnexConverter.class);

    /**
     * Po转Vo
     * @param entity
     * @return
     */
    public AppHelpAnnexVo entityToVo(AppHelpAnnex entity);

    /**
     * Po转Bo
     * @param entity
     * @return
     */
    public AppHelpAnnexBo entityToBo(AppHelpAnnex entity);

    /**
     * Bo转Po
     * @param entity
     * @return
     */
    public AppHelpAnnex boToEntity(AppHelpAnnexBo entity);

    /**
     * Vo转Po
     * @param entity
     * @return
     */
    public AppHelpAnnex voToEntity(AppHelpAnnexVo entity);

}
