package com.crunii.micro.service.appsecond.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.appsecond.api.dto.youthsapce.ApplyTeamAuditStateUDTO;
import com.crunii.micro.service.appsecond.api.dto.youthsapce.SpaceApplyTeamReqDTO;
import com.crunii.micro.service.appsecond.api.vo.youthspace.SpaceApplyTeamPageVO;
import javax.servlet.http.HttpServletResponse;

/**
 * @Author thw
 * @date 2023/12/15
 * @description
 */
public interface SpaceApplyTeamService {

  PageRsp<SpaceApplyTeamPageVO> pageApplyTeam(PageReq<SpaceApplyTeamReqDTO> bo);

  Result updateBatchAuditState(ApplyTeamAuditStateUDTO bo);

  void exportApplyTeam(HttpServletResponse response, SpaceApplyTeamReqDTO bo);

}
