package com.crunii.micro.service.appsecond.service.impl;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import com.crunii.micro.service.appsecond.api.bo.AppHelpAnnexBo;
import com.crunii.micro.service.appsecond.api.vo.AppHelpAnnexVo;
import com.crunii.micro.domain.entity.main.AppHelpAnnex;
import com.crunii.micro.domain.repo.main.AppHelpAnnexRepo;
import com.crunii.micro.service.appsecond.converter.AppHelpAnnexConverter;
import com.crunii.micro.service.appsecond.service.IAppHelpAnnexService;

import java.util.List;
import java.util.Map;
import java.util.Collection;

/**
 * 【请填写功能名称】Service业务层处理
 *
 * @author liuchuan
 * @date 2023-12-06
 */
@RequiredArgsConstructor
@Service
@Slf4j
public class AppHelpAnnexServiceImpl implements IAppHelpAnnexService {

    private final AppHelpAnnexRepo baseRepo;
    private final AppHelpAnnexConverter baseConverter;

    /**
     * 查询【请填写功能名称】
     */
    @Override
    public AppHelpAnnexVo queryById(Long id){
        return baseConverter.entityToVo(baseRepo.getById(id));
    }

    /**
     * 查询【请填写功能名称】列表
     */
    @Override
    public Result<PageRsp<AppHelpAnnexVo>> queryPageList(PageReq<AppHelpAnnexBo> bo) {
        return null;
    }

    /**
     * 查询【请填写功能名称】列表
     */
    @Override
    public List<AppHelpAnnexVo> queryList(AppHelpAnnexBo bo) {
        return null;
    }

    /**
     * 新增【请填写功能名称】
     */
    @Override
    public Boolean insertByBo(AppHelpAnnexBo bo) {
        AppHelpAnnex add = baseConverter.boToEntity(bo);
        validEntityBeforeSave(add);
        baseRepo.save(add);
        return true;
    }

    /**
     * 修改【请填写功能名称】
     */
    @Override
    public Boolean updateByBo(AppHelpAnnexBo bo) {
        AppHelpAnnex update = baseConverter.boToEntity(bo);
        validEntityBeforeSave(update);
        return null;
    }

    /**
     * 保存前的数据校验
     */
    private void validEntityBeforeSave(AppHelpAnnex entity){
        //TODO 做一些数据校验,如唯一约束
    }

    /**
     * 批量删除【请填写功能名称】
     */
    @Override
    public Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid) {
        if(isValid){
            //TODO 做一些业务上的校验,判断是否需要校验
        }
        return null;
    }
}
