package com.crunii.micro.service.app.dto;

import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * youth-cq.
 * 青春头条查询实体类
 * @author leixb
 * @since 2024-01-18 17:04
 **/
@Data
@ApiModel("头条标签响应实体")
public class HeadlineArticleLabelVo implements Serializable {

    private static final long serialVersionUID = 1L;
    
    @ApiModelProperty(value = "标签id")
    private String labelId;
    
    @ApiModelProperty(value = "标签名称")
    private String labelName;
    
    @ApiModelProperty(value = "标签编码")
    private String labelCode;
    
}
