package com.crunii.micro.service.app.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/7/6 20:14
 */
@Data
public class PageDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "页码")
    @NotNull
    private Integer pageNo;

    @ApiModelProperty(value = "size")
    @NotNull
    private Integer pageSize;

}
