/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved.
 * <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.elstic.config;

import lombok.Getter;
import lombok.Setter;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * @author shenhs create 2023/6/10 18:32
 */
@Getter
@Setter
@Component
@ConfigurationProperties(prefix = "elstic.indexs")
public class IndexConfig implements Serializable {
	private static final long serialVersionUID = 1L;

	private String FILE_MGR_INDEX;

	private String LABEL_MGR_INDEX;

	private String YOUTH_HOT_INDEX;

	private String APP_MESSAGE_INDEX;
}
