package com.crunii.micro.service.elstic.service;

import com.crunii.micro.feign.client.dto.AppMessageCenterDTO;
import com.crunii.micro.feign.client.dto.MessageSendSelect;
import com.crunii.micro.feign.client.dto.MessageSendSelectVO;
import org.springframework.beans.factory.InitializingBean;

import java.io.IOException;
import java.util.List;

public interface AppMessageService extends InitializingBean {
    /**
     * 创建索引
     *
     * @return str
     */
    String create() throws IOException;

    /**
     * 添加数据
     *
     * @param dto 参数
     * @return str
     */
    String save(MessageSendSelect dto) throws IOException;

    /**
     * 搜索
     *
     * @param dtoPageReq 参数
     * @return
     */
    List<MessageSendSelectVO> searchFileInfo(AppMessageCenterDTO dtoPageReq) throws IOException;

    /**
     * 删除es数据
     *
     * @param id id
     */
    void del(String id) throws IOException;
}
