package com.crunii.micro.service.filemanager.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author wangchen create 2023/6/19 16:21
 */
@Data
@ApiModel("审核失败参数")
public class AuditRegDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("上传id")
    @NotNull(message = "上传id不能为空")
    private Long uploadId;

    @ApiModelProperty("拒绝原因")
    private String reasonLabel;
}
