package com.crunii.micro.service.filemanager.enums;

/**
 * @author wangchen create 2023/6/25 20:26
 */
public enum RoleNameEnum {
    UPLOAD(10012,"部门管理员"),
    REJECT(10014,"系统管理员");
    private Integer code;
    private String name;
    RoleNameEnum(Integer code,String name) {
        this.code = code;
        this.name = name;
    }

    public static String getName(Integer code){
        RoleNameEnum[] values = RoleNameEnum.values();
        for (RoleNameEnum value : values) {
            if(value.code.equals(code)){
                return value.name;
            }
        }
        return null;
    }
}
