/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved.
 * <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.filemanager.statemachine;

/**
 * @author shenhs create 2023/6/19 11:28
 */
public enum AuditRecordStatus {

	UPLOAD(-3,"上传完成"),
	REJECT(0,"驳回"),
	PASS(1,"审核通过"),
	WAIT_AUDIT(-1,"待审核"),
	RE_AUDIT(-2,"发起重审"),
	RE_PROCESS(-4,"修改文件");

	private Integer state;

	private String desc;

	AuditRecordStatus(Integer state,String desc){
		this.desc = desc;
		this.state = state;
	}

	public Integer getState() {
		return state;
	}
	public String getDesc() {
		return desc;
	}

	public static AuditRecordStatus getByKey(Integer key) {
		for (AuditRecordStatus e : values()) {
			if (e.getState().equals(key)) {
				return e;
			}
		}
		throw new RuntimeException("enum not exists.");
	}

}
