package com.crunii.micro.service.label.constants;

/**
 * @author baoxy
 * @date 2023-05-30
 */
public class LabelConstants {

    /**
     * 根结点父级id
     */
    public static final String ROOT_PARENT_ID = "0";

    /**
     * 1级类别的级别为1
     */
    public static final Integer ONE_LEVEL = 1;

    /**
     * 2级类别的级别为2
     */
    public static final Integer TWO_LEVEL = 2;

    /**
     * 3级类别的级别为3
     */
    public static final Integer THREE_LEVEL = 3;

    /**
     * 类别管理底层级别的静态值
     */
    public static final String CATEGORY_BOTTOM_LEVEL = "CategoryBottomLevel";

    /**
     * 值为0的Integer类型
     */
    public static final Integer ZERO_INTEGER = 0;

    /**
     * 同步查询类别树的缓存key
     */
    public static final String REDIS_SYNCHRONOUS_TREE = "REDIS_SYNCHRONOUS_TREE";

    /**
     * 是叶子结点,值为1
     */
    public static final Integer LEAF = 1;

    /**
     * 不是叶子结点
     */
    public static final Integer NOT_LEAF = 0;

    /**
     * 值为0的String类型
     */
    public static final String ZERO_STRING = "0";

    /**
     * 值为1的Integer类型
     */
    public static final String ONE_STRING = "1";

    /**
     * 热门标签48小时缓存key
     */
    public static final String REDIS_HOT_LABEL_FORTY_EIGHT = "REDIS_HOT_LABEL_FORTY_EIGHT";

    /**
     * 热门标签长期缓存key
     */
    public static final String REDIS_HOT_LABEL_LONG_TIME = "REDIS_HOT_LABEL_LONG_TIME";

    /**
     * 值为10的int类型
     */
    public static final int TEN_INT = 10;

    /**
     * 标签最大长度
     */
    public static final int LABEL_MAX_LENGTH = 30;

    /**
     * 描述最大长度
     */
    public static final int DESCRIBE_MAX_LENGTH = 200;

    /**
     * 最大长度
     */
    public static final int CATEGORY_MAX_LENGTH = 30;

    /**
     * 描述最大长度
     */
    public static final int CATEGORY_DESCRIBE_MAX_LENGTH = 200;

    /**
     * 业务类型最大长度
     */
    public static final int SERVICE_TYPE_MAX_LENGTH = 10;

    /**
     * 业务类型:图绘青春,值为1
     */
    public static final String DRAW_YOUTH_SERVICE_TYPE = "1";
}
