package com.crunii.micro.service.label.dto.category.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author baoxy
 * @date 2023-05-30
 */
@Data
@ApiModel(description = "类别管理查询下级传入字段")
public class SearchAsynchronousTreeDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "类别主键id")
    private String categoryId = "0";

    @ApiModelProperty(value = "业务类型(传数字,1:图绘青春,2:青年热点)")
    private String serviceType;
}
