package com.crunii.micro.service.label.dto.label.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author baoxy
 * @date 2023-12-08
 */
@Data
@ApiModel(description = "标签管理内容标签-展示最近时间的标签(数量自定义)传入字段")
public class LabelRecentlyCountDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("是否要闻")
    private boolean importantNews;

    @ApiModelProperty(value = "展示数量")
    private String count;

    @ApiModelProperty(value = "业务类型(1:图绘青春,2:青年热点)")
    private String serviceType;
}
