package com.crunii.micro.service.label.dto.label.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author baoxy
 * @date 2023-06-07
 */
@Data
@ApiModel(description = "标签管理sql中查询总数和标签id的返回字段")
public class TotalUseCountVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "总数")
    private Integer total;

    @ApiModelProperty(value = "标签id")
    private String labelId;

    @ApiModelProperty(value = "标签名称")
    private String labelName;
}
