package com.crunii.micro.service.league.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangchen create 2023/6/8 9:27
 */
@Data
@ApiModel(description = "团员年龄分布")
public class AgeDataVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("年龄")
    private Integer age;

    @ApiModelProperty("团员总数")
    private Long lmCount;

    @ApiModelProperty("男性团员数")
    private Long maleLm;

    @ApiModelProperty("女性团员数")
    private Long femaleLm;

    @ApiModelProperty("男性占比")
    private String maleProportion;

    @ApiModelProperty("女性占比")
    private String femaleProportion;
}
