package com.crunii.micro.service.league.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import java.io.Serializable;

/**
 * @author wangchen create 2023/7/5 9:52
 */
@Data
public class LeagueLeaderC implements Serializable {

    private static final Long serialVersionUID = 1L;

    @ApiModelProperty(value = "组织编码")
    private String leagueCode;

    @ApiModelProperty(value = "职务")
    private String currentDuty;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "手机号")
    private String mobile;

    @ApiModelProperty(value = "任职时间")
    private String takeCurrentDutyDate;

    @ApiModelProperty(value = "专兼职")
    private String cadreProperty;

    @ApiModelProperty(value = "在岗状态")
    private String onDutyStatus;

    @ApiModelProperty(value = "信息核对")
    private Integer checkStatus;

    @ApiModelProperty(value = "性别 1男 0女")
    private Integer gender;

    @ApiModelProperty(value = "身份证号")
    private String identityCardNo;

    @ApiModelProperty(value = "民族")
    private String nationalId;

    @ApiModelProperty(value = "籍贯")
    private String placeofOrigin;

    @ApiModelProperty(value = "出生地")
    private String placeofBirth;

    @ApiModelProperty(value = "出生日期")
    private String birthDay;

    @ApiModelProperty(value = "最高教育学历")
    private String maxFulltimeEducationDegree;

    @ApiModelProperty(value = "全日制教育学历")
    private String onTheJobTrainingEd;

    @ApiModelProperty(value = "学位")
    private String academicDegree;

    @ApiModelProperty(value = "政治面貌")
    private String politicalId;

    @ApiModelProperty(value = "入团时间")
    private String joinLeagueTime;

    @ApiModelProperty(value = "团籍所在团支部")
    private String leagueName;

    @ApiModelProperty(value = "入党时间")
    private String dateOfJoinCcp;

    @ApiModelProperty(value = "发展团员编号")
    private String userCode;

    @ApiModelProperty(value = "是否递交入党申请书 0是 1否")
    private String applyApplicationOfCcp;

    @ApiModelProperty(value = "递交入党申请书时间")
    private String partyRecordTime;

    @ApiModelProperty(value = "成为注册志愿者的时间")
    private String joinVolunteerTime;

    @ApiModelProperty(value = "单位所在地（省市县）")
    private String seatProvince;

    @ApiModelProperty(value = "所在部门")
    private String orgDepartment;

    @ApiModelProperty(value = "现职级")
    private String currentDutyLevel;

    @ApiModelProperty(value = "其他主要职务")
    private String otherOrgDuty;

    @ApiModelProperty(value = "编制")
    private String establishment;

    @ApiModelProperty(value = "参加工作时间")
    private String beginWorkDate;

    @ApiModelProperty(value = "产生方式")
    private String generationType;

    @ApiModelProperty(value = "初到本单位时间")
    private String joinDepartmentDate;

    @ApiModelProperty(value = "初到本单位职务")
    private String beginDuty;

    @ApiModelProperty(value = "初到本单位职级")
    private String beginDutyLevel;

    @ApiModelProperty(value = "同级党委中职务")
    private String sampCcpDuty;

    @ApiModelProperty(value = "本级团委中职务")
    private String currentLeagueDuty;

    @ApiModelProperty(value = "上级团委中职务")
    private String superiorLeagueDuty;

    @ApiModelProperty(value = "是否人大代表")
    private String isNpc;

    @ApiModelProperty(value = "是否政协委员")
    private String isCppcc;

    @ApiModelProperty(value = "备注")
    private String cadreComment;

    @ApiModelProperty(value = "人员id")
    private String userId;

    @ApiModelProperty(value = "邮箱")
    private String email;

    @ApiModelProperty(value = "qq")
    private String qq;

    @ApiModelProperty(value = "wechat")
    private String wechat;

    @ApiModelProperty(value = "weibo")
    private String weibo;

    @ApiModelProperty(value = "fullLeagueName")
    private String fullLeagueName;


    @ApiModelProperty(value = "身份证校验")
    private String identityCardMark;

    @ApiModelProperty(value = "任命方式")
    private String joinPositionWay;

    @ApiModelProperty(value = "职业")
    private String job;

    @ApiModelProperty(value = "职务")
    private String positionId;

    @ApiModelProperty(value = "团干部性质")
    private String natureId;

    @ApiModelProperty(value = "是否同级党（工）委（党支部）委员 0否")
    private String isSameLevelParty;

    @ApiModelProperty(value = "入党时间")
    private String joinPartyTime;

    @ApiModelProperty(value = "学习工作单位")
    private String workStudyUnit;

    @ApiModelProperty(value = "微信")
    private String weixin;

    @ApiModelProperty(value = "现任职年月")
    private String joinPositionTime;

    @ApiModelProperty(value = "成为志愿者时间")
    private String becomeEolunteerTime;

}
