package com.crunii.micro.service.league.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangchen create 2023/6/13 16:33
 */
@Data
@ApiModel(description = "组织详情数据")
public class LeagueSuperOrgDetailVo implements Serializable {

    private static final Long serialVersionUID = 1L;

    @ApiModelProperty("组织类别")
    private String leagueTypeName;

    @ApiModelProperty("组织简称")
    private String leagueName;

    @ApiModelProperty("组织全称")
    private String leagueFullName;

    @ApiModelProperty("单位所属行业类别")
    private String industryName;

    @ApiModelProperty("组织书记")
    private String leagueSecretary;

    @ApiModelProperty("联系电话")
    private String contactTelephone;

    @ApiModelProperty("电子邮箱")
    private String contactEmail;

    @ApiModelProperty("微信")
    private String weixin;

    @ApiModelProperty("微博")
    private String weibo;

    @ApiModelProperty(value = "本级团组织行政编制数")
    private Integer admNum;

    @ApiModelProperty(value = "行政编制实际配备数")
    private Integer realAdmNum;

    @ApiModelProperty(value = "本级团组织事业编制数")
    private Integer enterPriseNum;

    @ApiModelProperty(value = "事业编制实际配备数")
    private String realEnterPriseNum;

    @ApiModelProperty("组织机构代码")
    private String leagueCode;

    @ApiModelProperty("上层组织简称")
    private String parentLeagueName;

    @ApiModelProperty("修改人")
    private String modifyName;

    @ApiModelProperty("修改时间")
    private String modifyTime;

    @ApiModelProperty("创建时间")
    private String createTime;
}
