package com.crunii.micro.service.league.dto;

import com.crunii.micro.core.annotation.PropertyTranslate;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangchen create 2023/7/10 10:18
 */
@Data
@ApiModel(description = "团干部列表分页")
public class PageLeaderVo implements Serializable {

    private static final Long serialVersionUID = 1L;

    @ApiModelProperty("主键id")
    private Long leaderId;

    @ApiModelProperty("用户id")
    private String userId;

    @ApiModelProperty("职务")
    private String currentDuty;

    @ApiModelProperty("职务翻译")
    private String currentDutyTrans;

    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("手机号")
    private String mobile;

    @ApiModelProperty("任职时间")
    private String takeCurrentDutyDate;

    @ApiModelProperty("专兼职")
    private String cadreProperty;

    @ApiModelProperty("专兼职")
    private String cadrePropertyTrans;

    @ApiModelProperty("在岗状态")
    private String onDutyStatus;

    @ApiModelProperty("在岗状态")
    private String onDutyStatusTrans;

    @ApiModelProperty(value = "信息核对 1核对完成 0未核对")
    private Integer checkStatus;

}
