package com.crunii.micro.service.league.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.io.Serializable;
import java.util.List;

/**
 * @author wangchen create 2023/5/31 16:44
 */
@Data
@ApiModel(description = "团委组织年龄创建")
public class YcqLeagueAgeC  implements Serializable {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "组织编码")
    private String leagueCode;

    @ApiModelProperty(value = "组织名称")
    private String leagueName;

    private List<LeagueAge> ages;
}

