package com.crunii.micro.service.league.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import java.io.Serializable;

/**
 * @author wangchen create 2023/6/1 16:06
 */
@Data
@ApiModel("团委组织创建参数")
public class YcqLeagueC implements Serializable {

    private static final long serialVersionUID = 1L;

    @Column(name = "league_code")
    @ApiModelProperty(value = "组织编码")
    private String leagueCode;

    @Column(name = "parent_league_code")
    @ApiModelProperty(value = "父类组织编码")
    private String parentLeagueCode;

    @Column(name = "league_type")
    @ApiModelProperty(value = "组织类别")
    private String leagueType;

    @Column(name = "league_name")
    @ApiModelProperty(value = "组织名称")
    private String leagueName;

    @Column(name = "league_full_name")
    @ApiModelProperty(value = "组织全称")
    private String leagueFullName;

    @Column(name = "is_leaf")
    @ApiModelProperty(value = "是否子节点 0 否 1 是")
    private int isLeaf;
}
