package com.crunii.micro.service.league.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author wangchen create 2023/6/13 9:45
 */
@Data
@ApiModel(description = "团委民族数量创建")
public class YcqLeagueNationC implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "组织名称")
    private String leagueName;

    @ApiModelProperty(value = "组织编码")
    private String leagueId;

    private List<YcqLeagueNationList> nationList;
}
