package com.crunii.micro.service.league.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author wangchen create 2023/6/1 16:06
 */
@Data
@ApiModel("团委组织树参数")
public class YcqLeagueTreeVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    private String leagueId;

    @ApiModelProperty(value = "组织编码")
    private String leagueCode;

    @ApiModelProperty(value = "组织名称")
    private String leagueName;

    @ApiModelProperty(value = "查询类型")
    private Integer queryType;

    @ApiModelProperty(value = "父类组织编码")
    private String parentLeagueCode;

    @ApiModelProperty(value = "true 是叶子节点 false 不是叶子节点")
    private boolean leaf;

    @ApiModelProperty("父类组织")
    private List<YcqLeagueTreeVo> parentLeague;
}
