package com.crunii.micro.service.league.enums;

import lombok.Getter;

/**
 * @author wangchen create 2023/7/20 16:15
 */
@Getter
public enum JobTransEnum {
    ZYQN("zyqn","职业青年"),
    ZYXS("qnxs","青年学社");
    private String name;
    private String nameTrans;
    JobTransEnum(String name,String nameTrans){
        this.nameTrans = nameTrans;
        this.name = name;
    }

    public static String getNameTrans(String name){
        JobTransEnum[] values = JobTransEnum.values();
        for (JobTransEnum value : values) {
            if(value.equals(name)){
                return value.nameTrans;
            }
        }
        return "";
    }
}
