package com.crunii.micro.service.match.api;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author liuchuan
 * @version 1.0
 * @description:
 * @date 2023/9/28 15:05
 */
@Data
@ApiModel(description = "封面图片")
public class FileDto implements Serializable {

    @ApiModelProperty(value = "obs 文件id")
    private Long fileId;

    @ApiModelProperty(value = "文件名称")
    private String fileName;

    @ApiModelProperty(value = "文件类型")
    private String fileType;

    @ApiModelProperty(value = "文件大小")
    private String fileSize;

    @ApiModelProperty(value = "图片宽度")
    private Integer picWidth;

    @ApiModelProperty(value = "图片宽度")
    private Integer picHeight;

    @ApiModelProperty(value = "图片key")
    private String fileKey;

    @ApiModelProperty(value = "图片地址")
    private String fileUrl;

    private Integer isPic;


}
