package com.crunii.micro.service.match.api.bo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author gongsongtao
 * @date 2024/1/18 15:57
 */
@Data
@ApiModel("赛事待办查询-请求参数")
public class MatchApprovePageReqBo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "赛事数组")
    private List<Long> matchIds;

    @ApiModelProperty("赛事名称")
    private String matchName;

    @ApiModelProperty("赛事审核状态(0待审核，1审核通过，2审核不通过)")
    private Integer state;

    @ApiModelProperty(value = "赛事主办方")
    private Long sponsorId;

    @ApiModelProperty(value = "赛事承办方")
    private Long organizerId;

    @ApiModelProperty(value = "创建组织")
    private Long createOrg;

    @ApiModelProperty(value ="提审人")
    private String launchApproveWorker;

    @ApiModelProperty(value = "比赛等级")
    private String matchLevel;
}
