package com.crunii.micro.service.match.api.bo;

import com.crunii.micro.common.dto.PageReq;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * @author gongsongtao
 * @date 2024/1/17 16:50
 */
@Data
@EqualsAndHashCode
@ApiModel("web-赛事发布管理-提交审核")
public class MatchApproveReqBo {

    @ApiModelProperty(value ="赛事id")
    private Long matchId;

    @ApiModelProperty(value ="审核节点信息")
    List<NodeInformation> nodeInformation;


    @Data
    @ApiModel("审核节点信息")
    public static class NodeInformation{

        @ApiModelProperty(value = "审核部门")
        private  String department;

        @ApiModelProperty(value = "审核人员")
        private  Integer auditWorkerId;

    }
}
