package com.crunii.micro.service.match.api.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @author denggl
 * date 2023/11/17
 */
@Data
@ApiModel("承办方修改报名时间业务对象")
public class MathContractorExtendTimeBo {

    @ApiModelProperty("场次id")
    @NotNull
    private Long roundId;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty("修改时间")
    @NotNull(message = "时间必传")
    private Date extendTime;
}
