package com.crunii.micro.service.match.api.bo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * APP查询赛事列表-请求参数
 *
 * @author mth
 * @date 2023-09-19
 */

@Data
@EqualsAndHashCode
@ApiModel("APP查询赛事列表-请求参数")
public class MthMatchInfoAppBo {
    /**
     * 赛事id
     */
    @ApiModelProperty(value = "赛事id", hidden = true)
    private Long id;

    /**
     * 比赛名称;比赛名称
     */
    @ApiModelProperty(value = "比赛名称;比赛名称")
    private String matchName;

    /**
     * 分类code;类别
     */
    @ApiModelProperty(value = "分类code;类别")
    private Long categoryId;

    /**
     * 状态
     */
    @ApiModelProperty(value = "状态")
    private List<String> statusList;

    @ApiModelProperty("是否青创赛事(1是0否)")
    private Integer qcFlag;
}
