package com.crunii.micro.service.match.api.bo;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
@ApiModel("比赛管理业务对象")
public class MthMatchManagerReqBo implements Serializable {
        private static final long serialVersionUID = 1L;
        @ApiModelProperty("比赛名称")
        private String mthMatchName;
        @ApiModelProperty("场次名称")
        private String mthRoundName;
        /**
         * *页面综合展示统计用状态(非表定义字段) 0:全部 1:即将开始 2:进行中 3.已结束 *
         */
        @ApiModelProperty("状态")
        private Integer state;

        @ApiModelProperty(value = "状态")
        private List<String> statusList;

        @ApiModelProperty("比赛id")
        private Long mthMatchId;

        @ApiModelProperty("场次id")
        private Long mthRoundId;

        /**
         * 比赛场次实际状态(赛事流程状态、表定义字段) 0.报名中，1.待评审，2.待设置晋级，3.待结束，4.结束
         * */
        @ApiModelProperty("比赛状态")
        private List<Integer> matchRoundState;


}
