package com.crunii.micro.service.match.api.bo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * 赛事-场次-比赛区域等级;业务对象 mth_area
 *
 * @author mth
 * @date 2023-09-19
 */

@Data
@EqualsAndHashCode
@ApiModel("app-我的项目-分页查询请求参数")
public class MthMyProjectApplyAppBo {

    @ApiModelProperty("用户id")
    private Long userId;

    @ApiModelProperty("审核状态(0待审核1已通过2不通过)")
    private List<Integer> reviewStatus;

    @ApiModelProperty("公示状态(0未公示1已公示)")
    private Integer publicityStatus;
}
