package com.crunii.micro.service.match.api.bo;

import com.crunii.micro.common.validate.AddGroup;
import com.crunii.micro.common.validate.EditGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * 赛事-场次配置;业务对象 mth_round
 *
 * @author mth
 * @date 2023-09-19
 */

@Data
@EqualsAndHashCode
@ApiModel("评审场次业务对象")
public class MthReviewRoundBo {

    /**
     * 比赛名
     */
    @ApiModelProperty(value = "比赛名", required = false)
    private String matchName;

    /**
     * 场次名称
     */
    @ApiModelProperty(value = "场次名称", required = false)
    private String roundName;

}
