package com.crunii.micro.service.match.api.bo;

import com.crunii.micro.common.validate.AddGroup;
import com.crunii.micro.common.validate.EditGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.util.Date;

/**
 * 赛事-场次-比赛评分明细;业务对象 mth_roud_score_detail
 *
 * @author mth
 * @date 2023-09-19
 */

@Data
@EqualsAndHashCode
@ApiModel("比赛评分明细业务对象")
public class MthRoundScoreDetailBo {

//    /**
//     * 得分id
//     */
//    @ApiModelProperty(value = "得分id", required = true)
//    @NotBlank(message = "得分id不能为空", groups = { AddGroup.class, EditGroup.class })
//    private Long scoreId;

    /**
     * 标准id
     */
    @ApiModelProperty(value = "标准id", required = true)
    @NotBlank(message = "标准id不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long standarId;

    /**
     * 得分
     */
    @ApiModelProperty(value = "得分", required = true)
    @NotBlank(message = "得分不能为空", groups = { AddGroup.class, EditGroup.class })
    private String socre;
}
