package com.crunii.micro.service.match.api.bo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author xujie
 * @date 2023-10-08
 */
@Data
@EqualsAndHashCode
@ApiModel("组织信息")
public class OrgInfoBo {
    @ApiModelProperty(value = "组织id")
    private Long orgId;
    @ApiModelProperty(value = "组织编码，按规律生成，体现上下级关系")
    private String orgCode;
    @ApiModelProperty(value = "组织名称")
    private String orgName;
    @ApiModelProperty(value = "父组织ID,根组织id为0")
    private Long parentOrgId;

}
