package com.crunii.micro.service.match.api.bo;

import com.crunii.micro.common.validate.EditGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.List;
import javax.validation.constraints.NotNull;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @Author thw
 * @date 2023/11/18
 * @description
 */
@Data
@EqualsAndHashCode
@ApiModel("通过组织id查询组织所属用户")
public class OrganizationReqBo implements Serializable {

  private static final long serialVersionUID = 1L;


  @ApiModelProperty(value = "组织id", required = true)
  @NotNull(message = "组织id不能为空!" , groups = {EditGroup.class })
  private List<String> orgId;


}
