package com.crunii.micro.service.match.api.bo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author gongsongtao
 * @date 2023/12/19 10:00
 */
@Data
public class ProjectFinancingAuditBo {

    /**
     * ID
     */
    @ApiModelProperty(value = "ID")
    private Long id;

    /**
     * 审核状态(0待审核1已通过2不通过)
     */
    @ApiModelProperty(value = "审核状态(0待审核1已通过2不通过)")
    private Integer reviewStatus;

    /**
     * 审核原因
     */
    @ApiModelProperty(value = "审核原因")
    private String reviewReason;

    /**
     * 公示状态
     */
    @ApiModelProperty(value = "公示状态(0未公示1已公示)")
    private Integer publicityStatus;

}
