package com.crunii.micro.service.match.api.bo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author xiangjunming
 * @date 2023/12/11
 */
@Data
@EqualsAndHashCode
@ApiModel("赛事获奖通知")
public class PushAwardsBo {

    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "赛事名称")
    private String competition;

    @ApiModelProperty(value = "奖项名称")
    private String award;

}
