package com.crunii.micro.service.match.api.bo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import java.util.Date;

/**
 * @author liuchuan
 * @version 1.0
 * @description:
 * @date 2023/11/23 14:30
 */
@Data
@EqualsAndHashCode
@ApiModel("领奖实体")
public class ReceiveInfoBo {

    @ApiModelProperty(value ="场次id" )
    private Long roundId;
    /**
     * 领奖截止时间
     */
    @ApiModelProperty(value ="领奖截止时间" )
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date receiveDeadline;

    /**
     * 领奖地点
     */
    @ApiModelProperty(value ="领奖地点" )
    private String receiveAddress;

    /**
     * 领奖方式
     */
    @ApiModelProperty(value ="领奖方式  SELF 自取 DELIVERY 邮寄" )
    private String receiveType;

}
