package com.crunii.micro.service.match.api.bo;


import com.crunii.micro.common.validate.AddGroup;
import com.crunii.micro.common.validate.EditGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotBlank;

@Data
@EqualsAndHashCode
@ApiModel("属性值表")
public class TsmPropertyValueBo {

    @ApiModelProperty("value_id")
    private Long valueId;

    @ApiModelProperty("value_code")
    private String valueCode;

    @ApiModelProperty(value = "值名称")
    @NotBlank(message = "值名称不能为空", groups = { AddGroup.class, EditGroup.class })
    //@Length(message = "名称长度不能超过10位字符", max = 10, groups = {AddGroup.class, EditGroup.class})
    private String valueName;
}
