package com.crunii.micro.service.match.api.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author gongsongtao
 * @date 2024/1/18 15:57
 */
@Data
@ApiModel("赛事待办查询-返回参数")
public class MatchApprovePageReqVo {

    private Long id;

    @ApiModelProperty("赛事id")
    private Long matchId;

    @ApiModelProperty("是否已审核")
    private  Boolean whetherApprove;

    @ApiModelProperty("审核状态名称")
    private  String resultTypeName;

    @ApiModelProperty("审核状态")
    private  Integer resultType;

    @ApiModelProperty("赛事名称")
    private String matchName;

    @ApiModelProperty(value = "分类名称")
    private String categoryName;

    @ApiModelProperty(value = "比赛等级")
    private String matchLevel;

    @ApiModelProperty(value = "比赛等级名称")
    private String matchLevelName;

    @ApiModelProperty(value = "赛事主办方")
    private String matchSponsorName;

    @ApiModelProperty(value = "赛事承办方")
    private String matchUndertakeName;

    @ApiModelProperty(value = "创建组织")
    private String publishOrgName;

    @ApiModelProperty(value = "提审人")
    private String launchApproveWorkerName;

    @ApiModelProperty(value = "提审时间")
    private Date launchApproveTime;

    @ApiModelProperty(value = "其他承办方")
    private String otherOrganizer;

    @ApiModelProperty(value = "其他主办方")
    private String otherSponsor;
}
