package com.crunii.micro.service.match.api.vo;

import com.crunii.micro.service.match.api.bo.ObsFileInfoBo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author gongsongtao
 * @date 2023/11/20 14:27
 */
@Data
@ApiModel("赛事详情-通知公告返回参数")
public class MatchArticleRspVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    private Long articleId;

    @ApiModelProperty(value = "文章标题")
    private String articleTitle;

    @ApiModelProperty(value = "图片key")
    private String fileKey;

    @ApiModelProperty(value = "图片信息")
    private ObsFileInfoBo fileInfoBo;

    @ApiModelProperty(value = "")
    private Long bannerId;

}
