package com.crunii.micro.service.match.api.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author xujie
 * @date 2023-09-23
 */
@Data
@ApiModel("预览比赛组别信息视图对象")
public class MatchBaseGroupVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 赛项id
     */
    @ApiModelProperty("赛项id")
    private Long itemId;
    /**
     * id
     */
    @ApiModelProperty("id")
    private Long id;
    /**
     * 组别名称
     */
    @ApiModelProperty("组别名称")
    private String groupName;

    @ApiModelProperty("开始年龄")
    private String ageBegin;

    @ApiModelProperty("结束年龄")
    private String ageEnd;
}
