package com.crunii.micro.service.match.api.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author xujie
 * @date 2023-09-23
 */
@Data
@ApiModel("预览比赛赛项信息视图对象")
public class MatchBaseItemVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * id
     */
    @ApiModelProperty("id")
    private Long id;

    /**
     * 赛项名称
     */
    @ApiModelProperty("赛项名称")
    private String itemName;

    @ApiModelProperty("组别信息")
    private List<MatchBaseGroupVo> groupList;

}
