package com.crunii.micro.service.match.api.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;


@Data
@ApiModel("赛事收藏请求参数")
public class MatchCollectReqVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 赛事id
     */
    @ApiModelProperty("赛事id")
    private Long matchId;

    /**
     * 操作类型
     */
    @ApiModelProperty("操作类型(1收藏，0取消)")
    private Integer type;
}
