package com.crunii.micro.service.match.api.vo;

import com.crunii.micro.service.match.api.bo.OrganizerAccountContentBo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import lombok.Data;

/**
 * @Author thw
 * @date 2023/11/16
 * @description
 */
@Data
@ApiModel("赛事发布管理生成承办方账号页面信息VO")
public class MatchOrganizerAccountPageVO implements Serializable {

  private static final long serialVersionUID = 1L;

//  @ApiModelProperty("主键id")
//  private Long id;

  @ApiModelProperty("比赛id")
  private Long matchId;

  @ApiModelProperty("区域id")
  private String areaId;

  @ApiModelProperty("区域名称")
  private String areaName;

  @ApiModelProperty("本系统赋权承办方的账号")
  private String contractorIdList;

  @ApiModelProperty("承办方临时账号")
  private String tempId;

  @ApiModelProperty("临时账号")
  private String contractorId;

  @ApiModelProperty("承办方临时账号密码")
  private String contractorIdPwd;

//  @ApiModelProperty("关联系统账号信息")
//  private List<OrganizerAccountVO> accountList;

  @ApiModelProperty("关联系统账号信息")
  private OrganizerAccountContentBo account;


}
