package com.crunii.micro.service.match.api.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author xujie
 * @date 2023-09-25
 */
@Data
@ApiModel("预览比赛报名表视图对象")
@ExcelIgnoreUnannotated
public class MatchRegisterFormVo implements Serializable {
    private static final long serialVersionUID = 1L;
    @ApiModelProperty("报名表Id")
    private Long registerId;
    @ApiModelProperty("报名表名称")
    private String name;
    @ApiModelProperty("类型")
    private String configType;
}
