package com.crunii.micro.service.match.api.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;


/**
 * 报名截止时间通知
 *
 * @author xjm
 * @date 2024-01-18
 */
@Data
@ApiModel("报名截止时间通知")
@ExcelIgnoreUnannotated
public class MthContractorVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @ApiModelProperty("比赛id")
    private Long matchId;
    /**
     * 比赛名称
     */
    @ApiModelProperty("比赛名称")
    private String matchName;
    /**
     * 承办方id
     */
    @ApiModelProperty("承办方id")
    private Long contractorId;
    /**
     * 账号类型(long_term,temp)
     */
    @ApiModelProperty("账号类型(long_term,temp)")
    private String limitType;

}
