package com.crunii.micro.service.match.api.vo;

import java.io.Serializable;
import java.util.Date;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * 赛事-赛项-组别信息;视图对象 mth_match_group
 *
 * @author mth
 * @date 2023-09-19
 */
@Data
@ApiModel("赛事组别信息视图对象")
@ExcelIgnoreUnannotated
public class MthMatchGroupVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @ExcelProperty(value = "id")
    @ApiModelProperty("id")
    private Long id;
    /**
     * 赛项id
     */
    @ExcelProperty(value = "赛项id")
    @ApiModelProperty("赛项id")
    private String itemId;
    /**
     * 组别名称
     */
    @ExcelProperty(value = "组别名称")
    @ApiModelProperty("组别名称")
    private String groupName;
    /**
     * 创建人
     */
    @ExcelProperty(value = "创建人")
    @ApiModelProperty("创建人")
    private String createBy;
    /**
     * 创建时间
     */
    @ExcelProperty(value = "创建时间")
    @ApiModelProperty("创建时间")
    private Date createTime;


}
