package com.crunii.micro.service.match.api.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.crunii.micro.service.match.api.bo.ObsFileInfoBo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;


/**
 * APP查询赛事列表-返回参数
 *
 * @author mth
 * @date 2023-09-19
 */
@Data
@ApiModel("APP查询赛事列表-返回参数")
@ExcelIgnoreUnannotated
public class MthMyMatchListAppVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @ApiModelProperty("id")
    private Long id;
    /**
     * 比赛名称;比赛名称
     */
    @ApiModelProperty("比赛名称")
    private String matchName;
    /**
     * 状态
     */
    @ApiModelProperty("状态")
    private String status;
    /**
     * 状态描述
     */
    @ApiModelProperty("状态描述")
    private String statusDesc;
    /**
     * 报名id
     */
    @ApiModelProperty("报名id")
    private Long registerId;
    /**
     * 报名审核结果
     */
    @ApiModelProperty("报名审核结果")
    private String reviewResult;
    /**
     * 报名审核结果描述
     */
    @ApiModelProperty("报名审核结果描述")
    private String reviewResultDesc;
    /**
     * bannerId
     */
    @ApiModelProperty(value = "bannerId")
    private Long bannerId;
    /**
     * banner
     */
    @ApiModelProperty(value = "banner")
    private ObsFileInfoBo banner;
}
