package com.crunii.micro.service.match.api.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;


/**
 * APP查询赛事报名范围-返回参数
 *
 * @author mth
 * @date 2023-09-19
 */
@Data
@ApiModel("APP查询赛事报名范围-返回参数")
@ExcelIgnoreUnannotated
public class MthRegisterAreaAppVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 比赛id
     */
    @ApiModelProperty("比赛id")
    private Long matchId;
    /**
     * 场次实例id
     */
    @ApiModelProperty("场次实例id")
    private Long id;
    /**
     * 区域id
     */
    @ApiModelProperty("区域id")
    private Long areaId;
    /**
     * 区域名称
     */
    @ApiModelProperty("区域名称")
    private String areaName;

}
