package com.crunii.micro.service.match.api.vo;

import java.io.Serializable;
import java.util.Date;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * 赛事-赛项-组别-区域报名详情;视图对象 mth_register_detail
 *
 * @author mth
 * @date 2023-09-19
 */
@Data
@ApiModel("赛事区域报名详情视图对象")
@ExcelIgnoreUnannotated
public class MthRegisterDetailVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @ExcelProperty(value = "id")
    @ApiModelProperty("id")
    private Long id;
    /**
     * 报名id
     */
    @ExcelProperty(value = "报名id")
    @ApiModelProperty("报名id")
    private Long bizId;
    /**
     * 报名配置详情id
     */
    @ExcelProperty(value = "报名配置详情id")
    @ApiModelProperty("报名配置详情id")
    private Long configDetailId;
    /**
     * 配置id
     */
    @ExcelProperty(value = "配置id")
    @ApiModelProperty("配置id")
    private Long configId;
    /**
     * 配置中的key
     */
    @ExcelProperty(value = "配置中的key")
    @ApiModelProperty("配置中的key")
    private String key;
    /**
     * 用户提交数据
     */
    @ExcelProperty(value = "用户提交数据")
    @ApiModelProperty("用户提交数据")
    private String value;
    /**
     * 类型(报名信息、作品信息)
     */
    @ExcelProperty(value = "类型(报名信息、作品信息)")
    @ApiModelProperty("类型(报名信息、作品信息)")
    private String type;
    /**
     * 创建人
     */
    @ExcelProperty(value = "创建人")
    @ApiModelProperty("创建人")
    private String createBy;
    /**
     * 创建时间
     */
    @ExcelProperty(value = "创建时间")
    @ApiModelProperty("创建时间")
    private Date createTime;
    /**
     * 更新人
     */
    @ExcelProperty(value = "更新人")
    @ApiModelProperty("更新人")
    private String updateBy;
    /**
     * 更新时间
     */
    @ExcelProperty(value = "更新时间")
    @ApiModelProperty("更新时间")
    private Date updateTime;

}
