package com.crunii.micro.service.match.api.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author liuchuan
 * @version 1.0
 * @description:
 * @date 2023/12/1 10:10
 */
@Data
@ApiModel("邮寄列表")
@ExcelIgnoreUnannotated
public class MthRoundDeliveryVo {

    private Long roundScoreId;

    @ApiModelProperty("比赛名称")
    @ExcelProperty(value = "比赛名称")
    private String matchName;

    @ApiModelProperty("场次名称")
    @ExcelProperty(value = "场次名称")
    private String roundName;

    @ApiModelProperty("参赛者名称")
    @ExcelProperty(value = "参赛者名称")
    private String userName;

    @ApiModelProperty("学校名称")
    @ExcelProperty(value = "学校名称")
    private String schoolName;

    @ExcelProperty(value = "单位名称")
    @ApiModelProperty("单位名称")
    private String companyName;

    @ApiModelProperty("奖项名称")
    @ExcelProperty(value = "奖项名称")
    private String prizeName;

    @ApiModelProperty("地址")
    @ExcelProperty(value = "地址")
    private String consigneeAddress;

    @ApiModelProperty("电话")
    @ExcelProperty(value = "电话")
    private String consigneePhone;

    @ApiModelProperty("收货人姓名")
    @ExcelProperty(value = "收货人姓名")
    private String consigneeName;

    @ApiModelProperty("邮编")
    @ExcelProperty(value = "邮编")
    private String postalCode;

    @ApiModelProperty("是否邮寄")
    private Integer deliveryFlag;

    @ExcelProperty(value = "是否邮寄")
    private String deliveryFlagName;

}
