package com.crunii.micro.service.match.api.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import java.util.Date;
import java.util.List;

/**
 * @author denggl
 * date 2023/11/30
 */
@Data
@ApiModel("评审员评分详情")
public class MthRoundScoreinfoVo {


    @ApiModelProperty(value = "id")
    private Long id ;
    /** 场次名单id */
    @ApiModelProperty(name = "场次名单id",notes = "")
    private Long roundListId ;
    /** 排名 */
    @ApiModelProperty(name = "排名",notes = "")
    private Integer sort ;
    /** 分数 */
    @ApiModelProperty(name = "分数",notes = "")
    private String score ;
    /** 评语 */
    @ApiModelProperty(name = "评语",notes = "")
    private String comment;
    /** 评审员id */
    @ApiModelProperty(name = "评审员id",notes = "")
    private Long reviewerId ;
    /** 评委 */
    @ApiModelProperty(name = "评委",notes = "")
    private String reviewerName ;
    /** 评委签名 */
    @ApiModelProperty(name = "评委签名",notes = "")
    private String reviewerSign ;
    /** 删除标志 */
    @ApiModelProperty(name = "删除标志",notes = "")
    private Integer delFlag ;


    List<MthRoundReviewStandarVo> reviewStandarVoList;

}
