package com.crunii.micro.service.match.api.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.crunii.micro.service.match.api.vo.MthRegisterDetailVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;


/**
 * 参数作品信息
 *
 * @author mth
 * @date 2023-09-19
 */
@Data
@ApiModel("参数作品信息")
@ExcelIgnoreUnannotated
public class MthWorkDetailVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @ExcelProperty(value = "id")
    @ApiModelProperty("id")
    private Long id;
    /**
     * 作品code
     */
    @ExcelProperty(value = "作品code")
    @ApiModelProperty("作品code")
    private String workCode;
    /**
     * 作品名称
     */
    @ExcelProperty(value = "作品名称")
    @ApiModelProperty("作品名称")
    private String workName;
    /**
     * 作品详情
     */
    @ExcelProperty(value = "作品详情")
    @ApiModelProperty("作品详情")
    private List<MthRegisterDetailVo> mthRegisterDetails;

}
