package com.crunii.micro.service.match.api.vo;

import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import lombok.Data;

/**
 * @Author thw
 * @date 2023/11/17
 * @description 承办方信息记录
 */
@Data
public class OrganizerAccountInfoVo  implements Serializable {

  private static final long serialVersionUID = 1L;

  @ApiModelProperty("用户id（承办方id（人员id））")
  private Long contractorId;

  @ApiModelProperty("临时账号")
  private String contractorName;

  @ApiModelProperty("承办方组织")
  private Long orgId;

  @ApiModelProperty("承办方组织名称")
  private String orgName;

  @ApiModelProperty("比赛等级")
  private String matchLevel;

  @ApiModelProperty("账号类型(long_term,temp)")
  private String limitType;

}
