package com.crunii.micro.service.match.api.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.List;
import lombok.Data;

/**
 * @Author thw
 * @date 2023/11/16
 * @description
 */
@Data
@ApiModel("系统账号赋予承办方权限VO")
public class OrganizerAccountVO implements Serializable {

  private static final long serialVersionUID = 1L;

  @ApiModelProperty("用户id（承办方id（人员id））")
  private List<String> contractorId;

  @ApiModelProperty("组织id")
  private String orgId;

}
