package com.crunii.micro.service.match.api.vo.sign;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;


@Data
@Accessors(chain = true)
@ApiModel("app-赛事详情-已参加场次签到信息")
public class SignRecordVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "场次ID")
    private Long instanceId;

    @ApiModelProperty(value = "区域名称+场次名称")
    private String instanceName;

    @ApiModelProperty(value = "比赛时间")
    private String roundTime;

    @ApiModelProperty(value = "是否已签到")
    private Boolean WhetherSignIn;

    @ApiModelProperty(value = "签到地点(地址+详细地址)")
    private String signInAddress;

    @ApiModelProperty(value = "签到时间")
    private String signInTime;

    @ApiModelProperty(value = "是否已签退")
    private Boolean WhetherSignOut;

    @ApiModelProperty(value = "签退地点名称")
    private String signOutAddress;

    @ApiModelProperty(value = "签退时间")
    private String signOutTime;
}
