package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.MthArea;
import com.crunii.micro.domain.entity.main.MthFormConfig;
import com.crunii.micro.domain.entity.main.MthFormConfigData;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 赛事-场次-比赛区域等级;Mapper接口
 *
 * @author mth
 * @date 2023-09-19
 */

@Repository
public interface MthFormConfigDataRepo extends BaseRepo<MthFormConfigData, Long> {

    List<MthFormConfigData> findByConfigIdAndDelFlag(Long configId,Integer delflag);

    List<MthFormConfigData> findByConfigIdInAndDelFlag(List<Long> configIdList,Integer delFlag);

    List<MthFormConfigData> findByConfigIdIn(List<Long> configIdList);
    List<MthFormConfigData> findByConfigId(Long configId);
}
