package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.MthMatchCollected;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author gongsongtao
 * @date 2023/11/16 19:22
 */
@Repository
public interface MthMatchCollectedRepo  extends BaseRepo<MthMatchCollected,Long> {
    @Query(value = "select * from mth_match_collected where del_flag=0 and match_info_id=?1 and user_id=?2",nativeQuery = true)
    List<MthMatchCollected> findByMatchId(Long matchId,Long userId);
}
