package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.MthMatchItem;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 赛事-赛项信息;Mapper接口
 *
 * @author mth
 * @date 2023-09-19
 */
@Repository
public interface MthMatchItemRepo extends BaseRepo<MthMatchItem, Long> {
    @Query(value = "delete from mth_match_item where match_id=?1",nativeQuery = true)
    void deleteMthMatchItemsByMatchId(Long matchId);
    List<MthMatchItem> findByMatchId(Long matchId);


}
