package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.MthMatchSignInformation;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author gongsongtao
 * @date 2023/11/30 10:23
 */
@Repository
public interface MthMatchSignInformationRepo extends BaseRepo<MthMatchSignInformation, Long> {

    @Query(value = "select * from mth_match_sign_information where instance_id=?1 and information_type=?2 and del_flag=0",nativeQuery = true)
    MthMatchSignInformation findByInstanceIdAndHandle(Long instanceId,Integer informationType);

    @Query(value = "select * from mth_match_sign_information where instance_id=?1 and del_flag=0",nativeQuery = true)
    List<MthMatchSignInformation> findByInstanceId(Long instanceId);
}
