package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.MthProjectFinancingMember;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 青创赛事项目融资项目成员Mapper接口
 *
 * @author ruoyi
 * @date 2023-12-18
 */
@Repository
public interface MthProjectFinancingMemberRepo extends BaseRepo<MthProjectFinancingMember, Long> {

    void deleteByFinancingId(Long financingId);

    List<MthProjectFinancingMember> findByFinancingId(Long financingId);
}
