package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.MthProjectFinancing;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 青创赛事项目融资申请Mapper接口
 *
 * @author ruoyi
 * @date 2023-12-18
 */
@Repository
public interface MthProjectFinancingRepo extends BaseRepo<MthProjectFinancing, Long> {

    MthProjectFinancing findByProjectId(Long projectId);

    @Query(value = "select  * from mth_project_financing where review_status=1 and publicity_status=1 and user_id=?1",nativeQuery = true)
    List<MthProjectFinancing> findByUserId(Integer userId);
}
