package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.MthRegisterConfig;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 赛事-报名信息;Mapper接口
 *
 * @author mth
 * @date 2023-09-19
 */
@Repository
public interface MthRegisterConfigRepo extends BaseRepo<MthRegisterConfig, Long> {

    List<MthRegisterConfig> findByMatchId(Long matchId);
    List<MthRegisterConfig> findByMatchIdAndConfigType(Long matchId,String configType);

}
