package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.MthRoundReviewer;
import java.util.List;
import org.springframework.stereotype.Repository;

/**
 * 赛事-场次-评审员账号关系;Mapper接口
 *
 * @author mth
 * @date 2023-09-19
 */
@Repository
public interface MthRoundReviewerRepo extends BaseRepo<MthRoundReviewer, Long> {

    MthRoundReviewer findMthRoundReviewerByRoundId(Long roundId);

    List<MthRoundReviewer> findByRoundIdIn(List<Long> roundId);
    List<MthRoundReviewer> findByRoundId(Long roundId);
    MthRoundReviewer findByRoundIdAndReviewerId(Long roundId,Long reviewerId);

    List<MthRoundReviewer> findAllByRoundIdIn(List<Long> roundIds);
}
