package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.MthRoundScoreinfo;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author denggl
 * date 2023/11/29
 */
@Repository
public interface MthRoundScoreinfoRepo  extends BaseRepo<MthRoundScoreinfo, Long> {

    List<MthRoundScoreinfo>  findByRoundListId(Long roundListId);
    List<MthRoundScoreinfo>  findByRoundListIdIn(List<Long> roundListIds);
    MthRoundScoreinfo findByRoundListIdAndReviewerId(Long roundListId,Long reviewerId);
    MthRoundScoreinfo deleteByRoundListIdAndReviewerId(Long roundListId,Long reviewerId);
}
