package com.crunii.micro.service.match.constants;

/**
 * @author gongsongtao
 * @date 2023/11/16 19:42
 */
public class MatchMessageConstants {
    public static String REQUEST_ERROR="请求参数异常";
    //收藏赛事
    public static String MATCH_COLLECT_SUCCESS="收藏成功";
    public static String MATCH_COLLECT_CANCEL_FAILED="取消收藏成功";
    public static String MATCH_NOT_EXIST="该赛事已不存在";
    //场次管理
    public static String MATCH_SIGN_IN_TIME_INCOMPLETE="请完善签到时间";
    public static String MATCH_SIGN_IN_SITE_INCOMPLETE="请完善签到地点";
    public static String MATCH_SIGN_OUT_TIME_INCOMPLETE="请完善签退时间";
    public static String MATCH_SIGN_OUT_SITE_INCOMPLETE="请完善签退地点";
    //app签到管理
    public static String MATCH_SIGN_IN_SUCCEED="签到成功";
    public static String MATCH_SIGN_OUT_SUCCEED="签退成功";
    public static String MATCH_SIGN_QR_CODE_ERROR="请扫描正确的二维码";
    public static String MATCH_SIGN_ROUND_NONENTITY="该比赛场次不存在";
    public static String MATCH_SIGN_PARAM_NONENTITY="缺失关键参数";
    public static String MATCH_SIGN_NOT_JOIN="您未参加该比赛";
    public static String MATCH_SIGNED_IN="您已签到";
    public static String MATCH_SIGNED_OUT="您已签退";
    public static String MATCH_SIGN_IN_TIME_BEFORE="签到还未开始";
    public static String MATCH_SIGN_IN_TIME_AFTER="签到已结束";
    public static String MATCH_SIGN_OUT_TIME_BEFORE="签退还未开始";
    public static String MATCH_SIGN_OUT_TIME_AFTER="签退已结束";
    public static String MATCH_SIGN_IN_NOT_NEED="该比赛不需要签到";
    public static String MATCH_SIGN_OUT_NOT_NEED="该比赛不需要签退";
    public static String MATCH_SIGN_IN_QR_ERROR="请扫描最新签到二维码";
    public static String MATCH_SIGN_OUT_QR_ERROR="请扫描最新签退二维码";
    public static String MATCH_SIGN_INFORMATION_NULL="尚未设置签到或签退信息";
    public static String MATCH_SIGN_IN_DATE_DEFICIENCY="距离签到开始不足24小时,无法修改签到信息";
    public static String MATCH_SIGN_OUT_DATE_DEFICIENCY="距离签退开始不足24小时,无法修改签退信息";
    public static String MATCH_SIGN_IN_DATE_ONLY_AFTER="签到开始时间只能延后";
    public static String MATCH_SIGN_OUT_DATE_ONLY_AFTER="签退开始时间只能延后";
    //赛事app报名
    public static String MATCH_SIGN_UP_GROUP_NULL="报名失败! 缺失组别信息";
    public static String MATCH_SIGN_UP_IDCAR_FORMAT_ERROR="身份证号码格式不正确!";
    public static String MATCH_SIGN_UP_AGE_OUT="报名失败! 年龄不符合要求";
    public static String MATCH_SIGN_UP_START_AGE="报名失败! 该组别未设置开始年龄";
    public static String MATCH_SIGN_UP_START_END="报名失败! 该组别未设置结束年龄";
    public static String MATCH_FILE_UPLOAD_ERROR="上传图片失败";
    public static String MATCH_FILE_DOWNLOAD_ERROR="下载图片失败";
    public static String MATCH_SIGN_UNFINISHED="评委尚未点评";
    //青创赛事
    public static String PROJECT_FINANCING_NOT_EXISTS="该融资申请已不存在";
    public static String PROJECT_PROJECT_NOT_EXISTS="该项目已不存在";
    public static String PROJECT_FINANCING_UNNEEDED_AUDIT="该融资申请已审核";
    public static String PROJECT_FINANCING_AUDIT_REASON="请填写原因";
    public static String PROJECT_FINANCING_AUDIT_REASON_OUT="原因不能超过200个字符";
    public static String PROJECT_FINANCING_NOT_PASS="仅可公示通过审核的融资申请";
    public static String PROJECT_FINANCING_REVOCATION="该融资申请已撤回,无法审核";
    public static String PROJECT_FINANCING_STATUS_ERROR="参数异常，非审核状态";
    public static String PROJECT_FINANCING_JOIN_MOBILE_NULL="请填写参赛者手机号码";
    public static String PROJECT_FINANCING_JOIN_USER_NOT_EXISTS="该参赛者不存在";
    public static String PROJECT_FINANCING_USER_MORE="该手机号存在多个用户";
    public static String PROJECT_FINANCING_INFORMATION_NULL="请完整填写联系信息";
    public static String PROJECT_FINANCING_MOBILE_ERROR="请填写格式正确的移动电话号码";
    //赛事审核
    public static String MATCH_APPROVE_DEPARTMENT_ERROR="请更新您的所属部门";
    public static String MATCH_APPROVE_DEPARTMENT_NULL="请至少选择一个审核部门";
    public static String MATCH_APPROVE_DEPARTMENT_NEWEST="请重新选择最新部门";
    public static String MATCH_APPROVE_WORKER_DEPARTMENT_NULL="暂无您所属部门信息";
    public static String MATCH_APPROVE_STATE_NOT_ALLOW="当前状态不能发起审核！";
    public static String MATCH_APPROVE_DEPARTMENT_EQUAL="第一个审核部门与您所属部门不一致！";
    public static String MATCH_APPROVE_QC_MATCH="青创赛事一个审核部门只能是青年创新创业服务中心";
    public static String MATCH_APPROVE_CITY_NOT_EXISTS="市团委数据异常";
    public static String MATCH_APPROVE_NODE_NULL="请至少选择一个审核部门";
    public static String MATCH_TASK_NOT_EXISTS="该待办已不存在";
    public static String MATCH_APPROVE_DONE="该待办已处理";
    public static String MATCH_APPROVE_RESULT_TYPE_NULL="请选择审核意见";
    public static String MATCH_APPROVE_WORKER_NULL="请选择具体审核人员";
    public static String MATCH_APPROVE_IS_RESTART="该赛事审核流程已重新发起";

}
