package com.crunii.micro.service.match.constants;

/**
 * @author liuchuan
 * @version 1.0
 * @description:
 * @date 2023/11/30 14:50
 */

public class PushMsgConstants {


    public static final String SYSTEM_NAME = "赛事天地";

    //赛事发送范围默认为用户
    public static final Integer SEND_SCOPE_TYPE = 4;


    //比赛报名成功通知
    public static final String SCENE_NAME_REGISTERED = "赛事报名成功通知";
    public static final String TITLE_REGISTERED = "赛事报名成功通知";

    //比赛报名审核通过通知
    public static final String SCENE_NAME_REGISTER_AUDIT_APPROVE = "赛事报名审核通过通知";
    public static final String TITLE_REGISTER_AUDIT_APPROVE = "赛事报名审核通过通知";

    //比赛报名审核未通过通知
    public static final String SCENE_NAME_REGISTER_AUDIT_REJECT = "赛事报名审核未通过通知";
    public static final String TITLE_REGISTER_AUDIT_REJECT = "赛事报名审核未通过通知";

    //作品未上传提醒
    public static final String SCENE_NAME_WORK_NOT_UPLOADED = "作品未上传提醒";
    public static final String TITLE_WORK_NOT_UPLOADED = "作品未上传提醒";

    //参加比赛通知
    public static final String SCENE_NAME_PLAY = "参加比赛通知";
    public static final String TITLE_PLAY = "参加比赛通知";
    public static final String TITLE_PLAY_LOCATION = "参加比赛通知-带地点";

    //赛事获奖通知
    public static final String SCENE_NAME_AWARDS = "赛事获奖通知";
    public static final String TITLE_AWARDS = "赛事获奖通知";

    //赛事晋级通知
    public static final String SCENE_NAME_PROMOTED = "赛事晋级通知";
    public static final String TITLE_PROMOTED = "赛事晋级通知";

    //比赛领奖通知 邮寄
    public static final String SCENE_NAME_RECEVIE = "比赛领奖通知";
    //邮寄
    public static final String TITLE_RECEVIE_DELIVERY = "比赛领奖通知-邮寄";
    //自取
    public static final String TITLE_RECEVIE_SELF = "比赛领奖通知";

    //青创赛事-申请待审核通知
    public static final String APPLY_CHECK_REGISTERED= "青创赛事";
    public static final String APPLY_CHECK_REGISTERED_TITLE= "申请审核通知";
    //青创赛事-申请审核结果通知
    public static final String APPLY_RESULT_REGISTERED= "融资申请审核结果通知";
    public static final String APPLY_RESULT_REGISTERED_TITLE= "申请审核结果通知";


    //青创赛事-完善比赛信息通知
    public static final String IMPROVE_MATCH_INFO_SCENE_NAME= "完善比赛信息通知";
    public static final String IMPROVE_MATCH_INFO_TITLE= "完善比赛信息通知";

    //青创赛事-待设置排名晋级通知
    public static final String PROMOTION_RANKING_SCENE_NAME= "待设置排名晋级通知";
    public static final String PROMOTION_RANKING_REGISTERED_TITLE= "待设置排名晋级通知";

    //青创赛事-待公示通知
    public static final String STAY_PASS_SCENE_NAME= "待公示通知";
    public static final String STAY_PASS_TITLE= "待公示通知";

    //青创赛事-公示结束通知
    public static final String PUBLIC_FINISH_SCENE_NAME= "公示结束通知";
    public static final String PUBLIC_FINISH_TITLE= "公示结束通知";

    //青创赛事-比赛待结束通知
    public static final String MATCH_FINISH_SCENE_NAME= "比赛待结束通知";
    public static final String MATCH_FINISH_TITLE= "比赛待结束通知";

    //报名截止时间通知
    public static final String REGISTER_DEADLINE_SCENE_NAME= "报名截止时间通知";
    public static final String REGISTER_DEADLINE_TITLE= "报名截止时间通知";

    //报名待审核通知
    public static final String REGISTER_AUDIT_SCENE_NAME= "报名待审核通知";
    public static final String REGISTER_AUDIT_TITLE= "报名待审核通知";

    //作品待评审通知
    public static final String WORK_REVIEW_SCENE_NAME= "作品待评审通知";
    public static final String WORK_REVIEW_TITLE= "作品待评审通知";

    //赛事发布待审核通知
    public static final String MATCH_PUBLISH_TO_APPROVE= "赛事待审核通知";
    public static final String MATCH_PUBLISH_TO_APPROVE_TITLE= "赛事待审核通知";

    //赛事发布审核结果通知
    public static final String MATCH_PUBLISH_RESULT= "赛事审核结果通知";
    public static final String MATCH_PUBLISH_RESULT_TITLE= "赛事审核结果通知";


}
