package com.crunii.micro.service.match.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author baoxy
 * @date 2023-06-28
 */
@Data
@ApiModel(description = "赛事活动文章详情页中的附件返回字段")
public class ArticleDetailAnnexVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "附件名称")
    private String fileName;

    @ApiModelProperty(value = "附件key")
    private String fileKey;

    @ApiModelProperty(value = "附件id")
    private String fileId;
}
