package com.crunii.micro.service.match.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author wangchen create 2023/6/30 10:00
 */
@ApiModel(description = "更新文章参数")
@Data
public class ArticleStateDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "文章id")
    @NotNull(message = "文章id不能为空")
    private Long articleId;

    @ApiModelProperty(value = "更新的文章状态 1 发布 2下架")
    @NotNull(message = "文章状态不能为空")
    private Integer articleState;
}
