package com.crunii.micro.service.match.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangchen create 2023/6/28 16:51
 */
@Data
@ApiModel(description = "轮播图创建信息")
public class CarouselDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "obs 文件id")
    private Long fileId;

    @ApiModelProperty(value = "文件名称")
    private String fileName;

    @ApiModelProperty(value = "文件类型")
    private String fileType;

    @ApiModelProperty(value = "文件大小")
    private String fileSize;

    @ApiModelProperty(value = "图片宽度")
    private Integer picWidth;

    @ApiModelProperty(value = "图片高度")
    private Integer picHeight;

    @ApiModelProperty(value = "图片key")
    private String fileKey;

    @ApiModelProperty(value = "图片地址")
    private String fileUrl;

}
