package com.crunii.micro.service.match.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author baoxy
 * @date 2023-06-26
 */
@Data
@ApiModel(description = "赛事活动页面查询返回字段")
public class MatchSearchVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    private Long articleId;

    @ApiModelProperty(value = "文章标题")
    private String articleTitle;

    @ApiModelProperty(value = "文章类别(0::预告,1:报名中, 2:报名结束, 3:赛事报道, 4:赛事结束)")
    private int articleType;

    @ApiModelProperty(value = "发布时间")
    private String publishTime;

    @ApiModelProperty(value = "图片key")
    private String fileKey;

    @ApiModelProperty(value = "展示到期 0否 1是")
    private int showDue;
}
