package com.crunii.micro.service.match.dto;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
@ApiModel(description = "关联比赛")
public class RelateMatchDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("文章id")
    @NotNull(message = "文章id不能为空")
    private Long articleId;

    @ApiModelProperty("赛事id")
    @NotNull(message = "组织id不能为空")
    private Long matchId;
}
