package com.crunii.micro.service.match.enums;

import lombok.Getter;

/**
 * @Author thw
 * @date 2023/11/22
 * @description 赛事新增的两个角色内容
 */
public class MatchInsertRoleEnum {

  /** 角色类型 */
  public enum RoleType {

    ORGANIZER_ROLE("赛事-承办方", "赛事-承办方-用于权限控制"),
    REVIEWER_ROLE("赛事-评审员", "赛事-评审员-用于权限控制");
    @Getter
    private String name;
    @Getter
    private String desc;

    RoleType(String name, String desc) {
      this.name = name;
      this.desc = desc;
    }

  }

}
