package com.crunii.micro.service.match.jdbc;

import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
import com.crunii.micro.domain.common.jdbc.BaseNPJdbcTemplate;
import com.crunii.micro.service.match.api.vo.MatchBaseItemVo;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author xujie
 * @date 2023-09-23
 */
@Repository
public class MthMatchItemDao {
    @Resource(name = "mainJT")
    protected BaseJdbcTemplate jt;

    @Resource(name = "mainNPJT")
    protected BaseNPJdbcTemplate baseNpJdbcTemplate;


    public List<MatchBaseItemVo> getItemList(Long matchId) {
        String sql = "select id,item_name from mth_match_item where del_flag = 0 and match_id = :id";
        Map<String, Object> map = new HashMap<>();
        map.put("id",matchId);
        return baseNpJdbcTemplate.queryForBeans(MatchBaseItemVo.class,sql,map);
    }
}
