package com.crunii.micro.service.match.service;


import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.match.api.bo.MthAreaBo;
import com.crunii.micro.service.match.api.vo.MthAreaVo;

import java.util.List;

/**
 * 赛事-场次-比赛区域等级;Service接口
 *
 * @author mth
 * @date 2023-09-19
 */

public interface IMthAreaService {

    /**
     * 查询赛事-场次-比赛区域等级;
     */
    MthAreaVo queryById(Long id);

    /**
     * 查询赛事-场次-比赛区域等级;列表
     */
    Result<PageRsp<MthAreaVo>> queryPageList(PageReq<MthAreaBo> bo);

    /**
     * 查询赛事-场次-比赛区域等级;列表
     */
    List<MthAreaVo> queryList(MthAreaBo bo);
}
