package com.crunii.micro.service.match.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.match.api.bo.MatchReviewerPageReqBo;
import com.crunii.micro.service.match.api.bo.MatchReviewerReqBo;
import com.crunii.micro.service.match.api.bo.MatchReviewerUpBo;
import com.crunii.micro.service.match.api.vo.MatchReviewerPageVO;
import java.util.List;
import javax.servlet.http.HttpServletResponse;

/**
 * @Author thw
 * @date 2023/11/20
 * @description 评审员相关
 */
public interface MatchReviewerManageService {

  PageRsp<MatchReviewerPageVO> pageReviewerAccounts(PageReq<MatchReviewerPageReqBo> bo);

  Result saveReviewerAccount(MatchReviewerReqBo bo);

  Result updateReviewerAccount(List<MatchReviewerUpBo> bo);

  void exportReviewerAccount(HttpServletResponse response, MatchReviewerPageReqBo bo);

}
