package com.crunii.micro.service.obs.config;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @author wangchen create 2023/12/14 9:09
 */
@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
@Component
@ConfigurationProperties(prefix = "video")
public class VideoConfigProperty {

    private String systemName;

    private String appKey;

    private String secretKey;

    private String uploadFileNotificationUrl;

    private String getFileUrl;

    private String notifyUrl;

    private String webPreviewUrl;

    private String pictureUrlPrefix;
}
