package com.crunii.micro.service.obs.constants;

import com.amazonaws.services.dynamodbv2.xspec.S;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/6/3 15:58
 */
public class ObsConstants {

    /**
     * 有效
     */
    public static final Integer STATE_1 = 1;

    /**
     * 无效
     */
    public static final Integer STATE_0 = 0;

    public static final Integer STATE_DEL = -1;

    /**
     * IE浏览器
     */
    public static final String MSIE = "MSIE";

    /**
     * google,火狐浏览器
     */
    public static final String MOZILLA = "Mozilla";

    /**
     * 是图片
     */
    public static final Integer IS_PIC1 = 1;

    /**
     * redis 前缀
     */
    public static final String PREFIX = "obsFile:";

    /**
     * 值为2的int类型
     */
    public static final int TWO_INT = 2;

    /**
     * 文件上传超过此参数进行分片上传
     */
    public static final int MAX_SINGLE_UPLOAD = 100;

    /**
     * s3访问服务前缀
     */
    public static final String S3Url = "https://youth.cq.cqyl.org.cn/oss/";

    /**
     * s3访问服务前缀内网
     */
    public static final String S3InnerUrl = "http://10.31.146.100:8082/gqtcqsw:zggczyqntcqswy-obs-qccq01/";

    /**
     * s3测试访问服务前缀
     */
    public static final String S3_TEST_Url = "http://221.178.46.50:8082/gqtcqsw:zggczyqntcqswy-obs-qccq01/";

    public static final String FILE_STATUS_MGS_ONE="未获取到视频的上传信息";

    public static final String FILE_STATUS_MGS_TWO="视频转码中,暂时无法观看";

    /**
     * 无效状态
     */
    public static final int STATUS_INVALID = 0;

    /**
     * h264高清1080p
     */
    public static final String VIDEO_1080 = "1";

    /**
     * h264标清720p
     */
    public static final String VIDEO_720 = "2";

    /**
     * h265高清1080p
     */
    public static final String VIDEO_H265_1080 = "3";

    /**
     * h265标清720p
     */
    public static final String VIDEO_H265_720 = "4";
}
