package com.crunii.micro.service.obs.controller;

import com.crunii.micro.service.obs.service.WordToPdfService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author: zwx
 * @CreateTime: 2023-11-22  15:41:46
 * @Description: word转pdf
 */
@Slf4j
@Api(tags = "word转pdf")
@RestController
@RequestMapping("/auth/wordToPdf")
public class WordToPdfController {

    @Autowired
    WordToPdfService wordToPdfService;

    @ApiOperation("word转pdf")
    @RequestMapping(value = "/convert", method = RequestMethod.POST)
    public ResponseEntity<byte[]> wordConvertToPdf(String templateName,Class<?> classTo) {
        return null;
    }

}
