package com.crunii.micro.service.obs.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author baoxy
 * @date 2023-07-06
 */
@Data
@ApiModel(description = "下载压缩包文件传入字段")
public class DownLoadZipDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "图片id列表")
    private List<String> uploadIdList;

    @ApiModelProperty(value = "业务编码(除了图绘青春的文件中心不用传值,其他业务都需要传值,值自定义即可)")
    private String code;
}
