package com.crunii.micro.service.obs.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author wangchen create 2023/12/14 9:52
 */
@Data
public class VideoReqDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("文件Id")
    private String fileId;

    @ApiModelProperty("服务类型")
    @NotNull(message = "服务类型不能为空")
    private Integer serverType;
}
