package com.crunii.micro.service.obs.jdbc;

import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
import com.crunii.micro.domain.dto.obs.ObsServiceCodeDto;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/6/9 15:53
 */
@Repository
public class ObsJdbc {

    @Resource(name = "mainJT")
    protected BaseJdbcTemplate jt;

    /**
     * 查询待删除的对象key
     * @return
     */
    public List<Long> queryDeleteObsKeys(){
        String sql ="SELECT upload_id FROM YCQ_UPLOAD_INFO WHERE state =0";
        return jt.queryForRawObjects(Long.class,sql);
    }
    public List<String> queryFileKey(Long uploadId){
        String sql ="SELECT file_key FROM YCQ_FILE_RECORD WHERE upload_id = ?";
        return jt.queryForRawObjects(String.class,sql,uploadId);
    }

    public List<Long> queryDeleteObsKeys2(){
        String sql ="SELECT id FROM YCQ_OBS_FILE WHERE state =0";
        return jt.queryForRawObjects(Long.class,sql);
    }

    public void updateObsServiceCode(List<ObsServiceCodeDto> list){
        String sql = "UPDATE YCQ_OBS_FILE SET  service_code= 'RECORD_ACTUAL_EVENTS' ,service_id = 1676417933661704192 where id = 1672860237505654784";
        jt.update(sql);
//        String sql = "UPDATE YCQ_OBS_FILE SET  service_code= ? ,service_id = ? where id = ? ";
//        for (ObsServiceCodeDto dto :list){
//            jt.update(sql,dto.getServiceCode(),dto.getServiceId(),dto.getFileId());
//        }

/*        jt.batchUpdate(sql,list,10, new ParameterizedPreparedStatementSetter<ObsServiceCodeDto>() {
            @Override
            public void setValues(PreparedStatement ps, ObsServiceCodeDto argument) throws SQLException {
                ps.setString(1,argument.getServiceCode());
                ps.setLong(2,argument.getServiceId());
                ps.setLong(3,argument.getFileId());
            }
        }); */
    }
}
