/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved.
 * <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.obs.service;

import com.obs.services.model.BucketStorageInfo;
import org.springframework.beans.factory.InitializingBean;

/**
 * @author shenhs create 2023/5/25 16:12
 */
@Deprecated
public interface ObsBucketService2 extends InitializingBean {

	/**
	 * 创建桶
	 * @param bucketName 桶名字
	 * @throws Exception
	 */
	void createBucket(String bucketName) throws Exception;

	/**
	 * 删除桶
	 * @param bucketName 桶名字
	 * @throws Exception
	 */
	void deleteBucket(String bucketName) throws Exception;

	/**
	 * 获取桶信息
	 * @param bucketName 桶名字
	 * @return
	 * @throws Exception
	 */
	BucketStorageInfo getBucketInfo(String bucketName) throws Exception;

	/**
	 * 判断桶是否存在
	 * @param bucketName 桶名字
	 * @return
	 * @throws Exception
	 */
	boolean exists(String bucketName) throws Exception;
}
