package com.crunii.micro.service.obs.service;

import com.crunii.micro.service.obs.dto.DownLoadZipDto;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @author baoxy
 * @date 2023-06-19
 */
public interface ZipFileService {

    /**
     * 下载压缩包文件
     *
     * @param request      请求
     * @param response     响应
     * @param dto 实体类
     * @return 返回 Result<String>
     */
    int downloadZip(HttpServletRequest request, HttpServletResponse response, DownLoadZipDto dto);
}
