package com.crunii.micro.service.oneaffair.commo.base;

import javax.persistence.criteria.CriteriaBuilder;
import javax.persistence.criteria.Predicate;
import javax.persistence.criteria.Root;
import java.util.List;

/**
 * Author：dadm
 * Date：2023-09-21 10:27
 * Description：<描述>
 */
public interface FieldRestriction<T> {

    /**
     * JPA 条件扩展查询
     * @param root 查询根
     * @param criteriaBuilder  标准
     * @return 扩展后的查询条件
     */
    List<Predicate> addRestriction(Root<T> root, CriteriaBuilder criteriaBuilder);

}
