package com.crunii.micro.service.oneaffair.dto.vo.Archive;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

@ApiModel(value="YcqYjsArchiveVo", description = "APP端档案查询返回对象")
@ToString
@Data
public class YcqYjsArchiveVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "studentId",notes = "学生id")
    private String studentId;

    @ApiModelProperty(name = "name",notes = "事项名称")
    private String name;

    @ApiModelProperty(name = "participateTime",notes = "参与时间")
    private Date participateTime;

    @ApiModelProperty(name = "activityType",notes = "1、志愿服务2、赛事活动3、学习档案4、政治进步三部曲、5、其他")
    private String activityType;

    @ApiModelProperty(name = "ycqYjsArchiveDetailVoList",notes = "档案明细")
    List<YcqYjsArchiveDetailVo> ycqYjsArchiveDetailVoList;
}
