package com.crunii.micro.service.oneaffair.dto.vo.evaluate;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigInteger;

@ApiModel(value = "EvaluateIndexReq",description = "指标查询条件对象")
@ToString
@Data
public class EvaluateIndexReq implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "name",notes = "指标名称")
    private String name;

    @ApiModelProperty(name = "systemId",notes = "体系id")
    @NotNull(message = "体系id不能为空。")
    private BigInteger systemId;
}
