package com.crunii.micro.service.oneaffair.dto.vo.evaluate;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigInteger;

@ApiModel(value = "SystemIndexReq",description = "体系对应指标查询条件对象")
@ToString
@Data
public class SystemIndexReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "systemId",notes = "体系id")
    @NotNull(message = "体系id不能为空。")
    private BigInteger systemId;

    @ApiModelProperty(name = "indexLevel",notes = "指标等级")
    @NotNull(message = "指标等级不能为空。")
    private Integer indexLevel;
}
