package com.crunii.micro.service.oneaffair.dto.vo.evaluate;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigInteger;

@ApiModel(value = "YcqYjsSystemOrgRelVo",description = "体系和机构绑定关系查询返回对象")
@ToString
@Data
public class YcqYjsSystemOrgRelVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "orgId",notes = "机构id")
    private BigInteger orgId;

    @ApiModelProperty(name = "orgName",notes = "机构名称")
    private String orgName;

    @ApiModelProperty(name = "systemId",notes = "体系id")
    private BigInteger systemId;

}
