package com.crunii.micro.service.oneaffair.dto.vo.idengtitychoose;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigInteger;

@ApiModel(value ="StudentInfoByIdentityCardNoVo",description = "根据身份证号查询学生返回对象")
@ToString
@Data
public class StudentInfoByIdentityCardNoVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "sex",notes = "性别: 0-女，1-男")
    private String sex;

    @ApiModelProperty(name = "currentClassDirectorName", notes = "当前班主任名称")
    private String currentClassDirectorName;

    @ApiModelProperty(name = "studentName", notes = "学生名字")
    private String studentName;

    @ApiModelProperty(name = "currentSchoolName", notes = "学校名称")
    private String currentSchoolName;

    @ApiModelProperty(name = "currentClassName", notes = "班级名称")
    private String currentClassName;

    @ApiModelProperty(name = "currentGradeName", notes = "年级名称")
    private String currentGradeName;

    @ApiModelProperty(name = "studentId", notes = "学生id")
    private BigInteger studentId;

}
