package com.crunii.micro.service.oneaffair.dto.vo.medal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import javax.persistence.Column;
import java.io.Serializable;
import java.math.BigInteger;

@ApiModel(value = "MedalActivityInfoReq", description = "奖章活动关联交互对象")
@ToString
@Data
public class MedalActivityInfoReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "medalId",notes = "奖章id")
    private BigInteger medalId;

    @ApiModelProperty(name = "activityId",notes = "活动id")
    private BigInteger activityId;

    @ApiModelProperty(name = "appCode",notes = "业务编码")
    private String appCode;

    @ApiModelProperty(name = "status",notes = "状态 0:已报名，1:已参与，2:已获奖")
    private String status;

}
