package com.crunii.micro.service.oneaffair.dto.vo.medal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.List;

@ApiModel(description = "奖章活动关联移除对象")
@ToString
@Data
public class MedalActivityRemoveReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "奖章id", notes = "")
    private BigInteger medalId;

    @ApiModelProperty(name = "活动信息", notes = "")
    private List<MedalActivityReq> activityInfos;

    @ApiModelProperty(name = "最后更新人ID", notes = "")
    private Integer lastUpdatedId;

}
