package com.crunii.micro.service.oneaffair.dto.vo.medal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.List;

@ApiModel(description = "奖章活动修改状态对象")
@ToString
@Data
public class MedalActivityStatusReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "奖章id", notes = "")
    private BigInteger medalId;

    @ApiModelProperty(name = "活动id", notes = "")
    private BigInteger activityId;

    @ApiModelProperty(name = "状态 0:已报名，1:已参与，2:已获奖", notes = "")
    private String status;

}
