package com.crunii.micro.service.oneaffair.dto.vo.medal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigInteger;

@ApiModel(description = "奖章关联用户选择业务返回对象")
@ToString
@Data
public class MedalAppInfoVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "主键",notes = "")
    private BigInteger id;

    @ApiModelProperty(name = "业务编码",notes = "")
    private String appCode;

    @ApiModelProperty(name = "业务名称",notes = "")
    private String appName;

}
