package com.crunii.micro.service.oneaffair.dto.vo.medal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigInteger;

@ApiModel(description = "奖章切换展示状态对象")
@ToString
@Data
public class MedalDisplayStatusReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "主键", notes = "")
    private BigInteger id;

    @ApiModelProperty(name = "展示状态", notes = "")
    private Integer displayStatus;

    @ApiModelProperty(name = "最后更新人ID", notes = "")
    private Integer lastUpdatedId;

}
