package com.crunii.micro.service.oneaffair.dto.vo.medal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigInteger;

@ApiModel(description = "奖章年级数据返回对象")
@ToString
@Data
public class MedalGradeInfoVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "主键",notes = "")
    private BigInteger id;

    @ApiModelProperty(name = "奖章编号",notes = "")
    private String medalNo;

    @ApiModelProperty(name = "奖章名称",notes = "")
    private String medalName;

    @ApiModelProperty(name = "奖章类型 字典",notes = "")
    private String medalType;

    @ApiModelProperty(name = "奖章类型名称",notes = "")
    private String medalTypeName;

    @ApiModelProperty(name = "奖章标识 字典", notes = "")
    private String medalMark;

    @ApiModelProperty(name = "奖章标识名称", notes = "")
    private String medalMarkName;

    @ApiModelProperty(name = "奖章所属组织", notes = "")
    private String orgId;

    @ApiModelProperty(name = "奖章所属组织名称", notes = "")
    private String orgName;

    @ApiModelProperty(name = "奖章所属年级", notes = "")
    private String ownerGrade;

    @ApiModelProperty(name = "奖章所属年级名称", notes = "")
    private String ownerGradeName;

    @ApiModelProperty(name = "是否已被使用(0:未被使用，1:已被使用)", notes = "")
    private String useFlag;
}
