package com.crunii.micro.service.oneaffair.dto.vo.medal;

import com.crunii.micro.service.oneaffair.dto.oneaffair.YcqYjsMedal;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

@ApiModel(description = "红领巾争章根据类型分类返回对象")
@ToString
@Data
public class MedalInfoTypeVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "奖章分类", notes = "")
    private String medalType;

    @ApiModelProperty(name = "奖章分类名称", notes = "")
    private String medalTypeName;

    @ApiModelProperty(name = "奖章信息", notes = "")
    private List<YcqYjsMedal> ycqYjsMedalList;
}
