package com.crunii.micro.service.oneaffair.dto.vo.medal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigInteger;

@ApiModel(description = "争章规则表业务对象")
@ToString
@Data
public class MedalRuleReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "id", notes = "主键")
    private BigInteger id;

    @ApiModelProperty(name = "ruleType", notes = "规则判断方式 0:系统判断 1:人工判断")
    private Integer ruleType;

    @ApiModelProperty(name = "ruleContent", notes = "规则内容")
    private String ruleContent;

    @ApiModelProperty(name = "systemRuleCode", notes = "规则内容编码 系统判断用")
    private String systemRuleCode;

}
