package com.crunii.micro.service.oneaffair.dto.vo.medal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.List;

@ApiModel(description = "争章规则表更新对象")
@ToString
@Data
public class MedalRuleUpdateReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "奖章id",notes = "")
    private BigInteger medalId;

    @ApiModelProperty(name = "活动信息", notes = "")
    private List<MedalRuleReq> ruleInfos;

    @ApiModelProperty(name = "是否需要上传凭证 0:不需要 1:需要",notes = "")
    private Integer needVoucher;
}
