package com.crunii.micro.service.oneaffair.dto.vo.medal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.List;

@ApiModel(description = "统一奖章使用情况查询对象")
@ToString
@Data
public class MedalSchoolReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "统一奖章id",notes = "")
    private BigInteger id;

    @ApiModelProperty(name = "学校code", notes = "")
    private List<String> orgId;

}
