package com.crunii.micro.service.oneaffair.dto.vo.medal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;
import java.util.List;

@ApiModel(description = "学生奖章查询对象")
@ToString
@Data
public class MedalStudentReq extends MedalReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @NotNull
    @ApiModelProperty(name = "学生id", notes = "")
    private BigInteger studentId;

}
