package com.crunii.micro.service.oneaffair.dto.vo.medal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigInteger;

@ApiModel(description = "奖章活动学生关联交互对象")
@ToString
@Data
public class StudentActivityReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "奖章id", notes = "")
    private BigInteger medalId;

    @ApiModelProperty(name = "学生id", notes = "")
    private String studentId;

}
