package com.crunii.micro.service.oneaffair.dto.vo.studentCourse;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;

@ApiModel(value = "StudentCourseSumVo", description = "学生课程统计对象")
@ToString
@Data
public class StudentCourseSumVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "completeCount", notes = "已完成课程数量")
    private Integer completeCount = 0;

    @ApiModelProperty(name = "completeCourseDuration", notes = "已完成课程的课程时长")
    private Integer completeCourseDuration = 0;

    @ApiModelProperty(name = "inStudyCount", notes = "进行中课程数量")
    private Integer inStudyCount = 0;

    @ApiModelProperty(name = "unStudyCount", notes = "未学习课程数量")
    private Integer unStudyCount = 0;

}
