package com.crunii.micro.service.oneaffair.dto.vo.studentMedal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigInteger;

@ApiModel(value = "StudentMedalDetailReq", description = "学生奖章详情查询请求对象")
@ToString
@Data
public class StudentMedalDetailReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @NotNull(message = "学生必选")
    @ApiModelProperty(name = "studentId", notes = "学生ID")
    private BigInteger studentId;

    @NotNull(message = "奖章必选")
    @ApiModelProperty(name = "medalId", notes = "奖章ID")
    private BigInteger medalId;

}
