package com.crunii.micro.service.oneaffair.dto.vo.studentMedal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigInteger;

@ApiModel(value = "StudentMedalReq", description = "学生奖章查询请求对象")
@ToString
@Data
public class StudentMedalReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "studentId", notes = "学生ID")
    private BigInteger studentId;

    @ApiModelProperty(name = "medalId", notes = "奖章ID")
    private BigInteger medalId;


    @ApiModelProperty(name = "medalMark", notes = "奖章标识")
    private String medalMark;

    @ApiModelProperty(name = "ifLight", notes = "是否点亮：0-否；1-是")
    private Integer ifLight;

    @ApiModelProperty(name = "medalType", notes = "奖章类型")
    private String medalType;

}
