package com.crunii.micro.service.oneaffair.dto.vo.studentMedalActivity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigInteger;

@ApiModel(value = "StudentMedalActivityReq", description = "学生奖章活动查询请求对象")
@ToString
@Data
public class StudentMedalActivityReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "medalActivityId", notes = "奖章关联活动ID")
    private BigInteger medalActivityId;

    @ApiModelProperty(name = "studentMedalId", notes = "学生奖章ID")
    private BigInteger studentMedalId;

    @ApiModelProperty(name = "completeStatus", notes = "完成状态：0-未完成；1-已完成")
    private Integer completeStatus;

}
