package com.crunii.micro.service.oneaffair.dto.vo.studentQuestion;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigInteger;

@ApiModel(value = "StudentQuestionReq", description = "学生答题查询请求对象")
@ToString
@Data
public class StudentQuestionReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "studentTestId", notes = "学生答卷ID")
    private BigInteger studentTestId;

}
