package com.crunii.micro.service.oneaffair.dto.vo.teacher;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigInteger;

@ApiModel(value = "ClassInfo", description = "班级对象")
@ToString
@Data
public class ClassInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "classId", notes = "班级ID")
    private BigInteger classId;

    @ApiModelProperty(name = "className", notes = "班级名称")
    private String className;

}
