package com.crunii.micro.service.oneaffair.dto.vo.teacher;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.List;

@ApiModel(value = "GradeInfo", description = "年级对象")
@ToString
@Data
public class GradeInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "gradeId", notes = "年级ID")
    private BigInteger gradeId;

    @ApiModelProperty(name = "gradeName", notes = "年级名称")
    private String gradeName;

    @ApiModelProperty(name = "ifAll", notes = "是否全部：0-否；1-是")
    private Integer ifAll;

    @ApiModelProperty(name = "classInfoList", notes = "班级列表")
    private List<ClassInfo> classInfoList;

}
