package com.crunii.micro.service.oneaffair.enums;

import lombok.Getter;

import java.util.Arrays;

@Getter
public enum MedalPropertyEnum {
    MEDAL_TYPE("yjs-medalType","奖章类型"),
    MEDAL_MARK("yjs-medalMark","奖章标识"),
    ;

    private String value;

    private String name;


    MedalPropertyEnum(String value, String name) {
        this.value = value;
        this.name = name;
    }

    public static MedalPropertyEnum fromValue(String value) {
        return Arrays.stream(MedalPropertyEnum.values())
                .filter(e -> e.getValue().equals(value))
                .findAny()
                .orElse(null);
    }

}
