package com.crunii.micro.service.oneaffair.enums;

import lombok.Getter;

import java.util.Arrays;

@Getter
public enum MedalUseTypeEnum {
    UN_USE("0","未使用"),
    USE("1","已使用"),
    ;

    private String value;

    private String name;


    MedalUseTypeEnum(String value, String name) {
        this.value = value;
        this.name = name;
    }

    public static MedalUseTypeEnum fromValue(String value) {
        return Arrays.stream(MedalUseTypeEnum.values())
                .filter(e -> e.getValue().equals(value))
                .findAny()
                .orElse(null);
    }

}
