package com.crunii.micro.service.oneaffair.jdbc;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.service.oneaffair.dto.oneaffair.YcqYjsMedalApp;
import org.springframework.stereotype.Repository;

import java.math.BigInteger;
import java.util.List;

/**
 * @author yts create 2023-09-22 22:19:51
 */
@Repository
public interface YcqYjsMedalAppRepo extends BaseRepo<YcqYjsMedalApp, BigInteger> {

    List<YcqYjsMedalApp> findByCreatedIdAndDelFlagOrderByCreatedTimeDesc(Integer createdId, Integer delFlag);

    // 查询是否存在该用户业务配置
    long countByAppCodeAndCreatedIdAndDelFlag(String appCode, Integer createId, Integer delFlag);

}
