package com.crunii.micro.service.oneaffair.jdbc;

import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.math.BigDecimal;
import java.math.BigInteger;

@Slf4j
@Repository
public class YcqYjsServiceDurationJdbcDao {

    @Resource(name = "mainJT")
    protected BaseJdbcTemplate jt;


    public BigDecimal totalTime(BigInteger studentId){
        String sql = " select yysd.total_time " +
                "from ycq_yjs_service_duration yysd " +
                "left join tsm_worker tw on yysd.mobile = tw.mobile and yysd.volunteer_name = tw.worker_name " +
                "left join ycq_yjs_student_binding_user yysb on yysb.user_id = tw.login_id " +
                "where yysb.student_id = ?  ";
        return jt.queryForRawObject(BigDecimal.class,sql, studentId);
    }


}
