package com.crunii.micro.service.oneaffair.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.service.oneaffair.dto.vo.evaluate.*;

import java.math.BigInteger;
import java.util.List;

public interface EvaluateIndexService {

    PageRsp<YcqYjsEvaluateIndexVo> pageSearchIndexInfo(PageReq<EvaluateIndexReq> req);

    void createIndexInfo(EvaluateIndexCreateReq createReq);

    void updateIndexInfo(EvaluateIndexUpdateReq updateReq);

    List<YcqYjsEvaluateIndexVo> searchIndexListInfo(SystemIndexReq req);

    void batchDelete(BigInteger id);
}
