package com.crunii.micro.service.oneaffair.service;

import com.crunii.micro.service.oneaffair.dto.oneaffair.YcqYjsStudentBindingUser;
import com.crunii.micro.service.oneaffair.dto.oneaffair.YcqYjsStudentHonorary;
import com.crunii.micro.service.oneaffair.dto.vo.studentBindingUser.StudentBindingUserCreateVo;
import com.crunii.micro.service.oneaffair.dto.vo.studentBindingUser.StudentBindingUserReq;

import java.math.BigInteger;
import java.util.List;

/**
 * 学生与用户的绑定表(YCQ_YJS_STUDENT_BINDING_USER)表服务接口
 */
public interface StudentBindingUserService {

    YcqYjsStudentBindingUser selectOneById(BigInteger id);

    List<YcqYjsStudentBindingUser> selectList(StudentBindingUserReq req);

    /**
     * 学生与用户的绑定
     *
     * @param createReq
     * @return
     */
    YcqYjsStudentBindingUser insertOne(StudentBindingUserCreateVo createReq);

}
