package com.crunii.micro.service.qm.api.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author baoxy
 * @date 2023-09-18
 */
@Data
@ApiModel(description = "查询导师参数")
public class ViewTeacherDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "学员id")
    @NotNull(message = "用户id不能为空")
    private Integer workerId;
}
