package com.crunii.micro.service.qm.api.domain.dto.Book;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/9/20 9:57
 */
@Data
@ApiModel(description = "app书籍响应参数")
public class AppBookInfo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("书籍主键id")
    private Long bookId;

    @ApiModelProperty("书籍名称")
    private String bookName;

    @ApiModelProperty("书籍作者")
    private String bookAuthor;

    private String fileKey;

    @ApiModelProperty("书籍封面url")
    private String url;
}
