package com.crunii.micro.service.qm.api.domain.dto.Book;

import com.crunii.micro.service.qm.api.domain.dto.bookList.BookListInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/9/19 9:43
 */
@Data
@ApiModel(description = "书籍响应参数")
public class BookResVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("书籍名称")
    private String bookName;

    @ApiModelProperty("书籍简介")
    private String bookDesc;

    @ApiModelProperty("书籍作者")
    private String bookAuthor;

    @ApiModelProperty("关联书单信息")
    private List<BookListInfo> bookListInfos;
}
