package com.crunii.micro.service.qm.api.domain.dto.Book;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/9/18 19:02
 */
@Data
@ApiModel(description = "书籍响应参数")
public class BookVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("书籍主键id")
    private Long bookId;

    @ApiModelProperty("序号")
    private Integer serialNum;

    @ApiModelProperty("资源编号")
    private String bookCode;

    @ApiModelProperty("书籍名称")
    private String bookName;

    @ApiModelProperty("书籍作者")
    private String bookAuthor;

    @ApiModelProperty("书籍简介")
    private String bookDesc;

    @ApiModelProperty("书籍上架状态0下架1上架")
    private Integer bookStatus;

    @ApiModelProperty("上传人姓名")
    private String updateWorkerName;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("fileKey")
    private String fileKey;

    @ApiModelProperty("文件id")
    private Long fileId;

    @ApiModelProperty("书籍封面url")
    private String url;

}
