package com.crunii.micro.service.qm.api.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author wangchen create 2023/9/25 9:17
 */
@Data
@ApiModel(description = "作用发挥")
public class ExertVo  implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("发挥类型")
    private Integer exertType;

    @ApiModelProperty("发挥类型翻译")
    private String exertTypeTrans;

    @ApiModelProperty("视频url，暂定")
    private List<String> videoUrls;

    @ApiModelProperty("创建时间")
    private Date createTime;
}
