package com.crunii.micro.service.qm.api.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author wangchen create 2023/9/28 11:26
 */
@Data
@ApiModel("自我发展推优入党")
public class GrowthPartyVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("名称")
    private String partyName="推优入党";

    @ApiModelProperty("描述")
    private String recommendReason;

    @ApiModelProperty("工作单位")
    private String workerJob;

    @ApiModelProperty("推荐时间")
    private Date recommendTime;
}
