package com.crunii.micro.service.qm.api.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * @author wangchen create 2023/9/19 19:35
 */
@Data
@ApiModel("跟踪培养")
public class TrackingCultivationDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("学员id")
    private Integer workerId;

    @ApiModelProperty("开始时间")
    private Date startTime;

    @ApiModelProperty("结束时间")
    private Date endTime;
}
