package com.crunii.micro.service.qm.api.domain.dto.appFoster;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Id;
import java.io.Serializable;
import java.util.Date;

/**
 * @author: LG
 * @date: 2023/9/26 16:56
 */
@Data
@ApiModel("参看评价VO")
public class QueryEvaluateStuVO implements Serializable {
    private static final long serialVersionUID = 1L;

    @Id
    @ApiModelProperty(value = "用户课程主键id",notes = "")
    private Long userCourseId;

    @ApiModelProperty(value = "用户id",notes = "")
    private Integer stuWorkerId;

    @ApiModelProperty(value = "课程id",notes = "")
    private Long courseId;

    @ApiModelProperty(value = "学生发言评价",notes = "")
    private String presentationEvaluate;

    @ApiModelProperty(value = "评价人id",notes = "")
    private Integer evaluateWorkerId;

    @ApiModelProperty(value = "评价人名字",notes = "")
    private String evaluateWorkerName;

    @ApiModelProperty(value = "评价时间",notes = "")
    private Date evaluateTime;

    @ApiModelProperty(value = "考核结果",notes = "0：不合格；1：合格；2：优秀")
    private Integer evaluateResult;

    @ApiModelProperty(value = "作业完成情况",notes = "0：未完成；1：完成")
    private Integer operationCompletion;

    @ApiModelProperty(value = "班级入学年度",notes = "")
    private String classesYear;

    @ApiModelProperty(value = "班级类型名称",notes = "")
    private String classesTypeName;

    @ApiModelProperty(value = "班级层级名称",notes = "")
    private String classesLevelName;

    @ApiModelProperty(value = "机构名称",notes = "")
    private String orgName;

    @ApiModelProperty(value = "机构id",notes = "")
    private Long orgId;
}
