package com.crunii.micro.service.qm.api.domain.dto.appFoster;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author: LG
 * @date: 2023/9/23 14:52
 */
@Data
@ApiModel("app课程节次VO")
public class QuerySectionVO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "教学内容",notes = "")
    private String contentCourse;

    @ApiModelProperty(value ="日期")
    private String dateDay;

    @ApiModelProperty(value = "节次时间",notes = "")
    private Date sectionStartTime;

    @ApiModelProperty(value ="节次时间",notes = "")
    private Date sectionEndTime;

    @ApiModelProperty(value ="授课人",notes = "")
    private String lecturer;

    @ApiModelProperty(value ="节次主键id",notes = "")
    private Long sectionId;

    @ApiModelProperty(value ="所属课程",notes = "")
    private Long courseId;

    @ApiModelProperty(value ="创建时间",notes = "")
    private Date createTime;

    @ApiModelProperty(value ="是否参与")
    private boolean whetherParticipation;


}
