package com.crunii.micro.service.qm.api.domain.dto.belowExcellent;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author xiayinqiang
 * @date 2023/9/27 0027 21:22:12
 */
@Data
@ApiModel(description = "编辑推荐入党Dto")
public class InsertIntoPartyDto {

	@ApiModelProperty(value = "主键id,新增不传，修改传")
	private Long recordId;

	/** 被推荐的学员id */
	@NotNull(message = "学员id不能为空")
	@ApiModelProperty(value = "被推荐的学员id",notes = "被推荐的学员id")
	private Integer stuWorkerId;

	/** 工作单位 */
	@ApiModelProperty(value = "工作单位",notes = "工作单位")
	private String workerJob;

	/** 推荐理由 */
	@NotBlank(message = "推荐理由不能为空")
	@ApiModelProperty(value = "推荐理由",notes = "推荐理由")
	private String recommendReason;

}
