package com.crunii.micro.service.qm.api.domain.dto.belowExcellent;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author xiayinqiang
 * @date 2023/10/11 0011 15:13:56
 */
@Data
@ApiModel(description = "推优列表关联导师和班级Dto")
public class InsertStuClassesAndTeachDto {


	@NotNull(message = "学员用户id不能为空")
	@ApiModelProperty(value = "学员用户id")
	private Integer stuWorkerId;

	@NotNull(message = "导师用户id不能为空")
	@ApiModelProperty(value = "导师用户id")
	private Integer teachWorkerId;

	@NotNull(message = "班级id不能为空")
	@ApiModelProperty(value = "班级id")
	private Long classesId;


}
