package com.crunii.micro.service.qm.api.domain.dto.belowExcellent;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * @author xiayinqiang
 * @date 2023/9/27 0027 15:51:30
 */
@Data
@ApiModel(description = "分页查询列表Vo")
public class PageBelowExcellentVo {

	@ApiModelProperty(value = "唯一id")
	private Long userInfoId;

	@ApiModelProperty(value = "学员id")
	private Integer workerId;

	@ApiModelProperty(value = "学员编号")
	private String userCode;

	@ApiModelProperty(value = "学员姓名")
	private String workerName;

	@ApiModelProperty(value = "手机号")
	private String mobile;

	@ApiModelProperty(value = "学员职务")
	private String workerJob;

	@ApiModelProperty(value = "组织id")
	private Long orgId;

	@ApiModelProperty(value = "所属机构")
	private String orgName;

	@ApiModelProperty(value = "推优时间")
	private Date createTime;

	@ApiModelProperty(value = "推优时间")
	private Date updateTime;

	@ApiModelProperty(value = "导师匹配")
	private String teacherMate;

	@ApiModelProperty(value = "导师匹配翻译")
	private String teacherMateName;

	@ApiModelProperty(value = "推优时间")
	private Date recommendTime;

	@ApiModelProperty(value = "学员班级集合")
	private List<PageBelowExecllentClassesVo> classesVoList=new ArrayList<>();

}
