package com.crunii.micro.service.qm.api.domain.dto.belowExcellent;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author xiayinqiang
 * @date 2023/10/12 0012 14:48:07
 */
@Data
@ApiModel(description = "分页查询拒绝两次了的学员列表Dto")
public class PageStuRefuseTwiceDto {


	@ApiModelProperty(name = "组织id(所属机构)", notes = "组织id(所属机构)")
	private String orgId;

	@ApiModelProperty(name = "性别", notes = "性别：-1未知 0女 1男")
	private Integer sex;

	@ApiModelProperty(value = "所属班级(传id)")
	private Long classesId;

	@ApiModelProperty(value = "学员职务(手动输入)")
	private String workerJob;

	@ApiModelProperty("导师关联状态：0待审核，1未选择，2未匹配，3已匹配")
	private Integer teacherMate;

	@ApiModelProperty(value = "学员编号")
	private String userCode;

	@ApiModelProperty(value = "学员姓名")
	private String workerName;

	@ApiModelProperty(value = "手机号")
	private String mobile;

	@ApiModelProperty(value = "开始时间")
	private Date startTime;

	@ApiModelProperty(value = "结束时间")
	private Date endTime;

}
