package com.crunii.micro.service.qm.api.domain.dto.belowExcellent;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author xiayinqiang
 * @date 2023/9/27 0027 21:01:56
 */
@Data
@ApiModel(description = "推荐入党记录Vo")
public class SelectIntoPartyVo {

	@ApiModelProperty(value = "主键id")
	private Long recordId;

	/** 被推荐的学员id */
	@ApiModelProperty(value = "被推荐的学员id",notes = "被推荐的学员id")
	private Integer stuWorkerId;

	/** 工作单位 */
	@ApiModelProperty(value = "工作单位",notes = "工作单位")
	private String workerJob;

	/** 推荐人id */
	@ApiModelProperty(value = "推荐人id",notes = "推荐人id")
	private Integer recommendWorkerId;

	/** 推荐理由 */
	@ApiModelProperty(value = "推荐理由",notes = "推荐理由")
	private String recommendReason;

	/** 推荐时间 */
	@ApiModelProperty(value = "推荐时间",notes = "推荐时间")
	private Date recommendTime;

//	/** 创建人id */
//	@ApiModelProperty(value = "创建人id",notes = "")
//	private Integer creatorId;
//
//	/** 创建时间 */
//	@ApiModelProperty(value = "创建时间",notes = "")
//	private Date createTime;
//
//	/** 修改人id */
//	@ApiModelProperty(value = "修改人id",notes = "")
//	private Integer updaterId;
//
//	/** 修改时间 */
//	@ApiModelProperty(value = "修改时间",notes = "")
//	private Date updateTime;
//
//	/** 是否删除;1删除  0不删除 */
//	@ApiModelProperty(value = "是否删除",notes = "1删除  0不删除")
//	private Integer deleted;


}
