package com.crunii.micro.service.qm.api.domain.dto.classesMgr;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author: LG
 * @date: 2023/9/20 10:49
 */
@Data
@ApiModel("组织评价学生入参")
public class EvaluateStuDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "用户课程参与表id",required = true)
    @NotNull(message = "请选课程")
    private Long userCourseId;

    @ApiModelProperty(value = "学生发言评价",required = true)
//    @NotBlank(message = "请输入学生发言评价")
    private String presentationEvaluate;

    @ApiModelProperty(value = "考核结果:0：不合格；1：合格；2：优秀",required = true)
    @NotNull(message = "请选考核结果")
    private Integer  evaluateResult;

    @ApiModelProperty(value = "作业完成情况 0：未完成；1：完成",required = true)
    @NotNull(message = "请选作业完成情况")
    private Integer operationCompletion;
}
