package com.crunii.micro.service.qm.api.domain.dto.classesMgr;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author: LG
 * @date: 2023/9/18 19:57
 */
@Data
public class QueryClassesTypeVO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value ="级别类型id")
    private Long classesTypeId;

    @ApiModelProperty(value ="类型编码")
    private String typeCode;

    @ApiModelProperty(value ="类型名称")
    private String typeName;

    @ApiModelProperty(value ="级别编码")
    private String levelCode;

    @ApiModelProperty(value ="级别名称")
    private String levelName;

    /** 级别对应的组织层级;级别对应的组织层级 */
    @ApiModelProperty(name = "级别对应的组织层级",notes = "级别对应的组织层级")
    private Integer levelOrgTier;

    @ApiModelProperty(value ="组织id")
    private Long orgId;


}
