package com.crunii.micro.service.qm.api.domain.dto.classesMgr;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author: LG
 * @date: 2023/9/19 10:49
 */
@Data
@ApiModel("查询班级VO")
public class QueryClassesVO implements Serializable {
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value ="班级ID",notes = "")
    private Long classesId;


    @ApiModelProperty(value = "班级编号",notes = "")
    private String classesCode;

    @ApiModelProperty(value = "组织ID",notes = "")
    private String orgId;

    @ApiModelProperty(value = "组织名称",notes = "")
    private String orgName;

    @ApiModelProperty(value = "机构类型",notes = "静态值：")
    private String orgType;

    @ApiModelProperty(value = "入学年度",notes = "")
    private String classesYear;

    @ApiModelProperty(value = "班级类型类型id",notes = "")
    private Long classesTypeId;

    @ApiModelProperty(value = "类型编码")
    private String typeCode;

    @ApiModelProperty(value = "类型名称")
    private String typeName;

    @ApiModelProperty(value = "级别编码")
    private String levelCode;

    @ApiModelProperty(value = "级别名称")
    private String levelName;

    @ApiModelProperty(value = "班级状态：0未启用 1启用",notes = "")
    private Integer classesStatus;

    @ApiModelProperty(value = "班级学员个数：0未启用 1启用",notes = "")
    private Integer classesStuNum;

    @ApiModelProperty(value = "创建时间",notes = "")
    private Date createTime;


    @ApiModelProperty(value = "修改时间",notes = "")
    private Date updateTime;

    /*@ApiModelProperty(value = "学员集合")
    private List<stuVO> stuList;*/

}
