package com.crunii.micro.service.qm.api.domain.dto.classesMgr;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author: LG
 * @date: 2023/9/19 19:51
 */
@Data
@ApiModel("查看课程入参")
public class QueryCourseDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "所属机构")
    private Long orgId ;

    @ApiModelProperty(value = "选择班级")
    private Long classesId;

    @ApiModelProperty(value = "课程主题")
    private String courseSubject;

    @ApiModelProperty(value = "课程状态")
    private Integer courseState;

    @ApiModelProperty(value = "课程编号")
    private String courseCode;

    @ApiModelProperty(value = "课程名称")
    private String courseName;

    @ApiModelProperty(value = "开始时间")
    private Date startTime;

    @ApiModelProperty(value = "结束时间")
    private Date endTime;

}
