package com.crunii.micro.service.qm.api.domain.dto.classesMgr;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author: LG
 * @date: 2023/9/21 15:10
 */
@Data
@ApiModel("课程节次实体")
public class SectionDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "教学内容",notes = "")
    private String contentCourse;

    @ApiModelProperty(name = "节次时间",notes = "")
    private List<String> sectionTime;

    @ApiModelProperty(name = "授课人",notes = "")
    private String lecturer;

}
