package com.crunii.micro.service.qm.api.domain.dto.classesMgr;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author: LG
 * @date: 2023/9/21 20:00
 */
@Data
@ApiModel("节次实体VO")
public class SectionVO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "教学内容",notes = "")
    private String contentCourse;

    @ApiModelProperty("日期")
    private String dateDay;

    @ApiModelProperty(name = "节次时间",notes = "")
    private String hmStarTime;

    @ApiModelProperty(name = "节次时间",notes = "")
    private String hmEndTime;

    @ApiModelProperty(name = "授课人",notes = "")
    private String lecturer;

    @ApiModelProperty(name = "节次主键id",notes = "")
    private Long sectionId;

    @ApiModelProperty(name = "所属课程",notes = "")
    private Long courseId;

    @ApiModelProperty(name = "创建时间",notes = "")
    private Date createTime;


}
