package com.crunii.micro.service.qm.api.domain.dto.courseware;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/9/18 12:15
 */
@Data
@ApiModel(description = "课件请求参数")
public class CoursewareDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("课件主题")
    private Integer certificateTopic;

    @ApiModelProperty("状态(1上架,0下架)")
    private Integer certificateStatus;

    @ApiModelProperty("课件类型;静态值(PPT、Ｗord、视频)")
    private Integer certificateType;

    @ApiModelProperty("课件名称")
    private String certificateName;

    @ApiModelProperty("资源编号")
    private String resNumber;

    @ApiModelProperty("上传人姓名")
    private String workerName;

    @ApiModelProperty("开始时间")
    private String startTime;

    @ApiModelProperty("结束时间")
    private String endTime;

}