package com.crunii.micro.service.qm.api.domain.dto.courseware;

import com.crunii.micro.core.annotation.PropertyTranslate;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/9/18 17:46
 */
@Data
@ApiModel(description = "课件响应参数")
public class CoursewareInfoVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("课件名称")
    private String certificateName;

    @ApiModelProperty("课件主题")
    private Integer certificateTopic;

    @ApiModelProperty("课件主题翻译")
    @PropertyTranslate(propertyCode = "certificateTopic",valueFiled = "certificateTopic")
    private String certificateTopName;

    @ApiModelProperty("课件简介")
    private String certificateIntro;
}
