package com.crunii.micro.service.qm.api.domain.dto.homepage.vo;

import com.crunii.micro.core.annotation.PropertyTranslate;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author xiayinqiang
 * @date 2023/9/19 0019 11:10:51
 */
@Data
@ApiModel(description = "首页展示书单VO")
public class HomePageBookListVo {

	@ApiModelProperty(notes = "书单id")
	private Long bookListId;

	@ApiModelProperty("书单名称")
	private String bookListName;

	@ApiModelProperty("书单主题-静态值")
	private Integer bookListTheme;

	@ApiModelProperty("书单主题翻译")
	@PropertyTranslate(propertyCode = "bookListTheme", valueFiled = "bookListTheme")
	private String bookListThemeName;

	@ApiModelProperty(name = "书单关联书籍集合")
	List<HomePageBookVo> homePageBookVos;

}
