package com.crunii.micro.service.qm.api.domain.dto.homepage.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author xiayinqiang
 * @date 2023/9/19 0019 11:25:47
 */
@Data
@ApiModel(description = "首页展示学员数量VO")
public class HomeStuCountVo {

	@ApiModelProperty(notes = "待接收学员数量")
	private Integer waitStuCount=0;

	@ApiModelProperty(notes = "已接收学员数量")
	private Integer acceptedStuCount=0;

	@ApiModelProperty(notes = "已评价学员数量")
	private Integer evaluatedStuCount=0;

	@ApiModelProperty(notes = "已选择学员数量")
	private Integer selectedStuCount=0;

}
