package com.crunii.micro.service.qm.api.domain.dto.org;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author xiayinqiang
 * @date 2023/9/26 0026 17:29:16
 */
@Data
@ApiModel(description = "根据名称查询组织Vo")
public class PageOrgByOrgNameVo {

	@ApiModelProperty(value = "主键id")
	private Long orgId;

	@ApiModelProperty(value = "组织编码")
	private String orgCode;

	@ApiModelProperty(value = "组织名称")
	private String orgName;

	@ApiModelProperty(value = "组织类型：1团组织，9区域")
	private String orgType;

	@ApiModelProperty(value = "组织级别")
	private String orgLevel;

//	@ApiModelProperty(value = "父组织ID,根组织id为0")
//	private Long parentOrgId;

//	@ApiModelProperty(value = "排序")
//	private Integer sortId;
//
//	@ApiModelProperty(value = "true 是叶子节点 false 不是叶子节点")
//	private boolean leaf;

	@ApiModelProperty("所有父类组织名称")
	private String parentOrgNameAll;

//	@ApiModelProperty("父类组织集合")
//	private List<PageOrgByOrgNameVo> parentOrgList;

}
