package com.crunii.micro.service.qm.api.domain.dto.qf;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
@ApiModel(description = "我的资金帮扶分页vo")
public class LoanPlanAuthVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键id")
    private Long loanId;

    @ApiModelProperty(value = "贷款人姓名")
    private String loanName;

    @ApiModelProperty(value = "申请时间")
    private Date createTime;

    @ApiModelProperty(value = "编号")
    private Long applyCode;
}
