package com.crunii.micro.service.qm.api.domain.dto.qf;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author wangchen create 2023/11/9 14:25
 */
@Data
@ApiModel(description = "青峰计划分页dto")
public class LoanPlanDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "贷款人姓名")
    private String loanName;

    @ApiModelProperty(value = "身份证号")
    private String idCard;

    @ApiModelProperty(value = "企业类型（借款人类型）")
    private Integer loanType;

    @ApiModelProperty(value = "意向承贷银行")
    private Long intentionLoanBank;

    @ApiModelProperty("注册地址")
    private Long areaId;

    @ApiModelProperty("开始时间")
    private Date startTime;

    @ApiModelProperty("结束时间")
    private Date endTime;
}
