package com.crunii.micro.service.qm.api.domain.dto.studentApp;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author wangchen create 2023/9/20 15:16
 */
@Data
@ApiModel("成长发展录入")
public class GroupCreateDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键id 修改时带上，新增不带")
    private Long groupId;

    @ApiModelProperty("举荐描述")
    private String recommendReason;

    @ApiModelProperty(name = "创建日期/完成时间",notes = "")
    private Date createTime;
}
