package com.crunii.micro.service.qm.api.domain.dto.studentApp;

import com.crunii.micro.domain.dto.Worker;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import java.io.Serializable;
import java.util.Date;

/**
 * @author wangchen create 2023/9/20 15:07
 */
@Data
@ApiModel(description = "自我培养")
public class SelfCultivationDto  implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键id 修改时带上，新增不带")
    private Long selfCultivationId;

    @ApiModelProperty("跟踪培养类型 1学习强国 2读书 3志愿服务 4其他")
    private Integer cultivationType;

    @ApiModelProperty("积分")
    private Integer integral;

    @ApiModelProperty("书籍名称")
    private String bookName;

    @ApiModelProperty("心得体会")
    private String experience;

    @ApiModelProperty("创建日期/完成时间")
    private Date createTime;

}
