package com.crunii.micro.service.qm.api.domain.dto.studentWeb;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author baoxy
 * @date 2023-09-18
 */
@Data
@ApiModel(description = "批量审核传入参数实体类")
public class BatchExamineDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "唯一id")
    private Long userInfoId;

    @ApiModelProperty(name = "审核状态", notes = "审核状态：1通过 0驳回")
    private Integer auditStatus;

    @ApiModelProperty(name = "审核意见")
    private String note;
}
