package com.crunii.micro.service.qm.api.domain.dto.studentWeb;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author baoxy
 * @date 2023-09-21
 */
@Data
@ApiModel(description = "下级推优列表返回参数实体类")
public class BelowExcellentVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "唯一id")
    private Long id;

    @ApiModelProperty(value = "学员编号")
    private String userCode;

    @ApiModelProperty(value = "学员姓名")
    private String workerName;

    @ApiModelProperty(value = "手机号")
    private String mobile;

    @ApiModelProperty(value = "所属班级")
    private String classesName;

    @ApiModelProperty(value = "班级类型id:静态值")
    private Long classesTypeId;

    @ApiModelProperty(value = "班级级别")
    private String classesLevel;

    @ApiModelProperty(value = "入学年度")
    private String enrollmentYear;

    @ApiModelProperty(value = "所属机构")
    private String orgName;

    @ApiModelProperty(value = "学员职务")
    private Integer workerJob;

    @ApiModelProperty(value = "学员职务名称")
    private Integer workerJobName;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
}
