package com.crunii.micro.service.qm.api.domain.dto.studentWeb;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * @author baoxy
 * @date 2023-09-29
 */
@Data
@ApiModel(description = "查询待审核,审核不通过,审核通过,下级推优的数量传入参数实体类")
public class SearchNumDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "组织id(所属机构)")
    private String orgId;

    @ApiModelProperty(value = "性别")
    private Integer sex;

    @ApiModelProperty(value = "所属班级(传id)")
    private Long classesId;

    @ApiModelProperty(value = "学员职务")
    private String workerJob;

    @ApiModelProperty(value = "学员编号")
    private String userCode;

    @ApiModelProperty(value = "学院姓名")
    private String workerName;

    @ApiModelProperty(value = "手机号")
    private String mobile;

    @ApiModelProperty(value = "开始时间")
    private Date startTime;

    @ApiModelProperty(value = "结束时间")
    private Date endTime;

    @ApiModelProperty(value = "导师匹配(1未选择,2未匹配,3已匹配)")
    private String teacherMate;

}
