package com.crunii.micro.service.qm.api.domain.dto.studentWeb;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author baoxy
 * @date 2023-09-29
 */
@Data
@ApiModel(description = "查询已绑定导师列表传入参数实体类")
public class TeacherBindingListDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "模糊查询(导师姓名/导师手机号)")
    private String query;

    @ApiModelProperty(value = "学员的唯一id")
    private Long userInfoId;
}
