package com.crunii.micro.service.qm.api.domain.dto.studentWeb;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author baoxy
 * @date 2023-09-26
 */
@Data
@ApiModel(description = "查询导师列表返回参数实体类")
public class TeacherListVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "导师的用户id")
    private Integer teachWorkerId;

    @ApiModelProperty(value = "姓名")
    private String workerName;

    @ApiModelProperty(value = "手机")
    private String mobile;
}
