package com.crunii.micro.service.qm.api.domain.dto.studentWeb;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author baoxy
 * @date 2023-09-25
 */
@Data
@ApiModel(description = "导师设置传入参数实体类")
public class TeacherSetDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "学生的用户id")
    private Integer stuWorkerId;

    @ApiModelProperty(value = "导师的用户id")
    private Integer teachWorkerId;
}
