package com.crunii.micro.service.qm.api.domain.dto.studentWeb;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author baoxy
 * @date 2023-09-20
 */
@Data
@ApiModel(description = "编辑学员的获得荣誉传入参数实体类")
public class UpdateStudentHonorDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "荣誉主键id(如果是新增的荣誉则传空值)")
    private Long honorId;

    @ApiModelProperty(value = "获奖时间")
    private Date acquisitionTime;

    @ApiModelProperty(value = "荣誉描述")
    private String honorDesc;
}
