package com.crunii.micro.service.qm.api.domain.dto.studentWeb;

import com.crunii.micro.core.annotation.PropertyTranslate;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author baoxy
 * @date 2023-09-18
 */
@Data
@ApiModel(description = "查看学员的获得荣誉返回参数实体类")
public class ViewStudentHonorVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "荣誉主键id")
    private Long honorId;

    @ApiModelProperty(name = "获奖时间")
    private String acquisitionTime;

    @ApiModelProperty(name = "荣誉描述")
    private String honorDesc;

}
