package com.crunii.micro.service.qm.api.domain.dto.studentWeb;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author baoxy
 * @date 2023-09-18
 */
@Data
@ApiModel(description = "查询待审核,审核不通过列表返回参数实体类")
public class WaitExamineVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "唯一id")
    private Long userInfoId;

    @ApiModelProperty(value = "学员编号")
    private String userCode;

    @ApiModelProperty(value = "学生用户ID")
    private Integer workerId;

    @ApiModelProperty(value = "学员姓名")
    private String workerName;

    @ApiModelProperty(value = "手机号")
    private String mobile;

    @ApiModelProperty(value = "所属班级")
    private String typeName;

    @ApiModelProperty(value = "班级级别")
    private String levelName;

    @ApiModelProperty(value = "年度")
    private String classesYear;

    @ApiModelProperty(value = "所属机构(组织id)")
    private Long orgId;

    @ApiModelProperty(value = "所属机构名称")
    private String orgName;

    @ApiModelProperty(value = "学员职务")
    private String workerJob;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
}
