package com.crunii.micro.service.qm.api.domain.dto.teacherApp;

import com.crunii.micro.core.annotation.PropertyTranslate;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author wangchen create 2023/9/20 9:13
 */
@Data
@ApiModel(description = "集中培养")
public class ConcentratedCultivationVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("课程开始时间")
    private Date startTime;

    @ApiModelProperty("评价时间")
    private Date evaluateTime;

    @ApiModelProperty("课程名称")
    private String courseName;

    @ApiModelProperty("课程主题")
    private String courseSubject;

    @ApiModelProperty("考核结果")
    private Integer evaluateResult;

    @ApiModelProperty("考核结果翻译")
    private String evaluateResultTrans;

    @ApiModelProperty("作业完成情况")
    private Integer operationCompletion;

    @ApiModelProperty("作业完成情况翻译")
    private String operationCompletionTrans;

    @ApiModelProperty("入学年度")
    private String classesYear;

    @ApiModelProperty("级别名称")
    private String levelName;

    @ApiModelProperty("交流发言评价id")
    private Long userCourseId;

    @ApiModelProperty("交流发言评价")
    private String presentationEvaluate;

    @ApiModelProperty("班级名称")
    private String typeName;
}
