package com.crunii.micro.service.qm.api.domain.dto.teacherApp;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author wangchen create 2023/9/21 19:36
 */
@Data
@ApiModel(description = "评价学员参数")
public class EvaluateStuDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("用户id")
    @NotNull(message = "用户id不能为空")
    private Integer workerId;

    @ApiModelProperty("评价内容")
    private String evaluateContext;
}
