package com.crunii.micro.service.qm.api.domain.dto.teacherApp;

import com.crunii.micro.service.qm.api.domain.dto.WorkerHonorVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author wangchen create 2023/9/19 16:56
 */
@Data
@ApiModel(description = "荣誉 & 优势")
public class HonorAdeptFieldDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("荣誉")
    private List<WorkerHonorVo> workerHonorList;

    @ApiModelProperty(name = "优势",notes = "")
    private String honorDesc;
}
