package com.crunii.micro.service.qm.api.domain.dto.teacherApp;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author wangchen create 2023/9/19 16:44
 */
@Data
@ApiModel(description = "我的学生扩展信息请求参数")
public class MyStuExpandDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("学员id")
    @NotNull(message = "学员id不能为空")
    private Integer workerId;

    @ApiModelProperty("跟踪培养类型 静态值")
    @NotNull(message = "培养类型不能为空")
    private Integer trackType;
}
