package com.crunii.micro.service.qm.api.domain.dto.teacherApp;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author wangchen create 2023/9/21 19:16
 */
@Data
@ApiModel(description = "学生审核参数")
public class StuAuditDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("用户id")
    @NotNull(message = "用户id不能为空")
    private Integer workerId;

    @ApiModelProperty("修改后状态 1已接受 3已拒绝")
    @NotNull(message = "状态不能为空")
    private Integer correlationState;
}
