package com.crunii.micro.service.qm.api.domain.dto.teacherApp;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * @author wangchen create 2023/9/19 20:00
 */
@Data
@ApiModel(description = "学生扩展请求参数")
public class StuExpandDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("用户id")
    @NotNull(message = "用户id不能为空")
    private Integer workerId;
}
