package com.crunii.micro.service.qm.api.domain.dto.teacherApp;

import com.crunii.micro.common.dto.WorkerId;
import com.crunii.micro.service.qm.api.domain.dto.WorkerHonorVo;
import com.crunii.micro.service.qm.api.domain.dto.teacherWeb.TeacherExpandFileKeyDto;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * @author wangchen create 2023/9/19 10:04
 */
@Data
@ApiModel(description = "web导师新增dto")
public class TeacherDetailModifyDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("导师id 修改时传入")
    private Integer workerId;

    @ApiModelProperty("导师基本信息")
    private TeacherBaseModifyDto teacherBase;

    @ApiModelProperty("导师荣誉")
    private List<WorkerHonorVo> workerHonorList;

    @ApiModelProperty("擅长领域")
    private WorkerHonorVo field;

    @ApiModelProperty("审核状态")
    private Integer auditStatus;

    @ApiModelProperty("审核描述")
    private String note;

}
