package com.crunii.micro.service.qm.api.domain.dto.teacherWeb;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * @author wangchen create 2023/9/18 19:00
 */
@Data
@ApiModel(description = "审核导师参数")
public class AuditTeacherDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键id")
    @NotNull(message = "id不能为空")
    private List<Integer> workerId;

    @ApiModelProperty("审核后状态")
    @NotNull(message = "审核状态不能为空")
    private Integer auditStatus;

    @ApiModelProperty("审核意见")
    private String note;
}
