package com.crunii.micro.service.qm.api.domain.dto.teacherWeb;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/9/27 15:06
 */
@Data
@ApiModel(description = "学员dto")
public class StudentDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("导师id")
    @NotNull(message = "导师不能为空")
    private Integer workerId;

    @ApiModelProperty("学员id")
    private List<Integer> studentIds;

}
