package com.crunii.micro.service.qm.api.domain.dto.teacherWeb;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangchen create 2023/9/18 16:56
 */
@Data
@ApiModel(description = "导师聘用状态")
public class TeacherExpandDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("用户id")
    private Integer workerId;

    @ApiModelProperty("聘用状态")
    private Integer expandStatus;

    @ApiModelProperty(name = "聘书图片",notes = "")
    private String fileKey;

    @ApiModelProperty(name = "班级级别",notes = "")
    private String levelCode;

    @ApiModelProperty(name = "班级级别名称",notes = "")
    private String levelName;
}
