package com.crunii.micro.service.qm.api.domain.dto.teacherWeb;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author wangchen create 2023/9/18 19:18
 */
@Data
@ApiModel(description = "导师图片上传dto")
public class TeacherExpandFileKeyDto  implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("用户id")
    @NotNull(message = "用户id不能为空")
    private Integer workerId;

    @ApiModelProperty(name = "聘书图片",notes = "")
    @NotBlank(message = "图片key不能为空")
    private String fileKey;
}
