package com.crunii.micro.service.qm.api.domain.dto.teachingRoute;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.sql.Date;
import java.util.List;

/**
 * @author denggl
 * date 2023/9/18
 */
@Data
@ApiModel("分页列表教学路线入参")
public class TeachingRouteDto implements Serializable {
    private static final long serialVersionUID = 1L;
    /** 教学路线编号 */
    @ApiModelProperty(value = "教学路线编号",notes = "")
    private String routeCode;

    /** 教学路线名称 */
    @ApiModelProperty(value = "教学路线名称",notes = "")
    private String routeName;

    /** 路线主题 静态值 */
    @ApiModelProperty(value = "路线主题 静态值",notes = "")
    private List<Integer> routeTheme;

    /** 状态 0下架 1上架 */
    @ApiModelProperty(value = "状态 0下架 1上架",notes = "")
    private Integer routeStatus;

    @ApiModelProperty(value = "开始时间",notes = "")
    //@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String startTime;


    @ApiModelProperty(value = "结束时间",notes = "")
   // @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String  endTime;

}
