package com.crunii.micro.service.qm.api.domain.dto.teachingRoute;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author denggl
 * date 2023/9/18
 */
@Data
@ApiModel("路线节点返回值")
public class TeachingRouteNodeVo implements Serializable {
    private static final long serialVersionUID = 5792831555213996000L;
     @ApiModelProperty(value = "唯一标识",notes = "")
     private Long routeNodeId;
     @ApiModelProperty(value = "开始时间",notes = "")
     private Date startTime;
     @ApiModelProperty(value = "结束时间",notes = "")
     private Date endTime;
     @ApiModelProperty(value = "节点路线内容",notes = "")
     private String content;


}
