package com.crunii.micro.service.qm.api.domain.dto.trainingTrain;

import com.crunii.micro.core.annotation.PropertyTranslate;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author denggl
 * date 2023/9/20
 */
@ApiModel("基地标签")
@Data
public class TrainLabel {

    @ApiModelProperty(value = "标签静态值",notes = "")
    private Integer labelValue;
    @ApiModelProperty(value = "标签静态值翻译",notes = "")
    @PropertyTranslate(propertyCode = "qm-trainLabel",valueFiled = "labelValue")
    private String labelValueName;
    private Long baseId;
    @ApiModelProperty(value = "标签唯一表示",notes = "")
    private Long labelId;

}
