package com.crunii.micro.service.qm.api.domain.dto.userinfo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author xiayinqiang
 * @date 2023/9/19 0019 15:08:02
 */
@Data
@ApiModel(description = "用户擅长领域Dto")
public class UserAdeptFieldDto {

	/** 荣誉描述 */
	@NotBlank(message = "用户擅长领域不能为空")
	@ApiModelProperty(name = "用户擅长领域",notes = "用户擅长领域")
	private String adeptField;

}
