package com.crunii.micro.service.qm.api.domain.dto.userinfo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author xiayinqiang
 * @date 2023/9/19 0019 9:26:58
 */
@Data
@ApiModel(description = "个人信息页班级信息Vo")
public class HomePageClassesVo {

	@ApiModelProperty(name = "班级ID",notes = "班级ID")
	private Long classesId;

	/** 班级编号 */
	@ApiModelProperty(name = "班级编号",notes = "班级编号")
	private String classesCode;

	@ApiModelProperty(name = "班级名称",notes = "班级名称")
	private String classesName;

	/** 班级编号 */
	@ApiModelProperty(name = "班级级别",notes = "班级级别名称")
	private String levelName;
	/** 班级编号 */
	@ApiModelProperty(name = "班级类型名称",notes = "班级类型名称")
	private String typeName;

	/** 组织ID */
	@ApiModelProperty(name = "组织ID",notes = "组织ID")
	private Long orgId;

	/** 机构类型;静态值： */
	@ApiModelProperty(name = "机构类型",notes = "机构类型,静态值：")
	private String orgType;

//	@ApiModelProperty(name = "机构类型翻译",notes = "机构类型翻译")
//	@PropertyTranslate(propertyCode = "",valueFiled = "orgType")
//	private String orgTypeDesc;

	/** 入学年度 */
	@ApiModelProperty(name = "入学年度",notes = "入学年度")
	private String classesYear;

	/** 班级类型类型id */
	@ApiModelProperty(name = "班级类型类型id",notes = "班级类型类型id")
	private Long classesTypeId;

//	@ApiModelProperty(name = "班级类型翻译",notes = "班级类型翻译")
//	@PropertyTranslate(propertyCode = "",valueFiled = "classesTypeId")
//	private String classesTypeIdDesc;

	/** 班级状态：0未启用 1启用 */
	@ApiModelProperty(name = "班级状态：0未启用 1启用",notes = "班级状态：0未启用 1启用")
	private Integer classesStatus;





}
