package com.crunii.micro.service.qm.api.enums;

import lombok.Getter;

/**
 * @author wangchen create 2023/10/8 19:36
 */
@Getter
public enum EvaluateResultEnum {
    BOT_QUALIFIED(0,"不合格"),QUALIFIED(1,"合格"),EXCELLENT(2,"优秀");

    private Integer evaluateResult;
    private String evaluateResultTrans;

    EvaluateResultEnum(Integer evaluateResult,String evaluateResultTrans){
        this.evaluateResult = evaluateResult;
        this.evaluateResultTrans = evaluateResultTrans;
    }

    public static String getTrans(Integer evaluateResult){
        EvaluateResultEnum[] values = EvaluateResultEnum.values();
        for (EvaluateResultEnum value : values) {
            if(value.evaluateResult.equals(evaluateResult)){
                return value.evaluateResultTrans;
            }
        }
        return null;
    }

}
