package com.crunii.micro.service.qm.api.enums;

import lombok.Getter;

/**
 * @author wangchen create 2023/9/29 17:41
 */
@Getter
public enum StuAuditFlowEnum {
    APPLY(0,"发起申请"),TEACHER_AUDIT(1,"导师审核"),PASS(2,"审核通过"),REJECT(3,"导师拒绝");

    private Integer auditState;

    private String auditDesc;

    StuAuditFlowEnum(Integer auditState,String auditDesc){
        this.auditDesc = auditDesc;
        this.auditState = auditState;
    }

    public static String getAuditDesc(Integer auditState){
        StuAuditFlowEnum[] values = StuAuditFlowEnum.values();
        for (StuAuditFlowEnum value : values) {
            if(value.getAuditState().equals(auditState)){
                return value.auditDesc;
            }
        }
        return null;
    }
}
