package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.YcqQfAreaIndustry;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 青峰区域行业;
 *
 * @author : http://www.chiner.pro
 * @date : 2023-11-9
 */
@Repository
public interface YcqQfAreaIndustryRepo extends BaseRepo<YcqQfAreaIndustry, Long> {

    /** 更具类型查询
     * @param areaIndustryType 类型值
     * @return data
     */
    List<YcqQfAreaIndustry> findByAreaIndustryType(Integer areaIndustryType);
}
