package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.YcqQmBookListRel;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/9/19 11:12
 */
@Repository
public interface YcqQmBookListRelRepo extends BaseRepo<YcqQmBookListRel, Long> {

    YcqQmBookListRel findByRelIdAndDeleted(Long relId,Integer deleted);

    YcqQmBookListRel findByBookIdAndBookListId(Long bookId,Long bookListId);

    List<YcqQmBookListRel> findAllByBookIdAndDeleted(Long bookId,Integer deleted);

    List<YcqQmBookListRel> findAllByBookListIdAndDeleted(Long bookListId,Integer deleted);
}

