package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.YcqQmClassesInfo;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 青马工程-班级信息;
 * @author : LG
 * @date : 2023-9-21
 */
@Repository
public interface YcqQmClassesInfoRepo extends BaseRepo<YcqQmClassesInfo, Long> {

	YcqQmClassesInfo findByClassesIdAndDeleted(Long classesId,int deleted);

	List<YcqQmClassesInfo> findByClassesIdInAndDeleted(List<Long> classesIdList, int deleted);

	YcqQmClassesInfo findByClassesCodeAndDeleted(String classesCode, int deleted);
}
