package com.crunii.micro.domain.repo.main;


import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.YcqQmIntoParty;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 推荐入党记录表;
 * @author : http://www.chiner.pro
 * @date : 2023-9-27
 */
@Repository
public interface YcqQmIntoPartyRepo extends BaseRepo<YcqQmIntoParty, Long> {
	YcqQmIntoParty findByRecordIdAndDeleted(Long recordId,Integer deleted);

	List<YcqQmIntoParty> findByStuWorkerIdAndDeleted(Integer stuWorkerId,Integer deleted);


}
