package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.YcqQmStuExcelTemp;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author baoxy
 * @date 2023-10-10
 */
@Repository
public interface YcqQmStuExcelTempRepo extends BaseRepo<YcqQmStuExcelTemp, Long> {

    /**
     * 通过数据key查询列表
     *
     * @param dataKey 数据key
     * @return List<YcqQmStuExcelTemp>
     */
    List<YcqQmStuExcelTemp> findAllByDataKey(String dataKey);
}

