package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.TCacheRefresh;
import com.crunii.micro.domain.entity.main.YcqQmTeacherExpand;
import org.springframework.stereotype.Repository;

/**
 * 青马-导师拓展表;
 *
 * @author : http://www.chiner.pro
 * @date : 2023-9-18
 */
@Repository
public interface YcqQmTeacherExpandRepo extends BaseRepo<YcqQmTeacherExpand, Long> {

    /**
     * 查询导师扩展信息
     * @param workerId 导师id
     * @param deleted 是否删除
     * @return data
     */
    YcqQmTeacherExpand findByWorkerIdAndDeleted(Integer workerId, Integer deleted);
}
