package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.YcqQmTeacherStu;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 青马-导师学员关联;
 *
 * @author : http://www.chiner.pro
 * @date : 2023-9-23
 */
@Repository
public interface YcqQmTeacherStuRepo extends BaseRepo<YcqQmTeacherStu, Long> {

    List<YcqQmTeacherStu> findAllByTeachWorkerIdAndDeletedAndCorrelationState(Integer teachWorkerId, Integer deleted, Integer correlationState);

    List<YcqQmTeacherStu> findAllByStuWorkerIdAndBindingAndDeleted(Integer stuWorkerId,Integer binding, Integer deleted);

}
