package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.YcqQmUserAuditRecord;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 青马-用户审核记录;
 *
 * @author : http://www.chiner.pro
 * @date : 2023-9-19
 */
@Repository
public interface YcqQmUserAuditRecordRepo extends BaseRepo<YcqQmUserAuditRecord, Long> {

    List<YcqQmUserAuditRecord> findAllByUserInfoId(Long userInfoId);
}
