package com.crunii.micro.service.qm.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.qm.api.domain.dto.courseware.AppCoursewareDto;
import com.crunii.micro.service.qm.api.domain.dto.courseware.AppCoursewareInfoVo;
import com.crunii.micro.service.qm.api.domain.dto.courseware.AppCoursewareVo;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/9/20 16:11
 */
public interface AppCoursewareService {

    PageRsp<AppCoursewareVo> coursewarePage(PageReq<AppCoursewareDto> req);

    Result<AppCoursewareInfoVo> viewCourseware(Worker worker, Long certificateId);
}
