package com.crunii.micro.service.qzh.api.constants;

/**
 * @author wangchen create 2023/11/15 18:08
 */
public class CivilizationConstants {
    /**
     * 文明号申报 最大年龄
     */
    public static final int MAX_AGE = 40;

    /**
     * 文明号申报 职工人数最少
     */
    public static final int MIN_EMPLOY_COUNT = 6;

    /**
     * 文明号申报 职工人数最大
     */
    public static final int MAX_EMPLOY_COUNT = 200;

    /**
     * 文明号申报 是否草稿 Proportion
     */
    public static final Integer DRAFT_CRATE = 1;

    /**
     * 文明号申报 35岁职工人数占职工总人数比率
     */
    public static final String AGE_35_PROPORTION = "0.5";

    /**
     * 文明号申报 中国国籍人员数量占比
     */
    public static final String COUNTRY_PROPORTION = "0.8";

    /**
     * 草稿状态
     */
    public static final Integer DRAFT = 1;

    /**
     * 审核通过
     */
    public static final Integer AUDIT_PASS = 1;

    /**
     * 待命名状态
     */
    public static final Integer WAIT_NAME_RESULT = 6;


    /**
     * 集体名称长度
     */
    public static final Integer COLLECTIVE_NAME_MAX_LENGTH = 50;

    /**
     * 号长姓名
     */
    public static final Integer DECLARATION_NAME_MAX_LENGTH = 10;

    /**
     * 曾被认定类别
     */
    public static final Integer OTHER_MAX_LENGTH = 50;

    /**
     *  市团委组织id
     */
    public static final Long TOP_LEAGUE_ORG_ID = 500000L;
}
