package com.crunii.micro.service.qzh.api.domain.dto;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;


/**
 * @Author: zwx
 * @CreateTime: 2023-09-18  17:48:13
 * @Description: app活动详情VO
 */
@Data
@ApiModel(description = "app活动评价DTO")
public class AppActivityEvaluateDTO implements Serializable {

    @ApiModelProperty(value = "活动id")
    @NotNull(message = "活动id不能为空！")
    private Long activityId;

    @ApiModelProperty(value = "用户id")
    @NotNull(message = "用户id不能为空！")
    private Long userId;
}
