package com.crunii.micro.service.qzh.api.domain.dto;


import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;


/**
 * @Author: zwx
 * @CreateTime: 2023-09-18  17:48:13
 * @Description: app报名情况VO
 */
@Data
@ApiModel(description = "app报名情况VO")
public class AppActivityStatusVO implements Serializable {

    @ApiModelProperty(value = "姓名")
    private String userName;

    @ApiModelProperty(value = "报名状态 0:不通过;1:通过;3:待审核")
    private Integer registrationStatus;



}
