package com.crunii.micro.service.qzh.api.domain.dto;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;


/**
 * @Author: zwx
 * @CreateTime: 2023-09-18  17:48:13
 * @Description: APP默认模板详情VO
 */
@Data
@ApiModel(description = "APP默认模板详情VO")
public class DefaultAppTemplateVO implements Serializable {

    @ApiModelProperty(value = "APP默认模板详情VO")
    private Long activityId;

    @ApiModelProperty(value = "图片链接")
    private String imageUrl;

    @ApiModelProperty(value = "报名人数")
    private Long enrollmentCount;

    @ApiModelProperty(value = "开始活动时间")
    private String startActivityTime;

    @ApiModelProperty(value = "结束活动时间")
    private String endActivityTime;

    @ApiModelProperty(value = "活动地址")
    private String activityAddress;

    @ApiModelProperty(value = "活动举办方")
    private String organizerName;

    @ApiModelProperty(value = "联系方式")
    private String contact;

    @ApiModelProperty(value = "活动详情")
    private String description;

    @ApiModelProperty(value = "浏览量")
    private Long viewCount;

    @ApiModelProperty(value = "活动纬度")
    private String activityLatitude;

    @ApiModelProperty(value = "活动经度")
    private String activityLongitude;

}
