package com.crunii.micro.service.qzh.api.domain.dto;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;


/**
 * @Author: zwx
 * @CreateTime: 2023-09-18  17:48:13
 * @Description: 默认模板VO
 */
@Data
@ApiModel(description = "默认模板参与详情VO")
public class DefaultTemplateParticipationVO implements Serializable {

//    @ApiModelProperty(value = "基础信息")
//    BasicInformationVO basicInformationVO;

    @ApiModelProperty(value = "参与人信息和过程信息")
    ParticipantDetailVO participantDetailVO;

    @ApiModelProperty(value = "参与详情")
    ParticipationDetailsVO participationDetailsVO;
}
