package com.crunii.micro.service.qzh.api.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author lmlkyc
 * @date 2023-09-27 11:07
 */
@Data
@ApiModel(value = "学生活动", description = "")
public class History {
	@ApiModelProperty("参加类型培训|活动|赛事|营队")
	private String type;
	@ApiModelProperty("参加的项目名对应的编码")
	private String projectCode;
	@ApiModelProperty("参加的项目名,如专业名舞蹈|声乐比赛名如重庆市青少年xxx比赛|重庆市才艺大赛")
	private String projectName;
	@ApiModelProperty("不为空说明有定级0区级|1市级|2省级|3国家级|4世界级")
	private String levelIfNonEmpty;
	@ApiModelProperty("不为空说明有奖项一等奖|二等奖|三等奖|其它奖类型字符串或结业证，考级证等")
	private String awardsIfNonEmpty;
	@ApiModelProperty("不为空说明有奖项获奖证书预览地址")
	private String urlIfNonEmpty;
	@ApiModelProperty("参加该项目的时间")
	private String start;
}
