package com.crunii.micro.service.qzh.api.domain.dto;

import io.swagger.annotations.ApiModel;
import java.io.Serializable;
import lombok.Data;

/**
 * @Author thw
 * @date 2023/9/5
 * @description
 */
@Data
@ApiModel(value = "指标体系评定风采VO", description = "指标体系评定风采VO")
public class IndicatorAppraiseDecideRespDTO implements Serializable, Cloneable {
  /**
   * 序号
   */
  private Long orderNumber;
  /**
   * 标识，解释：0：待评定；1：已通过；2：已驳回
   */
  private Long state;
  /**
   * 风采标题
   */
  private String title;
}
