package com.crunii.micro.service.qzh.api.domain.dto;

import io.swagger.annotations.ApiModel;
import java.io.Serializable;
import lombok.Data;

/**
 * @Author thw
 * @date 2023/9/5
 * @description
 */
@Data
@ApiModel(value = "指标体系评价DTO", description = "指标体系评价DTO")
public class IndicatorAppraiseReqDTO implements Serializable, Cloneable {

  /**
   * 指标体系版本主键id
   */
  private Long id;
  /**
   * 评价要点
   */
  private String evaluationPoints;
  /**
   * 一级指标
   */
  private String primaryIndicators;
  /**
   * 二级指标
   */
  private String secondaryIndicators;

}
