package com.crunii.micro.service.qzh.api.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author: zwx
 * @CreateTime: 2023-09-05  14:28:44
 * @Description: 题库列表查询请求入参
 */
@Data
@ApiModel(value = "题库列表查询请求入参", description = "")
public class QuestionBankQueryDto {

    @ApiModelProperty(name = "题库名称")
    private String questionBankName;

    @ApiModelProperty(name = "发布开始时间")
    private String startPublishTime;

    @ApiModelProperty(name = "发布结束时间")
    private String endPublishTime;
}
