package com.crunii.micro.service.qzh.api.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author: zwx
 * @CreateTime: 2023-09-05  14:34:57
 * @Description: 题目列表返回值
 */
@Data
@ApiModel(value = "题目列表返回值", description = "")
public class QuestionBankResVo {

    @ApiModelProperty(name = "题库ID")
    private Long id;

    @ApiModelProperty(name = "题库名称")
    private String questionBankName;

    @ApiModelProperty(name = "单选题数量")
    private long singleOptionCount;

    @ApiModelProperty(name = "判断题数量")
    private Long judgmentCount;

    @ApiModelProperty(name = "多选题数量")
    private Long mulityOptionCount;

    @ApiModelProperty(name = "发布者")
    private String publisher;

    @ApiModelProperty(name = "发布时间")
    private String publishTime;
}
