package com.crunii.micro.service.qzh.api.domain.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.annotation.Generated;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Objects;

/**
 * QuestionBankRespDTO
 */

@Data
@ApiModel(value = "题库列表返回值", description = "")
public class QuestionBankRespDTO implements Serializable {

  private static final long serialVersionUID = 1L;

  /**
   * 题库ID
   */
  @ApiModelProperty(name = "题库ID", notes = "")
  private Integer id;
  /**
   * 判断题数量
   */
  @ApiModelProperty(name = "判断题数量", notes = "")
  private Long judgmentCount;
  /**
   * 多选题数量
   */
  @ApiModelProperty(name = "多选题数量", notes = "")
  private Long mulityOptionCount;
  /**
   * 发布者
   */
  @ApiModelProperty(name = "发布者", notes = "")
  private String publisher;
  /**
   * 发布时间
   */
  @ApiModelProperty(name = "发布时间", notes = "")
  private String publishTime;
  /**
   * 题库名称
   */
  @ApiModelProperty(name = "题库名称", notes = "")
  private String questionBankName;
  /**
   * 单选题数量
   */
  @ApiModelProperty(name = "单选题数量", notes = "")
  private Long singleOptionCount;
}

