package com.crunii.micro.service.qzh.api.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @Author: zwx
 * @CreateTime: 2023-09-05  17:26:10
 * @Description: 题目详情返回值
 */
@Data
@ApiModel(value = "题目详情返回值", description = "")
public class TopicDetailResVo {

    @ApiModelProperty(name = "所属支部")
    private String branchBelong;

    @ApiModelProperty(name = "所属题库")
    private String questionBankBelong;

    @ApiModelProperty(name = "题库ID")
    private Long questionBankId;

    @ApiModelProperty(name = "标题")
    private String topic;

    @ApiModelProperty(name = "题目类型")
    private Integer topicType;

    @ApiModelProperty(name = "题目类型名称")
    private String topicTypeName;

    @ApiModelProperty(name = "题目选项")
    private List<TopicOptionRespDTO> topicOptions;

}
