package com.crunii.micro.service.qzh.api.domain.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.annotation.Generated;
import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * TopicEditReqDTO
 */

@Data
@ApiModel(value = "题目编辑请求参数", description = "")
public class TopicEditReqDTO implements Serializable {

  private static final long serialVersionUID = 1L;

  /**
   * 题目ID
   */
  @ApiModelProperty(name = "题目ID", notes = "")
  private Integer id;
  /**
   * 标题
   */
  @ApiModelProperty(name = "标题", notes = "")
  private String topic;
  /**
   * 选项
   */
  @ApiModelProperty(name = "选项", notes = "")
  private List<TopicOptionDTO> topicOptions;
  /**
   * 题目类型 1单选题2多选题3判断题
   */
  @ApiModelProperty(name = "题目类型 1单选题2多选题3判断题", notes = "")
  private Integer topicType;
}

