package com.crunii.micro.service.qzh.api.domain.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author: zwx
 * @CreateTime: 2023-09-09  09:20:00
 * @Description: TODO
 */
@Data
@ApiModel(value = "题目导入DTO", description = "")
public class TopicImportReqDTO {

    @ExcelProperty(value = {"题目"}, index = 0)
    @ApiModelProperty(name = "topic", value = "题目")
    private String topic;

    @ExcelProperty(value = {"题目类型"}, index = 1)
    @ApiModelProperty(name = "topicType", value = "题目类型")
    private String topicType;

    @ExcelProperty(value = {"答案"}, index = 2)
    @ApiModelProperty(name = "answer", value = "答案")
    private String answer;

    @ExcelProperty(value = {"选项A"}, index = 3)
    @ApiModelProperty(name = "optionA", value = "选项A")
    private String optionA;

    @ExcelProperty(value = {"选项B"}, index = 4)
    @ApiModelProperty(name = "optionB", value = "选项B")
    private String optionB;

    @ExcelProperty(value = {"选项C"}, index = 5)
    @ApiModelProperty(name = "optionC", value = "选项C")
    private String optionC;

    @ExcelProperty(value = {"optionD"}, index = 6)
    @ApiModelProperty(name="optionD",value = "optionD")
    private String optionD;

    @ExcelProperty(value = {"备注"}, index = 7)
    @ApiModelProperty(name = "attr", value = "备注")
    private String attr;

    @ExcelProperty(value = {"导入错误原因"}, index = 8)
    @ApiModelProperty(name = "importErroCause", value = "导入错误原因")
    private String importErroCause;

}
