package com.crunii.micro.service.qzh.api.domain.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.annotation.Generated;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Objects;

/**
 * TopicRespDTO
 */

@Data
@ApiModel(value = "题目列表", description = "")
public class TopicRespDTO implements Serializable {

  private static final long serialVersionUID = 1L;

  @ApiModelProperty(name = "序号", notes = "")
  private Integer id;

  @ApiModelProperty(name = "题目", notes = "")
  private String topic;

  @ApiModelProperty(name = "题目类型，1单选题2多选题3判断题", notes = "")
  private Integer topicType;
}

