package com.crunii.micro.service.qzh.api.domain.dto;

import com.crunii.micro.common.validate.EditGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Data
@ApiModel(value = "日常监督dto", description = "")
public class YcqQzhDailySupervisionRespDto implements Serializable, Cloneable{
    @ApiModelProperty(name = "ID")
    private Long id;
    @ApiModelProperty(name = "序号")
    private Long serialNumber;
    @ApiModelProperty(name = "集体名称")
    private String collectiveName;
    @ApiModelProperty(name = "所在单位")
    private String locationUnit;
    @ApiModelProperty(name = "号长姓名")
    private String fullName;
    @ApiModelProperty(name = "身份证号")
    private String idCard;
    @ApiModelProperty(name = "联系方式")
    private String contactInformation;
    @ApiModelProperty(name = "发布人")
    private String createUser;
    @ApiModelProperty(name = "发布时间")
    private Date createTime;
    @ApiModelProperty(name = "内容")
    private String content;
    @ApiModelProperty(name = "图片/视频")
    private List<String> files;
}
