package com.crunii.micro.service.qzh.api.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


@Data
@ApiModel(description = "青字号-代办返回")
public class YcqQzhFlowVo implements Serializable {

    private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "标题")
	private String title;

	@ApiModelProperty(value = "所属应用")
	private String belongType;

	@ApiModelProperty(value = "节点名称")
	private String nodeName;

	@ApiModelProperty(value = "提交人")
	private String pushBy;

	@ApiModelProperty(value = "提交时间")
	private Date pushTime;

	@ApiModelProperty(value = "所属流程")
	private String affiliationFlo;

	@ApiModelProperty(value = "跳转详情需要的参数")
	private Long id;

	@ApiModelProperty(value = "跳转类型(1 青安岗-申报 " +
			"2 青安岗-变更岗长 " +
			"3 维权岗-申报 " +
			"4 维权岗-复核 " +
			"5 文明号 " +
			"6 文明号-变更号长" +
			"7 突击队-申报 " +
			"8 突击队-变更队长" +
			"9 热点发布" +
			"10 赛事发布" +
			"11 活动发布" +
			"12 要闻" +
			") ")
	private Integer jumpType;

	@ApiModelProperty(value = "跳转路由")
	private String route;
}
