package com.crunii.micro.service.qzh.api.domain.dto;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
@Data
@ExcelIgnoreUnannotated
@ApiModel(value = "指标体系")
public class YcqQzhIndicatorSystemVo implements Serializable, Cloneable{
    /**
     * ID
     */
    @ApiModelProperty(name = "ID")
    private Long id;
    /**
     * 名称
     */
    @ApiModelProperty(name = "评价要点")
    @ExcelProperty(value = "评价要点", index = 0)
    private String evaluationPoints;
    /**
     * 名称
     */
    @ApiModelProperty(name = "一级指标")
    @ExcelProperty(value = "一级指标",index = 1)
    private String primaryIndicators;
    /**
     * 名称
     */
    @ApiModelProperty(name = "二级指标")
    @ExcelProperty(value = "二级指标",index = 2)
    private String secondaryIndicators;
    /**
     * 名称
     */
    @ApiModelProperty(name = "分值")
    @ExcelProperty(value = "分值",index = 3)
    private Long score;
}
