package com.crunii.micro.service.qzh.api.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Id;
import java.io.Serializable;
import java.util.Date;
import java.util.List;



@Data
@ApiModel(description = "线上培训")
public class YcqQzhOnlineTrainDTO implements Serializable {

    /**  */
    @ApiModelProperty(name = "",notes = "")
    private Long id ;
    /** 封面文图片id */
    @ApiModelProperty(name = "封面文图片id",notes = "")
    private Long fileId ;
    /** 标题 */
    @ApiModelProperty(name = "标题",notes = "")
    private String title ;
    /** 类型 */
    @ApiModelProperty(name = "类型",notes = "")
    private String type ;
    /** 状态（公式/下架） */
    @ApiModelProperty(name = "状态（公式/下架）",notes = "")
    private String state ;
    /** 内容 */
    @ApiModelProperty(name = "内容",notes = "")
    private String content ;

    private String secondType ;

    private String fileUrl ;

    private String videoName ;

    private Integer num ;

    private Integer recordNum ;

    private Integer personNum ;

    private Date beginTime ;

    private Date createdTime ;

    private String createdBy ;

    private String createdName ;

    private Date endTime ;

    private Integer isTop;

    private List<YcqQzhOnlineTrainVideoDTO> videos ;
}
