package com.crunii.micro.service.qzh.api.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import java.io.Serializable;
import java.util.Date;


@Data
@ApiModel(description = "培训中心文件")
public class YcqTrainingCenterFileDTO implements Serializable {


    private Long id;

    @ApiModelProperty(value = "文件id", notes = "")
    private String fileId;

    @ApiModelProperty(value = "文件名字", notes = "")
    private String fileName;

    @ApiModelProperty(value = "文件地址", notes = "")
    private String fileUrl;

    @ApiModelProperty(value = "类型   1 视频  2其他文件", notes = "")
    private Integer type;

    @ApiModelProperty(value = "业务", notes = "")
    private String business;
    /**
     * 创建日期
     */
    @ApiModelProperty(value = "创建日期", notes = "")
    private Date createTime;

    @ApiModelProperty(value = "创建人", notes = "")
    private String createBy;


    @ApiModelProperty(value = "备注", notes = "")
    private String remark;

    @ApiModelProperty(value = "app端是否展示  1 是   2 否", notes = "")
    private Integer isAppShow;

    @ApiModelProperty(value = "排序", notes = "")
    private Integer sort;
}
