package com.crunii.micro.service.qzh.api.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import java.io.Serializable;
import java.util.List;

/**
 * @description: 分页查询考试请求体
 * @author: limy
 * @date: 2023/9/5 11:04
 **/

@Data
@ApiModel(description = "分页查询考试请求体")
public class YcqYzyhTestDto implements Serializable {

    private static final long serialVersionUID = 1L;


	@Column(name = "title")
	@ApiModelProperty(value = "试卷标题")
	private String title;

	@Column(name = "exam_type")
	@ApiModelProperty(value = "试卷类型")
	private int examType;

	@Column(name = "start_time")
	@ApiModelProperty(value = "考试开始时间")
	private java.util.Date startTime;

	@Column(name = "end_time")
	@ApiModelProperty(value = "考试结束时间")
	private java.util.Date endTime;

	@Column(name = "state")
	@ApiModelProperty(value = "状态")
	private int state;



}
