package com.crunii.micro.service.qzh.api.domain.dto.activity;

import com.crunii.micro.service.qzh.api.domain.dto.activityPublish.ActivitySignVO;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * @Author: zwx
 * @CreateTime: 2023-09-18  19:33:30
 * @Description: 查询活动列表响应参数APP
 */
@Data
@ApiModel(description = "查询活动列表响应参数APP")
public class ActivityAppButtonDTO {
    /**
     * 序号
     */
    private Long id;

    /**
     * 1.立即报名 2.立即签到 3.立即签退 4.内容填写 5.已报满 6.被退回 7.其他状态（不展示）
     */
    private Integer buttonState;

    /**
     * 按钮是否置灰 0否 1是
     */
    private Integer buttonGrey = 0;

    /**
     * 是否取消报名按钮
     */
    private Integer cancelApply = 0;

}
