package com.crunii.micro.service.qzh.api.domain.dto.activity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * youth-cq.
 * 风采关联指标DTO
 * @author leixb
 * @since 2023-11-21 15:54
 **/
@Data
@ApiModel("风采关联指标")
public class ActivityTargetDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "指标id")
    private String value;

    @ApiModelProperty(value = "指标名称")
    private String label;

    @ApiModelProperty(value = "子集")
    private List<ActivityTargetDTO> children;

}
