package com.crunii.micro.service.qzh.api.domain.dto.activity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;


/**
 * @Author: zwx
 * @CreateTime: 2023-09-18  17:48:13
 * @Description: 默认模板图片DTO
 */
@Data
@ApiModel(description = "默认模板图片DTO")
public class DefaultAppTemplateImageDTO implements Serializable {

    @ApiModelProperty(notes = "图片链接")
    private String imageUrl;

}
