package com.crunii.micro.service.qzh.api.domain.dto.activity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author gongsongtao
 * @date 2023/9/13 19:21
 */
@Data
public class OperationActivityReqDTO {

    @NotNull(message = "id不能为空")
    private Long id;

    @ApiModelProperty(value = "1突击队，2文明号，3示范岗，4权益岗")
    private Integer type;

    @ApiModelProperty(value = "1政策,2公告公示,3风采")
    private Integer recordType;
}
