package com.crunii.micro.service.qzh.api.domain.dto.activity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;


/**
 * @Author: zwx
 * @CreateTime: 2023-09-18  17:48:13
 * @Description: 报名审核DTO
 */
@Data
@ApiModel(description = "报名审核DTO")
public class RegistrationAuditDTO implements Serializable {

    @ApiModelProperty("id集合")
    private List<Long> ids;

    @ApiModelProperty(value = "活动id")
    @NotNull(message = "活动id不能为空！")
    private Long activityId;

    @ApiModelProperty("审核状态 2待审核")
    private Integer auditState;

    @ApiModelProperty(value = "审核原因")
    private String cause;

    @ApiModelProperty(value = "审核不通过原因")
    private List<String> noCause;
}
