package com.crunii.micro.service.qzh.api.domain.dto.activityPublish;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
@ApiModel(description = "活动报名人数详情请求参数")
public class ActivityApplyDetailReqDTO {
    /**
     * 活动ID
     */
    @ApiModelProperty(value = "活动ID",name = "id")
    @NotNull(message = "活动ID不能为空")
    private Integer id;
}
