package com.crunii.micro.service.qzh.api.domain.dto.activityPublish;

import com.crunii.micro.service.qzh.api.domain.dto.document.CoverImageDto;
import com.crunii.micro.service.qzh.api.domain.dto.form.DynamicFormsReqDTO;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.*;
import java.util.List;

/**
 * 活动报道关联活动数据实体类
 * @Author: zwx
 * @CreateTime: 2023-09-18  19:36:02
 * @Description: 活动新增请求参数
 */
@Data
@ApiModel(description = "活动报道关联活动数据实体类")
public class ActivityBaseVO {

    /**
     * 活动id
     */
    private Long id;
    /**
     * 活动标题
     */
    private String activityTitle;

}
