package com.crunii.micro.service.qzh.api.domain.dto.activityPublish;

import lombok.Data;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

/**
 * 活动上下架
 */
@Data
public class ActivityPublishStatusEditDTO {

    /**
     * 活动id
     */
    @NotNull(message = "活动id不能为空")
    private Long id;

    /**
     * 活动发布状态 1.发布  2下架 3上架
     */
    @Min(value = 1, message = "状态码不正确，最小为1")
    @Max(value = 3, message = "状态码不正确，最大为3")
    private Integer putOnList;
}
