package com.crunii.micro.service.qzh.api.domain.dto.activityPublish;

import io.swagger.annotations.ApiModel;
import lombok.Data;

import javax.validation.constraints.*;

/**
 * @Author: zwx
 * @CreateTime: 2023-09-18  19:37:44
 * @Description: 活动编辑请求参数
 */
@Data
@ApiModel(description = "活动编辑请求参数")
public class ActivityStateEditReqDTO {
    /**
     * 序号
     */
    @NotNull(message = "活动ID未传")
    private Long id;
    /**
     * 活动状态
     */
    @NotNull(message = "状态不能为空")
    @Min(value = 0)
    @Max(value = 1)
    private Integer activityState;


}
