package com.crunii.micro.service.qzh.api.domain.dto.activityPublish;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
public class ActivityZoneTreeVO {

    /**
     * 主键id
     */
    private Long id;

    /**
     * 组织id
     */
    private Long activityId;

    /**
     * 区域类型 市级1，区县级2，校级3
     */
    private Integer zoneType;

    /**
     * 父级valueCode 顶级为0
     */
    private String parentCode;

    /**
     * 区域编码 顶级为1
     */
    private String valueCode;

    /**
     * 区域名称
     */
    private String valueName;

    /**
     * 子节点
     */
    private List<ActivityZoneTreeVO> children = new ArrayList<>();
}