package com.crunii.micro.service.qzh.api.domain.dto.activityPublish;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Size;

/**
 * @Author: zwx
 * @CreateTime: 2023-09-18  17:48:13
 * @Description: 查询活动列表请求参数
 */
@Data
@ApiModel(description = "查询活动列表请求参数")
public class AppActivityQueryReqDTO {
    /**
     * 活动状态，（1-未开始，2-进行中，3-已结束）
     */
    @ApiModelProperty(value = "活动状态，（1-未开始，2-进行中，3-已结束）")
    @Size(min = 1,max = 3,message = "活动状态类型不对")
    private Integer activityState;
    /**
     * 活动标题
     */
    @ApiModelProperty(value = "活动标题")
    private String activityTitle;
    /**
     * 活动标题
     */
    @ApiModelProperty(value = "活动类型")
    private Integer activityType;
}
