package com.crunii.micro.service.qzh.api.domain.dto.activityPublish;

import com.crunii.micro.service.qzh.api.domain.dto.ParticipationDetailsVO;
import com.crunii.micro.service.qzh.api.domain.dto.document.CoverImageDto;
import lombok.Data;

/**
 * 活动评价
 */
@Data
public class YcqActivityEvaluateVO {

    /**
     * 活动id
     */
    private Long id;

    /**
     * 活动标题
     */
    private String activityTitle;

    /**
     * 是否展示评价按钮（1是 0否）
     */
    private Integer displayButton = 1;

    /**
     * 活动评价填写 0默认模板 1动态表单 2不需要反馈
     */
    private Integer replyType;


    /**
     * 图片
     */
    private CoverImageDto headPicUrl;

    /**
     * 活动状态id
     */
    private Integer activityStatusTypeId = 9;

    /**
     * 活动状态名称
     */
    private String activityStatusTypeName = "已结束";

    /**
     * 评价信息
     */
    private ParticipationDetailsVO details;
}
