package com.crunii.micro.service.qzh.api.domain.dto.announcement;

import com.crunii.micro.service.qzh.api.domain.dto.document.CoverImageDto;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import java.util.Date;
import java.util.List;

@Data
@ApiModel(value = "PageAnnouncementRsp", description = "分页查询公告公示响应参数")
public class PageAnnouncementRspDTO {

    private Long id;

    @ApiModelProperty(value = "公告标题")
    private String announcementTitle;

    @ApiModelProperty(value = "公告类型")
    private Integer announcementType;

    @ApiModelProperty(value = "公告类型名称")
    private String announcementTypeName;

    @ApiModelProperty(value = "发布时间")
    private Date createTime;

    @ApiModelProperty(value = "发布者")
    private String createUserName;

    @ApiModelProperty(value = "发布者ID")
    private String createId;

    @ApiModelProperty(value = "开放范围")
    private String openCompetenceName;

    @ApiModelProperty(value = "状态名称")
    private String stateName;

    @ApiModelProperty(value = "状态")
    private String state;

    @ApiModelProperty(value = "浏览量")
    private Integer viewTotal;

    @ApiModelProperty(value = "是否置顶")
    private Boolean whetherTop;

    @ApiModelProperty(value = "点赞数量")
    private Integer likesTotal;

    @ApiModelProperty(value = "颜色(app)")
    private String colour;

    @ApiModelProperty(value = "文件id")
    private List<CoverImageDto> coverImageFileId;

    @ApiModelProperty(value = "组织")
    private String authorityOrgs;

    @ApiModelProperty(value = "是否展示按钮达标 1展示 2不展示")
    private Integer isShow;

    @ApiModelProperty(value = "app端封面url展示")
    private List<String> coverUrl;

    @ApiModelProperty(value = "来源")
    private String orgName;

    @ApiModelProperty(value = "关联工单")
    private List<ApplyOrder> applyOrders;

}
