package com.crunii.micro.service.qzh.api.domain.dto.announcement;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author gongsongtao
 * @date 2023/9/14 14:32
 */
@Data
@ApiModel(value = "WorkerOrderReqDTO",description = "所属工单请求参数")
public class WorkerOrderReqDTO {

    @ApiModelProperty(name = "申报编号")
    private String applicantCode;

    @ApiModelProperty(name = "申请类型")
    private Integer applyType;

    @ApiModelProperty(name = "模块类型(1突击队，2文明号，3示范岗，4权益岗")
    private Integer type;

    @ApiModelProperty(name = "创建（复核）类别")
    private Integer createType;
}
