package com.crunii.micro.service.qzh.api.domain.dto.announcement;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author gongsongtao
 * @date 2023/9/14 14:32
 */
@Data
@ApiModel(value = "WorkerOrderRspDTO",description = "所属工单返回值")
public class WorkerOrderRspDTO {
    @ApiModelProperty(name = "主键id")
    private Long id;

    @ApiModelProperty(name = "申报编号")
    private String applicantCode;

    @ApiModelProperty(name = "类型")
    private String applyType;

    @ApiModelProperty(name = "集体名称")
    private String collectiveName;

    @ApiModelProperty(name = "所属单位")
    private String affiliatedUnitName;

    @ApiModelProperty(name = "类型")
    private String type;

    @ApiModelProperty(name = "所属团组织")
    private String organizationOrgName;

    @ApiModelProperty(name = "关联政策")
    private String policyDocument;

    @ApiModelProperty(name = "号长")
    private String a;

    @ApiModelProperty(name = "身份证号码")
    private String idCard;

    @ApiModelProperty(name = "联系电话")
    private String telephoneNum;

    @ApiModelProperty(name = "申请人")
    private String applicantUserName;

    @ApiModelProperty(name = "申请时间")
    private String applicantTime;

    @ApiModelProperty(name = "状态名称")
    private String stateName;

    @ApiModelProperty(name = "状态")
    private Integer status;
}
