package com.crunii.micro.service.qzh.api.domain.dto.cavalryTrumpet;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author wangchen create 2023/11/17 15:17
 */
@Data
@ApiModel("回退流程dto")
public class BackFlowDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("回退到那个流程状态")
    @NotNull(message = "状态不能为空")
    private Integer auditState;

    @ApiModelProperty("申报id")
    @NotNull(message = "申报id不能为空")
    private Long declarationId;

    @ApiModelProperty("回退原因")
    private String reason;
}
