package com.crunii.micro.service.qzh.api.domain.dto.cavalryTrumpet;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author: LG
 * @date: 2023/11/15 9:46
 */
@Data
@ApiModel("变更号长DTO")
public class ChangeCaptainDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("申报id")
    @NotNull(message = "请选申报id")
    private Long declarationId;

    @ApiModelProperty(value = "号长名字",notes = "")
    private String afterDeclarationName;

    @ApiModelProperty(value = "身份证号",notes = "")
    private String afterIdCard;

    @ApiModelProperty(value = "手机号",notes = "")
    private String afterPhoneNumber;

    @ApiModelProperty(value = "微信号",notes = "")
    private String afterWechat;




}
