package com.crunii.micro.service.qzh.api.domain.dto.cavalryTrumpet;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author wangchen create 2023/11/15 15:59
 */
@Data
@ApiModel(description = "批量审核参数")
public class CivilizationAuditDto  implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("1 通过 2拒绝")
    private Integer auditState;

    @ApiModelProperty("申报id")
    private List<Long> declarationIds;

    @ApiModelProperty("评定等级")
    private Integer ratingLevel;

    @ApiModelProperty("原因")
    private String reason;
}
