package com.crunii.micro.service.qzh.api.domain.dto.cavalryTrumpet;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author wangchen create 2023/11/13 19:03
 */
@Data
@ApiModel(description = "青年号申报分頁查詢參數")
public class CivilizationReportPageDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("集体名称")
    private String collectiveName;

    @ApiModelProperty("所属团组织")
    private Long orgId;

    @ApiModelProperty("所在单位")
    private String unit;

    @ApiModelProperty("号长名字")
    private String declarationName;

    @ApiModelProperty("审核状态")
    private Integer auditState;

    @ApiModelProperty("申请人")
    private String createWorker;

    @ApiModelProperty("开始申请时间")
    private Date startTime;

    @ApiModelProperty("结束申请时间")
    private Date endTime;

    @ApiModelProperty("政策名称")
    private String docName;

    @ApiModelProperty("申报类型")
    private Integer declarationType;

    @ApiModelProperty("创建（复核）类别")
    private Integer category;

    @ApiModelProperty("分布类型")
    private Integer distribution;

}
