package com.crunii.micro.service.qzh.api.domain.dto.cavalryTrumpet;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.math.BigInteger;

/**
 * @author wangchen create 2023/12/15 14:19
 */
@Data
@ApiModel("重置考试次数dto")
public class ExamResetDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("用户id")
    private BigInteger studentId;

    @ApiModelProperty("试卷id")
    private BigInteger paperId;
}
