package com.crunii.micro.service.qzh.api.domain.dto.cavalryTrumpet;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author: LG
 * @date: 2023/12/12 15:51
 */
@Data
public class QueryDeclarationRecordChangeFlowVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "变更号长流程id",notes = "")
    private Long captainChangeFlowId;

    @ApiModelProperty(value = "变更号长id",notes = "")
    private Long declarationId;

    @ApiModelProperty(value = "流程环节",notes = "")
    private String nodeName;

    @ApiModelProperty(value = "处理状态",notes = "")
    private String processComments;

    @ApiModelProperty(value = "处理人",notes = "")
    private String nodeAssigennName;

    @ApiModelProperty(value = "处理组织",notes = "")
    private String nodeAssigennOrgName;

    @ApiModelProperty(value = "处理时间",notes = "")
    private Date createTime;

    @ApiModelProperty(value = "原因",notes = "")
    private String processResult;

    @ApiModelProperty(value = "处理状态类型 0:提交；1：通过；2：驳回",notes = "")
    private Integer processType;


}
