package com.crunii.micro.service.qzh.api.domain.dto.commandDo;

import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * @description: 突击队修改队长变更信息详细（变更前变更后）
 * @date: 2023/9/16 15:26
 */
@ApiModel(value = "突击队修改队长变更信息详细（变更前变更后）", description = "突击队修改队长变更信息详细（变更前变更后）")
@Data
public class ChangeLeaderCommandoRespDTO {
    /**
     * id
     */
    private String commandoCode;
    /**
     * 队长名字身份证
     */
    private String teamLeaderCard;
    /**
     * 队长名字
     */
    private String teamLeaderName;
    /**
     * 队长电话
     */
    private String teamLeaderPhone;


    /**
     * 变更后队长名字身份证
     */
    private String teamLeaderCardNew;
    /**
     * 变更后队长名字
     */
    private String teamLeaderNameNew;
    /**
     * 变更后队长电话
     */
    private String teamLeaderPhoneNew;

    public ChangeLeaderCommandoRespDTO(String commandoCode, String teamLeaderCard, String teamLeaderName, String teamLeaderPhone, String teamLeaderCardNew, String teamLeaderNameNew, String teamLeaderPhoneNew) {
        this.commandoCode = null;
        this.teamLeaderCard = null;
        this.teamLeaderName = null;
        this.teamLeaderPhone = null;
        this.teamLeaderCardNew = null;
        this.teamLeaderNameNew = null;
        this.teamLeaderPhoneNew = null;
    }

    public ChangeLeaderCommandoRespDTO() {

    }
}
