package com.crunii.micro.service.qzh.api.domain.dto.commandDo;

import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * @description: 突击队更新请求参数
 * @date: 2023/9/16 15:26
 */
@ApiModel(value = "突击队更新请求参数", description = "突击队更新请求参数")
@Data
public class CommandoUpdateReqDTO {
    /**
     * 文件id
     */
    private String businessId;
    /**
     * 突击队名称
     */
    private String commandoName;
    /**
     * 文件名字
     */
    private String fileName;
    /**
     * 文件类型
     */
    private String fileType;
    /**
     * 附件地址
     */
    private String fileUrl;
    /**
     * 所属团组织，所属团组织id
     */
    private String groupOrgId;
    /**
     * 所属团组织名字
     */
    private String groupOrgName;
    /**
     * 是否为三年行动计划突击队（1是 0否）
     */
    private Integer haveThreeYearPlan;
    /**
     * 突击队id
     */
    private String id;
    /**
     * 人数
     */
    private Long personNum;
    /**
     * 建设项目名称
     */
    private String projectName;
    /**
     * 队长身份证号
     */
    private String teamLeaderCard;
    /**
     * 队长姓名
     */
    private String teamLeaderName;
    /**
     * 队长电话
     */
    private String teamLeaderPhone;
    /**
     * 所属类别
     */
    private String type;
    /**
     * 工作任务情况
     */
    private String workSituation;


    // @date: 2023/10/7 18:22  新增字段分布类型
    private String distribution;

}
