package com.crunii.micro.service.qzh.api.domain.dto.commandDo;

import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.util.List;

/**
 * @description: 突击队查询返回
 * @date: 2023/9/16 15:26
 */
@ApiModel(value = "突击队查询返回", description = "突击队查询返回")
@Data
public class QueryCommandoRespDTO {
    /**
     * 申请人
     */
    private String applicant;
    /**
     * 申请时间
     */
    private String applyTime;
    /**
     * 申报编号
     */
    private String commandoCode;
    /**
     * 突击队名称
     */
    private String commandoName;
    /**
     * 队伍状态
     */
    private String commandoState;
    /**
     * 所属团组织
     */
    private String groupOrgId;
    /**
    /**
     * 所属团组织
     */
    private String groupOrgName;
    /**
     * 是否为三年行动计划突击队（1是 0否）
     */
    private Integer haveThreeYearPlan;
    private String id;
    /**
     * 队友人数
     */
    private Long personNum;
    /**
     * 建设项目名称
     */
    private String projectName;
    /**int
     * 状态(草稿 1 待审核2  已通过3  已驳回4 5不通过  6终止)
     */
    private Integer  state;
    /**
     * 队长身份证号
     */
    private String teamLeaderCard;
    /**
     * 队长姓名
     */
    private String teamLeaderName;
    /**
     * 队长电话
     */
    private String teamLeaderPhone;
    /**
     * 突击队类别
     */
    private String type;

    /**
     * 类别  (申报那里为 创建   变更那里为变更队长 )
     */
    /**
     * 工作任务情况
     */
    private String workSituation;
    private String dataType;

    /**
     * 变更队长版本号
     */
    private Integer batchNoChange;


    private Integer batchNoApply;

    //是否有权限  看审核按钮  true 看  flase 不看
    private Boolean showFlag;


    // @date: 2023/10/7 18:22  新增字段分布类型
    private String distribution;

    private List<FileDTO> file;
}
