package com.crunii.micro.service.qzh.api.domain.dto.document;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author gongsongtao
 * @date 2023/9/11 17:14
 */
@Data
@ApiModel(value = "AnnexDto",description = "文件信息")
public class AnnexDto {

    @ApiModelProperty(value = "id")
    private String fileId;

    @ApiModelProperty(value = "文件key")
    private String fileKey;

    @ApiModelProperty(value = "文件名字")
    private String fileName;

    @ApiModelProperty(value = "文件大小")
    private Integer fileSize;

    @ApiModelProperty(value = "文件类型")
    private String fileType;

    @ApiModelProperty(value = "文件地址")
    private String fileUrl;

    @ApiModelProperty(value = "高度")
    private Integer picHeight;

    @ApiModelProperty(value = "宽度")
    private Integer picWidth;

}
