package com.crunii.micro.service.qzh.api.domain.dto.document;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @program: microservice
 * @description: 活动报道DTO
 * @author: xiang xin
 * @create: 2024-01-15 15:39
 */
@Data
public class YcqEventReportDTO {
    /**
     * id
     */
    @NotNull(message = "id不能为空")
    @ApiModelProperty(name = "id")
    private Long id;

    /**
     * 活动报道状态
     */
    @ApiModelProperty(name = "活动报道状态 1发布、2下架")
    private Integer type;
}
