package com.crunii.micro.service.qzh.api.domain.dto.form;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**DynamicFormColumnVO
 * 动态表单列名信息表
 */
@Data
public class DynamicFormColumnVO {
    /**
     * 对应json中的 widget+一个唯一组件的标识
     */
    @ApiModelProperty(value = "列名")
    private String columnName;

    /**
     * 对应json中的 title
     */
    @ApiModelProperty(value = "列名描述")
    private String columnDescribe;

    private String value;

    private String type;

    private Integer isDelete=0;
}
