package com.crunii.micro.service.qzh.api.domain.dto.form;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * @ClassName FormField
 * @Description 动态表单
 * @Author Jiang
 * @Date 2023/9/26
 * @Version 1.0
 */

@Data
@ApiModel(description = "动态表单")
public class FormRespDTO {

    private Long id;

    /**
     * 字段类型 标签类型 ：1 文本框输入框 、2下拉框、3单选、4多选 、5时间输入等)
     */
    @ApiModelProperty(value = "字段类型 标签类型 ：1 文本框输入框 、2下拉框、3单选、4多选 、5时间输入等)")
    private String type;

    /**
     * 字段名称
     */
    @ApiModelProperty(value = "字段名称")
    private String name;

    /**
     * 字段值
     */
    @ApiModelProperty(value = "字段值(如果是单选 多选这种的话就直接存 json 这种形式)")
    private String value;

    /**
     * 是否必填
     */
    @ApiModelProperty(value = "是否必填")
    private Integer isRequired;

    /**
     * 活动关联Id
     */
    @ApiModelProperty(value = "活动关联Id")
    private String activityId;

}
