package com.crunii.micro.service.qzh.api.domain.dto.rightsProtection;

import lombok.Data;

import java.util.List;

/**
 * 申报复核查询响应参数
 */
@Data
public class RightsProtectionCheckQueryRespDTO {

    /**
     * 序号
     */
    private long id;
    /**
     * 单位名称
     */
    private String unitName;
    /**
     * 原单位名称
     */
    private String oldUnitName;
    /**
     * 所属系统名称
     */
    private String system;
    /**
     * 所属系统名称
     */
    private String systemId;
    /**
     * 所属主管单位ID
     */
    private Long managerOrgId;
    /**
     * 所属主管单位name
     */
    private String managerOrgName;
    /**
     * 所属团组织ID
     */
    private Long organizationId;
    /**
     * 所属团组织name
     */
    private String organizationName;
    /**
     * 原所属团组织ID
     */
    private Long oldOrganizationId;
    /**
     * 原所属团组织name
     */
    private String oldOrganizationName;
    /**
     * 权益岗CODE
     */
    private String applicantCode;
    /**
     * 联系电话
     */
    private String phone;
    /**
     * 通讯地址
     */
    private String address;
    /**
     * 邮编
     */
    private String zipCode;
    /**
     * 市级内设机构
     */
    private String municipalLevelInternalInstitutionsName;
    /**
     * 市级内设机构type
     */
    private Integer municipalLevelInternalInstitutions;
    /**
     * 申请时间
     */
    private String applyTime;
    /**
     * 命名时间
     */
    private String namingTime;
    /**
     * 命名文件号
     */
    private String namingFileCode;
    /**
     * 申报负责人
     */
    private String header;
    /**
     * 复核指标
     */
    private List<CheckIndexReqDTO> reviewIndicators;
    /**
     * 盖章版扫描件
     */
    private RightsProtectionAnnexDTO scanAnnex;
    /**
     * 其他附件
     */
    private List<RightsProtectionAnnexDTO> otherAnnex;
    /**
     *
     */
    private Long flowId;

    private Long associationId;

}
