package com.crunii.micro.service.qzh.api.domain.dto.rightsProtection;

import lombok.Data;

import javax.persistence.Column;
import java.util.List;

/**
 * 申报创建请求参数
 */
@Data
public class RightsProtectionCreateReqDTO {

    /**
     * 通讯地址
     */
    private String address;
    /**
     * 盖章版扫描件
     */
    private RightsProtectionAnnexDTO scanAnnex;
    /**
     * 其他附件
     */
    private List<RightsProtectionAnnexDTO> otherAnnex;
    /**
     * 序号
     */
    private Long id;
    /**
     * 是否保存为草稿,0否，1是
     */
    private Integer isDraft;
    /**
     * 备注
     */
    private String notes;
    /**
     * 所属团组织Id
     */
    private Long organizationId;
    /**
     * 所属团组织
     *
     */
    private String  organizationName;
    /**
     * 联系电话
     */
    private String phone;
    /**
     * 关联政策Id
     */
    private Long policyId;
    /**
     * 创建方案
     */
    private String programme;
    /**
     * 所属系统
     */
    private Long systemId;
    /**
     * 单位名称
     */
    private String unitName;
    /**
     * 单位组织id
     */
    private Long unitOrgId;
    /**
     * 邮编
     */
    private String zipCode;
    /**
     * 市级内设机构 0否，1是
     */
    private Integer municipalLevelInternalInstitutions;
    /**
     * 是否是其他/共青团组织 0否，1是
     */
    private Integer systemState;
    /**
     * 所属主管单位
     *
     */
    private String managerOrgName;

    /**
     * 所属主管单位id
     *
     */
    private Long managerOrgId;

    /**
     * 成为权益岗时间
     */
    private String createProTime;
}
