package com.crunii.micro.service.qzh.api.domain.dto.rightsProtection;

import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 申报评审请求参数
 */
@Data
public class RightsProtectionOperateReqDTO {

    /**
     *
     * 序号列表
     */
    private Long id;
    /**
     * 审核意见 0通过，1优秀，2合格，3不通过，4，整改 5撤销命名 6 命名自动取消 7退回
     */
    private Integer opinion;
    /**
     * 原因
     */
    private String reason;
    /**
     * 选择同组织下一环节单位
     */
    private Long nextOrgId;
    /**
     * 选择同组织下一环节单位名称
     */
    private String nextOrgName;
    /**
     * 盖章版扫描件
     */
    private RightsProtectionAnnexDTO scanAnnex;

    private String button;

}
