package com.crunii.micro.service.qzh.api.domain.dto.youthSafetyModel;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @Author: zwx
 * @CreateTime: 2023-12-02  11:10:19
 * @Description: 流程审核记录返回参数
 */
@Data
public class QagFlowHistoryRespVO {

    // 流程执行实例id
    private String flowInstanceId;
    // 节点唯一标识
    private String nodeKey;
    // 节点执行实例id
    private String nodeInstanceId;
    // 节点名称
    private String nodeName;
    // 处理人
    private Long nodeAssigenn;
    // 处理人名称
    private String nodeAssigennName;
    // 处理人组织
    private Long nodeAssigennOrg;
    // 处理人组织名称
    private String nodeAssigennOrgName;
    // 处理类型
    private Integer processType;
    // 处理类型名称
    private String processTypeName;
    //处理结果
    private String processResult;
    // 处理意见
    private String processComments;
    // 创建时间
    private Date createTime;
    // 创建时间
    private String createTimeStr;

    private List<FlowHistoryFilesRespVO> files;

}
