package com.crunii.micro.service.qzh.api.domain.dto.youthSafetyModel;

import lombok.Data;

import javax.persistence.Column;
import java.time.LocalDateTime;

/**
 * @Author: zwx
 * @CreateTime: 2023-11-13  19:33:24
 * @Description: 青安岗推荐申报表附件请求参数
 */

@Data
public class RecommendFileReqDTO {
    /**
     * 文件id
     */
    private String fileId;

    /**
     * 文件名称
     */
    private String fileName;

    /**
     * 文件key
     */
    private String fileKey;

    /**
     * 文件类型
     */
    private String fileType;

    /**
     * 文件大小
     */
    private Integer fileSize;

    /**
     * 文件路径
     */
    private String fileUrl;

    /**
     * 是否盖章（1盖章文件,0非盖章文件)
     */
    private Integer isStamp;
}
