package com.crunii.micro.service.qzh.api.domain.dto.youthSafetyModel;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * @Author: zwx
 * @CreateTime: 2023-11-14  12:34:26
 * @Description: TODO
 */
@Data
public class RecommendFillInRespDTO {

    /**
     * 推荐申报id
     */
    private Long id;
    /**
     * 单位名称
     */
    private String applyOrgName;
    /**
     * 所属团组织
     */
    private String affiliationOrgId;
    /**
     * 岗长身份证号
     */
    private String leaderIdCard;
    /**
     * 主要事迹
     */
    private String majorAchievement;
    /**
     * 岗长姓名
     */
    private String leaderName;
    /**
     * 创建单位职工人数
     */
    private Integer workersNum;
    /**
     * 联系电话
     */
    private String leaderPhone;
    /**
     * 申报类型名称
     */
    private String remark;
    /**
     * 35 岁以下青年人数
     */
    private Integer youthNum;

    /**
     * 申报id
     */
    private Long qagApplyId;

    /**
     * 所有附件
     */
    private List<RecommendFileReqDTO> files = new ArrayList<>();
}
