package com.crunii.micro.service.qzh.api.enums;

import lombok.Getter;

/**
 * @Author: zwx
 * @CreateTime: 2023-09-19  09:34:02
 * @Description: TODO
 */
@Getter
public enum ActivityStateEnum {
    //活动状态（1-未开始，2-进行中，3-已结束）
    ACTIVE(1,"启用"),
    STOP(0,"禁用");


    ActivityStateEnum(Integer code, String name) {
        this.code = code;
        this.name = name;
    }

    private final Integer code;

    private final String name;

    public static Integer findCodeByVal(String name) {
        for (TopicTypeEnum value : TopicTypeEnum.values()) {
            if (value.getName().equals(name)) {
                return value.getCode();
            }
        }
        return null;
    }
}
