package com.crunii.micro.service.qzh.api.enums;

import lombok.Getter;

/**
 * @author wangchen create 2023/11/17 14:23
 */
@Getter
public enum CivilizationReportFlowEnum {
    INIT_EVALUATION(1,2),ARCHIKARYON(2,3),RESULT(3,4),EXAM(4,5),EXAM_REULT(5,6),CROSS_CHECK(6,7);
    private Integer nowState;
    private Integer afterState;
    CivilizationReportFlowEnum(Integer nowState,Integer afterState){
        this.afterState = afterState;
        this.nowState = nowState;
    }

    public static Integer getNextAuditState(Integer nowState){
        CivilizationReportFlowEnum[] values = CivilizationReportFlowEnum.values();
        for (CivilizationReportFlowEnum value : values) {
            if(value.nowState.equals(nowState)){
                return value.afterState;
            }
        }
        return nowState;
    }
}
