package com.crunii.micro.service.qzh.api.enums;

import lombok.Getter;

/**
 * @Author: zwx
 * @CreateTime: 2023-09-06  15:50:08
 * @Description: TODO
 */
@Getter
public enum TopicTypeEnum {

    Single(1,"单选题"),
    Mulity(2,"多选题"),
    Judgment(3,"判断题");

    TopicTypeEnum(Integer code,String name) {
        this.code = code;
        this.name = name;
    }

    private final Integer code;

    private final String name;

    public static Integer findCodeByVal(String name) {
        for (TopicTypeEnum value : TopicTypeEnum.values()) {
            if (value.getName().equals(name)) {
                return value.getCode();
            }
        }
        return null;
    }
}
