package com.crunii.micro.domain.entity.main.document;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @program: microservice
 * @description: 青春之约VO
 * @author: xiang xin
 * @create: 2024-01-17 09:36
 */
@Data
public class YcqPromiseYouth {
    /**
     * 账号状态: 0-禁用,1-启用
     */
    @ApiModelProperty(name = "账号状态: 0-禁用,1-启用")
    private Integer status;
    /**
     * 认证状态：0-未审核；1-已通过；2-已驳回
     */
    @ApiModelProperty(name = "认证状态：0-未审核；1-已通过；2-已驳回")
    private Integer auth_status;
    /**
     * 是否删除：0-未删除；1-已删除
     */
    @ApiModelProperty(name = "是否删除：0-未删除；1-已删除")
    private Integer del_flag;
}
