package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.MessageSendTask;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author: zwx
 * @CreateTime: 2023-10-27  14:35:28
 * @Description: TODO
 */
@Repository
public interface MessageSendTaskRepo extends BaseRepo<MessageSendTask,Long> {
//    List<MessageSendTask> findBySendState(Integer sendState);

    @Query(value = " SELECT * FROM MESSAGE_SEND_TASK WHERE send_state = ?1 limit 100 ", nativeQuery = true)
    List<MessageSendTask> findBySendState(Integer sendState);
}
