package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.YcqQzhIndicatorSystem;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface YcqQzhIndicatorSystemRepo extends BaseRepo<YcqQzhIndicatorSystem, Long> {
    @Query(value = "select * from YCQ_QZH_INDICATOR_SYSTEM where indicator_version_id =: id and evaluation_points is not null ", nativeQuery = true)
    List<YcqQzhIndicatorSystem> getEvaluationPoints(@Param("indicatorVersionId") Long indicatorVersionId);
    @Query(value = "select * from YCQ_QZH_INDICATOR_SYSTEM where indicator_version_id =: id and primary_indicators is not null ", nativeQuery = true)
    List<YcqQzhIndicatorSystem> getOneLevel(@Param("indicatorVersionId") Long indicatorVersionId);
}
