package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.YcqQzhDemo;
import com.crunii.micro.domain.entity.main.YcqQzhQagApply;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface YcqQzhQagApplyRepo extends BaseRepo<YcqQzhQagApply, Long> {

    List<YcqQzhQagApply> findAllByLeaderIdCardAndDelFlagAndFlowStateNot(String leaderIdCard, int delFlag, int state);

    List<YcqQzhQagApply> findAllByLeaderIdCardAndDelFlagAndFlowStateNotIn(String leaderIdCard, int delFlag, List<Integer> stateList);

    YcqQzhQagApply findByFlowInstanceIdAndDelFlag(String flowInstanceId, int delFlag);
}
