package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.YcqTopic;
import com.crunii.micro.domain.entity.main.YcqTopicOption;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author: zwx
 * @CreateTime: 2023-09-05  10:35:04
 * @Description: TODO
 */
@Repository
public interface YcqTopicRepo extends BaseRepo<YcqTopic,Integer> {
    YcqTopic findByIdAndDeleted(Integer id, Integer deleted);

    List<YcqTopic> findAllByIdIn(List<Integer> ids);

    List<YcqTopic> findAllByQuestionBankIdInAndDeleted(List<Integer> ids, Integer deleted);

    Long countByTopicAndTopicTypeAndQuestionBankId(String topic, Integer topicType, Integer questionBankId);

    Long countByTopicTypeAndDeletedAndQuestionBankId(Integer code, int i, Integer questionBankId);
}
