package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.YouthSafetyRecommendFile;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author: zwx
 * @CreateTime: 2023-11-14  10:03:38
 * @Description: 青年安全生产示范岗推荐申报
 */
@Repository
public interface YouthSafetyRecommendFileRepo extends BaseRepo<YouthSafetyRecommendFile,Long> {
    void deleteByRecommendId(Long id);

    List<YouthSafetyRecommendFile> findByRecommendId(Long id);
}
