package com.crunii.micro.domain.repo.main.announcement;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.YcqQzhAnnouncementApply;
import com.crunii.micro.service.qzh.api.domain.dto.announcement.ApplyOrder;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import javax.transaction.Transactional;
import java.util.List;

@Repository
public interface YcqQzhAnnouncementApplyRepo extends BaseRepo<YcqQzhAnnouncementApply, Integer> {

    @Transactional
    void deleteByAnnouncementId(String announcementId);
    
    List<YcqQzhAnnouncementApply> findByAnnouncementId(String announcementId);
}
