package com.crunii.micro.domain.repo.main.cavalryTrumpet;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.cavalryTrumpet.YcqYnInitialEvaluation;
import org.springframework.stereotype.Repository;
 /**
 * 青年号初评记录表;
 * @author : http://www.chiner.pro
 * @date : 2023-11-22
 */
@Repository
public interface YcqYnInitialEvaluationRepo extends BaseRepo<YcqYnInitialEvaluation, Long> {

  /**
   * 申报id查询初评人
   * @param declarationId 申报id
   * @return data
   */
  YcqYnInitialEvaluation findByDeclarationId(Long declarationId);
}
