package com.crunii.micro.domain.repo.main.document;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.document.YcqQzhAnnex;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author gongsongtao
 * @date 2023/9/5 11:00
 */
@Repository
public interface YcqQzhAnnexRepo extends BaseRepo<YcqQzhAnnex,Long> {
    @Query(value = "select * from ycq_qzh_annex where article_id=:id and type=:type",nativeQuery = true)
    List<YcqQzhAnnex> findOneByArticleId(@Param("id")Long id,@Param("type")Integer type);
}
