package com.crunii.micro.domain.repo.main.document;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.document.YcqQzhCover;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author gongsongtao
 * @date 2023/9/5 17:45
 */
@Repository
public interface YcqQzhCoverRepo extends BaseRepo<YcqQzhCover,Long> {
    @Query(value = "select * from ycq_qzh_cover where article_id=:id and type=:type",nativeQuery = true)
    List<YcqQzhCover> findOneByArticleId(@Param("id") Long id,@Param("type")Integer type);

    List<YcqQzhCover> findAllByArticleIdInAndType(List<Long> ids,Integer type);

    int deleteByArticleId(Long articleId);

    List<YcqQzhCover> getByArticleId(Long id);
}
