package com.crunii.micro.service.qzh.api;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.qzh.api.domain.dto.PutStudentDTO;
import com.crunii.micro.service.qzh.service.SNGService;
import io.swagger.annotations.Api;
import lombok.RequiredArgsConstructor;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

/**
 * @author lmlkyc
 * @date 2023-09-26 09:45
 */
@Validated
@Api(tags = "推送学员标识")
@RequiredArgsConstructor
@RestController
@RequestMapping("/SNGController")
public class SNGController {

	private final SNGService sngService;

	@PostMapping("/push")
	public Result<Object> saveStudentHistoryFromSng(@RequestBody PutStudentDTO putStudentDTO) {
			// 调用Service层处理学员数据推送请求
			return sngService.saveStudentHistoryFromSng(putStudentDTO);
	}
}
