/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved.
 * <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.qzh.config;

import com.crunii.micro.service.qzh.service.ActivityState;
import com.crunii.micro.service.qzh.service.impl.CheckInActivityStateImpl;
import com.crunii.micro.service.qzh.service.impl.CheckOutActivityStateImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class ActivityStateFactory {

	@Autowired
	private CheckInActivityStateImpl checkInActivityState;

	@Autowired
	private CheckOutActivityStateImpl checkOutActivityState;
	public ActivityState getActivityState(Integer clockTag) {
		if (clockTag == 1) {
			return checkInActivityState;
		} else {
			return checkOutActivityState;
		}
	}
}
