//package com.crunii.micro.service.qzh.controller;
//
//import com.crunii.micro.common.dto.PageReq;
//import com.crunii.micro.common.dto.PageRsp;
//import com.crunii.micro.common.dto.Result;
//import com.crunii.micro.service.qzh.api.domain.dto.IndicatorAppraiseRespDTO;
//import com.crunii.micro.service.qzh.api.domain.dto.document.DocumentListRspDTO;
//import com.crunii.micro.service.qzh.api.domain.dto.rightsProtection.*;
//import com.crunii.micro.service.qzh.service.RightsProtectionService;
//import io.swagger.annotations.Api;
//import io.swagger.annotations.ApiOperation;
//import lombok.RequiredArgsConstructor;
//import org.apache.poi.xwpf.usermodel.XWPFDocument;
//import org.springframework.validation.annotation.Validated;
//import org.springframework.web.bind.annotation.*;
//import org.springframework.web.multipart.MultipartFile;
//
//import javax.annotation.Resource;
//import javax.servlet.http.HttpServletRequest;
//import javax.servlet.http.HttpServletResponse;
//import java.io.OutputStream;
//import java.util.List;
//
//@Validated
//@Api(tags = "维权岗")
//@RequiredArgsConstructor
//@RestController
//@RequestMapping("/auth/rightsProtectionControllerbak")
//public class RightsProtectionControllerBak {
//
//    @Resource
//    private RightsProtectionService service;
//
//    @ApiOperation("申报清单分页查询")
//    @PostMapping("/inventoryPage")
//    public Result<PageRsp<RightsProtectionInventoryPageRespDTO>> inventoryPage(@RequestBody PageReq<RightsProtectionInventoryPageReqDTO> req) {
//        return service.inventoryPage(req);
//    }
//
//    @ApiOperation("申报记录分页查询")
//    @PostMapping("/recordPage")
//    public Result<PageRsp<RightsProtectionRecordPageRespDTO>> recordPage(@RequestBody PageReq<Object> req) {
//        return service.recordPage(req);
//    }
//
//    @ApiOperation("申报创建")
//    @PostMapping("/create")
//    public Result<Boolean> create(@RequestBody RightsProtectionCreateReqDTO req) {
//        return service.create(req);
//    }
//
//    @ApiOperation("申报复核")
//    @PostMapping("/check")
//    public Result<Boolean> check(@RequestBody RightsProtectionCheckReqDTO req) {
//        return service.check(req);
//    }
//
////    @ApiOperation("申报创建查询")
////    @PostMapping("/createQuery")
////    public Result<RightsProtectionCreateQueryRespDTO> createQuery(Long req) {
////        return service.createQuery(req);
////    }
////
////    @ApiOperation("申报复核查询")
////    @PostMapping("/checkQuery")
////    public Result<RightsProtectionCheckQueryRespDTO> checkQuery(Long req) {
////        return service.checkQuery(req);
////    }
//
//    @ApiOperation("已申报列表查询")
//    @PostMapping("/listQuery")
//    public Result<List<RightsProtectionInventorylistQueryRespDTO>> listQuery(@RequestBody RightsProtectionInventorylistQueryReqDTO req) {
//        return service.listQuery(req);
//    }
//
////    @ApiOperation("复核关联查询")
////    @PostMapping("/checkAssociatedQuery")
////    public Result<RightsProtectionInventoryCheckAssociatedQueryRespDTO> checkAssociatedQuery(Long req) {
////        return service.checkAssociatedQuery(req);
////    }
//
//    @ApiOperation("创建申报查看")
//    @PostMapping("/get")
//    public Result<RightsProtectionRecordPageRespDTO> get(Long req) {
//        return service.getCreate(req);
//    }
//
//    @ApiOperation("复核申报查看")
//    @PostMapping("/getCheck")
//    public Result<RightsProtectionRecordPageRespDTO> getCheck(Long req) {
//        return service.getCreate(req);
//    }
//
//    @ApiOperation("申报删除")
//    @PostMapping("/delete/{id}")
//    public Result<Boolean> delete(@PathVariable("type") Long id) {
//        return service.delete(id);
//    }
//
//    @ApiOperation("申报评审")
//    @PostMapping("/operate")
//    public Result<Object> operate(@RequestBody RightsProtectionOperateReqDTO req) {
//        return service.operate(req);
//    }
//
//    @ApiOperation("申报公示")
//    @PostMapping("/publicity")
//    public Result<Boolean> publicity(@RequestBody RightsProtectionPublicityReqDTO req) {
//        return service.publicity(req);
//    }
//
//    @ApiOperation("市级主管单位复核")
//    @PostMapping("/SupervisorCheck")
//    public Result<Boolean> SupervisorCheck(@RequestBody RightsProtectionSupervisorCheckReqDTO req) {
//        return service.SupervisorCheck(req);
//    }
//
//    @ApiOperation("市级团委复核")
//    @PostMapping("/CommitteeCheck")
//    public Result<Boolean> CommitteeCheck(@RequestBody RightsProtectionCommitteeCheckReqDTO req) {
//        return service.CommitteeCheck(req);
//    }
//
////    @ApiOperation("附件校验")
////    @PostMapping("/checkAnnex")
////    public Result<RightsProtectionCheckAnnexRespDTO> checkAnnex(@RequestBody RightsProtectionCheckAnnexReqDTO req) {
////        return service. checkAnnex(req);
////    }
////
////    @ApiOperation("附件下载")
////    @PostMapping("/downloadAnnex")
////    public Result<List<RightsProtectionDownloadAnnexRespDTO>> downloadAnnex(@RequestBody RightsProtectionDownloadAnnexReqDTO req) {
////        return service.downloadAnnex(req);
////    }
//    @ApiOperation("关联政策")
//    @PostMapping("/queryPolicy/{type}")
//    Result<List<DocumentListRspDTO>> queryPolicy(@PathVariable("type") Integer type) {
//        return service.queryPolicy(type);
//    }
//    @ApiOperation("创建导出word")
//    @PostMapping("/export")
//    public void export(HttpServletRequest request,
//                       HttpServletResponse response,
//                       @RequestBody CheckIndicatorReqDTO dto) throws Exception {
//        service.exportCreate(request,response,dto);
//
//    }
//
//    @ApiOperation("复核指标查询")
//    @PostMapping("/getIndicator")
//    Result<List<IndicatorAppraiseRespDTO>> getIndicator() {
//        return service.getIndicator();
//    }
//
//
//}
