package com.crunii.micro.service.qzh.controller;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.qzh.api.domain.dto.YcqAppDownHisDTO;
import com.crunii.micro.service.qzh.service.YcqAppDownHisService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;



@Api(tags = "app下载记录", description = "app下载记录")
@RequiredArgsConstructor
@RestController
@RequestMapping("/public/YcqAppDownHisController")
public class YcqAppDownHisController {

    private final YcqAppDownHisService ycqAppDownHisService;

    @ApiOperation("创建")
    @PostMapping("/create")
    public Result<Boolean> create(@RequestBody YcqAppDownHisDTO dto){
        return ycqAppDownHisService.create(dto);
    }

}
