package com.crunii.micro.service.qzh.controller;

import com.crunii.micro.common.dto.Result;

import com.crunii.micro.service.qzh.api.domain.dto.rightsProtection.YcqYouthStartAppDTO;
import com.crunii.micro.service.qzh.api.domain.dto.rightsProtection.YcqYouthStartUncheckDTO;
import com.crunii.micro.service.qzh.api.domain.dto.rightsProtection.YcqYouthStartVO;
import com.crunii.micro.service.qzh.service.YcqYouthStartAppService;
import com.crunii.micro.service.qzh.service.YcqYouthStartService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;

import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


@Api(tags = "青创政策-不校验token政策管理")
@RequiredArgsConstructor
@RestController
@RequestMapping("/ycqYouthStartUncheckController")
public class YcqYouthStartUncheckController {

    @Autowired
    private YcqYouthStartService service;

    @Autowired
    private YcqYouthStartAppService ycqYouthStartAppService;

    @ApiOperation("不校验token政策管理详情查询")
    @PostMapping("/pageList")
    public Result<YcqYouthStartVO> pageListUncheck(@RequestBody YcqYouthStartUncheckDTO dto) {
        return service.pageListUncheck(dto);
    }
    @ApiOperation("浏览量")
    @PostMapping("/pageView")
    public Result<String> doPageView(@RequestBody YcqYouthStartAppDTO dto) {
        return ycqYouthStartAppService.doPageView(dto);
    }

}
