//package com.crunii.micro.service.qzh.controller;
//
//import com.crunii.micro.common.dto.PageReq;
//import com.crunii.micro.common.dto.PageRsp;
//import com.crunii.micro.common.dto.Result;
//import com.crunii.micro.common.validate.AddGroup;
//import com.crunii.micro.common.validate.EditGroup;
//import com.crunii.micro.domain.dto.Worker;
//import com.crunii.micro.service.qzh.api.domain.dto.*;
//import com.crunii.micro.service.qzh.dto.*;
//import com.crunii.micro.service.qzh.service.YcqQzhDemoService;
//import com.crunii.micro.service.qzh.service.YcqYzyhTestService;
//import com.crunii.micro.web.mvc.CurrWorker;
//import io.swagger.annotations.Api;
//import io.swagger.annotations.ApiOperation;
//import io.swagger.annotations.ApiParam;
//import lombok.RequiredArgsConstructor;
//import org.springframework.validation.annotation.Validated;
//import org.springframework.web.bind.annotation.*;
//import org.springframework.web.multipart.MultipartFile;
//import springfox.documentation.annotations.ApiIgnore;
//
//import javax.servlet.http.HttpServletRequest;
//import javax.servlet.http.HttpServletResponse;
//import javax.validation.constraints.NotEmpty;
//import javax.validation.constraints.NotNull;
//import java.io.IOException;
//import java.util.List;
//
//import static org.reflections.Reflections.log;
//
///**
// * @description: 应知应会考试
// * @author: limy
// * @date: 2023/9/5 11:23
// * @param:
// * @return:
// **/
//@Validated
//@Api(tags = "应知应会考试")
//@RequiredArgsConstructor
//@RestController
//@RequestMapping("/YcqYzYhTestController")
//public class YcqYzYhTestController {
//
//    private final YcqYzyhTestService ycqYzyhTestService;
//
//    /**
//     * 添加试卷
//     */
//    @ApiOperation("添加试卷")
//    @PostMapping("/addTest")
//    public Result addYzYhTest(@CurrWorker  @ApiIgnore Worker worker, @RequestBody @ApiParam AddYcqYzyhTestReqDto dto) {
//         return ycqYzyhTestService.addTest(dto,worker);
//    }
//
//    /**
//     * 考试列表分页查询
//     */
//    @ApiOperation("考试列表分页查询")
//    @PostMapping("/pageTest")
//    public Result<PageRsp<YcqYzyhTestRespDto>> queryPageList(@CurrWorker  @ApiIgnore Worker worker, @RequestBody @ApiParam PageReq<YcqYzyhTestReqDto> req) {
//        log.info("req:" + req.toString());
//        return ycqYzyhTestService.pageTest(req,worker);
//    }
//
//    /**
//     * 考试情况统计分页查询
//     */
//    @ApiOperation("考试情况统计分页查询")
//    @PostMapping("/examDetailsCount")
//    public Result<PageRsp<YcqYzyhTestCountRespDto>> examDetailsCount(@CurrWorker  @ApiIgnore Worker worker, @RequestBody @ApiParam PageReq<YcqYzyhTestCountReqDto> req) {
//        log.info("req:" + req.toString());
//        return ycqYzyhTestService.examDetailsCount(req,worker);
//    }
//
//    /**
//     * 抽取题目
//     */
//    @ApiOperation("抽取题目")
//    @PostMapping("/chooseTopic")
//    public Result<List<TestTopicRespDto>> queryList(@RequestBody @ApiParam ChooseTopicReqDto req, @CurrWorker  @ApiIgnore Worker worker) {
//        return ycqYzyhTestService.chooseTopic(req,worker);
//    }
//
//
//    /**
//     * 编辑考试
//     */
//    @ApiOperation("编辑考试")
//    @PostMapping("/updateTest")
//    public Result updateTest( @CurrWorker  @ApiIgnore Worker worker,@RequestBody @ApiParam AddYcqYzyhTestReqDto dto) {
//        return ycqYzyhTestService.updateTest(dto,worker);
//    }
//
//    /**
//     * 删除考试
//     */
//    @ApiOperation("删除考试")
//    @PostMapping("/delTest")
//    public Result delTest( @CurrWorker  @ApiIgnore Worker worker,@ApiParam List<String> ids) {
//        return ycqYzyhTestService.delTest(ids,worker);
//    }
//
//    /**
//     * 操作考试
//     */
//    @ApiOperation("操作考试")
//    @PostMapping("/doTest")
//    public Result doTest( @CurrWorker  @ApiIgnore Worker worker,@RequestBody @ApiParam OperateTestRepDto dto) {
//        return ycqYzyhTestService.doTest(dto,worker);
//    }
//
//    @ApiOperation("查看考试")
//    @PostMapping("/viewTest")
//    public Result<TestDetailRespDto> doTest( @CurrWorker  @ApiIgnore Worker worker,@ApiParam String id) {
//        return ycqYzyhTestService.viewTest(id,worker);
//    }
//
//    @ApiOperation(value = "考试情况统计导出")
//    @PostMapping(path = "/examDetailsCountExport")
//    public void examDetailsCountExport(HttpServletResponse response,YcqYzyhTestCountReqDto dto, @CurrWorker  @ApiIgnore Worker worker) throws IOException {
//        ycqYzyhTestService.examDetailsCountExport(response,dto,worker);
//    }
//
//    @ApiOperation("导入题目")
//    @PostMapping("/topicsImport")
//    public Result<List<TestTopicRespDto>> topicsImport(@RequestParam("file") MultipartFile file,Integer questionBankId,@CurrWorker  @ApiIgnore Worker worker) throws IOException {
//        return ycqYzyhTestService.topicsImport(file,questionBankId,worker);
//    }
//
//
//}
