package com.crunii.micro.service.qzh.converter;

import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.domain.entity.main.YcqQzhRightsProtection;
import com.crunii.micro.domain.entity.main.YcqQzhRightsProtectionAnnex;
import com.crunii.micro.service.qzh.api.domain.dto.rightsProtection.*;
import com.crunii.micro.service.qzh.dto.AddCreateDTO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * @author jex
 */
@Mapper
public interface RightsProtectionConvert {

    RightsProtectionConvert INSTANCE = Mappers.getMapper(RightsProtectionConvert.class);

    YcqQzhRightsProtection convert(RightsProtectionCreateReqDTO reqVO);

    YcqQzhRightsProtection convert(RightsProtectionCheckReqDTO reqVO);

    RightsProtectionDetailsRespDTO convert_details(YcqQzhRightsProtection reqVO);

    RightsProtectionCreateQueryRespDTO convert_create(YcqQzhRightsProtection reqVO);

    RightsProtectionCheckQueryRespDTO convert_check(YcqQzhRightsProtection reqVO);

    RightsProtectionInventoryCheckAssociatedQueryRespDTO convert_checkAssociated(YcqQzhRightsProtection reqVO);

    List<RightsProtectionInventorylistQueryRespDTO> convert(List<YcqQzhRightsProtection> reqVO);

    PageRsp<RightsProtectionInventoryPageRespDTO> convert(PageRsp<YcqQzhRightsProtection> page);

    YcqQzhRightsProtectionAnnex convert(RightsProtectionAnnexDTO reqVO);

	YcqQzhRightsProtection convert(AddCreateDTO dto);
}
