package com.crunii.micro.service.qzh.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import lombok.Data;

/**
 * @Author thw
 * @date 2023/9/18
 * @description
 */
@Data
@ApiModel(description = "青年青年突击队活跃度积分RespDTO")
public class CommandoActiveIntegralRespDTO implements Serializable {

  private static final long serialVersionUID = 1L;

  @ApiModelProperty("序号")
  private Integer orderNumber;

  @ApiModelProperty("突击队名称")
  private String commandoName;

  @ApiModelProperty("突击队类别")
  private String type;

  @ApiModelProperty("队长姓名")
  private String teamLeaderName;

  @ApiModelProperty("联系电话")
  private String teamLeaderPhone;

  @ApiModelProperty("所属团组织")
  private String orgName;

  @ApiModelProperty("风采发布总量")
  private Integer fengcaiGoupNumber;

  @ApiModelProperty("总登录次数")
  private Integer loginAmount;

  @ApiModelProperty("得分")
  private Integer score;

  @ApiModelProperty("主键")
  private String id;

}
