package com.crunii.micro.service.qzh.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import lombok.Data;

/**
 * @Author thw
 * @date 2023/9/18
 * @description
 */
@Data
@ApiModel(description = "青年突击队类别信息RespDTO")
public class CommandoTypeRatioRespDTO implements Serializable {

  private static final long serialVersionUID = 1L;

  @ApiModelProperty("突击队总数")
  private Long typeCount;

  @ApiModelProperty("突击队类别名称：例如， 临时型")
  private String typeTitle;

  @ApiModelProperty("当前类别突击队个数")
  private Integer typeNumber;

  @ApiModelProperty("当前类别突击队人员总数")
  private Integer typeTeamMemberNumber;

  @ApiModelProperty("数据存储组织")
  private String orgidList;

}
