package com.crunii.micro.service.qzh.dto;


import com.alibaba.excel.annotation.ExcelIgnore;
import com.crunii.micro.common.enums.AuditStatusEnums;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;


/**
 * @Author: zwx
 * @CreateTime: 2023-09-18  17:48:13
 * @Description: 默认模板VO
 */
@Data
@ApiModel(description = "默认模板VO")
public class DefaultTemplateVO implements Serializable {

    @ApiModelProperty(notes = "ID")
    private Long id;

    @ApiModelProperty(notes = "用户id")
    private Long userId;

    @ApiModelProperty(notes = "活动id")
    private Long activityId;

    @ApiModelProperty(notes = "发布者")
    private String publisher;

    @ApiModelProperty(notes = "手机号")
    private String phoneNumber;

    @ApiModelProperty(notes = "活动内容")
    private String content;

    @ApiModelProperty(notes = "发布时间")
    private String publishTime;

    @ApiModelProperty(notes = "是否公示 0:不公示 1:公示")
    private Integer isPublicity;

    @ApiModelProperty(notes = "评分 1~5")
    private Integer activityRating;

    @ApiModelProperty(notes = "是否匿名 1匿名")
    private Integer isAnonymity;


}
