package com.crunii.micro.service.qzh.dto;

import io.swagger.annotations.ApiModel;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;


/**
 * ExamOptionRespDTO
 */

@Data
@ApiModel(description = "app考试选择RespDTO")
public class ExamOptionRespDTO implements Serializable {

  private static final long serialVersionUID = 1L;

  @ApiModelProperty("主键")
  private Integer id;

  @ApiModelProperty("选项")
  private String option;

  @ApiModelProperty("选项内容")
  private String optionContent;

  @ApiModelProperty("是否答案")
  private Integer isAnswer;

  @ApiModelProperty("题目ID")
  private Integer topicId;

}

