package com.crunii.micro.service.qzh.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import lombok.Data;

/**
 * @Author thw
 * @date 2023/9/18
 * @description
 */
@Data
@ApiModel(description = "指标体系评价ReqDTO")
public class IndicatorAppraiseReqDTO implements Serializable {

  private static final long serialVersionUID = 1L;

  @ApiModelProperty(name = "评价要点")
  private String evaluationPoints;

  @ApiModelProperty(name = "一级指标")
  private String primaryIndicators;

  @ApiModelProperty(name = "二级指标")
  private String secondaryIndicators;

  @ApiModelProperty(name = "指标版本id")
  private String versionId;

  @ApiModelProperty(name = "权益岗所属对象id")
  private String rightsId;

}
