package com.crunii.micro.service.qzh.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.List;
import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;

import lombok.Data;

/**
 * @Author thw
 * @date 2023/9/18
 * @description
 */
@Data
@ApiModel(description = "风采评定ReqDTO")
public class MienAppraiseReqDTO implements Serializable {

  private static final long serialVersionUID = 1L;

  @Valid
  @NotEmpty(message = "必传参数为空！")
  @ApiModelProperty(name = "风采评定表主键")
  private List<String> ids;

  @ApiModelProperty(name = "标识解释：通过：true；驳回：false")
  private Boolean label;

}
