package com.crunii.micro.service.qzh.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;




@Data
@ApiModel(description = "青安岗-申请")
public class YcqQzhQagApplyReqDTO implements Serializable {

  private static final long serialVersionUID = 1L;
  @ApiModelProperty("id")
  private Long id;

  @ApiModelProperty("申请组织名")
  private String applyOrgName;

  @ApiModelProperty("职工数")
  private Integer workersNum;

  @ApiModelProperty("青年数")
  private Integer youthNum;

  @ApiModelProperty("岗长名")
  private String leaderName;

  @ApiModelProperty("岗长身份证")
  private String leaderIdCard;

  @ApiModelProperty("岗长电话")
  private String leaderPhone;

  @ApiModelProperty("备注")
  private String remark;

  @ApiModelProperty("是否有效")
  private Integer delFlag;

  @ApiModelProperty("创建者")
  private String creator;

  @ApiModelProperty("创建时间")
  private String createTime;

  @ApiModelProperty("流程状态")
  private Integer flowState;

  @ApiModelProperty("文件id")
  private String fileId;

  @ApiModelProperty("文件名字")
  private String fileName;

  @ApiModelProperty("分布类型")
  private String distributionType;

  @ApiModelProperty("所属组织id")
  private String affiliationOrgId;

  @ApiModelProperty("code")
  private String code;

  @ApiModelProperty("所属组织名字")
  private String affiliationOrgName;

  @ApiModelProperty("创建id")
  private Long createId;

  @ApiModelProperty("政策id")
  private Long policyId;

  private  String beginTime;

  private  String endTime;

  @ApiModelProperty("节点名字")
  private String nodeName;

}

