package com.crunii.micro.service.qzh.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * @BelongsProject: microservice
 * @BelongsPackage: com.crunii.micro.service.qzh.dto
 * @Author: limy
 * @CreateTime: 2023-11-22  10:17
 * @Description: 指标名称及对应结果
 * @Version: 1.0
 */
@Data
@ApiModel()
public class YcqQzhRightsIndexRespDTO {
    /**
     * 序号
     */
    @ApiModelProperty(value = "id")
    private Long id;

    /**
     * 指标序号
     */
    @ApiModelProperty(value = "id")
    private Long indexId;

    /**
     * 维权岗申报id
     */
    @ApiModelProperty(value = "rightsId")
    private Long rightsId;

    /**
     * 结果(0,否，，1是)
     */
    @ApiModelProperty(value = "rel")
    private Integer rel;

    /**
     * 删除标识(0,否，，1是)
     */
    @ApiModelProperty(value = "del_flag")
    private Integer delFlag;

    @ApiModelProperty(value = "指标")
    private String indexData;
}
