package com.crunii.micro.service.qzh.dto.dynamicform;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ClassName DynamicFormColumnDTO
 * @Description 组装建表需要的字段信息
 * @Author Jiang
 * @Date 2023/10/14
 * @Version 1.0
 */
@Data
public class DynamicFormColumnValueDTO {


    /**
     * 对应json中的 widget+一个唯一组件的标识
     */
    @ApiModelProperty(value = "列名")
    private String columnName;

    /**
     * 对应json中的 title
     */
    @ApiModelProperty(value = "列名描述")
    private String columnDescribe;


    /**
     * APP 用户提交的表单值 列值
     */
    @ApiModelProperty(value = "APP 用户提交的表单值 列值")
    private String value;


    @ApiModelProperty(value = "类型")
    private String type;
}
