//package com.crunii.micro.service.qzh.jdbc;
//
//import cn.hutool.core.util.StrUtil;
//import com.crunii.micro.common.dto.PageReq;
//import com.crunii.micro.common.dto.PageRsp;
//import com.crunii.micro.common.utils.SqlUtil;
//import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
//import com.crunii.micro.domain.common.jdbc.BaseNPJdbcTemplate;
//import com.crunii.micro.domain.dto.Worker;
//import com.crunii.micro.domain.entity.main.TsmOrg;
//import com.crunii.micro.domain.entity.main.YcqQzhRightsFlow;
//import com.crunii.micro.domain.entity.main.YcqQzhRightsProtection;
//import com.crunii.micro.domain.util.CurrWorkerUtil;
//import com.crunii.micro.service.qzh.api.domain.dto.IndicatorAppraiseRespDTO;
//import com.crunii.micro.service.qzh.api.domain.dto.rightsProtection.*;
//import org.springframework.stereotype.Repository;
//import javax.annotation.Resource;
//import java.util.ArrayList;
//import java.util.Date;
//import java.util.List;
//import java.util.Objects;
//
///**
// * rightsProtection
// *
// * @author jex
// * @date 2023/9/5
// */
//@Repository
//public class RightsProtectionJdbcDao {
//
//    @Resource(name = "mainJT")
//    protected BaseJdbcTemplate jdbcTemplate;
//
//    @Resource(name = "mainNPJT")
//    protected BaseNPJdbcTemplate NPJT;
//
//    private static final String PAGE_ROLE_BASE_SQL = "select a.id,applicant_code, "
//            + "case when apply_type = 0 then '创建' "
//            + "when apply_type = 1 then '复核' end apply_type, "
//            + "case when status = '1000' or status = '2000' then '草稿' "
//            + "when status = '1001' or status = '1002' then '待初评' "
//            + "when status = '1003' or status = '1004' then '待初核' "
//            + "when status = '1005' or status = '2004' then '待公示' "
//            + "when status = '1006' then '已公示' "
//            + "when status = '2001' or status = '2002' or status = '2003' then '待复核' "
//            + "when status = '2005' then '已结束' "
//            + "          end status,unit_name,address, "
//            + "case "
//            + "when link = '1000'  then '创建' "
//            + "when link = '1001'  then '区县级主管单位初评及推荐' "
//            + "when link = '1002' then '区县级团委初评及推荐' "
//            + "when link = '1003' then '市级主管单位初核' "
//            + "when link = '1004' then '市级团委初核' "
//            + "when link = '1005' then '市级团委公示' "
//            + "when link = '1006' then '公示' "
//            + "when link = '2000' then '复核申报' "
//            + "when link = '2001' then '区县级主管单位复核' "
//            + "when link = '2002' then '区县级团委复核' "
//            + "when link = '2003' then '市级主管单位评估及验收' "
//            + "when link = '2004' then '市级团委评估及验收' "
//            + "when link = '2005' then '' "
//            + "          end link ,a.phone,zip_code,c.value_name system,d.org_name organization,b.worker_name applicant,apply_time, status buttom from YCQ_QZH_RIGHTS_PROTECTION a "
//            + "left join  TSM_WORKER b on a.applicant_id = b.login_id "
//            + "left join TSM_PROPERTY_VALUE c on a.SYSTEM_ID = c.value_id "
//            + "left join TSM_ORG d on a.ORGANIZATION_ID = d.org_id "
//            + "where a.del_flag = 0";
//    private static final String PAGE_ROLE_BASE_INVENTORY_SQL ="select "
//            + "a.id,a.applicant_code,case when a.apply_type = 0 then '创建'  "
//            + "when a.apply_type = 1 then '复核' end apply_type, "
//            + "a.unit_name,a.address,a.phone,zip_code,c.value_name system, "
//            + "d.org_name organization,b.worker_name applicant,apply_time, a.status buttom, "
//            + "case when f.result = 0 then '通过' "
//            + "when f.result = 1 then '整改' "
//            + "when f.result = 2 then '不符合申报条件' "
//            + "when f.result = 3 then '优秀' "
//            + "when f.result = 4 then '合格' "
//            + "when f.result = 5 then '命名自动取消' "
//            + "when f.result = 6 then '撤销命名' end opinion "
//            + " "
//            + "from YCQ_QZH_RIGHTS_PROTECTION a  "
//            + "left join  TSM_WORKER b on a.applicant_id = b.login_id  "
//            + "left join TSM_PROPERTY_VALUE c on a.SYSTEM_ID = c.value_id  "
//            + "left join TSM_ORG d on a.ORGANIZATION_ID = d.org_id "
//            + "left join YCQ_QZH_RIGHTS_FLOW f on a.id = f.rights_id "
//            + "where f.should_org_id = ? and f.status = 0  and a.del_flag = 0 "
//            + "union all  "
//            + "select "
//            + "a.id,a.applicant_code,case when a.apply_type = 0 then '创建'  "
//            + "when a.apply_type = 1 then '复核' end apply_type, "
//            + "a.unit_name,a.address,a.phone,zip_code,c.value_name, "
//            + "d.org_name,b.worker_name,apply_time, a.status buttom, "
//            + "case when f.result = 0 then '通过' "
//            + "when f.result = 1 then '整改' "
//            + "when f.result = 2 then '不符合申报条件' "
//            + "when f.result = 3 then '优秀' "
//            + "when f.result = 4 then '合格' "
//            + "when f.result = 5 then '命名自动取消' "
//            + "when f.result = 6 then '撤销命名' end opinion "
//            + "from YCQ_QZH_RIGHTS_PROTECTION a  "
//            + "left join  TSM_WORKER b on a.applicant_id = b.login_id  "
//            + "left join TSM_PROPERTY_VALUE c on a.SYSTEM_ID = c.value_id  "
//            + "left join TSM_ORG d on a.ORGANIZATION_ID = d.org_id "
//            + "left join YCQ_QZH_RIGHTS_FLOW f on a.id = f.rights_id "
//            + "where f.should_org_id = ? and f.status = 1  "
//            + "and   f.sort = (select max(sort) from YCQ_QZH_RIGHTS_FLOW fl where a.id = fl.rights_id) "
//            + " and a.del_flag = 0 "
//            + "union all "
//            + "select "
//            + "a.id,a.applicant_code,case when a.apply_type = 0 then '创建'  "
//            + "when a.apply_type = 1 then '复核' end apply_type, "
//            + "a.unit_name,a.address,a.phone,zip_code,c.value_name, "
//            + "d.org_name,b.worker_name,apply_time, a.status buttom, "
//            + "case when f.result = 0 then '通过' "
//            + "when f.result = 1 then '整改' "
//            + "when f.result = 2 then '不符合申报条件' "
//            + "when f.result = 3 then '优秀' "
//            + "when f.result = 4 then '合格' "
//            + "when f.result = 5 then '命名自动取消' "
//            + "when f.result = 6 then '撤销命名' end opinion "
//            + "from YCQ_QZH_RIGHTS_PROTECTION a  "
//            + "left join  TSM_WORKER b on a.applicant_id = b.login_id  "
//            + "left join TSM_PROPERTY_VALUE c on a.SYSTEM_ID = c.value_id  "
//            + "left join TSM_ORG d on a.ORGANIZATION_ID = d.org_id "
//            + "left join YCQ_QZH_RIGHTS_FLOW f on a.id = f.rights_id "
//            + "where f.next_org_id = ? and f.status = 1  "
//            + "and   f.sort = (select max(sort) from YCQ_QZH_RIGHTS_FLOW fl where a.id = fl.rights_id) "
//            + " and a.del_flag = 0 ";
//    private static final String PAGE_ROLE_COUNT_SQL = "select count(*)from(select "
//            + "a.id,a.applicant_code,case when a.apply_type = 0 then '创建'  "
//            + "when a.apply_type = 1 then '复核' end apply_type, "
//            + "a.unit_name,a.address,a.phone,zip_code,c.value_name system, "
//            + "d.org_name organization,b.worker_name applicant,apply_time, a.status buttom, "
//            + "case when f.result = 0 then '通过' "
//            + "when f.result = 1 then '整改' "
//            + "when f.result = 2 then '不符合申报条件' "
//            + "when f.result = 3 then '优秀' "
//            + "when f.result = 4 then '合格' "
//            + "when f.result = 5 then '命名自动取消' "
//            + "when f.result = 6 then '撤销命名' end opinion "
//            + " "
//            + "from YCQ_QZH_RIGHTS_PROTECTION a  "
//            + "left join  TSM_WORKER b on a.applicant_id = b.login_id  "
//            + "left join TSM_PROPERTY_VALUE c on a.SYSTEM_ID = c.value_id  "
//            + "left join TSM_ORG d on a.ORGANIZATION_ID = d.org_id "
//            + "left join YCQ_QZH_RIGHTS_FLOW f on a.id = f.rights_id "
//            + "where f.should_org_id = ? and f.status = 0  and a.del_flag = 0 "
//            + "union all  "
//            + "select "
//            + "a.id,a.applicant_code,case when a.apply_type = 0 then '创建'  "
//            + "when a.apply_type = 1 then '复核' end apply_type, "
//            + "a.unit_name,a.address,a.phone,zip_code,c.value_name, "
//            + "d.org_name,b.worker_name,apply_time, a.status buttom, "
//            + "case when f.result = 0 then '通过' "
//            + "when f.result = 1 then '整改' "
//            + "when f.result = 2 then '不符合申报条件' "
//            + "when f.result = 3 then '优秀' "
//            + "when f.result = 4 then '合格' "
//            + "when f.result = 5 then '命名自动取消' "
//            + "when f.result = 6 then '撤销命名' end opinion "
//            + "from YCQ_QZH_RIGHTS_PROTECTION a  "
//            + "left join  TSM_WORKER b on a.applicant_id = b.login_id  "
//            + "left join TSM_PROPERTY_VALUE c on a.SYSTEM_ID = c.value_id  "
//            + "left join TSM_ORG d on a.ORGANIZATION_ID = d.org_id "
//            + "left join YCQ_QZH_RIGHTS_FLOW f on a.id = f.rights_id "
//            + "where f.should_org_id = ? and f.status = 1  "
//            + "and   f.sort = (select max(sort) from YCQ_QZH_RIGHTS_FLOW fl where a.id = fl.rights_id) "
//            + " and a.del_flag = 0 "
//            + "union all "
//            + "select "
//            + "a.id,a.applicant_code,case when a.apply_type = 0 then '创建'  "
//            + "when a.apply_type = 1 then '复核' end apply_type, "
//            + "a.unit_name,a.address,a.phone,zip_code,c.value_name, "
//            + "d.org_name,b.worker_name,apply_time, a.status buttom, "
//            + "case when f.result = 0 then '通过' "
//            + "when f.result = 1 then '整改' "
//            + "when f.result = 2 then '不符合申报条件' "
//            + "when f.result = 3 then '优秀' "
//            + "when f.result = 4 then '合格' "
//            + "when f.result = 5 then '命名自动取消' "
//            + "when f.result = 6 then '撤销命名' end opinion "
//            + "from YCQ_QZH_RIGHTS_PROTECTION a  "
//            + "left join  TSM_WORKER b on a.applicant_id = b.login_id  "
//            + "left join TSM_PROPERTY_VALUE c on a.SYSTEM_ID = c.value_id  "
//            + "left join TSM_ORG d on a.ORGANIZATION_ID = d.org_id "
//            + "left join YCQ_QZH_RIGHTS_FLOW f on a.id = f.rights_id "
//            + "where f.next_org_id = ? and f.status = 1  "
//            + "and   f.sort = (select max(sort) from YCQ_QZH_RIGHTS_FLOW fl where a.id = fl.rights_id) "
//            + " and a.del_flag = 0) ";
//
//    private static final String DELETE_SQL = "update YCQ_QZH_RIGHTS_PROTECTION set del_flag=1, update_id=?, update_by=?, update_time=? where applicant_code = ";
//
//    private static final String UPDATE_SQL = "update YCQ_QZH_RIGHTS_PROTECTION set opinion=?, link=?, status=?, update_id=?, update_by=?, update_time=?";
//
//    private static final String INDICATOR_SQL = "select b.id,b.SECONDARY_INDICATORS from YCQ_QZH_INDICATOR_VERSION a left join YCQ_QZH_INDICATOR_SYSTEM b "
//            + "  on a.id = b.INDICATOR_VERSION_ID where a.CREATE_TIME = (select max(CREATE_TIME) from YCQ_QZH_INDICATOR_VERSION c where c.DELETED =  0) and a.DELETED  =0 and b.DELETED =0 order by b.id";
//
//    private static final String PARENT_ORG_SQL ="SELECT *"
//            + "FROM "
//            + "TSM_ORG where org_level = ? "
//            + "START "
//            + "WITH org_id = ? CONNECT BY PRIOR(parent_org_id) =  org_id";
//    public PageRsp<RightsProtectionInventoryPageRespDTO> inventoryPageList(PageReq<RightsProtectionInventoryPageReqDTO> req,String workerOrgId) {
//        StringBuilder sb = new StringBuilder(PAGE_ROLE_BASE_INVENTORY_SQL);
//        StringBuilder sbCount = new StringBuilder(PAGE_ROLE_COUNT_SQL);
//        List<Object> params = new ArrayList<>();
//        params.add(workerOrgId);
//        params.add(workerOrgId);
//        params.add(workerOrgId);
//        if (StrUtil.isNotBlank(req.getQuery().getUnitName())) {
//            sb.append(" and a.unit_name like concat('%',?,'%') ");
//            sbCount.append(" and a.unit_name like concat('%',?,'%') ");
//            params.add(req.getQuery().getUnitName());
//        }
//        if (StrUtil.isNotBlank(req.getQuery().getOrganization())) {
//            sb.append(" and a.organization like concat('%',?,'%') ");
//            sbCount.append(" and a.organization like concat('%',?,'%') ");
//            params.add(req.getQuery().getOrganization());
//        }
//        if (StrUtil.isNotBlank(req.getQuery().getApplicant())) {
//            sb.append(" and a.applicant like concat('%',?,'%') ");
//            sbCount.append(" and a.applicant like concat('%',?,'%') ");
//            params.add(req.getQuery().getApplicant());
//        }
//        if (StrUtil.isNotBlank(req.getQuery().getApplyStartTime()) && StrUtil.isNotBlank(req.getQuery().getApplyEndTime())) {
//            sb.append(" and a.apply_time between ? and ? ");
//            sbCount.append(" and a.apply_time between ? and ? ");
//            params.add(req.getQuery().getApplyStartTime());
//            params.add(req.getQuery().getApplyEndTime());
//        }
//        if (StrUtil.isNotBlank(req.getQuery().getStatus())) {
//            sb.append(" and a.status like concat('%',?,'%') ");
//            sbCount.append(" and a.status like concat('%',?,'%') ");
//            params.add(req.getQuery().getStatus());
//        }
//        if (StrUtil.isNotBlank(req.getQuery().getApplyType())) {
//            sb.append(" and a.apply_type like concat('%',?,'%') ");
//            sbCount.append(" and a.apply_type like concat('%',?,'%') ");
//            params.add(req.getQuery().getApplyType());
//        }
//        if (StrUtil.isNotBlank(req.getQuery().getPolicyId())) {
//            sb.append(" and a.policy_id like concat('%',?,'%') ");
//            sbCount.append(" and a.policy_id like concat('%',?,'%') ");
//            params.add(req.getQuery().getPolicyId());
//        }
//
//        int total = jdbcTemplate.queryForInt(sbCount.toString(), params.toArray());
//        List<RightsProtectionInventoryPageRespDTO> result;
//        String dbType = jdbcTemplate.getDbType();
//        if (total > 0) {
//            SqlUtil.appendLimit(dbType, params, sb, req);
//            result = jdbcTemplate.queryForBeans(RightsProtectionInventoryPageRespDTO.class, sb.toString(), params.toArray());
//        } else {
//            result = new ArrayList<>(0);
//        }
//        PageRsp<RightsProtectionInventoryPageRespDTO> page = new PageRsp<>();
//        page.setPageNo(req.getPageNo());
//        page.setPageSize(req.getPageSize());
//        page.setTotalNum(total);
//        page.setResult(result);
//        page.next();
//        return page;
//    }
//
//    public PageRsp<RightsProtectionRecordPageRespDTO> recordPageList(PageReq<Object> req) {
//        Worker worker = CurrWorkerUtil.getCurrWorker();
//        StringBuilder sb = new StringBuilder(PAGE_ROLE_BASE_SQL);
//        sb.append("and a.applicant_id = ? ");
//        StringBuilder sbCount = new StringBuilder(PAGE_ROLE_COUNT_SQL);
//        sbCount.append("and a.applicant_id = ? ");
//        List<Object> params = new ArrayList<>();
//        params.add(worker.getLoginId());
//        int total = jdbcTemplate.queryForInt(sbCount.toString(), params.toArray());
//        List<RightsProtectionRecordPageRespDTO> result;
//        String dbType = jdbcTemplate.getDbType();
//        if (total > 0) {
//            SqlUtil.appendLimit(dbType, params, sb, req);
//            result = jdbcTemplate.queryForBeans(RightsProtectionRecordPageRespDTO.class, sb.toString(), params.toArray());
//        } else {
//            result = new ArrayList<>(0);
//        }
//        PageRsp<RightsProtectionRecordPageRespDTO> page = new PageRsp<>();
//        page.setPageNo(req.getPageNo());
//        page.setPageSize(req.getPageSize());
//        page.setTotalNum(total);
//        page.setResult(result);
//        page.next();
//        return page;
//    }
//
//    public RightsProtectionRecordPageRespDTO getCreate(Long id){
//        StringBuilder sb = new StringBuilder(PAGE_ROLE_BASE_SQL);
//        sb.append(" and a.id = ? ");
//        return jdbcTemplate.queryForBean(RightsProtectionRecordPageRespDTO.class, sb.toString(), id);
//
//    }
//
//    public List<RightsProtectionInventorylistQueryRespDTO> queryList(RightsProtectionInventorylistQueryReqDTO req) {
//        StringBuilder sb = new StringBuilder(PAGE_ROLE_BASE_SQL);
//        sb.append(" and a.status in ('1006', '2005') ");
//        List<Object> params = new ArrayList<>();
//        if (StrUtil.isNotBlank(req.getApplyType())) {
//            sb.append(" and a.apply_type = ? ");
//            params.add(req.getApplyType());
//        }
//        if (StrUtil.isNotBlank(req.getApplyStartTime()) && StrUtil.isNotBlank(req.getApplyEndTime())) {
//            sb.append(" and a.apply_time between ? and ? ");
//            params.add(req.getApplyStartTime());
//            params.add(req.getApplyEndTime());
//        }
//        List<RightsProtectionInventorylistQueryRespDTO> result = jdbcTemplate.queryForBeans(RightsProtectionInventorylistQueryRespDTO.class, sb.toString(), params.toArray());
//        return result;
//    }
//
//    public List<RightsProtectionCheckListQueryRespDTO> queryList(RightsProtectionCheckListQueryReqDTO req) {
//        StringBuilder sb = new StringBuilder(PAGE_ROLE_BASE_SQL);
//        List<Object> params = new ArrayList<>();
//        sb.append(" and a.link = ? ");
//        params.add(req.getLink());
//        if("市级团委评估及验收".equals(req.getLink())){
//            if(!"全部".equals(req.getSystem())){
//                sb.append(" and a.system = ? ");
//                params.add(req.getSystem());
//            }
//        }
//        List<RightsProtectionCheckListQueryRespDTO> result = jdbcTemplate.queryForBeans(RightsProtectionCheckListQueryRespDTO.class, sb.toString(), params.toArray());
//        return result;
//    }
//
//    public Integer selectCount(String policyId){
//        StringBuilder sb = new StringBuilder(PAGE_ROLE_BASE_SQL);
//        List<Object> params = new ArrayList<>();
//        sb.append(" and a.policy_id = ? ");
//        params.add(policyId);
//        List<YcqQzhRightsProtection> result = jdbcTemplate.queryForBeans(YcqQzhRightsProtection.class, sb.toString(), params.toArray());
//        System.err.println(result.size());
//        return result.size();
//    }
//
//    public void deleteById(String applicantCode, Long updateId, String updateBy) {
//        applicantCode = "'" + applicantCode + "'";
//        StringBuilder sb = new StringBuilder(DELETE_SQL).append(applicantCode);
//        jdbcTemplate.update(sb.toString(), updateId, updateBy, new Date());
//    }
//
//    public void updateById(Long id, Integer opinion, String link, String status, String reason, Long updateId, String updateBy) {
//        StringBuilder sb = new StringBuilder(UPDATE_SQL);
//        if (StrUtil.isNotBlank(reason)) {
//            sb.append(", reason=" + "'" +reason + "'");
//        }
//        String idStr = id.toString();
//        sb.append(" where id = " + idStr);
//        jdbcTemplate.update(sb.toString(), opinion, link, status, updateId, updateBy, new Date());
//    }
//
//    public void updateById2(Long id, Integer opinion, String link, String status, String applicantCode, Long updateId, String updateBy) {
//        StringBuilder sb = new StringBuilder(UPDATE_SQL);
//        sb.append(", applicant_code=" + "'" + applicantCode + "'");
//        String idStr = id.toString();
//        sb.append(" where id = " + idStr);
//        jdbcTemplate.update(sb.toString(), opinion, link, status, updateId, updateBy, new Date());
//    }
//
//    public void updateById3(Long id, Integer opinion, String link, String status, String checkNotes, Long updateId, String updateBy) {
//        StringBuilder sb = new StringBuilder(UPDATE_SQL);
//        if (StrUtil.isNotBlank(checkNotes)) {
//            sb.append(", check_notes=" + checkNotes);
//        }
//        String idStr = id.toString();
//        sb.append(" where id = " + idStr);
//        jdbcTemplate.update(sb.toString(), opinion, link, status, updateId, updateBy, new Date());
//    }
//
//	public List<IndicatorAppraiseRespDTO> getIndicator() {
//        return jdbcTemplate.queryForBeans(IndicatorAppraiseRespDTO.class,INDICATOR_SQL);
//	}
//
//    public String getDescById(Long systemId) {
//        String sql = "select value_control address from TSM_PROPERTY_VALUE where value_id = ?";
//        RightsProtectionRecordPageRespDTO dto = jdbcTemplate
//                .queryForBean(RightsProtectionRecordPageRespDTO.class, sql, systemId);
//        return dto.getAddress();
//    }
//
//    public Long findParentOrgId(Long orgId,String level) {
//        List<Object> list = new ArrayList<>();
//        list.add(level);
//        list.add(orgId);
//        TsmOrg tsmOrg = jdbcTemplate.queryForBean(TsmOrg.class, PARENT_ORG_SQL, list.toArray());
//        if (Objects.nonNull(tsmOrg)){
//            return tsmOrg.getOrgId();
//        }else{
//            return 0L;
//        }
//    }
//
//    public YcqQzhRightsFlow findMaxSortByRightsId(Long rightsId) {
//        String sql = "select *from Ycq_Qzh_Rights_Flow where rights_id = ? "
//                + "and sort = (select max(sort) from Ycq_Qzh_Rights_Flow where rights_id = ?)";
//        return jdbcTemplate.queryForBean(YcqQzhRightsFlow.class,sql,rightsId,rightsId);
//    }
//}
