package com.crunii.micro.service.qzh.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.qzh.dto.CommandoActiveDetailsIssueRespDTO;
import com.crunii.micro.service.qzh.dto.CommandoActiveDetailsLoginRespDTO;
import com.crunii.micro.service.qzh.dto.IntegrationDetailsCommonReqDTO;


/**
 * @Author thw
 * @date 2023/9/18
 * @description 突击队积分明细
 */
public interface CommandoActiveDetailsService {

  public Result<PageRsp<CommandoActiveDetailsIssueRespDTO>> issueScorePage(Worker worker,
      PageReq<IntegrationDetailsCommonReqDTO> req);


  public Result<PageRsp<CommandoActiveDetailsLoginRespDTO>> loginScorePage(Worker worker,
      PageReq<IntegrationDetailsCommonReqDTO> req);
  }


