package com.crunii.micro.service.qzh.service;


import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.qzh.api.domain.dto.activity.ParticipantDetailDTO;
import com.crunii.micro.service.qzh.api.domain.dto.ParticipantDetailVO;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.io.InputStream;


public interface ParticipantDetailsService {
    Result<PageRsp<ParticipantDetailVO>> queryList(PageReq<ParticipantDetailDTO> req);

    void exportParticipantDetailsExcel(ParticipantDetailDTO dto);

    Result doImportDate(ParticipantDetailDTO dto);

    Result doVerifyExcel(MultipartFile file);
}


