package com.crunii.micro.service.qzh.service;


import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.entity.main.YcqActivityPeopleAudit;
import com.crunii.micro.service.qzh.api.domain.dto.activity.RegistrationAuditDTO;
import com.crunii.micro.service.qzh.api.domain.dto.RegistrationAuditVO;
import com.crunii.micro.service.qzh.dto.YcqActivityPeopleAuditDTO;
import org.springframework.validation.annotation.Validated;

import javax.servlet.http.HttpServletResponse;

public interface RegistrationAuditService {
    Result<PageRsp<RegistrationAuditVO>> queryList(PageReq<RegistrationAuditDTO> req);

    void exportRegistrationAuditExcel(RegistrationAuditDTO dto);

    Result doBatchAudit(RegistrationAuditDTO dto);


    /**
     *
     * @param dto
     * @return
     */
    void saveYcqActivityPeopleAudit(@Validated YcqActivityPeopleAuditDTO dto);

    void saveYcqActivityPeopleAudit2(@Validated YcqActivityPeopleAuditDTO dto);


    /**
     *
     * @param activityId 根据活动id和当前用户id进行逻辑删除
     */
    void deleteByActivityId(Long activityId);
}


