package com.crunii.micro.service.qzh.service;


import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.service.qzh.api.domain.dto.YcqQzhDemoDto;
import com.crunii.micro.service.qzh.api.domain.dto.YcqQzhDemoVo;

import java.util.Collection;
import java.util.List;

/**
 * demo服务
 *
 * @author xiangjunming
 * @date 2023/8/8
 */
public interface YcqQzhDemoService {

    /**
     * 根据id查询
     */
    YcqQzhDemoVo queryById(Long id);

    /**
     * 分页查询列表
     */
    PageRsp<YcqQzhDemoVo> queryPageList(PageReq<YcqQzhDemoDto> req);

    /**
     * 查询列表
     */
    List<YcqQzhDemoVo> queryList(YcqQzhDemoDto req);

    /**
     * 新增
     */
    void insertByDto(YcqQzhDemoDto dto);

    /**
     * 修改
     */
    void updateByDto(YcqQzhDemoDto dto);

    /**
     * 批量删除
     */
    void deleteByIds(Collection<Long> ids);
}
