package com.crunii.micro.service.qzh.service;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.qzh.api.domain.dto.*;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

public interface YcqQzhIndicatorManageService {
    List<YcqQzhIndicatorVersionVo> findIndicatorVersion(Worker worker);

    void createIndicatorVersion(YcqQzhIndicatorVersionDto dto, Worker worker);

    void updateIndicatorVersion(YcqQzhIndicatorVersionDto dto, Worker worker);

    Result<Void> deleteIndicatorVersion(List<Long> ids, Worker worker);

    List<YcqQzhIndicatorSystemVo> findIndicatorSystem(YcqQzhIndicatorSystemDto req);

    Result<Void> createIndicatorSystem(YcqQzhIndicatorSystemDto dto,Worker worker);

    Result<Void> updateIndicatorSystem(YcqQzhIndicatorSystemDto dto,Worker worker);

    Result<Void> deleteIndicatorSystem(List<Long> ids,Worker worker);

    void exportIndicatorSystem(HttpServletResponse response, YcqQzhIndicatorSystemDto dto);

    List<YcqQzhIndicatorIndexRespDTO> findIndicatorDropdownBox(YcqQzhIndicatorIndexReqDTO req);
}
