package com.crunii.micro.service.qzh.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.qzh.api.domain.dto.LocationDataVO;
import com.crunii.micro.service.qzh.api.domain.dto.YcqQzhOnlineRecordDTO;
import com.crunii.micro.service.qzh.api.domain.dto.YcqQzhOnlineTrainDTO;
import com.crunii.micro.service.qzh.api.domain.dto.YcqQzhOnlineTrainTypeDTO;
import com.crunii.micro.service.qzh.api.domain.dto.activity.LocationDataDTO;

import java.util.List;


/**
 * @author wangchen create 2023/11/13 16:53
 */
public interface YcqQzhOnlineTrainService {

    Result<Boolean> create(YcqQzhOnlineTrainDTO dto);

    Result<Boolean> delete(Long id);

    Result<Boolean> update(YcqQzhOnlineTrainDTO dto);
    Result<YcqQzhOnlineTrainDTO> getOne(Long id,Long type);
    Result<PageRsp<YcqQzhOnlineTrainDTO>> trainPage(PageReq<YcqQzhOnlineTrainDTO> req);

    Result<PageRsp<YcqQzhOnlineRecordDTO>> recordPage(PageReq<YcqQzhOnlineTrainDTO> req);

    Result<Boolean> isTop(YcqQzhOnlineTrainDTO dto);

    Result<Boolean> createRecord(YcqQzhOnlineRecordDTO dto);

    Result<List<YcqQzhOnlineTrainTypeDTO>> getTrainList(PageReq<YcqQzhOnlineTrainDTO> req);


}
