package com.crunii.micro.service.qzh.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.entity.main.YcqQzhRightsIndex;
import com.crunii.micro.domain.entity.main.YcqQzhRightsProtection;
import com.crunii.micro.service.qzh.api.domain.dto.rightsProtection.*;

import java.util.List;

/**
 * @author lyx
 * @date 2023/11/15
 */
public interface YcqQzhProtectionCheckService {

	Result<Object> doCheck(RightsProtectionCheckReqDTO req);

	Result<Long> doDraft(RightsProtectionCheckReqDTO req);

	Result<Object> doOperate(RightsProtectionOperateReqDTO req);

	Result<List<YcqQzhRightsIndex>> getIndicator();

	Result<CheckMarketQueryWorkerDTO> getMarket(CheckQueryDTO ids);

	Result<Object> doMarketCheck(CheckMarketOperateDTO dto);

    Result<RightsProtectionCheckQueryRespDTO> getCheck(Long req);

    Result<String> annexTool(CheckQueryDTO dto);

	Result<PageRsp<RightsProtectionRecordPageRespDTO>> recordPage(PageReq<ProtectionRecordDTO> req);
}
