package com.crunii.micro.service.qzh.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.entity.main.YcqQzhQagApply;
import com.crunii.micro.service.qzh.api.domain.dto.youthSafetyModel.QagFlowHistoryRespVO;
import com.crunii.micro.service.qzh.dto.*;
import com.crunii.module.flow.api.vo.FlowInstanceReqVO;
import com.crunii.module.flow.api.vo.pending.CruniiFlowProcessHistoryRespVO;

import java.util.List;

public interface YcqQzhQagApplyService {

    Result<String> create(YcqQzhQagApplyReqDTO req);

    Result<YcqQzhQagApply> getDetails(Long id);

    Result<Boolean> delete(Long id);

    Result<Boolean> update(YcqQzhQagApplyReqDTO req);

    Result<PageRsp<YcqQzhQagApplyRespDTO>> page(PageReq<YcqQzhQagApplyReqDTO> req);


    Result<PageRsp<YcqQzhQagApplyRespDTO>> examinePage(PageReq<YcqQzhQagApplyReqDTO> req);

    Result audit(YcqQzhQagAuditReqDTO req);

    Result<Boolean> back(YcqQzhQagBackReqDTO req);

    Result<List<CruniiFlowProcessHistoryRespVO>> backList(YcqQzhQagBackReqDTO req);

    Result<YcqQzhQagApplyTotalRespDTO> getApplyTotal();

    Result<YcqQzhQagApplyTotalRespDTO> getExamineTotal();

    Result<List<QagFlowHistoryRespVO>> flowHistory(FlowInstanceReqVO flowInstanceReqVO);
}


