package com.crunii.micro.service.qzh.service.impl;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.qzh.api.domain.dto.YcqQzhFlowDTO;
import com.crunii.micro.service.qzh.api.domain.dto.YcqQzhFlowVo;
import com.crunii.micro.service.qzh.jdbc.QzhFloDao;
import com.crunii.micro.service.qzh.service.QzhFlowService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


@Service
public class QzhFlowImpl implements QzhFlowService {



    @Autowired
    private QzhFloDao qzhFloDao;

    @Override
    public Result<PageRsp<YcqQzhFlowVo>> pageDbFlo(PageReq<YcqQzhFlowDTO> req) {
        return qzhFloDao.dbPage(req);
    }

    @Override
    public Result<PageRsp<YcqQzhFlowVo>> pageYbFlo(PageReq<YcqQzhFlowDTO> req) {
        return qzhFloDao.ybPage(req);
    }

    @Override
    public Result<PageRsp<YcqQzhFlowVo>> pageWfqFlo(PageReq<YcqQzhFlowDTO> req) {
        return qzhFloDao.wfqPage(req);
    }
}
