package com.crunii.micro.service.record.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author: LG
 * @date: 2023/6/28 15:19
 */
@Data
@ApiModel("纪实数据统计列表查询Dto")
public class StatisticalListDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("起止时间")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8" )
    private Date starTime;

    @ApiModelProperty("截止时间")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8" )
    private Date endTime;

    @ApiModelProperty("团干部姓名")
    private String leagueCadreName;

    @ApiModelProperty("系统直属")
    private String registrationSystem;

    @ApiModelProperty("团组织/机关部门")
    private String leagueCode;

    @ApiModelProperty("组织id")
    private String orgId;

}
