package com.crunii.mircro.service.redscarf.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author baoxy
 * @date 2023-09-09
 */
@Data
@ApiModel(description = "集体学习传入字段实体类")
public class CollectiveLearnDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "学季id")
    private String quarterId;

    @ApiModelProperty(value = "学期id")
    private String semesterId;

    @ApiModelProperty(value = "选择时间(格式为yyyy-MM-dd HH:mm)")
    private String time;

    @ApiModelProperty(value = "地点")
    private String location;

    @ApiModelProperty(value = "学校名称")
    private String schoolName;

    @ApiModelProperty(value = "年级(传数字,例如2022,,2023)")
    private Integer classGrade;

    @ApiModelProperty(value = "中队(填一,二,三...)")
    private String detachment;

    @ApiModelProperty(value = "图片列表(传调用文件接口返回的fileKey)")
    private List<String> picList;
}
