package com.crunii.mircro.service.redscarf.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author baoxy
 * @date 2023-09-05
 */
@Data
@ApiModel(description = "区县权限列表的返回实体类")
public class CountyAccessVO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "学校")
    private String school;

    @ApiModelProperty(value = "学季")
    private String quarter;

    @ApiModelProperty(value = "学季id")
    private String quarterId;

    @ApiModelProperty(value = "学期")
    private String semester;

    @ApiModelProperty(value = "学期Id")
    private String semesterId;

    @ApiModelProperty(value = "参学率")
    private String learnRate;

    @ApiModelProperty(value = "学季主题名称")
    private String quarterThemeName;

    @ApiModelProperty(value = "学期主题名称")
    private String semesterThemeName;
}
