package com.crunii.mircro.service.redscarf.domain.dto;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author baoxy
 * @date 2024-01-04
 */
@Data
@ApiModel(description = "学习记录列表的导出实体类")
public class LearnRecordExcel implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "学生姓名")
    @ExcelProperty(value = "学生姓名",index = 0)
    private String stuName;

    @ApiModelProperty(value = "学季")
    @ExcelProperty(value = "学季",index = 1)
    private String quarter;

    @ApiModelProperty(value = "学期")
    @ExcelProperty(value = "学期",index = 2)
    private String semester;

    @ApiModelProperty(value = "学季主题名称")
    @ExcelIgnore
    private String quarterThemeName;

    @ApiModelProperty(value = "学期主题名称")
    @ExcelIgnore
    private String semesterThemeName;
}
