package com.crunii.mircro.service.redscarf.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author baoxy
 * @date 2024-01-04
 */
@Data
@ApiModel(description = "学习记录列表的返回实体类")
public class LearnRecordVO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "学生姓名")
    private String stuName;

    @ApiModelProperty(value = "学季")
    private String quarter;

    @ApiModelProperty(value = "学期")
    private String semester;

    @ApiModelProperty(value = "学生id")
    private String redscarfId;

    @ApiModelProperty(value = "学季主题名称")
    private String quarterThemeName;

    @ApiModelProperty(value = "学期主题名称")
    private String semesterThemeName;

    @ApiModelProperty(value = "是否学习(1是,0否)")
    private Integer isLearn;
}
