package com.crunii.mircro.service.redscarf.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author baoxy
 * @date 2023-09-04
 */
@Data
@ApiModel(description = "学季详情返回字段实体类")
public class QuarterDetailsVO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "学期id")
    private String semesterId;

    @ApiModelProperty(value = "学期")
    private String semester;

    @ApiModelProperty(value = "排序")
    private Integer sort;

    @ApiModelProperty(value = "学习链接")
    private String learnLink;

    @ApiModelProperty(value = "学期主题名称")
    private String themeName;
}
