package com.crunii.mircro.service.redscarf.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author baoxy
 * @date 2023-09-04
 */
@Data
@ApiModel(description = "分页查询学季信息返回字段实体类")
public class QuarterVO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "学季id")
    private String quarterId;

    @ApiModelProperty(value = "学季")
    private String quarter;

    @ApiModelProperty(value = "排序")
    private Integer sort;

    @ApiModelProperty(value = "季度主题名称")
    private String themeName;
}
