package com.crunii.mircro.service.redscarf.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * @author: LG
 * @date: 2023/9/1 10:42
 */
@Data
@ApiModel("验证学生身份证号和姓名与IRS进行匹配查询DTO")
public class QueryStudentInformationDTO implements Serializable {
    private static final long serialVersionUID = 1L;


    @ApiModelProperty("学生名字")
    @NotBlank
    private String stuName;

    @ApiModelProperty("学生身份证号")
    @NotBlank
    private String stuIdCard;


}
