package com.crunii.mircro.service.redscarf.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author: LG
 * @date: 2023/9/1 10:44
 */
@Data
@ApiModel("验证学生身份证号和姓名与IRS进行匹配查询VO")
public class QueryStudentInformationVO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("学生id")
    private String redscarfId;

    @ApiModelProperty("学生名字")
    private String stuName;

    @ApiModelProperty("学生身份证号")
    private String stuIdCard;

    @ApiModelProperty("区域名称")
    private String areaName;

    @ApiModelProperty("学校名称")
    private String schoolName;

    @ApiModelProperty("年级")
    private Integer classGrade;

    @ApiModelProperty("中队")
    private String detachment;

    @ApiModelProperty("最后选中学生;1选中")
    private Integer pickStu;


}
