package com.crunii.mircro.service.redscarf.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * @author: LG
 * @date: 2023/9/1 14:49
 */
@Data
@ApiModel("查看学期根据各个学生学习情况划分DTO")
public class QueryStudentLearnSemesterDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("学生id")
    @NotBlank
    private String redscarfId;

    @ApiModelProperty("全部:0、已学习:1、未学习:-1")
    @NotBlank
    private String situation;

    @ApiModelProperty("学季id")
    @NotBlank
    private String quarterId;

}
