package com.crunii.mircro.service.redscarf.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author baoxy
 * @date 2023-09-05
 */
@Data
@ApiModel(description = "中队详情列表的返回字段实体类")
public class SquadronDetailsVO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "学季")
    private String quarter;

    @ApiModelProperty(value = "学期")
    private String semester;

    @ApiModelProperty(value = "是否学习(1是,0否)")
    private Integer isLearn;

    @ApiModelProperty(value = "学生id")
    private String studentId;

    @ApiModelProperty(value = "学季主题名称")
    private String quarterThemeName;

    @ApiModelProperty(value = "学期主题名称")
    private String semesterThemeName;
}
