package com.crunii.micro.service.redscarf.service;

import com.crunii.micro.domain.dto.Worker;
import com.crunii.mircro.service.redscarf.domain.dto.*;

import java.util.List;

/**
 * @author baoxy
 * @date 2023-09-11
 */
public interface CommonListService {

    List<SearchQuarterVO> searchQuarter();

    List<SearchSemesterVO> searchSemester(SearchSemesterDTO dto);

    List<SearchCountyVO> searchCounty();

    List<SearchSchoolVO> searchSchool(SearchSchoolDTO dto, Worker worker);

    List<SearchClassGradeVO> searchClassGrade(SearchClassGradeDTO dto, Worker worker);

    List<SearchSquadronVO> searchSquadron(SearchSquadronDTO dto, Worker worker);

    List<SearchStudentVO> searchStudent(SearchStudentDTO dto, Worker worker);
}
