package com.crunii.micro.service.report.controller;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.report.service.FiveGoalService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author wangchen create 2023/7/14 10:12
 */
@Api(tags = "五年计划")
@RestController
@RequestMapping("/auth/FiveGoalController")
public class FiveGoalController {

    private final FiveGoalService findFiveGoal;

    public FiveGoalController(FiveGoalService findFiveGoal) {
        this.findFiveGoal = findFiveGoal;
    }

    @GetMapping("/findFiveGoal")
    @ApiImplicitParam(name = "valueCode",value = "静态值code")
    @ApiOperation("五年计划查询")
    public Result<Object> findFiveGoal(String valueCode){
        return Result.ofSuccess(findFiveGoal.findFiveGoal(valueCode));
    }
}
