package com.crunii.micro.service.report.controller;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.report.service.impl.TestServiceImp;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

/**
 * @author wangchen create 2023/7/12 18:18
 */
@Api(tags = "测试")
@RestController
@RequestMapping("/auth/TestController")
public class TestController {

    @Autowired
    private TestServiceImp testServiceImp;

    @PostMapping("/updateLeague")
    @ApiOperation("上传文件")
    public Result<String> updateLeague(@RequestBody MultipartFile file,Integer num){
        return Result.ofSuccess(testServiceImp.updateLeague(file,num));
    }
}
