package com.crunii.micro.service.report.controller;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.report.dto.YouthSituationVo;
import com.crunii.micro.service.report.service.YouthSituationService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/7/13 9:51
 */
@Api(tags = "青情相关")
@RestController
@RequestMapping("/auth/YouthSituationController")
public class YouthSituationController {

    @Resource
    private YouthSituationService service;

    @ApiOperation(value = "查询青情")
    @RequestMapping(path = "/queryYouthSituation", method = RequestMethod.GET)
    public Result<YouthSituationVo> queryYouthSituation() {
        return service.queryYouthSituation();
    }
}
