package com.crunii.micro.service.report.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/7/13 17:47
 */
@Data
public class EducationVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("校外教育")
    private List<SchoolEduVo> schoolEduVos;

    @ApiModelProperty("师生比")
    private List<SchoolEduVo> tsRatioVos;

    @ApiModelProperty("五年投入经费/单位:万元")
    private BudgetVo budgetVos;

}
