package com.crunii.micro.service.report.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author wangchen create 2023/7/14 14:26
 */
@Data
@ApiModel("引领i")
public class LeadershipVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("直属团组织数")
    private String leagueOrgCount;

    @ApiModelProperty("单位")
    private String unit;

    @ApiModelProperty("覆盖率")
    private NameValueVo rate;

    @ApiModelProperty("排名")
    private List<GoalRankVo> rank;
}
