package com.crunii.micro.service.report.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangchen create 2023/7/12 17:30
 */
@Data
@ApiModel(description = "组织占比")
public class LeagueProportionVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("组织类别名称")
    private String sysType;

    @ApiModelProperty("组织类别数量")
    private Integer sysTypeCount;

    @ApiModelProperty("组织类别占比")
    private String sysTypeProportion;
}
