package com.crunii.micro.service.report.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/7/14 15:00
 */
@Data
public class MapEduVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "区域名称")
    private String name;

    @ApiModelProperty(value = "机构数量")
    private String institution;

    @ApiModelProperty(value = "少年宫数量")
    private String juvenile;

    @ApiModelProperty(value = "青少年活动场所数量")
    private String events;

    @ApiModelProperty(value = "青少年之家数量")
    private String teenHome;

    @ApiModelProperty(value = "团的领导机关")
    private Integer leadingOrgans;

    @ApiModelProperty(value = "团委")
    private Integer committee;

    @ApiModelProperty(value = "团工委")
    private Integer unionMembers;

    @ApiModelProperty(value = "团总支")
    private Integer genBranch;

    @ApiModelProperty(value = "团支部")
    private Integer branch;

    @ApiModelProperty(value = "毕业生组织")
    private Integer graduateOrg;

    @ApiModelProperty(value = "待结转团支部")
    private Integer waitBranch;

    @ApiModelProperty(value = "组织个数")
    private Integer leagueCount;
}
