
package com.crunii.micro.service.report.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;

@Setter
@Getter
@ToString
@ApiModel(description = "创建模型")
public class ModelCVo implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "模型描述")
	private String remark;

	@ApiModelProperty(value = "模型名称")
	private String name;

    @ApiModelProperty(value = "系统")
    private Long systemId;

	@ApiModelProperty(value = "类型")
	private Integer type;
	/**
	 * 是否同步正式环境：0否,1是
	 */
	@ApiModelProperty(value = "是否同步正式环境：0否,1是")
	private Integer syncProdEnv;
}
