
package com.crunii.micro.service.report.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;

/**
 * @author 田平 create 2018年11月1日下午2:43:45
 */
@Setter
@Getter
@ToString
@ApiModel(description = "模型分页查询对象")
public class ModelReq implements Serializable {
	private static final long serialVersionUID = 1L;
	@ApiModelProperty(value = "模型名字，支持模糊查询%xx%,为空查询全部")
	private String name;

    @ApiModelProperty(value = "模型描述，支持模糊查询%xx%,为空查询全部")
    private String remark;

    @ApiModelProperty(value = "系统")
    private Long systemId;

    @ApiModelProperty(value = "类型")
    private Integer type;
}
