package com.crunii.micro.service.report.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.List;

/**
 * @author wangchen create 2023/7/14 17:28
 */
@Builder
@Getter
@Setter
@ApiModel("i应")
public class NameValueVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("名称")
    private List<String> names;

    @ApiModelProperty("值")
    private List<String> values;

    @ApiModelProperty("目标值")
    private List<String> goal;
}
