package com.crunii.micro.service.report.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/7/12 18:27
 */
@Data
public class ServiceVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("月份")
    private List<String> month;

    @ApiModelProperty("活动次数")
    private List<Integer> actNum;

    @ApiModelProperty("报名人数")
    private List<Integer> applicantNum;
}
