package com.crunii.micro.service.report.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/7/12 17:41
 */
@Data
public class VolunteeringVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("服务总人数")
    private String totalNum;

    @ApiModelProperty("单位")
    private String unit = "万人";

    @ApiModelProperty("志愿服务")
    private ServiceVo serviceVo;

    @ApiModelProperty("服务时长排行")
    private List<ServiceTimeVo> serviceTimeVo;

}
