package com.crunii.micro.service.report.dto.cockpit;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;


@Setter
@Getter
@ToString
@ApiModel(description = "基础数据表单列")
public class BasicDataColumnReq implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "列名")
    private String columnName;

    @ApiModelProperty(value = "值")
    private Object columnValue;

    @ApiModelProperty(value = "比较符")
    private String sign;
}
