package com.crunii.micro.service.report.dto.cockpit;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;

@Data
public class CockpitDataGetAttributeResp implements Serializable {

    @ApiModelProperty(value = "列名")
    private String name;

    @ApiModelProperty(value = "描述")
    private String remark;

    @ApiModelProperty(value = "数据类型")
    private String type;

    @ApiModelProperty(value = "整数位")
    private Integer intSize;

    @ApiModelProperty(value = "小数位")
    private Integer decSize;

    @ApiModelProperty(value = "是否脱敏")
    private boolean isDesensitization;

    @ApiModelProperty(value = "默认值")
    private String defaultVal;

    @ApiModelProperty(value = "是否必填")
    private boolean isNeed;

    @ApiModelProperty(value = "列表展示  是否有 ")
    private Integer isShowColumn;

    @ApiModelProperty(value = "新建  是否有")
    private Integer isAddColumn;

}
