package com.crunii.micro.service.report.dto.cockpit.map;

import java.math.BigDecimal;

/**
 * 地图请求参数
 *
 * @author : hurentian
 * @date : 2023-10-16
 */
public class CockpitMapReqVO {

    /**
     * 左下角经度
     */
    private BigDecimal leftDownLng;

    /**
     * 左下角纬度
     */
    private BigDecimal leftDownLat;

    /**
     * 右上角经度
     */
    private BigDecimal rightUpLng;

    /**
     * 右上角纬度
     */
    private BigDecimal rightUpLat;

    public BigDecimal getLeftDownLng() {
        return leftDownLng;
    }

    public void setLeftDownLng(BigDecimal leftDownLng) {
        this.leftDownLng = leftDownLng;
    }

    public BigDecimal getLeftDownLat() {
        return leftDownLat;
    }

    public void setLeftDownLat(BigDecimal leftDownLat) {
        this.leftDownLat = leftDownLat;
    }

    public BigDecimal getRightUpLng() {
        return rightUpLng;
    }

    public void setRightUpLng(BigDecimal rightUpLng) {
        this.rightUpLng = rightUpLng;
    }

    public BigDecimal getRightUpLat() {
        return rightUpLat;
    }

    public void setRightUpLat(BigDecimal rightUpLat) {
        this.rightUpLat = rightUpLat;
    }

}
