package com.crunii.micro.service.report.dto.cockpit.map.grid;

import java.math.BigDecimal;

/**
 * 查询驾驶舱栅格图列表返回值
 *
 * @author : hurentian
 * @date : 2023-10-16
 */
public class CockpitGridMapDataRespVO {

    /**
     * 唯一键
     */
    private Long id;

    /**
     * 地区名称
     */
    private String areaName;

    /**
     * 人数
     */
    private Integer youthNum;

    /**
     * 中心点经度
     */
    private BigDecimal centerLng;

    /**
     * 中心点纬度
     */
    private BigDecimal centerLat;

    /**
     * 中心点到边的距离(米)
     */
    private BigDecimal centerRadius;

    /**
     * 左上角经度
     */
    private BigDecimal leftUpLng;

    /**
     * 左上角纬度
     */
    private BigDecimal leftUpLat;

    /**
     * 右下角经度
     */
    private BigDecimal rightDownLng;

    /**
     * 右下角纬度
     */
    private BigDecimal rightDownLat;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public Integer getYouthNum() {
        return youthNum;
    }

    public void setYouthNum(Integer youthNum) {
        this.youthNum = youthNum;
    }

    public BigDecimal getCenterLng() {
        return centerLng;
    }

    public void setCenterLng(BigDecimal centerLng) {
        this.centerLng = centerLng;
    }

    public BigDecimal getCenterLat() {
        return centerLat;
    }

    public void setCenterLat(BigDecimal centerLat) {
        this.centerLat = centerLat;
    }

    public BigDecimal getCenterRadius() {
        return centerRadius;
    }

    public void setCenterRadius(BigDecimal centerRadius) {
        this.centerRadius = centerRadius;
    }

    public BigDecimal getLeftUpLng() {
        return leftUpLng;
    }

    public void setLeftUpLng(BigDecimal leftUpLng) {
        this.leftUpLng = leftUpLng;
    }

    public BigDecimal getLeftUpLat() {
        return leftUpLat;
    }

    public void setLeftUpLat(BigDecimal leftUpLat) {
        this.leftUpLat = leftUpLat;
    }

    public BigDecimal getRightDownLng() {
        return rightDownLng;
    }

    public void setRightDownLng(BigDecimal rightDownLng) {
        this.rightDownLng = rightDownLng;
    }

    public BigDecimal getRightDownLat() {
        return rightDownLat;
    }

    public void setRightDownLat(BigDecimal rightDownLat) {
        this.rightDownLat = rightDownLat;
    }

}
