package com.crunii.micro.service.report.dto.cockpit.map.grid;

import java.math.BigDecimal;

/**
 * 栅格图返回值
 *
 * @author : hurentian
 * @date : 2023-10-17
 */
public class GridMapDataRespVO {

    /**
     * 唯一键
     */
    private Long id;

    /**
     * 经度纬度
     */
    private BigDecimal[] lnglat;

    /**
     * 绘制格子的5点经纬度
     */
    private BigDecimal[][] coordinates;

    /**
     * 数量
     */
    private Integer num;

    /**
     * 梯度标识 1-主城 2-区县
     */
    private Integer gradientFlag;

    public GridMapDataRespVO() {
    }

    public GridMapDataRespVO(BigDecimal lng, BigDecimal lat, Integer num) {
        this.lnglat = new BigDecimal[]{lng, lat};
        this.num = num;
    }

    public GridMapDataRespVO(Long id, BigDecimal lng, BigDecimal lat, Integer num) {
        this.id = id;
        this.lnglat = new BigDecimal[]{lng, lat};
        this.num = num;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public BigDecimal[] getLnglat() {
        return lnglat;
    }

    public void setLnglat(BigDecimal[] lnglat) {
        this.lnglat = lnglat;
    }

    public BigDecimal[][] getCoordinates() {
        return coordinates;
    }

    public void setCoordinates(BigDecimal[][] coordinates) {
        this.coordinates = coordinates;
    }

    public Integer getNum() {
        return num;
    }

    public void setNum(Integer num) {
        this.num = num;
    }

    public Integer getGradientFlag() {
        return gradientFlag;
    }

    public void setGradientFlag(Integer gradientFlag) {
        this.gradientFlag = gradientFlag;
    }

}
