package com.crunii.micro.service.report.dto.cockpit.map.position;

import java.math.BigDecimal;

/**
 * 查询驾驶舱阵地区域列表返回值
 *
 * @author : hurentian
 * @date : 2023-10-19
 */
public class CockpitPositionAreaSumRespVO {

    /**
     * 唯一键
     */
    private Long id;

    /**
     * 阵地类型
     */
    private String positionType;

    /**
     * 所属区域
     */
    private String areaName;

    /**
     * 区域经度
     */
    private BigDecimal areaLng;

    /**
     * 区域纬度
     */
    private BigDecimal areaLat;

    /**
     * 中心阵地经度
     */
    private BigDecimal centerPositionLng;

    /**
     * 中心阵地纬度
     */
    private BigDecimal centerPositionLat;

    /**
     * 阵地数量
     */
    private Long positionNum;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getPositionType() {
        return positionType;
    }

    public void setPositionType(String positionType) {
        this.positionType = positionType;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public BigDecimal getAreaLng() {
        return areaLng;
    }

    public void setAreaLng(BigDecimal areaLng) {
        this.areaLng = areaLng;
    }

    public BigDecimal getAreaLat() {
        return areaLat;
    }

    public void setAreaLat(BigDecimal areaLat) {
        this.areaLat = areaLat;
    }

    public BigDecimal getCenterPositionLng() {
        return centerPositionLng;
    }

    public void setCenterPositionLng(BigDecimal centerPositionLng) {
        this.centerPositionLng = centerPositionLng;
    }

    public BigDecimal getCenterPositionLat() {
        return centerPositionLat;
    }

    public void setCenterPositionLat(BigDecimal centerPositionLat) {
        this.centerPositionLat = centerPositionLat;
    }

    public Long getPositionNum() {
        return positionNum;
    }

    public void setPositionNum(Long positionNum) {
        this.positionNum = positionNum;
    }

}
