package com.crunii.micro.service.report.dto.cockpit.map.position;

import java.math.BigDecimal;

/**
 * 查询驾驶舱阵地列表返回值
 *
 * @author : hurentian
 * @date : 2023-10-19
 */
public class CockpitPositionDataRespVO {

    /**
     * 唯一键
     */
    private Long id;

    /**
     * 阵地编码
     */
    private String positionCode;

    /**
     * 阵地名称
     */
    private String positionName;

    /**
     * 阵地类型
     */
    private String positionType;

    /**
     * 所属区域
     */
    private String areaName;

    /**
     * 阵地地址
     */
    private String positionAddress;

    /**
     * 阵地经度
     */
    private BigDecimal positionLng;

    /**
     * 阵地纬度
     */
    private BigDecimal positionLat;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getPositionCode() {
        return positionCode;
    }

    public void setPositionCode(String positionCode) {
        this.positionCode = positionCode;
    }

    public String getPositionName() {
        return positionName;
    }

    public void setPositionName(String positionName) {
        this.positionName = positionName;
    }

    public String getPositionType() {
        return positionType;
    }

    public void setPositionType(String positionType) {
        this.positionType = positionType;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public String getPositionAddress() {
        return positionAddress;
    }

    public void setPositionAddress(String positionAddress) {
        this.positionAddress = positionAddress;
    }

    public BigDecimal getPositionLng() {
        return positionLng;
    }

    public void setPositionLng(BigDecimal positionLng) {
        this.positionLng = positionLng;
    }

    public BigDecimal getPositionLat() {
        return positionLat;
    }

    public void setPositionLat(BigDecimal positionLat) {
        this.positionLat = positionLat;
    }

}
