package com.crunii.micro.service.report.enums;

public class DatabaseTypeEnum {

    public enum MYSQL {
        String("String","varchar(255)", true,false,true),
        Integer("Integer","int", true,false,false),
        Double("Double","double", true,true,false),
        Date("Date","dateTime", false,false,false),
        BigDecimal("BigDecimal","double", true,true,false),
        Text("Text","text", false,false,true);

        public String name;
        public String value;
        public Boolean isIntSize;
        public Boolean isDecSize;
        public Boolean isString;


        MYSQL(java.lang.String name, java.lang.String value, Boolean isIntSize, Boolean isDecSize, Boolean isString) {
            this.name = name;
            this.value = value;
            this.isIntSize = isIntSize;
            this.isDecSize = isDecSize;
            this.isString = isString;
        }
    }

    public static MYSQL getMysqlType(String name){
        for (MYSQL value : MYSQL.values()) {
            if(value.name.equals(name)){
                return value;
            }
        }
        return null;
    }

}
