package com.crunii.micro.service.report.service;

import com.crunii.micro.service.report.dto.LeagueOrgVo;

/**
 * @author wangchen create 2023/7/12 17:01
 */
public interface LeagueSituationService {
    /**
     *  查询团情--组织
     * @return data
     */
    LeagueOrgVo findSituationOrg();

    /**
     *  查询团情--团员
     * @return data
     */
    LeagueOrgVo findSituationMember();

    /**
     * 查询团情--团干部
     * @return data
     */
    LeagueOrgVo findSituationLeader();

    /**
     *  获取团情
     * @param valueCode 静态值value
     * @return data
     */
    LeagueOrgVo findSituation(String valueCode);
}
