package com.crunii.micro.service.report.task;

import com.crunii.micro.service.report.service.MapService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * @author wangchen create 2023/7/26 10:57
 */
@Component
public class DashboardMapTask {

    @Autowired
    private MapService mapService;


    @Scheduled(cron = "0 15 01 ? * *")
    public void flushMapCash(){
        mapService.flushMapCash();
    }

}
