package com.crunii.micro.service.report.task;

import com.crunii.micro.service.report.service.WebsiteGatherService;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * @author wangchen create 2023/8/1 9:58
 */
@Component
public class WebsiteGatherTask {

    private final WebsiteGatherService websiteGatherService;

    public WebsiteGatherTask(WebsiteGatherService websiteGatherService) {
        this.websiteGatherService = websiteGatherService;
    }

    @Scheduled(cron = "0 15 00 ? * *")
    public void flushMapCash(){
        websiteGatherService.flushWebsiteGather();
    }
}
