package com.crunii.micro.service.sms.service;

import com.crunii.micro.common.dto.Result;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/6/28 17:31
 */
public interface SmsService {
    /**
     * 发送短信验证码
     *
     * @param phone
     * @return
     * @throws Exception
     */
    Result<String> sendSmsCode(String phone) throws Exception;

    Result<String> sendMessage(String phone, String content);

    public Result<String> sendSms(String phone, String templateCode, String fillData);

    void updateTestFile();

}
