/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved.
 * <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.sso.config;

import lombok.Getter;
import lombok.Setter;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @author shenhs create 2023/6/2 20:39
 */
@Getter
@Setter
@Component
@ConfigurationProperties(prefix = "sso.cache")
public class SSOCacheProperty {

	private int tokenTimeout;

	private int authCodeTimeout;

}
