/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved.
 * <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.sso.config;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;

/**
 * @author shenhs create 2023/6/2 17:32
 */
@Getter
@Setter
@ToString
public class Sm2SecretProperty implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 系统编码
	 */
	private String sysCode;
	/**
	 * 私钥部分
	 */
	private String privateKey;

	/**
	 * 公钥部分
	 */
	private String publicKey;

	/**
	 * 拓展参数
	 */
	private String extendParam;

	/**
	 * 是否为16进制公私钥
	 */
	private boolean hex;

}
