/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved.
 * <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.sso.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.io.Serializable;

/**
 * @author shenhs create 2023/6/2 18:29
 */
@Getter
@Setter
@ApiModel("认证码实体类")
@NoArgsConstructor
@AllArgsConstructor
public class AuthCode implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty("系统编码")
	private String sysCode;

	@ApiModelProperty("时间戳")
	private long timestamp;

}
