/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved.
 * <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.sso.dto;

import com.crunii.micro.service.sso.SSOConstant;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * @author shenhs create 2023/6/2 20:51
 */
@Getter
@Setter
@ApiModel("校验AuthCode")
public class CheckAuthCode implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty("流水号")
	private String transactionId;
	@ApiModelProperty("认证码")
	private String authCode;
	@ApiModelProperty("系统编码")
	private String sysCode;

	public void setAuthCode(String authCode) {
		String authCodeDec1 = authCode.replace(SSOConstant.SPACE_STR,SSOConstant.ADD_STR);
		this.authCode = authCodeDec1.replace(SSOConstant.ENC_STR,SSOConstant.ADD_STR);
	}

}
