package com.crunii.micro.service.sso.dto;

import com.crunii.micro.domain.entity.main.YcqHeadlineArticleColumn;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author wangchen create 2023/9/13 17:08
 */
@Data
public class HeadlineArticleDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "头条文章id")
    private String headlineArticleId;

    @ApiModelProperty(value = "文章标题")
    private String headlineTitle;

    @ApiModelProperty(value = "文章摘要")
    private String articleAbstract;

    @ApiModelProperty(value = "封面图片")
    private String coverPic;

    @ApiModelProperty(value = "封面源图片")
    private String resourcePic;

    @ApiModelProperty(value = "二级栏目")
    private List<YcqHeadlineArticleColumn> columnTwos;

    @ApiModelProperty(value = "文章内容")
    private String headlineArticleContext;

    @ApiModelProperty(value = "文章来源")
    private String articleSource;

    @ApiModelProperty(value = "文章发布时间")
    private Date releaseTime;

    @ApiModelProperty(value = "推送时间")
    private Date pushTime;

    @ApiModelProperty(value = "是否置顶")
    private String isTop;

}
