package com.crunii.micro.service.sso.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/7/4 8:58
 */
@Data
public class OrgVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("组织编码")
    private String leagueCode;

    @ApiModelProperty("父组织编码")
    private String parentLeagueCode;

    @ApiModelProperty("组织名称")
    private String leagueName;

    @ApiModelProperty("是否叶子节点,1是0否")
    private Integer isLeaf;

}
