package com.crunii.micro.service.sso.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/6/25 10:19
 */
@Data
public class SSOLoginDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("加密字符串")
    private String encode;

    @ApiModelProperty("流水号")
    private String transactionId;

    @ApiModelProperty("系统编码")
    private String sysCode;


}
