/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved.
 * <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.sso.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.io.Serializable;

/**
 * @author shenhs create 2023/6/2 20:11
 */
@Getter
@Setter
@ToString
@ApiModel("单点登录返回的用户信息")
@NoArgsConstructor
@AllArgsConstructor
public class SSOWorkerInfo implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty("用户id")
	private int userId;
	@ApiModelProperty("用户名")
	private String userName;
	@ApiModelProperty("手机号")
	private String phoneNumber;
	@ApiModelProperty("组织ID")
	private String orgId;
	@ApiModelProperty("组织名称")
	private String orgName;

}
