package com.crunii.micro.service.sso.jdbc;

import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
import com.crunii.micro.service.sso.dto.OrgVo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/7/4 9:46
 */
@Slf4j
@Repository
public class OrgJdbc {

    @Resource(name = "mainJT")
    protected BaseJdbcTemplate JT;

    public List<OrgVo> getOrgInfo(){
        String sql ="SELECT league_code AS leagueCode,parent_league_code AS parentLeagueCode,league_name AS leagueName,is_leaf AS isLeaf FROM YCQ_LEAGUE WHERE type=1";
        return JT.queryForBeans(OrgVo.class,sql);
    }
}
