package com.crunii.micro.service.sso.service;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.sso.dto.OrgDto;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/7/4 9:38
 */
public interface GetService {

    /**
     * 获取组织信息
     * @param dto
     * @return
     */
    Result<Object> getOrgInfo(OrgDto dto);

    /**
     * 获取青春头条后台链接
     * @return url
     */
    Result<String> getHeadline();
}
