package com.crunii.micro.service.studycenter.constants;

import java.util.HashMap;
import java.util.Map;

/**
 * @author dinglian create 2023-09-18
 */
public class StudyCenterConstants {

    /**通用否*/
    public static final Integer COMMON_NO = 0;
    /**通用是*/
    public static final Integer COMMON_YES = 1;
    /**最大可考次数*/
    public static final int TEST_PAPER_MAX_ALLOW_TIME = 10;

    public static final String YES = "是";

    public static final String NO = "否";

    /**考试未开始*/
    public static final int TEST_PAPER_STATUS_DISABLE = 0;
    /**考试进行中*/
    public static final int TEST_PAPER_STATUS_ENABLE = 1;
    /**考试未开始*/
    public static final int TEST_PAPER_STATUS_NO = 0;
    /**考试进行中*/
    public static final int TEST_PAPER_STATUS_START = 1;
    /**考试已结束*/
    public static final int TEST_PAPER_STATUS_END = 2;
    /**试卷编码前缀*/
    public static final String TEST_PAPER_CODE_PREFIX = "SJGL";
    /**课程和试卷关联页面*/
    public static final Integer PAGE_TYPE_COURSE_TEST_PAPER = 2;

    /**题型*/
    public static final Map<String, Integer> QUESTION_TOPIC_TYPE = new HashMap<String, Integer>(){
        {
            put("单选题", 1);
            put("多选题", 2);
            put("判断题", 3);
        }

    };

    /**试题选项A*/
    public static final String QUESTION_TOPIC_OPTION_A = "A";
    /**试题选项B*/
    public static final String QUESTION_TOPIC_OPTION_B = "B";
    /**试题选项C*/
    public static final String QUESTION_TOPIC_OPTION_C = "C";
    /**试题选项D*/
    public static final String QUESTION_TOPIC_OPTION_D = "D";
    /**试题选项E*/
    public static final String QUESTION_TOPIC_OPTION_E = "E";
    /**试题选项F*/
    public static final String QUESTION_TOPIC_OPTION_F = "F";



}
