/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.studycenter.dto.studycenter;

import com.crunii.micro.common.utils.JsonUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;

/**
 * @author 田平 create 2019年2月20日下午4:07:59
 */
@Setter
@Getter
@ToString
@ApiModel(description = "创建静态属性")
public class PropertyC implements Serializable {
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "属性编码")
	private String propCode;

	@ApiModelProperty(value = "属性控制")
	private String propControl;

	@ApiModelProperty(value = "属性描述")
	private String propDesc;

	@ApiModelProperty(value = "属性名字")
	private String propName;

	public static void main(String[] args) {
		PropertyC c = new PropertyC();
		System.out.println(JsonUtil.getJsonString(c));
	}
}
