package com.crunii.micro.service.studycenter.dto.studycenter;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Table;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@ApiModel(description = "重庆一件事-子课程")
@ToString
@Data
@Table(name="YCQ_YJS_COURSESUB_MGR")
public class YcqYjsCoursesubMgr implements Serializable {

    private static final long serialVersionUID = 1L;

    @Column(name = "id")
    @ApiModelProperty(name = "主键",notes = "")
    private BigInteger id;

    @Column(name = "subcourse_name")
    @ApiModelProperty(name = "子课程名称",notes = "")
    private String subcourseName;

    @Column(name = "url")
    @ApiModelProperty(name = "子课程url连接",notes = "")
    private String url;

    @Column(name = "course_id")
    @ApiModelProperty(name = "课程编号",notes = "")
    private BigInteger courseId;

    @Column(name = "xh")
    @ApiModelProperty(name = "排序",notes = "")
    private Integer xh;

    @Column(name = "is_drag_play")
    @ApiModelProperty(name = "是否拖动播放",notes = "")
    private Integer isDragPlay;

    @Column(name = "is_multiply_play")
    @ApiModelProperty(name = "是否倍数播放",notes = "")
    private Integer isMultiplyPlay;

    @Column(name = "create_time")
    @ApiModelProperty(name = "创建时间",notes = "")
    private Date createTime;

    @Column(name = "del_flag")
    @ApiModelProperty(name = "删除标识",notes = "")
    private Integer delFlag;

    @Column(name = "sub_course_id")
    @ApiModelProperty(name = "子课程编号",notes = "")
    private String subCourseId;

    @Column(name = "attachment")
    @ApiModelProperty(name = "附件",notes = "")
    private String attachment;

    @Column(name = "attachment_name")
    @ApiModelProperty(name = "附件名称",notes = "")
    private String attachmentName;

    @Column(name = "video_name")
    @ApiModelProperty(name = "子课程视频名称",notes = "")
    private String videoName;

    @Column(name = "course_duration")
    @ApiModelProperty(name = "课程时长",notes = "")
    private Integer courseDuration;

}
