package com.crunii.micro.service.studycenter.dto.studycenter;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import javax.persistence.Column;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.List;

@ApiModel(description = "试题新增对象")
@ToString
@Data
public class YcqYjsTestQuestionReq extends YcqYjsTestQuestion implements Serializable {
    
	private static final long serialVersionUID = 1L;
    

	@ApiModelProperty(value = "题目选项列表")
    private List<YcqYjsTopicOption> topicOptinonList;

	@ApiModelProperty(value = "题目ids")
	private List<BigInteger> ids;

	@ApiModelProperty(value = "被采用次数")
	private int countNum;
}