package com.crunii.micro.service.studycenter.dto.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.ArrayList;
import java.util.List;

/**
 * Author：zzq
 * Date：2020-12-16 11:43
 * Description：<描述>
 */
@Data
public class ImportVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("导入总数")
    private Integer countAll;

    @ApiModelProperty("导入成功数")
    private Integer countSuccess;

    @ApiModelProperty("导入失败总数")
    private Integer countFail;

    @ApiModelProperty("导入成功数据")
    private List<ExcelImportTestQuestionModel> successList = new ArrayList<>();

    @ApiModelProperty("导入失败数据")
    private List<ExcelImportTestQuestionModel> failList = new ArrayList<>();

    @ApiModelProperty("试题id")
    private List<BigInteger> questionIds = new ArrayList<>();


}