package com.crunii.micro.service.studycenter.dto.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * Author：dadm
 * Date：2023-09-20 17:54
 * Description：<描述>
 */
@ToString
@Data
public class TestPaperCondition implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("试卷标题")
    private String title;

    @ApiModelProperty("所属业务编码")
    private String businessCode;

    @ApiModelProperty("试卷类型编码")
    private String typeCode;

    @ApiModelProperty("开始时间")
    private String startTime;

    @ApiModelProperty("结束时间")
    private String endTime;

    @ApiModelProperty("当前时间")
    private String currentTime;

    @ApiModelProperty("试卷ids")
    private List<Long> paperIds;

    @ApiModelProperty("状态：null-全部 0-未开始 1-进行中 2-已结束")
    private Integer status;

    @ApiModelProperty("启用禁用：0-禁用 1-启用")
    private Integer enableStatus;

    @ApiModelProperty("页面")
    private Integer pageType;

}
