package com.crunii.micro.service.studycenter.dto.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

/**
 * Author：dadm
 * Date：2023-09-22 16:10
 * Description：<描述>
 */
@Data
public class TestQuestionVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "题目ID",notes = "")
    private BigInteger id;

    @ApiModelProperty(name = "题目",notes = "")
    private String topic;

    @ApiModelProperty(name = "题目类型（1单选题2多选题3判断题）",notes = "")
    private int topicType;

    @ApiModelProperty(name = "题目分类字典id",notes = "")
    private BigInteger topicClassifyId;

    @ApiModelProperty(name = "题目分类名称",notes = "")
    private String topicClassifyName;

    @ApiModelProperty(name = "业务id",notes = "")
    private BigInteger organizeId;

    @ApiModelProperty(name = "业务名称",notes = "")
    private String organizeName;

    @ApiModelProperty(name = "是否删除(1删除0未删除)",notes = "")
    private int delFlag;

    @ApiModelProperty(name = "备注",notes = "")
    private String remark;

    @ApiModelProperty(name = "创建人ID",notes = "")
    private Integer createdBy;

    @ApiModelProperty(name = "创建时间",notes = "")
    private Date createdTime;

    @ApiModelProperty(name = "更新人ID",notes = "")
    private Integer updatedBy;

    @ApiModelProperty(name = "更新时间",notes = "")
    private Date updatedTime;



}
