package com.crunii.micro.service.studycenter.dto.vo;

import com.crunii.micro.service.studycenter.dto.studycenter.YcqYjsCourseMgr;
import com.crunii.micro.service.studycenter.dto.studycenter.YcqYjsCourseTestRel;
import com.crunii.micro.service.studycenter.dto.studycenter.YcqYjsCoursesubMgr;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.List;

@ApiModel(description = "一件事-课程管理")
@ToString
@Data
public class YcqYjsCourseMgrVo extends YcqYjsCourseMgr implements Serializable {
    
	private static final long serialVersionUID = 1L;
    

	@ApiModelProperty(name = "发布时间开始",notes = "")
    private String createTimeBegin;

	@ApiModelProperty(name = "发布时间结束",notes = "")
	private String createTimeEnd;

	@ApiModelProperty(name = "关联专题id",notes = "")
	private BigInteger specialId;

	@ApiModelProperty(name = "子课程集合",notes = "")
	private List<YcqYjsCoursesubMgr> subList;

	@ApiModelProperty(name = "试卷、题库集合",notes = "")
	private List<YcqYjsCourseTestRel> courseTestList;

}