package com.crunii.micro.service.studycenter.dto.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;


@Data
public class YcqYjsTopicClassifyVo implements Serializable {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(name = "主键id",notes = "")
    private BigInteger id;

    @ApiModelProperty(name = "题目分类名称",notes = "")
    private String topicClassifyName;

    @ApiModelProperty(name = "业务id",notes = "")
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private BigInteger organizeId;

    @ApiModelProperty(name = "业务id (字符串)",notes = "")
    private String organizeIdStr;

    @ApiModelProperty(name = "业务名称",notes = "")
    private String organizeName;

    @ApiModelProperty(name = "是否删除(1删除0未删除)",notes = "")
    private Integer delFlag;

    @ApiModelProperty(name = "创建人ID",notes = "")
    private BigInteger createdBy;

    @ApiModelProperty(name = "创建时间",notes = "")
    private Date createdTime;

    @ApiModelProperty(name = "更新人ID",notes = "")
    private BigInteger updatedBy;

    @ApiModelProperty(name = "更新时间",notes = "")
    private Date updatedTime;

}