package com.crunii.micro.service.studycenter.jdbc;

import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
import com.crunii.micro.service.studycenter.dto.studycenter.ExTestQuestion;
import org.springframework.jdbc.core.BeanPropertyRowMapper;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.List;

/**
 * 试题表;
 *
 * @author : dinglian
 * @date : 2023-9-18
 */
@Repository
public class ExTestQuestionJdbcDao {

    @Resource(name = "mainJT")
    protected BaseJdbcTemplate JT;

    public List<ExTestQuestion> searchAll() {
        String sql = "select * from exa_test_question where 1 = 1";
        // 查询数据集合
        List<ExTestQuestion> list = JT.query(sql, new BeanPropertyRowMapper<>(ExTestQuestion.class));
        return list;
    }
}
