/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.cqcis.com</a>
 */
package com.crunii.micro.service.studycenter.jdbc;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.utils.SqlUtil;
import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
import com.crunii.micro.domain.common.jdbc.BaseNPJdbcTemplate;
import com.crunii.micro.domain.entity.main.TsmProperty;
import com.crunii.micro.domain.entity.main.TsmPropertyValue;
import org.springframework.stereotype.Repository;
import org.springframework.util.StringUtils;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

/**
 * @author 田平 create 2017年8月11日下午12:44:04
 */
@Repository
public class PropertyJdbcDao {

	@Resource(name = "mainJT")
	protected BaseJdbcTemplate JT;

	@Resource(name = "mainNPJT")
	protected BaseNPJdbcTemplate NPJT;

	private static final String pagePropBaseSql = "select * from tsm_property a where 1=1 ";

	private static final String pagePropCountSql = "select count(*) from tsm_property a where 1=1 ";

	private static final String pageValueBaseSql = "select a.* from tsm_property_value a,tsm_property b WHERE a.prop_id=b.prop_id AND b.prop_code=? ";

	private static final String pageValueCountSql = "select count(*) from tsm_property_value a,tsm_property b WHERE a.prop_id=b.prop_id AND b.prop_code=? ";

}
