package com.crunii.micro.service.studycenter.jdbc;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.service.studycenter.dto.studycenter.YcqYjsNegativePerson;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import java.math.BigInteger;

/**
 * 负面人员清单表;
 *
 * @author : Charler
 * @date : 2023-9-21
 */
@Repository
public interface YcqYjsNegativePersonDao extends BaseRepo<YcqYjsNegativePerson, BigInteger>, JpaSpecificationExecutor<YcqYjsNegativePerson> {

    long countByIdNumberAndDelFlag(String idNumber, Integer delFlag);

    long countByIdNumberAndDelFlagAndIdNot(String idNumber, Integer delFlag, BigInteger id);
}
