package com.crunii.micro.service.studycenter.jdbc;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.service.studycenter.dto.studycenter.YcqYjsUnmatchedPerson;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import java.math.BigInteger;

/**
 * 不匹配人员dao;
 *
 * @author : Charler
 * @date : 2023-9-21
 */
@Repository
public interface YcqYjsUnmatchedPersonDao extends BaseRepo<YcqYjsUnmatchedPerson, BigInteger>, JpaSpecificationExecutor<YcqYjsUnmatchedPerson> {
    long countByIdNumberAndDelFlagAndIdNot(String idNumber, Integer delFlag, BigInteger id);

}
