package com.crunii.micro.service.studycenter.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.service.studycenter.dto.studycenter.YcqYjsNegativePerson;
import com.crunii.micro.service.studycenter.dto.studycenter.YcqYjsUnmatchedPerson;
import com.crunii.micro.service.studycenter.dto.vo.NegativePersonCondition;
import com.crunii.micro.service.studycenter.dto.vo.UnmatchedPersonCondition;
import com.crunii.micro.service.studycenter.dto.vo.YcqYjsUnmatchedPersonVo;

import javax.servlet.http.HttpServletResponse;
import java.math.BigInteger;

/**
 * Author：dadm
 * Date：2023-09-20 17:22
 * Description：<描述>
 */
public interface YcqYjsUnmatchedPersonService {

    /**创建不匹配人员*/
    void createUnmatchedPerson(YcqYjsUnmatchedPersonVo createReq);

    /**删除不匹配人员*/
    void delUnmatchedPerson(BigInteger id);

    /**修改不匹配人员*/
    void updateUnmatchedPerson(YcqYjsUnmatchedPersonVo updateReq);

    /**不匹配人员详情*/
    YcqYjsUnmatchedPerson getUnmatchedPerson(BigInteger id);

    /**分页查询不匹配人员*/
    PageRsp<YcqYjsUnmatchedPersonVo> pageSearchUnmatchedPerson(PageReq<UnmatchedPersonCondition> pageReq);

    PageRsp<YcqYjsUnmatchedPerson> pageYcqYjsUnmatchedPerson(PageReq<UnmatchedPersonCondition> req);

    void exportUnmatchedPersonExcel(HttpServletResponse response, UnmatchedPersonCondition req);

}
