package com.crunii.micro.service.studycenter.service;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.studycenter.dto.studycenter.YcqYjsUploadUserVideo;
import org.springframework.web.multipart.MultipartFile;


/**
 * 用户上传学习视频表;(YCQ_YJS_UPLOAD_USER_VIDEO)表服务接口
 * @author : http://www.chiner.pro
 * @date : 2023-10-5
 */
public interface YcqYjsUploadUserVideoService {

    /**
     * 新增数据
     *
     *  @param file 实例对象
     *  @param fileNumber 实例对象
     *  @param tableName 实例对象
     * @return 实例对象
     */
    Result<YcqYjsUploadUserVideo> insert(MultipartFile file, String  fileNumber, String tableName);

    Result<Object> downloadCourseVideo(String  fileNumber, String tableName);
}
