package com.crunii.micro.service.studycenter.service.impl;

import com.crunii.micro.service.studycenter.dto.studycenter.ExTestQuestion;
import com.crunii.micro.service.studycenter.jdbc.ExTestQuestionJdbcDao;
import com.crunii.micro.service.studycenter.service.ExTestQuestionService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 试题表;
 *
 * @author : dinglian
 * @date : 2023-9-18
 */
@Service
public class ExTestQuestionServiceImpl implements ExTestQuestionService {

    @Resource
    private ExTestQuestionJdbcDao exTestQuestionJdbcDao;


    @Override
    public List<ExTestQuestion> searchAll() {
        return exTestQuestionJdbcDao.searchAll();
    }

}
