package com.crunii.micro.service.studycenter.util;

import cn.hutool.json.JSONUtil;

/**
 * 实体转化工具类，主要将VO转化为bean
 * */
public class BeanUtils {
    // VO转化为bean
    public static  <S, T> T copyProperties(S dest, Class<T> orig) {
        String souJsonString = JSONUtil.toJsonStr(dest);
        T resTarget = JSONUtil.toBean(souJsonString, orig);
        return resTarget;
    }
}
