package com.crunii.micro.service.studycenter.util;

import com.crunii.micro.domain.dto.CallHolder;
import com.crunii.micro.domain.dto.Worker;

/**
 * Author：dadm
 * Date：2023-09-26 10:38
 * Description：<描述>
 */
public class SecurityUtils {

    public static Long getLoginId(){
        Worker worker = getCurrWorker();
        return null != worker ? Long.valueOf(worker.getLoginId()) : 0L;
    }

    public static String getWorkerName(){
        Worker worker = getCurrWorker();
        return null != worker ? worker.getWorkerName() : "";
    }

    public static String getOrgId(){
        Worker worker = getCurrWorker();
        return null != worker ? worker.getOrgId() : "";
    }

    public static String getOrgName(){
        Worker worker = getCurrWorker();
        return null != worker ? worker.getOrgName() : "";
    }


    public static Worker getCurrWorker() {
        CallHolder callInfo = CallHolder.call.get();
        if (callInfo != null && callInfo.getWorker() != null) {
            return callInfo.getWorker();
        } else {
            return null;
        }
    }


}
