package com.crunii.micro.service.sysmgr.api.domain.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import javax.persistence.*;
import java.util.Date;

@Data
public class YcqPageMessageTemplate {

    @ApiModelProperty(name = "模板id",notes = "")
    private Long templateId ;
    /** 系统id */
    @ApiModelProperty(name = "系统id",notes = "")
    private Long appId ;
    /** 系统名称 */
    @ApiModelProperty(name = "系统名称",notes = "")
    private String systemName ;
    /** 场景名称 */
    @ApiModelProperty(name = "场景名称",notes = "")
    private String sceneName ;
    /** 标题 */
    @ApiModelProperty(name = "标题",notes = "")
    private String title ;
    /** 消息模板 */
    @ApiModelProperty(name = "消息模板",notes = "")
    private String messageTemplate ;
    /** 推送方式 */
    @ApiModelProperty(name = "推送方式",notes = "")
    private String pushType ;
    /** 推送终端 */
    @ApiModelProperty(name = "推送终端",notes = "")
    private String pushEndpoint ;
    /** 是否为常用模板 */
    @ApiModelProperty(name = "是否为常用模板",notes = "")
    private Byte templateType ;
    /** 是否启用 */
    @ApiModelProperty(name = "是否启用",notes = "")

    private Byte status;
    /** 删除标识 */
    @ApiModelProperty(name = "删除标识",notes = "")

    private Byte delFlag ;
    /** 乐观锁 */
    @ApiModelProperty(name = "乐观锁",notes = "")

    private Integer revision ;
    /** 创建人 */
    @ApiModelProperty(name = "创建人",notes = "")

    private Integer createId ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")

    private Date createTime ;
    /** 更新人 */
    @ApiModelProperty(name = "更新人",notes = "")

    private Integer updateId ;
    /** 更新时间 */
    @ApiModelProperty(name = "更新时间",notes = "")

    private Date updateTime ;

    private String orgName;

    private String createName;

    @ApiModelProperty(name = "阿里云模板id",notes = "")
    private String templateCode;
}
