package com.crunii.micro.service.sysmgr.api.domain.dto;

import lombok.Data;

/**
 * 用户消息查询实体
 */
@Data
public class YcqPageUserMessageRecordDTO {


    /**
     * 标题
     */
    private String dataTitle;


    /**
     * 消息内容
     */
    private String messageContent;

    /**
     * 发送人
     */
    private String sendName;

    /**
     * 是否阅读 0未读 1已读
     */
    private Integer isRead;

    /**
     * 开始时间
     */
    private String startTime;

    /**
     * 结束时间
     */
    private String endTime;

    /** 推送方式 1短信 2站内*/
    private String pushType;

    /** 推送终端 1PC 2APP 3管理台 4公众号*/
    private String pushEndpoint;
}
