package com.crunii.micro.service.sysmgr.api.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;


/**
 * @author 15294
 */
@Data
@ApiModel(value = "轮播图",description = "")
public class YcqRollPicDTO implements Serializable {
    @ApiModelProperty(name = "id",notes = "主键")
//    @NotNull
    private Long id ;
    /** 轮播图名称 */
    @ApiModelProperty(name = "rollPicName",notes = "轮播图名称")
    private String rollPicName ;
    /** 所属系统id */
    @ApiModelProperty(name = "systemId",notes = "所属系统id")
    private Integer systemId ;
    /** 所属系统 */
    @ApiModelProperty(name = "systemName",notes = "所属系统")
    private String systemName ;
    /** 位置 */
    @ApiModelProperty(name = "location",notes = "位置")
    private String location ;
    /** 位置 */
    @ApiModelProperty(name = "locationId",notes = "位置")
    private Integer locationId ;
    /** 配置图片地址 */
    @ApiModelProperty(name = "picUrls",notes = "配置图片地址")
    private List<YcqRollPicUrl> picUrls ;
    /** 发布状态 */
    @ApiModelProperty(name = "status",notes = "发布状态1待发布，2已发布")
    private Integer status ;
    /** 是否被删除 */
    @ApiModelProperty(name = "delFlag",notes = "是否被删除0否 1是")
    private Integer delFlag ;
    /** 创建人id */
    @ApiModelProperty(name = "createId",notes = "创建人id")
    private Integer createId ;
    /** 创建时间 */
    @ApiModelProperty(name = "createTime",notes = "创建时间")
    private String createTime ;
    /** 修改人id */
    @ApiModelProperty(name = "updateId",notes = "修改人id")
    private Integer updateId ;
    /** 修改时间 */
    @ApiModelProperty(name = "updateTime",notes = "修改时间")
    private String updateTime ;

    @ApiModelProperty(name = "type",notes = "操作类型1修改数据，2发布，3删除，4下架")
//    @NotNull
    private Integer type;

    @ApiModelProperty(name = "secondLocation",notes = "二级位置")
    private String secondLocation ;
}
