package com.crunii.micro.service.sysmgr.api.domain.dto.form;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;

/**
 * @author 田平 create 2018年11月1日下午2:43:45
 */
@Setter
@Getter
@ToString
@ApiModel(description = "表单")
public class YcqDynamicFormConfigPageVO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "表单Id")
    private Long id;

    @ApiModelProperty(name = "name", value = "表单名称", dataType = "String")
    private String name;

    @ApiModelProperty(value = "模型名（表名）")
    private String floModelName;

    @ApiModelProperty(value = "模型描述")
    private String floModelDesc;

    @ApiModelProperty(name = "description", value = "备注", dataType = "String")
    private String description;

//    @ApiModelProperty(name = "status", value = "状态", dataType = "String")
//    private Integer status;

    @ApiModelProperty(value = "表单编码")
    private String code;

}
