package com.crunii.micro.service.sysmgr.api.domain.dto.form;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;

/**
 * @author 田平 create 2018年11月1日下午2:43:45
 */
@Setter
@Getter
@ToString
@ApiModel(description = "表单")
public class YcqDynamicFormConfigVO implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 表单id
     */
    @ApiModelProperty(value = "表单Id")
    private Long id;

    /**
     * 映射表id
     */
    @ApiModelProperty(name = "floModelId", value = "模型ID", dataType = "int")
    private Long floModelId;
    /**
     * 表单名称
     */
    @ApiModelProperty(name = "name", value = "表单名称", dataType = "String")
    private String name;

    /**
     * 表单结构数据
     */
    @ApiModelProperty(name = "html", value = "表单结构数据", dataType = "String")
    private String html;

    /**
     * 备注
     */
    @ApiModelProperty(name = "description", value = "备注", dataType = "String")
    private String description;


}
