package com.crunii.micro.service.sysmgr.api.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class ActivityZonePropertyValue {

    /**
     * 区域类型 市级1，区县级2，校级3
     */
    private Integer zoneType;

    /**
     * 外层区域名称
     */
    private String zoneTypeName;

    /**
     * 区域列表
     */
    private List<ActivityZoneInfo> activityZoneInfoList;


    @Data
    public static class ActivityZoneInfo{
        @ApiModelProperty(value = "属性ID")
        private transient int propId;

        @ApiModelProperty(value = "属性编码")
        private transient String propCode;

        /**
         * 属性值
         */
        private Integer valueId;
        @ApiModelProperty(value = "值编码")
        private transient String valueCode;

        @ApiModelProperty(value = "值名称")
        private String valueName;
    }



}
