package com.crunii.micro.service.sysmgr.api.domain.vo;

import com.fasterxml.jackson.annotation.JsonRawValue;
import java.util.Date;
import lombok.Data;

/**
 * 用户消息响应实体
 */
@Data
public class YcqPageUserMessageRecordVO {

    /**
     * id
     */
    private Long id;

    /**
     * 标题
     */
    private String dataTitle;


    /**
     * 消息内容
     */
    private String messageContent;

    /**
     * 发送人
     */
    private String sendName;

    /**
     * 是否阅读 0未读 1已读
     */
    private String isRead;

    /**
     * 开始时间
     */
    private transient Date pushTime;

    /**
     * 创建时间
     */
    private String pushTimeStr;

    /**
     * 时间（日期+周）
     */
    private String day;

    /**
     * 路由+对应参数
     */
    @JsonRawValue
    private String pathAndJson;
}
