package com.crunii.micro.service.sysmgr.config;

import lombok.Getter;
import lombok.Setter;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @author zjw
 */
@Getter
@Setter
@Component
@ConfigurationProperties(prefix = "wechat")
public class WechatProperties {

    private String host;

    private String appId;

    private String secret;

    private String callback;

    private String token;
}
