package com.crunii.micro.service.sysmgr.constants;
/**
 * @author gongsongtao
 * @date 2023/9/21 18:48
 */
public class ErrorMsgConstants {
    //公共msg
    public static final String REQUEST_ERROR = "请求参数异常";
    public static final String CREATE_SUCCESS = "创建成功";
    public static final String UPDATE_SUCCESS = "修改成功";
    public static final String OPERATION_SUCCESS = "操作成功";
    //组织
    public static final String ORG_PARENT_NOT_EXIST = "父级组织不存在";
    public static final String ORG_CREATE_REQUEST_ERROR = "创建组织请求参数异常";
    public static final String ORG_CREATE_REQUEST_NOT_NULL = "缺失关键参数";
    public static final String ORG_CREATE_ORG_NOT_EXIST = "组织不存在";
    public static final String ORG_CREATE_NAME_IS_NULL = "组织名称不能为空";
    public static final String ORG_CREATE_SHORT_NAME_IS_NULL = "组织简称不能为空";
    public static final String ORG_CREATE_TYPE_IS_NULL = "请选择组织类别";
    public static final String ORG_CREATE_TRDE_IS_NULL = "请选择所属行业类别";
    public static final String ORG_CREATE_PARENT_ORG_IS_NULL = "缺失上级组织";
    public static final String ORG_CREATE_TELEPHONE_IS_NULL = "缺失联系电话";
    public static final String ORG_CREATE_XZDW_IS_NULL = "请选择是否乡镇街道团委";
    public static final String ORG_CREATE_ORG_NAME_OUT = "组织全称不能超过100个字符";
    public static final String ORG_CREATE_SHORT_ORG_NAME_OUT = "组织简称不能超过100个字符";
    public static final String ORG_CREATE_SHORT_ORG_NAME_SYMBOL = "组织简称不能包含特殊字符";
    public static final String ORG_CREATE_ORG_NAME_SYMBOL = "组织全称不能包含特殊字符";
    public static final String ORG_CREATE_ORG_NUMBER__OUT = "联系电话不能超过30个字符";
    public static final String ORG_CREATE_EMAIL_ERROR = "组织邮箱格式错误";
    public static final String ORG_CREATE_SECRETARY_ONLY_CHINESE = "人名只能是汉字";
    public static final String ORG_SYSTEM_NOT_EXIST = "该系统已不存在";
    //职务
    public static final String ORG_NOT_CONFIGURATION= "未配置最上级组织";
    public static final String POST_CREATE_ROLE_NOT_NULL = "请选择角色信息";
    public static final String POST_CREATE_SORT_NOT_NULL = "请填写职务顺序";
    public static final String POST_NOT_FOUND = "当前职务不存在";
    public static final String POST_NAME_DUPLICATE = "该职务名称已存在";
    public static final String POST_CODE_DUPLICATE = "已经存在该标识的职务";
    public static final String POST_SORT_NOT_NULL = "序列值不能为空";
    public static final String POST_SORT_NOT_INTEGER = "序列值须为整数值";
    public static final String POST_WORKER_EXIST = "当前职务下存在用户，禁止删除";
    public static final String POST_WORKER_EXIST_TOO = "当前职务下存在用户，不可置无效";
    //用户
    public static final String WORKER_TWO_ROLE_EXIST ="不能同时拥有部门文件审核角色和文件内容审核角色！";
    public static final String WORKER_MOBILE_ISEXISTS ="该手机号已注册";
    public static final String WORKER_SIGN_WORKER_NAME_IS_NULL="请填写用户名称";
    public static final String WORKER_SIGN_FILE_IS_NULL="请扫码签名";
    public static final String WORKER_SIGN_FILE_APP_IS_NULL="请完成签名后提交";
    public static final String WORKER_SIGN_SET_ERROR="签名设置异常";
    public static final String WORKER_LOGIN_OUT_SCOPE="该用户暂无该客户端登录权限";
    public static final String WORKER_DATE_ERROR="用户数据异常";
    public static final String WORKER_DEPARTMENT_NOT_EXISTS="该所属部门不存在";
    //填写邮寄地址
    public static String DELIVERY_POSTALCODE_ERROR="请输入正确的邮政编码";
    public static String DELIVERY_PHONE_IS_NULL="手机号码不能为空";
    public static String DELIVERY_PHONE_ERROR="请输入正确的手机号码";

}
