package com.crunii.micro.service.sysmgr.controller;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.sysmgr.dto.sysmgr.MoreServiceResp;
import com.crunii.micro.service.sysmgr.service.MoreServiceService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import javax.annotation.Resource;
import java.util.List;

/**
 * @author jex
 * @date 2023/9/28 15:32
 */
@Api(tags = "更多服务")
@RestController
@RequestMapping("/auth/MoreServiceController")
public class MoreServiceController {

    @Resource
    private MoreServiceService service;

    @ApiOperation("查询")
    @GetMapping("/query")
    public Result<List<MoreServiceResp>> query(){
        return service.query();
    }

}
