/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.sysmgr.dto.enc;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;

/**
 * @author 田平 create 2018年11月1日下午2:43:45
 */
@Setter
@Getter
@ToString
@ApiModel(description = "加密字段配置查询对象")
public class EncryptConfigReq implements Serializable {
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "表名支持模糊查询%xx%")
	private String tabName;

	@ApiModelProperty(value = "字段名支持模糊%xx%")
	private String colName;

	@ApiModelProperty(value = "状态")
	private Integer state;
}
