/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved.
 * <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.sysmgr.dto.enc;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;

/**
 * @author 田平 create 2021/4/25 14:25
 */
@Setter
@Getter
@ToString
@ApiModel(description = "字段加密配置更新")
public class EncryptConfigU implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "主键")
	private int id;

	@ApiModelProperty(value = "表名")
	private String tabName;

	@ApiModelProperty(value = "字段名")
	private String colName;

	@ApiModelProperty(value = "状态 0 无效 1有效")
	private int state;

}
