/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.sysmgr.dto.fm;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;

/**
 * @author 田平 create 2018年11月1日下午2:43:45
 */
@Setter
@Getter
@ToString
@ApiModel(description = "属性值分页查询对象")
public class FmValueReq implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "属性编码")
	private String propCode;

	@ApiModelProperty(value = "属性值名字，支持模糊查询%xx%,为空查询全部")
	private String valueName;

	@ApiModelProperty(value = "属性值编码，支持模糊查询%xx%,为空查询全部")
	private String valueCode;
}
