package com.crunii.micro.service.sysmgr.dto.org;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author baoxy
 * @date 2023-12-13
 */
@Data
@ApiModel("团委组织分页列表上下移动参数")
public class MoveDataListDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    private Long orgId;

    @ApiModelProperty("移动类型(1上移,2下移)")
    private Integer moveType;

    @ApiModelProperty(value = "是否查询下级(true为是,false为否)")
    private Boolean isParent;
}
