package com.crunii.micro.service.sysmgr.dto.org;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.util.List;

@Setter
@Getter
@Builder
@ToString
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(description = "组织ID数组")
public class OrgIds {
    @ApiModelProperty(value = "选择权限组织id列表")
    private List<Long> orgIds;
    @ApiModelProperty(value = "用户id")
    private Integer userId;
    @ApiModelProperty(value = "是否递归：1递归2不递归")
    private Integer recursiveOrNot;
}
