package com.crunii.micro.service.sysmgr.dto.org;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

@Setter
@Getter
@Builder
@ToString
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(description = "组织查询参数")
public class OrgTreeAuthorityReqDto {
    @ApiModelProperty(value = "组织ID")
    private Long orgId;
    @ApiModelProperty(value = "组织名称")
    private String orgName;

    @ApiModelProperty(value = "组织编码")
    private String orgCode;

    @ApiModelProperty(value = "父组织ID")
    private Long parentOrgId;

    @ApiModelProperty(value = "0无效，1有效")
    private Integer state;

    @ApiModelProperty(value = "是否需要根据数据权限查询，不传为true")
    private boolean needPermission = true;

    @ApiModelProperty(value = "是否递归：1递归2不递归")
    private Integer recursiveOrNot;
}
