package com.crunii.micro.service.sysmgr.dto.org;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.util.Date;

@Getter
@Setter
@ToString
@ApiModel(value = "组织树节点")
public class OrgTreeDto {
    @ApiModelProperty(value = "组织id")
    private Long orgId;

    @ApiModelProperty(value = "组织编码，按规律生成，体现上下级关系")
    private String orgCode;

    @ApiModelProperty(value = "组织名称")
    private String orgName;

    @ApiModelProperty(value = "组织描述")
    private String orgDesc;

    @ApiModelProperty(value = "父组织ID,根组织id为0")
    private Long parentOrgId;

    @ApiModelProperty(value = "排序")
    private Integer sortId;

    @ApiModelProperty(value = "0无效，1有效")
    private int state;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "是否叶子节点")
    private Integer leafs;

    @ApiModelProperty(value = "是否叶子节点")
    private boolean isLeaf;

    @ApiModelProperty(value = "是否递归：1递归2不递归")
    private Integer recursiveOrNot;
}
