package com.crunii.micro.service.sysmgr.dto.org;

import com.alibaba.nacos.shaded.org.checkerframework.framework.qual.EnsuresQualifierIf;
import com.crunii.micro.service.sysmgr.api.domain.dto.OrgNode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.Date;
import java.util.List;

@Getter
@Setter
@ToString
@ApiModel(value = "查询组织及子组织返回参数")
public class OrgTreeOneDto {
    @ApiModelProperty(value = "组织id")
    private Long orgId;

    @ApiModelProperty(value = "组织编码，按规律生成，体现上下级关系")
    private String orgCode;

    @ApiModelProperty(value = "组织名称")
    private String orgName;

    @ApiModelProperty(value = "组织描述")
    private String orgDesc;

    @ApiModelProperty(value = "父组织ID,根组织id为0")
    private Long parentOrgId;

    @ApiModelProperty(value = "是否叶子节点")
    private boolean isLeaf;

    @ApiModelProperty(value = "下级组织")
    private List<OrgNode> Children;

}
