package com.crunii.micro.service.sysmgr.dto.post;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;
import java.util.List;

@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "管理后台 - 职务信息 Response VO")
public class PostRespVO extends PostBaseVO {

    @ApiModelProperty(value = "职务序号")
    private Long id;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "职务人数")
    private int peopleNum;

    @ApiModelProperty(value = "状态")
    private Integer state;

    @ApiModelProperty(value = "状态名称")
    private String stateName;

    @ApiModelProperty(value = "角色数组")
    private List<Long> roleList;

}
