/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.sysmgr.dto.pub;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @author 田平 create 2019年2月19日下午4:04:47
 */
@Setter
@Getter
@ToString
@ApiModel(description = "创建发布")
public class PubC implements Serializable {
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "发布名称")
	private String pubName;

	@ApiModelProperty(value = "发布类型")
	private String pubType;

	@ApiModelProperty(value = "发布描述")
	private String pubDesc;

	@ApiModelProperty(value = "发布图标")
	private String pubIcon;

	@ApiModelProperty(value = "生效时间")
	private java.util.Date enableTime;

	@ApiModelProperty(value = "失效时间")
	private java.util.Date disableTime;

	@ApiModelProperty(value = "排序Id")
	private int sortId;

	@ApiModelProperty(value = "发布内容")
	private String pubContent;

}
