/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.sysmgr.dto.pub;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @author 田平 create 2018年11月1日下午2:43:45
 */
@Setter
@Getter
@ToString
@ApiModel(description = "发布分页查询请求")
public class PubReq implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "发布名字，支持模糊查询%xx%,为空查询全部")
	private String pubName;

	@ApiModelProperty(value = "发布类型")
	private String pubType;

	@ApiModelProperty(value = "状态,全部传null或者不传")
	private Integer state;

}
