package com.crunii.micro.service.sysmgr.dto.sysmgr;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author baoxy
 * @date 2023-07-05
 */
@Data
@ApiModel(description = "APP配置url-新增")
public class AppConfigC implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "app的唯一编码")
    private String appCode;

    @ApiModelProperty(value = "app跳转URL")
    private String appUrl;

    @ApiModelProperty(value = "app名称")
    private String appName;

    @ApiModelProperty(value = "顺序")
    private Integer sort;

    @ApiModelProperty(value = "图标的URL")
    private String logoUrl;

    @ApiModelProperty(value = "是否必须进行认证 1:必须认证 0:不需要认证")
    private Integer mustAuth;
}
