package com.crunii.micro.service.sysmgr.dto.sysmgr;

import com.crunii.micro.core.annotation.PropertyTranslate;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangchen create 2023/6/8 15:02
 */
@Data
@ApiModel(description = "团员学历分布列表")
public class LeagueEduTabulation implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("文化程度")
    private String eduLevel;

    @ApiModelProperty("文化程度翻译")
    @PropertyTranslate(propertyCode = "leagueEduLevel",valueFiled = "eduLevel")
    private String eduLevelTrans;

    @ApiModelProperty("团员数量")
    private Long lmCount;

    @ApiModelProperty("团员占比")
    private String lmProportion;
}
