package com.crunii.micro.service.sysmgr.dto.sysmgr;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author wangchen create 2023/6/8 15:00
 */
@Data
@ApiModel(description = "组织学历信息")
public class LeagueEduVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("团员总数")
    private Long lmSumCount;

    @ApiModelProperty("学历信息列表")
    private List<LeagueEduTabulation> leagueEduTabulations;
}
