package com.crunii.micro.service.sysmgr.dto.sysmgr;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author wangchen create 2023/7/17 16:12
 */
@Data
@ApiModel("登录创建")
public class LoginWorkerC implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "生日")
    private Date birthday;
    @ApiModelProperty(value = "邮件地址")
    private String email;
    @ApiModelProperty(value = "登录工号")
    private String loginCode;
    @ApiModelProperty(value = "手机号")
    private String mobile;
    @ApiModelProperty(value = "职务")
    private String position;
    @ApiModelProperty(value = "电话")
    private String phone;
    @ApiModelProperty(value = "性别|0女1男")
    private Integer sex;
    @ApiModelProperty(value = "姓名")
    private String workerName;
    @ApiModelProperty(value = "角色ids")
    private List<Integer> roleIds;

    @ApiModelProperty(value = "用户头像图片key")
    private String headPortraitPicKey;

    @ApiModelProperty(value = "fileId")
    private Long fileId;

    @ApiModelProperty(value = "状态|1启用0禁用")
    private int state;

    @ApiModelProperty(value = "验证key")
    private String secretKey;

    @ApiModelProperty("作用域")
    private String scope;
}
