package com.crunii.micro.service.sysmgr.dto.sysmgr;

import com.crunii.micro.core.annotation.PropertyTranslate;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangchen create 2023/6/8 11:31
 */
@Data
@ApiModel(description = "民族分类列表")
public class MemberNationality implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("民族")
    private String nationality;

    @ApiModelProperty("民族翻译")
    @PropertyTranslate(propertyCode = "leagueNationality", valueFiled = "nationality")
    private String nationalityTrans;

    @ApiModelProperty("团员数量")
    private Long lmCount;

    @ApiModelProperty("团员占比")
    private String lmProportion;
}
