/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.sysmgr.dto.sysmgr;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import javax.persistence.Column;
import java.io.Serializable;
import java.util.List;

/**
 * @author 田平 create 2019年2月19日下午4:04:47
 */
@Setter
@Getter
@ToString
@ApiModel(description = "更新菜单")
public class MenuU implements Serializable {
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "菜单编号")
	private String menuCode;

	@ApiModelProperty(value = "菜单描述")
	private String menuDesc;

	@ApiModelProperty(value = "菜单名称")
	private String menuName;

	@ApiModelProperty(value = "0:目录 1:菜单 2:按钮")
	private int menuType;

	@ApiModelProperty(value = "菜单URL")
	private String menuUrl;

	@ApiModelProperty(value = "按钮对应的url_id,类型为菜单的为0")
	private int buttonUrlId;

	@ApiModelProperty(value = "图标")
	private String icon;

	@ApiModelProperty(value = "排序id")
	private int sortId;

	@ApiModelProperty(value = "状态|0有效1无效")
	private int state;

	@ApiModelProperty(value = "父菜单编码")
	private String parentMenuCode;

	@ApiModelProperty(value = "菜单编码")
	private String code;

	@ApiModelProperty(value = "展示终端")
	private List<String> terminal;


}
