package com.crunii.micro.service.sysmgr.dto.sysmgr;

import cn.hutool.core.lang.RegexPool;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Pattern;
import java.io.Serializable;

/**
 * @author: LG
 * @date: 2023/12/15 14:51
 */
@ApiModel(description = "获取手机验证码-不需要图文验证")
@Data
public class SmsCodeNoTextDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @Pattern(regexp = RegexPool.MOBILE,message = "手机号格式错误")
    @ApiModelProperty("要发送验证码的手机号")
    private String mobile;
}
