package com.crunii.micro.service.sysmgr.dto.sysmgr;

import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * youth-cq.
 * 全国统计用区划编码和城乡划分编码 响应体
 * @author leixb
 * @since 2023-12-05 15:55
 **/
@Data
@ApiModel(value = "全国统计用区划编码和城乡划分编码 响应体")
public class TsmChinaRegionResVO implements Serializable {
    
    private static final long serialVersionUID = 1L;
    
    @ApiModelProperty("编码")
    private String code;
    
    @ApiModelProperty("名称")
    private String name;
    
    @ApiModelProperty("层级：1-省级；2-市；3-区县；4-街道；5-社区/村")
    private String regionLevel;
    
    @ApiModelProperty("父级编码")
    private String parentCode;
    
    /*@ApiModelProperty("子集")
    private List<TsmChinaRegionResVO> children;*/
}
