/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.sysmgr.dto.sysmgr;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @author 田平 create 2019年5月29日下午2:24:02
 */
@Setter
@Getter
@ToString
@ApiModel(description = "更新URL组")
public class UrlGroupU implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "urlGroupId")
	private int groupId;

	@ApiModelProperty(value = "url组名称")
	private String groupName;

	@ApiModelProperty(value = "url组描述")
	private String groupDesc;

	@ApiModelProperty(value = "0 无效，1有效")
	private int state;
}
