/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.sysmgr.dto.sysmgr;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @author 田平 create 2018年11月1日下午2:43:45
 */
@Setter
@Getter
@ToString
@ApiModel(description = "URL分页查询对象")
public class UrlReq implements Serializable {
	private static final long serialVersionUID = 1L;
	@ApiModelProperty(value = "url名字，支持模糊查询%xx%,为空查询全部")
	private String urlName;

	@ApiModelProperty(value = "url路径，支持模糊查询%xx%,为空查询全部")
	private String urlPath;
}
