/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.sysmgr.dto.sysmgr;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;

/**
 * @author 田平 create 2019年5月29日下午2:24:02
 */
@Setter
@Getter
@ToString
@ApiModel(description = "更新URL")
public class UrlU implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "urlId")
	private int urlId;

	@ApiModelProperty(value = "url 路径")
	private String urlPath;

	@ApiModelProperty(value = "1 普通url|2 AntPath")
	private int urlType;

	@ApiModelProperty(value = "0 不需要记录操作日志，1需要记录操作日志")
	private int logFlag;

	@ApiModelProperty(value = "url名称功能")
	private String urlName;

	@ApiModelProperty(value = "url描述")
	private String urlDesc;

	@ApiModelProperty(value = "0 无效|1有效")
	private int state;

	@ApiModelProperty(value = "请求类型 0get 1post ...")
	private Integer  requestType;

}
