/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.sysmgr.dto.sysmgr;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;

/**
 * @author 田平 create 2018年11月1日下午2:43:45
 */
@Setter
@Getter
@ToString
@ApiModel
public class WorkerReq implements Serializable {
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "组织id")
	private String orgId;
	@ApiModelProperty(value = "工号")
	private String loginCode;
	@ApiModelProperty(value = "姓名，支持模糊查询%xx%")
	private String workerName;
	@ApiModelProperty(value = "手机号")
	private String mobile;

	@ApiModelProperty(value = "状态")
	private Integer state;

	@ApiModelProperty(value = "用户类型")
	private Integer workerType;
}
