package com.crunii.micro.service.sysmgr.dto.sysmgr;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author gongsongtao
 * @date 2023/10/16 11:06
 */
@Data
@ApiModel(value = "用户列表角色数组返回参数")
public class WorkerRoleListRspVo  {

    @ApiModelProperty(value = "角色id")
    private int roleId;

    @ApiModelProperty(value = "角色名称")
    private String roleName;

    @ApiModelProperty(value = "角色描述")
    private String roleDesc;

    @ApiModelProperty(value = " 0 无效，1有效")
    private int state;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "能否编辑")
    private Boolean whetherUpdate;
}
