package com.crunii.micro.service.sysmgr.dto.sysmgr;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author wangchen create 2023/5/31 16:44
 */
@Data
@ApiModel(description = "团委组织学历创建")
public class YcqLeagueEduC implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "组织编码")
    private String leagueCode;

    @ApiModelProperty(value = "组织名称")
    private String leagueName;

    private List<LeagueEdu> educationList;

}

