package com.crunii.micro.service.sysmgr.dto.sysmgr;

import com.crunii.micro.core.annotation.PropertyTranslate;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangchen create 2023/6/1 16:06
 */
@Data
@ApiModel("团委组织参数")
public class YcqLeagueVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    private String leagueId;

    @ApiModelProperty(value = "组织编码")
    private String leagueCode;

    @ApiModelProperty(value = "组织名称")
    private String leagueName;

    @ApiModelProperty(value = "组织类型")
    private String leagueType;

    @ApiModelProperty(value = "组织类型翻译")
    @PropertyTranslate(propertyCode = "leagueType", valueFiled = "leagueType")
    private String leagueTypeTrans;

}
