package com.xxl.job.admin;

import com.crunii.micro.common.utils.JasyptEncryptorUtil;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.util.StringUtils;

/**
 * @author xuxueli 2018-10-28 00:38:13
 */
@SpringBootApplication
public class XxlJobAdminApplication {

	public static void main(String[] args) {
		JasyptEncryptorUtil.setConfigClientProps();
		JasyptEncryptorUtil.setAdminClientProps();
		// 接netty重复设置的问题

		System.setProperty("es.set.netty.runtime.available.processors", "false");
		String env = System.getProperty("spring.profiles.active");
		if (!StringUtils.hasText(env)) {
			// local or dev or prod
			env = "local";
			System.setProperty("spring.profiles.active", env);
		}
		SpringApplication.run(XxlJobAdminApplication.class, args);
		System.out.println("启动成功");
	}

}