package com.xxl.job.executor.service.match;

import com.crunii.micro.service.match.api.MatchJobHandlerService;
import com.xxl.job.core.context.XxlJobHelper;
import com.xxl.job.core.handler.annotation.XxlJob;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.concurrent.TimeUnit;

/**
 * @author liuchuan
 * @version 1.0
 * @description:
 * @date 2024/1/16 9:46
 */
@Component
@Slf4j
public class MatchFlowHandler {

    @Autowired
    private  MatchJobHandlerService matchJobHandlerService;

    @XxlJob("roundState")
    public void demoJobHandler() throws Exception {
        XxlJobHelper.log("XXL-JOB, roundState start.");
        matchJobHandlerService.roundState();
        XxlJobHelper.log("XXL-JOB, roundState end.");
        log.info("roundState success");
    }

}
