package com.crunii.micro.service.youthcall.dto.vo;

import com.crunii.micro.common.dto.OrderProp;
import com.crunii.micro.service.youthcall.dto.YcqYouthcallWorkOrder;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.util.List;

@ToString
@Data
public class YcqYouthcallWorkOrderVo extends YcqYouthcallWorkOrder {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "提出时间开始",notes = "")
    private String proposedTimeBegin;

    @ApiModelProperty(name = "提出时间结束",notes = "")
    private String proposedTimeEnd;

    @ApiModelProperty(name = "处理时间开始",notes = "")
    private String processTimeBegin;

    @ApiModelProperty(name = "处理时间结束",notes = "")
    private String processTimeEnd;

    @ApiModelProperty(name = "工单类型多选",notes = "")
    private List<String> workOrderTypes;

}
