package com.crunii.micro.service.youthcall.dto.vo.commonDemand;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.math.BigInteger;
import java.util.List;


@ToString
@Data
public class CommonDemandEditVo {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "共性需求主键",notes = "")
    private BigInteger id;

    @ApiModelProperty(name = "共性需求标题",notes = "")
    private String demandTitle;

    @ApiModelProperty(name = "共性需求内容",notes = "")
    private String demandContent;

    @ApiModelProperty(name = "共性需求类型",notes = "")
    private String demandType;

    @ApiModelProperty(name = "共性需求图片(多条)", notes = "")
    private List<String> demandImgList;

    @ApiModelProperty(name = "个性化需求id列表(多条)", notes = "")
    private List<BigInteger> personalDemandIdList;

}
