package com.crunii.micro.service.youthcall.dto.vo.commonDemand;

import com.crunii.micro.service.youthcall.dto.YcqYouthcallCommonDemand;
import com.crunii.micro.service.youthcall.dto.YcqYouthcallPersonalDemand;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

@ApiModel(description = "工单调度分页返回对象")
@ToString
@Data
public class CommonDemandVo extends YcqYouthcallCommonDemand implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "个性化需求内容", notes = "")
    private List<String> personDemandContentList;

    @ApiModelProperty(name = "需求图片(多条)", notes = "")
    private List<String> demandImgList;

    @ApiModelProperty(name = "个性化需求内容(字符串)", notes = "")
    @JsonIgnore
    private String personDemandContentStr;
}
