package com.crunii.micro.service.youthcall.dto.vo.orderDispatch;

import com.crunii.micro.domain.entity.main.TsmOrg;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

@ApiModel(description = "根据类型查询业务、组织对象")
@ToString
@Data
public class AppOrgVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "业务code(多条)", notes = "")
    private String appCode;

    @ApiModelProperty(name = "业务名称(多条)", notes = "")
    private String appName;

    @ApiModelProperty(name = "组织列表", notes = "")
    private List<TsmOrg> orgList;
}
