package com.crunii.micro.service.youthcall.dto.vo.orderDispatch;

import com.crunii.micro.service.youthcall.dto.YcqYouthcallWorkOrderDispatch;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

@ApiModel(description = "工单调度分页返回对象")
@ToString
@Data
public class WorkOrderDispatchVo extends YcqYouthcallWorkOrderDispatch implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "责任组织(多条)", notes = "")
    private String orgList;

    @ApiModelProperty(name = "责任组织id(多条)", notes = "")
    @JsonIgnore
    private String orgIds;

    @ApiModelProperty(name = "责任组织id列表", notes = "")
    private List<String> orgIdList;

    /*@ApiModelProperty(name = "机构性质(多条)", notes = "")
    private String orgCategoryList;*/

    @ApiModelProperty(name = "管理员(多条)", notes = "")
    private String workerNameList;

    @ApiModelProperty(name = "手机号(多条)", notes = "")
    private String mobileList;
}
