package com.crunii.micro.service.youthcall.dto.vo.orderDispatch;

import com.crunii.micro.service.youthcall.dto.YcqYouthcallWorkOrder;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@ToString
@Data
public class YcqYouthcallWorkOrderDispatchReq {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "工单类型",notes = "")
    private String workOrderType;

    @ApiModelProperty(name = "责任组织",notes = "")
    private String orgId;

    @ApiModelProperty(name = "调度状态(0:关闭 1:打开)",notes = "")
    private String dispatchStatus;

    @ApiModelProperty(name = "创建时间的开始时间", notes = "")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startCreatedTime;

    @ApiModelProperty(name = "创建时间的结束时间", notes = "")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endCreatedTime;

}
