package com.crunii.micro.service.youthcall.dto.vo.workOrder;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigInteger;

@ApiModel(description = "工单详情-下派信息返回对象")
@ToString
@Data
public class WorkOrderAllocationVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "被下派组织id",notes = "")
    private BigInteger allocationOrgId;

    @ApiModelProperty(name = "被下派组织名称",notes = "")
    private String allocationOrgName;

    @ApiModelProperty(name = "工单优先级(上报、下派: 1:低 2:中 3:高)",notes = "")
    private String priority;

    @ApiModelProperty(name = "下派说明",notes = "")
    private String dealContent;

    @ApiModelProperty(name = "下派人",notes = "")
    private String allocationWorkerName;

    @ApiModelProperty(name = "下派人联系方式",notes = "")
    private String allocationWorkerMobile;
}
