package com.crunii.micro.service.youthcall.jdbc;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.service.youthcall.dto.YcqYouthcallCheckInCancelApply;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import java.math.BigInteger;
import java.util.List;

/**
 * @author PANJL
 * @date 2023-12-16 13:56
 */
@Repository
public interface YcqYouthcallCheckInCancelApplyRepo extends BaseRepo<YcqYouthcallCheckInCancelApply, BigInteger>, JpaSpecificationExecutor<YcqYouthcallCheckInCancelApply> {

    List<YcqYouthcallCheckInCancelApply> findListByApplyUserId(String applyUserId);
}
