package com.crunii.micro.service.youthcall.jdbc;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.service.youthcall.dto.YcqYouthcallCommonPersonal;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import java.math.BigInteger;
import java.util.List;

/**
 * @author yts create 2023-11-01 22:19:51
 */
@Repository
public interface YcqYouthcallCommonPersonalRepo extends BaseRepo<YcqYouthcallCommonPersonal, BigInteger>, JpaSpecificationExecutor<YcqYouthcallCommonPersonal> {

    List<YcqYouthcallCommonPersonal> findByPersonalDemandIdAndDelFlag(BigInteger personalDemandId, Integer delFlag);

    List<YcqYouthcallCommonPersonal> findByCommonDemandIdAndDelFlag(BigInteger commonDemandId, Integer delFlag);

    List<YcqYouthcallCommonPersonal> findByCommonDemandIdAndPersonalDemandIdNotInAndDelFlag(BigInteger commonDemandId,List<BigInteger> personalDemandIdList, Integer delFlag);
}
