package com.crunii.micro.service.youthcall.jdbc;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.service.youthcall.dto.YcqYouthcallProductAdvice;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import java.math.BigInteger;

/**
 * @author yts create 2023-11-02 22:19:51
 */
@Repository
public interface YcqYouthcallProductAdviceRepo extends BaseRepo<YcqYouthcallProductAdvice, BigInteger>, JpaSpecificationExecutor<YcqYouthcallProductAdvice> {

    long countByIdAndAdviceStatusAndDelFlag(BigInteger id, String adviceStatus, Integer delFlag);
}
