package com.crunii.micro.service.youthcall.jdbc;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.service.youthcall.dto.YcqYouthcallWorkOrderDispatch;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import java.math.BigInteger;
import java.util.List;

/**
 * @author yts create 2023-10-31 22:19:51
 */
@Repository
public interface YcqYouthcallWorkOrderDispatchRepo extends BaseRepo<YcqYouthcallWorkOrderDispatch, BigInteger>, JpaSpecificationExecutor<YcqYouthcallWorkOrderDispatch> {

    long countByWorkOrderTypeAndDelFlag(String workOrderType, Integer delFlag);

    List<YcqYouthcallWorkOrderDispatch> findByWorkOrderTypeAndDispatchStatusAndDelFlag(String workOrderType, String dispatchStatus, Integer delFlag);

    List<YcqYouthcallWorkOrderDispatch> findByWorkOrderTypeAndAppCodeAndDispatchStatusAndDelFlag(String workOrderType, String appCode, String dispatchStatus, Integer delFlag);
}
