package com.crunii.micro.service.youthcall.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.youthcall.dto.YcqYouthcallCampusEducation;
import com.crunii.micro.service.youthcall.dto.YcqYouthcallQrcode;
import com.crunii.micro.service.youthcall.dto.vo.YcqYouthcallCampusEducationVo;
import com.crunii.micro.service.youthcall.dto.vo.YcqYouthcallQrcodeVo;

public interface YcqYouthcallCampusEducationService {

    /**
     * 分页查询
     *
     * @return 查询结果
     */
    Result<YcqYouthcallCampusEducationVo> paginQuery();

    /**
     * 新增数据
     *
     * @param ycqYouthcallCampusEducationVo 实例对象
     * @return 实例对象
     */
    Result<Object> insert(YcqYouthcallCampusEducationVo ycqYouthcallCampusEducationVo);

    /**
     * 新增数据
     *
     * @param ycqYouthcallCampusEducationVo 实例对象
     * @return 实例对象
     */
    Result<Object> createEncryption(YcqYouthcallCampusEducationVo ycqYouthcallCampusEducationVo);


}
