package com.crunii.micro.service.youthcall.thirdrequest;

import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

@Getter
@Setter
public class QnyzResponse implements Serializable {

    /**
     * 返回状态(200,300,400,401,403,500)，200表示成功，其他均为失败
     */
    private int statusCode;

    /**
     * 提示信息
     */
    private String message;

    /**
     * 业务数据封装对象
     */
    private QnyzResultData result;

}
