package com.crunii.micro.service.youthcall.utils;

import com.crunii.micro.service.youthcall.dto.YcqYouthcallWorkOrder;
import org.apache.poi.ss.formula.functions.T;

import javax.persistence.Column;
import java.lang.reflect.Field;

public class BeanUtil {

    public static String gettAnnotations(Class T, String propertyName) {
        Field[] fields = T.getDeclaredFields();
        Field field;
        String[] value = new String[fields.length - 2];
        for (int i = 0; i < fields.length; i++) {
            fields[i].setAccessible(true);
        }
        for (int i = 0; i < fields.length; i++) {
            try {
                field = T.getDeclaredField(fields[i].getName());
                if (field.getName().equals(propertyName)) {
                    Column column = field.getAnnotation(Column.class); //获取指定类型注解
                    return column.name();
                }

            } catch (NoSuchFieldException e) {
                e.printStackTrace();
            }
        }
        return null;
    }

    public static void main(String[] args) {
        String value = BeanUtil.gettAnnotations(YcqYouthcallWorkOrder.class, "processStatus");
        System.out.println(value);
    }

}
